#include "tree_sitter/parser.h"

#if defined(__GNUC__) || defined(__clang__)
#pragma GCC diagnostic ignored "-Wmissing-field-initializers"
#endif

#define LANGUAGE_VERSION 14
#define STATE_COUNT 1398
#define LARGE_STATE_COUNT 28
#define SYMBOL_COUNT 211
#define ALIAS_COUNT 5
#define TOKEN_COUNT 94
#define EXTERNAL_TOKEN_COUNT 0
#define FIELD_COUNT 35
#define MAX_ALIAS_SEQUENCE_LENGTH 9
#define PRODUCTION_ID_COUNT 108

enum ts_symbol_identifiers {
  sym_identifier = 1,
  anon_sym_LF = 2,
  anon_sym_SEMI = 3,
  anon_sym_NULL = 4,
  anon_sym_package = 5,
  anon_sym_import = 6,
  anon_sym_DOT = 7,
  sym_blank_identifier = 8,
  anon_sym_LPAREN = 9,
  anon_sym_RPAREN = 10,
  anon_sym_const = 11,
  anon_sym_COMMA = 12,
  anon_sym_EQ = 13,
  anon_sym_var = 14,
  anon_sym_func = 15,
  anon_sym_LBRACK = 16,
  anon_sym_RBRACK = 17,
  anon_sym_DOT_DOT_DOT = 18,
  anon_sym_type = 19,
  anon_sym_STAR = 20,
  anon_sym_struct = 21,
  anon_sym_TILDE = 22,
  anon_sym_LBRACE = 23,
  anon_sym_RBRACE = 24,
  anon_sym_interface = 25,
  anon_sym_PIPE = 26,
  anon_sym_map = 27,
  anon_sym_chan = 28,
  anon_sym_LT_DASH = 29,
  anon_sym_COLON_EQ = 30,
  anon_sym_PLUS_PLUS = 31,
  anon_sym_DASH_DASH = 32,
  anon_sym_STAR_EQ = 33,
  anon_sym_SLASH_EQ = 34,
  anon_sym_PERCENT_EQ = 35,
  anon_sym_LT_LT_EQ = 36,
  anon_sym_GT_GT_EQ = 37,
  anon_sym_AMP_EQ = 38,
  anon_sym_AMP_CARET_EQ = 39,
  anon_sym_PLUS_EQ = 40,
  anon_sym_DASH_EQ = 41,
  anon_sym_PIPE_EQ = 42,
  anon_sym_CARET_EQ = 43,
  anon_sym_COLON = 44,
  anon_sym_fallthrough = 45,
  anon_sym_break = 46,
  anon_sym_continue = 47,
  anon_sym_goto = 48,
  anon_sym_return = 49,
  anon_sym_go = 50,
  anon_sym_defer = 51,
  anon_sym_if = 52,
  anon_sym_else = 53,
  anon_sym_for = 54,
  anon_sym_range = 55,
  anon_sym_switch = 56,
  anon_sym_case = 57,
  anon_sym_default = 58,
  anon_sym_select = 59,
  anon_sym_new = 60,
  anon_sym_make = 61,
  anon_sym_PLUS = 62,
  anon_sym_DASH = 63,
  anon_sym_BANG = 64,
  anon_sym_CARET = 65,
  anon_sym_AMP = 66,
  anon_sym_SLASH = 67,
  anon_sym_PERCENT = 68,
  anon_sym_LT_LT = 69,
  anon_sym_GT_GT = 70,
  anon_sym_AMP_CARET = 71,
  anon_sym_EQ_EQ = 72,
  anon_sym_BANG_EQ = 73,
  anon_sym_LT = 74,
  anon_sym_LT_EQ = 75,
  anon_sym_GT = 76,
  anon_sym_GT_EQ = 77,
  anon_sym_AMP_AMP = 78,
  anon_sym_PIPE_PIPE = 79,
  sym_raw_string_literal = 80,
  anon_sym_DQUOTE = 81,
  anon_sym_DQUOTE2 = 82,
  sym__interpreted_string_literal_basic_content = 83,
  sym_escape_sequence = 84,
  sym_int_literal = 85,
  sym_float_literal = 86,
  sym_imaginary_literal = 87,
  sym_rune_literal = 88,
  sym_nil = 89,
  sym_true = 90,
  sym_false = 91,
  sym_iota = 92,
  sym_comment = 93,
  sym_source_file = 94,
  sym_package_clause = 95,
  sym_import_declaration = 96,
  sym_import_spec = 97,
  sym_dot = 98,
  sym_import_spec_list = 99,
  sym__declaration = 100,
  sym_const_declaration = 101,
  sym_const_spec = 102,
  sym_var_declaration = 103,
  sym_var_spec = 104,
  sym_function_declaration = 105,
  sym_method_declaration = 106,
  sym_type_parameter_list = 107,
  sym_type_parameter_declaration = 108,
  sym_parameter_list = 109,
  sym_parameter_declaration = 110,
  sym_variadic_parameter_declaration = 111,
  sym_type_alias = 112,
  sym_type_declaration = 113,
  sym_type_spec = 114,
  sym_expression_list = 115,
  sym_parenthesized_type = 116,
  sym__simple_type = 117,
  sym_generic_type = 118,
  sym_type_arguments = 119,
  sym_pointer_type = 120,
  sym_array_type = 121,
  sym_implicit_length_array_type = 122,
  sym_slice_type = 123,
  sym_struct_type = 124,
  sym_negated_type = 125,
  sym_field_declaration_list = 126,
  sym_field_declaration = 127,
  sym_interface_type = 128,
  sym_method_elem = 129,
  sym_type_elem = 130,
  sym_map_type = 131,
  sym_channel_type = 132,
  sym_function_type = 133,
  sym_block = 134,
  sym__statement_list = 135,
  sym__statement = 136,
  sym_empty_statement = 137,
  sym__simple_statement = 138,
  sym_expression_statement = 139,
  sym_send_statement = 140,
  sym_receive_statement = 141,
  sym_inc_statement = 142,
  sym_dec_statement = 143,
  sym_assignment_statement = 144,
  sym_short_var_declaration = 145,
  sym_labeled_statement = 146,
  sym_empty_labeled_statement = 147,
  sym_fallthrough_statement = 148,
  sym_break_statement = 149,
  sym_continue_statement = 150,
  sym_goto_statement = 151,
  sym_return_statement = 152,
  sym_go_statement = 153,
  sym_defer_statement = 154,
  sym_if_statement = 155,
  sym_for_statement = 156,
  sym_for_clause = 157,
  sym_range_clause = 158,
  sym_expression_switch_statement = 159,
  sym_expression_case = 160,
  sym_default_case = 161,
  sym_type_switch_statement = 162,
  sym__type_switch_header = 163,
  sym_type_case = 164,
  sym_select_statement = 165,
  sym_communication_case = 166,
  sym__expression = 167,
  sym_parenthesized_expression = 168,
  sym_call_expression = 169,
  sym_variadic_argument = 170,
  sym_special_argument_list = 171,
  sym_argument_list = 172,
  sym_selector_expression = 173,
  sym_index_expression = 174,
  sym_slice_expression = 175,
  sym_type_assertion_expression = 176,
  sym_type_conversion_expression = 177,
  sym_type_instantiation_expression = 178,
  sym_composite_literal = 179,
  sym_literal_value = 180,
  sym_literal_element = 181,
  sym_keyed_element = 182,
  sym_func_literal = 183,
  sym_unary_expression = 184,
  sym_binary_expression = 185,
  sym_qualified_type = 186,
  sym_interpreted_string_literal = 187,
  aux_sym_source_file_repeat1 = 188,
  aux_sym_import_spec_list_repeat1 = 189,
  aux_sym_const_declaration_repeat1 = 190,
  aux_sym_const_spec_repeat1 = 191,
  aux_sym_var_declaration_repeat1 = 192,
  aux_sym_type_parameter_list_repeat1 = 193,
  aux_sym_type_parameter_declaration_repeat1 = 194,
  aux_sym_parameter_list_repeat1 = 195,
  aux_sym_type_declaration_repeat1 = 196,
  aux_sym_expression_list_repeat1 = 197,
  aux_sym_type_arguments_repeat1 = 198,
  aux_sym_field_declaration_list_repeat1 = 199,
  aux_sym_field_declaration_repeat1 = 200,
  aux_sym_interface_type_repeat1 = 201,
  aux_sym_type_elem_repeat1 = 202,
  aux_sym__statement_list_repeat1 = 203,
  aux_sym_expression_switch_statement_repeat1 = 204,
  aux_sym_type_switch_statement_repeat1 = 205,
  aux_sym_type_case_repeat1 = 206,
  aux_sym_select_statement_repeat1 = 207,
  aux_sym_argument_list_repeat1 = 208,
  aux_sym_literal_value_repeat1 = 209,
  aux_sym_interpreted_string_literal_repeat1 = 210,
  alias_sym_field_identifier = 211,
  alias_sym_label_name = 212,
  alias_sym_package_identifier = 213,
  alias_sym_type_constraint = 214,
  alias_sym_type_identifier = 215,
};

static const char * const ts_symbol_names[] = {
  [ts_builtin_sym_end] = "end",
  [sym_identifier] = "identifier",
  [anon_sym_LF] = "\n",
  [anon_sym_SEMI] = ";",
  [anon_sym_NULL] = "\0",
  [anon_sym_package] = "package",
  [anon_sym_import] = "import",
  [anon_sym_DOT] = ".",
  [sym_blank_identifier] = "blank_identifier",
  [anon_sym_LPAREN] = "(",
  [anon_sym_RPAREN] = ")",
  [anon_sym_const] = "const",
  [anon_sym_COMMA] = ",",
  [anon_sym_EQ] = "=",
  [anon_sym_var] = "var",
  [anon_sym_func] = "func",
  [anon_sym_LBRACK] = "[",
  [anon_sym_RBRACK] = "]",
  [anon_sym_DOT_DOT_DOT] = "...",
  [anon_sym_type] = "type",
  [anon_sym_STAR] = "*",
  [anon_sym_struct] = "struct",
  [anon_sym_TILDE] = "~",
  [anon_sym_LBRACE] = "{",
  [anon_sym_RBRACE] = "}",
  [anon_sym_interface] = "interface",
  [anon_sym_PIPE] = "|",
  [anon_sym_map] = "map",
  [anon_sym_chan] = "chan",
  [anon_sym_LT_DASH] = "<-",
  [anon_sym_COLON_EQ] = ":=",
  [anon_sym_PLUS_PLUS] = "++",
  [anon_sym_DASH_DASH] = "--",
  [anon_sym_STAR_EQ] = "*=",
  [anon_sym_SLASH_EQ] = "/=",
  [anon_sym_PERCENT_EQ] = "%=",
  [anon_sym_LT_LT_EQ] = "<<=",
  [anon_sym_GT_GT_EQ] = ">>=",
  [anon_sym_AMP_EQ] = "&=",
  [anon_sym_AMP_CARET_EQ] = "&^=",
  [anon_sym_PLUS_EQ] = "+=",
  [anon_sym_DASH_EQ] = "-=",
  [anon_sym_PIPE_EQ] = "|=",
  [anon_sym_CARET_EQ] = "^=",
  [anon_sym_COLON] = ":",
  [anon_sym_fallthrough] = "fallthrough",
  [anon_sym_break] = "break",
  [anon_sym_continue] = "continue",
  [anon_sym_goto] = "goto",
  [anon_sym_return] = "return",
  [anon_sym_go] = "go",
  [anon_sym_defer] = "defer",
  [anon_sym_if] = "if",
  [anon_sym_else] = "else",
  [anon_sym_for] = "for",
  [anon_sym_range] = "range",
  [anon_sym_switch] = "switch",
  [anon_sym_case] = "case",
  [anon_sym_default] = "default",
  [anon_sym_select] = "select",
  [anon_sym_new] = "identifier",
  [anon_sym_make] = "identifier",
  [anon_sym_PLUS] = "+",
  [anon_sym_DASH] = "-",
  [anon_sym_BANG] = "!",
  [anon_sym_CARET] = "^",
  [anon_sym_AMP] = "&",
  [anon_sym_SLASH] = "/",
  [anon_sym_PERCENT] = "%",
  [anon_sym_LT_LT] = "<<",
  [anon_sym_GT_GT] = ">>",
  [anon_sym_AMP_CARET] = "&^",
  [anon_sym_EQ_EQ] = "==",
  [anon_sym_BANG_EQ] = "!=",
  [anon_sym_LT] = "<",
  [anon_sym_LT_EQ] = "<=",
  [anon_sym_GT] = ">",
  [anon_sym_GT_EQ] = ">=",
  [anon_sym_AMP_AMP] = "&&",
  [anon_sym_PIPE_PIPE] = "||",
  [sym_raw_string_literal] = "raw_string_literal",
  [anon_sym_DQUOTE] = "\"",
  [anon_sym_DQUOTE2] = "\"",
  [sym__interpreted_string_literal_basic_content] = "_interpreted_string_literal_basic_content",
  [sym_escape_sequence] = "escape_sequence",
  [sym_int_literal] = "int_literal",
  [sym_float_literal] = "float_literal",
  [sym_imaginary_literal] = "imaginary_literal",
  [sym_rune_literal] = "rune_literal",
  [sym_nil] = "nil",
  [sym_true] = "true",
  [sym_false] = "false",
  [sym_iota] = "iota",
  [sym_comment] = "comment",
  [sym_source_file] = "source_file",
  [sym_package_clause] = "package_clause",
  [sym_import_declaration] = "import_declaration",
  [sym_import_spec] = "import_spec",
  [sym_dot] = "dot",
  [sym_import_spec_list] = "import_spec_list",
  [sym__declaration] = "_declaration",
  [sym_const_declaration] = "const_declaration",
  [sym_const_spec] = "const_spec",
  [sym_var_declaration] = "var_declaration",
  [sym_var_spec] = "var_spec",
  [sym_function_declaration] = "function_declaration",
  [sym_method_declaration] = "method_declaration",
  [sym_type_parameter_list] = "type_parameter_list",
  [sym_type_parameter_declaration] = "type_parameter_declaration",
  [sym_parameter_list] = "parameter_list",
  [sym_parameter_declaration] = "parameter_declaration",
  [sym_variadic_parameter_declaration] = "variadic_parameter_declaration",
  [sym_type_alias] = "type_alias",
  [sym_type_declaration] = "type_declaration",
  [sym_type_spec] = "type_spec",
  [sym_expression_list] = "expression_list",
  [sym_parenthesized_type] = "parenthesized_type",
  [sym__simple_type] = "_simple_type",
  [sym_generic_type] = "generic_type",
  [sym_type_arguments] = "type_arguments",
  [sym_pointer_type] = "pointer_type",
  [sym_array_type] = "array_type",
  [sym_implicit_length_array_type] = "implicit_length_array_type",
  [sym_slice_type] = "slice_type",
  [sym_struct_type] = "struct_type",
  [sym_negated_type] = "negated_type",
  [sym_field_declaration_list] = "field_declaration_list",
  [sym_field_declaration] = "field_declaration",
  [sym_interface_type] = "interface_type",
  [sym_method_elem] = "method_elem",
  [sym_type_elem] = "type_elem",
  [sym_map_type] = "map_type",
  [sym_channel_type] = "channel_type",
  [sym_function_type] = "function_type",
  [sym_block] = "block",
  [sym__statement_list] = "_statement_list",
  [sym__statement] = "_statement",
  [sym_empty_statement] = "empty_statement",
  [sym__simple_statement] = "_simple_statement",
  [sym_expression_statement] = "expression_statement",
  [sym_send_statement] = "send_statement",
  [sym_receive_statement] = "receive_statement",
  [sym_inc_statement] = "inc_statement",
  [sym_dec_statement] = "dec_statement",
  [sym_assignment_statement] = "assignment_statement",
  [sym_short_var_declaration] = "short_var_declaration",
  [sym_labeled_statement] = "labeled_statement",
  [sym_empty_labeled_statement] = "labeled_statement",
  [sym_fallthrough_statement] = "fallthrough_statement",
  [sym_break_statement] = "break_statement",
  [sym_continue_statement] = "continue_statement",
  [sym_goto_statement] = "goto_statement",
  [sym_return_statement] = "return_statement",
  [sym_go_statement] = "go_statement",
  [sym_defer_statement] = "defer_statement",
  [sym_if_statement] = "if_statement",
  [sym_for_statement] = "for_statement",
  [sym_for_clause] = "for_clause",
  [sym_range_clause] = "range_clause",
  [sym_expression_switch_statement] = "expression_switch_statement",
  [sym_expression_case] = "expression_case",
  [sym_default_case] = "default_case",
  [sym_type_switch_statement] = "type_switch_statement",
  [sym__type_switch_header] = "_type_switch_header",
  [sym_type_case] = "type_case",
  [sym_select_statement] = "select_statement",
  [sym_communication_case] = "communication_case",
  [sym__expression] = "_expression",
  [sym_parenthesized_expression] = "parenthesized_expression",
  [sym_call_expression] = "call_expression",
  [sym_variadic_argument] = "variadic_argument",
  [sym_special_argument_list] = "argument_list",
  [sym_argument_list] = "argument_list",
  [sym_selector_expression] = "selector_expression",
  [sym_index_expression] = "index_expression",
  [sym_slice_expression] = "slice_expression",
  [sym_type_assertion_expression] = "type_assertion_expression",
  [sym_type_conversion_expression] = "type_conversion_expression",
  [sym_type_instantiation_expression] = "type_instantiation_expression",
  [sym_composite_literal] = "composite_literal",
  [sym_literal_value] = "literal_value",
  [sym_literal_element] = "literal_element",
  [sym_keyed_element] = "keyed_element",
  [sym_func_literal] = "func_literal",
  [sym_unary_expression] = "unary_expression",
  [sym_binary_expression] = "binary_expression",
  [sym_qualified_type] = "qualified_type",
  [sym_interpreted_string_literal] = "interpreted_string_literal",
  [aux_sym_source_file_repeat1] = "source_file_repeat1",
  [aux_sym_import_spec_list_repeat1] = "import_spec_list_repeat1",
  [aux_sym_const_declaration_repeat1] = "const_declaration_repeat1",
  [aux_sym_const_spec_repeat1] = "const_spec_repeat1",
  [aux_sym_var_declaration_repeat1] = "var_declaration_repeat1",
  [aux_sym_type_parameter_list_repeat1] = "type_parameter_list_repeat1",
  [aux_sym_type_parameter_declaration_repeat1] = "type_parameter_declaration_repeat1",
  [aux_sym_parameter_list_repeat1] = "parameter_list_repeat1",
  [aux_sym_type_declaration_repeat1] = "type_declaration_repeat1",
  [aux_sym_expression_list_repeat1] = "expression_list_repeat1",
  [aux_sym_type_arguments_repeat1] = "type_arguments_repeat1",
  [aux_sym_field_declaration_list_repeat1] = "field_declaration_list_repeat1",
  [aux_sym_field_declaration_repeat1] = "field_declaration_repeat1",
  [aux_sym_interface_type_repeat1] = "interface_type_repeat1",
  [aux_sym_type_elem_repeat1] = "type_elem_repeat1",
  [aux_sym__statement_list_repeat1] = "_statement_list_repeat1",
  [aux_sym_expression_switch_statement_repeat1] = "expression_switch_statement_repeat1",
  [aux_sym_type_switch_statement_repeat1] = "type_switch_statement_repeat1",
  [aux_sym_type_case_repeat1] = "type_case_repeat1",
  [aux_sym_select_statement_repeat1] = "select_statement_repeat1",
  [aux_sym_argument_list_repeat1] = "argument_list_repeat1",
  [aux_sym_literal_value_repeat1] = "literal_value_repeat1",
  [aux_sym_interpreted_string_literal_repeat1] = "interpreted_string_literal_repeat1",
  [alias_sym_field_identifier] = "field_identifier",
  [alias_sym_label_name] = "label_name",
  [alias_sym_package_identifier] = "package_identifier",
  [alias_sym_type_constraint] = "type_constraint",
  [alias_sym_type_identifier] = "type_identifier",
};

static const TSSymbol ts_symbol_map[] = {
  [ts_builtin_sym_end] = ts_builtin_sym_end,
  [sym_identifier] = sym_identifier,
  [anon_sym_LF] = anon_sym_LF,
  [anon_sym_SEMI] = anon_sym_SEMI,
  [anon_sym_NULL] = anon_sym_NULL,
  [anon_sym_package] = anon_sym_package,
  [anon_sym_import] = anon_sym_import,
  [anon_sym_DOT] = anon_sym_DOT,
  [sym_blank_identifier] = sym_blank_identifier,
  [anon_sym_LPAREN] = anon_sym_LPAREN,
  [anon_sym_RPAREN] = anon_sym_RPAREN,
  [anon_sym_const] = anon_sym_const,
  [anon_sym_COMMA] = anon_sym_COMMA,
  [anon_sym_EQ] = anon_sym_EQ,
  [anon_sym_var] = anon_sym_var,
  [anon_sym_func] = anon_sym_func,
  [anon_sym_LBRACK] = anon_sym_LBRACK,
  [anon_sym_RBRACK] = anon_sym_RBRACK,
  [anon_sym_DOT_DOT_DOT] = anon_sym_DOT_DOT_DOT,
  [anon_sym_type] = anon_sym_type,
  [anon_sym_STAR] = anon_sym_STAR,
  [anon_sym_struct] = anon_sym_struct,
  [anon_sym_TILDE] = anon_sym_TILDE,
  [anon_sym_LBRACE] = anon_sym_LBRACE,
  [anon_sym_RBRACE] = anon_sym_RBRACE,
  [anon_sym_interface] = anon_sym_interface,
  [anon_sym_PIPE] = anon_sym_PIPE,
  [anon_sym_map] = anon_sym_map,
  [anon_sym_chan] = anon_sym_chan,
  [anon_sym_LT_DASH] = anon_sym_LT_DASH,
  [anon_sym_COLON_EQ] = anon_sym_COLON_EQ,
  [anon_sym_PLUS_PLUS] = anon_sym_PLUS_PLUS,
  [anon_sym_DASH_DASH] = anon_sym_DASH_DASH,
  [anon_sym_STAR_EQ] = anon_sym_STAR_EQ,
  [anon_sym_SLASH_EQ] = anon_sym_SLASH_EQ,
  [anon_sym_PERCENT_EQ] = anon_sym_PERCENT_EQ,
  [anon_sym_LT_LT_EQ] = anon_sym_LT_LT_EQ,
  [anon_sym_GT_GT_EQ] = anon_sym_GT_GT_EQ,
  [anon_sym_AMP_EQ] = anon_sym_AMP_EQ,
  [anon_sym_AMP_CARET_EQ] = anon_sym_AMP_CARET_EQ,
  [anon_sym_PLUS_EQ] = anon_sym_PLUS_EQ,
  [anon_sym_DASH_EQ] = anon_sym_DASH_EQ,
  [anon_sym_PIPE_EQ] = anon_sym_PIPE_EQ,
  [anon_sym_CARET_EQ] = anon_sym_CARET_EQ,
  [anon_sym_COLON] = anon_sym_COLON,
  [anon_sym_fallthrough] = anon_sym_fallthrough,
  [anon_sym_break] = anon_sym_break,
  [anon_sym_continue] = anon_sym_continue,
  [anon_sym_goto] = anon_sym_goto,
  [anon_sym_return] = anon_sym_return,
  [anon_sym_go] = anon_sym_go,
  [anon_sym_defer] = anon_sym_defer,
  [anon_sym_if] = anon_sym_if,
  [anon_sym_else] = anon_sym_else,
  [anon_sym_for] = anon_sym_for,
  [anon_sym_range] = anon_sym_range,
  [anon_sym_switch] = anon_sym_switch,
  [anon_sym_case] = anon_sym_case,
  [anon_sym_default] = anon_sym_default,
  [anon_sym_select] = anon_sym_select,
  [anon_sym_new] = sym_identifier,
  [anon_sym_make] = sym_identifier,
  [anon_sym_PLUS] = anon_sym_PLUS,
  [anon_sym_DASH] = anon_sym_DASH,
  [anon_sym_BANG] = anon_sym_BANG,
  [anon_sym_CARET] = anon_sym_CARET,
  [anon_sym_AMP] = anon_sym_AMP,
  [anon_sym_SLASH] = anon_sym_SLASH,
  [anon_sym_PERCENT] = anon_sym_PERCENT,
  [anon_sym_LT_LT] = anon_sym_LT_LT,
  [anon_sym_GT_GT] = anon_sym_GT_GT,
  [anon_sym_AMP_CARET] = anon_sym_AMP_CARET,
  [anon_sym_EQ_EQ] = anon_sym_EQ_EQ,
  [anon_sym_BANG_EQ] = anon_sym_BANG_EQ,
  [anon_sym_LT] = anon_sym_LT,
  [anon_sym_LT_EQ] = anon_sym_LT_EQ,
  [anon_sym_GT] = anon_sym_GT,
  [anon_sym_GT_EQ] = anon_sym_GT_EQ,
  [anon_sym_AMP_AMP] = anon_sym_AMP_AMP,
  [anon_sym_PIPE_PIPE] = anon_sym_PIPE_PIPE,
  [sym_raw_string_literal] = sym_raw_string_literal,
  [anon_sym_DQUOTE] = anon_sym_DQUOTE,
  [anon_sym_DQUOTE2] = anon_sym_DQUOTE,
  [sym__interpreted_string_literal_basic_content] = sym__interpreted_string_literal_basic_content,
  [sym_escape_sequence] = sym_escape_sequence,
  [sym_int_literal] = sym_int_literal,
  [sym_float_literal] = sym_float_literal,
  [sym_imaginary_literal] = sym_imaginary_literal,
  [sym_rune_literal] = sym_rune_literal,
  [sym_nil] = sym_nil,
  [sym_true] = sym_true,
  [sym_false] = sym_false,
  [sym_iota] = sym_iota,
  [sym_comment] = sym_comment,
  [sym_source_file] = sym_source_file,
  [sym_package_clause] = sym_package_clause,
  [sym_import_declaration] = sym_import_declaration,
  [sym_import_spec] = sym_import_spec,
  [sym_dot] = sym_dot,
  [sym_import_spec_list] = sym_import_spec_list,
  [sym__declaration] = sym__declaration,
  [sym_const_declaration] = sym_const_declaration,
  [sym_const_spec] = sym_const_spec,
  [sym_var_declaration] = sym_var_declaration,
  [sym_var_spec] = sym_var_spec,
  [sym_function_declaration] = sym_function_declaration,
  [sym_method_declaration] = sym_method_declaration,
  [sym_type_parameter_list] = sym_type_parameter_list,
  [sym_type_parameter_declaration] = sym_type_parameter_declaration,
  [sym_parameter_list] = sym_parameter_list,
  [sym_parameter_declaration] = sym_parameter_declaration,
  [sym_variadic_parameter_declaration] = sym_variadic_parameter_declaration,
  [sym_type_alias] = sym_type_alias,
  [sym_type_declaration] = sym_type_declaration,
  [sym_type_spec] = sym_type_spec,
  [sym_expression_list] = sym_expression_list,
  [sym_parenthesized_type] = sym_parenthesized_type,
  [sym__simple_type] = sym__simple_type,
  [sym_generic_type] = sym_generic_type,
  [sym_type_arguments] = sym_type_arguments,
  [sym_pointer_type] = sym_pointer_type,
  [sym_array_type] = sym_array_type,
  [sym_implicit_length_array_type] = sym_implicit_length_array_type,
  [sym_slice_type] = sym_slice_type,
  [sym_struct_type] = sym_struct_type,
  [sym_negated_type] = sym_negated_type,
  [sym_field_declaration_list] = sym_field_declaration_list,
  [sym_field_declaration] = sym_field_declaration,
  [sym_interface_type] = sym_interface_type,
  [sym_method_elem] = sym_method_elem,
  [sym_type_elem] = sym_type_elem,
  [sym_map_type] = sym_map_type,
  [sym_channel_type] = sym_channel_type,
  [sym_function_type] = sym_function_type,
  [sym_block] = sym_block,
  [sym__statement_list] = sym__statement_list,
  [sym__statement] = sym__statement,
  [sym_empty_statement] = sym_empty_statement,
  [sym__simple_statement] = sym__simple_statement,
  [sym_expression_statement] = sym_expression_statement,
  [sym_send_statement] = sym_send_statement,
  [sym_receive_statement] = sym_receive_statement,
  [sym_inc_statement] = sym_inc_statement,
  [sym_dec_statement] = sym_dec_statement,
  [sym_assignment_statement] = sym_assignment_statement,
  [sym_short_var_declaration] = sym_short_var_declaration,
  [sym_labeled_statement] = sym_labeled_statement,
  [sym_empty_labeled_statement] = sym_labeled_statement,
  [sym_fallthrough_statement] = sym_fallthrough_statement,
  [sym_break_statement] = sym_break_statement,
  [sym_continue_statement] = sym_continue_statement,
  [sym_goto_statement] = sym_goto_statement,
  [sym_return_statement] = sym_return_statement,
  [sym_go_statement] = sym_go_statement,
  [sym_defer_statement] = sym_defer_statement,
  [sym_if_statement] = sym_if_statement,
  [sym_for_statement] = sym_for_statement,
  [sym_for_clause] = sym_for_clause,
  [sym_range_clause] = sym_range_clause,
  [sym_expression_switch_statement] = sym_expression_switch_statement,
  [sym_expression_case] = sym_expression_case,
  [sym_default_case] = sym_default_case,
  [sym_type_switch_statement] = sym_type_switch_statement,
  [sym__type_switch_header] = sym__type_switch_header,
  [sym_type_case] = sym_type_case,
  [sym_select_statement] = sym_select_statement,
  [sym_communication_case] = sym_communication_case,
  [sym__expression] = sym__expression,
  [sym_parenthesized_expression] = sym_parenthesized_expression,
  [sym_call_expression] = sym_call_expression,
  [sym_variadic_argument] = sym_variadic_argument,
  [sym_special_argument_list] = sym_argument_list,
  [sym_argument_list] = sym_argument_list,
  [sym_selector_expression] = sym_selector_expression,
  [sym_index_expression] = sym_index_expression,
  [sym_slice_expression] = sym_slice_expression,
  [sym_type_assertion_expression] = sym_type_assertion_expression,
  [sym_type_conversion_expression] = sym_type_conversion_expression,
  [sym_type_instantiation_expression] = sym_type_instantiation_expression,
  [sym_composite_literal] = sym_composite_literal,
  [sym_literal_value] = sym_literal_value,
  [sym_literal_element] = sym_literal_element,
  [sym_keyed_element] = sym_keyed_element,
  [sym_func_literal] = sym_func_literal,
  [sym_unary_expression] = sym_unary_expression,
  [sym_binary_expression] = sym_binary_expression,
  [sym_qualified_type] = sym_qualified_type,
  [sym_interpreted_string_literal] = sym_interpreted_string_literal,
  [aux_sym_source_file_repeat1] = aux_sym_source_file_repeat1,
  [aux_sym_import_spec_list_repeat1] = aux_sym_import_spec_list_repeat1,
  [aux_sym_const_declaration_repeat1] = aux_sym_const_declaration_repeat1,
  [aux_sym_const_spec_repeat1] = aux_sym_const_spec_repeat1,
  [aux_sym_var_declaration_repeat1] = aux_sym_var_declaration_repeat1,
  [aux_sym_type_parameter_list_repeat1] = aux_sym_type_parameter_list_repeat1,
  [aux_sym_type_parameter_declaration_repeat1] = aux_sym_type_parameter_declaration_repeat1,
  [aux_sym_parameter_list_repeat1] = aux_sym_parameter_list_repeat1,
  [aux_sym_type_declaration_repeat1] = aux_sym_type_declaration_repeat1,
  [aux_sym_expression_list_repeat1] = aux_sym_expression_list_repeat1,
  [aux_sym_type_arguments_repeat1] = aux_sym_type_arguments_repeat1,
  [aux_sym_field_declaration_list_repeat1] = aux_sym_field_declaration_list_repeat1,
  [aux_sym_field_declaration_repeat1] = aux_sym_field_declaration_repeat1,
  [aux_sym_interface_type_repeat1] = aux_sym_interface_type_repeat1,
  [aux_sym_type_elem_repeat1] = aux_sym_type_elem_repeat1,
  [aux_sym__statement_list_repeat1] = aux_sym__statement_list_repeat1,
  [aux_sym_expression_switch_statement_repeat1] = aux_sym_expression_switch_statement_repeat1,
  [aux_sym_type_switch_statement_repeat1] = aux_sym_type_switch_statement_repeat1,
  [aux_sym_type_case_repeat1] = aux_sym_type_case_repeat1,
  [aux_sym_select_statement_repeat1] = aux_sym_select_statement_repeat1,
  [aux_sym_argument_list_repeat1] = aux_sym_argument_list_repeat1,
  [aux_sym_literal_value_repeat1] = aux_sym_literal_value_repeat1,
  [aux_sym_interpreted_string_literal_repeat1] = aux_sym_interpreted_string_literal_repeat1,
  [alias_sym_field_identifier] = alias_sym_field_identifier,
  [alias_sym_label_name] = alias_sym_label_name,
  [alias_sym_package_identifier] = alias_sym_package_identifier,
  [alias_sym_type_constraint] = alias_sym_type_constraint,
  [alias_sym_type_identifier] = alias_sym_type_identifier,
};

static const TSSymbolMetadata ts_symbol_metadata[] = {
  [ts_builtin_sym_end] = {
    .visible = false,
    .named = true,
  },
  [sym_identifier] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_LF] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SEMI] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_NULL] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_package] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_import] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DOT] = {
    .visible = true,
    .named = false,
  },
  [sym_blank_identifier] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_LPAREN] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RPAREN] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_const] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COMMA] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_var] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_func] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RBRACK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DOT_DOT_DOT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_type] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_struct] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_TILDE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RBRACE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_interface] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_map] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_chan] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_DASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COLON_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PLUS_PLUS] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH_DASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SLASH_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PERCENT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_LT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_GT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP_CARET_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PLUS_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_CARET_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COLON] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_fallthrough] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_break] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_continue] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_goto] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_return] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_go] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_defer] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_if] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_else] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_for] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_range] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_switch] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_case] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_default] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_select] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_new] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_make] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_PLUS] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BANG] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_CARET] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SLASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PERCENT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_LT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP_CARET] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BANG_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP_AMP] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE_PIPE] = {
    .visible = true,
    .named = false,
  },
  [sym_raw_string_literal] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_DQUOTE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DQUOTE2] = {
    .visible = true,
    .named = false,
  },
  [sym__interpreted_string_literal_basic_content] = {
    .visible = false,
    .named = true,
  },
  [sym_escape_sequence] = {
    .visible = true,
    .named = true,
  },
  [sym_int_literal] = {
    .visible = true,
    .named = true,
  },
  [sym_float_literal] = {
    .visible = true,
    .named = true,
  },
  [sym_imaginary_literal] = {
    .visible = true,
    .named = true,
  },
  [sym_rune_literal] = {
    .visible = true,
    .named = true,
  },
  [sym_nil] = {
    .visible = true,
    .named = true,
  },
  [sym_true] = {
    .visible = true,
    .named = true,
  },
  [sym_false] = {
    .visible = true,
    .named = true,
  },
  [sym_iota] = {
    .visible = true,
    .named = true,
  },
  [sym_comment] = {
    .visible = true,
    .named = true,
  },
  [sym_source_file] = {
    .visible = true,
    .named = true,
  },
  [sym_package_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_import_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_import_spec] = {
    .visible = true,
    .named = true,
  },
  [sym_dot] = {
    .visible = true,
    .named = true,
  },
  [sym_import_spec_list] = {
    .visible = true,
    .named = true,
  },
  [sym__declaration] = {
    .visible = false,
    .named = true,
  },
  [sym_const_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_const_spec] = {
    .visible = true,
    .named = true,
  },
  [sym_var_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_var_spec] = {
    .visible = true,
    .named = true,
  },
  [sym_function_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_method_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_type_parameter_list] = {
    .visible = true,
    .named = true,
  },
  [sym_type_parameter_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_parameter_list] = {
    .visible = true,
    .named = true,
  },
  [sym_parameter_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_variadic_parameter_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_type_alias] = {
    .visible = true,
    .named = true,
  },
  [sym_type_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_type_spec] = {
    .visible = true,
    .named = true,
  },
  [sym_expression_list] = {
    .visible = true,
    .named = true,
  },
  [sym_parenthesized_type] = {
    .visible = true,
    .named = true,
  },
  [sym__simple_type] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_generic_type] = {
    .visible = true,
    .named = true,
  },
  [sym_type_arguments] = {
    .visible = true,
    .named = true,
  },
  [sym_pointer_type] = {
    .visible = true,
    .named = true,
  },
  [sym_array_type] = {
    .visible = true,
    .named = true,
  },
  [sym_implicit_length_array_type] = {
    .visible = true,
    .named = true,
  },
  [sym_slice_type] = {
    .visible = true,
    .named = true,
  },
  [sym_struct_type] = {
    .visible = true,
    .named = true,
  },
  [sym_negated_type] = {
    .visible = true,
    .named = true,
  },
  [sym_field_declaration_list] = {
    .visible = true,
    .named = true,
  },
  [sym_field_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_interface_type] = {
    .visible = true,
    .named = true,
  },
  [sym_method_elem] = {
    .visible = true,
    .named = true,
  },
  [sym_type_elem] = {
    .visible = true,
    .named = true,
  },
  [sym_map_type] = {
    .visible = true,
    .named = true,
  },
  [sym_channel_type] = {
    .visible = true,
    .named = true,
  },
  [sym_function_type] = {
    .visible = true,
    .named = true,
  },
  [sym_block] = {
    .visible = true,
    .named = true,
  },
  [sym__statement_list] = {
    .visible = false,
    .named = true,
  },
  [sym__statement] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_empty_statement] = {
    .visible = true,
    .named = true,
  },
  [sym__simple_statement] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_expression_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_send_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_receive_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_inc_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_dec_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_assignment_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_short_var_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_labeled_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_empty_labeled_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_fallthrough_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_break_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_continue_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_goto_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_return_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_go_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_defer_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_if_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_for_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_for_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_range_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_expression_switch_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_expression_case] = {
    .visible = true,
    .named = true,
  },
  [sym_default_case] = {
    .visible = true,
    .named = true,
  },
  [sym_type_switch_statement] = {
    .visible = true,
    .named = true,
  },
  [sym__type_switch_header] = {
    .visible = false,
    .named = true,
  },
  [sym_type_case] = {
    .visible = true,
    .named = true,
  },
  [sym_select_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_communication_case] = {
    .visible = true,
    .named = true,
  },
  [sym__expression] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_parenthesized_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_call_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_variadic_argument] = {
    .visible = true,
    .named = true,
  },
  [sym_special_argument_list] = {
    .visible = true,
    .named = true,
  },
  [sym_argument_list] = {
    .visible = true,
    .named = true,
  },
  [sym_selector_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_index_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_slice_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_type_assertion_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_type_conversion_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_type_instantiation_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_composite_literal] = {
    .visible = true,
    .named = true,
  },
  [sym_literal_value] = {
    .visible = true,
    .named = true,
  },
  [sym_literal_element] = {
    .visible = true,
    .named = true,
  },
  [sym_keyed_element] = {
    .visible = true,
    .named = true,
  },
  [sym_func_literal] = {
    .visible = true,
    .named = true,
  },
  [sym_unary_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_binary_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_qualified_type] = {
    .visible = true,
    .named = true,
  },
  [sym_interpreted_string_literal] = {
    .visible = true,
    .named = true,
  },
  [aux_sym_source_file_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_import_spec_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_const_declaration_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_const_spec_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_var_declaration_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_type_parameter_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_type_parameter_declaration_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_parameter_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_type_declaration_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_expression_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_type_arguments_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_field_declaration_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_field_declaration_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_interface_type_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_type_elem_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__statement_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_expression_switch_statement_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_type_switch_statement_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_type_case_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_select_statement_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_argument_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_literal_value_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_interpreted_string_literal_repeat1] = {
    .visible = false,
    .named = false,
  },
  [alias_sym_field_identifier] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_label_name] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_package_identifier] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_type_constraint] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_type_identifier] = {
    .visible = true,
    .named = true,
  },
};

enum ts_field_identifiers {
  field_alias = 1,
  field_alternative = 2,
  field_arguments = 3,
  field_body = 4,
  field_capacity = 5,
  field_channel = 6,
  field_communication = 7,
  field_condition = 8,
  field_consequence = 9,
  field_element = 10,
  field_end = 11,
  field_field = 12,
  field_function = 13,
  field_index = 14,
  field_initializer = 15,
  field_key = 16,
  field_label = 17,
  field_left = 18,
  field_length = 19,
  field_name = 20,
  field_operand = 21,
  field_operator = 22,
  field_package = 23,
  field_parameters = 24,
  field_path = 25,
  field_receiver = 26,
  field_result = 27,
  field_right = 28,
  field_start = 29,
  field_tag = 30,
  field_type = 31,
  field_type_arguments = 32,
  field_type_parameters = 33,
  field_update = 34,
  field_value = 35,
};

static const char * const ts_field_names[] = {
  [0] = NULL,
  [field_alias] = "alias",
  [field_alternative] = "alternative",
  [field_arguments] = "arguments",
  [field_body] = "body",
  [field_capacity] = "capacity",
  [field_channel] = "channel",
  [field_communication] = "communication",
  [field_condition] = "condition",
  [field_consequence] = "consequence",
  [field_element] = "element",
  [field_end] = "end",
  [field_field] = "field",
  [field_function] = "function",
  [field_index] = "index",
  [field_initializer] = "initializer",
  [field_key] = "key",
  [field_label] = "label",
  [field_left] = "left",
  [field_length] = "length",
  [field_name] = "name",
  [field_operand] = "operand",
  [field_operator] = "operator",
  [field_package] = "package",
  [field_parameters] = "parameters",
  [field_path] = "path",
  [field_receiver] = "receiver",
  [field_result] = "result",
  [field_right] = "right",
  [field_start] = "start",
  [field_tag] = "tag",
  [field_type] = "type",
  [field_type_arguments] = "type_arguments",
  [field_type_parameters] = "type_parameters",
  [field_update] = "update",
  [field_value] = "value",
};

static const TSFieldMapSlice ts_field_map_slices[PRODUCTION_ID_COUNT] = {
  [3] = {.index = 0, .length = 1},
  [4] = {.index = 1, .length = 1},
  [5] = {.index = 2, .length = 1},
  [6] = {.index = 3, .length = 2},
  [7] = {.index = 5, .length = 1},
  [9] = {.index = 6, .length = 1},
  [10] = {.index = 7, .length = 2},
  [11] = {.index = 9, .length = 2},
  [12] = {.index = 11, .length = 2},
  [13] = {.index = 11, .length = 2},
  [14] = {.index = 9, .length = 2},
  [15] = {.index = 13, .length = 2},
  [16] = {.index = 13, .length = 2},
  [17] = {.index = 15, .length = 2},
  [18] = {.index = 17, .length = 2},
  [19] = {.index = 19, .length = 1},
  [20] = {.index = 20, .length = 2},
  [21] = {.index = 22, .length = 2},
  [22] = {.index = 24, .length = 2},
  [23] = {.index = 26, .length = 1},
  [24] = {.index = 17, .length = 2},
  [25] = {.index = 19, .length = 1},
  [26] = {.index = 27, .length = 1},
  [27] = {.index = 28, .length = 1},
  [28] = {.index = 29, .length = 2},
  [29] = {.index = 31, .length = 1},
  [30] = {.index = 32, .length = 1},
  [31] = {.index = 33, .length = 2},
  [32] = {.index = 35, .length = 3},
  [33] = {.index = 38, .length = 2},
  [34] = {.index = 40, .length = 2},
  [35] = {.index = 42, .length = 2},
  [36] = {.index = 44, .length = 3},
  [37] = {.index = 47, .length = 2},
  [38] = {.index = 49, .length = 3},
  [39] = {.index = 52, .length = 1},
  [40] = {.index = 53, .length = 3},
  [41] = {.index = 56, .length = 3},
  [42] = {.index = 59, .length = 3},
  [43] = {.index = 62, .length = 3},
  [44] = {.index = 65, .length = 3},
  [45] = {.index = 68, .length = 1},
  [46] = {.index = 69, .length = 2},
  [47] = {.index = 71, .length = 2},
  [48] = {.index = 73, .length = 3},
  [49] = {.index = 52, .length = 1},
  [50] = {.index = 76, .length = 2},
  [51] = {.index = 17, .length = 2},
  [52] = {.index = 76, .length = 2},
  [53] = {.index = 78, .length = 2},
  [54] = {.index = 80, .length = 1},
  [55] = {.index = 81, .length = 1},
  [56] = {.index = 82, .length = 1},
  [57] = {.index = 83, .length = 3},
  [58] = {.index = 86, .length = 1},
  [59] = {.index = 87, .length = 2},
  [60] = {.index = 89, .length = 1},
  [61] = {.index = 90, .length = 2},
  [62] = {.index = 92, .length = 3},
  [63] = {.index = 95, .length = 3},
  [64] = {.index = 98, .length = 1},
  [65] = {.index = 71, .length = 2},
  [66] = {.index = 99, .length = 3},
  [67] = {.index = 102, .length = 2},
  [68] = {.index = 17, .length = 2},
  [69] = {.index = 104, .length = 4},
  [70] = {.index = 108, .length = 4},
  [71] = {.index = 112, .length = 4},
  [72] = {.index = 116, .length = 4},
  [73] = {.index = 120, .length = 4},
  [74] = {.index = 124, .length = 2},
  [75] = {.index = 124, .length = 2},
  [76] = {.index = 98, .length = 1},
  [77] = {.index = 126, .length = 3},
  [78] = {.index = 99, .length = 3},
  [79] = {.index = 129, .length = 3},
  [80] = {.index = 132, .length = 2},
  [81] = {.index = 134, .length = 3},
  [82] = {.index = 137, .length = 3},
  [83] = {.index = 140, .length = 2},
  [84] = {.index = 142, .length = 2},
  [85] = {.index = 144, .length = 2},
  [86] = {.index = 146, .length = 2},
  [87] = {.index = 148, .length = 1},
  [88] = {.index = 149, .length = 1},
  [89] = {.index = 150, .length = 2},
  [90] = {.index = 152, .length = 2},
  [91] = {.index = 154, .length = 2},
  [92] = {.index = 156, .length = 4},
  [93] = {.index = 99, .length = 3},
  [94] = {.index = 160, .length = 5},
  [95] = {.index = 165, .length = 5},
  [96] = {.index = 170, .length = 4},
  [97] = {.index = 174, .length = 3},
  [98] = {.index = 177, .length = 2},
  [99] = {.index = 179, .length = 1},
  [100] = {.index = 180, .length = 3},
  [101] = {.index = 183, .length = 4},
  [102] = {.index = 187, .length = 2},
  [103] = {.index = 189, .length = 3},
  [104] = {.index = 192, .length = 2},
  [105] = {.index = 194, .length = 2},
  [106] = {.index = 196, .length = 4},
  [107] = {.index = 200, .length = 3},
};

static const TSFieldMapEntry ts_field_map_entries[] = {
  [0] =
    {field_path, 0},
  [1] =
    {field_name, 0},
  [2] =
    {field_parameters, 1},
  [3] =
    {field_operand, 1},
    {field_operator, 0},
  [5] =
    {field_value, 1},
  [6] =
    {field_body, 1},
  [7] =
    {field_arguments, 1},
    {field_function, 0},
  [9] =
    {field_type, 0},
    {field_type_arguments, 1},
  [11] =
    {field_body, 1},
    {field_type, 0},
  [13] =
    {field_name, 0},
    {field_path, 1},
  [15] =
    {field_name, 0},
    {field_name, 1},
  [17] =
    {field_name, 0},
    {field_type, 1},
  [19] =
    {field_type, 0},
  [20] =
    {field_name, 1},
    {field_parameters, 2},
  [22] =
    {field_parameters, 1},
    {field_result, 2},
  [24] =
    {field_body, 2},
    {field_parameters, 1},
  [26] =
    {field_element, 2},
  [27] =
    {field_label, 0},
  [28] =
    {field_value, 2},
  [29] =
    {field_condition, 1},
    {field_consequence, 2},
  [31] =
    {field_right, 1},
  [32] =
    {field_body, 2},
  [33] =
    {field_name, 2},
    {field_package, 0},
  [35] =
    {field_left, 0},
    {field_operator, 1},
    {field_right, 2},
  [38] =
    {field_left, 0},
    {field_right, 2},
  [40] =
    {field_field, 2},
    {field_operand, 0},
  [42] =
    {field_channel, 0},
    {field_value, 2},
  [44] =
    {field_arguments, 2},
    {field_function, 0},
    {field_type_arguments, 1},
  [47] =
    {field_name, 0},
    {field_value, 2},
  [49] =
    {field_name, 0},
    {field_name, 1},
    {field_type, 2},
  [52] =
    {field_type, 1},
  [53] =
    {field_name, 1},
    {field_parameters, 3},
    {field_type_parameters, 2},
  [56] =
    {field_name, 1},
    {field_parameters, 2},
    {field_result, 3},
  [59] =
    {field_body, 3},
    {field_name, 1},
    {field_parameters, 2},
  [62] =
    {field_name, 2},
    {field_parameters, 3},
    {field_receiver, 1},
  [65] =
    {field_body, 3},
    {field_parameters, 1},
    {field_result, 2},
  [68] =
    {field_element, 3},
  [69] =
    {field_element, 3},
    {field_length, 1},
  [71] =
    {field_name, 0},
    {field_type, 2},
  [73] =
    {field_name, 0},
    {field_type, 2},
    {field_type_parameters, 1},
  [76] =
    {field_tag, 1},
    {field_type, 0},
  [78] =
    {field_name, 0},
    {field_parameters, 1},
  [80] =
    {field_update, 2},
  [81] =
    {field_condition, 1},
  [82] =
    {field_initializer, 0},
  [83] =
    {field_alias, 1, .inherited = true},
    {field_initializer, 1, .inherited = true},
    {field_value, 1, .inherited = true},
  [86] =
    {field_right, 0},
  [87] =
    {field_operand, 2},
    {field_type, 0},
  [89] =
    {field_operand, 0},
  [90] =
    {field_index, 2},
    {field_operand, 0},
  [92] =
    {field_name, 0},
    {field_type, 1},
    {field_value, 3},
  [95] =
    {field_name, 0},
    {field_name, 1},
    {field_value, 3},
  [98] =
    {field_name, 1},
  [99] =
    {field_name, 0},
    {field_name, 1, .inherited = true},
    {field_type, 2},
  [102] =
    {field_name, 0, .inherited = true},
    {field_name, 1, .inherited = true},
  [104] =
    {field_name, 1},
    {field_parameters, 3},
    {field_result, 4},
    {field_type_parameters, 2},
  [108] =
    {field_body, 4},
    {field_name, 1},
    {field_parameters, 3},
    {field_type_parameters, 2},
  [112] =
    {field_body, 4},
    {field_name, 1},
    {field_parameters, 2},
    {field_result, 3},
  [116] =
    {field_name, 2},
    {field_parameters, 3},
    {field_receiver, 1},
    {field_result, 4},
  [120] =
    {field_body, 4},
    {field_name, 2},
    {field_parameters, 3},
    {field_receiver, 1},
  [124] =
    {field_tag, 2},
    {field_type, 1},
  [126] =
    {field_name, 0},
    {field_tag, 2},
    {field_type, 1},
  [129] =
    {field_name, 0},
    {field_parameters, 1},
    {field_result, 2},
  [132] =
    {field_key, 2},
    {field_value, 4},
  [134] =
    {field_condition, 3},
    {field_consequence, 4},
    {field_initializer, 1},
  [137] =
    {field_alternative, 4},
    {field_condition, 1},
    {field_consequence, 2},
  [140] =
    {field_condition, 1},
    {field_update, 3},
  [142] =
    {field_left, 0},
    {field_right, 3},
  [144] =
    {field_initializer, 0},
    {field_update, 3},
  [146] =
    {field_condition, 2},
    {field_initializer, 0},
  [148] =
    {field_initializer, 1},
  [149] =
    {field_communication, 1},
  [150] =
    {field_operand, 0},
    {field_type, 3},
  [152] =
    {field_end, 3},
    {field_operand, 0},
  [154] =
    {field_operand, 0},
    {field_start, 2},
  [156] =
    {field_name, 0},
    {field_name, 1},
    {field_type, 2},
    {field_value, 4},
  [160] =
    {field_body, 5},
    {field_name, 1},
    {field_parameters, 3},
    {field_result, 4},
    {field_type_parameters, 2},
  [165] =
    {field_body, 5},
    {field_name, 2},
    {field_parameters, 3},
    {field_receiver, 1},
    {field_result, 4},
  [170] =
    {field_name, 0},
    {field_name, 1, .inherited = true},
    {field_tag, 3},
    {field_type, 2},
  [174] =
    {field_condition, 2},
    {field_initializer, 0},
    {field_update, 4},
  [177] =
    {field_initializer, 1},
    {field_value, 3},
  [179] =
    {field_value, 0},
  [180] =
    {field_end, 4},
    {field_operand, 0},
    {field_start, 2},
  [183] =
    {field_alternative, 6},
    {field_condition, 3},
    {field_consequence, 4},
    {field_initializer, 1},
  [187] =
    {field_type, 1},
    {field_type, 2},
  [189] =
    {field_capacity, 5},
    {field_end, 3},
    {field_operand, 0},
  [192] =
    {field_alias, 0},
    {field_value, 2},
  [194] =
    {field_initializer, 0},
    {field_value, 2},
  [196] =
    {field_capacity, 6},
    {field_end, 4},
    {field_operand, 0},
    {field_start, 2},
  [200] =
    {field_alias, 2},
    {field_initializer, 0},
    {field_value, 4},
};

static const TSSymbol ts_alias_sequences[PRODUCTION_ID_COUNT][MAX_ALIAS_SEQUENCE_LENGTH] = {
  [0] = {0},
  [1] = {
    [0] = alias_sym_type_identifier,
  },
  [2] = {
    [1] = alias_sym_package_identifier,
  },
  [8] = {
    [1] = alias_sym_label_name,
  },
  [11] = {
    [0] = alias_sym_type_identifier,
  },
  [12] = {
    [0] = alias_sym_type_identifier,
  },
  [16] = {
    [0] = alias_sym_package_identifier,
  },
  [24] = {
    [0] = alias_sym_type_identifier,
  },
  [25] = {
    [0] = alias_sym_type_identifier,
  },
  [26] = {
    [0] = alias_sym_label_name,
  },
  [31] = {
    [0] = alias_sym_package_identifier,
    [2] = alias_sym_type_identifier,
  },
  [34] = {
    [2] = alias_sym_field_identifier,
  },
  [43] = {
    [2] = alias_sym_field_identifier,
  },
  [47] = {
    [0] = alias_sym_type_identifier,
  },
  [48] = {
    [0] = alias_sym_type_identifier,
  },
  [49] = {
    [1] = alias_sym_type_identifier,
  },
  [50] = {
    [0] = alias_sym_type_identifier,
  },
  [51] = {
    [0] = alias_sym_field_identifier,
  },
  [53] = {
    [0] = alias_sym_field_identifier,
  },
  [68] = {
    [1] = alias_sym_type_constraint,
  },
  [72] = {
    [2] = alias_sym_field_identifier,
  },
  [73] = {
    [2] = alias_sym_field_identifier,
  },
  [74] = {
    [1] = alias_sym_type_identifier,
  },
  [76] = {
    [1] = alias_sym_field_identifier,
  },
  [77] = {
    [0] = alias_sym_field_identifier,
  },
  [78] = {
    [0] = alias_sym_field_identifier,
  },
  [79] = {
    [0] = alias_sym_field_identifier,
  },
  [93] = {
    [2] = alias_sym_type_constraint,
  },
  [95] = {
    [2] = alias_sym_field_identifier,
  },
  [96] = {
    [0] = alias_sym_field_identifier,
  },
};

static const uint16_t ts_non_terminal_alias_map[] = {
  sym_type_elem, 2,
    sym_type_elem,
    alias_sym_type_constraint,
  0,
};

static const TSStateId ts_primary_state_ids[STATE_COUNT] = {
  [0] = 0,
  [1] = 1,
  [2] = 2,
  [3] = 3,
  [4] = 4,
  [5] = 5,
  [6] = 6,
  [7] = 7,
  [8] = 8,
  [9] = 9,
  [10] = 10,
  [11] = 11,
  [12] = 11,
  [13] = 13,
  [14] = 11,
  [15] = 11,
  [16] = 11,
  [17] = 11,
  [18] = 11,
  [19] = 19,
  [20] = 20,
  [21] = 21,
  [22] = 22,
  [23] = 23,
  [24] = 24,
  [25] = 25,
  [26] = 26,
  [27] = 27,
  [28] = 28,
  [29] = 29,
  [30] = 29,
  [31] = 29,
  [32] = 29,
  [33] = 29,
  [34] = 29,
  [35] = 35,
  [36] = 36,
  [37] = 35,
  [38] = 36,
  [39] = 35,
  [40] = 36,
  [41] = 35,
  [42] = 36,
  [43] = 35,
  [44] = 35,
  [45] = 36,
  [46] = 36,
  [47] = 47,
  [48] = 48,
  [49] = 49,
  [50] = 50,
  [51] = 51,
  [52] = 52,
  [53] = 53,
  [54] = 51,
  [55] = 55,
  [56] = 56,
  [57] = 57,
  [58] = 52,
  [59] = 55,
  [60] = 56,
  [61] = 57,
  [62] = 52,
  [63] = 55,
  [64] = 57,
  [65] = 52,
  [66] = 66,
  [67] = 55,
  [68] = 57,
  [69] = 57,
  [70] = 52,
  [71] = 55,
  [72] = 57,
  [73] = 55,
  [74] = 52,
  [75] = 75,
  [76] = 51,
  [77] = 51,
  [78] = 51,
  [79] = 51,
  [80] = 80,
  [81] = 81,
  [82] = 82,
  [83] = 83,
  [84] = 84,
  [85] = 85,
  [86] = 86,
  [87] = 82,
  [88] = 82,
  [89] = 89,
  [90] = 90,
  [91] = 86,
  [92] = 81,
  [93] = 93,
  [94] = 94,
  [95] = 83,
  [96] = 84,
  [97] = 81,
  [98] = 98,
  [99] = 86,
  [100] = 82,
  [101] = 90,
  [102] = 102,
  [103] = 86,
  [104] = 84,
  [105] = 105,
  [106] = 106,
  [107] = 83,
  [108] = 84,
  [109] = 83,
  [110] = 110,
  [111] = 111,
  [112] = 82,
  [113] = 113,
  [114] = 83,
  [115] = 86,
  [116] = 81,
  [117] = 94,
  [118] = 84,
  [119] = 83,
  [120] = 84,
  [121] = 121,
  [122] = 90,
  [123] = 123,
  [124] = 82,
  [125] = 125,
  [126] = 94,
  [127] = 86,
  [128] = 81,
  [129] = 81,
  [130] = 130,
  [131] = 131,
  [132] = 132,
  [133] = 133,
  [134] = 134,
  [135] = 135,
  [136] = 136,
  [137] = 137,
  [138] = 131,
  [139] = 132,
  [140] = 140,
  [141] = 133,
  [142] = 134,
  [143] = 143,
  [144] = 140,
  [145] = 130,
  [146] = 137,
  [147] = 147,
  [148] = 136,
  [149] = 149,
  [150] = 150,
  [151] = 151,
  [152] = 131,
  [153] = 132,
  [154] = 133,
  [155] = 134,
  [156] = 130,
  [157] = 136,
  [158] = 137,
  [159] = 159,
  [160] = 151,
  [161] = 143,
  [162] = 162,
  [163] = 163,
  [164] = 164,
  [165] = 165,
  [166] = 136,
  [167] = 143,
  [168] = 137,
  [169] = 169,
  [170] = 143,
  [171] = 171,
  [172] = 151,
  [173] = 143,
  [174] = 136,
  [175] = 131,
  [176] = 137,
  [177] = 151,
  [178] = 140,
  [179] = 133,
  [180] = 134,
  [181] = 130,
  [182] = 151,
  [183] = 131,
  [184] = 132,
  [185] = 133,
  [186] = 134,
  [187] = 130,
  [188] = 136,
  [189] = 151,
  [190] = 137,
  [191] = 131,
  [192] = 132,
  [193] = 133,
  [194] = 134,
  [195] = 130,
  [196] = 151,
  [197] = 131,
  [198] = 132,
  [199] = 133,
  [200] = 134,
  [201] = 130,
  [202] = 136,
  [203] = 151,
  [204] = 137,
  [205] = 136,
  [206] = 137,
  [207] = 136,
  [208] = 136,
  [209] = 135,
  [210] = 164,
  [211] = 131,
  [212] = 169,
  [213] = 171,
  [214] = 135,
  [215] = 164,
  [216] = 132,
  [217] = 169,
  [218] = 171,
  [219] = 135,
  [220] = 164,
  [221] = 133,
  [222] = 169,
  [223] = 171,
  [224] = 135,
  [225] = 164,
  [226] = 134,
  [227] = 169,
  [228] = 171,
  [229] = 135,
  [230] = 164,
  [231] = 130,
  [232] = 169,
  [233] = 171,
  [234] = 132,
  [235] = 235,
  [236] = 236,
  [237] = 237,
  [238] = 238,
  [239] = 239,
  [240] = 240,
  [241] = 241,
  [242] = 242,
  [243] = 243,
  [244] = 244,
  [245] = 245,
  [246] = 246,
  [247] = 247,
  [248] = 248,
  [249] = 249,
  [250] = 250,
  [251] = 251,
  [252] = 252,
  [253] = 253,
  [254] = 254,
  [255] = 255,
  [256] = 256,
  [257] = 257,
  [258] = 258,
  [259] = 259,
  [260] = 260,
  [261] = 261,
  [262] = 262,
  [263] = 263,
  [264] = 264,
  [265] = 265,
  [266] = 266,
  [267] = 267,
  [268] = 268,
  [269] = 269,
  [270] = 270,
  [271] = 271,
  [272] = 272,
  [273] = 273,
  [274] = 274,
  [275] = 275,
  [276] = 276,
  [277] = 277,
  [278] = 278,
  [279] = 279,
  [280] = 280,
  [281] = 281,
  [282] = 282,
  [283] = 283,
  [284] = 284,
  [285] = 285,
  [286] = 286,
  [287] = 287,
  [288] = 239,
  [289] = 243,
  [290] = 241,
  [291] = 242,
  [292] = 244,
  [293] = 238,
  [294] = 240,
  [295] = 246,
  [296] = 249,
  [297] = 276,
  [298] = 271,
  [299] = 250,
  [300] = 251,
  [301] = 273,
  [302] = 274,
  [303] = 277,
  [304] = 272,
  [305] = 278,
  [306] = 253,
  [307] = 279,
  [308] = 281,
  [309] = 247,
  [310] = 285,
  [311] = 252,
  [312] = 256,
  [313] = 259,
  [314] = 268,
  [315] = 248,
  [316] = 286,
  [317] = 254,
  [318] = 255,
  [319] = 282,
  [320] = 257,
  [321] = 258,
  [322] = 283,
  [323] = 261,
  [324] = 262,
  [325] = 263,
  [326] = 264,
  [327] = 265,
  [328] = 266,
  [329] = 267,
  [330] = 269,
  [331] = 270,
  [332] = 284,
  [333] = 280,
  [334] = 238,
  [335] = 335,
  [336] = 246,
  [337] = 244,
  [338] = 240,
  [339] = 243,
  [340] = 241,
  [341] = 242,
  [342] = 249,
  [343] = 250,
  [344] = 285,
  [345] = 256,
  [346] = 251,
  [347] = 259,
  [348] = 268,
  [349] = 248,
  [350] = 286,
  [351] = 254,
  [352] = 255,
  [353] = 247,
  [354] = 280,
  [355] = 252,
  [356] = 253,
  [357] = 257,
  [358] = 258,
  [359] = 284,
  [360] = 262,
  [361] = 263,
  [362] = 264,
  [363] = 265,
  [364] = 266,
  [365] = 267,
  [366] = 269,
  [367] = 270,
  [368] = 271,
  [369] = 272,
  [370] = 273,
  [371] = 274,
  [372] = 276,
  [373] = 277,
  [374] = 278,
  [375] = 279,
  [376] = 281,
  [377] = 282,
  [378] = 283,
  [379] = 261,
  [380] = 380,
  [381] = 381,
  [382] = 381,
  [383] = 246,
  [384] = 240,
  [385] = 238,
  [386] = 249,
  [387] = 387,
  [388] = 388,
  [389] = 254,
  [390] = 257,
  [391] = 258,
  [392] = 261,
  [393] = 262,
  [394] = 263,
  [395] = 264,
  [396] = 265,
  [397] = 397,
  [398] = 266,
  [399] = 267,
  [400] = 269,
  [401] = 270,
  [402] = 271,
  [403] = 272,
  [404] = 273,
  [405] = 268,
  [406] = 274,
  [407] = 276,
  [408] = 277,
  [409] = 278,
  [410] = 279,
  [411] = 281,
  [412] = 282,
  [413] = 283,
  [414] = 284,
  [415] = 285,
  [416] = 238,
  [417] = 248,
  [418] = 250,
  [419] = 253,
  [420] = 247,
  [421] = 280,
  [422] = 252,
  [423] = 256,
  [424] = 251,
  [425] = 255,
  [426] = 259,
  [427] = 286,
  [428] = 246,
  [429] = 240,
  [430] = 243,
  [431] = 381,
  [432] = 241,
  [433] = 243,
  [434] = 242,
  [435] = 335,
  [436] = 241,
  [437] = 244,
  [438] = 244,
  [439] = 242,
  [440] = 381,
  [441] = 441,
  [442] = 238,
  [443] = 443,
  [444] = 444,
  [445] = 249,
  [446] = 446,
  [447] = 447,
  [448] = 448,
  [449] = 449,
  [450] = 450,
  [451] = 451,
  [452] = 254,
  [453] = 270,
  [454] = 251,
  [455] = 271,
  [456] = 247,
  [457] = 272,
  [458] = 273,
  [459] = 274,
  [460] = 276,
  [461] = 248,
  [462] = 243,
  [463] = 241,
  [464] = 242,
  [465] = 244,
  [466] = 277,
  [467] = 278,
  [468] = 468,
  [469] = 279,
  [470] = 335,
  [471] = 281,
  [472] = 282,
  [473] = 283,
  [474] = 284,
  [475] = 285,
  [476] = 269,
  [477] = 449,
  [478] = 468,
  [479] = 257,
  [480] = 381,
  [481] = 258,
  [482] = 255,
  [483] = 250,
  [484] = 261,
  [485] = 262,
  [486] = 263,
  [487] = 246,
  [488] = 253,
  [489] = 280,
  [490] = 252,
  [491] = 264,
  [492] = 256,
  [493] = 259,
  [494] = 268,
  [495] = 265,
  [496] = 286,
  [497] = 468,
  [498] = 381,
  [499] = 266,
  [500] = 451,
  [501] = 240,
  [502] = 267,
  [503] = 448,
  [504] = 504,
  [505] = 504,
  [506] = 506,
  [507] = 507,
  [508] = 508,
  [509] = 506,
  [510] = 506,
  [511] = 508,
  [512] = 508,
  [513] = 249,
  [514] = 504,
  [515] = 504,
  [516] = 504,
  [517] = 504,
  [518] = 238,
  [519] = 519,
  [520] = 238,
  [521] = 397,
  [522] = 252,
  [523] = 283,
  [524] = 284,
  [525] = 285,
  [526] = 526,
  [527] = 527,
  [528] = 257,
  [529] = 258,
  [530] = 250,
  [531] = 531,
  [532] = 278,
  [533] = 533,
  [534] = 261,
  [535] = 279,
  [536] = 536,
  [537] = 533,
  [538] = 538,
  [539] = 538,
  [540] = 262,
  [541] = 263,
  [542] = 538,
  [543] = 253,
  [544] = 281,
  [545] = 238,
  [546] = 264,
  [547] = 247,
  [548] = 265,
  [549] = 280,
  [550] = 244,
  [551] = 277,
  [552] = 397,
  [553] = 251,
  [554] = 266,
  [555] = 282,
  [556] = 556,
  [557] = 267,
  [558] = 269,
  [559] = 256,
  [560] = 243,
  [561] = 244,
  [562] = 562,
  [563] = 241,
  [564] = 270,
  [565] = 527,
  [566] = 242,
  [567] = 567,
  [568] = 271,
  [569] = 272,
  [570] = 243,
  [571] = 241,
  [572] = 259,
  [573] = 242,
  [574] = 268,
  [575] = 273,
  [576] = 248,
  [577] = 286,
  [578] = 527,
  [579] = 579,
  [580] = 254,
  [581] = 533,
  [582] = 255,
  [583] = 274,
  [584] = 276,
  [585] = 585,
  [586] = 586,
  [587] = 446,
  [588] = 335,
  [589] = 335,
  [590] = 590,
  [591] = 586,
  [592] = 592,
  [593] = 443,
  [594] = 594,
  [595] = 590,
  [596] = 596,
  [597] = 586,
  [598] = 598,
  [599] = 599,
  [600] = 600,
  [601] = 443,
  [602] = 594,
  [603] = 598,
  [604] = 590,
  [605] = 586,
  [606] = 596,
  [607] = 599,
  [608] = 443,
  [609] = 594,
  [610] = 590,
  [611] = 611,
  [612] = 586,
  [613] = 599,
  [614] = 614,
  [615] = 443,
  [616] = 594,
  [617] = 443,
  [618] = 594,
  [619] = 590,
  [620] = 586,
  [621] = 599,
  [622] = 590,
  [623] = 596,
  [624] = 624,
  [625] = 624,
  [626] = 626,
  [627] = 594,
  [628] = 598,
  [629] = 599,
  [630] = 599,
  [631] = 631,
  [632] = 632,
  [633] = 633,
  [634] = 634,
  [635] = 633,
  [636] = 636,
  [637] = 637,
  [638] = 633,
  [639] = 639,
  [640] = 637,
  [641] = 641,
  [642] = 446,
  [643] = 643,
  [644] = 644,
  [645] = 632,
  [646] = 631,
  [647] = 633,
  [648] = 648,
  [649] = 644,
  [650] = 631,
  [651] = 651,
  [652] = 639,
  [653] = 633,
  [654] = 631,
  [655] = 632,
  [656] = 656,
  [657] = 657,
  [658] = 631,
  [659] = 637,
  [660] = 644,
  [661] = 639,
  [662] = 637,
  [663] = 663,
  [664] = 639,
  [665] = 637,
  [666] = 632,
  [667] = 651,
  [668] = 633,
  [669] = 651,
  [670] = 644,
  [671] = 671,
  [672] = 632,
  [673] = 632,
  [674] = 639,
  [675] = 637,
  [676] = 631,
  [677] = 639,
  [678] = 644,
  [679] = 644,
  [680] = 680,
  [681] = 681,
  [682] = 682,
  [683] = 683,
  [684] = 684,
  [685] = 684,
  [686] = 686,
  [687] = 683,
  [688] = 688,
  [689] = 689,
  [690] = 690,
  [691] = 691,
  [692] = 681,
  [693] = 693,
  [694] = 694,
  [695] = 695,
  [696] = 696,
  [697] = 695,
  [698] = 686,
  [699] = 683,
  [700] = 686,
  [701] = 701,
  [702] = 684,
  [703] = 691,
  [704] = 691,
  [705] = 705,
  [706] = 706,
  [707] = 682,
  [708] = 705,
  [709] = 683,
  [710] = 684,
  [711] = 691,
  [712] = 712,
  [713] = 695,
  [714] = 714,
  [715] = 682,
  [716] = 693,
  [717] = 714,
  [718] = 693,
  [719] = 684,
  [720] = 714,
  [721] = 686,
  [722] = 722,
  [723] = 723,
  [724] = 695,
  [725] = 725,
  [726] = 695,
  [727] = 722,
  [728] = 681,
  [729] = 729,
  [730] = 693,
  [731] = 712,
  [732] = 705,
  [733] = 696,
  [734] = 683,
  [735] = 735,
  [736] = 722,
  [737] = 681,
  [738] = 688,
  [739] = 714,
  [740] = 712,
  [741] = 695,
  [742] = 696,
  [743] = 686,
  [744] = 723,
  [745] = 705,
  [746] = 722,
  [747] = 681,
  [748] = 686,
  [749] = 712,
  [750] = 714,
  [751] = 696,
  [752] = 693,
  [753] = 705,
  [754] = 688,
  [755] = 722,
  [756] = 681,
  [757] = 705,
  [758] = 712,
  [759] = 691,
  [760] = 696,
  [761] = 691,
  [762] = 722,
  [763] = 693,
  [764] = 712,
  [765] = 683,
  [766] = 696,
  [767] = 714,
  [768] = 684,
  [769] = 769,
  [770] = 770,
  [771] = 771,
  [772] = 772,
  [773] = 773,
  [774] = 774,
  [775] = 770,
  [776] = 769,
  [777] = 772,
  [778] = 771,
  [779] = 772,
  [780] = 770,
  [781] = 769,
  [782] = 771,
  [783] = 783,
  [784] = 784,
  [785] = 785,
  [786] = 785,
  [787] = 773,
  [788] = 788,
  [789] = 789,
  [790] = 788,
  [791] = 774,
  [792] = 792,
  [793] = 793,
  [794] = 794,
  [795] = 795,
  [796] = 795,
  [797] = 788,
  [798] = 798,
  [799] = 799,
  [800] = 800,
  [801] = 801,
  [802] = 802,
  [803] = 803,
  [804] = 804,
  [805] = 805,
  [806] = 806,
  [807] = 807,
  [808] = 808,
  [809] = 809,
  [810] = 810,
  [811] = 811,
  [812] = 812,
  [813] = 813,
  [814] = 814,
  [815] = 815,
  [816] = 816,
  [817] = 817,
  [818] = 818,
  [819] = 819,
  [820] = 820,
  [821] = 821,
  [822] = 822,
  [823] = 823,
  [824] = 824,
  [825] = 825,
  [826] = 826,
  [827] = 827,
  [828] = 785,
  [829] = 829,
  [830] = 830,
  [831] = 785,
  [832] = 832,
  [833] = 833,
  [834] = 834,
  [835] = 833,
  [836] = 795,
  [837] = 837,
  [838] = 820,
  [839] = 798,
  [840] = 805,
  [841] = 841,
  [842] = 818,
  [843] = 811,
  [844] = 821,
  [845] = 800,
  [846] = 837,
  [847] = 806,
  [848] = 848,
  [849] = 807,
  [850] = 822,
  [851] = 851,
  [852] = 823,
  [853] = 801,
  [854] = 808,
  [855] = 824,
  [856] = 802,
  [857] = 809,
  [858] = 810,
  [859] = 825,
  [860] = 799,
  [861] = 803,
  [862] = 862,
  [863] = 813,
  [864] = 851,
  [865] = 865,
  [866] = 814,
  [867] = 815,
  [868] = 816,
  [869] = 819,
  [870] = 795,
  [871] = 817,
  [872] = 804,
  [873] = 841,
  [874] = 785,
  [875] = 875,
  [876] = 876,
  [877] = 785,
  [878] = 878,
  [879] = 879,
  [880] = 879,
  [881] = 881,
  [882] = 784,
  [883] = 875,
  [884] = 884,
  [885] = 875,
  [886] = 783,
  [887] = 884,
  [888] = 879,
  [889] = 884,
  [890] = 890,
  [891] = 891,
  [892] = 892,
  [893] = 893,
  [894] = 894,
  [895] = 895,
  [896] = 896,
  [897] = 897,
  [898] = 898,
  [899] = 795,
  [900] = 900,
  [901] = 901,
  [902] = 795,
  [903] = 903,
  [904] = 904,
  [905] = 905,
  [906] = 906,
  [907] = 907,
  [908] = 908,
  [909] = 909,
  [910] = 910,
  [911] = 911,
  [912] = 912,
  [913] = 913,
  [914] = 914,
  [915] = 915,
  [916] = 916,
  [917] = 917,
  [918] = 918,
  [919] = 919,
  [920] = 920,
  [921] = 921,
  [922] = 922,
  [923] = 923,
  [924] = 924,
  [925] = 925,
  [926] = 926,
  [927] = 927,
  [928] = 928,
  [929] = 929,
  [930] = 930,
  [931] = 931,
  [932] = 932,
  [933] = 933,
  [934] = 934,
  [935] = 935,
  [936] = 936,
  [937] = 937,
  [938] = 938,
  [939] = 939,
  [940] = 940,
  [941] = 941,
  [942] = 942,
  [943] = 943,
  [944] = 944,
  [945] = 945,
  [946] = 946,
  [947] = 947,
  [948] = 948,
  [949] = 949,
  [950] = 825,
  [951] = 951,
  [952] = 799,
  [953] = 953,
  [954] = 800,
  [955] = 955,
  [956] = 801,
  [957] = 957,
  [958] = 802,
  [959] = 959,
  [960] = 960,
  [961] = 961,
  [962] = 962,
  [963] = 783,
  [964] = 804,
  [965] = 965,
  [966] = 805,
  [967] = 806,
  [968] = 807,
  [969] = 969,
  [970] = 808,
  [971] = 809,
  [972] = 810,
  [973] = 811,
  [974] = 974,
  [975] = 975,
  [976] = 976,
  [977] = 977,
  [978] = 951,
  [979] = 979,
  [980] = 784,
  [981] = 981,
  [982] = 982,
  [983] = 813,
  [984] = 814,
  [985] = 815,
  [986] = 816,
  [987] = 817,
  [988] = 988,
  [989] = 818,
  [990] = 990,
  [991] = 819,
  [992] = 820,
  [993] = 798,
  [994] = 821,
  [995] = 995,
  [996] = 996,
  [997] = 997,
  [998] = 822,
  [999] = 823,
  [1000] = 824,
  [1001] = 1001,
  [1002] = 1002,
  [1003] = 1003,
  [1004] = 1004,
  [1005] = 1005,
  [1006] = 1006,
  [1007] = 1007,
  [1008] = 1008,
  [1009] = 1009,
  [1010] = 803,
  [1011] = 1011,
  [1012] = 862,
  [1013] = 862,
  [1014] = 1014,
  [1015] = 1015,
  [1016] = 1016,
  [1017] = 1017,
  [1018] = 1018,
  [1019] = 1019,
  [1020] = 1014,
  [1021] = 1021,
  [1022] = 862,
  [1023] = 1017,
  [1024] = 955,
  [1025] = 862,
  [1026] = 1026,
  [1027] = 862,
  [1028] = 953,
  [1029] = 975,
  [1030] = 1017,
  [1031] = 1021,
  [1032] = 1019,
  [1033] = 1033,
  [1034] = 1034,
  [1035] = 1035,
  [1036] = 1036,
  [1037] = 1016,
  [1038] = 1033,
  [1039] = 1016,
  [1040] = 1040,
  [1041] = 1033,
  [1042] = 1014,
  [1043] = 1043,
  [1044] = 1044,
  [1045] = 1045,
  [1046] = 1046,
  [1047] = 1047,
  [1048] = 1048,
  [1049] = 1049,
  [1050] = 1050,
  [1051] = 1051,
  [1052] = 1052,
  [1053] = 1053,
  [1054] = 919,
  [1055] = 1055,
  [1056] = 1056,
  [1057] = 1043,
  [1058] = 881,
  [1059] = 1059,
  [1060] = 1060,
  [1061] = 1061,
  [1062] = 251,
  [1063] = 1063,
  [1064] = 1064,
  [1065] = 1065,
  [1066] = 1066,
  [1067] = 878,
  [1068] = 1044,
  [1069] = 1069,
  [1070] = 1070,
  [1071] = 1071,
  [1072] = 982,
  [1073] = 1073,
  [1074] = 1074,
  [1075] = 1043,
  [1076] = 881,
  [1077] = 878,
  [1078] = 1078,
  [1079] = 1064,
  [1080] = 878,
  [1081] = 1044,
  [1082] = 946,
  [1083] = 1064,
  [1084] = 1084,
  [1085] = 1085,
  [1086] = 881,
  [1087] = 1087,
  [1088] = 881,
  [1089] = 1089,
  [1090] = 1064,
  [1091] = 878,
  [1092] = 1044,
  [1093] = 247,
  [1094] = 1094,
  [1095] = 1095,
  [1096] = 1043,
  [1097] = 1043,
  [1098] = 881,
  [1099] = 1099,
  [1100] = 1064,
  [1101] = 1101,
  [1102] = 878,
  [1103] = 1044,
  [1104] = 1104,
  [1105] = 1105,
  [1106] = 248,
  [1107] = 1078,
  [1108] = 1108,
  [1109] = 1064,
  [1110] = 1064,
  [1111] = 1101,
  [1112] = 1043,
  [1113] = 1113,
  [1114] = 1114,
  [1115] = 1044,
  [1116] = 1048,
  [1117] = 1117,
  [1118] = 1118,
  [1119] = 1119,
  [1120] = 1049,
  [1121] = 1121,
  [1122] = 1122,
  [1123] = 1123,
  [1124] = 250,
  [1125] = 1043,
  [1126] = 1126,
  [1127] = 1127,
  [1128] = 1040,
  [1129] = 1129,
  [1130] = 1130,
  [1131] = 1131,
  [1132] = 1126,
  [1133] = 1133,
  [1134] = 1134,
  [1135] = 1130,
  [1136] = 1136,
  [1137] = 1137,
  [1138] = 1138,
  [1139] = 1139,
  [1140] = 1046,
  [1141] = 1141,
  [1142] = 1053,
  [1143] = 1055,
  [1144] = 1144,
  [1145] = 1136,
  [1146] = 1127,
  [1147] = 1117,
  [1148] = 1148,
  [1149] = 1129,
  [1150] = 1131,
  [1151] = 1151,
  [1152] = 1152,
  [1153] = 1137,
  [1154] = 1073,
  [1155] = 1127,
  [1156] = 1129,
  [1157] = 1157,
  [1158] = 1131,
  [1159] = 1159,
  [1160] = 1139,
  [1161] = 1161,
  [1162] = 1133,
  [1163] = 1130,
  [1164] = 1136,
  [1165] = 1151,
  [1166] = 1166,
  [1167] = 1126,
  [1168] = 1168,
  [1169] = 1169,
  [1170] = 1126,
  [1171] = 1171,
  [1172] = 1172,
  [1173] = 1171,
  [1174] = 1168,
  [1175] = 1175,
  [1176] = 1176,
  [1177] = 1133,
  [1178] = 1178,
  [1179] = 1130,
  [1180] = 1137,
  [1181] = 1094,
  [1182] = 1126,
  [1183] = 1129,
  [1184] = 1131,
  [1185] = 1136,
  [1186] = 1186,
  [1187] = 1126,
  [1188] = 1133,
  [1189] = 1130,
  [1190] = 1130,
  [1191] = 1136,
  [1192] = 1069,
  [1193] = 1193,
  [1194] = 1085,
  [1195] = 1168,
  [1196] = 1196,
  [1197] = 1197,
  [1198] = 1198,
  [1199] = 1199,
  [1200] = 1200,
  [1201] = 1201,
  [1202] = 1202,
  [1203] = 1144,
  [1204] = 783,
  [1205] = 1169,
  [1206] = 1127,
  [1207] = 1207,
  [1208] = 1129,
  [1209] = 784,
  [1210] = 1133,
  [1211] = 1137,
  [1212] = 1139,
  [1213] = 1131,
  [1214] = 1175,
  [1215] = 1215,
  [1216] = 1051,
  [1217] = 1127,
  [1218] = 1218,
  [1219] = 1219,
  [1220] = 1129,
  [1221] = 1221,
  [1222] = 1131,
  [1223] = 1223,
  [1224] = 1118,
  [1225] = 784,
  [1226] = 1121,
  [1227] = 1227,
  [1228] = 1136,
  [1229] = 1122,
  [1230] = 1137,
  [1231] = 1151,
  [1232] = 1133,
  [1233] = 1137,
  [1234] = 1169,
  [1235] = 1127,
  [1236] = 1236,
  [1237] = 1237,
  [1238] = 979,
  [1239] = 1239,
  [1240] = 1240,
  [1241] = 1241,
  [1242] = 1242,
  [1243] = 981,
  [1244] = 1244,
  [1245] = 1245,
  [1246] = 1245,
  [1247] = 1247,
  [1248] = 1248,
  [1249] = 1245,
  [1250] = 1245,
  [1251] = 1245,
  [1252] = 1252,
  [1253] = 1253,
  [1254] = 1248,
  [1255] = 1255,
  [1256] = 1256,
  [1257] = 1237,
  [1258] = 1237,
  [1259] = 1259,
  [1260] = 1260,
  [1261] = 1260,
  [1262] = 1262,
  [1263] = 1005,
  [1264] = 1264,
  [1265] = 912,
  [1266] = 1266,
  [1267] = 1267,
  [1268] = 1248,
  [1269] = 913,
  [1270] = 1248,
  [1271] = 1271,
  [1272] = 1272,
  [1273] = 1273,
  [1274] = 1274,
  [1275] = 1237,
  [1276] = 1240,
  [1277] = 1277,
  [1278] = 1260,
  [1279] = 1279,
  [1280] = 1280,
  [1281] = 1281,
  [1282] = 1282,
  [1283] = 1283,
  [1284] = 1279,
  [1285] = 1282,
  [1286] = 1279,
  [1287] = 1244,
  [1288] = 1260,
  [1289] = 1237,
  [1290] = 1279,
  [1291] = 1291,
  [1292] = 1245,
  [1293] = 1248,
  [1294] = 1294,
  [1295] = 1279,
  [1296] = 1260,
  [1297] = 1248,
  [1298] = 1298,
  [1299] = 1279,
  [1300] = 1237,
  [1301] = 1301,
  [1302] = 1260,
  [1303] = 1303,
  [1304] = 1244,
  [1305] = 1240,
  [1306] = 1240,
  [1307] = 1240,
  [1308] = 1240,
  [1309] = 1309,
  [1310] = 1310,
  [1311] = 1311,
  [1312] = 1310,
  [1313] = 1313,
  [1314] = 1314,
  [1315] = 1310,
  [1316] = 1316,
  [1317] = 1313,
  [1318] = 1318,
  [1319] = 1319,
  [1320] = 1320,
  [1321] = 1321,
  [1322] = 1322,
  [1323] = 1313,
  [1324] = 1324,
  [1325] = 1321,
  [1326] = 1326,
  [1327] = 1313,
  [1328] = 1328,
  [1329] = 1310,
  [1330] = 1330,
  [1331] = 1331,
  [1332] = 1332,
  [1333] = 1310,
  [1334] = 1313,
  [1335] = 1324,
  [1336] = 1336,
  [1337] = 1314,
  [1338] = 1316,
  [1339] = 1339,
  [1340] = 1340,
  [1341] = 1319,
  [1342] = 1331,
  [1343] = 1326,
  [1344] = 1344,
  [1345] = 1345,
  [1346] = 1331,
  [1347] = 1316,
  [1348] = 1319,
  [1349] = 1324,
  [1350] = 1321,
  [1351] = 1351,
  [1352] = 1324,
  [1353] = 1353,
  [1354] = 1324,
  [1355] = 1355,
  [1356] = 1318,
  [1357] = 1319,
  [1358] = 1318,
  [1359] = 1336,
  [1360] = 1360,
  [1361] = 1361,
  [1362] = 1362,
  [1363] = 1321,
  [1364] = 1324,
  [1365] = 1365,
  [1366] = 1318,
  [1367] = 1367,
  [1368] = 1368,
  [1369] = 1369,
  [1370] = 1318,
  [1371] = 1328,
  [1372] = 1372,
  [1373] = 1328,
  [1374] = 1310,
  [1375] = 1313,
  [1376] = 1376,
  [1377] = 1321,
  [1378] = 1378,
  [1379] = 1314,
  [1380] = 1380,
  [1381] = 1381,
  [1382] = 1382,
  [1383] = 1313,
  [1384] = 1384,
  [1385] = 1319,
  [1386] = 1386,
  [1387] = 1376,
  [1388] = 1388,
  [1389] = 1376,
  [1390] = 1321,
  [1391] = 1376,
  [1392] = 1319,
  [1393] = 1376,
  [1394] = 1394,
  [1395] = 1376,
  [1396] = 1396,
  [1397] = 1318,
};

static TSCharacterRange sym_identifier_character_set_1[] = {
  {'A', 'Z'}, {'_', '_'}, {'a', 'z'}, {0xaa, 0xaa}, {0xb5, 0xb5}, {0xba, 0xba}, {0xc0, 0xd6}, {0xd8, 0xf6},
  {0xf8, 0x2c1}, {0x2c6, 0x2d1}, {0x2e0, 0x2e4}, {0x2ec, 0x2ec}, {0x2ee, 0x2ee}, {0x370, 0x374}, {0x376, 0x377}, {0x37b, 0x37d},
  {0x37f, 0x37f}, {0x386, 0x386}, {0x388, 0x38a}, {0x38c, 0x38c}, {0x38e, 0x3a1}, {0x3a3, 0x3f5}, {0x3f7, 0x481}, {0x48a, 0x52f},
  {0x531, 0x556}, {0x559, 0x559}, {0x560, 0x588}, {0x5d0, 0x5ea}, {0x5ef, 0x5f2}, {0x620, 0x64a}, {0x66e, 0x66f}, {0x671, 0x6d3},
  {0x6d5, 0x6d5}, {0x6e5, 0x6e6}, {0x6ee, 0x6ef}, {0x6fa, 0x6fc}, {0x6ff, 0x6ff}, {0x710, 0x710}, {0x712, 0x72f}, {0x74d, 0x7a5},
  {0x7b1, 0x7b1}, {0x7ca, 0x7ea}, {0x7f4, 0x7f5}, {0x7fa, 0x7fa}, {0x800, 0x815}, {0x81a, 0x81a}, {0x824, 0x824}, {0x828, 0x828},
  {0x840, 0x858}, {0x860, 0x86a}, {0x870, 0x887}, {0x889, 0x88e}, {0x8a0, 0x8c9}, {0x904, 0x939}, {0x93d, 0x93d}, {0x950, 0x950},
  {0x958, 0x961}, {0x971, 0x980}, {0x985, 0x98c}, {0x98f, 0x990}, {0x993, 0x9a8}, {0x9aa, 0x9b0}, {0x9b2, 0x9b2}, {0x9b6, 0x9b9},
  {0x9bd, 0x9bd}, {0x9ce, 0x9ce}, {0x9dc, 0x9dd}, {0x9df, 0x9e1}, {0x9f0, 0x9f1}, {0x9fc, 0x9fc}, {0xa05, 0xa0a}, {0xa0f, 0xa10},
  {0xa13, 0xa28}, {0xa2a, 0xa30}, {0xa32, 0xa33}, {0xa35, 0xa36}, {0xa38, 0xa39}, {0xa59, 0xa5c}, {0xa5e, 0xa5e}, {0xa72, 0xa74},
  {0xa85, 0xa8d}, {0xa8f, 0xa91}, {0xa93, 0xaa8}, {0xaaa, 0xab0}, {0xab2, 0xab3}, {0xab5, 0xab9}, {0xabd, 0xabd}, {0xad0, 0xad0},
  {0xae0, 0xae1}, {0xaf9, 0xaf9}, {0xb05, 0xb0c}, {0xb0f, 0xb10}, {0xb13, 0xb28}, {0xb2a, 0xb30}, {0xb32, 0xb33}, {0xb35, 0xb39},
  {0xb3d, 0xb3d}, {0xb5c, 0xb5d}, {0xb5f, 0xb61}, {0xb71, 0xb71}, {0xb83, 0xb83}, {0xb85, 0xb8a}, {0xb8e, 0xb90}, {0xb92, 0xb95},
  {0xb99, 0xb9a}, {0xb9c, 0xb9c}, {0xb9e, 0xb9f}, {0xba3, 0xba4}, {0xba8, 0xbaa}, {0xbae, 0xbb9}, {0xbd0, 0xbd0}, {0xc05, 0xc0c},
  {0xc0e, 0xc10}, {0xc12, 0xc28}, {0xc2a, 0xc39}, {0xc3d, 0xc3d}, {0xc58, 0xc5a}, {0xc5d, 0xc5d}, {0xc60, 0xc61}, {0xc80, 0xc80},
  {0xc85, 0xc8c}, {0xc8e, 0xc90}, {0xc92, 0xca8}, {0xcaa, 0xcb3}, {0xcb5, 0xcb9}, {0xcbd, 0xcbd}, {0xcdd, 0xcde}, {0xce0, 0xce1},
  {0xcf1, 0xcf2}, {0xd04, 0xd0c}, {0xd0e, 0xd10}, {0xd12, 0xd3a}, {0xd3d, 0xd3d}, {0xd4e, 0xd4e}, {0xd54, 0xd56}, {0xd5f, 0xd61},
  {0xd7a, 0xd7f}, {0xd85, 0xd96}, {0xd9a, 0xdb1}, {0xdb3, 0xdbb}, {0xdbd, 0xdbd}, {0xdc0, 0xdc6}, {0xe01, 0xe30}, {0xe32, 0xe32},
  {0xe40, 0xe46}, {0xe81, 0xe82}, {0xe84, 0xe84}, {0xe86, 0xe8a}, {0xe8c, 0xea3}, {0xea5, 0xea5}, {0xea7, 0xeb0}, {0xeb2, 0xeb2},
  {0xebd, 0xebd}, {0xec0, 0xec4}, {0xec6, 0xec6}, {0xedc, 0xedf}, {0xf00, 0xf00}, {0xf40, 0xf47}, {0xf49, 0xf6c}, {0xf88, 0xf8c},
  {0x1000, 0x102a}, {0x103f, 0x103f}, {0x1050, 0x1055}, {0x105a, 0x105d}, {0x1061, 0x1061}, {0x1065, 0x1066}, {0x106e, 0x1070}, {0x1075, 0x1081},
  {0x108e, 0x108e}, {0x10a0, 0x10c5}, {0x10c7, 0x10c7}, {0x10cd, 0x10cd}, {0x10d0, 0x10fa}, {0x10fc, 0x1248}, {0x124a, 0x124d}, {0x1250, 0x1256},
  {0x1258, 0x1258}, {0x125a, 0x125d}, {0x1260, 0x1288}, {0x128a, 0x128d}, {0x1290, 0x12b0}, {0x12b2, 0x12b5}, {0x12b8, 0x12be}, {0x12c0, 0x12c0},
  {0x12c2, 0x12c5}, {0x12c8, 0x12d6}, {0x12d8, 0x1310}, {0x1312, 0x1315}, {0x1318, 0x135a}, {0x1380, 0x138f}, {0x13a0, 0x13f5}, {0x13f8, 0x13fd},
  {0x1401, 0x166c}, {0x166f, 0x167f}, {0x1681, 0x169a}, {0x16a0, 0x16ea}, {0x16ee, 0x16f8}, {0x1700, 0x1711}, {0x171f, 0x1731}, {0x1740, 0x1751},
  {0x1760, 0x176c}, {0x176e, 0x1770}, {0x1780, 0x17b3}, {0x17d7, 0x17d7}, {0x17dc, 0x17dc}, {0x1820, 0x1878}, {0x1880, 0x18a8}, {0x18aa, 0x18aa},
  {0x18b0, 0x18f5}, {0x1900, 0x191e}, {0x1950, 0x196d}, {0x1970, 0x1974}, {0x1980, 0x19ab}, {0x19b0, 0x19c9}, {0x1a00, 0x1a16}, {0x1a20, 0x1a54},
  {0x1aa7, 0x1aa7}, {0x1b05, 0x1b33}, {0x1b45, 0x1b4c}, {0x1b83, 0x1ba0}, {0x1bae, 0x1baf}, {0x1bba, 0x1be5}, {0x1c00, 0x1c23}, {0x1c4d, 0x1c4f},
  {0x1c5a, 0x1c7d}, {0x1c80, 0x1c88}, {0x1c90, 0x1cba}, {0x1cbd, 0x1cbf}, {0x1ce9, 0x1cec}, {0x1cee, 0x1cf3}, {0x1cf5, 0x1cf6}, {0x1cfa, 0x1cfa},
  {0x1d00, 0x1dbf}, {0x1e00, 0x1f15}, {0x1f18, 0x1f1d}, {0x1f20, 0x1f45}, {0x1f48, 0x1f4d}, {0x1f50, 0x1f57}, {0x1f59, 0x1f59}, {0x1f5b, 0x1f5b},
  {0x1f5d, 0x1f5d}, {0x1f5f, 0x1f7d}, {0x1f80, 0x1fb4}, {0x1fb6, 0x1fbc}, {0x1fbe, 0x1fbe}, {0x1fc2, 0x1fc4}, {0x1fc6, 0x1fcc}, {0x1fd0, 0x1fd3},
  {0x1fd6, 0x1fdb}, {0x1fe0, 0x1fec}, {0x1ff2, 0x1ff4}, {0x1ff6, 0x1ffc}, {0x2071, 0x2071}, {0x207f, 0x207f}, {0x2090, 0x209c}, {0x2102, 0x2102},
  {0x2107, 0x2107}, {0x210a, 0x2113}, {0x2115, 0x2115}, {0x2118, 0x211d}, {0x2124, 0x2124}, {0x2126, 0x2126}, {0x2128, 0x2128}, {0x212a, 0x2139},
  {0x213c, 0x213f}, {0x2145, 0x2149}, {0x214e, 0x214e}, {0x2160, 0x2188}, {0x2c00, 0x2ce4}, {0x2ceb, 0x2cee}, {0x2cf2, 0x2cf3}, {0x2d00, 0x2d25},
  {0x2d27, 0x2d27}, {0x2d2d, 0x2d2d}, {0x2d30, 0x2d67}, {0x2d6f, 0x2d6f}, {0x2d80, 0x2d96}, {0x2da0, 0x2da6}, {0x2da8, 0x2dae}, {0x2db0, 0x2db6},
  {0x2db8, 0x2dbe}, {0x2dc0, 0x2dc6}, {0x2dc8, 0x2dce}, {0x2dd0, 0x2dd6}, {0x2dd8, 0x2dde}, {0x3005, 0x3007}, {0x3021, 0x3029}, {0x3031, 0x3035},
  {0x3038, 0x303c}, {0x3041, 0x3096}, {0x309d, 0x309f}, {0x30a1, 0x30fa}, {0x30fc, 0x30ff}, {0x3105, 0x312f}, {0x3131, 0x318e}, {0x31a0, 0x31bf},
  {0x31f0, 0x31ff}, {0x3400, 0x4dbf}, {0x4e00, 0xa48c}, {0xa4d0, 0xa4fd}, {0xa500, 0xa60c}, {0xa610, 0xa61f}, {0xa62a, 0xa62b}, {0xa640, 0xa66e},
  {0xa67f, 0xa69d}, {0xa6a0, 0xa6ef}, {0xa717, 0xa71f}, {0xa722, 0xa788}, {0xa78b, 0xa7ca}, {0xa7d0, 0xa7d1}, {0xa7d3, 0xa7d3}, {0xa7d5, 0xa7d9},
  {0xa7f2, 0xa801}, {0xa803, 0xa805}, {0xa807, 0xa80a}, {0xa80c, 0xa822}, {0xa840, 0xa873}, {0xa882, 0xa8b3}, {0xa8f2, 0xa8f7}, {0xa8fb, 0xa8fb},
  {0xa8fd, 0xa8fe}, {0xa90a, 0xa925}, {0xa930, 0xa946}, {0xa960, 0xa97c}, {0xa984, 0xa9b2}, {0xa9cf, 0xa9cf}, {0xa9e0, 0xa9e4}, {0xa9e6, 0xa9ef},
  {0xa9fa, 0xa9fe}, {0xaa00, 0xaa28}, {0xaa40, 0xaa42}, {0xaa44, 0xaa4b}, {0xaa60, 0xaa76}, {0xaa7a, 0xaa7a}, {0xaa7e, 0xaaaf}, {0xaab1, 0xaab1},
  {0xaab5, 0xaab6}, {0xaab9, 0xaabd}, {0xaac0, 0xaac0}, {0xaac2, 0xaac2}, {0xaadb, 0xaadd}, {0xaae0, 0xaaea}, {0xaaf2, 0xaaf4}, {0xab01, 0xab06},
  {0xab09, 0xab0e}, {0xab11, 0xab16}, {0xab20, 0xab26}, {0xab28, 0xab2e}, {0xab30, 0xab5a}, {0xab5c, 0xab69}, {0xab70, 0xabe2}, {0xac00, 0xd7a3},
  {0xd7b0, 0xd7c6}, {0xd7cb, 0xd7fb}, {0xf900, 0xfa6d}, {0xfa70, 0xfad9}, {0xfb00, 0xfb06}, {0xfb13, 0xfb17}, {0xfb1d, 0xfb1d}, {0xfb1f, 0xfb28},
  {0xfb2a, 0xfb36}, {0xfb38, 0xfb3c}, {0xfb3e, 0xfb3e}, {0xfb40, 0xfb41}, {0xfb43, 0xfb44}, {0xfb46, 0xfbb1}, {0xfbd3, 0xfc5d}, {0xfc64, 0xfd3d},
  {0xfd50, 0xfd8f}, {0xfd92, 0xfdc7}, {0xfdf0, 0xfdf9}, {0xfe71, 0xfe71}, {0xfe73, 0xfe73}, {0xfe77, 0xfe77}, {0xfe79, 0xfe79}, {0xfe7b, 0xfe7b},
  {0xfe7d, 0xfe7d}, {0xfe7f, 0xfefc}, {0xff21, 0xff3a}, {0xff41, 0xff5a}, {0xff66, 0xff9d}, {0xffa0, 0xffbe}, {0xffc2, 0xffc7}, {0xffca, 0xffcf},
  {0xffd2, 0xffd7}, {0xffda, 0xffdc}, {0x10000, 0x1000b}, {0x1000d, 0x10026}, {0x10028, 0x1003a}, {0x1003c, 0x1003d}, {0x1003f, 0x1004d}, {0x10050, 0x1005d},
  {0x10080, 0x100fa}, {0x10140, 0x10174}, {0x10280, 0x1029c}, {0x102a0, 0x102d0}, {0x10300, 0x1031f}, {0x1032d, 0x1034a}, {0x10350, 0x10375}, {0x10380, 0x1039d},
  {0x103a0, 0x103c3}, {0x103c8, 0x103cf}, {0x103d1, 0x103d5}, {0x10400, 0x1049d}, {0x104b0, 0x104d3}, {0x104d8, 0x104fb}, {0x10500, 0x10527}, {0x10530, 0x10563},
  {0x10570, 0x1057a}, {0x1057c, 0x1058a}, {0x1058c, 0x10592}, {0x10594, 0x10595}, {0x10597, 0x105a1}, {0x105a3, 0x105b1}, {0x105b3, 0x105b9}, {0x105bb, 0x105bc},
  {0x10600, 0x10736}, {0x10740, 0x10755}, {0x10760, 0x10767}, {0x10780, 0x10785}, {0x10787, 0x107b0}, {0x107b2, 0x107ba}, {0x10800, 0x10805}, {0x10808, 0x10808},
  {0x1080a, 0x10835}, {0x10837, 0x10838}, {0x1083c, 0x1083c}, {0x1083f, 0x10855}, {0x10860, 0x10876}, {0x10880, 0x1089e}, {0x108e0, 0x108f2}, {0x108f4, 0x108f5},
  {0x10900, 0x10915}, {0x10920, 0x10939}, {0x10980, 0x109b7}, {0x109be, 0x109bf}, {0x10a00, 0x10a00}, {0x10a10, 0x10a13}, {0x10a15, 0x10a17}, {0x10a19, 0x10a35},
  {0x10a60, 0x10a7c}, {0x10a80, 0x10a9c}, {0x10ac0, 0x10ac7}, {0x10ac9, 0x10ae4}, {0x10b00, 0x10b35}, {0x10b40, 0x10b55}, {0x10b60, 0x10b72}, {0x10b80, 0x10b91},
  {0x10c00, 0x10c48}, {0x10c80, 0x10cb2}, {0x10cc0, 0x10cf2}, {0x10d00, 0x10d23}, {0x10e80, 0x10ea9}, {0x10eb0, 0x10eb1}, {0x10f00, 0x10f1c}, {0x10f27, 0x10f27},
  {0x10f30, 0x10f45}, {0x10f70, 0x10f81}, {0x10fb0, 0x10fc4}, {0x10fe0, 0x10ff6}, {0x11003, 0x11037}, {0x11071, 0x11072}, {0x11075, 0x11075}, {0x11083, 0x110af},
  {0x110d0, 0x110e8}, {0x11103, 0x11126}, {0x11144, 0x11144}, {0x11147, 0x11147}, {0x11150, 0x11172}, {0x11176, 0x11176}, {0x11183, 0x111b2}, {0x111c1, 0x111c4},
  {0x111da, 0x111da}, {0x111dc, 0x111dc}, {0x11200, 0x11211}, {0x11213, 0x1122b}, {0x1123f, 0x11240}, {0x11280, 0x11286}, {0x11288, 0x11288}, {0x1128a, 0x1128d},
  {0x1128f, 0x1129d}, {0x1129f, 0x112a8}, {0x112b0, 0x112de}, {0x11305, 0x1130c}, {0x1130f, 0x11310}, {0x11313, 0x11328}, {0x1132a, 0x11330}, {0x11332, 0x11333},
  {0x11335, 0x11339}, {0x1133d, 0x1133d}, {0x11350, 0x11350}, {0x1135d, 0x11361}, {0x11400, 0x11434}, {0x11447, 0x1144a}, {0x1145f, 0x11461}, {0x11480, 0x114af},
  {0x114c4, 0x114c5}, {0x114c7, 0x114c7}, {0x11580, 0x115ae}, {0x115d8, 0x115db}, {0x11600, 0x1162f}, {0x11644, 0x11644}, {0x11680, 0x116aa}, {0x116b8, 0x116b8},
  {0x11700, 0x1171a}, {0x11740, 0x11746}, {0x11800, 0x1182b}, {0x118a0, 0x118df}, {0x118ff, 0x11906}, {0x11909, 0x11909}, {0x1190c, 0x11913}, {0x11915, 0x11916},
  {0x11918, 0x1192f}, {0x1193f, 0x1193f}, {0x11941, 0x11941}, {0x119a0, 0x119a7}, {0x119aa, 0x119d0}, {0x119e1, 0x119e1}, {0x119e3, 0x119e3}, {0x11a00, 0x11a00},
  {0x11a0b, 0x11a32}, {0x11a3a, 0x11a3a}, {0x11a50, 0x11a50}, {0x11a5c, 0x11a89}, {0x11a9d, 0x11a9d}, {0x11ab0, 0x11af8}, {0x11c00, 0x11c08}, {0x11c0a, 0x11c2e},
  {0x11c40, 0x11c40}, {0x11c72, 0x11c8f}, {0x11d00, 0x11d06}, {0x11d08, 0x11d09}, {0x11d0b, 0x11d30}, {0x11d46, 0x11d46}, {0x11d60, 0x11d65}, {0x11d67, 0x11d68},
  {0x11d6a, 0x11d89}, {0x11d98, 0x11d98}, {0x11ee0, 0x11ef2}, {0x11f02, 0x11f02}, {0x11f04, 0x11f10}, {0x11f12, 0x11f33}, {0x11fb0, 0x11fb0}, {0x12000, 0x12399},
  {0x12400, 0x1246e}, {0x12480, 0x12543}, {0x12f90, 0x12ff0}, {0x13000, 0x1342f}, {0x13441, 0x13446}, {0x14400, 0x14646}, {0x16800, 0x16a38}, {0x16a40, 0x16a5e},
  {0x16a70, 0x16abe}, {0x16ad0, 0x16aed}, {0x16b00, 0x16b2f}, {0x16b40, 0x16b43}, {0x16b63, 0x16b77}, {0x16b7d, 0x16b8f}, {0x16e40, 0x16e7f}, {0x16f00, 0x16f4a},
  {0x16f50, 0x16f50}, {0x16f93, 0x16f9f}, {0x16fe0, 0x16fe1}, {0x16fe3, 0x16fe3}, {0x17000, 0x187f7}, {0x18800, 0x18cd5}, {0x18d00, 0x18d08}, {0x1aff0, 0x1aff3},
  {0x1aff5, 0x1affb}, {0x1affd, 0x1affe}, {0x1b000, 0x1b122}, {0x1b132, 0x1b132}, {0x1b150, 0x1b152}, {0x1b155, 0x1b155}, {0x1b164, 0x1b167}, {0x1b170, 0x1b2fb},
  {0x1bc00, 0x1bc6a}, {0x1bc70, 0x1bc7c}, {0x1bc80, 0x1bc88}, {0x1bc90, 0x1bc99}, {0x1d400, 0x1d454}, {0x1d456, 0x1d49c}, {0x1d49e, 0x1d49f}, {0x1d4a2, 0x1d4a2},
  {0x1d4a5, 0x1d4a6}, {0x1d4a9, 0x1d4ac}, {0x1d4ae, 0x1d4b9}, {0x1d4bb, 0x1d4bb}, {0x1d4bd, 0x1d4c3}, {0x1d4c5, 0x1d505}, {0x1d507, 0x1d50a}, {0x1d50d, 0x1d514},
  {0x1d516, 0x1d51c}, {0x1d51e, 0x1d539}, {0x1d53b, 0x1d53e}, {0x1d540, 0x1d544}, {0x1d546, 0x1d546}, {0x1d54a, 0x1d550}, {0x1d552, 0x1d6a5}, {0x1d6a8, 0x1d6c0},
  {0x1d6c2, 0x1d6da}, {0x1d6dc, 0x1d6fa}, {0x1d6fc, 0x1d714}, {0x1d716, 0x1d734}, {0x1d736, 0x1d74e}, {0x1d750, 0x1d76e}, {0x1d770, 0x1d788}, {0x1d78a, 0x1d7a8},
  {0x1d7aa, 0x1d7c2}, {0x1d7c4, 0x1d7cb}, {0x1df00, 0x1df1e}, {0x1df25, 0x1df2a}, {0x1e030, 0x1e06d}, {0x1e100, 0x1e12c}, {0x1e137, 0x1e13d}, {0x1e14e, 0x1e14e},
  {0x1e290, 0x1e2ad}, {0x1e2c0, 0x1e2eb}, {0x1e4d0, 0x1e4eb}, {0x1e7e0, 0x1e7e6}, {0x1e7e8, 0x1e7eb}, {0x1e7ed, 0x1e7ee}, {0x1e7f0, 0x1e7fe}, {0x1e800, 0x1e8c4},
  {0x1e900, 0x1e943}, {0x1e94b, 0x1e94b}, {0x1ee00, 0x1ee03}, {0x1ee05, 0x1ee1f}, {0x1ee21, 0x1ee22}, {0x1ee24, 0x1ee24}, {0x1ee27, 0x1ee27}, {0x1ee29, 0x1ee32},
  {0x1ee34, 0x1ee37}, {0x1ee39, 0x1ee39}, {0x1ee3b, 0x1ee3b}, {0x1ee42, 0x1ee42}, {0x1ee47, 0x1ee47}, {0x1ee49, 0x1ee49}, {0x1ee4b, 0x1ee4b}, {0x1ee4d, 0x1ee4f},
  {0x1ee51, 0x1ee52}, {0x1ee54, 0x1ee54}, {0x1ee57, 0x1ee57}, {0x1ee59, 0x1ee59}, {0x1ee5b, 0x1ee5b}, {0x1ee5d, 0x1ee5d}, {0x1ee5f, 0x1ee5f}, {0x1ee61, 0x1ee62},
  {0x1ee64, 0x1ee64}, {0x1ee67, 0x1ee6a}, {0x1ee6c, 0x1ee72}, {0x1ee74, 0x1ee77}, {0x1ee79, 0x1ee7c}, {0x1ee7e, 0x1ee7e}, {0x1ee80, 0x1ee89}, {0x1ee8b, 0x1ee9b},
  {0x1eea1, 0x1eea3}, {0x1eea5, 0x1eea9}, {0x1eeab, 0x1eebb}, {0x20000, 0x2a6df}, {0x2a700, 0x2b739}, {0x2b740, 0x2b81d}, {0x2b820, 0x2cea1}, {0x2ceb0, 0x2ebe0},
  {0x2ebf0, 0x2ee5d}, {0x2f800, 0x2fa1d}, {0x30000, 0x3134a}, {0x31350, 0x323af},
};

static TSCharacterRange sym_identifier_character_set_2[] = {
  {'0', '9'}, {'A', 'Z'}, {'_', '_'}, {'a', 'z'}, {0xaa, 0xaa}, {0xb5, 0xb5}, {0xb7, 0xb7}, {0xba, 0xba},
  {0xc0, 0xd6}, {0xd8, 0xf6}, {0xf8, 0x2c1}, {0x2c6, 0x2d1}, {0x2e0, 0x2e4}, {0x2ec, 0x2ec}, {0x2ee, 0x2ee}, {0x300, 0x374},
  {0x376, 0x377}, {0x37b, 0x37d}, {0x37f, 0x37f}, {0x386, 0x38a}, {0x38c, 0x38c}, {0x38e, 0x3a1}, {0x3a3, 0x3f5}, {0x3f7, 0x481},
  {0x483, 0x487}, {0x48a, 0x52f}, {0x531, 0x556}, {0x559, 0x559}, {0x560, 0x588}, {0x591, 0x5bd}, {0x5bf, 0x5bf}, {0x5c1, 0x5c2},
  {0x5c4, 0x5c5}, {0x5c7, 0x5c7}, {0x5d0, 0x5ea}, {0x5ef, 0x5f2}, {0x610, 0x61a}, {0x620, 0x669}, {0x66e, 0x6d3}, {0x6d5, 0x6dc},
  {0x6df, 0x6e8}, {0x6ea, 0x6fc}, {0x6ff, 0x6ff}, {0x710, 0x74a}, {0x74d, 0x7b1}, {0x7c0, 0x7f5}, {0x7fa, 0x7fa}, {0x7fd, 0x7fd},
  {0x800, 0x82d}, {0x840, 0x85b}, {0x860, 0x86a}, {0x870, 0x887}, {0x889, 0x88e}, {0x898, 0x8e1}, {0x8e3, 0x963}, {0x966, 0x96f},
  {0x971, 0x983}, {0x985, 0x98c}, {0x98f, 0x990}, {0x993, 0x9a8}, {0x9aa, 0x9b0}, {0x9b2, 0x9b2}, {0x9b6, 0x9b9}, {0x9bc, 0x9c4},
  {0x9c7, 0x9c8}, {0x9cb, 0x9ce}, {0x9d7, 0x9d7}, {0x9dc, 0x9dd}, {0x9df, 0x9e3}, {0x9e6, 0x9f1}, {0x9fc, 0x9fc}, {0x9fe, 0x9fe},
  {0xa01, 0xa03}, {0xa05, 0xa0a}, {0xa0f, 0xa10}, {0xa13, 0xa28}, {0xa2a, 0xa30}, {0xa32, 0xa33}, {0xa35, 0xa36}, {0xa38, 0xa39},
  {0xa3c, 0xa3c}, {0xa3e, 0xa42}, {0xa47, 0xa48}, {0xa4b, 0xa4d}, {0xa51, 0xa51}, {0xa59, 0xa5c}, {0xa5e, 0xa5e}, {0xa66, 0xa75},
  {0xa81, 0xa83}, {0xa85, 0xa8d}, {0xa8f, 0xa91}, {0xa93, 0xaa8}, {0xaaa, 0xab0}, {0xab2, 0xab3}, {0xab5, 0xab9}, {0xabc, 0xac5},
  {0xac7, 0xac9}, {0xacb, 0xacd}, {0xad0, 0xad0}, {0xae0, 0xae3}, {0xae6, 0xaef}, {0xaf9, 0xaff}, {0xb01, 0xb03}, {0xb05, 0xb0c},
  {0xb0f, 0xb10}, {0xb13, 0xb28}, {0xb2a, 0xb30}, {0xb32, 0xb33}, {0xb35, 0xb39}, {0xb3c, 0xb44}, {0xb47, 0xb48}, {0xb4b, 0xb4d},
  {0xb55, 0xb57}, {0xb5c, 0xb5d}, {0xb5f, 0xb63}, {0xb66, 0xb6f}, {0xb71, 0xb71}, {0xb82, 0xb83}, {0xb85, 0xb8a}, {0xb8e, 0xb90},
  {0xb92, 0xb95}, {0xb99, 0xb9a}, {0xb9c, 0xb9c}, {0xb9e, 0xb9f}, {0xba3, 0xba4}, {0xba8, 0xbaa}, {0xbae, 0xbb9}, {0xbbe, 0xbc2},
  {0xbc6, 0xbc8}, {0xbca, 0xbcd}, {0xbd0, 0xbd0}, {0xbd7, 0xbd7}, {0xbe6, 0xbef}, {0xc00, 0xc0c}, {0xc0e, 0xc10}, {0xc12, 0xc28},
  {0xc2a, 0xc39}, {0xc3c, 0xc44}, {0xc46, 0xc48}, {0xc4a, 0xc4d}, {0xc55, 0xc56}, {0xc58, 0xc5a}, {0xc5d, 0xc5d}, {0xc60, 0xc63},
  {0xc66, 0xc6f}, {0xc80, 0xc83}, {0xc85, 0xc8c}, {0xc8e, 0xc90}, {0xc92, 0xca8}, {0xcaa, 0xcb3}, {0xcb5, 0xcb9}, {0xcbc, 0xcc4},
  {0xcc6, 0xcc8}, {0xcca, 0xccd}, {0xcd5, 0xcd6}, {0xcdd, 0xcde}, {0xce0, 0xce3}, {0xce6, 0xcef}, {0xcf1, 0xcf3}, {0xd00, 0xd0c},
  {0xd0e, 0xd10}, {0xd12, 0xd44}, {0xd46, 0xd48}, {0xd4a, 0xd4e}, {0xd54, 0xd57}, {0xd5f, 0xd63}, {0xd66, 0xd6f}, {0xd7a, 0xd7f},
  {0xd81, 0xd83}, {0xd85, 0xd96}, {0xd9a, 0xdb1}, {0xdb3, 0xdbb}, {0xdbd, 0xdbd}, {0xdc0, 0xdc6}, {0xdca, 0xdca}, {0xdcf, 0xdd4},
  {0xdd6, 0xdd6}, {0xdd8, 0xddf}, {0xde6, 0xdef}, {0xdf2, 0xdf3}, {0xe01, 0xe3a}, {0xe40, 0xe4e}, {0xe50, 0xe59}, {0xe81, 0xe82},
  {0xe84, 0xe84}, {0xe86, 0xe8a}, {0xe8c, 0xea3}, {0xea5, 0xea5}, {0xea7, 0xebd}, {0xec0, 0xec4}, {0xec6, 0xec6}, {0xec8, 0xece},
  {0xed0, 0xed9}, {0xedc, 0xedf}, {0xf00, 0xf00}, {0xf18, 0xf19}, {0xf20, 0xf29}, {0xf35, 0xf35}, {0xf37, 0xf37}, {0xf39, 0xf39},
  {0xf3e, 0xf47}, {0xf49, 0xf6c}, {0xf71, 0xf84}, {0xf86, 0xf97}, {0xf99, 0xfbc}, {0xfc6, 0xfc6}, {0x1000, 0x1049}, {0x1050, 0x109d},
  {0x10a0, 0x10c5}, {0x10c7, 0x10c7}, {0x10cd, 0x10cd}, {0x10d0, 0x10fa}, {0x10fc, 0x1248}, {0x124a, 0x124d}, {0x1250, 0x1256}, {0x1258, 0x1258},
  {0x125a, 0x125d}, {0x1260, 0x1288}, {0x128a, 0x128d}, {0x1290, 0x12b0}, {0x12b2, 0x12b5}, {0x12b8, 0x12be}, {0x12c0, 0x12c0}, {0x12c2, 0x12c5},
  {0x12c8, 0x12d6}, {0x12d8, 0x1310}, {0x1312, 0x1315}, {0x1318, 0x135a}, {0x135d, 0x135f}, {0x1369, 0x1371}, {0x1380, 0x138f}, {0x13a0, 0x13f5},
  {0x13f8, 0x13fd}, {0x1401, 0x166c}, {0x166f, 0x167f}, {0x1681, 0x169a}, {0x16a0, 0x16ea}, {0x16ee, 0x16f8}, {0x1700, 0x1715}, {0x171f, 0x1734},
  {0x1740, 0x1753}, {0x1760, 0x176c}, {0x176e, 0x1770}, {0x1772, 0x1773}, {0x1780, 0x17d3}, {0x17d7, 0x17d7}, {0x17dc, 0x17dd}, {0x17e0, 0x17e9},
  {0x180b, 0x180d}, {0x180f, 0x1819}, {0x1820, 0x1878}, {0x1880, 0x18aa}, {0x18b0, 0x18f5}, {0x1900, 0x191e}, {0x1920, 0x192b}, {0x1930, 0x193b},
  {0x1946, 0x196d}, {0x1970, 0x1974}, {0x1980, 0x19ab}, {0x19b0, 0x19c9}, {0x19d0, 0x19da}, {0x1a00, 0x1a1b}, {0x1a20, 0x1a5e}, {0x1a60, 0x1a7c},
  {0x1a7f, 0x1a89}, {0x1a90, 0x1a99}, {0x1aa7, 0x1aa7}, {0x1ab0, 0x1abd}, {0x1abf, 0x1ace}, {0x1b00, 0x1b4c}, {0x1b50, 0x1b59}, {0x1b6b, 0x1b73},
  {0x1b80, 0x1bf3}, {0x1c00, 0x1c37}, {0x1c40, 0x1c49}, {0x1c4d, 0x1c7d}, {0x1c80, 0x1c88}, {0x1c90, 0x1cba}, {0x1cbd, 0x1cbf}, {0x1cd0, 0x1cd2},
  {0x1cd4, 0x1cfa}, {0x1d00, 0x1f15}, {0x1f18, 0x1f1d}, {0x1f20, 0x1f45}, {0x1f48, 0x1f4d}, {0x1f50, 0x1f57}, {0x1f59, 0x1f59}, {0x1f5b, 0x1f5b},
  {0x1f5d, 0x1f5d}, {0x1f5f, 0x1f7d}, {0x1f80, 0x1fb4}, {0x1fb6, 0x1fbc}, {0x1fbe, 0x1fbe}, {0x1fc2, 0x1fc4}, {0x1fc6, 0x1fcc}, {0x1fd0, 0x1fd3},
  {0x1fd6, 0x1fdb}, {0x1fe0, 0x1fec}, {0x1ff2, 0x1ff4}, {0x1ff6, 0x1ffc}, {0x200c, 0x200d}, {0x203f, 0x2040}, {0x2054, 0x2054}, {0x2071, 0x2071},
  {0x207f, 0x207f}, {0x2090, 0x209c}, {0x20d0, 0x20dc}, {0x20e1, 0x20e1}, {0x20e5, 0x20f0}, {0x2102, 0x2102}, {0x2107, 0x2107}, {0x210a, 0x2113},
  {0x2115, 0x2115}, {0x2118, 0x211d}, {0x2124, 0x2124}, {0x2126, 0x2126}, {0x2128, 0x2128}, {0x212a, 0x2139}, {0x213c, 0x213f}, {0x2145, 0x2149},
  {0x214e, 0x214e}, {0x2160, 0x2188}, {0x2c00, 0x2ce4}, {0x2ceb, 0x2cf3}, {0x2d00, 0x2d25}, {0x2d27, 0x2d27}, {0x2d2d, 0x2d2d}, {0x2d30, 0x2d67},
  {0x2d6f, 0x2d6f}, {0x2d7f, 0x2d96}, {0x2da0, 0x2da6}, {0x2da8, 0x2dae}, {0x2db0, 0x2db6}, {0x2db8, 0x2dbe}, {0x2dc0, 0x2dc6}, {0x2dc8, 0x2dce},
  {0x2dd0, 0x2dd6}, {0x2dd8, 0x2dde}, {0x2de0, 0x2dff}, {0x3005, 0x3007}, {0x3021, 0x302f}, {0x3031, 0x3035}, {0x3038, 0x303c}, {0x3041, 0x3096},
  {0x3099, 0x309a}, {0x309d, 0x309f}, {0x30a1, 0x30ff}, {0x3105, 0x312f}, {0x3131, 0x318e}, {0x31a0, 0x31bf}, {0x31f0, 0x31ff}, {0x3400, 0x4dbf},
  {0x4e00, 0xa48c}, {0xa4d0, 0xa4fd}, {0xa500, 0xa60c}, {0xa610, 0xa62b}, {0xa640, 0xa66f}, {0xa674, 0xa67d}, {0xa67f, 0xa6f1}, {0xa717, 0xa71f},
  {0xa722, 0xa788}, {0xa78b, 0xa7ca}, {0xa7d0, 0xa7d1}, {0xa7d3, 0xa7d3}, {0xa7d5, 0xa7d9}, {0xa7f2, 0xa827}, {0xa82c, 0xa82c}, {0xa840, 0xa873},
  {0xa880, 0xa8c5}, {0xa8d0, 0xa8d9}, {0xa8e0, 0xa8f7}, {0xa8fb, 0xa8fb}, {0xa8fd, 0xa92d}, {0xa930, 0xa953}, {0xa960, 0xa97c}, {0xa980, 0xa9c0},
  {0xa9cf, 0xa9d9}, {0xa9e0, 0xa9fe}, {0xaa00, 0xaa36}, {0xaa40, 0xaa4d}, {0xaa50, 0xaa59}, {0xaa60, 0xaa76}, {0xaa7a, 0xaac2}, {0xaadb, 0xaadd},
  {0xaae0, 0xaaef}, {0xaaf2, 0xaaf6}, {0xab01, 0xab06}, {0xab09, 0xab0e}, {0xab11, 0xab16}, {0xab20, 0xab26}, {0xab28, 0xab2e}, {0xab30, 0xab5a},
  {0xab5c, 0xab69}, {0xab70, 0xabea}, {0xabec, 0xabed}, {0xabf0, 0xabf9}, {0xac00, 0xd7a3}, {0xd7b0, 0xd7c6}, {0xd7cb, 0xd7fb}, {0xf900, 0xfa6d},
  {0xfa70, 0xfad9}, {0xfb00, 0xfb06}, {0xfb13, 0xfb17}, {0xfb1d, 0xfb28}, {0xfb2a, 0xfb36}, {0xfb38, 0xfb3c}, {0xfb3e, 0xfb3e}, {0xfb40, 0xfb41},
  {0xfb43, 0xfb44}, {0xfb46, 0xfbb1}, {0xfbd3, 0xfc5d}, {0xfc64, 0xfd3d}, {0xfd50, 0xfd8f}, {0xfd92, 0xfdc7}, {0xfdf0, 0xfdf9}, {0xfe00, 0xfe0f},
  {0xfe20, 0xfe2f}, {0xfe33, 0xfe34}, {0xfe4d, 0xfe4f}, {0xfe71, 0xfe71}, {0xfe73, 0xfe73}, {0xfe77, 0xfe77}, {0xfe79, 0xfe79}, {0xfe7b, 0xfe7b},
  {0xfe7d, 0xfe7d}, {0xfe7f, 0xfefc}, {0xff10, 0xff19}, {0xff21, 0xff3a}, {0xff3f, 0xff3f}, {0xff41, 0xff5a}, {0xff65, 0xffbe}, {0xffc2, 0xffc7},
  {0xffca, 0xffcf}, {0xffd2, 0xffd7}, {0xffda, 0xffdc}, {0x10000, 0x1000b}, {0x1000d, 0x10026}, {0x10028, 0x1003a}, {0x1003c, 0x1003d}, {0x1003f, 0x1004d},
  {0x10050, 0x1005d}, {0x10080, 0x100fa}, {0x10140, 0x10174}, {0x101fd, 0x101fd}, {0x10280, 0x1029c}, {0x102a0, 0x102d0}, {0x102e0, 0x102e0}, {0x10300, 0x1031f},
  {0x1032d, 0x1034a}, {0x10350, 0x1037a}, {0x10380, 0x1039d}, {0x103a0, 0x103c3}, {0x103c8, 0x103cf}, {0x103d1, 0x103d5}, {0x10400, 0x1049d}, {0x104a0, 0x104a9},
  {0x104b0, 0x104d3}, {0x104d8, 0x104fb}, {0x10500, 0x10527}, {0x10530, 0x10563}, {0x10570, 0x1057a}, {0x1057c, 0x1058a}, {0x1058c, 0x10592}, {0x10594, 0x10595},
  {0x10597, 0x105a1}, {0x105a3, 0x105b1}, {0x105b3, 0x105b9}, {0x105bb, 0x105bc}, {0x10600, 0x10736}, {0x10740, 0x10755}, {0x10760, 0x10767}, {0x10780, 0x10785},
  {0x10787, 0x107b0}, {0x107b2, 0x107ba}, {0x10800, 0x10805}, {0x10808, 0x10808}, {0x1080a, 0x10835}, {0x10837, 0x10838}, {0x1083c, 0x1083c}, {0x1083f, 0x10855},
  {0x10860, 0x10876}, {0x10880, 0x1089e}, {0x108e0, 0x108f2}, {0x108f4, 0x108f5}, {0x10900, 0x10915}, {0x10920, 0x10939}, {0x10980, 0x109b7}, {0x109be, 0x109bf},
  {0x10a00, 0x10a03}, {0x10a05, 0x10a06}, {0x10a0c, 0x10a13}, {0x10a15, 0x10a17}, {0x10a19, 0x10a35}, {0x10a38, 0x10a3a}, {0x10a3f, 0x10a3f}, {0x10a60, 0x10a7c},
  {0x10a80, 0x10a9c}, {0x10ac0, 0x10ac7}, {0x10ac9, 0x10ae6}, {0x10b00, 0x10b35}, {0x10b40, 0x10b55}, {0x10b60, 0x10b72}, {0x10b80, 0x10b91}, {0x10c00, 0x10c48},
  {0x10c80, 0x10cb2}, {0x10cc0, 0x10cf2}, {0x10d00, 0x10d27}, {0x10d30, 0x10d39}, {0x10e80, 0x10ea9}, {0x10eab, 0x10eac}, {0x10eb0, 0x10eb1}, {0x10efd, 0x10f1c},
  {0x10f27, 0x10f27}, {0x10f30, 0x10f50}, {0x10f70, 0x10f85}, {0x10fb0, 0x10fc4}, {0x10fe0, 0x10ff6}, {0x11000, 0x11046}, {0x11066, 0x11075}, {0x1107f, 0x110ba},
  {0x110c2, 0x110c2}, {0x110d0, 0x110e8}, {0x110f0, 0x110f9}, {0x11100, 0x11134}, {0x11136, 0x1113f}, {0x11144, 0x11147}, {0x11150, 0x11173}, {0x11176, 0x11176},
  {0x11180, 0x111c4}, {0x111c9, 0x111cc}, {0x111ce, 0x111da}, {0x111dc, 0x111dc}, {0x11200, 0x11211}, {0x11213, 0x11237}, {0x1123e, 0x11241}, {0x11280, 0x11286},
  {0x11288, 0x11288}, {0x1128a, 0x1128d}, {0x1128f, 0x1129d}, {0x1129f, 0x112a8}, {0x112b0, 0x112ea}, {0x112f0, 0x112f9}, {0x11300, 0x11303}, {0x11305, 0x1130c},
  {0x1130f, 0x11310}, {0x11313, 0x11328}, {0x1132a, 0x11330}, {0x11332, 0x11333}, {0x11335, 0x11339}, {0x1133b, 0x11344}, {0x11347, 0x11348}, {0x1134b, 0x1134d},
  {0x11350, 0x11350}, {0x11357, 0x11357}, {0x1135d, 0x11363}, {0x11366, 0x1136c}, {0x11370, 0x11374}, {0x11400, 0x1144a}, {0x11450, 0x11459}, {0x1145e, 0x11461},
  {0x11480, 0x114c5}, {0x114c7, 0x114c7}, {0x114d0, 0x114d9}, {0x11580, 0x115b5}, {0x115b8, 0x115c0}, {0x115d8, 0x115dd}, {0x11600, 0x11640}, {0x11644, 0x11644},
  {0x11650, 0x11659}, {0x11680, 0x116b8}, {0x116c0, 0x116c9}, {0x11700, 0x1171a}, {0x1171d, 0x1172b}, {0x11730, 0x11739}, {0x11740, 0x11746}, {0x11800, 0x1183a},
  {0x118a0, 0x118e9}, {0x118ff, 0x11906}, {0x11909, 0x11909}, {0x1190c, 0x11913}, {0x11915, 0x11916}, {0x11918, 0x11935}, {0x11937, 0x11938}, {0x1193b, 0x11943},
  {0x11950, 0x11959}, {0x119a0, 0x119a7}, {0x119aa, 0x119d7}, {0x119da, 0x119e1}, {0x119e3, 0x119e4}, {0x11a00, 0x11a3e}, {0x11a47, 0x11a47}, {0x11a50, 0x11a99},
  {0x11a9d, 0x11a9d}, {0x11ab0, 0x11af8}, {0x11c00, 0x11c08}, {0x11c0a, 0x11c36}, {0x11c38, 0x11c40}, {0x11c50, 0x11c59}, {0x11c72, 0x11c8f}, {0x11c92, 0x11ca7},
  {0x11ca9, 0x11cb6}, {0x11d00, 0x11d06}, {0x11d08, 0x11d09}, {0x11d0b, 0x11d36}, {0x11d3a, 0x11d3a}, {0x11d3c, 0x11d3d}, {0x11d3f, 0x11d47}, {0x11d50, 0x11d59},
  {0x11d60, 0x11d65}, {0x11d67, 0x11d68}, {0x11d6a, 0x11d8e}, {0x11d90, 0x11d91}, {0x11d93, 0x11d98}, {0x11da0, 0x11da9}, {0x11ee0, 0x11ef6}, {0x11f00, 0x11f10},
  {0x11f12, 0x11f3a}, {0x11f3e, 0x11f42}, {0x11f50, 0x11f59}, {0x11fb0, 0x11fb0}, {0x12000, 0x12399}, {0x12400, 0x1246e}, {0x12480, 0x12543}, {0x12f90, 0x12ff0},
  {0x13000, 0x1342f}, {0x13440, 0x13455}, {0x14400, 0x14646}, {0x16800, 0x16a38}, {0x16a40, 0x16a5e}, {0x16a60, 0x16a69}, {0x16a70, 0x16abe}, {0x16ac0, 0x16ac9},
  {0x16ad0, 0x16aed}, {0x16af0, 0x16af4}, {0x16b00, 0x16b36}, {0x16b40, 0x16b43}, {0x16b50, 0x16b59}, {0x16b63, 0x16b77}, {0x16b7d, 0x16b8f}, {0x16e40, 0x16e7f},
  {0x16f00, 0x16f4a}, {0x16f4f, 0x16f87}, {0x16f8f, 0x16f9f}, {0x16fe0, 0x16fe1}, {0x16fe3, 0x16fe4}, {0x16ff0, 0x16ff1}, {0x17000, 0x187f7}, {0x18800, 0x18cd5},
  {0x18d00, 0x18d08}, {0x1aff0, 0x1aff3}, {0x1aff5, 0x1affb}, {0x1affd, 0x1affe}, {0x1b000, 0x1b122}, {0x1b132, 0x1b132}, {0x1b150, 0x1b152}, {0x1b155, 0x1b155},
  {0x1b164, 0x1b167}, {0x1b170, 0x1b2fb}, {0x1bc00, 0x1bc6a}, {0x1bc70, 0x1bc7c}, {0x1bc80, 0x1bc88}, {0x1bc90, 0x1bc99}, {0x1bc9d, 0x1bc9e}, {0x1cf00, 0x1cf2d},
  {0x1cf30, 0x1cf46}, {0x1d165, 0x1d169}, {0x1d16d, 0x1d172}, {0x1d17b, 0x1d182}, {0x1d185, 0x1d18b}, {0x1d1aa, 0x1d1ad}, {0x1d242, 0x1d244}, {0x1d400, 0x1d454},
  {0x1d456, 0x1d49c}, {0x1d49e, 0x1d49f}, {0x1d4a2, 0x1d4a2}, {0x1d4a5, 0x1d4a6}, {0x1d4a9, 0x1d4ac}, {0x1d4ae, 0x1d4b9}, {0x1d4bb, 0x1d4bb}, {0x1d4bd, 0x1d4c3},
  {0x1d4c5, 0x1d505}, {0x1d507, 0x1d50a}, {0x1d50d, 0x1d514}, {0x1d516, 0x1d51c}, {0x1d51e, 0x1d539}, {0x1d53b, 0x1d53e}, {0x1d540, 0x1d544}, {0x1d546, 0x1d546},
  {0x1d54a, 0x1d550}, {0x1d552, 0x1d6a5}, {0x1d6a8, 0x1d6c0}, {0x1d6c2, 0x1d6da}, {0x1d6dc, 0x1d6fa}, {0x1d6fc, 0x1d714}, {0x1d716, 0x1d734}, {0x1d736, 0x1d74e},
  {0x1d750, 0x1d76e}, {0x1d770, 0x1d788}, {0x1d78a, 0x1d7a8}, {0x1d7aa, 0x1d7c2}, {0x1d7c4, 0x1d7cb}, {0x1d7ce, 0x1d7ff}, {0x1da00, 0x1da36}, {0x1da3b, 0x1da6c},
  {0x1da75, 0x1da75}, {0x1da84, 0x1da84}, {0x1da9b, 0x1da9f}, {0x1daa1, 0x1daaf}, {0x1df00, 0x1df1e}, {0x1df25, 0x1df2a}, {0x1e000, 0x1e006}, {0x1e008, 0x1e018},
  {0x1e01b, 0x1e021}, {0x1e023, 0x1e024}, {0x1e026, 0x1e02a}, {0x1e030, 0x1e06d}, {0x1e08f, 0x1e08f}, {0x1e100, 0x1e12c}, {0x1e130, 0x1e13d}, {0x1e140, 0x1e149},
  {0x1e14e, 0x1e14e}, {0x1e290, 0x1e2ae}, {0x1e2c0, 0x1e2f9}, {0x1e4d0, 0x1e4f9}, {0x1e7e0, 0x1e7e6}, {0x1e7e8, 0x1e7eb}, {0x1e7ed, 0x1e7ee}, {0x1e7f0, 0x1e7fe},
  {0x1e800, 0x1e8c4}, {0x1e8d0, 0x1e8d6}, {0x1e900, 0x1e94b}, {0x1e950, 0x1e959}, {0x1ee00, 0x1ee03}, {0x1ee05, 0x1ee1f}, {0x1ee21, 0x1ee22}, {0x1ee24, 0x1ee24},
  {0x1ee27, 0x1ee27}, {0x1ee29, 0x1ee32}, {0x1ee34, 0x1ee37}, {0x1ee39, 0x1ee39}, {0x1ee3b, 0x1ee3b}, {0x1ee42, 0x1ee42}, {0x1ee47, 0x1ee47}, {0x1ee49, 0x1ee49},
  {0x1ee4b, 0x1ee4b}, {0x1ee4d, 0x1ee4f}, {0x1ee51, 0x1ee52}, {0x1ee54, 0x1ee54}, {0x1ee57, 0x1ee57}, {0x1ee59, 0x1ee59}, {0x1ee5b, 0x1ee5b}, {0x1ee5d, 0x1ee5d},
  {0x1ee5f, 0x1ee5f}, {0x1ee61, 0x1ee62}, {0x1ee64, 0x1ee64}, {0x1ee67, 0x1ee6a}, {0x1ee6c, 0x1ee72}, {0x1ee74, 0x1ee77}, {0x1ee79, 0x1ee7c}, {0x1ee7e, 0x1ee7e},
  {0x1ee80, 0x1ee89}, {0x1ee8b, 0x1ee9b}, {0x1eea1, 0x1eea3}, {0x1eea5, 0x1eea9}, {0x1eeab, 0x1eebb}, {0x1fbf0, 0x1fbf9}, {0x20000, 0x2a6df}, {0x2a700, 0x2b739},
  {0x2b740, 0x2b81d}, {0x2b820, 0x2cea1}, {0x2ceb0, 0x2ebe0}, {0x2ebf0, 0x2ee5d}, {0x2f800, 0x2fa1d}, {0x30000, 0x3134a}, {0x31350, 0x323af}, {0xe0100, 0xe01ef},
};

static TSCharacterRange sym_rune_literal_character_set_1[] = {
  {'"', '"'}, {'\'', '\''}, {'0', '7'}, {'U', 'U'}, {'\\', '\\'}, {'a', 'b'}, {'f', 'f'}, {'n', 'n'},
  {'r', 'r'}, {'t', 'v'}, {'x', 'x'},
};

static bool ts_lex(TSLexer *lexer, TSStateId state) {
  START_LEXER();
  eof = lexer->eof(lexer);
  switch (state) {
    case 0:
      if (eof) ADVANCE(60);
      ADVANCE_MAP(
        0, 63,
        '!', 107,
        '"', 138,
        '%', 116,
        '&', 111,
        '\'', 22,
        '(', 67,
        ')', 68,
        '*', 76,
        '+', 101,
        ',', 69,
        '-', 104,
        '.', 66,
        '/', 114,
        '0', 147,
        ':', 99,
        ';', 62,
        '<', 125,
        '=', 71,
        '>', 130,
        '[', 72,
        '\\', 20,
        ']', 73,
        '^', 109,
        '`', 26,
        '{', 78,
        '|', 81,
        '}', 79,
        '~', 77,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(58);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(149);
      if (set_contains(sym_identifier_character_set_1, 668, lookahead)) ADVANCE(135);
      END_STATE();
    case 1:
      ADVANCE_MAP(
        0, 63,
        '\n', 61,
        '!', 17,
        '%', 115,
        '&', 112,
        '(', 67,
        '*', 75,
        '+', 100,
        ',', 69,
        '-', 103,
        '.', 64,
        '/', 113,
        ';', 62,
        '<', 128,
        '=', 19,
        '>', 131,
        '[', 72,
        '^', 108,
        '{', 78,
        '|', 82,
        '}', 79,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(1);
      if (set_contains(sym_identifier_character_set_1, 668, lookahead)) ADVANCE(135);
      END_STATE();
    case 2:
      if (lookahead == '\n') SKIP(16);
      if (lookahead == '"') ADVANCE(138);
      if (lookahead == '/') ADVANCE(139);
      if (lookahead == '\\') ADVANCE(20);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(142);
      if (lookahead != 0) ADVANCE(143);
      END_STATE();
    case 3:
      ADVANCE_MAP(
        '!', 17,
        '"', 137,
        '%', 115,
        '&', 112,
        '(', 67,
        ')', 68,
        '*', 75,
        '+', 100,
        ',', 69,
        '-', 103,
        '.', 65,
        '/', 113,
        ':', 99,
        '<', 126,
        '=', 71,
        '>', 131,
        '[', 72,
        ']', 73,
        '^', 108,
        '`', 26,
        '{', 78,
        '|', 82,
        '~', 77,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(3);
      if (set_contains(sym_identifier_character_set_1, 668, lookahead)) ADVANCE(135);
      END_STATE();
    case 4:
      ADVANCE_MAP(
        '!', 17,
        '%', 116,
        '&', 111,
        '(', 67,
        '*', 76,
        '+', 101,
        ',', 69,
        '-', 104,
        '.', 64,
        '/', 114,
        ':', 18,
        ';', 62,
        '<', 125,
        '=', 71,
        '>', 130,
        '[', 72,
        '^', 109,
        '{', 78,
        '|', 81,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(4);
      END_STATE();
    case 5:
      ADVANCE_MAP(
        '!', 17,
        '%', 116,
        '&', 111,
        '(', 67,
        '*', 76,
        '+', 102,
        ',', 69,
        '-', 105,
        '.', 64,
        '/', 114,
        ':', 18,
        '<', 127,
        '=', 71,
        '>', 130,
        '[', 72,
        '^', 109,
        '{', 78,
        '|', 81,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(5);
      END_STATE();
    case 6:
      ADVANCE_MAP(
        '!', 17,
        '%', 115,
        '&', 112,
        '(', 67,
        ')', 68,
        '*', 75,
        '+', 100,
        ',', 69,
        '-', 103,
        '.', 65,
        '/', 113,
        ':', 99,
        ';', 62,
        '<', 128,
        '=', 71,
        '>', 131,
        '[', 72,
        ']', 73,
        '^', 108,
        '{', 78,
        '|', 82,
        '}', 79,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(6);
      END_STATE();
    case 7:
      if (lookahead == '\'') ADVANCE(157);
      END_STATE();
    case 8:
      if (lookahead == '*') ADVANCE(10);
      if (lookahead == '/') ADVANCE(159);
      END_STATE();
    case 9:
      if (lookahead == '*') ADVANCE(9);
      if (lookahead == '/') ADVANCE(158);
      if (lookahead != 0) ADVANCE(10);
      END_STATE();
    case 10:
      if (lookahead == '*') ADVANCE(9);
      if (lookahead != 0) ADVANCE(10);
      END_STATE();
    case 11:
      if (lookahead == '-') ADVANCE(83);
      END_STATE();
    case 12:
      if (lookahead == '.') ADVANCE(14);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(153);
      END_STATE();
    case 13:
      if (lookahead == '.') ADVANCE(155);
      if (lookahead == '_') ADVANCE(36);
      if (lookahead == 'i') ADVANCE(156);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(27);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(13);
      END_STATE();
    case 14:
      if (lookahead == '.') ADVANCE(74);
      END_STATE();
    case 15:
      if (lookahead == '.') ADVANCE(41);
      if (lookahead == '_') ADVANCE(40);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(150);
      END_STATE();
    case 16:
      if (lookahead == '/') ADVANCE(8);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(16);
      END_STATE();
    case 17:
      if (lookahead == '=') ADVANCE(124);
      END_STATE();
    case 18:
      if (lookahead == '=') ADVANCE(84);
      END_STATE();
    case 19:
      if (lookahead == '=') ADVANCE(123);
      END_STATE();
    case 20:
      if (lookahead == 'U') ADVANCE(54);
      if (lookahead == 'u') ADVANCE(46);
      if (lookahead == 'x') ADVANCE(42);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(146);
      if (lookahead != 0) ADVANCE(144);
      END_STATE();
    case 21:
      if (lookahead == 'U') ADVANCE(55);
      if (lookahead == 'u') ADVANCE(47);
      if (lookahead == 'x') ADVANCE(43);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(33);
      if (set_contains(sym_rune_literal_character_set_1, 11, lookahead)) ADVANCE(7);
      END_STATE();
    case 22:
      if (lookahead == '\\') ADVANCE(21);
      if (lookahead != 0 &&
          lookahead != '\'') ADVANCE(7);
      END_STATE();
    case 23:
      if (lookahead == '_') ADVANCE(29);
      if (lookahead == '0' ||
          lookahead == '1') ADVANCE(151);
      END_STATE();
    case 24:
      if (lookahead == '_') ADVANCE(41);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(27);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(24);
      END_STATE();
    case 25:
      if (lookahead == '_') ADVANCE(32);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(152);
      END_STATE();
    case 26:
      if (lookahead == '`') ADVANCE(136);
      if (lookahead != 0) ADVANCE(26);
      END_STATE();
    case 27:
      if (lookahead == '+' ||
          lookahead == '-') ADVANCE(37);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(154);
      END_STATE();
    case 28:
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(27);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(24);
      END_STATE();
    case 29:
      if (lookahead == '0' ||
          lookahead == '1') ADVANCE(151);
      END_STATE();
    case 30:
      if (lookahead == '8' ||
          lookahead == '9') ADVANCE(13);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(148);
      END_STATE();
    case 31:
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(7);
      END_STATE();
    case 32:
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(152);
      END_STATE();
    case 33:
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(31);
      END_STATE();
    case 34:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(149);
      END_STATE();
    case 35:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(153);
      END_STATE();
    case 36:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(13);
      END_STATE();
    case 37:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(154);
      END_STATE();
    case 38:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(7);
      END_STATE();
    case 39:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(144);
      END_STATE();
    case 40:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(150);
      END_STATE();
    case 41:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(24);
      END_STATE();
    case 42:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(39);
      END_STATE();
    case 43:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(38);
      END_STATE();
    case 44:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(42);
      END_STATE();
    case 45:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(43);
      END_STATE();
    case 46:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(44);
      END_STATE();
    case 47:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(45);
      END_STATE();
    case 48:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(46);
      END_STATE();
    case 49:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(47);
      END_STATE();
    case 50:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(48);
      END_STATE();
    case 51:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(49);
      END_STATE();
    case 52:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(50);
      END_STATE();
    case 53:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(51);
      END_STATE();
    case 54:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(52);
      END_STATE();
    case 55:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(53);
      END_STATE();
    case 56:
      if (eof) ADVANCE(60);
      ADVANCE_MAP(
        0, 63,
        '\n', 61,
        '!', 106,
        '"', 137,
        '&', 110,
        '\'', 22,
        '(', 67,
        ')', 68,
        '*', 75,
        '+', 100,
        ',', 69,
        '-', 103,
        '.', 35,
        '/', 8,
        '0', 147,
        ';', 62,
        '<', 11,
        '=', 70,
        '[', 72,
        '^', 108,
        '`', 26,
        '{', 78,
        '|', 80,
        '}', 79,
        '~', 77,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(56);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(149);
      if (set_contains(sym_identifier_character_set_1, 668, lookahead)) ADVANCE(135);
      END_STATE();
    case 57:
      if (eof) ADVANCE(60);
      ADVANCE_MAP(
        0, 63,
        '\n', 61,
        '!', 17,
        '"', 137,
        '%', 116,
        '&', 111,
        '(', 67,
        ')', 68,
        '*', 76,
        '+', 101,
        ',', 69,
        '-', 104,
        '.', 64,
        '/', 114,
        ':', 99,
        ';', 62,
        '<', 125,
        '=', 71,
        '>', 130,
        '[', 72,
        '^', 109,
        '`', 26,
        '{', 78,
        '|', 81,
        '}', 79,
        '~', 77,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(57);
      if (set_contains(sym_identifier_character_set_1, 668, lookahead)) ADVANCE(135);
      END_STATE();
    case 58:
      if (eof) ADVANCE(60);
      ADVANCE_MAP(
        0, 63,
        '!', 107,
        '"', 137,
        '%', 116,
        '&', 111,
        '\'', 22,
        '(', 67,
        ')', 68,
        '*', 76,
        '+', 101,
        ',', 69,
        '-', 104,
        '.', 66,
        '/', 114,
        '0', 147,
        ':', 99,
        ';', 62,
        '<', 125,
        '=', 71,
        '>', 130,
        '[', 72,
        ']', 73,
        '^', 109,
        '`', 26,
        '{', 78,
        '|', 81,
        '}', 79,
        '~', 77,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(58);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(149);
      if (set_contains(sym_identifier_character_set_1, 668, lookahead)) ADVANCE(135);
      END_STATE();
    case 59:
      if (eof) ADVANCE(60);
      ADVANCE_MAP(
        '!', 106,
        '"', 137,
        '&', 110,
        '\'', 22,
        '(', 67,
        ')', 68,
        '*', 75,
        '+', 100,
        ',', 69,
        '-', 103,
        '.', 12,
        '/', 8,
        '0', 147,
        ':', 98,
        ';', 62,
        '<', 11,
        '[', 72,
        ']', 73,
        '^', 108,
        '`', 26,
        '{', 78,
        '}', 79,
        '~', 77,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(59);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(149);
      if (set_contains(sym_identifier_character_set_1, 668, lookahead)) ADVANCE(135);
      END_STATE();
    case 60:
      ACCEPT_TOKEN(ts_builtin_sym_end);
      END_STATE();
    case 61:
      ACCEPT_TOKEN(anon_sym_LF);
      if (lookahead == '\n') ADVANCE(61);
      END_STATE();
    case 62:
      ACCEPT_TOKEN(anon_sym_SEMI);
      END_STATE();
    case 63:
      ACCEPT_TOKEN(anon_sym_NULL);
      END_STATE();
    case 64:
      ACCEPT_TOKEN(anon_sym_DOT);
      END_STATE();
    case 65:
      ACCEPT_TOKEN(anon_sym_DOT);
      if (lookahead == '.') ADVANCE(14);
      END_STATE();
    case 66:
      ACCEPT_TOKEN(anon_sym_DOT);
      if (lookahead == '.') ADVANCE(14);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(153);
      END_STATE();
    case 67:
      ACCEPT_TOKEN(anon_sym_LPAREN);
      END_STATE();
    case 68:
      ACCEPT_TOKEN(anon_sym_RPAREN);
      END_STATE();
    case 69:
      ACCEPT_TOKEN(anon_sym_COMMA);
      END_STATE();
    case 70:
      ACCEPT_TOKEN(anon_sym_EQ);
      END_STATE();
    case 71:
      ACCEPT_TOKEN(anon_sym_EQ);
      if (lookahead == '=') ADVANCE(123);
      END_STATE();
    case 72:
      ACCEPT_TOKEN(anon_sym_LBRACK);
      END_STATE();
    case 73:
      ACCEPT_TOKEN(anon_sym_RBRACK);
      END_STATE();
    case 74:
      ACCEPT_TOKEN(anon_sym_DOT_DOT_DOT);
      END_STATE();
    case 75:
      ACCEPT_TOKEN(anon_sym_STAR);
      END_STATE();
    case 76:
      ACCEPT_TOKEN(anon_sym_STAR);
      if (lookahead == '=') ADVANCE(87);
      END_STATE();
    case 77:
      ACCEPT_TOKEN(anon_sym_TILDE);
      END_STATE();
    case 78:
      ACCEPT_TOKEN(anon_sym_LBRACE);
      END_STATE();
    case 79:
      ACCEPT_TOKEN(anon_sym_RBRACE);
      END_STATE();
    case 80:
      ACCEPT_TOKEN(anon_sym_PIPE);
      END_STATE();
    case 81:
      ACCEPT_TOKEN(anon_sym_PIPE);
      if (lookahead == '=') ADVANCE(96);
      if (lookahead == '|') ADVANCE(134);
      END_STATE();
    case 82:
      ACCEPT_TOKEN(anon_sym_PIPE);
      if (lookahead == '|') ADVANCE(134);
      END_STATE();
    case 83:
      ACCEPT_TOKEN(anon_sym_LT_DASH);
      END_STATE();
    case 84:
      ACCEPT_TOKEN(anon_sym_COLON_EQ);
      END_STATE();
    case 85:
      ACCEPT_TOKEN(anon_sym_PLUS_PLUS);
      END_STATE();
    case 86:
      ACCEPT_TOKEN(anon_sym_DASH_DASH);
      END_STATE();
    case 87:
      ACCEPT_TOKEN(anon_sym_STAR_EQ);
      END_STATE();
    case 88:
      ACCEPT_TOKEN(anon_sym_SLASH_EQ);
      END_STATE();
    case 89:
      ACCEPT_TOKEN(anon_sym_PERCENT_EQ);
      END_STATE();
    case 90:
      ACCEPT_TOKEN(anon_sym_LT_LT_EQ);
      END_STATE();
    case 91:
      ACCEPT_TOKEN(anon_sym_GT_GT_EQ);
      END_STATE();
    case 92:
      ACCEPT_TOKEN(anon_sym_AMP_EQ);
      END_STATE();
    case 93:
      ACCEPT_TOKEN(anon_sym_AMP_CARET_EQ);
      END_STATE();
    case 94:
      ACCEPT_TOKEN(anon_sym_PLUS_EQ);
      END_STATE();
    case 95:
      ACCEPT_TOKEN(anon_sym_DASH_EQ);
      END_STATE();
    case 96:
      ACCEPT_TOKEN(anon_sym_PIPE_EQ);
      END_STATE();
    case 97:
      ACCEPT_TOKEN(anon_sym_CARET_EQ);
      END_STATE();
    case 98:
      ACCEPT_TOKEN(anon_sym_COLON);
      END_STATE();
    case 99:
      ACCEPT_TOKEN(anon_sym_COLON);
      if (lookahead == '=') ADVANCE(84);
      END_STATE();
    case 100:
      ACCEPT_TOKEN(anon_sym_PLUS);
      END_STATE();
    case 101:
      ACCEPT_TOKEN(anon_sym_PLUS);
      if (lookahead == '+') ADVANCE(85);
      if (lookahead == '=') ADVANCE(94);
      END_STATE();
    case 102:
      ACCEPT_TOKEN(anon_sym_PLUS);
      if (lookahead == '=') ADVANCE(94);
      END_STATE();
    case 103:
      ACCEPT_TOKEN(anon_sym_DASH);
      END_STATE();
    case 104:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '-') ADVANCE(86);
      if (lookahead == '=') ADVANCE(95);
      END_STATE();
    case 105:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '=') ADVANCE(95);
      END_STATE();
    case 106:
      ACCEPT_TOKEN(anon_sym_BANG);
      END_STATE();
    case 107:
      ACCEPT_TOKEN(anon_sym_BANG);
      if (lookahead == '=') ADVANCE(124);
      END_STATE();
    case 108:
      ACCEPT_TOKEN(anon_sym_CARET);
      END_STATE();
    case 109:
      ACCEPT_TOKEN(anon_sym_CARET);
      if (lookahead == '=') ADVANCE(97);
      END_STATE();
    case 110:
      ACCEPT_TOKEN(anon_sym_AMP);
      END_STATE();
    case 111:
      ACCEPT_TOKEN(anon_sym_AMP);
      if (lookahead == '&') ADVANCE(133);
      if (lookahead == '=') ADVANCE(92);
      if (lookahead == '^') ADVANCE(122);
      END_STATE();
    case 112:
      ACCEPT_TOKEN(anon_sym_AMP);
      if (lookahead == '&') ADVANCE(133);
      if (lookahead == '^') ADVANCE(121);
      END_STATE();
    case 113:
      ACCEPT_TOKEN(anon_sym_SLASH);
      if (lookahead == '*') ADVANCE(10);
      if (lookahead == '/') ADVANCE(159);
      END_STATE();
    case 114:
      ACCEPT_TOKEN(anon_sym_SLASH);
      if (lookahead == '*') ADVANCE(10);
      if (lookahead == '/') ADVANCE(159);
      if (lookahead == '=') ADVANCE(88);
      END_STATE();
    case 115:
      ACCEPT_TOKEN(anon_sym_PERCENT);
      END_STATE();
    case 116:
      ACCEPT_TOKEN(anon_sym_PERCENT);
      if (lookahead == '=') ADVANCE(89);
      END_STATE();
    case 117:
      ACCEPT_TOKEN(anon_sym_LT_LT);
      END_STATE();
    case 118:
      ACCEPT_TOKEN(anon_sym_LT_LT);
      if (lookahead == '=') ADVANCE(90);
      END_STATE();
    case 119:
      ACCEPT_TOKEN(anon_sym_GT_GT);
      END_STATE();
    case 120:
      ACCEPT_TOKEN(anon_sym_GT_GT);
      if (lookahead == '=') ADVANCE(91);
      END_STATE();
    case 121:
      ACCEPT_TOKEN(anon_sym_AMP_CARET);
      END_STATE();
    case 122:
      ACCEPT_TOKEN(anon_sym_AMP_CARET);
      if (lookahead == '=') ADVANCE(93);
      END_STATE();
    case 123:
      ACCEPT_TOKEN(anon_sym_EQ_EQ);
      END_STATE();
    case 124:
      ACCEPT_TOKEN(anon_sym_BANG_EQ);
      END_STATE();
    case 125:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '-') ADVANCE(83);
      if (lookahead == '<') ADVANCE(118);
      if (lookahead == '=') ADVANCE(129);
      END_STATE();
    case 126:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '-') ADVANCE(83);
      if (lookahead == '<') ADVANCE(117);
      if (lookahead == '=') ADVANCE(129);
      END_STATE();
    case 127:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '<') ADVANCE(118);
      if (lookahead == '=') ADVANCE(129);
      END_STATE();
    case 128:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '<') ADVANCE(117);
      if (lookahead == '=') ADVANCE(129);
      END_STATE();
    case 129:
      ACCEPT_TOKEN(anon_sym_LT_EQ);
      END_STATE();
    case 130:
      ACCEPT_TOKEN(anon_sym_GT);
      if (lookahead == '=') ADVANCE(132);
      if (lookahead == '>') ADVANCE(120);
      END_STATE();
    case 131:
      ACCEPT_TOKEN(anon_sym_GT);
      if (lookahead == '=') ADVANCE(132);
      if (lookahead == '>') ADVANCE(119);
      END_STATE();
    case 132:
      ACCEPT_TOKEN(anon_sym_GT_EQ);
      END_STATE();
    case 133:
      ACCEPT_TOKEN(anon_sym_AMP_AMP);
      END_STATE();
    case 134:
      ACCEPT_TOKEN(anon_sym_PIPE_PIPE);
      END_STATE();
    case 135:
      ACCEPT_TOKEN(sym_identifier);
      if (set_contains(sym_identifier_character_set_2, 776, lookahead)) ADVANCE(135);
      END_STATE();
    case 136:
      ACCEPT_TOKEN(sym_raw_string_literal);
      END_STATE();
    case 137:
      ACCEPT_TOKEN(anon_sym_DQUOTE);
      END_STATE();
    case 138:
      ACCEPT_TOKEN(anon_sym_DQUOTE2);
      END_STATE();
    case 139:
      ACCEPT_TOKEN(sym__interpreted_string_literal_basic_content);
      if (lookahead == '*') ADVANCE(141);
      if (lookahead == '/') ADVANCE(143);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(143);
      END_STATE();
    case 140:
      ACCEPT_TOKEN(sym__interpreted_string_literal_basic_content);
      if (lookahead == '*') ADVANCE(140);
      if (lookahead == '/') ADVANCE(143);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(141);
      END_STATE();
    case 141:
      ACCEPT_TOKEN(sym__interpreted_string_literal_basic_content);
      if (lookahead == '*') ADVANCE(140);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(141);
      END_STATE();
    case 142:
      ACCEPT_TOKEN(sym__interpreted_string_literal_basic_content);
      if (lookahead == '/') ADVANCE(139);
      if (lookahead == '\t' ||
          (0x0b <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(142);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(143);
      END_STATE();
    case 143:
      ACCEPT_TOKEN(sym__interpreted_string_literal_basic_content);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(143);
      END_STATE();
    case 144:
      ACCEPT_TOKEN(sym_escape_sequence);
      END_STATE();
    case 145:
      ACCEPT_TOKEN(sym_escape_sequence);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(144);
      END_STATE();
    case 146:
      ACCEPT_TOKEN(sym_escape_sequence);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(145);
      END_STATE();
    case 147:
      ACCEPT_TOKEN(sym_int_literal);
      ADVANCE_MAP(
        '.', 155,
        '_', 30,
        'i', 156,
        'B', 23,
        'b', 23,
        'E', 27,
        'e', 27,
        'O', 25,
        'o', 25,
        'X', 15,
        'x', 15,
        '8', 13,
        '9', 13,
      );
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(148);
      END_STATE();
    case 148:
      ACCEPT_TOKEN(sym_int_literal);
      if (lookahead == '.') ADVANCE(155);
      if (lookahead == '_') ADVANCE(30);
      if (lookahead == 'i') ADVANCE(156);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(27);
      if (lookahead == '8' ||
          lookahead == '9') ADVANCE(13);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(148);
      END_STATE();
    case 149:
      ACCEPT_TOKEN(sym_int_literal);
      if (lookahead == '.') ADVANCE(155);
      if (lookahead == '_') ADVANCE(34);
      if (lookahead == 'i') ADVANCE(156);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(27);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(149);
      END_STATE();
    case 150:
      ACCEPT_TOKEN(sym_int_literal);
      if (lookahead == '.') ADVANCE(28);
      if (lookahead == '_') ADVANCE(40);
      if (lookahead == 'i') ADVANCE(156);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(27);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(150);
      END_STATE();
    case 151:
      ACCEPT_TOKEN(sym_int_literal);
      if (lookahead == '_') ADVANCE(29);
      if (lookahead == 'i') ADVANCE(156);
      if (lookahead == '0' ||
          lookahead == '1') ADVANCE(151);
      END_STATE();
    case 152:
      ACCEPT_TOKEN(sym_int_literal);
      if (lookahead == '_') ADVANCE(32);
      if (lookahead == 'i') ADVANCE(156);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(152);
      END_STATE();
    case 153:
      ACCEPT_TOKEN(sym_float_literal);
      if (lookahead == '_') ADVANCE(35);
      if (lookahead == 'i') ADVANCE(156);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(27);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(153);
      END_STATE();
    case 154:
      ACCEPT_TOKEN(sym_float_literal);
      if (lookahead == '_') ADVANCE(37);
      if (lookahead == 'i') ADVANCE(156);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(154);
      END_STATE();
    case 155:
      ACCEPT_TOKEN(sym_float_literal);
      if (lookahead == 'i') ADVANCE(156);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(27);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(153);
      END_STATE();
    case 156:
      ACCEPT_TOKEN(sym_imaginary_literal);
      END_STATE();
    case 157:
      ACCEPT_TOKEN(sym_rune_literal);
      END_STATE();
    case 158:
      ACCEPT_TOKEN(sym_comment);
      END_STATE();
    case 159:
      ACCEPT_TOKEN(sym_comment);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(159);
      END_STATE();
    default:
      return false;
  }
}

static bool ts_lex_keywords(TSLexer *lexer, TSStateId state) {
  START_LEXER();
  eof = lexer->eof(lexer);
  switch (state) {
    case 0:
      ADVANCE_MAP(
        '_', 1,
        'b', 2,
        'c', 3,
        'd', 4,
        'e', 5,
        'f', 6,
        'g', 7,
        'i', 8,
        'm', 9,
        'n', 10,
        'p', 11,
        'r', 12,
        's', 13,
        't', 14,
        'v', 15,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(0);
      END_STATE();
    case 1:
      ACCEPT_TOKEN(sym_blank_identifier);
      END_STATE();
    case 2:
      if (lookahead == 'r') ADVANCE(16);
      END_STATE();
    case 3:
      if (lookahead == 'a') ADVANCE(17);
      if (lookahead == 'h') ADVANCE(18);
      if (lookahead == 'o') ADVANCE(19);
      END_STATE();
    case 4:
      if (lookahead == 'e') ADVANCE(20);
      END_STATE();
    case 5:
      if (lookahead == 'l') ADVANCE(21);
      END_STATE();
    case 6:
      if (lookahead == 'a') ADVANCE(22);
      if (lookahead == 'o') ADVANCE(23);
      if (lookahead == 'u') ADVANCE(24);
      END_STATE();
    case 7:
      if (lookahead == 'o') ADVANCE(25);
      END_STATE();
    case 8:
      if (lookahead == 'f') ADVANCE(26);
      if (lookahead == 'm') ADVANCE(27);
      if (lookahead == 'n') ADVANCE(28);
      if (lookahead == 'o') ADVANCE(29);
      END_STATE();
    case 9:
      if (lookahead == 'a') ADVANCE(30);
      END_STATE();
    case 10:
      if (lookahead == 'e') ADVANCE(31);
      if (lookahead == 'i') ADVANCE(32);
      END_STATE();
    case 11:
      if (lookahead == 'a') ADVANCE(33);
      END_STATE();
    case 12:
      if (lookahead == 'a') ADVANCE(34);
      if (lookahead == 'e') ADVANCE(35);
      END_STATE();
    case 13:
      if (lookahead == 'e') ADVANCE(36);
      if (lookahead == 't') ADVANCE(37);
      if (lookahead == 'w') ADVANCE(38);
      END_STATE();
    case 14:
      if (lookahead == 'r') ADVANCE(39);
      if (lookahead == 'y') ADVANCE(40);
      END_STATE();
    case 15:
      if (lookahead == 'a') ADVANCE(41);
      END_STATE();
    case 16:
      if (lookahead == 'e') ADVANCE(42);
      END_STATE();
    case 17:
      if (lookahead == 's') ADVANCE(43);
      END_STATE();
    case 18:
      if (lookahead == 'a') ADVANCE(44);
      END_STATE();
    case 19:
      if (lookahead == 'n') ADVANCE(45);
      END_STATE();
    case 20:
      if (lookahead == 'f') ADVANCE(46);
      END_STATE();
    case 21:
      if (lookahead == 's') ADVANCE(47);
      END_STATE();
    case 22:
      if (lookahead == 'l') ADVANCE(48);
      END_STATE();
    case 23:
      if (lookahead == 'r') ADVANCE(49);
      END_STATE();
    case 24:
      if (lookahead == 'n') ADVANCE(50);
      END_STATE();
    case 25:
      ACCEPT_TOKEN(anon_sym_go);
      if (lookahead == 't') ADVANCE(51);
      END_STATE();
    case 26:
      ACCEPT_TOKEN(anon_sym_if);
      END_STATE();
    case 27:
      if (lookahead == 'p') ADVANCE(52);
      END_STATE();
    case 28:
      if (lookahead == 't') ADVANCE(53);
      END_STATE();
    case 29:
      if (lookahead == 't') ADVANCE(54);
      END_STATE();
    case 30:
      if (lookahead == 'k') ADVANCE(55);
      if (lookahead == 'p') ADVANCE(56);
      END_STATE();
    case 31:
      if (lookahead == 'w') ADVANCE(57);
      END_STATE();
    case 32:
      if (lookahead == 'l') ADVANCE(58);
      END_STATE();
    case 33:
      if (lookahead == 'c') ADVANCE(59);
      END_STATE();
    case 34:
      if (lookahead == 'n') ADVANCE(60);
      END_STATE();
    case 35:
      if (lookahead == 't') ADVANCE(61);
      END_STATE();
    case 36:
      if (lookahead == 'l') ADVANCE(62);
      END_STATE();
    case 37:
      if (lookahead == 'r') ADVANCE(63);
      END_STATE();
    case 38:
      if (lookahead == 'i') ADVANCE(64);
      END_STATE();
    case 39:
      if (lookahead == 'u') ADVANCE(65);
      END_STATE();
    case 40:
      if (lookahead == 'p') ADVANCE(66);
      END_STATE();
    case 41:
      if (lookahead == 'r') ADVANCE(67);
      END_STATE();
    case 42:
      if (lookahead == 'a') ADVANCE(68);
      END_STATE();
    case 43:
      if (lookahead == 'e') ADVANCE(69);
      END_STATE();
    case 44:
      if (lookahead == 'n') ADVANCE(70);
      END_STATE();
    case 45:
      if (lookahead == 's') ADVANCE(71);
      if (lookahead == 't') ADVANCE(72);
      END_STATE();
    case 46:
      if (lookahead == 'a') ADVANCE(73);
      if (lookahead == 'e') ADVANCE(74);
      END_STATE();
    case 47:
      if (lookahead == 'e') ADVANCE(75);
      END_STATE();
    case 48:
      if (lookahead == 'l') ADVANCE(76);
      if (lookahead == 's') ADVANCE(77);
      END_STATE();
    case 49:
      ACCEPT_TOKEN(anon_sym_for);
      END_STATE();
    case 50:
      if (lookahead == 'c') ADVANCE(78);
      END_STATE();
    case 51:
      if (lookahead == 'o') ADVANCE(79);
      END_STATE();
    case 52:
      if (lookahead == 'o') ADVANCE(80);
      END_STATE();
    case 53:
      if (lookahead == 'e') ADVANCE(81);
      END_STATE();
    case 54:
      if (lookahead == 'a') ADVANCE(82);
      END_STATE();
    case 55:
      if (lookahead == 'e') ADVANCE(83);
      END_STATE();
    case 56:
      ACCEPT_TOKEN(anon_sym_map);
      END_STATE();
    case 57:
      ACCEPT_TOKEN(anon_sym_new);
      END_STATE();
    case 58:
      ACCEPT_TOKEN(sym_nil);
      END_STATE();
    case 59:
      if (lookahead == 'k') ADVANCE(84);
      END_STATE();
    case 60:
      if (lookahead == 'g') ADVANCE(85);
      END_STATE();
    case 61:
      if (lookahead == 'u') ADVANCE(86);
      END_STATE();
    case 62:
      if (lookahead == 'e') ADVANCE(87);
      END_STATE();
    case 63:
      if (lookahead == 'u') ADVANCE(88);
      END_STATE();
    case 64:
      if (lookahead == 't') ADVANCE(89);
      END_STATE();
    case 65:
      if (lookahead == 'e') ADVANCE(90);
      END_STATE();
    case 66:
      if (lookahead == 'e') ADVANCE(91);
      END_STATE();
    case 67:
      ACCEPT_TOKEN(anon_sym_var);
      END_STATE();
    case 68:
      if (lookahead == 'k') ADVANCE(92);
      END_STATE();
    case 69:
      ACCEPT_TOKEN(anon_sym_case);
      END_STATE();
    case 70:
      ACCEPT_TOKEN(anon_sym_chan);
      END_STATE();
    case 71:
      if (lookahead == 't') ADVANCE(93);
      END_STATE();
    case 72:
      if (lookahead == 'i') ADVANCE(94);
      END_STATE();
    case 73:
      if (lookahead == 'u') ADVANCE(95);
      END_STATE();
    case 74:
      if (lookahead == 'r') ADVANCE(96);
      END_STATE();
    case 75:
      ACCEPT_TOKEN(anon_sym_else);
      END_STATE();
    case 76:
      if (lookahead == 't') ADVANCE(97);
      END_STATE();
    case 77:
      if (lookahead == 'e') ADVANCE(98);
      END_STATE();
    case 78:
      ACCEPT_TOKEN(anon_sym_func);
      END_STATE();
    case 79:
      ACCEPT_TOKEN(anon_sym_goto);
      END_STATE();
    case 80:
      if (lookahead == 'r') ADVANCE(99);
      END_STATE();
    case 81:
      if (lookahead == 'r') ADVANCE(100);
      END_STATE();
    case 82:
      ACCEPT_TOKEN(sym_iota);
      END_STATE();
    case 83:
      ACCEPT_TOKEN(anon_sym_make);
      END_STATE();
    case 84:
      if (lookahead == 'a') ADVANCE(101);
      END_STATE();
    case 85:
      if (lookahead == 'e') ADVANCE(102);
      END_STATE();
    case 86:
      if (lookahead == 'r') ADVANCE(103);
      END_STATE();
    case 87:
      if (lookahead == 'c') ADVANCE(104);
      END_STATE();
    case 88:
      if (lookahead == 'c') ADVANCE(105);
      END_STATE();
    case 89:
      if (lookahead == 'c') ADVANCE(106);
      END_STATE();
    case 90:
      ACCEPT_TOKEN(sym_true);
      END_STATE();
    case 91:
      ACCEPT_TOKEN(anon_sym_type);
      END_STATE();
    case 92:
      ACCEPT_TOKEN(anon_sym_break);
      END_STATE();
    case 93:
      ACCEPT_TOKEN(anon_sym_const);
      END_STATE();
    case 94:
      if (lookahead == 'n') ADVANCE(107);
      END_STATE();
    case 95:
      if (lookahead == 'l') ADVANCE(108);
      END_STATE();
    case 96:
      ACCEPT_TOKEN(anon_sym_defer);
      END_STATE();
    case 97:
      if (lookahead == 'h') ADVANCE(109);
      END_STATE();
    case 98:
      ACCEPT_TOKEN(sym_false);
      END_STATE();
    case 99:
      if (lookahead == 't') ADVANCE(110);
      END_STATE();
    case 100:
      if (lookahead == 'f') ADVANCE(111);
      END_STATE();
    case 101:
      if (lookahead == 'g') ADVANCE(112);
      END_STATE();
    case 102:
      ACCEPT_TOKEN(anon_sym_range);
      END_STATE();
    case 103:
      if (lookahead == 'n') ADVANCE(113);
      END_STATE();
    case 104:
      if (lookahead == 't') ADVANCE(114);
      END_STATE();
    case 105:
      if (lookahead == 't') ADVANCE(115);
      END_STATE();
    case 106:
      if (lookahead == 'h') ADVANCE(116);
      END_STATE();
    case 107:
      if (lookahead == 'u') ADVANCE(117);
      END_STATE();
    case 108:
      if (lookahead == 't') ADVANCE(118);
      END_STATE();
    case 109:
      if (lookahead == 'r') ADVANCE(119);
      END_STATE();
    case 110:
      ACCEPT_TOKEN(anon_sym_import);
      END_STATE();
    case 111:
      if (lookahead == 'a') ADVANCE(120);
      END_STATE();
    case 112:
      if (lookahead == 'e') ADVANCE(121);
      END_STATE();
    case 113:
      ACCEPT_TOKEN(anon_sym_return);
      END_STATE();
    case 114:
      ACCEPT_TOKEN(anon_sym_select);
      END_STATE();
    case 115:
      ACCEPT_TOKEN(anon_sym_struct);
      END_STATE();
    case 116:
      ACCEPT_TOKEN(anon_sym_switch);
      END_STATE();
    case 117:
      if (lookahead == 'e') ADVANCE(122);
      END_STATE();
    case 118:
      ACCEPT_TOKEN(anon_sym_default);
      END_STATE();
    case 119:
      if (lookahead == 'o') ADVANCE(123);
      END_STATE();
    case 120:
      if (lookahead == 'c') ADVANCE(124);
      END_STATE();
    case 121:
      ACCEPT_TOKEN(anon_sym_package);
      END_STATE();
    case 122:
      ACCEPT_TOKEN(anon_sym_continue);
      END_STATE();
    case 123:
      if (lookahead == 'u') ADVANCE(125);
      END_STATE();
    case 124:
      if (lookahead == 'e') ADVANCE(126);
      END_STATE();
    case 125:
      if (lookahead == 'g') ADVANCE(127);
      END_STATE();
    case 126:
      ACCEPT_TOKEN(anon_sym_interface);
      END_STATE();
    case 127:
      if (lookahead == 'h') ADVANCE(128);
      END_STATE();
    case 128:
      ACCEPT_TOKEN(anon_sym_fallthrough);
      END_STATE();
    default:
      return false;
  }
}

static const TSLexMode ts_lex_modes[STATE_COUNT] = {
  [0] = {.lex_state = 0},
  [1] = {.lex_state = 59},
  [2] = {.lex_state = 59},
  [3] = {.lex_state = 59},
  [4] = {.lex_state = 59},
  [5] = {.lex_state = 59},
  [6] = {.lex_state = 59},
  [7] = {.lex_state = 59},
  [8] = {.lex_state = 59},
  [9] = {.lex_state = 59},
  [10] = {.lex_state = 59},
  [11] = {.lex_state = 59},
  [12] = {.lex_state = 59},
  [13] = {.lex_state = 59},
  [14] = {.lex_state = 59},
  [15] = {.lex_state = 59},
  [16] = {.lex_state = 59},
  [17] = {.lex_state = 59},
  [18] = {.lex_state = 59},
  [19] = {.lex_state = 59},
  [20] = {.lex_state = 59},
  [21] = {.lex_state = 59},
  [22] = {.lex_state = 59},
  [23] = {.lex_state = 59},
  [24] = {.lex_state = 59},
  [25] = {.lex_state = 59},
  [26] = {.lex_state = 59},
  [27] = {.lex_state = 59},
  [28] = {.lex_state = 56},
  [29] = {.lex_state = 59},
  [30] = {.lex_state = 59},
  [31] = {.lex_state = 59},
  [32] = {.lex_state = 59},
  [33] = {.lex_state = 59},
  [34] = {.lex_state = 59},
  [35] = {.lex_state = 59},
  [36] = {.lex_state = 59},
  [37] = {.lex_state = 59},
  [38] = {.lex_state = 59},
  [39] = {.lex_state = 59},
  [40] = {.lex_state = 59},
  [41] = {.lex_state = 59},
  [42] = {.lex_state = 59},
  [43] = {.lex_state = 59},
  [44] = {.lex_state = 59},
  [45] = {.lex_state = 59},
  [46] = {.lex_state = 59},
  [47] = {.lex_state = 59},
  [48] = {.lex_state = 59},
  [49] = {.lex_state = 59},
  [50] = {.lex_state = 59},
  [51] = {.lex_state = 59},
  [52] = {.lex_state = 59},
  [53] = {.lex_state = 59},
  [54] = {.lex_state = 59},
  [55] = {.lex_state = 59},
  [56] = {.lex_state = 59},
  [57] = {.lex_state = 59},
  [58] = {.lex_state = 59},
  [59] = {.lex_state = 59},
  [60] = {.lex_state = 59},
  [61] = {.lex_state = 59},
  [62] = {.lex_state = 59},
  [63] = {.lex_state = 59},
  [64] = {.lex_state = 59},
  [65] = {.lex_state = 59},
  [66] = {.lex_state = 59},
  [67] = {.lex_state = 59},
  [68] = {.lex_state = 59},
  [69] = {.lex_state = 59},
  [70] = {.lex_state = 59},
  [71] = {.lex_state = 59},
  [72] = {.lex_state = 59},
  [73] = {.lex_state = 59},
  [74] = {.lex_state = 59},
  [75] = {.lex_state = 59},
  [76] = {.lex_state = 59},
  [77] = {.lex_state = 59},
  [78] = {.lex_state = 59},
  [79] = {.lex_state = 59},
  [80] = {.lex_state = 59},
  [81] = {.lex_state = 59},
  [82] = {.lex_state = 59},
  [83] = {.lex_state = 59},
  [84] = {.lex_state = 59},
  [85] = {.lex_state = 59},
  [86] = {.lex_state = 59},
  [87] = {.lex_state = 59},
  [88] = {.lex_state = 59},
  [89] = {.lex_state = 59},
  [90] = {.lex_state = 59},
  [91] = {.lex_state = 59},
  [92] = {.lex_state = 59},
  [93] = {.lex_state = 59},
  [94] = {.lex_state = 59},
  [95] = {.lex_state = 59},
  [96] = {.lex_state = 59},
  [97] = {.lex_state = 59},
  [98] = {.lex_state = 59},
  [99] = {.lex_state = 59},
  [100] = {.lex_state = 59},
  [101] = {.lex_state = 59},
  [102] = {.lex_state = 59},
  [103] = {.lex_state = 59},
  [104] = {.lex_state = 59},
  [105] = {.lex_state = 59},
  [106] = {.lex_state = 59},
  [107] = {.lex_state = 59},
  [108] = {.lex_state = 59},
  [109] = {.lex_state = 59},
  [110] = {.lex_state = 59},
  [111] = {.lex_state = 59},
  [112] = {.lex_state = 59},
  [113] = {.lex_state = 59},
  [114] = {.lex_state = 59},
  [115] = {.lex_state = 59},
  [116] = {.lex_state = 59},
  [117] = {.lex_state = 59},
  [118] = {.lex_state = 59},
  [119] = {.lex_state = 59},
  [120] = {.lex_state = 59},
  [121] = {.lex_state = 59},
  [122] = {.lex_state = 59},
  [123] = {.lex_state = 59},
  [124] = {.lex_state = 59},
  [125] = {.lex_state = 59},
  [126] = {.lex_state = 59},
  [127] = {.lex_state = 59},
  [128] = {.lex_state = 59},
  [129] = {.lex_state = 59},
  [130] = {.lex_state = 59},
  [131] = {.lex_state = 59},
  [132] = {.lex_state = 59},
  [133] = {.lex_state = 59},
  [134] = {.lex_state = 59},
  [135] = {.lex_state = 59},
  [136] = {.lex_state = 59},
  [137] = {.lex_state = 59},
  [138] = {.lex_state = 59},
  [139] = {.lex_state = 59},
  [140] = {.lex_state = 59},
  [141] = {.lex_state = 59},
  [142] = {.lex_state = 59},
  [143] = {.lex_state = 59},
  [144] = {.lex_state = 59},
  [145] = {.lex_state = 59},
  [146] = {.lex_state = 59},
  [147] = {.lex_state = 59},
  [148] = {.lex_state = 59},
  [149] = {.lex_state = 59},
  [150] = {.lex_state = 59},
  [151] = {.lex_state = 59},
  [152] = {.lex_state = 59},
  [153] = {.lex_state = 59},
  [154] = {.lex_state = 59},
  [155] = {.lex_state = 59},
  [156] = {.lex_state = 59},
  [157] = {.lex_state = 59},
  [158] = {.lex_state = 59},
  [159] = {.lex_state = 59},
  [160] = {.lex_state = 59},
  [161] = {.lex_state = 59},
  [162] = {.lex_state = 59},
  [163] = {.lex_state = 59},
  [164] = {.lex_state = 59},
  [165] = {.lex_state = 59},
  [166] = {.lex_state = 59},
  [167] = {.lex_state = 59},
  [168] = {.lex_state = 59},
  [169] = {.lex_state = 59},
  [170] = {.lex_state = 59},
  [171] = {.lex_state = 59},
  [172] = {.lex_state = 59},
  [173] = {.lex_state = 59},
  [174] = {.lex_state = 59},
  [175] = {.lex_state = 59},
  [176] = {.lex_state = 59},
  [177] = {.lex_state = 59},
  [178] = {.lex_state = 59},
  [179] = {.lex_state = 59},
  [180] = {.lex_state = 59},
  [181] = {.lex_state = 59},
  [182] = {.lex_state = 59},
  [183] = {.lex_state = 59},
  [184] = {.lex_state = 59},
  [185] = {.lex_state = 59},
  [186] = {.lex_state = 59},
  [187] = {.lex_state = 59},
  [188] = {.lex_state = 59},
  [189] = {.lex_state = 59},
  [190] = {.lex_state = 59},
  [191] = {.lex_state = 59},
  [192] = {.lex_state = 59},
  [193] = {.lex_state = 59},
  [194] = {.lex_state = 59},
  [195] = {.lex_state = 59},
  [196] = {.lex_state = 59},
  [197] = {.lex_state = 59},
  [198] = {.lex_state = 59},
  [199] = {.lex_state = 59},
  [200] = {.lex_state = 59},
  [201] = {.lex_state = 59},
  [202] = {.lex_state = 59},
  [203] = {.lex_state = 59},
  [204] = {.lex_state = 59},
  [205] = {.lex_state = 59},
  [206] = {.lex_state = 59},
  [207] = {.lex_state = 59},
  [208] = {.lex_state = 59},
  [209] = {.lex_state = 59},
  [210] = {.lex_state = 59},
  [211] = {.lex_state = 59},
  [212] = {.lex_state = 59},
  [213] = {.lex_state = 59},
  [214] = {.lex_state = 59},
  [215] = {.lex_state = 59},
  [216] = {.lex_state = 59},
  [217] = {.lex_state = 59},
  [218] = {.lex_state = 59},
  [219] = {.lex_state = 59},
  [220] = {.lex_state = 59},
  [221] = {.lex_state = 59},
  [222] = {.lex_state = 59},
  [223] = {.lex_state = 59},
  [224] = {.lex_state = 59},
  [225] = {.lex_state = 59},
  [226] = {.lex_state = 59},
  [227] = {.lex_state = 59},
  [228] = {.lex_state = 59},
  [229] = {.lex_state = 59},
  [230] = {.lex_state = 59},
  [231] = {.lex_state = 59},
  [232] = {.lex_state = 59},
  [233] = {.lex_state = 59},
  [234] = {.lex_state = 59},
  [235] = {.lex_state = 3},
  [236] = {.lex_state = 57},
  [237] = {.lex_state = 57},
  [238] = {.lex_state = 57},
  [239] = {.lex_state = 57},
  [240] = {.lex_state = 57},
  [241] = {.lex_state = 57},
  [242] = {.lex_state = 57},
  [243] = {.lex_state = 57},
  [244] = {.lex_state = 57},
  [245] = {.lex_state = 59},
  [246] = {.lex_state = 57},
  [247] = {.lex_state = 57},
  [248] = {.lex_state = 57},
  [249] = {.lex_state = 57},
  [250] = {.lex_state = 57},
  [251] = {.lex_state = 57},
  [252] = {.lex_state = 57},
  [253] = {.lex_state = 57},
  [254] = {.lex_state = 57},
  [255] = {.lex_state = 57},
  [256] = {.lex_state = 57},
  [257] = {.lex_state = 57},
  [258] = {.lex_state = 57},
  [259] = {.lex_state = 57},
  [260] = {.lex_state = 4},
  [261] = {.lex_state = 57},
  [262] = {.lex_state = 57},
  [263] = {.lex_state = 57},
  [264] = {.lex_state = 57},
  [265] = {.lex_state = 57},
  [266] = {.lex_state = 57},
  [267] = {.lex_state = 57},
  [268] = {.lex_state = 57},
  [269] = {.lex_state = 57},
  [270] = {.lex_state = 57},
  [271] = {.lex_state = 57},
  [272] = {.lex_state = 57},
  [273] = {.lex_state = 57},
  [274] = {.lex_state = 57},
  [275] = {.lex_state = 4},
  [276] = {.lex_state = 57},
  [277] = {.lex_state = 57},
  [278] = {.lex_state = 57},
  [279] = {.lex_state = 57},
  [280] = {.lex_state = 57},
  [281] = {.lex_state = 57},
  [282] = {.lex_state = 57},
  [283] = {.lex_state = 57},
  [284] = {.lex_state = 57},
  [285] = {.lex_state = 57},
  [286] = {.lex_state = 57},
  [287] = {.lex_state = 4},
  [288] = {.lex_state = 4},
  [289] = {.lex_state = 4},
  [290] = {.lex_state = 4},
  [291] = {.lex_state = 4},
  [292] = {.lex_state = 4},
  [293] = {.lex_state = 4},
  [294] = {.lex_state = 4},
  [295] = {.lex_state = 4},
  [296] = {.lex_state = 4},
  [297] = {.lex_state = 4},
  [298] = {.lex_state = 4},
  [299] = {.lex_state = 4},
  [300] = {.lex_state = 4},
  [301] = {.lex_state = 4},
  [302] = {.lex_state = 4},
  [303] = {.lex_state = 4},
  [304] = {.lex_state = 4},
  [305] = {.lex_state = 4},
  [306] = {.lex_state = 4},
  [307] = {.lex_state = 4},
  [308] = {.lex_state = 4},
  [309] = {.lex_state = 4},
  [310] = {.lex_state = 4},
  [311] = {.lex_state = 4},
  [312] = {.lex_state = 4},
  [313] = {.lex_state = 4},
  [314] = {.lex_state = 4},
  [315] = {.lex_state = 4},
  [316] = {.lex_state = 4},
  [317] = {.lex_state = 4},
  [318] = {.lex_state = 4},
  [319] = {.lex_state = 4},
  [320] = {.lex_state = 4},
  [321] = {.lex_state = 4},
  [322] = {.lex_state = 4},
  [323] = {.lex_state = 4},
  [324] = {.lex_state = 4},
  [325] = {.lex_state = 4},
  [326] = {.lex_state = 4},
  [327] = {.lex_state = 4},
  [328] = {.lex_state = 4},
  [329] = {.lex_state = 4},
  [330] = {.lex_state = 4},
  [331] = {.lex_state = 4},
  [332] = {.lex_state = 4},
  [333] = {.lex_state = 4},
  [334] = {.lex_state = 5},
  [335] = {.lex_state = 5},
  [336] = {.lex_state = 5},
  [337] = {.lex_state = 5},
  [338] = {.lex_state = 5},
  [339] = {.lex_state = 5},
  [340] = {.lex_state = 5},
  [341] = {.lex_state = 5},
  [342] = {.lex_state = 5},
  [343] = {.lex_state = 5},
  [344] = {.lex_state = 5},
  [345] = {.lex_state = 5},
  [346] = {.lex_state = 5},
  [347] = {.lex_state = 5},
  [348] = {.lex_state = 5},
  [349] = {.lex_state = 5},
  [350] = {.lex_state = 5},
  [351] = {.lex_state = 5},
  [352] = {.lex_state = 5},
  [353] = {.lex_state = 5},
  [354] = {.lex_state = 5},
  [355] = {.lex_state = 5},
  [356] = {.lex_state = 5},
  [357] = {.lex_state = 5},
  [358] = {.lex_state = 5},
  [359] = {.lex_state = 5},
  [360] = {.lex_state = 5},
  [361] = {.lex_state = 5},
  [362] = {.lex_state = 5},
  [363] = {.lex_state = 5},
  [364] = {.lex_state = 5},
  [365] = {.lex_state = 5},
  [366] = {.lex_state = 5},
  [367] = {.lex_state = 5},
  [368] = {.lex_state = 5},
  [369] = {.lex_state = 5},
  [370] = {.lex_state = 5},
  [371] = {.lex_state = 5},
  [372] = {.lex_state = 5},
  [373] = {.lex_state = 5},
  [374] = {.lex_state = 5},
  [375] = {.lex_state = 5},
  [376] = {.lex_state = 5},
  [377] = {.lex_state = 5},
  [378] = {.lex_state = 5},
  [379] = {.lex_state = 5},
  [380] = {.lex_state = 57},
  [381] = {.lex_state = 56},
  [382] = {.lex_state = 56},
  [383] = {.lex_state = 6},
  [384] = {.lex_state = 6},
  [385] = {.lex_state = 6},
  [386] = {.lex_state = 6},
  [387] = {.lex_state = 56},
  [388] = {.lex_state = 56},
  [389] = {.lex_state = 6},
  [390] = {.lex_state = 6},
  [391] = {.lex_state = 6},
  [392] = {.lex_state = 6},
  [393] = {.lex_state = 6},
  [394] = {.lex_state = 6},
  [395] = {.lex_state = 6},
  [396] = {.lex_state = 6},
  [397] = {.lex_state = 1},
  [398] = {.lex_state = 6},
  [399] = {.lex_state = 6},
  [400] = {.lex_state = 6},
  [401] = {.lex_state = 6},
  [402] = {.lex_state = 6},
  [403] = {.lex_state = 6},
  [404] = {.lex_state = 6},
  [405] = {.lex_state = 6},
  [406] = {.lex_state = 6},
  [407] = {.lex_state = 6},
  [408] = {.lex_state = 6},
  [409] = {.lex_state = 6},
  [410] = {.lex_state = 6},
  [411] = {.lex_state = 6},
  [412] = {.lex_state = 6},
  [413] = {.lex_state = 6},
  [414] = {.lex_state = 6},
  [415] = {.lex_state = 6},
  [416] = {.lex_state = 1},
  [417] = {.lex_state = 6},
  [418] = {.lex_state = 6},
  [419] = {.lex_state = 6},
  [420] = {.lex_state = 6},
  [421] = {.lex_state = 6},
  [422] = {.lex_state = 6},
  [423] = {.lex_state = 6},
  [424] = {.lex_state = 6},
  [425] = {.lex_state = 6},
  [426] = {.lex_state = 6},
  [427] = {.lex_state = 6},
  [428] = {.lex_state = 1},
  [429] = {.lex_state = 1},
  [430] = {.lex_state = 6},
  [431] = {.lex_state = 0},
  [432] = {.lex_state = 6},
  [433] = {.lex_state = 1},
  [434] = {.lex_state = 1},
  [435] = {.lex_state = 1},
  [436] = {.lex_state = 1},
  [437] = {.lex_state = 6},
  [438] = {.lex_state = 1},
  [439] = {.lex_state = 6},
  [440] = {.lex_state = 0},
  [441] = {.lex_state = 1},
  [442] = {.lex_state = 3},
  [443] = {.lex_state = 0},
  [444] = {.lex_state = 1},
  [445] = {.lex_state = 1},
  [446] = {.lex_state = 1},
  [447] = {.lex_state = 3},
  [448] = {.lex_state = 56},
  [449] = {.lex_state = 56},
  [450] = {.lex_state = 3},
  [451] = {.lex_state = 56},
  [452] = {.lex_state = 1},
  [453] = {.lex_state = 1},
  [454] = {.lex_state = 1},
  [455] = {.lex_state = 1},
  [456] = {.lex_state = 1},
  [457] = {.lex_state = 1},
  [458] = {.lex_state = 1},
  [459] = {.lex_state = 1},
  [460] = {.lex_state = 1},
  [461] = {.lex_state = 1},
  [462] = {.lex_state = 3},
  [463] = {.lex_state = 3},
  [464] = {.lex_state = 3},
  [465] = {.lex_state = 3},
  [466] = {.lex_state = 1},
  [467] = {.lex_state = 1},
  [468] = {.lex_state = 0},
  [469] = {.lex_state = 1},
  [470] = {.lex_state = 6},
  [471] = {.lex_state = 1},
  [472] = {.lex_state = 1},
  [473] = {.lex_state = 1},
  [474] = {.lex_state = 1},
  [475] = {.lex_state = 1},
  [476] = {.lex_state = 1},
  [477] = {.lex_state = 56},
  [478] = {.lex_state = 0},
  [479] = {.lex_state = 1},
  [480] = {.lex_state = 56},
  [481] = {.lex_state = 1},
  [482] = {.lex_state = 1},
  [483] = {.lex_state = 1},
  [484] = {.lex_state = 1},
  [485] = {.lex_state = 1},
  [486] = {.lex_state = 1},
  [487] = {.lex_state = 3},
  [488] = {.lex_state = 1},
  [489] = {.lex_state = 1},
  [490] = {.lex_state = 1},
  [491] = {.lex_state = 1},
  [492] = {.lex_state = 1},
  [493] = {.lex_state = 1},
  [494] = {.lex_state = 1},
  [495] = {.lex_state = 1},
  [496] = {.lex_state = 1},
  [497] = {.lex_state = 0},
  [498] = {.lex_state = 56},
  [499] = {.lex_state = 1},
  [500] = {.lex_state = 56},
  [501] = {.lex_state = 3},
  [502] = {.lex_state = 1},
  [503] = {.lex_state = 56},
  [504] = {.lex_state = 6},
  [505] = {.lex_state = 6},
  [506] = {.lex_state = 0},
  [507] = {.lex_state = 6},
  [508] = {.lex_state = 0},
  [509] = {.lex_state = 0},
  [510] = {.lex_state = 0},
  [511] = {.lex_state = 0},
  [512] = {.lex_state = 0},
  [513] = {.lex_state = 3},
  [514] = {.lex_state = 6},
  [515] = {.lex_state = 6},
  [516] = {.lex_state = 6},
  [517] = {.lex_state = 6},
  [518] = {.lex_state = 6},
  [519] = {.lex_state = 56},
  [520] = {.lex_state = 6},
  [521] = {.lex_state = 6},
  [522] = {.lex_state = 3},
  [523] = {.lex_state = 3},
  [524] = {.lex_state = 3},
  [525] = {.lex_state = 3},
  [526] = {.lex_state = 6},
  [527] = {.lex_state = 0},
  [528] = {.lex_state = 3},
  [529] = {.lex_state = 3},
  [530] = {.lex_state = 3},
  [531] = {.lex_state = 0},
  [532] = {.lex_state = 3},
  [533] = {.lex_state = 0},
  [534] = {.lex_state = 3},
  [535] = {.lex_state = 3},
  [536] = {.lex_state = 0},
  [537] = {.lex_state = 0},
  [538] = {.lex_state = 0},
  [539] = {.lex_state = 0},
  [540] = {.lex_state = 3},
  [541] = {.lex_state = 3},
  [542] = {.lex_state = 0},
  [543] = {.lex_state = 3},
  [544] = {.lex_state = 3},
  [545] = {.lex_state = 6},
  [546] = {.lex_state = 3},
  [547] = {.lex_state = 3},
  [548] = {.lex_state = 3},
  [549] = {.lex_state = 3},
  [550] = {.lex_state = 6},
  [551] = {.lex_state = 3},
  [552] = {.lex_state = 6},
  [553] = {.lex_state = 3},
  [554] = {.lex_state = 3},
  [555] = {.lex_state = 3},
  [556] = {.lex_state = 0},
  [557] = {.lex_state = 3},
  [558] = {.lex_state = 3},
  [559] = {.lex_state = 3},
  [560] = {.lex_state = 6},
  [561] = {.lex_state = 6},
  [562] = {.lex_state = 0},
  [563] = {.lex_state = 6},
  [564] = {.lex_state = 3},
  [565] = {.lex_state = 0},
  [566] = {.lex_state = 6},
  [567] = {.lex_state = 0},
  [568] = {.lex_state = 3},
  [569] = {.lex_state = 3},
  [570] = {.lex_state = 6},
  [571] = {.lex_state = 6},
  [572] = {.lex_state = 3},
  [573] = {.lex_state = 6},
  [574] = {.lex_state = 3},
  [575] = {.lex_state = 3},
  [576] = {.lex_state = 3},
  [577] = {.lex_state = 3},
  [578] = {.lex_state = 0},
  [579] = {.lex_state = 6},
  [580] = {.lex_state = 3},
  [581] = {.lex_state = 0},
  [582] = {.lex_state = 3},
  [583] = {.lex_state = 3},
  [584] = {.lex_state = 3},
  [585] = {.lex_state = 6},
  [586] = {.lex_state = 6},
  [587] = {.lex_state = 6},
  [588] = {.lex_state = 6},
  [589] = {.lex_state = 6},
  [590] = {.lex_state = 6},
  [591] = {.lex_state = 6},
  [592] = {.lex_state = 0},
  [593] = {.lex_state = 0},
  [594] = {.lex_state = 6},
  [595] = {.lex_state = 6},
  [596] = {.lex_state = 0},
  [597] = {.lex_state = 6},
  [598] = {.lex_state = 0},
  [599] = {.lex_state = 6},
  [600] = {.lex_state = 0},
  [601] = {.lex_state = 0},
  [602] = {.lex_state = 6},
  [603] = {.lex_state = 0},
  [604] = {.lex_state = 6},
  [605] = {.lex_state = 6},
  [606] = {.lex_state = 0},
  [607] = {.lex_state = 6},
  [608] = {.lex_state = 0},
  [609] = {.lex_state = 6},
  [610] = {.lex_state = 6},
  [611] = {.lex_state = 0},
  [612] = {.lex_state = 6},
  [613] = {.lex_state = 6},
  [614] = {.lex_state = 6},
  [615] = {.lex_state = 0},
  [616] = {.lex_state = 6},
  [617] = {.lex_state = 0},
  [618] = {.lex_state = 6},
  [619] = {.lex_state = 6},
  [620] = {.lex_state = 6},
  [621] = {.lex_state = 6},
  [622] = {.lex_state = 6},
  [623] = {.lex_state = 0},
  [624] = {.lex_state = 0},
  [625] = {.lex_state = 0},
  [626] = {.lex_state = 0},
  [627] = {.lex_state = 6},
  [628] = {.lex_state = 0},
  [629] = {.lex_state = 6},
  [630] = {.lex_state = 6},
  [631] = {.lex_state = 0},
  [632] = {.lex_state = 6},
  [633] = {.lex_state = 0},
  [634] = {.lex_state = 0},
  [635] = {.lex_state = 0},
  [636] = {.lex_state = 0},
  [637] = {.lex_state = 6},
  [638] = {.lex_state = 0},
  [639] = {.lex_state = 6},
  [640] = {.lex_state = 6},
  [641] = {.lex_state = 6},
  [642] = {.lex_state = 6},
  [643] = {.lex_state = 0},
  [644] = {.lex_state = 6},
  [645] = {.lex_state = 6},
  [646] = {.lex_state = 0},
  [647] = {.lex_state = 0},
  [648] = {.lex_state = 6},
  [649] = {.lex_state = 6},
  [650] = {.lex_state = 0},
  [651] = {.lex_state = 0},
  [652] = {.lex_state = 6},
  [653] = {.lex_state = 0},
  [654] = {.lex_state = 0},
  [655] = {.lex_state = 6},
  [656] = {.lex_state = 6},
  [657] = {.lex_state = 6},
  [658] = {.lex_state = 0},
  [659] = {.lex_state = 6},
  [660] = {.lex_state = 6},
  [661] = {.lex_state = 6},
  [662] = {.lex_state = 6},
  [663] = {.lex_state = 0},
  [664] = {.lex_state = 6},
  [665] = {.lex_state = 6},
  [666] = {.lex_state = 6},
  [667] = {.lex_state = 0},
  [668] = {.lex_state = 0},
  [669] = {.lex_state = 0},
  [670] = {.lex_state = 6},
  [671] = {.lex_state = 0},
  [672] = {.lex_state = 6},
  [673] = {.lex_state = 6},
  [674] = {.lex_state = 6},
  [675] = {.lex_state = 6},
  [676] = {.lex_state = 0},
  [677] = {.lex_state = 6},
  [678] = {.lex_state = 6},
  [679] = {.lex_state = 6},
  [680] = {.lex_state = 6},
  [681] = {.lex_state = 0},
  [682] = {.lex_state = 0},
  [683] = {.lex_state = 0},
  [684] = {.lex_state = 0},
  [685] = {.lex_state = 0},
  [686] = {.lex_state = 0},
  [687] = {.lex_state = 0},
  [688] = {.lex_state = 0},
  [689] = {.lex_state = 6},
  [690] = {.lex_state = 0},
  [691] = {.lex_state = 0},
  [692] = {.lex_state = 0},
  [693] = {.lex_state = 0},
  [694] = {.lex_state = 0},
  [695] = {.lex_state = 0},
  [696] = {.lex_state = 0},
  [697] = {.lex_state = 0},
  [698] = {.lex_state = 0},
  [699] = {.lex_state = 0},
  [700] = {.lex_state = 0},
  [701] = {.lex_state = 0},
  [702] = {.lex_state = 0},
  [703] = {.lex_state = 0},
  [704] = {.lex_state = 0},
  [705] = {.lex_state = 0},
  [706] = {.lex_state = 0},
  [707] = {.lex_state = 0},
  [708] = {.lex_state = 0},
  [709] = {.lex_state = 0},
  [710] = {.lex_state = 0},
  [711] = {.lex_state = 0},
  [712] = {.lex_state = 0},
  [713] = {.lex_state = 0},
  [714] = {.lex_state = 0},
  [715] = {.lex_state = 0},
  [716] = {.lex_state = 0},
  [717] = {.lex_state = 0},
  [718] = {.lex_state = 0},
  [719] = {.lex_state = 0},
  [720] = {.lex_state = 0},
  [721] = {.lex_state = 0},
  [722] = {.lex_state = 0},
  [723] = {.lex_state = 0},
  [724] = {.lex_state = 0},
  [725] = {.lex_state = 0},
  [726] = {.lex_state = 0},
  [727] = {.lex_state = 0},
  [728] = {.lex_state = 0},
  [729] = {.lex_state = 0},
  [730] = {.lex_state = 0},
  [731] = {.lex_state = 0},
  [732] = {.lex_state = 0},
  [733] = {.lex_state = 0},
  [734] = {.lex_state = 0},
  [735] = {.lex_state = 0},
  [736] = {.lex_state = 0},
  [737] = {.lex_state = 0},
  [738] = {.lex_state = 0},
  [739] = {.lex_state = 0},
  [740] = {.lex_state = 0},
  [741] = {.lex_state = 0},
  [742] = {.lex_state = 0},
  [743] = {.lex_state = 0},
  [744] = {.lex_state = 0},
  [745] = {.lex_state = 0},
  [746] = {.lex_state = 0},
  [747] = {.lex_state = 0},
  [748] = {.lex_state = 0},
  [749] = {.lex_state = 0},
  [750] = {.lex_state = 0},
  [751] = {.lex_state = 0},
  [752] = {.lex_state = 0},
  [753] = {.lex_state = 0},
  [754] = {.lex_state = 0},
  [755] = {.lex_state = 0},
  [756] = {.lex_state = 0},
  [757] = {.lex_state = 0},
  [758] = {.lex_state = 0},
  [759] = {.lex_state = 0},
  [760] = {.lex_state = 0},
  [761] = {.lex_state = 0},
  [762] = {.lex_state = 0},
  [763] = {.lex_state = 0},
  [764] = {.lex_state = 0},
  [765] = {.lex_state = 0},
  [766] = {.lex_state = 0},
  [767] = {.lex_state = 0},
  [768] = {.lex_state = 0},
  [769] = {.lex_state = 56},
  [770] = {.lex_state = 56},
  [771] = {.lex_state = 56},
  [772] = {.lex_state = 56},
  [773] = {.lex_state = 56},
  [774] = {.lex_state = 56},
  [775] = {.lex_state = 0},
  [776] = {.lex_state = 0},
  [777] = {.lex_state = 0},
  [778] = {.lex_state = 0},
  [779] = {.lex_state = 56},
  [780] = {.lex_state = 56},
  [781] = {.lex_state = 56},
  [782] = {.lex_state = 56},
  [783] = {.lex_state = 0},
  [784] = {.lex_state = 0},
  [785] = {.lex_state = 57},
  [786] = {.lex_state = 57},
  [787] = {.lex_state = 0},
  [788] = {.lex_state = 0},
  [789] = {.lex_state = 0},
  [790] = {.lex_state = 0},
  [791] = {.lex_state = 0},
  [792] = {.lex_state = 0},
  [793] = {.lex_state = 0},
  [794] = {.lex_state = 0},
  [795] = {.lex_state = 56},
  [796] = {.lex_state = 56},
  [797] = {.lex_state = 0},
  [798] = {.lex_state = 56},
  [799] = {.lex_state = 56},
  [800] = {.lex_state = 56},
  [801] = {.lex_state = 56},
  [802] = {.lex_state = 56},
  [803] = {.lex_state = 56},
  [804] = {.lex_state = 56},
  [805] = {.lex_state = 56},
  [806] = {.lex_state = 56},
  [807] = {.lex_state = 56},
  [808] = {.lex_state = 56},
  [809] = {.lex_state = 56},
  [810] = {.lex_state = 56},
  [811] = {.lex_state = 56},
  [812] = {.lex_state = 0},
  [813] = {.lex_state = 56},
  [814] = {.lex_state = 56},
  [815] = {.lex_state = 56},
  [816] = {.lex_state = 56},
  [817] = {.lex_state = 56},
  [818] = {.lex_state = 56},
  [819] = {.lex_state = 56},
  [820] = {.lex_state = 56},
  [821] = {.lex_state = 56},
  [822] = {.lex_state = 56},
  [823] = {.lex_state = 56},
  [824] = {.lex_state = 56},
  [825] = {.lex_state = 56},
  [826] = {.lex_state = 0},
  [827] = {.lex_state = 0},
  [828] = {.lex_state = 3},
  [829] = {.lex_state = 0},
  [830] = {.lex_state = 0},
  [831] = {.lex_state = 3},
  [832] = {.lex_state = 57},
  [833] = {.lex_state = 3},
  [834] = {.lex_state = 57},
  [835] = {.lex_state = 3},
  [836] = {.lex_state = 0},
  [837] = {.lex_state = 3},
  [838] = {.lex_state = 0},
  [839] = {.lex_state = 0},
  [840] = {.lex_state = 0},
  [841] = {.lex_state = 3},
  [842] = {.lex_state = 0},
  [843] = {.lex_state = 0},
  [844] = {.lex_state = 0},
  [845] = {.lex_state = 0},
  [846] = {.lex_state = 3},
  [847] = {.lex_state = 0},
  [848] = {.lex_state = 56},
  [849] = {.lex_state = 0},
  [850] = {.lex_state = 0},
  [851] = {.lex_state = 3},
  [852] = {.lex_state = 0},
  [853] = {.lex_state = 0},
  [854] = {.lex_state = 0},
  [855] = {.lex_state = 0},
  [856] = {.lex_state = 0},
  [857] = {.lex_state = 0},
  [858] = {.lex_state = 0},
  [859] = {.lex_state = 0},
  [860] = {.lex_state = 0},
  [861] = {.lex_state = 0},
  [862] = {.lex_state = 0},
  [863] = {.lex_state = 0},
  [864] = {.lex_state = 3},
  [865] = {.lex_state = 56},
  [866] = {.lex_state = 0},
  [867] = {.lex_state = 0},
  [868] = {.lex_state = 0},
  [869] = {.lex_state = 0},
  [870] = {.lex_state = 0},
  [871] = {.lex_state = 0},
  [872] = {.lex_state = 0},
  [873] = {.lex_state = 3},
  [874] = {.lex_state = 57},
  [875] = {.lex_state = 0},
  [876] = {.lex_state = 3},
  [877] = {.lex_state = 57},
  [878] = {.lex_state = 0},
  [879] = {.lex_state = 0},
  [880] = {.lex_state = 0},
  [881] = {.lex_state = 0},
  [882] = {.lex_state = 56},
  [883] = {.lex_state = 0},
  [884] = {.lex_state = 0},
  [885] = {.lex_state = 0},
  [886] = {.lex_state = 56},
  [887] = {.lex_state = 0},
  [888] = {.lex_state = 0},
  [889] = {.lex_state = 0},
  [890] = {.lex_state = 56},
  [891] = {.lex_state = 56},
  [892] = {.lex_state = 56},
  [893] = {.lex_state = 56},
  [894] = {.lex_state = 56},
  [895] = {.lex_state = 56},
  [896] = {.lex_state = 56},
  [897] = {.lex_state = 0},
  [898] = {.lex_state = 56},
  [899] = {.lex_state = 56},
  [900] = {.lex_state = 56},
  [901] = {.lex_state = 56},
  [902] = {.lex_state = 56},
  [903] = {.lex_state = 56},
  [904] = {.lex_state = 56},
  [905] = {.lex_state = 56},
  [906] = {.lex_state = 56},
  [907] = {.lex_state = 56},
  [908] = {.lex_state = 56},
  [909] = {.lex_state = 56},
  [910] = {.lex_state = 56},
  [911] = {.lex_state = 0},
  [912] = {.lex_state = 56},
  [913] = {.lex_state = 56},
  [914] = {.lex_state = 0},
  [915] = {.lex_state = 56},
  [916] = {.lex_state = 0},
  [917] = {.lex_state = 56},
  [918] = {.lex_state = 0},
  [919] = {.lex_state = 56},
  [920] = {.lex_state = 56},
  [921] = {.lex_state = 56},
  [922] = {.lex_state = 56},
  [923] = {.lex_state = 56},
  [924] = {.lex_state = 0},
  [925] = {.lex_state = 0},
  [926] = {.lex_state = 56},
  [927] = {.lex_state = 56},
  [928] = {.lex_state = 56},
  [929] = {.lex_state = 56},
  [930] = {.lex_state = 56},
  [931] = {.lex_state = 56},
  [932] = {.lex_state = 56},
  [933] = {.lex_state = 56},
  [934] = {.lex_state = 56},
  [935] = {.lex_state = 56},
  [936] = {.lex_state = 56},
  [937] = {.lex_state = 0},
  [938] = {.lex_state = 56},
  [939] = {.lex_state = 56},
  [940] = {.lex_state = 0},
  [941] = {.lex_state = 56},
  [942] = {.lex_state = 56},
  [943] = {.lex_state = 56},
  [944] = {.lex_state = 56},
  [945] = {.lex_state = 0},
  [946] = {.lex_state = 56},
  [947] = {.lex_state = 56},
  [948] = {.lex_state = 56},
  [949] = {.lex_state = 0},
  [950] = {.lex_state = 56},
  [951] = {.lex_state = 3},
  [952] = {.lex_state = 56},
  [953] = {.lex_state = 56},
  [954] = {.lex_state = 56},
  [955] = {.lex_state = 56},
  [956] = {.lex_state = 56},
  [957] = {.lex_state = 56},
  [958] = {.lex_state = 56},
  [959] = {.lex_state = 0},
  [960] = {.lex_state = 56},
  [961] = {.lex_state = 56},
  [962] = {.lex_state = 56},
  [963] = {.lex_state = 0},
  [964] = {.lex_state = 56},
  [965] = {.lex_state = 56},
  [966] = {.lex_state = 56},
  [967] = {.lex_state = 56},
  [968] = {.lex_state = 56},
  [969] = {.lex_state = 0},
  [970] = {.lex_state = 56},
  [971] = {.lex_state = 56},
  [972] = {.lex_state = 56},
  [973] = {.lex_state = 56},
  [974] = {.lex_state = 56},
  [975] = {.lex_state = 56},
  [976] = {.lex_state = 56},
  [977] = {.lex_state = 56},
  [978] = {.lex_state = 3},
  [979] = {.lex_state = 56},
  [980] = {.lex_state = 0},
  [981] = {.lex_state = 56},
  [982] = {.lex_state = 56},
  [983] = {.lex_state = 56},
  [984] = {.lex_state = 56},
  [985] = {.lex_state = 56},
  [986] = {.lex_state = 56},
  [987] = {.lex_state = 56},
  [988] = {.lex_state = 56},
  [989] = {.lex_state = 56},
  [990] = {.lex_state = 56},
  [991] = {.lex_state = 56},
  [992] = {.lex_state = 56},
  [993] = {.lex_state = 56},
  [994] = {.lex_state = 56},
  [995] = {.lex_state = 56},
  [996] = {.lex_state = 0},
  [997] = {.lex_state = 0},
  [998] = {.lex_state = 56},
  [999] = {.lex_state = 56},
  [1000] = {.lex_state = 56},
  [1001] = {.lex_state = 56},
  [1002] = {.lex_state = 0},
  [1003] = {.lex_state = 56},
  [1004] = {.lex_state = 0},
  [1005] = {.lex_state = 56},
  [1006] = {.lex_state = 56},
  [1007] = {.lex_state = 56},
  [1008] = {.lex_state = 0},
  [1009] = {.lex_state = 56},
  [1010] = {.lex_state = 56},
  [1011] = {.lex_state = 0},
  [1012] = {.lex_state = 0},
  [1013] = {.lex_state = 0},
  [1014] = {.lex_state = 56},
  [1015] = {.lex_state = 0},
  [1016] = {.lex_state = 56},
  [1017] = {.lex_state = 56},
  [1018] = {.lex_state = 56},
  [1019] = {.lex_state = 56},
  [1020] = {.lex_state = 56},
  [1021] = {.lex_state = 56},
  [1022] = {.lex_state = 0},
  [1023] = {.lex_state = 56},
  [1024] = {.lex_state = 56},
  [1025] = {.lex_state = 0},
  [1026] = {.lex_state = 0},
  [1027] = {.lex_state = 0},
  [1028] = {.lex_state = 56},
  [1029] = {.lex_state = 56},
  [1030] = {.lex_state = 56},
  [1031] = {.lex_state = 56},
  [1032] = {.lex_state = 56},
  [1033] = {.lex_state = 56},
  [1034] = {.lex_state = 56},
  [1035] = {.lex_state = 0},
  [1036] = {.lex_state = 56},
  [1037] = {.lex_state = 56},
  [1038] = {.lex_state = 56},
  [1039] = {.lex_state = 56},
  [1040] = {.lex_state = 56},
  [1041] = {.lex_state = 56},
  [1042] = {.lex_state = 56},
  [1043] = {.lex_state = 2},
  [1044] = {.lex_state = 0},
  [1045] = {.lex_state = 0},
  [1046] = {.lex_state = 56},
  [1047] = {.lex_state = 56},
  [1048] = {.lex_state = 56},
  [1049] = {.lex_state = 56},
  [1050] = {.lex_state = 2},
  [1051] = {.lex_state = 56},
  [1052] = {.lex_state = 56},
  [1053] = {.lex_state = 56},
  [1054] = {.lex_state = 0},
  [1055] = {.lex_state = 56},
  [1056] = {.lex_state = 56},
  [1057] = {.lex_state = 2},
  [1058] = {.lex_state = 0},
  [1059] = {.lex_state = 56},
  [1060] = {.lex_state = 56},
  [1061] = {.lex_state = 56},
  [1062] = {.lex_state = 56},
  [1063] = {.lex_state = 56},
  [1064] = {.lex_state = 2},
  [1065] = {.lex_state = 56},
  [1066] = {.lex_state = 0},
  [1067] = {.lex_state = 0},
  [1068] = {.lex_state = 0},
  [1069] = {.lex_state = 56},
  [1070] = {.lex_state = 56},
  [1071] = {.lex_state = 56},
  [1072] = {.lex_state = 0},
  [1073] = {.lex_state = 56},
  [1074] = {.lex_state = 0},
  [1075] = {.lex_state = 2},
  [1076] = {.lex_state = 0},
  [1077] = {.lex_state = 0},
  [1078] = {.lex_state = 56},
  [1079] = {.lex_state = 2},
  [1080] = {.lex_state = 0},
  [1081] = {.lex_state = 0},
  [1082] = {.lex_state = 0},
  [1083] = {.lex_state = 2},
  [1084] = {.lex_state = 0},
  [1085] = {.lex_state = 56},
  [1086] = {.lex_state = 0},
  [1087] = {.lex_state = 56},
  [1088] = {.lex_state = 0},
  [1089] = {.lex_state = 0},
  [1090] = {.lex_state = 2},
  [1091] = {.lex_state = 0},
  [1092] = {.lex_state = 0},
  [1093] = {.lex_state = 56},
  [1094] = {.lex_state = 56},
  [1095] = {.lex_state = 0},
  [1096] = {.lex_state = 2},
  [1097] = {.lex_state = 2},
  [1098] = {.lex_state = 0},
  [1099] = {.lex_state = 0},
  [1100] = {.lex_state = 2},
  [1101] = {.lex_state = 0},
  [1102] = {.lex_state = 0},
  [1103] = {.lex_state = 0},
  [1104] = {.lex_state = 0},
  [1105] = {.lex_state = 56},
  [1106] = {.lex_state = 56},
  [1107] = {.lex_state = 56},
  [1108] = {.lex_state = 56},
  [1109] = {.lex_state = 2},
  [1110] = {.lex_state = 2},
  [1111] = {.lex_state = 0},
  [1112] = {.lex_state = 2},
  [1113] = {.lex_state = 0},
  [1114] = {.lex_state = 56},
  [1115] = {.lex_state = 0},
  [1116] = {.lex_state = 56},
  [1117] = {.lex_state = 56},
  [1118] = {.lex_state = 56},
  [1119] = {.lex_state = 0},
  [1120] = {.lex_state = 56},
  [1121] = {.lex_state = 56},
  [1122] = {.lex_state = 56},
  [1123] = {.lex_state = 56},
  [1124] = {.lex_state = 56},
  [1125] = {.lex_state = 2},
  [1126] = {.lex_state = 0},
  [1127] = {.lex_state = 0},
  [1128] = {.lex_state = 0},
  [1129] = {.lex_state = 0},
  [1130] = {.lex_state = 0},
  [1131] = {.lex_state = 0},
  [1132] = {.lex_state = 0},
  [1133] = {.lex_state = 0},
  [1134] = {.lex_state = 0},
  [1135] = {.lex_state = 0},
  [1136] = {.lex_state = 0},
  [1137] = {.lex_state = 0},
  [1138] = {.lex_state = 56},
  [1139] = {.lex_state = 0},
  [1140] = {.lex_state = 56},
  [1141] = {.lex_state = 0},
  [1142] = {.lex_state = 56},
  [1143] = {.lex_state = 56},
  [1144] = {.lex_state = 0},
  [1145] = {.lex_state = 0},
  [1146] = {.lex_state = 0},
  [1147] = {.lex_state = 56},
  [1148] = {.lex_state = 0},
  [1149] = {.lex_state = 0},
  [1150] = {.lex_state = 0},
  [1151] = {.lex_state = 0},
  [1152] = {.lex_state = 0},
  [1153] = {.lex_state = 0},
  [1154] = {.lex_state = 56},
  [1155] = {.lex_state = 0},
  [1156] = {.lex_state = 0},
  [1157] = {.lex_state = 0},
  [1158] = {.lex_state = 0},
  [1159] = {.lex_state = 0},
  [1160] = {.lex_state = 0},
  [1161] = {.lex_state = 0},
  [1162] = {.lex_state = 0},
  [1163] = {.lex_state = 0},
  [1164] = {.lex_state = 0},
  [1165] = {.lex_state = 0},
  [1166] = {.lex_state = 0},
  [1167] = {.lex_state = 0},
  [1168] = {.lex_state = 0},
  [1169] = {.lex_state = 0},
  [1170] = {.lex_state = 0},
  [1171] = {.lex_state = 59},
  [1172] = {.lex_state = 0},
  [1173] = {.lex_state = 59},
  [1174] = {.lex_state = 0},
  [1175] = {.lex_state = 59},
  [1176] = {.lex_state = 56},
  [1177] = {.lex_state = 0},
  [1178] = {.lex_state = 0},
  [1179] = {.lex_state = 0},
  [1180] = {.lex_state = 0},
  [1181] = {.lex_state = 56},
  [1182] = {.lex_state = 0},
  [1183] = {.lex_state = 0},
  [1184] = {.lex_state = 0},
  [1185] = {.lex_state = 0},
  [1186] = {.lex_state = 0},
  [1187] = {.lex_state = 0},
  [1188] = {.lex_state = 0},
  [1189] = {.lex_state = 0},
  [1190] = {.lex_state = 0},
  [1191] = {.lex_state = 0},
  [1192] = {.lex_state = 56},
  [1193] = {.lex_state = 0},
  [1194] = {.lex_state = 56},
  [1195] = {.lex_state = 0},
  [1196] = {.lex_state = 0},
  [1197] = {.lex_state = 56},
  [1198] = {.lex_state = 0},
  [1199] = {.lex_state = 0},
  [1200] = {.lex_state = 0},
  [1201] = {.lex_state = 0},
  [1202] = {.lex_state = 0},
  [1203] = {.lex_state = 0},
  [1204] = {.lex_state = 0},
  [1205] = {.lex_state = 0},
  [1206] = {.lex_state = 0},
  [1207] = {.lex_state = 0},
  [1208] = {.lex_state = 0},
  [1209] = {.lex_state = 0},
  [1210] = {.lex_state = 0},
  [1211] = {.lex_state = 0},
  [1212] = {.lex_state = 0},
  [1213] = {.lex_state = 0},
  [1214] = {.lex_state = 59},
  [1215] = {.lex_state = 0},
  [1216] = {.lex_state = 56},
  [1217] = {.lex_state = 0},
  [1218] = {.lex_state = 0},
  [1219] = {.lex_state = 0},
  [1220] = {.lex_state = 0},
  [1221] = {.lex_state = 0},
  [1222] = {.lex_state = 0},
  [1223] = {.lex_state = 56},
  [1224] = {.lex_state = 56},
  [1225] = {.lex_state = 0},
  [1226] = {.lex_state = 56},
  [1227] = {.lex_state = 0},
  [1228] = {.lex_state = 0},
  [1229] = {.lex_state = 56},
  [1230] = {.lex_state = 0},
  [1231] = {.lex_state = 0},
  [1232] = {.lex_state = 0},
  [1233] = {.lex_state = 0},
  [1234] = {.lex_state = 0},
  [1235] = {.lex_state = 0},
  [1236] = {.lex_state = 0},
  [1237] = {.lex_state = 0},
  [1238] = {.lex_state = 0},
  [1239] = {.lex_state = 0},
  [1240] = {.lex_state = 0},
  [1241] = {.lex_state = 0},
  [1242] = {.lex_state = 0},
  [1243] = {.lex_state = 0},
  [1244] = {.lex_state = 0},
  [1245] = {.lex_state = 0},
  [1246] = {.lex_state = 0},
  [1247] = {.lex_state = 0},
  [1248] = {.lex_state = 0},
  [1249] = {.lex_state = 0},
  [1250] = {.lex_state = 0},
  [1251] = {.lex_state = 0},
  [1252] = {.lex_state = 0},
  [1253] = {.lex_state = 0},
  [1254] = {.lex_state = 0},
  [1255] = {.lex_state = 0},
  [1256] = {.lex_state = 0},
  [1257] = {.lex_state = 0},
  [1258] = {.lex_state = 0},
  [1259] = {.lex_state = 0},
  [1260] = {.lex_state = 0},
  [1261] = {.lex_state = 0},
  [1262] = {.lex_state = 0},
  [1263] = {.lex_state = 0},
  [1264] = {.lex_state = 59},
  [1265] = {.lex_state = 0},
  [1266] = {.lex_state = 0},
  [1267] = {.lex_state = 0},
  [1268] = {.lex_state = 0},
  [1269] = {.lex_state = 0},
  [1270] = {.lex_state = 0},
  [1271] = {.lex_state = 0},
  [1272] = {.lex_state = 0},
  [1273] = {.lex_state = 0},
  [1274] = {.lex_state = 0},
  [1275] = {.lex_state = 0},
  [1276] = {.lex_state = 0},
  [1277] = {.lex_state = 0},
  [1278] = {.lex_state = 0},
  [1279] = {.lex_state = 0},
  [1280] = {.lex_state = 0},
  [1281] = {.lex_state = 0},
  [1282] = {.lex_state = 0},
  [1283] = {.lex_state = 0},
  [1284] = {.lex_state = 0},
  [1285] = {.lex_state = 0},
  [1286] = {.lex_state = 0},
  [1287] = {.lex_state = 0},
  [1288] = {.lex_state = 0},
  [1289] = {.lex_state = 0},
  [1290] = {.lex_state = 0},
  [1291] = {.lex_state = 0},
  [1292] = {.lex_state = 0},
  [1293] = {.lex_state = 0},
  [1294] = {.lex_state = 0},
  [1295] = {.lex_state = 0},
  [1296] = {.lex_state = 0},
  [1297] = {.lex_state = 0},
  [1298] = {.lex_state = 0},
  [1299] = {.lex_state = 0},
  [1300] = {.lex_state = 0},
  [1301] = {.lex_state = 0},
  [1302] = {.lex_state = 0},
  [1303] = {.lex_state = 0},
  [1304] = {.lex_state = 0},
  [1305] = {.lex_state = 0},
  [1306] = {.lex_state = 0},
  [1307] = {.lex_state = 0},
  [1308] = {.lex_state = 0},
  [1309] = {.lex_state = 0},
  [1310] = {.lex_state = 0},
  [1311] = {.lex_state = 0},
  [1312] = {.lex_state = 0},
  [1313] = {.lex_state = 0},
  [1314] = {.lex_state = 0},
  [1315] = {.lex_state = 0},
  [1316] = {.lex_state = 0},
  [1317] = {.lex_state = 0},
  [1318] = {.lex_state = 0},
  [1319] = {.lex_state = 0},
  [1320] = {.lex_state = 0},
  [1321] = {.lex_state = 0},
  [1322] = {.lex_state = 0},
  [1323] = {.lex_state = 0},
  [1324] = {.lex_state = 0},
  [1325] = {.lex_state = 0},
  [1326] = {.lex_state = 0},
  [1327] = {.lex_state = 0},
  [1328] = {.lex_state = 0},
  [1329] = {.lex_state = 0},
  [1330] = {.lex_state = 0},
  [1331] = {.lex_state = 0},
  [1332] = {.lex_state = 0},
  [1333] = {.lex_state = 0},
  [1334] = {.lex_state = 0},
  [1335] = {.lex_state = 0},
  [1336] = {.lex_state = 0},
  [1337] = {.lex_state = 0},
  [1338] = {.lex_state = 0},
  [1339] = {.lex_state = 0},
  [1340] = {.lex_state = 0},
  [1341] = {.lex_state = 0},
  [1342] = {.lex_state = 0},
  [1343] = {.lex_state = 0},
  [1344] = {.lex_state = 0},
  [1345] = {.lex_state = 0},
  [1346] = {.lex_state = 0},
  [1347] = {.lex_state = 0},
  [1348] = {.lex_state = 0},
  [1349] = {.lex_state = 0},
  [1350] = {.lex_state = 0},
  [1351] = {.lex_state = 0},
  [1352] = {.lex_state = 0},
  [1353] = {.lex_state = 0},
  [1354] = {.lex_state = 0},
  [1355] = {.lex_state = 0},
  [1356] = {.lex_state = 0},
  [1357] = {.lex_state = 0},
  [1358] = {.lex_state = 0},
  [1359] = {.lex_state = 0},
  [1360] = {.lex_state = 0},
  [1361] = {.lex_state = 0},
  [1362] = {.lex_state = 0},
  [1363] = {.lex_state = 0},
  [1364] = {.lex_state = 0},
  [1365] = {.lex_state = 0},
  [1366] = {.lex_state = 0},
  [1367] = {.lex_state = 0},
  [1368] = {.lex_state = 0},
  [1369] = {.lex_state = 0},
  [1370] = {.lex_state = 0},
  [1371] = {.lex_state = 0},
  [1372] = {.lex_state = 0},
  [1373] = {.lex_state = 0},
  [1374] = {.lex_state = 0},
  [1375] = {.lex_state = 0},
  [1376] = {.lex_state = 0},
  [1377] = {.lex_state = 0},
  [1378] = {.lex_state = 0},
  [1379] = {.lex_state = 0},
  [1380] = {.lex_state = 0},
  [1381] = {.lex_state = 0},
  [1382] = {.lex_state = 0},
  [1383] = {.lex_state = 0},
  [1384] = {.lex_state = 0},
  [1385] = {.lex_state = 0},
  [1386] = {.lex_state = 0},
  [1387] = {.lex_state = 0},
  [1388] = {.lex_state = 0},
  [1389] = {.lex_state = 0},
  [1390] = {.lex_state = 0},
  [1391] = {.lex_state = 0},
  [1392] = {.lex_state = 0},
  [1393] = {.lex_state = 0},
  [1394] = {.lex_state = 0},
  [1395] = {.lex_state = 0},
  [1396] = {.lex_state = 0},
  [1397] = {.lex_state = 0},
};

static const uint16_t ts_parse_table[LARGE_STATE_COUNT][SYMBOL_COUNT] = {
  [0] = {
    [ts_builtin_sym_end] = ACTIONS(1),
    [sym_identifier] = ACTIONS(1),
    [anon_sym_SEMI] = ACTIONS(1),
    [anon_sym_NULL] = ACTIONS(1),
    [anon_sym_package] = ACTIONS(1),
    [anon_sym_import] = ACTIONS(1),
    [anon_sym_DOT] = ACTIONS(1),
    [sym_blank_identifier] = ACTIONS(1),
    [anon_sym_LPAREN] = ACTIONS(1),
    [anon_sym_RPAREN] = ACTIONS(1),
    [anon_sym_const] = ACTIONS(1),
    [anon_sym_COMMA] = ACTIONS(1),
    [anon_sym_EQ] = ACTIONS(1),
    [anon_sym_var] = ACTIONS(1),
    [anon_sym_func] = ACTIONS(1),
    [anon_sym_LBRACK] = ACTIONS(1),
    [anon_sym_RBRACK] = ACTIONS(1),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1),
    [anon_sym_type] = ACTIONS(1),
    [anon_sym_STAR] = ACTIONS(1),
    [anon_sym_struct] = ACTIONS(1),
    [anon_sym_TILDE] = ACTIONS(1),
    [anon_sym_LBRACE] = ACTIONS(1),
    [anon_sym_RBRACE] = ACTIONS(1),
    [anon_sym_interface] = ACTIONS(1),
    [anon_sym_PIPE] = ACTIONS(1),
    [anon_sym_map] = ACTIONS(1),
    [anon_sym_chan] = ACTIONS(1),
    [anon_sym_LT_DASH] = ACTIONS(1),
    [anon_sym_COLON_EQ] = ACTIONS(1),
    [anon_sym_PLUS_PLUS] = ACTIONS(1),
    [anon_sym_DASH_DASH] = ACTIONS(1),
    [anon_sym_STAR_EQ] = ACTIONS(1),
    [anon_sym_SLASH_EQ] = ACTIONS(1),
    [anon_sym_PERCENT_EQ] = ACTIONS(1),
    [anon_sym_LT_LT_EQ] = ACTIONS(1),
    [anon_sym_GT_GT_EQ] = ACTIONS(1),
    [anon_sym_AMP_EQ] = ACTIONS(1),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1),
    [anon_sym_PLUS_EQ] = ACTIONS(1),
    [anon_sym_DASH_EQ] = ACTIONS(1),
    [anon_sym_PIPE_EQ] = ACTIONS(1),
    [anon_sym_CARET_EQ] = ACTIONS(1),
    [anon_sym_COLON] = ACTIONS(1),
    [anon_sym_fallthrough] = ACTIONS(1),
    [anon_sym_break] = ACTIONS(1),
    [anon_sym_continue] = ACTIONS(1),
    [anon_sym_goto] = ACTIONS(1),
    [anon_sym_return] = ACTIONS(1),
    [anon_sym_go] = ACTIONS(1),
    [anon_sym_defer] = ACTIONS(1),
    [anon_sym_if] = ACTIONS(1),
    [anon_sym_else] = ACTIONS(1),
    [anon_sym_for] = ACTIONS(1),
    [anon_sym_range] = ACTIONS(1),
    [anon_sym_switch] = ACTIONS(1),
    [anon_sym_case] = ACTIONS(1),
    [anon_sym_default] = ACTIONS(1),
    [anon_sym_select] = ACTIONS(1),
    [anon_sym_new] = ACTIONS(1),
    [anon_sym_make] = ACTIONS(1),
    [anon_sym_PLUS] = ACTIONS(1),
    [anon_sym_DASH] = ACTIONS(1),
    [anon_sym_BANG] = ACTIONS(1),
    [anon_sym_CARET] = ACTIONS(1),
    [anon_sym_AMP] = ACTIONS(1),
    [anon_sym_SLASH] = ACTIONS(1),
    [anon_sym_PERCENT] = ACTIONS(1),
    [anon_sym_LT_LT] = ACTIONS(1),
    [anon_sym_GT_GT] = ACTIONS(1),
    [anon_sym_AMP_CARET] = ACTIONS(1),
    [anon_sym_EQ_EQ] = ACTIONS(1),
    [anon_sym_BANG_EQ] = ACTIONS(1),
    [anon_sym_LT] = ACTIONS(1),
    [anon_sym_LT_EQ] = ACTIONS(1),
    [anon_sym_GT] = ACTIONS(1),
    [anon_sym_GT_EQ] = ACTIONS(1),
    [anon_sym_AMP_AMP] = ACTIONS(1),
    [anon_sym_PIPE_PIPE] = ACTIONS(1),
    [sym_raw_string_literal] = ACTIONS(1),
    [anon_sym_DQUOTE] = ACTIONS(1),
    [anon_sym_DQUOTE2] = ACTIONS(1),
    [sym_escape_sequence] = ACTIONS(1),
    [sym_int_literal] = ACTIONS(1),
    [sym_float_literal] = ACTIONS(1),
    [sym_imaginary_literal] = ACTIONS(1),
    [sym_rune_literal] = ACTIONS(1),
    [sym_nil] = ACTIONS(1),
    [sym_true] = ACTIONS(1),
    [sym_false] = ACTIONS(1),
    [sym_iota] = ACTIONS(1),
    [sym_comment] = ACTIONS(3),
  },
  [1] = {
    [sym_source_file] = STATE(1345),
    [sym_package_clause] = STATE(1065),
    [sym_import_declaration] = STATE(1065),
    [sym__declaration] = STATE(988),
    [sym_const_declaration] = STATE(988),
    [sym_var_declaration] = STATE(988),
    [sym_function_declaration] = STATE(1065),
    [sym_method_declaration] = STATE(1065),
    [sym_type_declaration] = STATE(988),
    [sym_expression_list] = STATE(790),
    [sym_parenthesized_type] = STATE(1240),
    [sym__simple_type] = STATE(1240),
    [sym_generic_type] = STATE(1086),
    [sym_pointer_type] = STATE(859),
    [sym_array_type] = STATE(1086),
    [sym_implicit_length_array_type] = STATE(1246),
    [sym_slice_type] = STATE(1086),
    [sym_struct_type] = STATE(1086),
    [sym_negated_type] = STATE(836),
    [sym_interface_type] = STATE(859),
    [sym_map_type] = STATE(1086),
    [sym_channel_type] = STATE(859),
    [sym_function_type] = STATE(859),
    [sym_block] = STATE(988),
    [sym__statement] = STATE(1223),
    [sym_empty_statement] = STATE(988),
    [sym__simple_statement] = STATE(988),
    [sym_expression_statement] = STATE(1005),
    [sym_send_statement] = STATE(1005),
    [sym_inc_statement] = STATE(1005),
    [sym_dec_statement] = STATE(1005),
    [sym_assignment_statement] = STATE(1005),
    [sym_short_var_declaration] = STATE(1005),
    [sym_labeled_statement] = STATE(988),
    [sym_fallthrough_statement] = STATE(988),
    [sym_break_statement] = STATE(988),
    [sym_continue_statement] = STATE(988),
    [sym_goto_statement] = STATE(988),
    [sym_return_statement] = STATE(988),
    [sym_go_statement] = STATE(988),
    [sym_defer_statement] = STATE(988),
    [sym_if_statement] = STATE(988),
    [sym_for_statement] = STATE(988),
    [sym_expression_switch_statement] = STATE(988),
    [sym_type_switch_statement] = STATE(988),
    [sym_select_statement] = STATE(988),
    [sym__expression] = STATE(239),
    [sym_parenthesized_expression] = STATE(253),
    [sym_call_expression] = STATE(253),
    [sym_selector_expression] = STATE(253),
    [sym_index_expression] = STATE(253),
    [sym_slice_expression] = STATE(253),
    [sym_type_assertion_expression] = STATE(253),
    [sym_type_conversion_expression] = STATE(253),
    [sym_type_instantiation_expression] = STATE(253),
    [sym_composite_literal] = STATE(253),
    [sym_func_literal] = STATE(253),
    [sym_unary_expression] = STATE(253),
    [sym_binary_expression] = STATE(253),
    [sym_qualified_type] = STATE(1025),
    [sym_interpreted_string_literal] = STATE(253),
    [aux_sym_source_file_repeat1] = STATE(2),
    [ts_builtin_sym_end] = ACTIONS(5),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(9),
    [anon_sym_package] = ACTIONS(11),
    [anon_sym_import] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_const] = ACTIONS(17),
    [anon_sym_var] = ACTIONS(19),
    [anon_sym_func] = ACTIONS(21),
    [anon_sym_LBRACK] = ACTIONS(23),
    [anon_sym_type] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_struct] = ACTIONS(29),
    [anon_sym_TILDE] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_interface] = ACTIONS(35),
    [anon_sym_map] = ACTIONS(37),
    [anon_sym_chan] = ACTIONS(39),
    [anon_sym_LT_DASH] = ACTIONS(41),
    [anon_sym_fallthrough] = ACTIONS(43),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_goto] = ACTIONS(49),
    [anon_sym_return] = ACTIONS(51),
    [anon_sym_go] = ACTIONS(53),
    [anon_sym_defer] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_switch] = ACTIONS(61),
    [anon_sym_select] = ACTIONS(63),
    [anon_sym_new] = ACTIONS(65),
    [anon_sym_make] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(67),
    [anon_sym_CARET] = ACTIONS(67),
    [anon_sym_AMP] = ACTIONS(67),
    [sym_raw_string_literal] = ACTIONS(69),
    [anon_sym_DQUOTE] = ACTIONS(71),
    [sym_int_literal] = ACTIONS(73),
    [sym_float_literal] = ACTIONS(73),
    [sym_imaginary_literal] = ACTIONS(69),
    [sym_rune_literal] = ACTIONS(69),
    [sym_nil] = ACTIONS(73),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_iota] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
  },
  [2] = {
    [sym_package_clause] = STATE(1114),
    [sym_import_declaration] = STATE(1114),
    [sym__declaration] = STATE(988),
    [sym_const_declaration] = STATE(988),
    [sym_var_declaration] = STATE(988),
    [sym_function_declaration] = STATE(1114),
    [sym_method_declaration] = STATE(1114),
    [sym_type_declaration] = STATE(988),
    [sym_expression_list] = STATE(790),
    [sym_parenthesized_type] = STATE(1240),
    [sym__simple_type] = STATE(1240),
    [sym_generic_type] = STATE(1086),
    [sym_pointer_type] = STATE(859),
    [sym_array_type] = STATE(1086),
    [sym_implicit_length_array_type] = STATE(1246),
    [sym_slice_type] = STATE(1086),
    [sym_struct_type] = STATE(1086),
    [sym_negated_type] = STATE(836),
    [sym_interface_type] = STATE(859),
    [sym_map_type] = STATE(1086),
    [sym_channel_type] = STATE(859),
    [sym_function_type] = STATE(859),
    [sym_block] = STATE(988),
    [sym__statement] = STATE(1223),
    [sym_empty_statement] = STATE(988),
    [sym__simple_statement] = STATE(988),
    [sym_expression_statement] = STATE(1005),
    [sym_send_statement] = STATE(1005),
    [sym_inc_statement] = STATE(1005),
    [sym_dec_statement] = STATE(1005),
    [sym_assignment_statement] = STATE(1005),
    [sym_short_var_declaration] = STATE(1005),
    [sym_labeled_statement] = STATE(988),
    [sym_fallthrough_statement] = STATE(988),
    [sym_break_statement] = STATE(988),
    [sym_continue_statement] = STATE(988),
    [sym_goto_statement] = STATE(988),
    [sym_return_statement] = STATE(988),
    [sym_go_statement] = STATE(988),
    [sym_defer_statement] = STATE(988),
    [sym_if_statement] = STATE(988),
    [sym_for_statement] = STATE(988),
    [sym_expression_switch_statement] = STATE(988),
    [sym_type_switch_statement] = STATE(988),
    [sym_select_statement] = STATE(988),
    [sym__expression] = STATE(239),
    [sym_parenthesized_expression] = STATE(253),
    [sym_call_expression] = STATE(253),
    [sym_selector_expression] = STATE(253),
    [sym_index_expression] = STATE(253),
    [sym_slice_expression] = STATE(253),
    [sym_type_assertion_expression] = STATE(253),
    [sym_type_conversion_expression] = STATE(253),
    [sym_type_instantiation_expression] = STATE(253),
    [sym_composite_literal] = STATE(253),
    [sym_func_literal] = STATE(253),
    [sym_unary_expression] = STATE(253),
    [sym_binary_expression] = STATE(253),
    [sym_qualified_type] = STATE(1025),
    [sym_interpreted_string_literal] = STATE(253),
    [aux_sym_source_file_repeat1] = STATE(3),
    [ts_builtin_sym_end] = ACTIONS(75),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(9),
    [anon_sym_package] = ACTIONS(11),
    [anon_sym_import] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_const] = ACTIONS(17),
    [anon_sym_var] = ACTIONS(19),
    [anon_sym_func] = ACTIONS(21),
    [anon_sym_LBRACK] = ACTIONS(23),
    [anon_sym_type] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_struct] = ACTIONS(29),
    [anon_sym_TILDE] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_interface] = ACTIONS(35),
    [anon_sym_map] = ACTIONS(37),
    [anon_sym_chan] = ACTIONS(39),
    [anon_sym_LT_DASH] = ACTIONS(41),
    [anon_sym_fallthrough] = ACTIONS(43),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_goto] = ACTIONS(49),
    [anon_sym_return] = ACTIONS(51),
    [anon_sym_go] = ACTIONS(53),
    [anon_sym_defer] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_switch] = ACTIONS(61),
    [anon_sym_select] = ACTIONS(63),
    [anon_sym_new] = ACTIONS(65),
    [anon_sym_make] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(67),
    [anon_sym_CARET] = ACTIONS(67),
    [anon_sym_AMP] = ACTIONS(67),
    [sym_raw_string_literal] = ACTIONS(69),
    [anon_sym_DQUOTE] = ACTIONS(71),
    [sym_int_literal] = ACTIONS(73),
    [sym_float_literal] = ACTIONS(73),
    [sym_imaginary_literal] = ACTIONS(69),
    [sym_rune_literal] = ACTIONS(69),
    [sym_nil] = ACTIONS(73),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_iota] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
  },
  [3] = {
    [sym_package_clause] = STATE(1223),
    [sym_import_declaration] = STATE(1223),
    [sym__declaration] = STATE(988),
    [sym_const_declaration] = STATE(988),
    [sym_var_declaration] = STATE(988),
    [sym_function_declaration] = STATE(1223),
    [sym_method_declaration] = STATE(1223),
    [sym_type_declaration] = STATE(988),
    [sym_expression_list] = STATE(790),
    [sym_parenthesized_type] = STATE(1240),
    [sym__simple_type] = STATE(1240),
    [sym_generic_type] = STATE(1086),
    [sym_pointer_type] = STATE(859),
    [sym_array_type] = STATE(1086),
    [sym_implicit_length_array_type] = STATE(1246),
    [sym_slice_type] = STATE(1086),
    [sym_struct_type] = STATE(1086),
    [sym_negated_type] = STATE(836),
    [sym_interface_type] = STATE(859),
    [sym_map_type] = STATE(1086),
    [sym_channel_type] = STATE(859),
    [sym_function_type] = STATE(859),
    [sym_block] = STATE(988),
    [sym__statement] = STATE(1223),
    [sym_empty_statement] = STATE(988),
    [sym__simple_statement] = STATE(988),
    [sym_expression_statement] = STATE(1005),
    [sym_send_statement] = STATE(1005),
    [sym_inc_statement] = STATE(1005),
    [sym_dec_statement] = STATE(1005),
    [sym_assignment_statement] = STATE(1005),
    [sym_short_var_declaration] = STATE(1005),
    [sym_labeled_statement] = STATE(988),
    [sym_fallthrough_statement] = STATE(988),
    [sym_break_statement] = STATE(988),
    [sym_continue_statement] = STATE(988),
    [sym_goto_statement] = STATE(988),
    [sym_return_statement] = STATE(988),
    [sym_go_statement] = STATE(988),
    [sym_defer_statement] = STATE(988),
    [sym_if_statement] = STATE(988),
    [sym_for_statement] = STATE(988),
    [sym_expression_switch_statement] = STATE(988),
    [sym_type_switch_statement] = STATE(988),
    [sym_select_statement] = STATE(988),
    [sym__expression] = STATE(239),
    [sym_parenthesized_expression] = STATE(253),
    [sym_call_expression] = STATE(253),
    [sym_selector_expression] = STATE(253),
    [sym_index_expression] = STATE(253),
    [sym_slice_expression] = STATE(253),
    [sym_type_assertion_expression] = STATE(253),
    [sym_type_conversion_expression] = STATE(253),
    [sym_type_instantiation_expression] = STATE(253),
    [sym_composite_literal] = STATE(253),
    [sym_func_literal] = STATE(253),
    [sym_unary_expression] = STATE(253),
    [sym_binary_expression] = STATE(253),
    [sym_qualified_type] = STATE(1025),
    [sym_interpreted_string_literal] = STATE(253),
    [aux_sym_source_file_repeat1] = STATE(3),
    [ts_builtin_sym_end] = ACTIONS(77),
    [sym_identifier] = ACTIONS(79),
    [anon_sym_SEMI] = ACTIONS(82),
    [anon_sym_package] = ACTIONS(85),
    [anon_sym_import] = ACTIONS(88),
    [anon_sym_LPAREN] = ACTIONS(91),
    [anon_sym_const] = ACTIONS(94),
    [anon_sym_var] = ACTIONS(97),
    [anon_sym_func] = ACTIONS(100),
    [anon_sym_LBRACK] = ACTIONS(103),
    [anon_sym_type] = ACTIONS(106),
    [anon_sym_STAR] = ACTIONS(109),
    [anon_sym_struct] = ACTIONS(112),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_LBRACE] = ACTIONS(118),
    [anon_sym_interface] = ACTIONS(121),
    [anon_sym_map] = ACTIONS(124),
    [anon_sym_chan] = ACTIONS(127),
    [anon_sym_LT_DASH] = ACTIONS(130),
    [anon_sym_fallthrough] = ACTIONS(133),
    [anon_sym_break] = ACTIONS(136),
    [anon_sym_continue] = ACTIONS(139),
    [anon_sym_goto] = ACTIONS(142),
    [anon_sym_return] = ACTIONS(145),
    [anon_sym_go] = ACTIONS(148),
    [anon_sym_defer] = ACTIONS(151),
    [anon_sym_if] = ACTIONS(154),
    [anon_sym_for] = ACTIONS(157),
    [anon_sym_switch] = ACTIONS(160),
    [anon_sym_select] = ACTIONS(163),
    [anon_sym_new] = ACTIONS(166),
    [anon_sym_make] = ACTIONS(166),
    [anon_sym_PLUS] = ACTIONS(169),
    [anon_sym_DASH] = ACTIONS(169),
    [anon_sym_BANG] = ACTIONS(169),
    [anon_sym_CARET] = ACTIONS(169),
    [anon_sym_AMP] = ACTIONS(169),
    [sym_raw_string_literal] = ACTIONS(172),
    [anon_sym_DQUOTE] = ACTIONS(175),
    [sym_int_literal] = ACTIONS(178),
    [sym_float_literal] = ACTIONS(178),
    [sym_imaginary_literal] = ACTIONS(172),
    [sym_rune_literal] = ACTIONS(172),
    [sym_nil] = ACTIONS(178),
    [sym_true] = ACTIONS(178),
    [sym_false] = ACTIONS(178),
    [sym_iota] = ACTIONS(178),
    [sym_comment] = ACTIONS(3),
  },
  [4] = {
    [sym__declaration] = STATE(988),
    [sym_const_declaration] = STATE(988),
    [sym_var_declaration] = STATE(988),
    [sym_type_declaration] = STATE(988),
    [sym_expression_list] = STATE(790),
    [sym_parenthesized_type] = STATE(1240),
    [sym__simple_type] = STATE(1240),
    [sym_generic_type] = STATE(1086),
    [sym_pointer_type] = STATE(859),
    [sym_array_type] = STATE(1086),
    [sym_implicit_length_array_type] = STATE(1246),
    [sym_slice_type] = STATE(1086),
    [sym_struct_type] = STATE(1086),
    [sym_negated_type] = STATE(836),
    [sym_interface_type] = STATE(859),
    [sym_map_type] = STATE(1086),
    [sym_channel_type] = STATE(859),
    [sym_function_type] = STATE(859),
    [sym_block] = STATE(988),
    [sym__statement_list] = STATE(1157),
    [sym__statement] = STATE(898),
    [sym_empty_statement] = STATE(988),
    [sym__simple_statement] = STATE(988),
    [sym_expression_statement] = STATE(1005),
    [sym_send_statement] = STATE(1005),
    [sym_inc_statement] = STATE(1005),
    [sym_dec_statement] = STATE(1005),
    [sym_assignment_statement] = STATE(1005),
    [sym_short_var_declaration] = STATE(1005),
    [sym_labeled_statement] = STATE(988),
    [sym_empty_labeled_statement] = STATE(1157),
    [sym_fallthrough_statement] = STATE(988),
    [sym_break_statement] = STATE(988),
    [sym_continue_statement] = STATE(988),
    [sym_goto_statement] = STATE(988),
    [sym_return_statement] = STATE(988),
    [sym_go_statement] = STATE(988),
    [sym_defer_statement] = STATE(988),
    [sym_if_statement] = STATE(988),
    [sym_for_statement] = STATE(988),
    [sym_expression_switch_statement] = STATE(988),
    [sym_type_switch_statement] = STATE(988),
    [sym_select_statement] = STATE(988),
    [sym__expression] = STATE(239),
    [sym_parenthesized_expression] = STATE(253),
    [sym_call_expression] = STATE(253),
    [sym_selector_expression] = STATE(253),
    [sym_index_expression] = STATE(253),
    [sym_slice_expression] = STATE(253),
    [sym_type_assertion_expression] = STATE(253),
    [sym_type_conversion_expression] = STATE(253),
    [sym_type_instantiation_expression] = STATE(253),
    [sym_composite_literal] = STATE(253),
    [sym_func_literal] = STATE(253),
    [sym_unary_expression] = STATE(253),
    [sym_binary_expression] = STATE(253),
    [sym_qualified_type] = STATE(1025),
    [sym_interpreted_string_literal] = STATE(253),
    [sym_identifier] = ACTIONS(181),
    [anon_sym_SEMI] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_const] = ACTIONS(17),
    [anon_sym_var] = ACTIONS(19),
    [anon_sym_func] = ACTIONS(183),
    [anon_sym_LBRACK] = ACTIONS(23),
    [anon_sym_type] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_struct] = ACTIONS(29),
    [anon_sym_TILDE] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_RBRACE] = ACTIONS(185),
    [anon_sym_interface] = ACTIONS(35),
    [anon_sym_map] = ACTIONS(37),
    [anon_sym_chan] = ACTIONS(39),
    [anon_sym_LT_DASH] = ACTIONS(41),
    [anon_sym_fallthrough] = ACTIONS(43),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_goto] = ACTIONS(49),
    [anon_sym_return] = ACTIONS(51),
    [anon_sym_go] = ACTIONS(53),
    [anon_sym_defer] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_switch] = ACTIONS(61),
    [anon_sym_case] = ACTIONS(187),
    [anon_sym_default] = ACTIONS(187),
    [anon_sym_select] = ACTIONS(63),
    [anon_sym_new] = ACTIONS(65),
    [anon_sym_make] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(67),
    [anon_sym_CARET] = ACTIONS(67),
    [anon_sym_AMP] = ACTIONS(67),
    [sym_raw_string_literal] = ACTIONS(69),
    [anon_sym_DQUOTE] = ACTIONS(71),
    [sym_int_literal] = ACTIONS(73),
    [sym_float_literal] = ACTIONS(73),
    [sym_imaginary_literal] = ACTIONS(69),
    [sym_rune_literal] = ACTIONS(69),
    [sym_nil] = ACTIONS(73),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_iota] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
  },
  [5] = {
    [sym__declaration] = STATE(988),
    [sym_const_declaration] = STATE(988),
    [sym_var_declaration] = STATE(988),
    [sym_type_declaration] = STATE(988),
    [sym_expression_list] = STATE(790),
    [sym_parenthesized_type] = STATE(1240),
    [sym__simple_type] = STATE(1240),
    [sym_generic_type] = STATE(1086),
    [sym_pointer_type] = STATE(859),
    [sym_array_type] = STATE(1086),
    [sym_implicit_length_array_type] = STATE(1246),
    [sym_slice_type] = STATE(1086),
    [sym_struct_type] = STATE(1086),
    [sym_negated_type] = STATE(836),
    [sym_interface_type] = STATE(859),
    [sym_map_type] = STATE(1086),
    [sym_channel_type] = STATE(859),
    [sym_function_type] = STATE(859),
    [sym_block] = STATE(988),
    [sym__statement_list] = STATE(1221),
    [sym__statement] = STATE(898),
    [sym_empty_statement] = STATE(988),
    [sym__simple_statement] = STATE(988),
    [sym_expression_statement] = STATE(1005),
    [sym_send_statement] = STATE(1005),
    [sym_inc_statement] = STATE(1005),
    [sym_dec_statement] = STATE(1005),
    [sym_assignment_statement] = STATE(1005),
    [sym_short_var_declaration] = STATE(1005),
    [sym_labeled_statement] = STATE(988),
    [sym_empty_labeled_statement] = STATE(1221),
    [sym_fallthrough_statement] = STATE(988),
    [sym_break_statement] = STATE(988),
    [sym_continue_statement] = STATE(988),
    [sym_goto_statement] = STATE(988),
    [sym_return_statement] = STATE(988),
    [sym_go_statement] = STATE(988),
    [sym_defer_statement] = STATE(988),
    [sym_if_statement] = STATE(988),
    [sym_for_statement] = STATE(988),
    [sym_expression_switch_statement] = STATE(988),
    [sym_type_switch_statement] = STATE(988),
    [sym_select_statement] = STATE(988),
    [sym__expression] = STATE(239),
    [sym_parenthesized_expression] = STATE(253),
    [sym_call_expression] = STATE(253),
    [sym_selector_expression] = STATE(253),
    [sym_index_expression] = STATE(253),
    [sym_slice_expression] = STATE(253),
    [sym_type_assertion_expression] = STATE(253),
    [sym_type_conversion_expression] = STATE(253),
    [sym_type_instantiation_expression] = STATE(253),
    [sym_composite_literal] = STATE(253),
    [sym_func_literal] = STATE(253),
    [sym_unary_expression] = STATE(253),
    [sym_binary_expression] = STATE(253),
    [sym_qualified_type] = STATE(1025),
    [sym_interpreted_string_literal] = STATE(253),
    [sym_identifier] = ACTIONS(181),
    [anon_sym_SEMI] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_const] = ACTIONS(17),
    [anon_sym_var] = ACTIONS(19),
    [anon_sym_func] = ACTIONS(183),
    [anon_sym_LBRACK] = ACTIONS(23),
    [anon_sym_type] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_struct] = ACTIONS(29),
    [anon_sym_TILDE] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_RBRACE] = ACTIONS(189),
    [anon_sym_interface] = ACTIONS(35),
    [anon_sym_map] = ACTIONS(37),
    [anon_sym_chan] = ACTIONS(39),
    [anon_sym_LT_DASH] = ACTIONS(41),
    [anon_sym_fallthrough] = ACTIONS(43),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_goto] = ACTIONS(49),
    [anon_sym_return] = ACTIONS(51),
    [anon_sym_go] = ACTIONS(53),
    [anon_sym_defer] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_switch] = ACTIONS(61),
    [anon_sym_case] = ACTIONS(191),
    [anon_sym_default] = ACTIONS(191),
    [anon_sym_select] = ACTIONS(63),
    [anon_sym_new] = ACTIONS(65),
    [anon_sym_make] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(67),
    [anon_sym_CARET] = ACTIONS(67),
    [anon_sym_AMP] = ACTIONS(67),
    [sym_raw_string_literal] = ACTIONS(69),
    [anon_sym_DQUOTE] = ACTIONS(71),
    [sym_int_literal] = ACTIONS(73),
    [sym_float_literal] = ACTIONS(73),
    [sym_imaginary_literal] = ACTIONS(69),
    [sym_rune_literal] = ACTIONS(69),
    [sym_nil] = ACTIONS(73),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_iota] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
  },
  [6] = {
    [sym__declaration] = STATE(988),
    [sym_const_declaration] = STATE(988),
    [sym_var_declaration] = STATE(988),
    [sym_type_declaration] = STATE(988),
    [sym_expression_list] = STATE(790),
    [sym_parenthesized_type] = STATE(1240),
    [sym__simple_type] = STATE(1240),
    [sym_generic_type] = STATE(1086),
    [sym_pointer_type] = STATE(859),
    [sym_array_type] = STATE(1086),
    [sym_implicit_length_array_type] = STATE(1246),
    [sym_slice_type] = STATE(1086),
    [sym_struct_type] = STATE(1086),
    [sym_negated_type] = STATE(836),
    [sym_interface_type] = STATE(859),
    [sym_map_type] = STATE(1086),
    [sym_channel_type] = STATE(859),
    [sym_function_type] = STATE(859),
    [sym_block] = STATE(988),
    [sym__statement_list] = STATE(1134),
    [sym__statement] = STATE(898),
    [sym_empty_statement] = STATE(988),
    [sym__simple_statement] = STATE(988),
    [sym_expression_statement] = STATE(1005),
    [sym_send_statement] = STATE(1005),
    [sym_inc_statement] = STATE(1005),
    [sym_dec_statement] = STATE(1005),
    [sym_assignment_statement] = STATE(1005),
    [sym_short_var_declaration] = STATE(1005),
    [sym_labeled_statement] = STATE(988),
    [sym_empty_labeled_statement] = STATE(1134),
    [sym_fallthrough_statement] = STATE(988),
    [sym_break_statement] = STATE(988),
    [sym_continue_statement] = STATE(988),
    [sym_goto_statement] = STATE(988),
    [sym_return_statement] = STATE(988),
    [sym_go_statement] = STATE(988),
    [sym_defer_statement] = STATE(988),
    [sym_if_statement] = STATE(988),
    [sym_for_statement] = STATE(988),
    [sym_expression_switch_statement] = STATE(988),
    [sym_type_switch_statement] = STATE(988),
    [sym_select_statement] = STATE(988),
    [sym__expression] = STATE(239),
    [sym_parenthesized_expression] = STATE(253),
    [sym_call_expression] = STATE(253),
    [sym_selector_expression] = STATE(253),
    [sym_index_expression] = STATE(253),
    [sym_slice_expression] = STATE(253),
    [sym_type_assertion_expression] = STATE(253),
    [sym_type_conversion_expression] = STATE(253),
    [sym_type_instantiation_expression] = STATE(253),
    [sym_composite_literal] = STATE(253),
    [sym_func_literal] = STATE(253),
    [sym_unary_expression] = STATE(253),
    [sym_binary_expression] = STATE(253),
    [sym_qualified_type] = STATE(1025),
    [sym_interpreted_string_literal] = STATE(253),
    [sym_identifier] = ACTIONS(181),
    [anon_sym_SEMI] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_const] = ACTIONS(17),
    [anon_sym_var] = ACTIONS(19),
    [anon_sym_func] = ACTIONS(183),
    [anon_sym_LBRACK] = ACTIONS(23),
    [anon_sym_type] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_struct] = ACTIONS(29),
    [anon_sym_TILDE] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_RBRACE] = ACTIONS(193),
    [anon_sym_interface] = ACTIONS(35),
    [anon_sym_map] = ACTIONS(37),
    [anon_sym_chan] = ACTIONS(39),
    [anon_sym_LT_DASH] = ACTIONS(41),
    [anon_sym_fallthrough] = ACTIONS(43),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_goto] = ACTIONS(49),
    [anon_sym_return] = ACTIONS(51),
    [anon_sym_go] = ACTIONS(53),
    [anon_sym_defer] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_switch] = ACTIONS(61),
    [anon_sym_case] = ACTIONS(195),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_select] = ACTIONS(63),
    [anon_sym_new] = ACTIONS(65),
    [anon_sym_make] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(67),
    [anon_sym_CARET] = ACTIONS(67),
    [anon_sym_AMP] = ACTIONS(67),
    [sym_raw_string_literal] = ACTIONS(69),
    [anon_sym_DQUOTE] = ACTIONS(71),
    [sym_int_literal] = ACTIONS(73),
    [sym_float_literal] = ACTIONS(73),
    [sym_imaginary_literal] = ACTIONS(69),
    [sym_rune_literal] = ACTIONS(69),
    [sym_nil] = ACTIONS(73),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_iota] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
  },
  [7] = {
    [sym__declaration] = STATE(988),
    [sym_const_declaration] = STATE(988),
    [sym_var_declaration] = STATE(988),
    [sym_type_declaration] = STATE(988),
    [sym_expression_list] = STATE(790),
    [sym_parenthesized_type] = STATE(1240),
    [sym__simple_type] = STATE(1240),
    [sym_generic_type] = STATE(1086),
    [sym_pointer_type] = STATE(859),
    [sym_array_type] = STATE(1086),
    [sym_implicit_length_array_type] = STATE(1246),
    [sym_slice_type] = STATE(1086),
    [sym_struct_type] = STATE(1086),
    [sym_negated_type] = STATE(836),
    [sym_interface_type] = STATE(859),
    [sym_map_type] = STATE(1086),
    [sym_channel_type] = STATE(859),
    [sym_function_type] = STATE(859),
    [sym_block] = STATE(988),
    [sym__statement_list] = STATE(1193),
    [sym__statement] = STATE(898),
    [sym_empty_statement] = STATE(988),
    [sym__simple_statement] = STATE(988),
    [sym_expression_statement] = STATE(1005),
    [sym_send_statement] = STATE(1005),
    [sym_inc_statement] = STATE(1005),
    [sym_dec_statement] = STATE(1005),
    [sym_assignment_statement] = STATE(1005),
    [sym_short_var_declaration] = STATE(1005),
    [sym_labeled_statement] = STATE(988),
    [sym_empty_labeled_statement] = STATE(1193),
    [sym_fallthrough_statement] = STATE(988),
    [sym_break_statement] = STATE(988),
    [sym_continue_statement] = STATE(988),
    [sym_goto_statement] = STATE(988),
    [sym_return_statement] = STATE(988),
    [sym_go_statement] = STATE(988),
    [sym_defer_statement] = STATE(988),
    [sym_if_statement] = STATE(988),
    [sym_for_statement] = STATE(988),
    [sym_expression_switch_statement] = STATE(988),
    [sym_type_switch_statement] = STATE(988),
    [sym_select_statement] = STATE(988),
    [sym__expression] = STATE(239),
    [sym_parenthesized_expression] = STATE(253),
    [sym_call_expression] = STATE(253),
    [sym_selector_expression] = STATE(253),
    [sym_index_expression] = STATE(253),
    [sym_slice_expression] = STATE(253),
    [sym_type_assertion_expression] = STATE(253),
    [sym_type_conversion_expression] = STATE(253),
    [sym_type_instantiation_expression] = STATE(253),
    [sym_composite_literal] = STATE(253),
    [sym_func_literal] = STATE(253),
    [sym_unary_expression] = STATE(253),
    [sym_binary_expression] = STATE(253),
    [sym_qualified_type] = STATE(1025),
    [sym_interpreted_string_literal] = STATE(253),
    [sym_identifier] = ACTIONS(181),
    [anon_sym_SEMI] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_const] = ACTIONS(17),
    [anon_sym_var] = ACTIONS(19),
    [anon_sym_func] = ACTIONS(183),
    [anon_sym_LBRACK] = ACTIONS(23),
    [anon_sym_type] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_struct] = ACTIONS(29),
    [anon_sym_TILDE] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_RBRACE] = ACTIONS(197),
    [anon_sym_interface] = ACTIONS(35),
    [anon_sym_map] = ACTIONS(37),
    [anon_sym_chan] = ACTIONS(39),
    [anon_sym_LT_DASH] = ACTIONS(41),
    [anon_sym_fallthrough] = ACTIONS(43),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_goto] = ACTIONS(49),
    [anon_sym_return] = ACTIONS(51),
    [anon_sym_go] = ACTIONS(53),
    [anon_sym_defer] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_switch] = ACTIONS(61),
    [anon_sym_case] = ACTIONS(199),
    [anon_sym_default] = ACTIONS(199),
    [anon_sym_select] = ACTIONS(63),
    [anon_sym_new] = ACTIONS(65),
    [anon_sym_make] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(67),
    [anon_sym_CARET] = ACTIONS(67),
    [anon_sym_AMP] = ACTIONS(67),
    [sym_raw_string_literal] = ACTIONS(69),
    [anon_sym_DQUOTE] = ACTIONS(71),
    [sym_int_literal] = ACTIONS(73),
    [sym_float_literal] = ACTIONS(73),
    [sym_imaginary_literal] = ACTIONS(69),
    [sym_rune_literal] = ACTIONS(69),
    [sym_nil] = ACTIONS(73),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_iota] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
  },
  [8] = {
    [sym__declaration] = STATE(988),
    [sym_const_declaration] = STATE(988),
    [sym_var_declaration] = STATE(988),
    [sym_type_declaration] = STATE(988),
    [sym_expression_list] = STATE(790),
    [sym_parenthesized_type] = STATE(1240),
    [sym__simple_type] = STATE(1240),
    [sym_generic_type] = STATE(1086),
    [sym_pointer_type] = STATE(859),
    [sym_array_type] = STATE(1086),
    [sym_implicit_length_array_type] = STATE(1246),
    [sym_slice_type] = STATE(1086),
    [sym_struct_type] = STATE(1086),
    [sym_negated_type] = STATE(836),
    [sym_interface_type] = STATE(859),
    [sym_map_type] = STATE(1086),
    [sym_channel_type] = STATE(859),
    [sym_function_type] = STATE(859),
    [sym_block] = STATE(988),
    [sym__statement_list] = STATE(1141),
    [sym__statement] = STATE(898),
    [sym_empty_statement] = STATE(988),
    [sym__simple_statement] = STATE(988),
    [sym_expression_statement] = STATE(1005),
    [sym_send_statement] = STATE(1005),
    [sym_inc_statement] = STATE(1005),
    [sym_dec_statement] = STATE(1005),
    [sym_assignment_statement] = STATE(1005),
    [sym_short_var_declaration] = STATE(1005),
    [sym_labeled_statement] = STATE(988),
    [sym_empty_labeled_statement] = STATE(1141),
    [sym_fallthrough_statement] = STATE(988),
    [sym_break_statement] = STATE(988),
    [sym_continue_statement] = STATE(988),
    [sym_goto_statement] = STATE(988),
    [sym_return_statement] = STATE(988),
    [sym_go_statement] = STATE(988),
    [sym_defer_statement] = STATE(988),
    [sym_if_statement] = STATE(988),
    [sym_for_statement] = STATE(988),
    [sym_expression_switch_statement] = STATE(988),
    [sym_type_switch_statement] = STATE(988),
    [sym_select_statement] = STATE(988),
    [sym__expression] = STATE(239),
    [sym_parenthesized_expression] = STATE(253),
    [sym_call_expression] = STATE(253),
    [sym_selector_expression] = STATE(253),
    [sym_index_expression] = STATE(253),
    [sym_slice_expression] = STATE(253),
    [sym_type_assertion_expression] = STATE(253),
    [sym_type_conversion_expression] = STATE(253),
    [sym_type_instantiation_expression] = STATE(253),
    [sym_composite_literal] = STATE(253),
    [sym_func_literal] = STATE(253),
    [sym_unary_expression] = STATE(253),
    [sym_binary_expression] = STATE(253),
    [sym_qualified_type] = STATE(1025),
    [sym_interpreted_string_literal] = STATE(253),
    [sym_identifier] = ACTIONS(181),
    [anon_sym_SEMI] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_const] = ACTIONS(17),
    [anon_sym_var] = ACTIONS(19),
    [anon_sym_func] = ACTIONS(183),
    [anon_sym_LBRACK] = ACTIONS(23),
    [anon_sym_type] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_struct] = ACTIONS(29),
    [anon_sym_TILDE] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_RBRACE] = ACTIONS(201),
    [anon_sym_interface] = ACTIONS(35),
    [anon_sym_map] = ACTIONS(37),
    [anon_sym_chan] = ACTIONS(39),
    [anon_sym_LT_DASH] = ACTIONS(41),
    [anon_sym_fallthrough] = ACTIONS(43),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_goto] = ACTIONS(49),
    [anon_sym_return] = ACTIONS(51),
    [anon_sym_go] = ACTIONS(53),
    [anon_sym_defer] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_switch] = ACTIONS(61),
    [anon_sym_case] = ACTIONS(203),
    [anon_sym_default] = ACTIONS(203),
    [anon_sym_select] = ACTIONS(63),
    [anon_sym_new] = ACTIONS(65),
    [anon_sym_make] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(67),
    [anon_sym_CARET] = ACTIONS(67),
    [anon_sym_AMP] = ACTIONS(67),
    [sym_raw_string_literal] = ACTIONS(69),
    [anon_sym_DQUOTE] = ACTIONS(71),
    [sym_int_literal] = ACTIONS(73),
    [sym_float_literal] = ACTIONS(73),
    [sym_imaginary_literal] = ACTIONS(69),
    [sym_rune_literal] = ACTIONS(69),
    [sym_nil] = ACTIONS(73),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_iota] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
  },
  [9] = {
    [sym__declaration] = STATE(988),
    [sym_const_declaration] = STATE(988),
    [sym_var_declaration] = STATE(988),
    [sym_type_declaration] = STATE(988),
    [sym_expression_list] = STATE(790),
    [sym_parenthesized_type] = STATE(1240),
    [sym__simple_type] = STATE(1240),
    [sym_generic_type] = STATE(1086),
    [sym_pointer_type] = STATE(859),
    [sym_array_type] = STATE(1086),
    [sym_implicit_length_array_type] = STATE(1246),
    [sym_slice_type] = STATE(1086),
    [sym_struct_type] = STATE(1086),
    [sym_negated_type] = STATE(836),
    [sym_interface_type] = STATE(859),
    [sym_map_type] = STATE(1086),
    [sym_channel_type] = STATE(859),
    [sym_function_type] = STATE(859),
    [sym_block] = STATE(988),
    [sym__statement] = STATE(977),
    [sym_empty_statement] = STATE(988),
    [sym__simple_statement] = STATE(988),
    [sym_expression_statement] = STATE(1005),
    [sym_send_statement] = STATE(1005),
    [sym_inc_statement] = STATE(1005),
    [sym_dec_statement] = STATE(1005),
    [sym_assignment_statement] = STATE(1005),
    [sym_short_var_declaration] = STATE(1005),
    [sym_labeled_statement] = STATE(988),
    [sym_empty_labeled_statement] = STATE(1200),
    [sym_fallthrough_statement] = STATE(988),
    [sym_break_statement] = STATE(988),
    [sym_continue_statement] = STATE(988),
    [sym_goto_statement] = STATE(988),
    [sym_return_statement] = STATE(988),
    [sym_go_statement] = STATE(988),
    [sym_defer_statement] = STATE(988),
    [sym_if_statement] = STATE(988),
    [sym_for_statement] = STATE(988),
    [sym_expression_switch_statement] = STATE(988),
    [sym_type_switch_statement] = STATE(988),
    [sym_select_statement] = STATE(988),
    [sym__expression] = STATE(239),
    [sym_parenthesized_expression] = STATE(253),
    [sym_call_expression] = STATE(253),
    [sym_selector_expression] = STATE(253),
    [sym_index_expression] = STATE(253),
    [sym_slice_expression] = STATE(253),
    [sym_type_assertion_expression] = STATE(253),
    [sym_type_conversion_expression] = STATE(253),
    [sym_type_instantiation_expression] = STATE(253),
    [sym_composite_literal] = STATE(253),
    [sym_func_literal] = STATE(253),
    [sym_unary_expression] = STATE(253),
    [sym_binary_expression] = STATE(253),
    [sym_qualified_type] = STATE(1025),
    [sym_interpreted_string_literal] = STATE(253),
    [sym_identifier] = ACTIONS(181),
    [anon_sym_SEMI] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_const] = ACTIONS(17),
    [anon_sym_var] = ACTIONS(19),
    [anon_sym_func] = ACTIONS(183),
    [anon_sym_LBRACK] = ACTIONS(23),
    [anon_sym_type] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_struct] = ACTIONS(29),
    [anon_sym_TILDE] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_RBRACE] = ACTIONS(205),
    [anon_sym_interface] = ACTIONS(35),
    [anon_sym_map] = ACTIONS(37),
    [anon_sym_chan] = ACTIONS(39),
    [anon_sym_LT_DASH] = ACTIONS(41),
    [anon_sym_fallthrough] = ACTIONS(43),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_goto] = ACTIONS(49),
    [anon_sym_return] = ACTIONS(51),
    [anon_sym_go] = ACTIONS(53),
    [anon_sym_defer] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_switch] = ACTIONS(61),
    [anon_sym_case] = ACTIONS(207),
    [anon_sym_default] = ACTIONS(207),
    [anon_sym_select] = ACTIONS(63),
    [anon_sym_new] = ACTIONS(65),
    [anon_sym_make] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(67),
    [anon_sym_CARET] = ACTIONS(67),
    [anon_sym_AMP] = ACTIONS(67),
    [sym_raw_string_literal] = ACTIONS(69),
    [anon_sym_DQUOTE] = ACTIONS(71),
    [sym_int_literal] = ACTIONS(73),
    [sym_float_literal] = ACTIONS(73),
    [sym_imaginary_literal] = ACTIONS(69),
    [sym_rune_literal] = ACTIONS(69),
    [sym_nil] = ACTIONS(73),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_iota] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
  },
  [10] = {
    [sym__declaration] = STATE(988),
    [sym_const_declaration] = STATE(988),
    [sym_var_declaration] = STATE(988),
    [sym_type_declaration] = STATE(988),
    [sym_expression_list] = STATE(790),
    [sym_parenthesized_type] = STATE(1240),
    [sym__simple_type] = STATE(1240),
    [sym_generic_type] = STATE(1086),
    [sym_pointer_type] = STATE(859),
    [sym_array_type] = STATE(1086),
    [sym_implicit_length_array_type] = STATE(1246),
    [sym_slice_type] = STATE(1086),
    [sym_struct_type] = STATE(1086),
    [sym_negated_type] = STATE(836),
    [sym_interface_type] = STATE(859),
    [sym_map_type] = STATE(1086),
    [sym_channel_type] = STATE(859),
    [sym_function_type] = STATE(859),
    [sym_block] = STATE(988),
    [sym__statement] = STATE(977),
    [sym_empty_statement] = STATE(988),
    [sym__simple_statement] = STATE(988),
    [sym_expression_statement] = STATE(1005),
    [sym_send_statement] = STATE(1005),
    [sym_inc_statement] = STATE(1005),
    [sym_dec_statement] = STATE(1005),
    [sym_assignment_statement] = STATE(1005),
    [sym_short_var_declaration] = STATE(1005),
    [sym_labeled_statement] = STATE(988),
    [sym_empty_labeled_statement] = STATE(1152),
    [sym_fallthrough_statement] = STATE(988),
    [sym_break_statement] = STATE(988),
    [sym_continue_statement] = STATE(988),
    [sym_goto_statement] = STATE(988),
    [sym_return_statement] = STATE(988),
    [sym_go_statement] = STATE(988),
    [sym_defer_statement] = STATE(988),
    [sym_if_statement] = STATE(988),
    [sym_for_statement] = STATE(988),
    [sym_expression_switch_statement] = STATE(988),
    [sym_type_switch_statement] = STATE(988),
    [sym_select_statement] = STATE(988),
    [sym__expression] = STATE(239),
    [sym_parenthesized_expression] = STATE(253),
    [sym_call_expression] = STATE(253),
    [sym_selector_expression] = STATE(253),
    [sym_index_expression] = STATE(253),
    [sym_slice_expression] = STATE(253),
    [sym_type_assertion_expression] = STATE(253),
    [sym_type_conversion_expression] = STATE(253),
    [sym_type_instantiation_expression] = STATE(253),
    [sym_composite_literal] = STATE(253),
    [sym_func_literal] = STATE(253),
    [sym_unary_expression] = STATE(253),
    [sym_binary_expression] = STATE(253),
    [sym_qualified_type] = STATE(1025),
    [sym_interpreted_string_literal] = STATE(253),
    [sym_identifier] = ACTIONS(181),
    [anon_sym_SEMI] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_const] = ACTIONS(17),
    [anon_sym_var] = ACTIONS(19),
    [anon_sym_func] = ACTIONS(183),
    [anon_sym_LBRACK] = ACTIONS(23),
    [anon_sym_type] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_struct] = ACTIONS(29),
    [anon_sym_TILDE] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_RBRACE] = ACTIONS(209),
    [anon_sym_interface] = ACTIONS(35),
    [anon_sym_map] = ACTIONS(37),
    [anon_sym_chan] = ACTIONS(39),
    [anon_sym_LT_DASH] = ACTIONS(41),
    [anon_sym_fallthrough] = ACTIONS(43),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_goto] = ACTIONS(49),
    [anon_sym_return] = ACTIONS(51),
    [anon_sym_go] = ACTIONS(53),
    [anon_sym_defer] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_switch] = ACTIONS(61),
    [anon_sym_case] = ACTIONS(211),
    [anon_sym_default] = ACTIONS(211),
    [anon_sym_select] = ACTIONS(63),
    [anon_sym_new] = ACTIONS(65),
    [anon_sym_make] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(67),
    [anon_sym_CARET] = ACTIONS(67),
    [anon_sym_AMP] = ACTIONS(67),
    [sym_raw_string_literal] = ACTIONS(69),
    [anon_sym_DQUOTE] = ACTIONS(71),
    [sym_int_literal] = ACTIONS(73),
    [sym_float_literal] = ACTIONS(73),
    [sym_imaginary_literal] = ACTIONS(69),
    [sym_rune_literal] = ACTIONS(69),
    [sym_nil] = ACTIONS(73),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_iota] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
  },
  [11] = {
    [sym__declaration] = STATE(988),
    [sym_const_declaration] = STATE(988),
    [sym_var_declaration] = STATE(988),
    [sym_type_declaration] = STATE(988),
    [sym_expression_list] = STATE(790),
    [sym_parenthesized_type] = STATE(1240),
    [sym__simple_type] = STATE(1240),
    [sym_generic_type] = STATE(1086),
    [sym_pointer_type] = STATE(859),
    [sym_array_type] = STATE(1086),
    [sym_implicit_length_array_type] = STATE(1246),
    [sym_slice_type] = STATE(1086),
    [sym_struct_type] = STATE(1086),
    [sym_negated_type] = STATE(836),
    [sym_interface_type] = STATE(859),
    [sym_map_type] = STATE(1086),
    [sym_channel_type] = STATE(859),
    [sym_function_type] = STATE(859),
    [sym_block] = STATE(988),
    [sym__statement_list] = STATE(1383),
    [sym__statement] = STATE(898),
    [sym_empty_statement] = STATE(988),
    [sym__simple_statement] = STATE(988),
    [sym_expression_statement] = STATE(1005),
    [sym_send_statement] = STATE(1005),
    [sym_inc_statement] = STATE(1005),
    [sym_dec_statement] = STATE(1005),
    [sym_assignment_statement] = STATE(1005),
    [sym_short_var_declaration] = STATE(1005),
    [sym_labeled_statement] = STATE(988),
    [sym_empty_labeled_statement] = STATE(1383),
    [sym_fallthrough_statement] = STATE(988),
    [sym_break_statement] = STATE(988),
    [sym_continue_statement] = STATE(988),
    [sym_goto_statement] = STATE(988),
    [sym_return_statement] = STATE(988),
    [sym_go_statement] = STATE(988),
    [sym_defer_statement] = STATE(988),
    [sym_if_statement] = STATE(988),
    [sym_for_statement] = STATE(988),
    [sym_expression_switch_statement] = STATE(988),
    [sym_type_switch_statement] = STATE(988),
    [sym_select_statement] = STATE(988),
    [sym__expression] = STATE(239),
    [sym_parenthesized_expression] = STATE(253),
    [sym_call_expression] = STATE(253),
    [sym_selector_expression] = STATE(253),
    [sym_index_expression] = STATE(253),
    [sym_slice_expression] = STATE(253),
    [sym_type_assertion_expression] = STATE(253),
    [sym_type_conversion_expression] = STATE(253),
    [sym_type_instantiation_expression] = STATE(253),
    [sym_composite_literal] = STATE(253),
    [sym_func_literal] = STATE(253),
    [sym_unary_expression] = STATE(253),
    [sym_binary_expression] = STATE(253),
    [sym_qualified_type] = STATE(1025),
    [sym_interpreted_string_literal] = STATE(253),
    [sym_identifier] = ACTIONS(181),
    [anon_sym_SEMI] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_const] = ACTIONS(17),
    [anon_sym_var] = ACTIONS(19),
    [anon_sym_func] = ACTIONS(183),
    [anon_sym_LBRACK] = ACTIONS(23),
    [anon_sym_type] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_struct] = ACTIONS(29),
    [anon_sym_TILDE] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_RBRACE] = ACTIONS(213),
    [anon_sym_interface] = ACTIONS(35),
    [anon_sym_map] = ACTIONS(37),
    [anon_sym_chan] = ACTIONS(39),
    [anon_sym_LT_DASH] = ACTIONS(41),
    [anon_sym_fallthrough] = ACTIONS(43),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_goto] = ACTIONS(49),
    [anon_sym_return] = ACTIONS(51),
    [anon_sym_go] = ACTIONS(53),
    [anon_sym_defer] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_switch] = ACTIONS(61),
    [anon_sym_select] = ACTIONS(63),
    [anon_sym_new] = ACTIONS(65),
    [anon_sym_make] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(67),
    [anon_sym_CARET] = ACTIONS(67),
    [anon_sym_AMP] = ACTIONS(67),
    [sym_raw_string_literal] = ACTIONS(69),
    [anon_sym_DQUOTE] = ACTIONS(71),
    [sym_int_literal] = ACTIONS(73),
    [sym_float_literal] = ACTIONS(73),
    [sym_imaginary_literal] = ACTIONS(69),
    [sym_rune_literal] = ACTIONS(69),
    [sym_nil] = ACTIONS(73),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_iota] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
  },
  [12] = {
    [sym__declaration] = STATE(988),
    [sym_const_declaration] = STATE(988),
    [sym_var_declaration] = STATE(988),
    [sym_type_declaration] = STATE(988),
    [sym_expression_list] = STATE(790),
    [sym_parenthesized_type] = STATE(1240),
    [sym__simple_type] = STATE(1240),
    [sym_generic_type] = STATE(1086),
    [sym_pointer_type] = STATE(859),
    [sym_array_type] = STATE(1086),
    [sym_implicit_length_array_type] = STATE(1246),
    [sym_slice_type] = STATE(1086),
    [sym_struct_type] = STATE(1086),
    [sym_negated_type] = STATE(836),
    [sym_interface_type] = STATE(859),
    [sym_map_type] = STATE(1086),
    [sym_channel_type] = STATE(859),
    [sym_function_type] = STATE(859),
    [sym_block] = STATE(988),
    [sym__statement_list] = STATE(1327),
    [sym__statement] = STATE(898),
    [sym_empty_statement] = STATE(988),
    [sym__simple_statement] = STATE(988),
    [sym_expression_statement] = STATE(1005),
    [sym_send_statement] = STATE(1005),
    [sym_inc_statement] = STATE(1005),
    [sym_dec_statement] = STATE(1005),
    [sym_assignment_statement] = STATE(1005),
    [sym_short_var_declaration] = STATE(1005),
    [sym_labeled_statement] = STATE(988),
    [sym_empty_labeled_statement] = STATE(1327),
    [sym_fallthrough_statement] = STATE(988),
    [sym_break_statement] = STATE(988),
    [sym_continue_statement] = STATE(988),
    [sym_goto_statement] = STATE(988),
    [sym_return_statement] = STATE(988),
    [sym_go_statement] = STATE(988),
    [sym_defer_statement] = STATE(988),
    [sym_if_statement] = STATE(988),
    [sym_for_statement] = STATE(988),
    [sym_expression_switch_statement] = STATE(988),
    [sym_type_switch_statement] = STATE(988),
    [sym_select_statement] = STATE(988),
    [sym__expression] = STATE(239),
    [sym_parenthesized_expression] = STATE(253),
    [sym_call_expression] = STATE(253),
    [sym_selector_expression] = STATE(253),
    [sym_index_expression] = STATE(253),
    [sym_slice_expression] = STATE(253),
    [sym_type_assertion_expression] = STATE(253),
    [sym_type_conversion_expression] = STATE(253),
    [sym_type_instantiation_expression] = STATE(253),
    [sym_composite_literal] = STATE(253),
    [sym_func_literal] = STATE(253),
    [sym_unary_expression] = STATE(253),
    [sym_binary_expression] = STATE(253),
    [sym_qualified_type] = STATE(1025),
    [sym_interpreted_string_literal] = STATE(253),
    [sym_identifier] = ACTIONS(181),
    [anon_sym_SEMI] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_const] = ACTIONS(17),
    [anon_sym_var] = ACTIONS(19),
    [anon_sym_func] = ACTIONS(183),
    [anon_sym_LBRACK] = ACTIONS(23),
    [anon_sym_type] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_struct] = ACTIONS(29),
    [anon_sym_TILDE] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_RBRACE] = ACTIONS(215),
    [anon_sym_interface] = ACTIONS(35),
    [anon_sym_map] = ACTIONS(37),
    [anon_sym_chan] = ACTIONS(39),
    [anon_sym_LT_DASH] = ACTIONS(41),
    [anon_sym_fallthrough] = ACTIONS(43),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_goto] = ACTIONS(49),
    [anon_sym_return] = ACTIONS(51),
    [anon_sym_go] = ACTIONS(53),
    [anon_sym_defer] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_switch] = ACTIONS(61),
    [anon_sym_select] = ACTIONS(63),
    [anon_sym_new] = ACTIONS(65),
    [anon_sym_make] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(67),
    [anon_sym_CARET] = ACTIONS(67),
    [anon_sym_AMP] = ACTIONS(67),
    [sym_raw_string_literal] = ACTIONS(69),
    [anon_sym_DQUOTE] = ACTIONS(71),
    [sym_int_literal] = ACTIONS(73),
    [sym_float_literal] = ACTIONS(73),
    [sym_imaginary_literal] = ACTIONS(69),
    [sym_rune_literal] = ACTIONS(69),
    [sym_nil] = ACTIONS(73),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_iota] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
  },
  [13] = {
    [sym__declaration] = STATE(988),
    [sym_const_declaration] = STATE(988),
    [sym_var_declaration] = STATE(988),
    [sym_type_declaration] = STATE(988),
    [sym_expression_list] = STATE(790),
    [sym_parenthesized_type] = STATE(1240),
    [sym__simple_type] = STATE(1240),
    [sym_generic_type] = STATE(1086),
    [sym_pointer_type] = STATE(859),
    [sym_array_type] = STATE(1086),
    [sym_implicit_length_array_type] = STATE(1246),
    [sym_slice_type] = STATE(1086),
    [sym_struct_type] = STATE(1086),
    [sym_negated_type] = STATE(836),
    [sym_interface_type] = STATE(859),
    [sym_map_type] = STATE(1086),
    [sym_channel_type] = STATE(859),
    [sym_function_type] = STATE(859),
    [sym_block] = STATE(988),
    [sym__statement] = STATE(908),
    [sym_empty_statement] = STATE(988),
    [sym__simple_statement] = STATE(988),
    [sym_expression_statement] = STATE(1005),
    [sym_send_statement] = STATE(1005),
    [sym_inc_statement] = STATE(1005),
    [sym_dec_statement] = STATE(1005),
    [sym_assignment_statement] = STATE(1005),
    [sym_short_var_declaration] = STATE(1005),
    [sym_labeled_statement] = STATE(988),
    [sym_fallthrough_statement] = STATE(988),
    [sym_break_statement] = STATE(988),
    [sym_continue_statement] = STATE(988),
    [sym_goto_statement] = STATE(988),
    [sym_return_statement] = STATE(988),
    [sym_go_statement] = STATE(988),
    [sym_defer_statement] = STATE(988),
    [sym_if_statement] = STATE(988),
    [sym_for_statement] = STATE(988),
    [sym_expression_switch_statement] = STATE(988),
    [sym_type_switch_statement] = STATE(988),
    [sym_select_statement] = STATE(988),
    [sym__expression] = STATE(239),
    [sym_parenthesized_expression] = STATE(253),
    [sym_call_expression] = STATE(253),
    [sym_selector_expression] = STATE(253),
    [sym_index_expression] = STATE(253),
    [sym_slice_expression] = STATE(253),
    [sym_type_assertion_expression] = STATE(253),
    [sym_type_conversion_expression] = STATE(253),
    [sym_type_instantiation_expression] = STATE(253),
    [sym_composite_literal] = STATE(253),
    [sym_func_literal] = STATE(253),
    [sym_unary_expression] = STATE(253),
    [sym_binary_expression] = STATE(253),
    [sym_qualified_type] = STATE(1025),
    [sym_interpreted_string_literal] = STATE(253),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_const] = ACTIONS(17),
    [anon_sym_var] = ACTIONS(19),
    [anon_sym_func] = ACTIONS(183),
    [anon_sym_LBRACK] = ACTIONS(23),
    [anon_sym_type] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_struct] = ACTIONS(29),
    [anon_sym_TILDE] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_RBRACE] = ACTIONS(217),
    [anon_sym_interface] = ACTIONS(35),
    [anon_sym_map] = ACTIONS(37),
    [anon_sym_chan] = ACTIONS(39),
    [anon_sym_LT_DASH] = ACTIONS(41),
    [anon_sym_fallthrough] = ACTIONS(43),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_goto] = ACTIONS(49),
    [anon_sym_return] = ACTIONS(51),
    [anon_sym_go] = ACTIONS(53),
    [anon_sym_defer] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_switch] = ACTIONS(61),
    [anon_sym_case] = ACTIONS(219),
    [anon_sym_default] = ACTIONS(219),
    [anon_sym_select] = ACTIONS(63),
    [anon_sym_new] = ACTIONS(65),
    [anon_sym_make] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(67),
    [anon_sym_CARET] = ACTIONS(67),
    [anon_sym_AMP] = ACTIONS(67),
    [sym_raw_string_literal] = ACTIONS(69),
    [anon_sym_DQUOTE] = ACTIONS(71),
    [sym_int_literal] = ACTIONS(73),
    [sym_float_literal] = ACTIONS(73),
    [sym_imaginary_literal] = ACTIONS(69),
    [sym_rune_literal] = ACTIONS(69),
    [sym_nil] = ACTIONS(73),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_iota] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
  },
  [14] = {
    [sym__declaration] = STATE(988),
    [sym_const_declaration] = STATE(988),
    [sym_var_declaration] = STATE(988),
    [sym_type_declaration] = STATE(988),
    [sym_expression_list] = STATE(790),
    [sym_parenthesized_type] = STATE(1240),
    [sym__simple_type] = STATE(1240),
    [sym_generic_type] = STATE(1086),
    [sym_pointer_type] = STATE(859),
    [sym_array_type] = STATE(1086),
    [sym_implicit_length_array_type] = STATE(1246),
    [sym_slice_type] = STATE(1086),
    [sym_struct_type] = STATE(1086),
    [sym_negated_type] = STATE(836),
    [sym_interface_type] = STATE(859),
    [sym_map_type] = STATE(1086),
    [sym_channel_type] = STATE(859),
    [sym_function_type] = STATE(859),
    [sym_block] = STATE(988),
    [sym__statement_list] = STATE(1313),
    [sym__statement] = STATE(898),
    [sym_empty_statement] = STATE(988),
    [sym__simple_statement] = STATE(988),
    [sym_expression_statement] = STATE(1005),
    [sym_send_statement] = STATE(1005),
    [sym_inc_statement] = STATE(1005),
    [sym_dec_statement] = STATE(1005),
    [sym_assignment_statement] = STATE(1005),
    [sym_short_var_declaration] = STATE(1005),
    [sym_labeled_statement] = STATE(988),
    [sym_empty_labeled_statement] = STATE(1313),
    [sym_fallthrough_statement] = STATE(988),
    [sym_break_statement] = STATE(988),
    [sym_continue_statement] = STATE(988),
    [sym_goto_statement] = STATE(988),
    [sym_return_statement] = STATE(988),
    [sym_go_statement] = STATE(988),
    [sym_defer_statement] = STATE(988),
    [sym_if_statement] = STATE(988),
    [sym_for_statement] = STATE(988),
    [sym_expression_switch_statement] = STATE(988),
    [sym_type_switch_statement] = STATE(988),
    [sym_select_statement] = STATE(988),
    [sym__expression] = STATE(239),
    [sym_parenthesized_expression] = STATE(253),
    [sym_call_expression] = STATE(253),
    [sym_selector_expression] = STATE(253),
    [sym_index_expression] = STATE(253),
    [sym_slice_expression] = STATE(253),
    [sym_type_assertion_expression] = STATE(253),
    [sym_type_conversion_expression] = STATE(253),
    [sym_type_instantiation_expression] = STATE(253),
    [sym_composite_literal] = STATE(253),
    [sym_func_literal] = STATE(253),
    [sym_unary_expression] = STATE(253),
    [sym_binary_expression] = STATE(253),
    [sym_qualified_type] = STATE(1025),
    [sym_interpreted_string_literal] = STATE(253),
    [sym_identifier] = ACTIONS(181),
    [anon_sym_SEMI] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_const] = ACTIONS(17),
    [anon_sym_var] = ACTIONS(19),
    [anon_sym_func] = ACTIONS(183),
    [anon_sym_LBRACK] = ACTIONS(23),
    [anon_sym_type] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_struct] = ACTIONS(29),
    [anon_sym_TILDE] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_RBRACE] = ACTIONS(221),
    [anon_sym_interface] = ACTIONS(35),
    [anon_sym_map] = ACTIONS(37),
    [anon_sym_chan] = ACTIONS(39),
    [anon_sym_LT_DASH] = ACTIONS(41),
    [anon_sym_fallthrough] = ACTIONS(43),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_goto] = ACTIONS(49),
    [anon_sym_return] = ACTIONS(51),
    [anon_sym_go] = ACTIONS(53),
    [anon_sym_defer] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_switch] = ACTIONS(61),
    [anon_sym_select] = ACTIONS(63),
    [anon_sym_new] = ACTIONS(65),
    [anon_sym_make] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(67),
    [anon_sym_CARET] = ACTIONS(67),
    [anon_sym_AMP] = ACTIONS(67),
    [sym_raw_string_literal] = ACTIONS(69),
    [anon_sym_DQUOTE] = ACTIONS(71),
    [sym_int_literal] = ACTIONS(73),
    [sym_float_literal] = ACTIONS(73),
    [sym_imaginary_literal] = ACTIONS(69),
    [sym_rune_literal] = ACTIONS(69),
    [sym_nil] = ACTIONS(73),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_iota] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
  },
  [15] = {
    [sym__declaration] = STATE(988),
    [sym_const_declaration] = STATE(988),
    [sym_var_declaration] = STATE(988),
    [sym_type_declaration] = STATE(988),
    [sym_expression_list] = STATE(790),
    [sym_parenthesized_type] = STATE(1240),
    [sym__simple_type] = STATE(1240),
    [sym_generic_type] = STATE(1086),
    [sym_pointer_type] = STATE(859),
    [sym_array_type] = STATE(1086),
    [sym_implicit_length_array_type] = STATE(1246),
    [sym_slice_type] = STATE(1086),
    [sym_struct_type] = STATE(1086),
    [sym_negated_type] = STATE(836),
    [sym_interface_type] = STATE(859),
    [sym_map_type] = STATE(1086),
    [sym_channel_type] = STATE(859),
    [sym_function_type] = STATE(859),
    [sym_block] = STATE(988),
    [sym__statement_list] = STATE(1317),
    [sym__statement] = STATE(898),
    [sym_empty_statement] = STATE(988),
    [sym__simple_statement] = STATE(988),
    [sym_expression_statement] = STATE(1005),
    [sym_send_statement] = STATE(1005),
    [sym_inc_statement] = STATE(1005),
    [sym_dec_statement] = STATE(1005),
    [sym_assignment_statement] = STATE(1005),
    [sym_short_var_declaration] = STATE(1005),
    [sym_labeled_statement] = STATE(988),
    [sym_empty_labeled_statement] = STATE(1317),
    [sym_fallthrough_statement] = STATE(988),
    [sym_break_statement] = STATE(988),
    [sym_continue_statement] = STATE(988),
    [sym_goto_statement] = STATE(988),
    [sym_return_statement] = STATE(988),
    [sym_go_statement] = STATE(988),
    [sym_defer_statement] = STATE(988),
    [sym_if_statement] = STATE(988),
    [sym_for_statement] = STATE(988),
    [sym_expression_switch_statement] = STATE(988),
    [sym_type_switch_statement] = STATE(988),
    [sym_select_statement] = STATE(988),
    [sym__expression] = STATE(239),
    [sym_parenthesized_expression] = STATE(253),
    [sym_call_expression] = STATE(253),
    [sym_selector_expression] = STATE(253),
    [sym_index_expression] = STATE(253),
    [sym_slice_expression] = STATE(253),
    [sym_type_assertion_expression] = STATE(253),
    [sym_type_conversion_expression] = STATE(253),
    [sym_type_instantiation_expression] = STATE(253),
    [sym_composite_literal] = STATE(253),
    [sym_func_literal] = STATE(253),
    [sym_unary_expression] = STATE(253),
    [sym_binary_expression] = STATE(253),
    [sym_qualified_type] = STATE(1025),
    [sym_interpreted_string_literal] = STATE(253),
    [sym_identifier] = ACTIONS(181),
    [anon_sym_SEMI] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_const] = ACTIONS(17),
    [anon_sym_var] = ACTIONS(19),
    [anon_sym_func] = ACTIONS(183),
    [anon_sym_LBRACK] = ACTIONS(23),
    [anon_sym_type] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_struct] = ACTIONS(29),
    [anon_sym_TILDE] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_RBRACE] = ACTIONS(223),
    [anon_sym_interface] = ACTIONS(35),
    [anon_sym_map] = ACTIONS(37),
    [anon_sym_chan] = ACTIONS(39),
    [anon_sym_LT_DASH] = ACTIONS(41),
    [anon_sym_fallthrough] = ACTIONS(43),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_goto] = ACTIONS(49),
    [anon_sym_return] = ACTIONS(51),
    [anon_sym_go] = ACTIONS(53),
    [anon_sym_defer] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_switch] = ACTIONS(61),
    [anon_sym_select] = ACTIONS(63),
    [anon_sym_new] = ACTIONS(65),
    [anon_sym_make] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(67),
    [anon_sym_CARET] = ACTIONS(67),
    [anon_sym_AMP] = ACTIONS(67),
    [sym_raw_string_literal] = ACTIONS(69),
    [anon_sym_DQUOTE] = ACTIONS(71),
    [sym_int_literal] = ACTIONS(73),
    [sym_float_literal] = ACTIONS(73),
    [sym_imaginary_literal] = ACTIONS(69),
    [sym_rune_literal] = ACTIONS(69),
    [sym_nil] = ACTIONS(73),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_iota] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
  },
  [16] = {
    [sym__declaration] = STATE(988),
    [sym_const_declaration] = STATE(988),
    [sym_var_declaration] = STATE(988),
    [sym_type_declaration] = STATE(988),
    [sym_expression_list] = STATE(790),
    [sym_parenthesized_type] = STATE(1240),
    [sym__simple_type] = STATE(1240),
    [sym_generic_type] = STATE(1086),
    [sym_pointer_type] = STATE(859),
    [sym_array_type] = STATE(1086),
    [sym_implicit_length_array_type] = STATE(1246),
    [sym_slice_type] = STATE(1086),
    [sym_struct_type] = STATE(1086),
    [sym_negated_type] = STATE(836),
    [sym_interface_type] = STATE(859),
    [sym_map_type] = STATE(1086),
    [sym_channel_type] = STATE(859),
    [sym_function_type] = STATE(859),
    [sym_block] = STATE(988),
    [sym__statement_list] = STATE(1375),
    [sym__statement] = STATE(898),
    [sym_empty_statement] = STATE(988),
    [sym__simple_statement] = STATE(988),
    [sym_expression_statement] = STATE(1005),
    [sym_send_statement] = STATE(1005),
    [sym_inc_statement] = STATE(1005),
    [sym_dec_statement] = STATE(1005),
    [sym_assignment_statement] = STATE(1005),
    [sym_short_var_declaration] = STATE(1005),
    [sym_labeled_statement] = STATE(988),
    [sym_empty_labeled_statement] = STATE(1375),
    [sym_fallthrough_statement] = STATE(988),
    [sym_break_statement] = STATE(988),
    [sym_continue_statement] = STATE(988),
    [sym_goto_statement] = STATE(988),
    [sym_return_statement] = STATE(988),
    [sym_go_statement] = STATE(988),
    [sym_defer_statement] = STATE(988),
    [sym_if_statement] = STATE(988),
    [sym_for_statement] = STATE(988),
    [sym_expression_switch_statement] = STATE(988),
    [sym_type_switch_statement] = STATE(988),
    [sym_select_statement] = STATE(988),
    [sym__expression] = STATE(239),
    [sym_parenthesized_expression] = STATE(253),
    [sym_call_expression] = STATE(253),
    [sym_selector_expression] = STATE(253),
    [sym_index_expression] = STATE(253),
    [sym_slice_expression] = STATE(253),
    [sym_type_assertion_expression] = STATE(253),
    [sym_type_conversion_expression] = STATE(253),
    [sym_type_instantiation_expression] = STATE(253),
    [sym_composite_literal] = STATE(253),
    [sym_func_literal] = STATE(253),
    [sym_unary_expression] = STATE(253),
    [sym_binary_expression] = STATE(253),
    [sym_qualified_type] = STATE(1025),
    [sym_interpreted_string_literal] = STATE(253),
    [sym_identifier] = ACTIONS(181),
    [anon_sym_SEMI] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_const] = ACTIONS(17),
    [anon_sym_var] = ACTIONS(19),
    [anon_sym_func] = ACTIONS(183),
    [anon_sym_LBRACK] = ACTIONS(23),
    [anon_sym_type] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_struct] = ACTIONS(29),
    [anon_sym_TILDE] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_RBRACE] = ACTIONS(225),
    [anon_sym_interface] = ACTIONS(35),
    [anon_sym_map] = ACTIONS(37),
    [anon_sym_chan] = ACTIONS(39),
    [anon_sym_LT_DASH] = ACTIONS(41),
    [anon_sym_fallthrough] = ACTIONS(43),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_goto] = ACTIONS(49),
    [anon_sym_return] = ACTIONS(51),
    [anon_sym_go] = ACTIONS(53),
    [anon_sym_defer] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_switch] = ACTIONS(61),
    [anon_sym_select] = ACTIONS(63),
    [anon_sym_new] = ACTIONS(65),
    [anon_sym_make] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(67),
    [anon_sym_CARET] = ACTIONS(67),
    [anon_sym_AMP] = ACTIONS(67),
    [sym_raw_string_literal] = ACTIONS(69),
    [anon_sym_DQUOTE] = ACTIONS(71),
    [sym_int_literal] = ACTIONS(73),
    [sym_float_literal] = ACTIONS(73),
    [sym_imaginary_literal] = ACTIONS(69),
    [sym_rune_literal] = ACTIONS(69),
    [sym_nil] = ACTIONS(73),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_iota] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
  },
  [17] = {
    [sym__declaration] = STATE(988),
    [sym_const_declaration] = STATE(988),
    [sym_var_declaration] = STATE(988),
    [sym_type_declaration] = STATE(988),
    [sym_expression_list] = STATE(790),
    [sym_parenthesized_type] = STATE(1240),
    [sym__simple_type] = STATE(1240),
    [sym_generic_type] = STATE(1086),
    [sym_pointer_type] = STATE(859),
    [sym_array_type] = STATE(1086),
    [sym_implicit_length_array_type] = STATE(1246),
    [sym_slice_type] = STATE(1086),
    [sym_struct_type] = STATE(1086),
    [sym_negated_type] = STATE(836),
    [sym_interface_type] = STATE(859),
    [sym_map_type] = STATE(1086),
    [sym_channel_type] = STATE(859),
    [sym_function_type] = STATE(859),
    [sym_block] = STATE(988),
    [sym__statement_list] = STATE(1334),
    [sym__statement] = STATE(898),
    [sym_empty_statement] = STATE(988),
    [sym__simple_statement] = STATE(988),
    [sym_expression_statement] = STATE(1005),
    [sym_send_statement] = STATE(1005),
    [sym_inc_statement] = STATE(1005),
    [sym_dec_statement] = STATE(1005),
    [sym_assignment_statement] = STATE(1005),
    [sym_short_var_declaration] = STATE(1005),
    [sym_labeled_statement] = STATE(988),
    [sym_empty_labeled_statement] = STATE(1334),
    [sym_fallthrough_statement] = STATE(988),
    [sym_break_statement] = STATE(988),
    [sym_continue_statement] = STATE(988),
    [sym_goto_statement] = STATE(988),
    [sym_return_statement] = STATE(988),
    [sym_go_statement] = STATE(988),
    [sym_defer_statement] = STATE(988),
    [sym_if_statement] = STATE(988),
    [sym_for_statement] = STATE(988),
    [sym_expression_switch_statement] = STATE(988),
    [sym_type_switch_statement] = STATE(988),
    [sym_select_statement] = STATE(988),
    [sym__expression] = STATE(239),
    [sym_parenthesized_expression] = STATE(253),
    [sym_call_expression] = STATE(253),
    [sym_selector_expression] = STATE(253),
    [sym_index_expression] = STATE(253),
    [sym_slice_expression] = STATE(253),
    [sym_type_assertion_expression] = STATE(253),
    [sym_type_conversion_expression] = STATE(253),
    [sym_type_instantiation_expression] = STATE(253),
    [sym_composite_literal] = STATE(253),
    [sym_func_literal] = STATE(253),
    [sym_unary_expression] = STATE(253),
    [sym_binary_expression] = STATE(253),
    [sym_qualified_type] = STATE(1025),
    [sym_interpreted_string_literal] = STATE(253),
    [sym_identifier] = ACTIONS(181),
    [anon_sym_SEMI] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_const] = ACTIONS(17),
    [anon_sym_var] = ACTIONS(19),
    [anon_sym_func] = ACTIONS(183),
    [anon_sym_LBRACK] = ACTIONS(23),
    [anon_sym_type] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_struct] = ACTIONS(29),
    [anon_sym_TILDE] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_RBRACE] = ACTIONS(227),
    [anon_sym_interface] = ACTIONS(35),
    [anon_sym_map] = ACTIONS(37),
    [anon_sym_chan] = ACTIONS(39),
    [anon_sym_LT_DASH] = ACTIONS(41),
    [anon_sym_fallthrough] = ACTIONS(43),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_goto] = ACTIONS(49),
    [anon_sym_return] = ACTIONS(51),
    [anon_sym_go] = ACTIONS(53),
    [anon_sym_defer] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_switch] = ACTIONS(61),
    [anon_sym_select] = ACTIONS(63),
    [anon_sym_new] = ACTIONS(65),
    [anon_sym_make] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(67),
    [anon_sym_CARET] = ACTIONS(67),
    [anon_sym_AMP] = ACTIONS(67),
    [sym_raw_string_literal] = ACTIONS(69),
    [anon_sym_DQUOTE] = ACTIONS(71),
    [sym_int_literal] = ACTIONS(73),
    [sym_float_literal] = ACTIONS(73),
    [sym_imaginary_literal] = ACTIONS(69),
    [sym_rune_literal] = ACTIONS(69),
    [sym_nil] = ACTIONS(73),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_iota] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
  },
  [18] = {
    [sym__declaration] = STATE(988),
    [sym_const_declaration] = STATE(988),
    [sym_var_declaration] = STATE(988),
    [sym_type_declaration] = STATE(988),
    [sym_expression_list] = STATE(790),
    [sym_parenthesized_type] = STATE(1240),
    [sym__simple_type] = STATE(1240),
    [sym_generic_type] = STATE(1086),
    [sym_pointer_type] = STATE(859),
    [sym_array_type] = STATE(1086),
    [sym_implicit_length_array_type] = STATE(1246),
    [sym_slice_type] = STATE(1086),
    [sym_struct_type] = STATE(1086),
    [sym_negated_type] = STATE(836),
    [sym_interface_type] = STATE(859),
    [sym_map_type] = STATE(1086),
    [sym_channel_type] = STATE(859),
    [sym_function_type] = STATE(859),
    [sym_block] = STATE(988),
    [sym__statement_list] = STATE(1323),
    [sym__statement] = STATE(898),
    [sym_empty_statement] = STATE(988),
    [sym__simple_statement] = STATE(988),
    [sym_expression_statement] = STATE(1005),
    [sym_send_statement] = STATE(1005),
    [sym_inc_statement] = STATE(1005),
    [sym_dec_statement] = STATE(1005),
    [sym_assignment_statement] = STATE(1005),
    [sym_short_var_declaration] = STATE(1005),
    [sym_labeled_statement] = STATE(988),
    [sym_empty_labeled_statement] = STATE(1323),
    [sym_fallthrough_statement] = STATE(988),
    [sym_break_statement] = STATE(988),
    [sym_continue_statement] = STATE(988),
    [sym_goto_statement] = STATE(988),
    [sym_return_statement] = STATE(988),
    [sym_go_statement] = STATE(988),
    [sym_defer_statement] = STATE(988),
    [sym_if_statement] = STATE(988),
    [sym_for_statement] = STATE(988),
    [sym_expression_switch_statement] = STATE(988),
    [sym_type_switch_statement] = STATE(988),
    [sym_select_statement] = STATE(988),
    [sym__expression] = STATE(239),
    [sym_parenthesized_expression] = STATE(253),
    [sym_call_expression] = STATE(253),
    [sym_selector_expression] = STATE(253),
    [sym_index_expression] = STATE(253),
    [sym_slice_expression] = STATE(253),
    [sym_type_assertion_expression] = STATE(253),
    [sym_type_conversion_expression] = STATE(253),
    [sym_type_instantiation_expression] = STATE(253),
    [sym_composite_literal] = STATE(253),
    [sym_func_literal] = STATE(253),
    [sym_unary_expression] = STATE(253),
    [sym_binary_expression] = STATE(253),
    [sym_qualified_type] = STATE(1025),
    [sym_interpreted_string_literal] = STATE(253),
    [sym_identifier] = ACTIONS(181),
    [anon_sym_SEMI] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_const] = ACTIONS(17),
    [anon_sym_var] = ACTIONS(19),
    [anon_sym_func] = ACTIONS(183),
    [anon_sym_LBRACK] = ACTIONS(23),
    [anon_sym_type] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_struct] = ACTIONS(29),
    [anon_sym_TILDE] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_RBRACE] = ACTIONS(229),
    [anon_sym_interface] = ACTIONS(35),
    [anon_sym_map] = ACTIONS(37),
    [anon_sym_chan] = ACTIONS(39),
    [anon_sym_LT_DASH] = ACTIONS(41),
    [anon_sym_fallthrough] = ACTIONS(43),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_goto] = ACTIONS(49),
    [anon_sym_return] = ACTIONS(51),
    [anon_sym_go] = ACTIONS(53),
    [anon_sym_defer] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_switch] = ACTIONS(61),
    [anon_sym_select] = ACTIONS(63),
    [anon_sym_new] = ACTIONS(65),
    [anon_sym_make] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(67),
    [anon_sym_CARET] = ACTIONS(67),
    [anon_sym_AMP] = ACTIONS(67),
    [sym_raw_string_literal] = ACTIONS(69),
    [anon_sym_DQUOTE] = ACTIONS(71),
    [sym_int_literal] = ACTIONS(73),
    [sym_float_literal] = ACTIONS(73),
    [sym_imaginary_literal] = ACTIONS(69),
    [sym_rune_literal] = ACTIONS(69),
    [sym_nil] = ACTIONS(73),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_iota] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
  },
  [19] = {
    [sym__declaration] = STATE(988),
    [sym_const_declaration] = STATE(988),
    [sym_var_declaration] = STATE(988),
    [sym_type_declaration] = STATE(988),
    [sym_expression_list] = STATE(790),
    [sym_parenthesized_type] = STATE(1240),
    [sym__simple_type] = STATE(1240),
    [sym_generic_type] = STATE(1086),
    [sym_pointer_type] = STATE(859),
    [sym_array_type] = STATE(1086),
    [sym_implicit_length_array_type] = STATE(1246),
    [sym_slice_type] = STATE(1086),
    [sym_struct_type] = STATE(1086),
    [sym_negated_type] = STATE(836),
    [sym_interface_type] = STATE(859),
    [sym_map_type] = STATE(1086),
    [sym_channel_type] = STATE(859),
    [sym_function_type] = STATE(859),
    [sym_block] = STATE(988),
    [sym__statement] = STATE(977),
    [sym_empty_statement] = STATE(988),
    [sym__simple_statement] = STATE(988),
    [sym_expression_statement] = STATE(1005),
    [sym_send_statement] = STATE(1005),
    [sym_inc_statement] = STATE(1005),
    [sym_dec_statement] = STATE(1005),
    [sym_assignment_statement] = STATE(1005),
    [sym_short_var_declaration] = STATE(1005),
    [sym_labeled_statement] = STATE(988),
    [sym_fallthrough_statement] = STATE(988),
    [sym_break_statement] = STATE(988),
    [sym_continue_statement] = STATE(988),
    [sym_goto_statement] = STATE(988),
    [sym_return_statement] = STATE(988),
    [sym_go_statement] = STATE(988),
    [sym_defer_statement] = STATE(988),
    [sym_if_statement] = STATE(988),
    [sym_for_statement] = STATE(988),
    [sym_expression_switch_statement] = STATE(988),
    [sym_type_switch_statement] = STATE(988),
    [sym_select_statement] = STATE(988),
    [sym__expression] = STATE(239),
    [sym_parenthesized_expression] = STATE(253),
    [sym_call_expression] = STATE(253),
    [sym_selector_expression] = STATE(253),
    [sym_index_expression] = STATE(253),
    [sym_slice_expression] = STATE(253),
    [sym_type_assertion_expression] = STATE(253),
    [sym_type_conversion_expression] = STATE(253),
    [sym_type_instantiation_expression] = STATE(253),
    [sym_composite_literal] = STATE(253),
    [sym_func_literal] = STATE(253),
    [sym_unary_expression] = STATE(253),
    [sym_binary_expression] = STATE(253),
    [sym_qualified_type] = STATE(1025),
    [sym_interpreted_string_literal] = STATE(253),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_const] = ACTIONS(17),
    [anon_sym_var] = ACTIONS(19),
    [anon_sym_func] = ACTIONS(183),
    [anon_sym_LBRACK] = ACTIONS(23),
    [anon_sym_type] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_struct] = ACTIONS(29),
    [anon_sym_TILDE] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_interface] = ACTIONS(35),
    [anon_sym_map] = ACTIONS(37),
    [anon_sym_chan] = ACTIONS(39),
    [anon_sym_LT_DASH] = ACTIONS(41),
    [anon_sym_fallthrough] = ACTIONS(43),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_goto] = ACTIONS(49),
    [anon_sym_return] = ACTIONS(51),
    [anon_sym_go] = ACTIONS(53),
    [anon_sym_defer] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_switch] = ACTIONS(61),
    [anon_sym_select] = ACTIONS(63),
    [anon_sym_new] = ACTIONS(65),
    [anon_sym_make] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(67),
    [anon_sym_CARET] = ACTIONS(67),
    [anon_sym_AMP] = ACTIONS(67),
    [sym_raw_string_literal] = ACTIONS(69),
    [anon_sym_DQUOTE] = ACTIONS(71),
    [sym_int_literal] = ACTIONS(73),
    [sym_float_literal] = ACTIONS(73),
    [sym_imaginary_literal] = ACTIONS(69),
    [sym_rune_literal] = ACTIONS(69),
    [sym_nil] = ACTIONS(73),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_iota] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
  },
  [20] = {
    [sym__declaration] = STATE(988),
    [sym_const_declaration] = STATE(988),
    [sym_var_declaration] = STATE(988),
    [sym_type_declaration] = STATE(988),
    [sym_expression_list] = STATE(790),
    [sym_parenthesized_type] = STATE(1240),
    [sym__simple_type] = STATE(1240),
    [sym_generic_type] = STATE(1086),
    [sym_pointer_type] = STATE(859),
    [sym_array_type] = STATE(1086),
    [sym_implicit_length_array_type] = STATE(1246),
    [sym_slice_type] = STATE(1086),
    [sym_struct_type] = STATE(1086),
    [sym_negated_type] = STATE(836),
    [sym_interface_type] = STATE(859),
    [sym_map_type] = STATE(1086),
    [sym_channel_type] = STATE(859),
    [sym_function_type] = STATE(859),
    [sym_block] = STATE(988),
    [sym__statement] = STATE(908),
    [sym_empty_statement] = STATE(988),
    [sym__simple_statement] = STATE(988),
    [sym_expression_statement] = STATE(1005),
    [sym_send_statement] = STATE(1005),
    [sym_inc_statement] = STATE(1005),
    [sym_dec_statement] = STATE(1005),
    [sym_assignment_statement] = STATE(1005),
    [sym_short_var_declaration] = STATE(1005),
    [sym_labeled_statement] = STATE(988),
    [sym_fallthrough_statement] = STATE(988),
    [sym_break_statement] = STATE(988),
    [sym_continue_statement] = STATE(988),
    [sym_goto_statement] = STATE(988),
    [sym_return_statement] = STATE(988),
    [sym_go_statement] = STATE(988),
    [sym_defer_statement] = STATE(988),
    [sym_if_statement] = STATE(988),
    [sym_for_statement] = STATE(988),
    [sym_expression_switch_statement] = STATE(988),
    [sym_type_switch_statement] = STATE(988),
    [sym_select_statement] = STATE(988),
    [sym__expression] = STATE(239),
    [sym_parenthesized_expression] = STATE(253),
    [sym_call_expression] = STATE(253),
    [sym_selector_expression] = STATE(253),
    [sym_index_expression] = STATE(253),
    [sym_slice_expression] = STATE(253),
    [sym_type_assertion_expression] = STATE(253),
    [sym_type_conversion_expression] = STATE(253),
    [sym_type_instantiation_expression] = STATE(253),
    [sym_composite_literal] = STATE(253),
    [sym_func_literal] = STATE(253),
    [sym_unary_expression] = STATE(253),
    [sym_binary_expression] = STATE(253),
    [sym_qualified_type] = STATE(1025),
    [sym_interpreted_string_literal] = STATE(253),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_const] = ACTIONS(17),
    [anon_sym_var] = ACTIONS(19),
    [anon_sym_func] = ACTIONS(183),
    [anon_sym_LBRACK] = ACTIONS(23),
    [anon_sym_type] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_struct] = ACTIONS(29),
    [anon_sym_TILDE] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_interface] = ACTIONS(35),
    [anon_sym_map] = ACTIONS(37),
    [anon_sym_chan] = ACTIONS(39),
    [anon_sym_LT_DASH] = ACTIONS(41),
    [anon_sym_fallthrough] = ACTIONS(43),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_goto] = ACTIONS(49),
    [anon_sym_return] = ACTIONS(51),
    [anon_sym_go] = ACTIONS(53),
    [anon_sym_defer] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_switch] = ACTIONS(61),
    [anon_sym_select] = ACTIONS(63),
    [anon_sym_new] = ACTIONS(65),
    [anon_sym_make] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(67),
    [anon_sym_CARET] = ACTIONS(67),
    [anon_sym_AMP] = ACTIONS(67),
    [sym_raw_string_literal] = ACTIONS(69),
    [anon_sym_DQUOTE] = ACTIONS(71),
    [sym_int_literal] = ACTIONS(73),
    [sym_float_literal] = ACTIONS(73),
    [sym_imaginary_literal] = ACTIONS(69),
    [sym_rune_literal] = ACTIONS(69),
    [sym_nil] = ACTIONS(73),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_iota] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
  },
  [21] = {
    [sym_expression_list] = STATE(789),
    [sym_parenthesized_type] = STATE(1307),
    [sym__simple_type] = STATE(1307),
    [sym_generic_type] = STATE(1076),
    [sym_pointer_type] = STATE(859),
    [sym_array_type] = STATE(1076),
    [sym_implicit_length_array_type] = STATE(1245),
    [sym_slice_type] = STATE(1076),
    [sym_struct_type] = STATE(1076),
    [sym_negated_type] = STATE(836),
    [sym_interface_type] = STATE(859),
    [sym_map_type] = STATE(1076),
    [sym_channel_type] = STATE(859),
    [sym_function_type] = STATE(859),
    [sym_block] = STATE(909),
    [sym__simple_statement] = STATE(1388),
    [sym_expression_statement] = STATE(1263),
    [sym_send_statement] = STATE(1263),
    [sym_inc_statement] = STATE(1263),
    [sym_dec_statement] = STATE(1263),
    [sym_assignment_statement] = STATE(1263),
    [sym_short_var_declaration] = STATE(1263),
    [sym_for_clause] = STATE(1266),
    [sym_range_clause] = STATE(1266),
    [sym__expression] = STATE(275),
    [sym_parenthesized_expression] = STATE(306),
    [sym_call_expression] = STATE(306),
    [sym_selector_expression] = STATE(306),
    [sym_index_expression] = STATE(306),
    [sym_slice_expression] = STATE(306),
    [sym_type_assertion_expression] = STATE(306),
    [sym_type_conversion_expression] = STATE(306),
    [sym_type_instantiation_expression] = STATE(306),
    [sym_composite_literal] = STATE(306),
    [sym_func_literal] = STATE(306),
    [sym_unary_expression] = STATE(306),
    [sym_binary_expression] = STATE(306),
    [sym_qualified_type] = STATE(1027),
    [sym_interpreted_string_literal] = STATE(306),
    [sym_identifier] = ACTIONS(231),
    [anon_sym_SEMI] = ACTIONS(233),
    [anon_sym_LPAREN] = ACTIONS(235),
    [anon_sym_func] = ACTIONS(237),
    [anon_sym_LBRACK] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(239),
    [anon_sym_struct] = ACTIONS(29),
    [anon_sym_TILDE] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_interface] = ACTIONS(35),
    [anon_sym_map] = ACTIONS(37),
    [anon_sym_chan] = ACTIONS(39),
    [anon_sym_LT_DASH] = ACTIONS(241),
    [anon_sym_range] = ACTIONS(243),
    [anon_sym_new] = ACTIONS(245),
    [anon_sym_make] = ACTIONS(245),
    [anon_sym_PLUS] = ACTIONS(247),
    [anon_sym_DASH] = ACTIONS(247),
    [anon_sym_BANG] = ACTIONS(247),
    [anon_sym_CARET] = ACTIONS(247),
    [anon_sym_AMP] = ACTIONS(247),
    [sym_raw_string_literal] = ACTIONS(249),
    [anon_sym_DQUOTE] = ACTIONS(251),
    [sym_int_literal] = ACTIONS(253),
    [sym_float_literal] = ACTIONS(253),
    [sym_imaginary_literal] = ACTIONS(249),
    [sym_rune_literal] = ACTIONS(249),
    [sym_nil] = ACTIONS(253),
    [sym_true] = ACTIONS(253),
    [sym_false] = ACTIONS(253),
    [sym_iota] = ACTIONS(253),
    [sym_comment] = ACTIONS(3),
  },
  [22] = {
    [sym_expression_list] = STATE(792),
    [sym_parenthesized_type] = STATE(1307),
    [sym__simple_type] = STATE(1307),
    [sym_generic_type] = STATE(1076),
    [sym_pointer_type] = STATE(859),
    [sym_array_type] = STATE(1076),
    [sym_implicit_length_array_type] = STATE(1245),
    [sym_slice_type] = STATE(1076),
    [sym_struct_type] = STATE(1076),
    [sym_negated_type] = STATE(836),
    [sym_interface_type] = STATE(859),
    [sym_map_type] = STATE(1076),
    [sym_channel_type] = STATE(859),
    [sym_function_type] = STATE(859),
    [sym__simple_statement] = STATE(1320),
    [sym_expression_statement] = STATE(1263),
    [sym_send_statement] = STATE(1263),
    [sym_inc_statement] = STATE(1263),
    [sym_dec_statement] = STATE(1263),
    [sym_assignment_statement] = STATE(1263),
    [sym_short_var_declaration] = STATE(1263),
    [sym__type_switch_header] = STATE(1332),
    [sym__expression] = STATE(287),
    [sym_parenthesized_expression] = STATE(306),
    [sym_call_expression] = STATE(306),
    [sym_selector_expression] = STATE(306),
    [sym_index_expression] = STATE(306),
    [sym_slice_expression] = STATE(306),
    [sym_type_assertion_expression] = STATE(306),
    [sym_type_conversion_expression] = STATE(306),
    [sym_type_instantiation_expression] = STATE(306),
    [sym_composite_literal] = STATE(306),
    [sym_func_literal] = STATE(306),
    [sym_unary_expression] = STATE(306),
    [sym_binary_expression] = STATE(306),
    [sym_qualified_type] = STATE(1027),
    [sym_interpreted_string_literal] = STATE(306),
    [sym_identifier] = ACTIONS(231),
    [anon_sym_LPAREN] = ACTIONS(235),
    [anon_sym_func] = ACTIONS(237),
    [anon_sym_LBRACK] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(239),
    [anon_sym_struct] = ACTIONS(29),
    [anon_sym_TILDE] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(255),
    [anon_sym_interface] = ACTIONS(35),
    [anon_sym_map] = ACTIONS(37),
    [anon_sym_chan] = ACTIONS(39),
    [anon_sym_LT_DASH] = ACTIONS(241),
    [anon_sym_new] = ACTIONS(245),
    [anon_sym_make] = ACTIONS(245),
    [anon_sym_PLUS] = ACTIONS(247),
    [anon_sym_DASH] = ACTIONS(247),
    [anon_sym_BANG] = ACTIONS(247),
    [anon_sym_CARET] = ACTIONS(247),
    [anon_sym_AMP] = ACTIONS(247),
    [sym_raw_string_literal] = ACTIONS(249),
    [anon_sym_DQUOTE] = ACTIONS(251),
    [sym_int_literal] = ACTIONS(253),
    [sym_float_literal] = ACTIONS(253),
    [sym_imaginary_literal] = ACTIONS(249),
    [sym_rune_literal] = ACTIONS(249),
    [sym_nil] = ACTIONS(253),
    [sym_true] = ACTIONS(253),
    [sym_false] = ACTIONS(253),
    [sym_iota] = ACTIONS(253),
    [sym_comment] = ACTIONS(3),
  },
  [23] = {
    [sym_expression_list] = STATE(797),
    [sym_parenthesized_type] = STATE(1307),
    [sym__simple_type] = STATE(1307),
    [sym_generic_type] = STATE(1076),
    [sym_pointer_type] = STATE(859),
    [sym_array_type] = STATE(1076),
    [sym_implicit_length_array_type] = STATE(1245),
    [sym_slice_type] = STATE(1076),
    [sym_struct_type] = STATE(1076),
    [sym_negated_type] = STATE(836),
    [sym_interface_type] = STATE(859),
    [sym_map_type] = STATE(1076),
    [sym_channel_type] = STATE(859),
    [sym_function_type] = STATE(859),
    [sym__simple_statement] = STATE(1386),
    [sym_expression_statement] = STATE(1263),
    [sym_send_statement] = STATE(1263),
    [sym_inc_statement] = STATE(1263),
    [sym_dec_statement] = STATE(1263),
    [sym_assignment_statement] = STATE(1263),
    [sym_short_var_declaration] = STATE(1263),
    [sym__expression] = STATE(288),
    [sym_parenthesized_expression] = STATE(306),
    [sym_call_expression] = STATE(306),
    [sym_selector_expression] = STATE(306),
    [sym_index_expression] = STATE(306),
    [sym_slice_expression] = STATE(306),
    [sym_type_assertion_expression] = STATE(306),
    [sym_type_conversion_expression] = STATE(306),
    [sym_type_instantiation_expression] = STATE(306),
    [sym_composite_literal] = STATE(306),
    [sym_func_literal] = STATE(306),
    [sym_unary_expression] = STATE(306),
    [sym_binary_expression] = STATE(306),
    [sym_qualified_type] = STATE(1027),
    [sym_interpreted_string_literal] = STATE(306),
    [sym_identifier] = ACTIONS(231),
    [anon_sym_LPAREN] = ACTIONS(235),
    [anon_sym_func] = ACTIONS(237),
    [anon_sym_LBRACK] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(239),
    [anon_sym_struct] = ACTIONS(29),
    [anon_sym_TILDE] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(257),
    [anon_sym_interface] = ACTIONS(35),
    [anon_sym_map] = ACTIONS(37),
    [anon_sym_chan] = ACTIONS(39),
    [anon_sym_LT_DASH] = ACTIONS(241),
    [anon_sym_new] = ACTIONS(245),
    [anon_sym_make] = ACTIONS(245),
    [anon_sym_PLUS] = ACTIONS(247),
    [anon_sym_DASH] = ACTIONS(247),
    [anon_sym_BANG] = ACTIONS(247),
    [anon_sym_CARET] = ACTIONS(247),
    [anon_sym_AMP] = ACTIONS(247),
    [sym_raw_string_literal] = ACTIONS(249),
    [anon_sym_DQUOTE] = ACTIONS(251),
    [sym_int_literal] = ACTIONS(253),
    [sym_float_literal] = ACTIONS(253),
    [sym_imaginary_literal] = ACTIONS(249),
    [sym_rune_literal] = ACTIONS(249),
    [sym_nil] = ACTIONS(253),
    [sym_true] = ACTIONS(253),
    [sym_false] = ACTIONS(253),
    [sym_iota] = ACTIONS(253),
    [sym_comment] = ACTIONS(3),
  },
  [24] = {
    [sym_expression_list] = STATE(797),
    [sym_parenthesized_type] = STATE(1307),
    [sym__simple_type] = STATE(1307),
    [sym_generic_type] = STATE(1076),
    [sym_pointer_type] = STATE(859),
    [sym_array_type] = STATE(1076),
    [sym_implicit_length_array_type] = STATE(1245),
    [sym_slice_type] = STATE(1076),
    [sym_struct_type] = STATE(1076),
    [sym_negated_type] = STATE(836),
    [sym_interface_type] = STATE(859),
    [sym_map_type] = STATE(1076),
    [sym_channel_type] = STATE(859),
    [sym_function_type] = STATE(859),
    [sym__simple_statement] = STATE(1378),
    [sym_expression_statement] = STATE(1263),
    [sym_send_statement] = STATE(1263),
    [sym_inc_statement] = STATE(1263),
    [sym_dec_statement] = STATE(1263),
    [sym_assignment_statement] = STATE(1263),
    [sym_short_var_declaration] = STATE(1263),
    [sym__expression] = STATE(288),
    [sym_parenthesized_expression] = STATE(306),
    [sym_call_expression] = STATE(306),
    [sym_selector_expression] = STATE(306),
    [sym_index_expression] = STATE(306),
    [sym_slice_expression] = STATE(306),
    [sym_type_assertion_expression] = STATE(306),
    [sym_type_conversion_expression] = STATE(306),
    [sym_type_instantiation_expression] = STATE(306),
    [sym_composite_literal] = STATE(306),
    [sym_func_literal] = STATE(306),
    [sym_unary_expression] = STATE(306),
    [sym_binary_expression] = STATE(306),
    [sym_qualified_type] = STATE(1027),
    [sym_interpreted_string_literal] = STATE(306),
    [sym_identifier] = ACTIONS(231),
    [anon_sym_LPAREN] = ACTIONS(235),
    [anon_sym_func] = ACTIONS(237),
    [anon_sym_LBRACK] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(239),
    [anon_sym_struct] = ACTIONS(29),
    [anon_sym_TILDE] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(259),
    [anon_sym_interface] = ACTIONS(35),
    [anon_sym_map] = ACTIONS(37),
    [anon_sym_chan] = ACTIONS(39),
    [anon_sym_LT_DASH] = ACTIONS(241),
    [anon_sym_new] = ACTIONS(245),
    [anon_sym_make] = ACTIONS(245),
    [anon_sym_PLUS] = ACTIONS(247),
    [anon_sym_DASH] = ACTIONS(247),
    [anon_sym_BANG] = ACTIONS(247),
    [anon_sym_CARET] = ACTIONS(247),
    [anon_sym_AMP] = ACTIONS(247),
    [sym_raw_string_literal] = ACTIONS(249),
    [anon_sym_DQUOTE] = ACTIONS(251),
    [sym_int_literal] = ACTIONS(253),
    [sym_float_literal] = ACTIONS(253),
    [sym_imaginary_literal] = ACTIONS(249),
    [sym_rune_literal] = ACTIONS(249),
    [sym_nil] = ACTIONS(253),
    [sym_true] = ACTIONS(253),
    [sym_false] = ACTIONS(253),
    [sym_iota] = ACTIONS(253),
    [sym_comment] = ACTIONS(3),
  },
  [25] = {
    [sym_expression_list] = STATE(797),
    [sym_parenthesized_type] = STATE(1307),
    [sym__simple_type] = STATE(1307),
    [sym_generic_type] = STATE(1076),
    [sym_pointer_type] = STATE(859),
    [sym_array_type] = STATE(1076),
    [sym_implicit_length_array_type] = STATE(1245),
    [sym_slice_type] = STATE(1076),
    [sym_struct_type] = STATE(1076),
    [sym_negated_type] = STATE(836),
    [sym_interface_type] = STATE(859),
    [sym_map_type] = STATE(1076),
    [sym_channel_type] = STATE(859),
    [sym_function_type] = STATE(859),
    [sym__simple_statement] = STATE(1394),
    [sym_expression_statement] = STATE(1263),
    [sym_send_statement] = STATE(1263),
    [sym_inc_statement] = STATE(1263),
    [sym_dec_statement] = STATE(1263),
    [sym_assignment_statement] = STATE(1263),
    [sym_short_var_declaration] = STATE(1263),
    [sym__expression] = STATE(288),
    [sym_parenthesized_expression] = STATE(306),
    [sym_call_expression] = STATE(306),
    [sym_selector_expression] = STATE(306),
    [sym_index_expression] = STATE(306),
    [sym_slice_expression] = STATE(306),
    [sym_type_assertion_expression] = STATE(306),
    [sym_type_conversion_expression] = STATE(306),
    [sym_type_instantiation_expression] = STATE(306),
    [sym_composite_literal] = STATE(306),
    [sym_func_literal] = STATE(306),
    [sym_unary_expression] = STATE(306),
    [sym_binary_expression] = STATE(306),
    [sym_qualified_type] = STATE(1027),
    [sym_interpreted_string_literal] = STATE(306),
    [sym_identifier] = ACTIONS(231),
    [anon_sym_LPAREN] = ACTIONS(235),
    [anon_sym_func] = ACTIONS(237),
    [anon_sym_LBRACK] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(239),
    [anon_sym_struct] = ACTIONS(29),
    [anon_sym_TILDE] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(261),
    [anon_sym_interface] = ACTIONS(35),
    [anon_sym_map] = ACTIONS(37),
    [anon_sym_chan] = ACTIONS(39),
    [anon_sym_LT_DASH] = ACTIONS(241),
    [anon_sym_new] = ACTIONS(245),
    [anon_sym_make] = ACTIONS(245),
    [anon_sym_PLUS] = ACTIONS(247),
    [anon_sym_DASH] = ACTIONS(247),
    [anon_sym_BANG] = ACTIONS(247),
    [anon_sym_CARET] = ACTIONS(247),
    [anon_sym_AMP] = ACTIONS(247),
    [sym_raw_string_literal] = ACTIONS(249),
    [anon_sym_DQUOTE] = ACTIONS(251),
    [sym_int_literal] = ACTIONS(253),
    [sym_float_literal] = ACTIONS(253),
    [sym_imaginary_literal] = ACTIONS(249),
    [sym_rune_literal] = ACTIONS(249),
    [sym_nil] = ACTIONS(253),
    [sym_true] = ACTIONS(253),
    [sym_false] = ACTIONS(253),
    [sym_iota] = ACTIONS(253),
    [sym_comment] = ACTIONS(3),
  },
  [26] = {
    [sym_expression_list] = STATE(797),
    [sym_parenthesized_type] = STATE(1307),
    [sym__simple_type] = STATE(1307),
    [sym_generic_type] = STATE(1076),
    [sym_pointer_type] = STATE(859),
    [sym_array_type] = STATE(1076),
    [sym_implicit_length_array_type] = STATE(1245),
    [sym_slice_type] = STATE(1076),
    [sym_struct_type] = STATE(1076),
    [sym_negated_type] = STATE(836),
    [sym_interface_type] = STATE(859),
    [sym_map_type] = STATE(1076),
    [sym_channel_type] = STATE(859),
    [sym_function_type] = STATE(859),
    [sym__simple_statement] = STATE(1351),
    [sym_expression_statement] = STATE(1263),
    [sym_send_statement] = STATE(1263),
    [sym_inc_statement] = STATE(1263),
    [sym_dec_statement] = STATE(1263),
    [sym_assignment_statement] = STATE(1263),
    [sym_short_var_declaration] = STATE(1263),
    [sym__expression] = STATE(288),
    [sym_parenthesized_expression] = STATE(306),
    [sym_call_expression] = STATE(306),
    [sym_selector_expression] = STATE(306),
    [sym_index_expression] = STATE(306),
    [sym_slice_expression] = STATE(306),
    [sym_type_assertion_expression] = STATE(306),
    [sym_type_conversion_expression] = STATE(306),
    [sym_type_instantiation_expression] = STATE(306),
    [sym_composite_literal] = STATE(306),
    [sym_func_literal] = STATE(306),
    [sym_unary_expression] = STATE(306),
    [sym_binary_expression] = STATE(306),
    [sym_qualified_type] = STATE(1027),
    [sym_interpreted_string_literal] = STATE(306),
    [sym_identifier] = ACTIONS(231),
    [anon_sym_LPAREN] = ACTIONS(235),
    [anon_sym_func] = ACTIONS(237),
    [anon_sym_LBRACK] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(239),
    [anon_sym_struct] = ACTIONS(29),
    [anon_sym_TILDE] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(263),
    [anon_sym_interface] = ACTIONS(35),
    [anon_sym_map] = ACTIONS(37),
    [anon_sym_chan] = ACTIONS(39),
    [anon_sym_LT_DASH] = ACTIONS(241),
    [anon_sym_new] = ACTIONS(245),
    [anon_sym_make] = ACTIONS(245),
    [anon_sym_PLUS] = ACTIONS(247),
    [anon_sym_DASH] = ACTIONS(247),
    [anon_sym_BANG] = ACTIONS(247),
    [anon_sym_CARET] = ACTIONS(247),
    [anon_sym_AMP] = ACTIONS(247),
    [sym_raw_string_literal] = ACTIONS(249),
    [anon_sym_DQUOTE] = ACTIONS(251),
    [sym_int_literal] = ACTIONS(253),
    [sym_float_literal] = ACTIONS(253),
    [sym_imaginary_literal] = ACTIONS(249),
    [sym_rune_literal] = ACTIONS(249),
    [sym_nil] = ACTIONS(253),
    [sym_true] = ACTIONS(253),
    [sym_false] = ACTIONS(253),
    [sym_iota] = ACTIONS(253),
    [sym_comment] = ACTIONS(3),
  },
  [27] = {
    [sym_expression_list] = STATE(788),
    [sym_parenthesized_type] = STATE(1307),
    [sym__simple_type] = STATE(1307),
    [sym_generic_type] = STATE(1076),
    [sym_pointer_type] = STATE(859),
    [sym_array_type] = STATE(1076),
    [sym_implicit_length_array_type] = STATE(1245),
    [sym_slice_type] = STATE(1076),
    [sym_struct_type] = STATE(1076),
    [sym_negated_type] = STATE(836),
    [sym_interface_type] = STATE(859),
    [sym_map_type] = STATE(1076),
    [sym_channel_type] = STATE(859),
    [sym_function_type] = STATE(859),
    [sym__simple_statement] = STATE(1380),
    [sym_expression_statement] = STATE(1263),
    [sym_send_statement] = STATE(1263),
    [sym_inc_statement] = STATE(1263),
    [sym_dec_statement] = STATE(1263),
    [sym_assignment_statement] = STATE(1263),
    [sym_short_var_declaration] = STATE(1263),
    [sym__expression] = STATE(260),
    [sym_parenthesized_expression] = STATE(306),
    [sym_call_expression] = STATE(306),
    [sym_selector_expression] = STATE(306),
    [sym_index_expression] = STATE(306),
    [sym_slice_expression] = STATE(306),
    [sym_type_assertion_expression] = STATE(306),
    [sym_type_conversion_expression] = STATE(306),
    [sym_type_instantiation_expression] = STATE(306),
    [sym_composite_literal] = STATE(306),
    [sym_func_literal] = STATE(306),
    [sym_unary_expression] = STATE(306),
    [sym_binary_expression] = STATE(306),
    [sym_qualified_type] = STATE(1027),
    [sym_interpreted_string_literal] = STATE(306),
    [sym_identifier] = ACTIONS(231),
    [anon_sym_LPAREN] = ACTIONS(235),
    [anon_sym_func] = ACTIONS(237),
    [anon_sym_LBRACK] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(239),
    [anon_sym_struct] = ACTIONS(29),
    [anon_sym_TILDE] = ACTIONS(31),
    [anon_sym_interface] = ACTIONS(35),
    [anon_sym_map] = ACTIONS(37),
    [anon_sym_chan] = ACTIONS(39),
    [anon_sym_LT_DASH] = ACTIONS(241),
    [anon_sym_new] = ACTIONS(245),
    [anon_sym_make] = ACTIONS(245),
    [anon_sym_PLUS] = ACTIONS(247),
    [anon_sym_DASH] = ACTIONS(247),
    [anon_sym_BANG] = ACTIONS(247),
    [anon_sym_CARET] = ACTIONS(247),
    [anon_sym_AMP] = ACTIONS(247),
    [sym_raw_string_literal] = ACTIONS(249),
    [anon_sym_DQUOTE] = ACTIONS(251),
    [sym_int_literal] = ACTIONS(253),
    [sym_float_literal] = ACTIONS(253),
    [sym_imaginary_literal] = ACTIONS(249),
    [sym_rune_literal] = ACTIONS(249),
    [sym_nil] = ACTIONS(253),
    [sym_true] = ACTIONS(253),
    [sym_false] = ACTIONS(253),
    [sym_iota] = ACTIONS(253),
    [sym_comment] = ACTIONS(3),
  },
};

static const uint16_t ts_small_parse_table[] = {
  [0] = 27,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(265), 1,
      sym_identifier,
    ACTIONS(267), 1,
      anon_sym_LF,
    ACTIONS(271), 1,
      anon_sym_LPAREN,
    ACTIONS(273), 1,
      anon_sym_func,
    ACTIONS(275), 1,
      anon_sym_LBRACK,
    ACTIONS(277), 1,
      anon_sym_STAR,
    ACTIONS(279), 1,
      anon_sym_TILDE,
    ACTIONS(281), 1,
      anon_sym_LT_DASH,
    ACTIONS(289), 1,
      anon_sym_DQUOTE,
    ACTIONS(291), 1,
      sym_comment,
    STATE(397), 1,
      sym__expression,
    STATE(836), 1,
      sym_negated_type,
    STATE(932), 1,
      sym_expression_list,
    STATE(1013), 1,
      sym_qualified_type,
    STATE(1250), 1,
      sym_implicit_length_array_type,
    ACTIONS(283), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1306), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(859), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(269), 5,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
    ACTIONS(285), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(1058), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(287), 9,
      sym_raw_string_literal,
      sym_int_literal,
      sym_float_literal,
      sym_imaginary_literal,
      sym_rune_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(488), 13,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [119] = 31,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(293), 1,
      sym_identifier,
    ACTIONS(295), 1,
      anon_sym_LPAREN,
    ACTIONS(297), 1,
      anon_sym_COMMA,
    ACTIONS(299), 1,
      anon_sym_func,
    ACTIONS(301), 1,
      anon_sym_STAR,
    ACTIONS(303), 1,
      anon_sym_LBRACE,
    ACTIONS(305), 1,
      anon_sym_RBRACE,
    ACTIONS(307), 1,
      anon_sym_LT_DASH,
    ACTIONS(315), 1,
      anon_sym_DQUOTE,
    STATE(579), 1,
      sym__expression,
    STATE(836), 1,
      sym_negated_type,
    STATE(862), 1,
      sym_qualified_type,
    STATE(1044), 1,
      sym_literal_element,
    STATE(1166), 1,
      sym_literal_value,
    STATE(1206), 1,
      sym_keyed_element,
    STATE(1249), 1,
      sym_implicit_length_array_type,
    ACTIONS(309), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1305), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(313), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(859), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(311), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(881), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(317), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(419), 13,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [245] = 31,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(293), 1,
      sym_identifier,
    ACTIONS(295), 1,
      anon_sym_LPAREN,
    ACTIONS(299), 1,
      anon_sym_func,
    ACTIONS(301), 1,
      anon_sym_STAR,
    ACTIONS(303), 1,
      anon_sym_LBRACE,
    ACTIONS(307), 1,
      anon_sym_LT_DASH,
    ACTIONS(315), 1,
      anon_sym_DQUOTE,
    ACTIONS(319), 1,
      anon_sym_COMMA,
    ACTIONS(321), 1,
      anon_sym_RBRACE,
    STATE(579), 1,
      sym__expression,
    STATE(836), 1,
      sym_negated_type,
    STATE(862), 1,
      sym_qualified_type,
    STATE(1115), 1,
      sym_literal_element,
    STATE(1166), 1,
      sym_literal_value,
    STATE(1217), 1,
      sym_keyed_element,
    STATE(1249), 1,
      sym_implicit_length_array_type,
    ACTIONS(309), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1305), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(313), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(859), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(311), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(881), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(317), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(419), 13,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [371] = 31,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(293), 1,
      sym_identifier,
    ACTIONS(295), 1,
      anon_sym_LPAREN,
    ACTIONS(299), 1,
      anon_sym_func,
    ACTIONS(301), 1,
      anon_sym_STAR,
    ACTIONS(303), 1,
      anon_sym_LBRACE,
    ACTIONS(307), 1,
      anon_sym_LT_DASH,
    ACTIONS(315), 1,
      anon_sym_DQUOTE,
    ACTIONS(323), 1,
      anon_sym_COMMA,
    ACTIONS(325), 1,
      anon_sym_RBRACE,
    STATE(579), 1,
      sym__expression,
    STATE(836), 1,
      sym_negated_type,
    STATE(862), 1,
      sym_qualified_type,
    STATE(1081), 1,
      sym_literal_element,
    STATE(1127), 1,
      sym_keyed_element,
    STATE(1166), 1,
      sym_literal_value,
    STATE(1249), 1,
      sym_implicit_length_array_type,
    ACTIONS(309), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1305), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(313), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(859), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(311), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(881), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(317), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(419), 13,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [497] = 31,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(293), 1,
      sym_identifier,
    ACTIONS(295), 1,
      anon_sym_LPAREN,
    ACTIONS(299), 1,
      anon_sym_func,
    ACTIONS(301), 1,
      anon_sym_STAR,
    ACTIONS(303), 1,
      anon_sym_LBRACE,
    ACTIONS(307), 1,
      anon_sym_LT_DASH,
    ACTIONS(315), 1,
      anon_sym_DQUOTE,
    ACTIONS(327), 1,
      anon_sym_COMMA,
    ACTIONS(329), 1,
      anon_sym_RBRACE,
    STATE(579), 1,
      sym__expression,
    STATE(836), 1,
      sym_negated_type,
    STATE(862), 1,
      sym_qualified_type,
    STATE(1068), 1,
      sym_literal_element,
    STATE(1146), 1,
      sym_keyed_element,
    STATE(1166), 1,
      sym_literal_value,
    STATE(1249), 1,
      sym_implicit_length_array_type,
    ACTIONS(309), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1305), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(313), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(859), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(311), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(881), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(317), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(419), 13,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [623] = 31,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(293), 1,
      sym_identifier,
    ACTIONS(295), 1,
      anon_sym_LPAREN,
    ACTIONS(299), 1,
      anon_sym_func,
    ACTIONS(301), 1,
      anon_sym_STAR,
    ACTIONS(303), 1,
      anon_sym_LBRACE,
    ACTIONS(307), 1,
      anon_sym_LT_DASH,
    ACTIONS(315), 1,
      anon_sym_DQUOTE,
    ACTIONS(331), 1,
      anon_sym_COMMA,
    ACTIONS(333), 1,
      anon_sym_RBRACE,
    STATE(579), 1,
      sym__expression,
    STATE(836), 1,
      sym_negated_type,
    STATE(862), 1,
      sym_qualified_type,
    STATE(1092), 1,
      sym_literal_element,
    STATE(1155), 1,
      sym_keyed_element,
    STATE(1166), 1,
      sym_literal_value,
    STATE(1249), 1,
      sym_implicit_length_array_type,
    ACTIONS(309), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1305), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(313), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(859), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(311), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(881), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(317), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(419), 13,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [749] = 31,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(293), 1,
      sym_identifier,
    ACTIONS(295), 1,
      anon_sym_LPAREN,
    ACTIONS(299), 1,
      anon_sym_func,
    ACTIONS(301), 1,
      anon_sym_STAR,
    ACTIONS(303), 1,
      anon_sym_LBRACE,
    ACTIONS(307), 1,
      anon_sym_LT_DASH,
    ACTIONS(315), 1,
      anon_sym_DQUOTE,
    ACTIONS(335), 1,
      anon_sym_COMMA,
    ACTIONS(337), 1,
      anon_sym_RBRACE,
    STATE(579), 1,
      sym__expression,
    STATE(836), 1,
      sym_negated_type,
    STATE(862), 1,
      sym_qualified_type,
    STATE(1103), 1,
      sym_literal_element,
    STATE(1166), 1,
      sym_literal_value,
    STATE(1235), 1,
      sym_keyed_element,
    STATE(1249), 1,
      sym_implicit_length_array_type,
    ACTIONS(309), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1305), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(313), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(859), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(311), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(881), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(317), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(419), 13,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [875] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(293), 1,
      sym_identifier,
    ACTIONS(295), 1,
      anon_sym_LPAREN,
    ACTIONS(299), 1,
      anon_sym_func,
    ACTIONS(301), 1,
      anon_sym_STAR,
    ACTIONS(303), 1,
      anon_sym_LBRACE,
    ACTIONS(307), 1,
      anon_sym_LT_DASH,
    ACTIONS(315), 1,
      anon_sym_DQUOTE,
    ACTIONS(339), 1,
      anon_sym_RBRACE,
    STATE(579), 1,
      sym__expression,
    STATE(836), 1,
      sym_negated_type,
    STATE(862), 1,
      sym_qualified_type,
    STATE(1166), 1,
      sym_literal_value,
    STATE(1202), 1,
      sym_literal_element,
    STATE(1249), 1,
      sym_implicit_length_array_type,
    STATE(1280), 1,
      sym_keyed_element,
    ACTIONS(309), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1305), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(313), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(859), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(311), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(881), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(317), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(419), 13,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [998] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(293), 1,
      sym_identifier,
    ACTIONS(295), 1,
      anon_sym_LPAREN,
    ACTIONS(299), 1,
      anon_sym_func,
    ACTIONS(301), 1,
      anon_sym_STAR,
    ACTIONS(303), 1,
      anon_sym_LBRACE,
    ACTIONS(307), 1,
      anon_sym_LT_DASH,
    ACTIONS(315), 1,
      anon_sym_DQUOTE,
    ACTIONS(341), 1,
      anon_sym_RBRACE,
    STATE(579), 1,
      sym__expression,
    STATE(836), 1,
      sym_negated_type,
    STATE(862), 1,
      sym_qualified_type,
    STATE(1166), 1,
      sym_literal_value,
    STATE(1202), 1,
      sym_literal_element,
    STATE(1249), 1,
      sym_implicit_length_array_type,
    STATE(1280), 1,
      sym_keyed_element,
    ACTIONS(309), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1305), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(313), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(859), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(311), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(881), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(317), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(419), 13,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [1121] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(293), 1,
      sym_identifier,
    ACTIONS(295), 1,
      anon_sym_LPAREN,
    ACTIONS(299), 1,
      anon_sym_func,
    ACTIONS(301), 1,
      anon_sym_STAR,
    ACTIONS(303), 1,
      anon_sym_LBRACE,
    ACTIONS(307), 1,
      anon_sym_LT_DASH,
    ACTIONS(315), 1,
      anon_sym_DQUOTE,
    ACTIONS(343), 1,
      anon_sym_RBRACE,
    STATE(579), 1,
      sym__expression,
    STATE(836), 1,
      sym_negated_type,
    STATE(862), 1,
      sym_qualified_type,
    STATE(1166), 1,
      sym_literal_value,
    STATE(1202), 1,
      sym_literal_element,
    STATE(1249), 1,
      sym_implicit_length_array_type,
    STATE(1280), 1,
      sym_keyed_element,
    ACTIONS(309), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1305), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(313), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(859), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(311), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(881), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(317), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(419), 13,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [1244] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(293), 1,
      sym_identifier,
    ACTIONS(295), 1,
      anon_sym_LPAREN,
    ACTIONS(299), 1,
      anon_sym_func,
    ACTIONS(301), 1,
      anon_sym_STAR,
    ACTIONS(303), 1,
      anon_sym_LBRACE,
    ACTIONS(307), 1,
      anon_sym_LT_DASH,
    ACTIONS(315), 1,
      anon_sym_DQUOTE,
    ACTIONS(345), 1,
      anon_sym_RBRACE,
    STATE(579), 1,
      sym__expression,
    STATE(836), 1,
      sym_negated_type,
    STATE(862), 1,
      sym_qualified_type,
    STATE(1166), 1,
      sym_literal_value,
    STATE(1202), 1,
      sym_literal_element,
    STATE(1249), 1,
      sym_implicit_length_array_type,
    STATE(1280), 1,
      sym_keyed_element,
    ACTIONS(309), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1305), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(313), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(859), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(311), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(881), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(317), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(419), 13,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [1367] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(293), 1,
      sym_identifier,
    ACTIONS(295), 1,
      anon_sym_LPAREN,
    ACTIONS(299), 1,
      anon_sym_func,
    ACTIONS(301), 1,
      anon_sym_STAR,
    ACTIONS(303), 1,
      anon_sym_LBRACE,
    ACTIONS(307), 1,
      anon_sym_LT_DASH,
    ACTIONS(315), 1,
      anon_sym_DQUOTE,
    ACTIONS(347), 1,
      anon_sym_RBRACE,
    STATE(579), 1,
      sym__expression,
    STATE(836), 1,
      sym_negated_type,
    STATE(862), 1,
      sym_qualified_type,
    STATE(1166), 1,
      sym_literal_value,
    STATE(1202), 1,
      sym_literal_element,
    STATE(1249), 1,
      sym_implicit_length_array_type,
    STATE(1280), 1,
      sym_keyed_element,
    ACTIONS(309), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1305), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(313), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(859), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(311), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(881), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(317), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(419), 13,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [1490] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(293), 1,
      sym_identifier,
    ACTIONS(295), 1,
      anon_sym_LPAREN,
    ACTIONS(299), 1,
      anon_sym_func,
    ACTIONS(301), 1,
      anon_sym_STAR,
    ACTIONS(303), 1,
      anon_sym_LBRACE,
    ACTIONS(307), 1,
      anon_sym_LT_DASH,
    ACTIONS(315), 1,
      anon_sym_DQUOTE,
    ACTIONS(349), 1,
      anon_sym_RBRACE,
    STATE(579), 1,
      sym__expression,
    STATE(836), 1,
      sym_negated_type,
    STATE(862), 1,
      sym_qualified_type,
    STATE(1166), 1,
      sym_literal_value,
    STATE(1202), 1,
      sym_literal_element,
    STATE(1249), 1,
      sym_implicit_length_array_type,
    STATE(1280), 1,
      sym_keyed_element,
    ACTIONS(309), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1305), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(313), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(859), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(311), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(881), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(317), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(419), 13,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [1613] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(293), 1,
      sym_identifier,
    ACTIONS(295), 1,
      anon_sym_LPAREN,
    ACTIONS(299), 1,
      anon_sym_func,
    ACTIONS(301), 1,
      anon_sym_STAR,
    ACTIONS(303), 1,
      anon_sym_LBRACE,
    ACTIONS(307), 1,
      anon_sym_LT_DASH,
    ACTIONS(315), 1,
      anon_sym_DQUOTE,
    ACTIONS(351), 1,
      anon_sym_RBRACE,
    STATE(579), 1,
      sym__expression,
    STATE(836), 1,
      sym_negated_type,
    STATE(862), 1,
      sym_qualified_type,
    STATE(1166), 1,
      sym_literal_value,
    STATE(1202), 1,
      sym_literal_element,
    STATE(1249), 1,
      sym_implicit_length_array_type,
    STATE(1280), 1,
      sym_keyed_element,
    ACTIONS(309), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1305), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(313), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(859), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(311), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(881), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(317), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(419), 13,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [1736] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(293), 1,
      sym_identifier,
    ACTIONS(295), 1,
      anon_sym_LPAREN,
    ACTIONS(299), 1,
      anon_sym_func,
    ACTIONS(301), 1,
      anon_sym_STAR,
    ACTIONS(303), 1,
      anon_sym_LBRACE,
    ACTIONS(307), 1,
      anon_sym_LT_DASH,
    ACTIONS(315), 1,
      anon_sym_DQUOTE,
    ACTIONS(353), 1,
      anon_sym_RBRACE,
    STATE(579), 1,
      sym__expression,
    STATE(836), 1,
      sym_negated_type,
    STATE(862), 1,
      sym_qualified_type,
    STATE(1166), 1,
      sym_literal_value,
    STATE(1202), 1,
      sym_literal_element,
    STATE(1249), 1,
      sym_implicit_length_array_type,
    STATE(1280), 1,
      sym_keyed_element,
    ACTIONS(309), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1305), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(313), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(859), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(311), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(881), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(317), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(419), 13,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [1859] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(293), 1,
      sym_identifier,
    ACTIONS(295), 1,
      anon_sym_LPAREN,
    ACTIONS(299), 1,
      anon_sym_func,
    ACTIONS(301), 1,
      anon_sym_STAR,
    ACTIONS(303), 1,
      anon_sym_LBRACE,
    ACTIONS(307), 1,
      anon_sym_LT_DASH,
    ACTIONS(315), 1,
      anon_sym_DQUOTE,
    ACTIONS(355), 1,
      anon_sym_RBRACE,
    STATE(579), 1,
      sym__expression,
    STATE(836), 1,
      sym_negated_type,
    STATE(862), 1,
      sym_qualified_type,
    STATE(1166), 1,
      sym_literal_value,
    STATE(1202), 1,
      sym_literal_element,
    STATE(1249), 1,
      sym_implicit_length_array_type,
    STATE(1280), 1,
      sym_keyed_element,
    ACTIONS(309), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1305), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(313), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(859), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(311), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(881), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(317), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(419), 13,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [1982] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(293), 1,
      sym_identifier,
    ACTIONS(295), 1,
      anon_sym_LPAREN,
    ACTIONS(299), 1,
      anon_sym_func,
    ACTIONS(301), 1,
      anon_sym_STAR,
    ACTIONS(303), 1,
      anon_sym_LBRACE,
    ACTIONS(307), 1,
      anon_sym_LT_DASH,
    ACTIONS(315), 1,
      anon_sym_DQUOTE,
    ACTIONS(357), 1,
      anon_sym_RBRACE,
    STATE(579), 1,
      sym__expression,
    STATE(836), 1,
      sym_negated_type,
    STATE(862), 1,
      sym_qualified_type,
    STATE(1166), 1,
      sym_literal_value,
    STATE(1202), 1,
      sym_literal_element,
    STATE(1249), 1,
      sym_implicit_length_array_type,
    STATE(1280), 1,
      sym_keyed_element,
    ACTIONS(309), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1305), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(313), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(859), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(311), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(881), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(317), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(419), 13,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [2105] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(293), 1,
      sym_identifier,
    ACTIONS(295), 1,
      anon_sym_LPAREN,
    ACTIONS(299), 1,
      anon_sym_func,
    ACTIONS(301), 1,
      anon_sym_STAR,
    ACTIONS(303), 1,
      anon_sym_LBRACE,
    ACTIONS(307), 1,
      anon_sym_LT_DASH,
    ACTIONS(315), 1,
      anon_sym_DQUOTE,
    ACTIONS(359), 1,
      anon_sym_RBRACE,
    STATE(579), 1,
      sym__expression,
    STATE(836), 1,
      sym_negated_type,
    STATE(862), 1,
      sym_qualified_type,
    STATE(1166), 1,
      sym_literal_value,
    STATE(1202), 1,
      sym_literal_element,
    STATE(1249), 1,
      sym_implicit_length_array_type,
    STATE(1280), 1,
      sym_keyed_element,
    ACTIONS(309), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1305), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(313), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(859), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(311), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(881), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(317), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(419), 13,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [2228] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(293), 1,
      sym_identifier,
    ACTIONS(295), 1,
      anon_sym_LPAREN,
    ACTIONS(299), 1,
      anon_sym_func,
    ACTIONS(301), 1,
      anon_sym_STAR,
    ACTIONS(303), 1,
      anon_sym_LBRACE,
    ACTIONS(307), 1,
      anon_sym_LT_DASH,
    ACTIONS(315), 1,
      anon_sym_DQUOTE,
    ACTIONS(361), 1,
      anon_sym_RBRACE,
    STATE(579), 1,
      sym__expression,
    STATE(836), 1,
      sym_negated_type,
    STATE(862), 1,
      sym_qualified_type,
    STATE(1166), 1,
      sym_literal_value,
    STATE(1202), 1,
      sym_literal_element,
    STATE(1249), 1,
      sym_implicit_length_array_type,
    STATE(1280), 1,
      sym_keyed_element,
    ACTIONS(309), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1305), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(313), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(859), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(311), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(881), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(317), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(419), 13,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [2351] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(293), 1,
      sym_identifier,
    ACTIONS(295), 1,
      anon_sym_LPAREN,
    ACTIONS(299), 1,
      anon_sym_func,
    ACTIONS(301), 1,
      anon_sym_STAR,
    ACTIONS(303), 1,
      anon_sym_LBRACE,
    ACTIONS(307), 1,
      anon_sym_LT_DASH,
    ACTIONS(315), 1,
      anon_sym_DQUOTE,
    STATE(579), 1,
      sym__expression,
    STATE(836), 1,
      sym_negated_type,
    STATE(862), 1,
      sym_qualified_type,
    STATE(1166), 1,
      sym_literal_value,
    STATE(1202), 1,
      sym_literal_element,
    STATE(1249), 1,
      sym_implicit_length_array_type,
    STATE(1280), 1,
      sym_keyed_element,
    ACTIONS(309), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1305), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(313), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(859), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(311), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(881), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(317), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(419), 13,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [2471] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(293), 1,
      sym_identifier,
    ACTIONS(295), 1,
      anon_sym_LPAREN,
    ACTIONS(299), 1,
      anon_sym_func,
    ACTIONS(301), 1,
      anon_sym_STAR,
    ACTIONS(303), 1,
      anon_sym_LBRACE,
    ACTIONS(307), 1,
      anon_sym_LT_DASH,
    ACTIONS(315), 1,
      anon_sym_DQUOTE,
    STATE(579), 1,
      sym__expression,
    STATE(836), 1,
      sym_negated_type,
    STATE(862), 1,
      sym_qualified_type,
    STATE(1166), 1,
      sym_literal_value,
    STATE(1249), 1,
      sym_implicit_length_array_type,
    STATE(1281), 1,
      sym_literal_element,
    ACTIONS(309), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1305), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(313), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(859), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(311), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(881), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(317), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(419), 13,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [2588] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(363), 1,
      sym_identifier,
    ACTIONS(365), 1,
      anon_sym_LPAREN,
    ACTIONS(367), 1,
      anon_sym_func,
    ACTIONS(369), 1,
      anon_sym_STAR,
    ACTIONS(371), 1,
      anon_sym_LT_DASH,
    ACTIONS(379), 1,
      anon_sym_DQUOTE,
    STATE(447), 1,
      sym__expression,
    STATE(836), 1,
      sym_negated_type,
    STATE(1012), 1,
      sym_qualified_type,
    STATE(1251), 1,
      sym_implicit_length_array_type,
    STATE(1301), 1,
      sym_expression_list,
    ACTIONS(373), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1276), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(1381), 2,
      sym_send_statement,
      sym_receive_statement,
    ACTIONS(377), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(859), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(375), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(1098), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(381), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(543), 13,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [2703] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(293), 1,
      sym_identifier,
    ACTIONS(295), 1,
      anon_sym_LPAREN,
    ACTIONS(299), 1,
      anon_sym_func,
    ACTIONS(301), 1,
      anon_sym_STAR,
    ACTIONS(307), 1,
      anon_sym_LT_DASH,
    ACTIONS(315), 1,
      anon_sym_DQUOTE,
    ACTIONS(383), 1,
      anon_sym_RBRACK,
    ACTIONS(385), 1,
      anon_sym_DOT_DOT_DOT,
    STATE(672), 1,
      sym__expression,
    STATE(836), 1,
      sym_negated_type,
    STATE(862), 1,
      sym_qualified_type,
    STATE(1249), 1,
      sym_implicit_length_array_type,
    ACTIONS(309), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1305), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(313), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(859), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(311), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(881), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(317), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(419), 13,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [2817] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(295), 1,
      anon_sym_LPAREN,
    ACTIONS(299), 1,
      anon_sym_func,
    ACTIONS(307), 1,
      anon_sym_LT_DASH,
    ACTIONS(315), 1,
      anon_sym_DQUOTE,
    ACTIONS(387), 1,
      sym_identifier,
    ACTIONS(389), 1,
      anon_sym_STAR,
    ACTIONS(391), 1,
      anon_sym_COLON,
    STATE(619), 1,
      sym__expression,
    STATE(836), 1,
      sym_negated_type,
    STATE(862), 1,
      sym_qualified_type,
    STATE(1160), 1,
      sym_type_elem,
    STATE(1249), 1,
      sym_implicit_length_array_type,
    ACTIONS(309), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(924), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(313), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(859), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(311), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(881), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(317), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(419), 13,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [2931] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(295), 1,
      anon_sym_LPAREN,
    ACTIONS(299), 1,
      anon_sym_func,
    ACTIONS(315), 1,
      anon_sym_DQUOTE,
    ACTIONS(393), 1,
      sym_identifier,
    ACTIONS(395), 1,
      anon_sym_RPAREN,
    ACTIONS(397), 1,
      anon_sym_STAR,
    ACTIONS(399), 1,
      anon_sym_LT_DASH,
    STATE(585), 1,
      sym__expression,
    STATE(836), 1,
      sym_negated_type,
    STATE(862), 1,
      sym_qualified_type,
    STATE(1236), 1,
      sym_variadic_argument,
    STATE(1249), 1,
      sym_implicit_length_array_type,
    ACTIONS(309), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1305), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(313), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(859), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(401), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(881), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(317), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(419), 13,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [3045] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(295), 1,
      anon_sym_LPAREN,
    ACTIONS(299), 1,
      anon_sym_func,
    ACTIONS(315), 1,
      anon_sym_DQUOTE,
    ACTIONS(403), 1,
      sym_identifier,
    ACTIONS(405), 1,
      anon_sym_STAR,
    ACTIONS(407), 1,
      anon_sym_LBRACE,
    ACTIONS(409), 1,
      anon_sym_LT_DASH,
    STATE(507), 1,
      sym__expression,
    STATE(836), 1,
      sym_negated_type,
    STATE(862), 1,
      sym_qualified_type,
    STATE(1249), 1,
      sym_implicit_length_array_type,
    STATE(1367), 1,
      sym_expression_list,
    ACTIONS(309), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1305), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(313), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(859), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(411), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(881), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(317), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(419), 13,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [3159] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(295), 1,
      anon_sym_LPAREN,
    ACTIONS(299), 1,
      anon_sym_func,
    ACTIONS(307), 1,
      anon_sym_LT_DASH,
    ACTIONS(315), 1,
      anon_sym_DQUOTE,
    ACTIONS(387), 1,
      sym_identifier,
    ACTIONS(389), 1,
      anon_sym_STAR,
    ACTIONS(413), 1,
      anon_sym_COLON,
    STATE(590), 1,
      sym__expression,
    STATE(836), 1,
      sym_negated_type,
    STATE(862), 1,
      sym_qualified_type,
    STATE(1160), 1,
      sym_type_elem,
    STATE(1249), 1,
      sym_implicit_length_array_type,
    ACTIONS(309), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(924), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(313), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(859), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(311), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(881), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(317), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(419), 13,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [3273] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(295), 1,
      anon_sym_LPAREN,
    ACTIONS(299), 1,
      anon_sym_func,
    ACTIONS(315), 1,
      anon_sym_DQUOTE,
    ACTIONS(393), 1,
      sym_identifier,
    ACTIONS(397), 1,
      anon_sym_STAR,
    ACTIONS(399), 1,
      anon_sym_LT_DASH,
    ACTIONS(415), 1,
      anon_sym_RPAREN,
    STATE(505), 1,
      sym__expression,
    STATE(836), 1,
      sym_negated_type,
    STATE(862), 1,
      sym_qualified_type,
    STATE(1222), 1,
      sym_variadic_argument,
    STATE(1249), 1,
      sym_implicit_length_array_type,
    ACTIONS(309), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1305), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(313), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(859), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(401), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(881), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(317), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(419), 13,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [3387] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(295), 1,
      anon_sym_LPAREN,
    ACTIONS(299), 1,
      anon_sym_func,
    ACTIONS(307), 1,
      anon_sym_LT_DASH,
    ACTIONS(315), 1,
      anon_sym_DQUOTE,
    ACTIONS(387), 1,
      sym_identifier,
    ACTIONS(389), 1,
      anon_sym_STAR,
    ACTIONS(417), 1,
      anon_sym_RBRACK,
    STATE(632), 1,
      sym__expression,
    STATE(836), 1,
      sym_negated_type,
    STATE(862), 1,
      sym_qualified_type,
    STATE(1212), 1,
      sym_type_elem,
    STATE(1249), 1,
      sym_implicit_length_array_type,
    ACTIONS(309), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(924), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(313), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(859), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(311), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(881), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(317), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(419), 13,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [3501] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(295), 1,
      anon_sym_LPAREN,
    ACTIONS(299), 1,
      anon_sym_func,
    ACTIONS(315), 1,
      anon_sym_DQUOTE,
    ACTIONS(393), 1,
      sym_identifier,
    ACTIONS(397), 1,
      anon_sym_STAR,
    ACTIONS(399), 1,
      anon_sym_LT_DASH,
    ACTIONS(419), 1,
      anon_sym_RPAREN,
    STATE(585), 1,
      sym__expression,
    STATE(836), 1,
      sym_negated_type,
    STATE(862), 1,
      sym_qualified_type,
    STATE(1236), 1,
      sym_variadic_argument,
    STATE(1249), 1,
      sym_implicit_length_array_type,
    ACTIONS(309), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1305), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(313), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(859), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(401), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(881), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(317), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(419), 13,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [3615] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(295), 1,
      anon_sym_LPAREN,
    ACTIONS(299), 1,
      anon_sym_func,
    ACTIONS(315), 1,
      anon_sym_DQUOTE,
    ACTIONS(393), 1,
      sym_identifier,
    ACTIONS(397), 1,
      anon_sym_STAR,
    ACTIONS(399), 1,
      anon_sym_LT_DASH,
    ACTIONS(421), 1,
      anon_sym_RPAREN,
    STATE(585), 1,
      sym__expression,
    STATE(836), 1,
      sym_negated_type,
    STATE(862), 1,
      sym_qualified_type,
    STATE(1236), 1,
      sym_variadic_argument,
    STATE(1249), 1,
      sym_implicit_length_array_type,
    ACTIONS(309), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1305), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(313), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(859), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(401), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(881), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(317), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(419), 13,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [3729] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(295), 1,
      anon_sym_LPAREN,
    ACTIONS(299), 1,
      anon_sym_func,
    ACTIONS(315), 1,
      anon_sym_DQUOTE,
    ACTIONS(393), 1,
      sym_identifier,
    ACTIONS(397), 1,
      anon_sym_STAR,
    ACTIONS(399), 1,
      anon_sym_LT_DASH,
    ACTIONS(423), 1,
      anon_sym_RPAREN,
    STATE(504), 1,
      sym__expression,
    STATE(836), 1,
      sym_negated_type,
    STATE(862), 1,
      sym_qualified_type,
    STATE(1150), 1,
      sym_variadic_argument,
    STATE(1249), 1,
      sym_implicit_length_array_type,
    ACTIONS(309), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1305), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(313), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(859), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(401), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(881), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(317), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(419), 13,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [3843] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(295), 1,
      anon_sym_LPAREN,
    ACTIONS(299), 1,
      anon_sym_func,
    ACTIONS(307), 1,
      anon_sym_LT_DASH,
    ACTIONS(315), 1,
      anon_sym_DQUOTE,
    ACTIONS(387), 1,
      sym_identifier,
    ACTIONS(389), 1,
      anon_sym_STAR,
    ACTIONS(425), 1,
      anon_sym_RBRACK,
    STATE(666), 1,
      sym__expression,
    STATE(836), 1,
      sym_negated_type,
    STATE(862), 1,
      sym_qualified_type,
    STATE(1160), 1,
      sym_type_elem,
    STATE(1249), 1,
      sym_implicit_length_array_type,
    ACTIONS(309), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(924), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(313), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(859), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(311), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(881), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(317), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(419), 13,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [3957] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(295), 1,
      anon_sym_LPAREN,
    ACTIONS(299), 1,
      anon_sym_func,
    ACTIONS(315), 1,
      anon_sym_DQUOTE,
    ACTIONS(393), 1,
      sym_identifier,
    ACTIONS(397), 1,
      anon_sym_STAR,
    ACTIONS(399), 1,
      anon_sym_LT_DASH,
    ACTIONS(427), 1,
      anon_sym_RPAREN,
    STATE(585), 1,
      sym__expression,
    STATE(836), 1,
      sym_negated_type,
    STATE(862), 1,
      sym_qualified_type,
    STATE(1236), 1,
      sym_variadic_argument,
    STATE(1249), 1,
      sym_implicit_length_array_type,
    ACTIONS(309), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1305), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(313), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(859), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(401), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(881), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(317), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(419), 13,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [4071] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(295), 1,
      anon_sym_LPAREN,
    ACTIONS(299), 1,
      anon_sym_func,
    ACTIONS(315), 1,
      anon_sym_DQUOTE,
    ACTIONS(393), 1,
      sym_identifier,
    ACTIONS(397), 1,
      anon_sym_STAR,
    ACTIONS(399), 1,
      anon_sym_LT_DASH,
    ACTIONS(429), 1,
      anon_sym_RPAREN,
    STATE(585), 1,
      sym__expression,
    STATE(836), 1,
      sym_negated_type,
    STATE(862), 1,
      sym_qualified_type,
    STATE(1236), 1,
      sym_variadic_argument,
    STATE(1249), 1,
      sym_implicit_length_array_type,
    ACTIONS(309), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1305), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(313), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(859), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(401), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(881), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(317), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(419), 13,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [4185] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(295), 1,
      anon_sym_LPAREN,
    ACTIONS(299), 1,
      anon_sym_func,
    ACTIONS(315), 1,
      anon_sym_DQUOTE,
    ACTIONS(393), 1,
      sym_identifier,
    ACTIONS(397), 1,
      anon_sym_STAR,
    ACTIONS(399), 1,
      anon_sym_LT_DASH,
    ACTIONS(431), 1,
      anon_sym_RPAREN,
    STATE(514), 1,
      sym__expression,
    STATE(836), 1,
      sym_negated_type,
    STATE(862), 1,
      sym_qualified_type,
    STATE(1131), 1,
      sym_variadic_argument,
    STATE(1249), 1,
      sym_implicit_length_array_type,
    ACTIONS(309), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1305), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(313), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(859), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(401), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(881), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(317), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(419), 13,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [4299] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(295), 1,
      anon_sym_LPAREN,
    ACTIONS(299), 1,
      anon_sym_func,
    ACTIONS(315), 1,
      anon_sym_DQUOTE,
    ACTIONS(393), 1,
      sym_identifier,
    ACTIONS(397), 1,
      anon_sym_STAR,
    ACTIONS(399), 1,
      anon_sym_LT_DASH,
    ACTIONS(433), 1,
      anon_sym_RPAREN,
    STATE(585), 1,
      sym__expression,
    STATE(836), 1,
      sym_negated_type,
    STATE(862), 1,
      sym_qualified_type,
    STATE(1236), 1,
      sym_variadic_argument,
    STATE(1249), 1,
      sym_implicit_length_array_type,
    ACTIONS(309), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1305), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(313), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(859), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(401), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(881), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(317), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(419), 13,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [4413] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(295), 1,
      anon_sym_LPAREN,
    ACTIONS(299), 1,
      anon_sym_func,
    ACTIONS(315), 1,
      anon_sym_DQUOTE,
    ACTIONS(393), 1,
      sym_identifier,
    ACTIONS(397), 1,
      anon_sym_STAR,
    ACTIONS(399), 1,
      anon_sym_LT_DASH,
    ACTIONS(435), 1,
      anon_sym_RPAREN,
    STATE(585), 1,
      sym__expression,
    STATE(836), 1,
      sym_negated_type,
    STATE(862), 1,
      sym_qualified_type,
    STATE(1236), 1,
      sym_variadic_argument,
    STATE(1249), 1,
      sym_implicit_length_array_type,
    ACTIONS(309), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1305), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(313), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(859), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(401), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(881), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(317), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(419), 13,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [4527] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(295), 1,
      anon_sym_LPAREN,
    ACTIONS(299), 1,
      anon_sym_func,
    ACTIONS(301), 1,
      anon_sym_STAR,
    ACTIONS(307), 1,
      anon_sym_LT_DASH,
    ACTIONS(315), 1,
      anon_sym_DQUOTE,
    ACTIONS(417), 1,
      anon_sym_RBRACK,
    ACTIONS(437), 1,
      sym_identifier,
    STATE(632), 1,
      sym__expression,
    STATE(836), 1,
      sym_negated_type,
    STATE(862), 1,
      sym_qualified_type,
    STATE(1159), 1,
      sym_type_parameter_declaration,
    STATE(1249), 1,
      sym_implicit_length_array_type,
    ACTIONS(309), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1305), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(313), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(859), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(311), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(881), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(317), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(419), 13,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [4641] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(295), 1,
      anon_sym_LPAREN,
    ACTIONS(299), 1,
      anon_sym_func,
    ACTIONS(315), 1,
      anon_sym_DQUOTE,
    ACTIONS(393), 1,
      sym_identifier,
    ACTIONS(397), 1,
      anon_sym_STAR,
    ACTIONS(399), 1,
      anon_sym_LT_DASH,
    ACTIONS(439), 1,
      anon_sym_RPAREN,
    STATE(515), 1,
      sym__expression,
    STATE(836), 1,
      sym_negated_type,
    STATE(862), 1,
      sym_qualified_type,
    STATE(1158), 1,
      sym_variadic_argument,
    STATE(1249), 1,
      sym_implicit_length_array_type,
    ACTIONS(309), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1305), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(313), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(859), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(401), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(881), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(317), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(419), 13,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [4755] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(295), 1,
      anon_sym_LPAREN,
    ACTIONS(299), 1,
      anon_sym_func,
    ACTIONS(315), 1,
      anon_sym_DQUOTE,
    ACTIONS(393), 1,
      sym_identifier,
    ACTIONS(397), 1,
      anon_sym_STAR,
    ACTIONS(399), 1,
      anon_sym_LT_DASH,
    ACTIONS(441), 1,
      anon_sym_RPAREN,
    STATE(585), 1,
      sym__expression,
    STATE(836), 1,
      sym_negated_type,
    STATE(862), 1,
      sym_qualified_type,
    STATE(1236), 1,
      sym_variadic_argument,
    STATE(1249), 1,
      sym_implicit_length_array_type,
    ACTIONS(309), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1305), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(313), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(859), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(401), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(881), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(317), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(419), 13,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [4869] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(295), 1,
      anon_sym_LPAREN,
    ACTIONS(299), 1,
      anon_sym_func,
    ACTIONS(315), 1,
      anon_sym_DQUOTE,
    ACTIONS(393), 1,
      sym_identifier,
    ACTIONS(397), 1,
      anon_sym_STAR,
    ACTIONS(399), 1,
      anon_sym_LT_DASH,
    ACTIONS(443), 1,
      anon_sym_RPAREN,
    STATE(585), 1,
      sym__expression,
    STATE(836), 1,
      sym_negated_type,
    STATE(862), 1,
      sym_qualified_type,
    STATE(1236), 1,
      sym_variadic_argument,
    STATE(1249), 1,
      sym_implicit_length_array_type,
    ACTIONS(309), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1305), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(313), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(859), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(401), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(881), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(317), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(419), 13,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [4983] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(295), 1,
      anon_sym_LPAREN,
    ACTIONS(299), 1,
      anon_sym_func,
    ACTIONS(315), 1,
      anon_sym_DQUOTE,
    ACTIONS(393), 1,
      sym_identifier,
    ACTIONS(397), 1,
      anon_sym_STAR,
    ACTIONS(399), 1,
      anon_sym_LT_DASH,
    ACTIONS(445), 1,
      anon_sym_RPAREN,
    STATE(585), 1,
      sym__expression,
    STATE(836), 1,
      sym_negated_type,
    STATE(862), 1,
      sym_qualified_type,
    STATE(1236), 1,
      sym_variadic_argument,
    STATE(1249), 1,
      sym_implicit_length_array_type,
    ACTIONS(309), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1305), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(313), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(859), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(401), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(881), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(317), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(419), 13,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [5097] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(295), 1,
      anon_sym_LPAREN,
    ACTIONS(299), 1,
      anon_sym_func,
    ACTIONS(315), 1,
      anon_sym_DQUOTE,
    ACTIONS(393), 1,
      sym_identifier,
    ACTIONS(397), 1,
      anon_sym_STAR,
    ACTIONS(399), 1,
      anon_sym_LT_DASH,
    ACTIONS(447), 1,
      anon_sym_RPAREN,
    STATE(516), 1,
      sym__expression,
    STATE(836), 1,
      sym_negated_type,
    STATE(862), 1,
      sym_qualified_type,
    STATE(1184), 1,
      sym_variadic_argument,
    STATE(1249), 1,
      sym_implicit_length_array_type,
    ACTIONS(309), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1305), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(313), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(859), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(401), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(881), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(317), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(419), 13,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [5211] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(295), 1,
      anon_sym_LPAREN,
    ACTIONS(299), 1,
      anon_sym_func,
    ACTIONS(315), 1,
      anon_sym_DQUOTE,
    ACTIONS(393), 1,
      sym_identifier,
    ACTIONS(397), 1,
      anon_sym_STAR,
    ACTIONS(399), 1,
      anon_sym_LT_DASH,
    ACTIONS(449), 1,
      anon_sym_RPAREN,
    STATE(585), 1,
      sym__expression,
    STATE(836), 1,
      sym_negated_type,
    STATE(862), 1,
      sym_qualified_type,
    STATE(1236), 1,
      sym_variadic_argument,
    STATE(1249), 1,
      sym_implicit_length_array_type,
    ACTIONS(309), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1305), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(313), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(859), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(401), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(881), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(317), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(419), 13,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [5325] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(295), 1,
      anon_sym_LPAREN,
    ACTIONS(299), 1,
      anon_sym_func,
    ACTIONS(315), 1,
      anon_sym_DQUOTE,
    ACTIONS(393), 1,
      sym_identifier,
    ACTIONS(397), 1,
      anon_sym_STAR,
    ACTIONS(399), 1,
      anon_sym_LT_DASH,
    ACTIONS(451), 1,
      anon_sym_RPAREN,
    STATE(517), 1,
      sym__expression,
    STATE(836), 1,
      sym_negated_type,
    STATE(862), 1,
      sym_qualified_type,
    STATE(1213), 1,
      sym_variadic_argument,
    STATE(1249), 1,
      sym_implicit_length_array_type,
    ACTIONS(309), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1305), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(313), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(859), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(401), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(881), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(317), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(419), 13,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [5439] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(295), 1,
      anon_sym_LPAREN,
    ACTIONS(299), 1,
      anon_sym_func,
    ACTIONS(315), 1,
      anon_sym_DQUOTE,
    ACTIONS(393), 1,
      sym_identifier,
    ACTIONS(397), 1,
      anon_sym_STAR,
    ACTIONS(399), 1,
      anon_sym_LT_DASH,
    ACTIONS(453), 1,
      anon_sym_RPAREN,
    STATE(585), 1,
      sym__expression,
    STATE(836), 1,
      sym_negated_type,
    STATE(862), 1,
      sym_qualified_type,
    STATE(1236), 1,
      sym_variadic_argument,
    STATE(1249), 1,
      sym_implicit_length_array_type,
    ACTIONS(309), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1305), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(313), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(859), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(401), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(881), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(317), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(419), 13,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [5553] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(293), 1,
      sym_identifier,
    ACTIONS(295), 1,
      anon_sym_LPAREN,
    ACTIONS(299), 1,
      anon_sym_func,
    ACTIONS(301), 1,
      anon_sym_STAR,
    ACTIONS(307), 1,
      anon_sym_LT_DASH,
    ACTIONS(315), 1,
      anon_sym_DQUOTE,
    ACTIONS(455), 1,
      anon_sym_range,
    STATE(521), 1,
      sym__expression,
    STATE(836), 1,
      sym_negated_type,
    STATE(862), 1,
      sym_qualified_type,
    STATE(1249), 1,
      sym_implicit_length_array_type,
    STATE(1265), 1,
      sym_expression_list,
    ACTIONS(309), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1305), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(313), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(859), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(311), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(881), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(317), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(419), 13,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [5667] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(295), 1,
      anon_sym_LPAREN,
    ACTIONS(299), 1,
      anon_sym_func,
    ACTIONS(307), 1,
      anon_sym_LT_DASH,
    ACTIONS(315), 1,
      anon_sym_DQUOTE,
    ACTIONS(387), 1,
      sym_identifier,
    ACTIONS(389), 1,
      anon_sym_STAR,
    ACTIONS(457), 1,
      anon_sym_COLON,
    STATE(622), 1,
      sym__expression,
    STATE(836), 1,
      sym_negated_type,
    STATE(862), 1,
      sym_qualified_type,
    STATE(1160), 1,
      sym_type_elem,
    STATE(1249), 1,
      sym_implicit_length_array_type,
    ACTIONS(309), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(924), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(313), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(859), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(311), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(881), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(317), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(419), 13,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [5781] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(295), 1,
      anon_sym_LPAREN,
    ACTIONS(299), 1,
      anon_sym_func,
    ACTIONS(307), 1,
      anon_sym_LT_DASH,
    ACTIONS(315), 1,
      anon_sym_DQUOTE,
    ACTIONS(387), 1,
      sym_identifier,
    ACTIONS(389), 1,
      anon_sym_STAR,
    ACTIONS(459), 1,
      anon_sym_COLON,
    STATE(595), 1,
      sym__expression,
    STATE(836), 1,
      sym_negated_type,
    STATE(862), 1,
      sym_qualified_type,
    STATE(1160), 1,
      sym_type_elem,
    STATE(1249), 1,
      sym_implicit_length_array_type,
    ACTIONS(309), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(924), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(313), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(859), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(311), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(881), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(317), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(419), 13,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [5895] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(295), 1,
      anon_sym_LPAREN,
    ACTIONS(299), 1,
      anon_sym_func,
    ACTIONS(307), 1,
      anon_sym_LT_DASH,
    ACTIONS(315), 1,
      anon_sym_DQUOTE,
    ACTIONS(387), 1,
      sym_identifier,
    ACTIONS(389), 1,
      anon_sym_STAR,
    ACTIONS(461), 1,
      anon_sym_COLON,
    STATE(604), 1,
      sym__expression,
    STATE(836), 1,
      sym_negated_type,
    STATE(862), 1,
      sym_qualified_type,
    STATE(1160), 1,
      sym_type_elem,
    STATE(1249), 1,
      sym_implicit_length_array_type,
    ACTIONS(309), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(924), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(313), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(859), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(311), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(881), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(317), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(419), 13,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [6009] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(295), 1,
      anon_sym_LPAREN,
    ACTIONS(299), 1,
      anon_sym_func,
    ACTIONS(307), 1,
      anon_sym_LT_DASH,
    ACTIONS(315), 1,
      anon_sym_DQUOTE,
    ACTIONS(387), 1,
      sym_identifier,
    ACTIONS(389), 1,
      anon_sym_STAR,
    ACTIONS(463), 1,
      anon_sym_COLON,
    STATE(610), 1,
      sym__expression,
    STATE(836), 1,
      sym_negated_type,
    STATE(862), 1,
      sym_qualified_type,
    STATE(1160), 1,
      sym_type_elem,
    STATE(1249), 1,
      sym_implicit_length_array_type,
    ACTIONS(309), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(924), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(313), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(859), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(311), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(881), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(317), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(419), 13,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [6123] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(293), 1,
      sym_identifier,
    ACTIONS(295), 1,
      anon_sym_LPAREN,
    ACTIONS(299), 1,
      anon_sym_func,
    ACTIONS(301), 1,
      anon_sym_STAR,
    ACTIONS(307), 1,
      anon_sym_LT_DASH,
    ACTIONS(315), 1,
      anon_sym_DQUOTE,
    ACTIONS(455), 1,
      anon_sym_range,
    STATE(521), 1,
      sym__expression,
    STATE(836), 1,
      sym_negated_type,
    STATE(862), 1,
      sym_qualified_type,
    STATE(1249), 1,
      sym_implicit_length_array_type,
    STATE(1269), 1,
      sym_expression_list,
    ACTIONS(309), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1305), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(313), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(859), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(311), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(881), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(317), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(419), 13,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [6237] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(295), 1,
      anon_sym_LPAREN,
    ACTIONS(299), 1,
      anon_sym_func,
    ACTIONS(315), 1,
      anon_sym_DQUOTE,
    ACTIONS(393), 1,
      sym_identifier,
    ACTIONS(397), 1,
      anon_sym_STAR,
    ACTIONS(399), 1,
      anon_sym_LT_DASH,
    ACTIONS(465), 1,
      anon_sym_RPAREN,
    STATE(588), 1,
      sym__expression,
    STATE(836), 1,
      sym_negated_type,
    STATE(862), 1,
      sym_qualified_type,
    STATE(1249), 1,
      sym_implicit_length_array_type,
    ACTIONS(309), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1305), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(313), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(859), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(401), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(881), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(317), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(419), 13,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [6348] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(293), 1,
      sym_identifier,
    ACTIONS(295), 1,
      anon_sym_LPAREN,
    ACTIONS(299), 1,
      anon_sym_func,
    ACTIONS(301), 1,
      anon_sym_STAR,
    ACTIONS(307), 1,
      anon_sym_LT_DASH,
    ACTIONS(315), 1,
      anon_sym_DQUOTE,
    ACTIONS(425), 1,
      anon_sym_RBRACK,
    STATE(666), 1,
      sym__expression,
    STATE(836), 1,
      sym_negated_type,
    STATE(862), 1,
      sym_qualified_type,
    STATE(1249), 1,
      sym_implicit_length_array_type,
    ACTIONS(309), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1305), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(313), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(859), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(311), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(881), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(317), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(419), 13,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [6459] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(293), 1,
      sym_identifier,
    ACTIONS(295), 1,
      anon_sym_LPAREN,
    ACTIONS(299), 1,
      anon_sym_func,
    ACTIONS(301), 1,
      anon_sym_STAR,
    ACTIONS(307), 1,
      anon_sym_LT_DASH,
    ACTIONS(315), 1,
      anon_sym_DQUOTE,
    ACTIONS(467), 1,
      anon_sym_RBRACK,
    STATE(599), 1,
      sym__expression,
    STATE(836), 1,
      sym_negated_type,
    STATE(862), 1,
      sym_qualified_type,
    STATE(1249), 1,
      sym_implicit_length_array_type,
    ACTIONS(309), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1305), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(313), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(859), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(311), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(881), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(317), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(419), 13,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [6570] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(295), 1,
      anon_sym_LPAREN,
    ACTIONS(299), 1,
      anon_sym_func,
    ACTIONS(315), 1,
      anon_sym_DQUOTE,
    ACTIONS(393), 1,
      sym_identifier,
    ACTIONS(397), 1,
      anon_sym_STAR,
    ACTIONS(399), 1,
      anon_sym_LT_DASH,
    ACTIONS(469), 1,
      anon_sym_RPAREN,
    STATE(588), 1,
      sym__expression,
    STATE(836), 1,
      sym_negated_type,
    STATE(862), 1,
      sym_qualified_type,
    STATE(1249), 1,
      sym_implicit_length_array_type,
    ACTIONS(309), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1305), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(313), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(859), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(401), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(881), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(317), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(419), 13,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [6681] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(293), 1,
      sym_identifier,
    ACTIONS(295), 1,
      anon_sym_LPAREN,
    ACTIONS(299), 1,
      anon_sym_func,
    ACTIONS(301), 1,
      anon_sym_STAR,
    ACTIONS(307), 1,
      anon_sym_LT_DASH,
    ACTIONS(315), 1,
      anon_sym_DQUOTE,
    ACTIONS(471), 1,
      anon_sym_SEMI,
    STATE(680), 1,
      sym__expression,
    STATE(836), 1,
      sym_negated_type,
    STATE(862), 1,
      sym_qualified_type,
    STATE(1249), 1,
      sym_implicit_length_array_type,
    ACTIONS(309), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1305), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(313), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(859), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(311), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(881), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(317), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(419), 13,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [6792] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(293), 1,
      sym_identifier,
    ACTIONS(295), 1,
      anon_sym_LPAREN,
    ACTIONS(299), 1,
      anon_sym_func,
    ACTIONS(301), 1,
      anon_sym_STAR,
    ACTIONS(307), 1,
      anon_sym_LT_DASH,
    ACTIONS(315), 1,
      anon_sym_DQUOTE,
    ACTIONS(473), 1,
      anon_sym_RBRACK,
    STATE(591), 1,
      sym__expression,
    STATE(836), 1,
      sym_negated_type,
    STATE(862), 1,
      sym_qualified_type,
    STATE(1249), 1,
      sym_implicit_length_array_type,
    ACTIONS(309), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1305), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(313), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(859), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(311), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(881), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(317), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(419), 13,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [6903] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(293), 1,
      sym_identifier,
    ACTIONS(295), 1,
      anon_sym_LPAREN,
    ACTIONS(299), 1,
      anon_sym_func,
    ACTIONS(301), 1,
      anon_sym_STAR,
    ACTIONS(307), 1,
      anon_sym_LT_DASH,
    ACTIONS(315), 1,
      anon_sym_DQUOTE,
    ACTIONS(383), 1,
      anon_sym_RBRACK,
    STATE(672), 1,
      sym__expression,
    STATE(836), 1,
      sym_negated_type,
    STATE(862), 1,
      sym_qualified_type,
    STATE(1249), 1,
      sym_implicit_length_array_type,
    ACTIONS(309), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1305), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(313), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(859), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(311), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(881), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(317), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(419), 13,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [7014] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(293), 1,
      sym_identifier,
    ACTIONS(295), 1,
      anon_sym_LPAREN,
    ACTIONS(299), 1,
      anon_sym_func,
    ACTIONS(301), 1,
      anon_sym_STAR,
    ACTIONS(307), 1,
      anon_sym_LT_DASH,
    ACTIONS(315), 1,
      anon_sym_DQUOTE,
    ACTIONS(475), 1,
      anon_sym_RBRACK,
    STATE(655), 1,
      sym__expression,
    STATE(836), 1,
      sym_negated_type,
    STATE(862), 1,
      sym_qualified_type,
    STATE(1249), 1,
      sym_implicit_length_array_type,
    ACTIONS(309), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1305), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(313), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(859), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(311), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(881), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(317), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(419), 13,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [7125] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(265), 1,
      sym_identifier,
    ACTIONS(273), 1,
      anon_sym_func,
    ACTIONS(477), 1,
      anon_sym_LPAREN,
    ACTIONS(479), 1,
      anon_sym_STAR,
    ACTIONS(481), 1,
      anon_sym_LT_DASH,
    ACTIONS(487), 1,
      anon_sym_DQUOTE,
    STATE(397), 1,
      sym__expression,
    STATE(836), 1,
      sym_negated_type,
    STATE(941), 1,
      sym_expression_list,
    STATE(1013), 1,
      sym_qualified_type,
    STATE(1250), 1,
      sym_implicit_length_array_type,
    ACTIONS(283), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1306), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(485), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(859), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(483), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(1058), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(287), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(488), 13,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [7236] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(295), 1,
      anon_sym_LPAREN,
    ACTIONS(299), 1,
      anon_sym_func,
    ACTIONS(315), 1,
      anon_sym_DQUOTE,
    ACTIONS(403), 1,
      sym_identifier,
    ACTIONS(405), 1,
      anon_sym_STAR,
    ACTIONS(409), 1,
      anon_sym_LT_DASH,
    STATE(552), 1,
      sym__expression,
    STATE(836), 1,
      sym_negated_type,
    STATE(862), 1,
      sym_qualified_type,
    STATE(1249), 1,
      sym_implicit_length_array_type,
    STATE(1265), 1,
      sym_expression_list,
    ACTIONS(309), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1305), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(313), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(859), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(411), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(881), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(317), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(419), 13,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [7347] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(293), 1,
      sym_identifier,
    ACTIONS(295), 1,
      anon_sym_LPAREN,
    ACTIONS(299), 1,
      anon_sym_func,
    ACTIONS(301), 1,
      anon_sym_STAR,
    ACTIONS(307), 1,
      anon_sym_LT_DASH,
    ACTIONS(315), 1,
      anon_sym_DQUOTE,
    ACTIONS(489), 1,
      anon_sym_RBRACK,
    STATE(605), 1,
      sym__expression,
    STATE(836), 1,
      sym_negated_type,
    STATE(862), 1,
      sym_qualified_type,
    STATE(1249), 1,
      sym_implicit_length_array_type,
    ACTIONS(309), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1305), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(313), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(859), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(311), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(881), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(317), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(419), 13,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [7458] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(295), 1,
      anon_sym_LPAREN,
    ACTIONS(299), 1,
      anon_sym_func,
    ACTIONS(315), 1,
      anon_sym_DQUOTE,
    ACTIONS(393), 1,
      sym_identifier,
    ACTIONS(397), 1,
      anon_sym_STAR,
    ACTIONS(399), 1,
      anon_sym_LT_DASH,
    ACTIONS(491), 1,
      anon_sym_RPAREN,
    STATE(588), 1,
      sym__expression,
    STATE(836), 1,
      sym_negated_type,
    STATE(862), 1,
      sym_qualified_type,
    STATE(1249), 1,
      sym_implicit_length_array_type,
    ACTIONS(309), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1305), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(313), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(859), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(401), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(881), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(317), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(419), 13,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [7569] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(265), 1,
      sym_identifier,
    ACTIONS(273), 1,
      anon_sym_func,
    ACTIONS(477), 1,
      anon_sym_LPAREN,
    ACTIONS(479), 1,
      anon_sym_STAR,
    ACTIONS(481), 1,
      anon_sym_LT_DASH,
    ACTIONS(487), 1,
      anon_sym_DQUOTE,
    STATE(397), 1,
      sym__expression,
    STATE(836), 1,
      sym_negated_type,
    STATE(944), 1,
      sym_expression_list,
    STATE(1013), 1,
      sym_qualified_type,
    STATE(1250), 1,
      sym_implicit_length_array_type,
    ACTIONS(283), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1306), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(485), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(859), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(483), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(1058), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(287), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(488), 13,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [7680] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(295), 1,
      anon_sym_LPAREN,
    ACTIONS(299), 1,
      anon_sym_func,
    ACTIONS(315), 1,
      anon_sym_DQUOTE,
    ACTIONS(403), 1,
      sym_identifier,
    ACTIONS(405), 1,
      anon_sym_STAR,
    ACTIONS(409), 1,
      anon_sym_LT_DASH,
    STATE(552), 1,
      sym__expression,
    STATE(836), 1,
      sym_negated_type,
    STATE(862), 1,
      sym_qualified_type,
    STATE(1249), 1,
      sym_implicit_length_array_type,
    STATE(1269), 1,
      sym_expression_list,
    ACTIONS(309), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1305), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(313), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(859), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(411), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(881), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(317), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(419), 13,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [7791] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(293), 1,
      sym_identifier,
    ACTIONS(295), 1,
      anon_sym_LPAREN,
    ACTIONS(299), 1,
      anon_sym_func,
    ACTIONS(301), 1,
      anon_sym_STAR,
    ACTIONS(307), 1,
      anon_sym_LT_DASH,
    ACTIONS(315), 1,
      anon_sym_DQUOTE,
    ACTIONS(493), 1,
      anon_sym_RBRACK,
    STATE(630), 1,
      sym__expression,
    STATE(836), 1,
      sym_negated_type,
    STATE(862), 1,
      sym_qualified_type,
    STATE(1249), 1,
      sym_implicit_length_array_type,
    ACTIONS(309), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1305), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(313), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(859), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(311), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(881), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(317), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(419), 13,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [7902] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(295), 1,
      anon_sym_LPAREN,
    ACTIONS(299), 1,
      anon_sym_func,
    ACTIONS(315), 1,
      anon_sym_DQUOTE,
    ACTIONS(393), 1,
      sym_identifier,
    ACTIONS(397), 1,
      anon_sym_STAR,
    ACTIONS(399), 1,
      anon_sym_LT_DASH,
    ACTIONS(495), 1,
      anon_sym_RPAREN,
    STATE(588), 1,
      sym__expression,
    STATE(836), 1,
      sym_negated_type,
    STATE(862), 1,
      sym_qualified_type,
    STATE(1249), 1,
      sym_implicit_length_array_type,
    ACTIONS(309), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1305), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(313), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(859), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(401), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(881), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(317), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(419), 13,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [8013] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(295), 1,
      anon_sym_LPAREN,
    ACTIONS(299), 1,
      anon_sym_func,
    ACTIONS(315), 1,
      anon_sym_DQUOTE,
    ACTIONS(393), 1,
      sym_identifier,
    ACTIONS(397), 1,
      anon_sym_STAR,
    ACTIONS(399), 1,
      anon_sym_LT_DASH,
    ACTIONS(497), 1,
      anon_sym_RPAREN,
    STATE(588), 1,
      sym__expression,
    STATE(836), 1,
      sym_negated_type,
    STATE(862), 1,
      sym_qualified_type,
    STATE(1249), 1,
      sym_implicit_length_array_type,
    ACTIONS(309), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1305), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(313), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(859), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(401), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(881), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(317), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(419), 13,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [8124] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(293), 1,
      sym_identifier,
    ACTIONS(295), 1,
      anon_sym_LPAREN,
    ACTIONS(299), 1,
      anon_sym_func,
    ACTIONS(301), 1,
      anon_sym_STAR,
    ACTIONS(307), 1,
      anon_sym_LT_DASH,
    ACTIONS(315), 1,
      anon_sym_DQUOTE,
    STATE(526), 1,
      sym__expression,
    STATE(836), 1,
      sym_negated_type,
    STATE(862), 1,
      sym_qualified_type,
    STATE(1249), 1,
      sym_implicit_length_array_type,
    STATE(1269), 1,
      sym_expression_list,
    ACTIONS(309), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1305), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(313), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(859), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(311), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(881), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(317), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(419), 13,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [8235] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(293), 1,
      sym_identifier,
    ACTIONS(295), 1,
      anon_sym_LPAREN,
    ACTIONS(299), 1,
      anon_sym_func,
    ACTIONS(301), 1,
      anon_sym_STAR,
    ACTIONS(307), 1,
      anon_sym_LT_DASH,
    ACTIONS(315), 1,
      anon_sym_DQUOTE,
    ACTIONS(499), 1,
      anon_sym_RBRACK,
    STATE(586), 1,
      sym__expression,
    STATE(836), 1,
      sym_negated_type,
    STATE(862), 1,
      sym_qualified_type,
    STATE(1249), 1,
      sym_implicit_length_array_type,
    ACTIONS(309), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1305), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(313), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(859), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(311), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(881), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(317), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(419), 13,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [8346] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(293), 1,
      sym_identifier,
    ACTIONS(295), 1,
      anon_sym_LPAREN,
    ACTIONS(299), 1,
      anon_sym_func,
    ACTIONS(301), 1,
      anon_sym_STAR,
    ACTIONS(307), 1,
      anon_sym_LT_DASH,
    ACTIONS(315), 1,
      anon_sym_DQUOTE,
    ACTIONS(501), 1,
      anon_sym_RBRACK,
    STATE(673), 1,
      sym__expression,
    STATE(836), 1,
      sym_negated_type,
    STATE(862), 1,
      sym_qualified_type,
    STATE(1249), 1,
      sym_implicit_length_array_type,
    ACTIONS(309), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1305), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(313), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(859), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(311), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(881), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(317), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(419), 13,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [8457] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(265), 1,
      sym_identifier,
    ACTIONS(273), 1,
      anon_sym_func,
    ACTIONS(477), 1,
      anon_sym_LPAREN,
    ACTIONS(479), 1,
      anon_sym_STAR,
    ACTIONS(481), 1,
      anon_sym_LT_DASH,
    ACTIONS(487), 1,
      anon_sym_DQUOTE,
    STATE(397), 1,
      sym__expression,
    STATE(836), 1,
      sym_negated_type,
    STATE(912), 1,
      sym_expression_list,
    STATE(1013), 1,
      sym_qualified_type,
    STATE(1250), 1,
      sym_implicit_length_array_type,
    ACTIONS(283), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1306), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(485), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(859), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(483), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(1058), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(287), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(488), 13,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [8568] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(295), 1,
      anon_sym_LPAREN,
    ACTIONS(299), 1,
      anon_sym_func,
    ACTIONS(315), 1,
      anon_sym_DQUOTE,
    ACTIONS(393), 1,
      sym_identifier,
    ACTIONS(397), 1,
      anon_sym_STAR,
    ACTIONS(399), 1,
      anon_sym_LT_DASH,
    STATE(585), 1,
      sym__expression,
    STATE(836), 1,
      sym_negated_type,
    STATE(862), 1,
      sym_qualified_type,
    STATE(1236), 1,
      sym_variadic_argument,
    STATE(1249), 1,
      sym_implicit_length_array_type,
    ACTIONS(309), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1305), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(313), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(859), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(401), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(881), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(317), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(419), 13,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [8679] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(293), 1,
      sym_identifier,
    ACTIONS(295), 1,
      anon_sym_LPAREN,
    ACTIONS(299), 1,
      anon_sym_func,
    ACTIONS(301), 1,
      anon_sym_STAR,
    ACTIONS(307), 1,
      anon_sym_LT_DASH,
    ACTIONS(315), 1,
      anon_sym_DQUOTE,
    ACTIONS(503), 1,
      anon_sym_RBRACK,
    STATE(612), 1,
      sym__expression,
    STATE(836), 1,
      sym_negated_type,
    STATE(862), 1,
      sym_qualified_type,
    STATE(1249), 1,
      sym_implicit_length_array_type,
    ACTIONS(309), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1305), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(313), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(859), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(311), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(881), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(317), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(419), 13,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [8790] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(295), 1,
      anon_sym_LPAREN,
    ACTIONS(299), 1,
      anon_sym_func,
    ACTIONS(315), 1,
      anon_sym_DQUOTE,
    ACTIONS(393), 1,
      sym_identifier,
    ACTIONS(397), 1,
      anon_sym_STAR,
    ACTIONS(399), 1,
      anon_sym_LT_DASH,
    ACTIONS(505), 1,
      anon_sym_RPAREN,
    STATE(588), 1,
      sym__expression,
    STATE(836), 1,
      sym_negated_type,
    STATE(862), 1,
      sym_qualified_type,
    STATE(1249), 1,
      sym_implicit_length_array_type,
    ACTIONS(309), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1305), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(313), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(859), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(401), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(881), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(317), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(419), 13,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [8901] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(293), 1,
      sym_identifier,
    ACTIONS(295), 1,
      anon_sym_LPAREN,
    ACTIONS(299), 1,
      anon_sym_func,
    ACTIONS(301), 1,
      anon_sym_STAR,
    ACTIONS(307), 1,
      anon_sym_LT_DASH,
    ACTIONS(315), 1,
      anon_sym_DQUOTE,
    STATE(521), 1,
      sym__expression,
    STATE(836), 1,
      sym_negated_type,
    STATE(862), 1,
      sym_qualified_type,
    STATE(1249), 1,
      sym_implicit_length_array_type,
    STATE(1361), 1,
      sym_expression_list,
    ACTIONS(309), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1305), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(313), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(859), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(311), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(881), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(317), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(419), 13,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [9012] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(265), 1,
      sym_identifier,
    ACTIONS(273), 1,
      anon_sym_func,
    ACTIONS(477), 1,
      anon_sym_LPAREN,
    ACTIONS(479), 1,
      anon_sym_STAR,
    ACTIONS(481), 1,
      anon_sym_LT_DASH,
    ACTIONS(487), 1,
      anon_sym_DQUOTE,
    STATE(397), 1,
      sym__expression,
    STATE(836), 1,
      sym_negated_type,
    STATE(921), 1,
      sym_expression_list,
    STATE(1013), 1,
      sym_qualified_type,
    STATE(1250), 1,
      sym_implicit_length_array_type,
    ACTIONS(283), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1306), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(485), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(859), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(483), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(1058), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(287), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(488), 13,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [9123] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(293), 1,
      sym_identifier,
    ACTIONS(295), 1,
      anon_sym_LPAREN,
    ACTIONS(299), 1,
      anon_sym_func,
    ACTIONS(301), 1,
      anon_sym_STAR,
    ACTIONS(307), 1,
      anon_sym_LT_DASH,
    ACTIONS(315), 1,
      anon_sym_DQUOTE,
    ACTIONS(507), 1,
      anon_sym_RBRACK,
    STATE(613), 1,
      sym__expression,
    STATE(836), 1,
      sym_negated_type,
    STATE(862), 1,
      sym_qualified_type,
    STATE(1249), 1,
      sym_implicit_length_array_type,
    ACTIONS(309), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1305), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(313), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(859), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(311), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(881), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(317), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(419), 13,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [9234] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(295), 1,
      anon_sym_LPAREN,
    ACTIONS(299), 1,
      anon_sym_func,
    ACTIONS(315), 1,
      anon_sym_DQUOTE,
    ACTIONS(393), 1,
      sym_identifier,
    ACTIONS(397), 1,
      anon_sym_STAR,
    ACTIONS(399), 1,
      anon_sym_LT_DASH,
    ACTIONS(509), 1,
      anon_sym_RPAREN,
    STATE(588), 1,
      sym__expression,
    STATE(836), 1,
      sym_negated_type,
    STATE(862), 1,
      sym_qualified_type,
    STATE(1249), 1,
      sym_implicit_length_array_type,
    ACTIONS(309), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1305), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(313), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(859), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(401), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(881), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(317), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(419), 13,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [9345] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(293), 1,
      sym_identifier,
    ACTIONS(295), 1,
      anon_sym_LPAREN,
    ACTIONS(299), 1,
      anon_sym_func,
    ACTIONS(301), 1,
      anon_sym_STAR,
    ACTIONS(307), 1,
      anon_sym_LT_DASH,
    ACTIONS(315), 1,
      anon_sym_DQUOTE,
    ACTIONS(511), 1,
      anon_sym_RBRACK,
    STATE(607), 1,
      sym__expression,
    STATE(836), 1,
      sym_negated_type,
    STATE(862), 1,
      sym_qualified_type,
    STATE(1249), 1,
      sym_implicit_length_array_type,
    ACTIONS(309), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1305), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(313), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(859), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(311), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(881), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(317), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(419), 13,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [9456] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(293), 1,
      sym_identifier,
    ACTIONS(295), 1,
      anon_sym_LPAREN,
    ACTIONS(299), 1,
      anon_sym_func,
    ACTIONS(301), 1,
      anon_sym_STAR,
    ACTIONS(307), 1,
      anon_sym_LT_DASH,
    ACTIONS(315), 1,
      anon_sym_DQUOTE,
    ACTIONS(513), 1,
      anon_sym_SEMI,
    STATE(657), 1,
      sym__expression,
    STATE(836), 1,
      sym_negated_type,
    STATE(862), 1,
      sym_qualified_type,
    STATE(1249), 1,
      sym_implicit_length_array_type,
    ACTIONS(309), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1305), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(313), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(859), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(311), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(881), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(317), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(419), 13,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [9567] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(265), 1,
      sym_identifier,
    ACTIONS(273), 1,
      anon_sym_func,
    ACTIONS(477), 1,
      anon_sym_LPAREN,
    ACTIONS(479), 1,
      anon_sym_STAR,
    ACTIONS(481), 1,
      anon_sym_LT_DASH,
    ACTIONS(487), 1,
      anon_sym_DQUOTE,
    STATE(397), 1,
      sym__expression,
    STATE(836), 1,
      sym_negated_type,
    STATE(947), 1,
      sym_expression_list,
    STATE(1013), 1,
      sym_qualified_type,
    STATE(1250), 1,
      sym_implicit_length_array_type,
    ACTIONS(283), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1306), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(485), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(859), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(483), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(1058), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(287), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(488), 13,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [9678] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(293), 1,
      sym_identifier,
    ACTIONS(295), 1,
      anon_sym_LPAREN,
    ACTIONS(299), 1,
      anon_sym_func,
    ACTIONS(301), 1,
      anon_sym_STAR,
    ACTIONS(307), 1,
      anon_sym_LT_DASH,
    ACTIONS(315), 1,
      anon_sym_DQUOTE,
    ACTIONS(515), 1,
      anon_sym_RBRACK,
    STATE(645), 1,
      sym__expression,
    STATE(836), 1,
      sym_negated_type,
    STATE(862), 1,
      sym_qualified_type,
    STATE(1249), 1,
      sym_implicit_length_array_type,
    ACTIONS(309), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1305), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(313), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(859), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(311), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(881), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(317), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(419), 13,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [9789] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(265), 1,
      sym_identifier,
    ACTIONS(273), 1,
      anon_sym_func,
    ACTIONS(477), 1,
      anon_sym_LPAREN,
    ACTIONS(479), 1,
      anon_sym_STAR,
    ACTIONS(481), 1,
      anon_sym_LT_DASH,
    ACTIONS(487), 1,
      anon_sym_DQUOTE,
    STATE(397), 1,
      sym__expression,
    STATE(836), 1,
      sym_negated_type,
    STATE(948), 1,
      sym_expression_list,
    STATE(1013), 1,
      sym_qualified_type,
    STATE(1250), 1,
      sym_implicit_length_array_type,
    ACTIONS(283), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1306), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(485), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(859), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(483), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(1058), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(287), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(488), 13,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [9900] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(293), 1,
      sym_identifier,
    ACTIONS(295), 1,
      anon_sym_LPAREN,
    ACTIONS(299), 1,
      anon_sym_func,
    ACTIONS(301), 1,
      anon_sym_STAR,
    ACTIONS(307), 1,
      anon_sym_LT_DASH,
    ACTIONS(315), 1,
      anon_sym_DQUOTE,
    ACTIONS(517), 1,
      anon_sym_RBRACK,
    STATE(629), 1,
      sym__expression,
    STATE(836), 1,
      sym_negated_type,
    STATE(862), 1,
      sym_qualified_type,
    STATE(1249), 1,
      sym_implicit_length_array_type,
    ACTIONS(309), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1305), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(313), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(859), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(311), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(881), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(317), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(419), 13,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [10011] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(293), 1,
      sym_identifier,
    ACTIONS(295), 1,
      anon_sym_LPAREN,
    ACTIONS(299), 1,
      anon_sym_func,
    ACTIONS(301), 1,
      anon_sym_STAR,
    ACTIONS(307), 1,
      anon_sym_LT_DASH,
    ACTIONS(315), 1,
      anon_sym_DQUOTE,
    ACTIONS(519), 1,
      anon_sym_RBRACK,
    STATE(620), 1,
      sym__expression,
    STATE(836), 1,
      sym_negated_type,
    STATE(862), 1,
      sym_qualified_type,
    STATE(1249), 1,
      sym_implicit_length_array_type,
    ACTIONS(309), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1305), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(313), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(859), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(311), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(881), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(317), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(419), 13,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [10122] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(295), 1,
      anon_sym_LPAREN,
    ACTIONS(299), 1,
      anon_sym_func,
    ACTIONS(315), 1,
      anon_sym_DQUOTE,
    ACTIONS(393), 1,
      sym_identifier,
    ACTIONS(397), 1,
      anon_sym_STAR,
    ACTIONS(399), 1,
      anon_sym_LT_DASH,
    ACTIONS(521), 1,
      anon_sym_RPAREN,
    STATE(588), 1,
      sym__expression,
    STATE(836), 1,
      sym_negated_type,
    STATE(862), 1,
      sym_qualified_type,
    STATE(1249), 1,
      sym_implicit_length_array_type,
    ACTIONS(309), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1305), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(313), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(859), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(401), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(881), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(317), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(419), 13,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [10233] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(265), 1,
      sym_identifier,
    ACTIONS(273), 1,
      anon_sym_func,
    ACTIONS(477), 1,
      anon_sym_LPAREN,
    ACTIONS(479), 1,
      anon_sym_STAR,
    ACTIONS(481), 1,
      anon_sym_LT_DASH,
    ACTIONS(487), 1,
      anon_sym_DQUOTE,
    STATE(397), 1,
      sym__expression,
    STATE(836), 1,
      sym_negated_type,
    STATE(913), 1,
      sym_expression_list,
    STATE(1013), 1,
      sym_qualified_type,
    STATE(1250), 1,
      sym_implicit_length_array_type,
    ACTIONS(283), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1306), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(485), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(859), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(483), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(1058), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(287), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(488), 13,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [10344] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(295), 1,
      anon_sym_LPAREN,
    ACTIONS(299), 1,
      anon_sym_func,
    ACTIONS(315), 1,
      anon_sym_DQUOTE,
    ACTIONS(393), 1,
      sym_identifier,
    ACTIONS(397), 1,
      anon_sym_STAR,
    ACTIONS(399), 1,
      anon_sym_LT_DASH,
    ACTIONS(523), 1,
      anon_sym_RPAREN,
    STATE(588), 1,
      sym__expression,
    STATE(836), 1,
      sym_negated_type,
    STATE(862), 1,
      sym_qualified_type,
    STATE(1249), 1,
      sym_implicit_length_array_type,
    ACTIONS(309), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1305), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(313), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(859), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(401), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(881), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(317), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(419), 13,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [10455] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(293), 1,
      sym_identifier,
    ACTIONS(295), 1,
      anon_sym_LPAREN,
    ACTIONS(299), 1,
      anon_sym_func,
    ACTIONS(301), 1,
      anon_sym_STAR,
    ACTIONS(307), 1,
      anon_sym_LT_DASH,
    ACTIONS(315), 1,
      anon_sym_DQUOTE,
    ACTIONS(525), 1,
      anon_sym_RBRACK,
    STATE(621), 1,
      sym__expression,
    STATE(836), 1,
      sym_negated_type,
    STATE(862), 1,
      sym_qualified_type,
    STATE(1249), 1,
      sym_implicit_length_array_type,
    ACTIONS(309), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1305), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(313), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(859), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(311), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(881), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(317), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(419), 13,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [10566] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(295), 1,
      anon_sym_LPAREN,
    ACTIONS(299), 1,
      anon_sym_func,
    ACTIONS(315), 1,
      anon_sym_DQUOTE,
    ACTIONS(393), 1,
      sym_identifier,
    ACTIONS(397), 1,
      anon_sym_STAR,
    ACTIONS(399), 1,
      anon_sym_LT_DASH,
    ACTIONS(527), 1,
      anon_sym_RPAREN,
    STATE(588), 1,
      sym__expression,
    STATE(836), 1,
      sym_negated_type,
    STATE(862), 1,
      sym_qualified_type,
    STATE(1249), 1,
      sym_implicit_length_array_type,
    ACTIONS(309), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1305), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(313), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(859), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(401), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(881), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(317), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(419), 13,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [10677] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(265), 1,
      sym_identifier,
    ACTIONS(273), 1,
      anon_sym_func,
    ACTIONS(477), 1,
      anon_sym_LPAREN,
    ACTIONS(479), 1,
      anon_sym_STAR,
    ACTIONS(481), 1,
      anon_sym_LT_DASH,
    ACTIONS(487), 1,
      anon_sym_DQUOTE,
    STATE(397), 1,
      sym__expression,
    STATE(836), 1,
      sym_negated_type,
    STATE(922), 1,
      sym_expression_list,
    STATE(1013), 1,
      sym_qualified_type,
    STATE(1250), 1,
      sym_implicit_length_array_type,
    ACTIONS(283), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1306), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(485), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(859), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(483), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(1058), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(287), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(488), 13,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [10788] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(293), 1,
      sym_identifier,
    ACTIONS(295), 1,
      anon_sym_LPAREN,
    ACTIONS(299), 1,
      anon_sym_func,
    ACTIONS(301), 1,
      anon_sym_STAR,
    ACTIONS(307), 1,
      anon_sym_LT_DASH,
    ACTIONS(315), 1,
      anon_sym_DQUOTE,
    STATE(521), 1,
      sym__expression,
    STATE(836), 1,
      sym_negated_type,
    STATE(862), 1,
      sym_qualified_type,
    STATE(1249), 1,
      sym_implicit_length_array_type,
    STATE(1265), 1,
      sym_expression_list,
    ACTIONS(309), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1305), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(313), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(859), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(311), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(881), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(317), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(419), 13,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [10899] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(265), 1,
      sym_identifier,
    ACTIONS(273), 1,
      anon_sym_func,
    ACTIONS(477), 1,
      anon_sym_LPAREN,
    ACTIONS(479), 1,
      anon_sym_STAR,
    ACTIONS(481), 1,
      anon_sym_LT_DASH,
    ACTIONS(487), 1,
      anon_sym_DQUOTE,
    STATE(397), 1,
      sym__expression,
    STATE(836), 1,
      sym_negated_type,
    STATE(929), 1,
      sym_expression_list,
    STATE(1013), 1,
      sym_qualified_type,
    STATE(1250), 1,
      sym_implicit_length_array_type,
    ACTIONS(283), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1306), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(485), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(859), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(483), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(1058), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(287), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(488), 13,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [11010] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(293), 1,
      sym_identifier,
    ACTIONS(295), 1,
      anon_sym_LPAREN,
    ACTIONS(299), 1,
      anon_sym_func,
    ACTIONS(301), 1,
      anon_sym_STAR,
    ACTIONS(307), 1,
      anon_sym_LT_DASH,
    ACTIONS(315), 1,
      anon_sym_DQUOTE,
    ACTIONS(417), 1,
      anon_sym_RBRACK,
    STATE(632), 1,
      sym__expression,
    STATE(836), 1,
      sym_negated_type,
    STATE(862), 1,
      sym_qualified_type,
    STATE(1249), 1,
      sym_implicit_length_array_type,
    ACTIONS(309), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1305), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(313), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(859), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(311), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(881), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(317), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(419), 13,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [11121] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(265), 1,
      sym_identifier,
    ACTIONS(273), 1,
      anon_sym_func,
    ACTIONS(477), 1,
      anon_sym_LPAREN,
    ACTIONS(479), 1,
      anon_sym_STAR,
    ACTIONS(481), 1,
      anon_sym_LT_DASH,
    ACTIONS(487), 1,
      anon_sym_DQUOTE,
    STATE(397), 1,
      sym__expression,
    STATE(836), 1,
      sym_negated_type,
    STATE(934), 1,
      sym_expression_list,
    STATE(1013), 1,
      sym_qualified_type,
    STATE(1250), 1,
      sym_implicit_length_array_type,
    ACTIONS(283), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1306), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(485), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(859), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(483), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(1058), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(287), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(488), 13,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [11232] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(293), 1,
      sym_identifier,
    ACTIONS(295), 1,
      anon_sym_LPAREN,
    ACTIONS(299), 1,
      anon_sym_func,
    ACTIONS(301), 1,
      anon_sym_STAR,
    ACTIONS(307), 1,
      anon_sym_LT_DASH,
    ACTIONS(315), 1,
      anon_sym_DQUOTE,
    STATE(521), 1,
      sym__expression,
    STATE(836), 1,
      sym_negated_type,
    STATE(862), 1,
      sym_qualified_type,
    STATE(1249), 1,
      sym_implicit_length_array_type,
    STATE(1269), 1,
      sym_expression_list,
    ACTIONS(309), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1305), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(313), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(859), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(311), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(881), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(317), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(419), 13,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [11343] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(293), 1,
      sym_identifier,
    ACTIONS(295), 1,
      anon_sym_LPAREN,
    ACTIONS(299), 1,
      anon_sym_func,
    ACTIONS(301), 1,
      anon_sym_STAR,
    ACTIONS(307), 1,
      anon_sym_LT_DASH,
    ACTIONS(315), 1,
      anon_sym_DQUOTE,
    ACTIONS(529), 1,
      anon_sym_RBRACK,
    STATE(597), 1,
      sym__expression,
    STATE(836), 1,
      sym_negated_type,
    STATE(862), 1,
      sym_qualified_type,
    STATE(1249), 1,
      sym_implicit_length_array_type,
    ACTIONS(309), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1305), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(313), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(859), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(311), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(881), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(317), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(419), 13,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [11454] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(295), 1,
      anon_sym_LPAREN,
    ACTIONS(299), 1,
      anon_sym_func,
    ACTIONS(315), 1,
      anon_sym_DQUOTE,
    ACTIONS(393), 1,
      sym_identifier,
    ACTIONS(397), 1,
      anon_sym_STAR,
    ACTIONS(399), 1,
      anon_sym_LT_DASH,
    ACTIONS(531), 1,
      anon_sym_RPAREN,
    STATE(588), 1,
      sym__expression,
    STATE(836), 1,
      sym_negated_type,
    STATE(862), 1,
      sym_qualified_type,
    STATE(1249), 1,
      sym_implicit_length_array_type,
    ACTIONS(309), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1305), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(313), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(859), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(401), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(881), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(317), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(419), 13,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [11565] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(295), 1,
      anon_sym_LPAREN,
    ACTIONS(299), 1,
      anon_sym_func,
    ACTIONS(315), 1,
      anon_sym_DQUOTE,
    ACTIONS(393), 1,
      sym_identifier,
    ACTIONS(397), 1,
      anon_sym_STAR,
    ACTIONS(399), 1,
      anon_sym_LT_DASH,
    ACTIONS(533), 1,
      anon_sym_RPAREN,
    STATE(588), 1,
      sym__expression,
    STATE(836), 1,
      sym_negated_type,
    STATE(862), 1,
      sym_qualified_type,
    STATE(1249), 1,
      sym_implicit_length_array_type,
    ACTIONS(309), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1305), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(313), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(859), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(401), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(881), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(317), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(419), 13,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [11676] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(363), 1,
      sym_identifier,
    ACTIONS(365), 1,
      anon_sym_LPAREN,
    ACTIONS(367), 1,
      anon_sym_func,
    ACTIONS(369), 1,
      anon_sym_STAR,
    ACTIONS(371), 1,
      anon_sym_LT_DASH,
    ACTIONS(379), 1,
      anon_sym_DQUOTE,
    STATE(465), 1,
      sym__expression,
    STATE(836), 1,
      sym_negated_type,
    STATE(1012), 1,
      sym_qualified_type,
    STATE(1251), 1,
      sym_implicit_length_array_type,
    ACTIONS(373), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1276), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(377), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(859), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(375), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(1098), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(381), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(543), 13,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [11784] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(363), 1,
      sym_identifier,
    ACTIONS(365), 1,
      anon_sym_LPAREN,
    ACTIONS(367), 1,
      anon_sym_func,
    ACTIONS(369), 1,
      anon_sym_STAR,
    ACTIONS(371), 1,
      anon_sym_LT_DASH,
    ACTIONS(379), 1,
      anon_sym_DQUOTE,
    STATE(501), 1,
      sym__expression,
    STATE(836), 1,
      sym_negated_type,
    STATE(1012), 1,
      sym_qualified_type,
    STATE(1251), 1,
      sym_implicit_length_array_type,
    ACTIONS(373), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1276), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(377), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(859), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(375), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(1098), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(381), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(543), 13,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [11892] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(363), 1,
      sym_identifier,
    ACTIONS(365), 1,
      anon_sym_LPAREN,
    ACTIONS(367), 1,
      anon_sym_func,
    ACTIONS(369), 1,
      anon_sym_STAR,
    ACTIONS(371), 1,
      anon_sym_LT_DASH,
    ACTIONS(379), 1,
      anon_sym_DQUOTE,
    STATE(462), 1,
      sym__expression,
    STATE(836), 1,
      sym_negated_type,
    STATE(1012), 1,
      sym_qualified_type,
    STATE(1251), 1,
      sym_implicit_length_array_type,
    ACTIONS(373), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1276), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(377), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(859), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(375), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(1098), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(381), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(543), 13,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [12000] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(363), 1,
      sym_identifier,
    ACTIONS(365), 1,
      anon_sym_LPAREN,
    ACTIONS(367), 1,
      anon_sym_func,
    ACTIONS(369), 1,
      anon_sym_STAR,
    ACTIONS(371), 1,
      anon_sym_LT_DASH,
    ACTIONS(379), 1,
      anon_sym_DQUOTE,
    STATE(463), 1,
      sym__expression,
    STATE(836), 1,
      sym_negated_type,
    STATE(1012), 1,
      sym_qualified_type,
    STATE(1251), 1,
      sym_implicit_length_array_type,
    ACTIONS(373), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1276), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(377), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(859), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(375), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(1098), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(381), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(543), 13,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [12108] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(363), 1,
      sym_identifier,
    ACTIONS(365), 1,
      anon_sym_LPAREN,
    ACTIONS(367), 1,
      anon_sym_func,
    ACTIONS(369), 1,
      anon_sym_STAR,
    ACTIONS(371), 1,
      anon_sym_LT_DASH,
    ACTIONS(379), 1,
      anon_sym_DQUOTE,
    STATE(464), 1,
      sym__expression,
    STATE(836), 1,
      sym_negated_type,
    STATE(1012), 1,
      sym_qualified_type,
    STATE(1251), 1,
      sym_implicit_length_array_type,
    ACTIONS(373), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1276), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(377), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(859), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(375), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(1098), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(381), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(543), 13,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [12216] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(293), 1,
      sym_identifier,
    ACTIONS(295), 1,
      anon_sym_LPAREN,
    ACTIONS(299), 1,
      anon_sym_func,
    ACTIONS(315), 1,
      anon_sym_DQUOTE,
    ACTIONS(399), 1,
      anon_sym_LT_DASH,
    ACTIONS(535), 1,
      anon_sym_STAR,
    STATE(678), 1,
      sym__expression,
    STATE(836), 1,
      sym_negated_type,
    STATE(862), 1,
      sym_qualified_type,
    STATE(1249), 1,
      sym_implicit_length_array_type,
    ACTIONS(309), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1148), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(313), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(859), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(401), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(881), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(317), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(419), 13,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [12324] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(293), 1,
      sym_identifier,
    ACTIONS(295), 1,
      anon_sym_LPAREN,
    ACTIONS(299), 1,
      anon_sym_func,
    ACTIONS(315), 1,
      anon_sym_DQUOTE,
    ACTIONS(399), 1,
      anon_sym_LT_DASH,
    ACTIONS(535), 1,
      anon_sym_STAR,
    STATE(383), 1,
      sym__expression,
    STATE(836), 1,
      sym_negated_type,
    STATE(862), 1,
      sym_qualified_type,
    STATE(1249), 1,
      sym_implicit_length_array_type,
    ACTIONS(309), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(937), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(313), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(859), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(401), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(881), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(317), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(419), 13,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [12432] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(295), 1,
      anon_sym_LPAREN,
    ACTIONS(299), 1,
      anon_sym_func,
    ACTIONS(315), 1,
      anon_sym_DQUOTE,
    ACTIONS(393), 1,
      sym_identifier,
    ACTIONS(397), 1,
      anon_sym_STAR,
    ACTIONS(399), 1,
      anon_sym_LT_DASH,
    ACTIONS(537), 1,
      anon_sym_chan,
    STATE(383), 1,
      sym__expression,
    STATE(836), 1,
      sym_negated_type,
    STATE(862), 1,
      sym_qualified_type,
    STATE(1249), 1,
      sym_implicit_length_array_type,
    ACTIONS(309), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1305), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(313), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(859), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(401), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(881), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(317), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(419), 13,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [12540] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15), 1,
      anon_sym_LPAREN,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(27), 1,
      anon_sym_STAR,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(41), 1,
      anon_sym_LT_DASH,
    ACTIONS(71), 1,
      anon_sym_DQUOTE,
    ACTIONS(183), 1,
      anon_sym_func,
    ACTIONS(539), 1,
      sym_identifier,
    STATE(240), 1,
      sym__expression,
    STATE(836), 1,
      sym_negated_type,
    STATE(1025), 1,
      sym_qualified_type,
    STATE(1246), 1,
      sym_implicit_length_array_type,
    ACTIONS(65), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1240), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(69), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(859), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(67), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(1086), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(73), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(253), 13,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [12648] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15), 1,
      anon_sym_LPAREN,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(27), 1,
      anon_sym_STAR,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(41), 1,
      anon_sym_LT_DASH,
    ACTIONS(71), 1,
      anon_sym_DQUOTE,
    ACTIONS(183), 1,
      anon_sym_func,
    ACTIONS(539), 1,
      sym_identifier,
    STATE(243), 1,
      sym__expression,
    STATE(836), 1,
      sym_negated_type,
    STATE(1025), 1,
      sym_qualified_type,
    STATE(1246), 1,
      sym_implicit_length_array_type,
    ACTIONS(65), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1240), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(69), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(859), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(67), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(1086), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(73), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(253), 13,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [12756] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(265), 1,
      sym_identifier,
    ACTIONS(273), 1,
      anon_sym_func,
    ACTIONS(477), 1,
      anon_sym_LPAREN,
    ACTIONS(479), 1,
      anon_sym_STAR,
    ACTIONS(481), 1,
      anon_sym_LT_DASH,
    ACTIONS(487), 1,
      anon_sym_DQUOTE,
    STATE(446), 1,
      sym__expression,
    STATE(836), 1,
      sym_negated_type,
    STATE(1013), 1,
      sym_qualified_type,
    STATE(1250), 1,
      sym_implicit_length_array_type,
    ACTIONS(283), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1306), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(485), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(859), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(483), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(1058), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(287), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(488), 13,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [12864] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15), 1,
      anon_sym_LPAREN,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(27), 1,
      anon_sym_STAR,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(41), 1,
      anon_sym_LT_DASH,
    ACTIONS(71), 1,
      anon_sym_DQUOTE,
    ACTIONS(183), 1,
      anon_sym_func,
    ACTIONS(539), 1,
      sym_identifier,
    STATE(241), 1,
      sym__expression,
    STATE(836), 1,
      sym_negated_type,
    STATE(1025), 1,
      sym_qualified_type,
    STATE(1246), 1,
      sym_implicit_length_array_type,
    ACTIONS(65), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1240), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(69), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(859), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(67), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(1086), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(73), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(253), 13,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [12972] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15), 1,
      anon_sym_LPAREN,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(27), 1,
      anon_sym_STAR,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(41), 1,
      anon_sym_LT_DASH,
    ACTIONS(71), 1,
      anon_sym_DQUOTE,
    ACTIONS(183), 1,
      anon_sym_func,
    ACTIONS(539), 1,
      sym_identifier,
    STATE(242), 1,
      sym__expression,
    STATE(836), 1,
      sym_negated_type,
    STATE(1025), 1,
      sym_qualified_type,
    STATE(1246), 1,
      sym_implicit_length_array_type,
    ACTIONS(65), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1240), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(69), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(859), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(67), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(1086), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(73), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(253), 13,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [13080] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(265), 1,
      sym_identifier,
    ACTIONS(273), 1,
      anon_sym_func,
    ACTIONS(477), 1,
      anon_sym_LPAREN,
    ACTIONS(479), 1,
      anon_sym_STAR,
    ACTIONS(481), 1,
      anon_sym_LT_DASH,
    ACTIONS(487), 1,
      anon_sym_DQUOTE,
    STATE(435), 1,
      sym__expression,
    STATE(836), 1,
      sym_negated_type,
    STATE(1013), 1,
      sym_qualified_type,
    STATE(1250), 1,
      sym_implicit_length_array_type,
    ACTIONS(283), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1306), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(485), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(859), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(483), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(1058), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(287), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(488), 13,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [13188] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(295), 1,
      anon_sym_LPAREN,
    ACTIONS(299), 1,
      anon_sym_func,
    ACTIONS(315), 1,
      anon_sym_DQUOTE,
    ACTIONS(403), 1,
      sym_identifier,
    ACTIONS(405), 1,
      anon_sym_STAR,
    ACTIONS(409), 1,
      anon_sym_LT_DASH,
    STATE(642), 1,
      sym__expression,
    STATE(836), 1,
      sym_negated_type,
    STATE(862), 1,
      sym_qualified_type,
    STATE(1249), 1,
      sym_implicit_length_array_type,
    ACTIONS(309), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1305), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(313), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(859), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(411), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(881), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(317), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(419), 13,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [13296] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15), 1,
      anon_sym_LPAREN,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(27), 1,
      anon_sym_STAR,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(41), 1,
      anon_sym_LT_DASH,
    ACTIONS(71), 1,
      anon_sym_DQUOTE,
    ACTIONS(183), 1,
      anon_sym_func,
    ACTIONS(539), 1,
      sym_identifier,
    STATE(244), 1,
      sym__expression,
    STATE(836), 1,
      sym_negated_type,
    STATE(1025), 1,
      sym_qualified_type,
    STATE(1246), 1,
      sym_implicit_length_array_type,
    ACTIONS(65), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1240), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(69), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(859), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(67), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(1086), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(73), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(253), 13,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [13404] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15), 1,
      anon_sym_LPAREN,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(27), 1,
      anon_sym_STAR,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(41), 1,
      anon_sym_LT_DASH,
    ACTIONS(71), 1,
      anon_sym_DQUOTE,
    ACTIONS(183), 1,
      anon_sym_func,
    ACTIONS(537), 1,
      anon_sym_chan,
    ACTIONS(539), 1,
      sym_identifier,
    STATE(246), 1,
      sym__expression,
    STATE(836), 1,
      sym_negated_type,
    STATE(1025), 1,
      sym_qualified_type,
    STATE(1246), 1,
      sym_implicit_length_array_type,
    ACTIONS(65), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1240), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(69), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(859), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(67), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(1086), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(73), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(253), 13,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [13512] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(295), 1,
      anon_sym_LPAREN,
    ACTIONS(299), 1,
      anon_sym_func,
    ACTIONS(315), 1,
      anon_sym_DQUOTE,
    ACTIONS(403), 1,
      sym_identifier,
    ACTIONS(405), 1,
      anon_sym_STAR,
    ACTIONS(409), 1,
      anon_sym_LT_DASH,
    STATE(648), 1,
      sym__expression,
    STATE(836), 1,
      sym_negated_type,
    STATE(862), 1,
      sym_qualified_type,
    STATE(1249), 1,
      sym_implicit_length_array_type,
    ACTIONS(309), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1305), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(313), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(859), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(411), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(881), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(317), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(419), 13,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [13620] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15), 1,
      anon_sym_LPAREN,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(27), 1,
      anon_sym_STAR,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(41), 1,
      anon_sym_LT_DASH,
    ACTIONS(71), 1,
      anon_sym_DQUOTE,
    ACTIONS(183), 1,
      anon_sym_func,
    ACTIONS(539), 1,
      sym_identifier,
    STATE(246), 1,
      sym__expression,
    STATE(836), 1,
      sym_negated_type,
    STATE(1025), 1,
      sym_qualified_type,
    STATE(1246), 1,
      sym_implicit_length_array_type,
    ACTIONS(65), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(937), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(69), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(859), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(67), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(1086), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(73), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(253), 13,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [13728] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(295), 1,
      anon_sym_LPAREN,
    ACTIONS(299), 1,
      anon_sym_func,
    ACTIONS(315), 1,
      anon_sym_DQUOTE,
    ACTIONS(403), 1,
      sym_identifier,
    ACTIONS(405), 1,
      anon_sym_STAR,
    ACTIONS(409), 1,
      anon_sym_LT_DASH,
    STATE(656), 1,
      sym__expression,
    STATE(836), 1,
      sym_negated_type,
    STATE(862), 1,
      sym_qualified_type,
    STATE(1249), 1,
      sym_implicit_length_array_type,
    ACTIONS(309), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1305), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(313), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(859), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(411), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(881), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(317), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(419), 13,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [13836] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(265), 1,
      sym_identifier,
    ACTIONS(273), 1,
      anon_sym_func,
    ACTIONS(477), 1,
      anon_sym_LPAREN,
    ACTIONS(479), 1,
      anon_sym_STAR,
    ACTIONS(481), 1,
      anon_sym_LT_DASH,
    ACTIONS(487), 1,
      anon_sym_DQUOTE,
    STATE(444), 1,
      sym__expression,
    STATE(836), 1,
      sym_negated_type,
    STATE(1013), 1,
      sym_qualified_type,
    STATE(1250), 1,
      sym_implicit_length_array_type,
    ACTIONS(283), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1306), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(485), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(859), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(483), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(1058), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(287), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(488), 13,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [13944] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(295), 1,
      anon_sym_LPAREN,
    ACTIONS(299), 1,
      anon_sym_func,
    ACTIONS(315), 1,
      anon_sym_DQUOTE,
    ACTIONS(403), 1,
      sym_identifier,
    ACTIONS(405), 1,
      anon_sym_STAR,
    ACTIONS(409), 1,
      anon_sym_LT_DASH,
    STATE(383), 1,
      sym__expression,
    STATE(836), 1,
      sym_negated_type,
    STATE(862), 1,
      sym_qualified_type,
    STATE(1249), 1,
      sym_implicit_length_array_type,
    ACTIONS(309), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1305), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(313), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(859), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(411), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(881), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(317), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(419), 13,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [14052] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(295), 1,
      anon_sym_LPAREN,
    ACTIONS(299), 1,
      anon_sym_func,
    ACTIONS(315), 1,
      anon_sym_DQUOTE,
    ACTIONS(403), 1,
      sym_identifier,
    ACTIONS(405), 1,
      anon_sym_STAR,
    ACTIONS(409), 1,
      anon_sym_LT_DASH,
    STATE(384), 1,
      sym__expression,
    STATE(836), 1,
      sym_negated_type,
    STATE(862), 1,
      sym_qualified_type,
    STATE(1249), 1,
      sym_implicit_length_array_type,
    ACTIONS(309), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1305), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(313), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(859), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(411), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(881), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(317), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(419), 13,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [14160] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(295), 1,
      anon_sym_LPAREN,
    ACTIONS(299), 1,
      anon_sym_func,
    ACTIONS(315), 1,
      anon_sym_DQUOTE,
    ACTIONS(403), 1,
      sym_identifier,
    ACTIONS(405), 1,
      anon_sym_STAR,
    ACTIONS(409), 1,
      anon_sym_LT_DASH,
    STATE(570), 1,
      sym__expression,
    STATE(836), 1,
      sym_negated_type,
    STATE(862), 1,
      sym_qualified_type,
    STATE(1249), 1,
      sym_implicit_length_array_type,
    ACTIONS(309), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1305), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(313), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(859), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(411), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(881), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(317), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(419), 13,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [14268] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(295), 1,
      anon_sym_LPAREN,
    ACTIONS(299), 1,
      anon_sym_func,
    ACTIONS(315), 1,
      anon_sym_DQUOTE,
    ACTIONS(403), 1,
      sym_identifier,
    ACTIONS(405), 1,
      anon_sym_STAR,
    ACTIONS(409), 1,
      anon_sym_LT_DASH,
    STATE(571), 1,
      sym__expression,
    STATE(836), 1,
      sym_negated_type,
    STATE(862), 1,
      sym_qualified_type,
    STATE(1249), 1,
      sym_implicit_length_array_type,
    ACTIONS(309), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1305), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(313), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(859), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(411), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(881), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(317), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(419), 13,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [14376] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(295), 1,
      anon_sym_LPAREN,
    ACTIONS(299), 1,
      anon_sym_func,
    ACTIONS(315), 1,
      anon_sym_DQUOTE,
    ACTIONS(403), 1,
      sym_identifier,
    ACTIONS(405), 1,
      anon_sym_STAR,
    ACTIONS(409), 1,
      anon_sym_LT_DASH,
    STATE(573), 1,
      sym__expression,
    STATE(836), 1,
      sym_negated_type,
    STATE(862), 1,
      sym_qualified_type,
    STATE(1249), 1,
      sym_implicit_length_array_type,
    ACTIONS(309), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1305), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(313), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(859), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(411), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(881), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(317), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(419), 13,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [14484] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(295), 1,
      anon_sym_LPAREN,
    ACTIONS(299), 1,
      anon_sym_func,
    ACTIONS(315), 1,
      anon_sym_DQUOTE,
    ACTIONS(403), 1,
      sym_identifier,
    ACTIONS(405), 1,
      anon_sym_STAR,
    ACTIONS(409), 1,
      anon_sym_LT_DASH,
    STATE(550), 1,
      sym__expression,
    STATE(836), 1,
      sym_negated_type,
    STATE(862), 1,
      sym_qualified_type,
    STATE(1249), 1,
      sym_implicit_length_array_type,
    ACTIONS(309), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1305), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(313), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(859), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(411), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(881), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(317), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(419), 13,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [14592] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(293), 1,
      sym_identifier,
    ACTIONS(295), 1,
      anon_sym_LPAREN,
    ACTIONS(299), 1,
      anon_sym_func,
    ACTIONS(301), 1,
      anon_sym_STAR,
    ACTIONS(307), 1,
      anon_sym_LT_DASH,
    ACTIONS(315), 1,
      anon_sym_DQUOTE,
    STATE(383), 1,
      sym__expression,
    STATE(836), 1,
      sym_negated_type,
    STATE(862), 1,
      sym_qualified_type,
    STATE(1249), 1,
      sym_implicit_length_array_type,
    ACTIONS(309), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(937), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(313), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(859), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(311), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(881), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(317), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(419), 13,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [14700] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(293), 1,
      sym_identifier,
    ACTIONS(295), 1,
      anon_sym_LPAREN,
    ACTIONS(299), 1,
      anon_sym_func,
    ACTIONS(301), 1,
      anon_sym_STAR,
    ACTIONS(307), 1,
      anon_sym_LT_DASH,
    ACTIONS(315), 1,
      anon_sym_DQUOTE,
    ACTIONS(537), 1,
      anon_sym_chan,
    STATE(383), 1,
      sym__expression,
    STATE(836), 1,
      sym_negated_type,
    STATE(862), 1,
      sym_qualified_type,
    STATE(1249), 1,
      sym_implicit_length_array_type,
    ACTIONS(309), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1305), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(313), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(859), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(311), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(881), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(317), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(419), 13,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [14808] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(295), 1,
      anon_sym_LPAREN,
    ACTIONS(299), 1,
      anon_sym_func,
    ACTIONS(315), 1,
      anon_sym_DQUOTE,
    ACTIONS(403), 1,
      sym_identifier,
    ACTIONS(405), 1,
      anon_sym_STAR,
    ACTIONS(409), 1,
      anon_sym_LT_DASH,
    STATE(614), 1,
      sym__expression,
    STATE(836), 1,
      sym_negated_type,
    STATE(862), 1,
      sym_qualified_type,
    STATE(1249), 1,
      sym_implicit_length_array_type,
    ACTIONS(309), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1305), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(313), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(859), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(411), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(881), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(317), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(419), 13,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [14916] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15), 1,
      anon_sym_LPAREN,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(27), 1,
      anon_sym_STAR,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(41), 1,
      anon_sym_LT_DASH,
    ACTIONS(71), 1,
      anon_sym_DQUOTE,
    ACTIONS(183), 1,
      anon_sym_func,
    ACTIONS(539), 1,
      sym_identifier,
    STATE(246), 1,
      sym__expression,
    STATE(836), 1,
      sym_negated_type,
    STATE(1025), 1,
      sym_qualified_type,
    STATE(1246), 1,
      sym_implicit_length_array_type,
    ACTIONS(65), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1240), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(69), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(859), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(67), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(1086), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(73), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(253), 13,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [15024] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(295), 1,
      anon_sym_LPAREN,
    ACTIONS(299), 1,
      anon_sym_func,
    ACTIONS(315), 1,
      anon_sym_DQUOTE,
    ACTIONS(393), 1,
      sym_identifier,
    ACTIONS(397), 1,
      anon_sym_STAR,
    ACTIONS(399), 1,
      anon_sym_LT_DASH,
    STATE(588), 1,
      sym__expression,
    STATE(836), 1,
      sym_negated_type,
    STATE(862), 1,
      sym_qualified_type,
    STATE(1249), 1,
      sym_implicit_length_array_type,
    ACTIONS(309), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1305), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(313), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(859), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(401), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(881), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(317), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(419), 13,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [15132] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(293), 1,
      sym_identifier,
    ACTIONS(295), 1,
      anon_sym_LPAREN,
    ACTIONS(299), 1,
      anon_sym_func,
    ACTIONS(301), 1,
      anon_sym_STAR,
    ACTIONS(307), 1,
      anon_sym_LT_DASH,
    ACTIONS(315), 1,
      anon_sym_DQUOTE,
    STATE(689), 1,
      sym__expression,
    STATE(836), 1,
      sym_negated_type,
    STATE(862), 1,
      sym_qualified_type,
    STATE(1249), 1,
      sym_implicit_length_array_type,
    ACTIONS(309), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1305), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(313), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(859), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(311), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(881), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(317), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(419), 13,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [15240] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(293), 1,
      sym_identifier,
    ACTIONS(295), 1,
      anon_sym_LPAREN,
    ACTIONS(299), 1,
      anon_sym_func,
    ACTIONS(301), 1,
      anon_sym_STAR,
    ACTIONS(307), 1,
      anon_sym_LT_DASH,
    ACTIONS(315), 1,
      anon_sym_DQUOTE,
    STATE(641), 1,
      sym__expression,
    STATE(836), 1,
      sym_negated_type,
    STATE(862), 1,
      sym_qualified_type,
    STATE(1249), 1,
      sym_implicit_length_array_type,
    ACTIONS(309), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1305), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(313), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(859), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(311), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(881), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(317), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(419), 13,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [15348] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(295), 1,
      anon_sym_LPAREN,
    ACTIONS(299), 1,
      anon_sym_func,
    ACTIONS(315), 1,
      anon_sym_DQUOTE,
    ACTIONS(393), 1,
      sym_identifier,
    ACTIONS(397), 1,
      anon_sym_STAR,
    ACTIONS(399), 1,
      anon_sym_LT_DASH,
    STATE(627), 1,
      sym__expression,
    STATE(836), 1,
      sym_negated_type,
    STATE(862), 1,
      sym_qualified_type,
    STATE(1249), 1,
      sym_implicit_length_array_type,
    ACTIONS(309), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1305), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(313), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(859), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(401), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(881), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(317), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(419), 13,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [15456] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(265), 1,
      sym_identifier,
    ACTIONS(273), 1,
      anon_sym_func,
    ACTIONS(477), 1,
      anon_sym_LPAREN,
    ACTIONS(479), 1,
      anon_sym_STAR,
    ACTIONS(481), 1,
      anon_sym_LT_DASH,
    ACTIONS(487), 1,
      anon_sym_DQUOTE,
    STATE(441), 1,
      sym__expression,
    STATE(836), 1,
      sym_negated_type,
    STATE(1013), 1,
      sym_qualified_type,
    STATE(1250), 1,
      sym_implicit_length_array_type,
    ACTIONS(283), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1306), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(485), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(859), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(483), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(1058), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(287), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(488), 13,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [15564] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(265), 1,
      sym_identifier,
    ACTIONS(273), 1,
      anon_sym_func,
    ACTIONS(477), 1,
      anon_sym_LPAREN,
    ACTIONS(479), 1,
      anon_sym_STAR,
    ACTIONS(481), 1,
      anon_sym_LT_DASH,
    ACTIONS(487), 1,
      anon_sym_DQUOTE,
    STATE(428), 1,
      sym__expression,
    STATE(836), 1,
      sym_negated_type,
    STATE(1013), 1,
      sym_qualified_type,
    STATE(1250), 1,
      sym_implicit_length_array_type,
    ACTIONS(283), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(937), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(485), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(859), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(483), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(1058), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(287), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(488), 13,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [15672] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(541), 1,
      sym_identifier,
    ACTIONS(543), 1,
      anon_sym_LPAREN,
    ACTIONS(545), 1,
      anon_sym_func,
    ACTIONS(547), 1,
      anon_sym_STAR,
    ACTIONS(549), 1,
      anon_sym_LT_DASH,
    ACTIONS(557), 1,
      anon_sym_DQUOTE,
    STATE(335), 1,
      sym__expression,
    STATE(836), 1,
      sym_negated_type,
    STATE(1022), 1,
      sym_qualified_type,
    STATE(1292), 1,
      sym_implicit_length_array_type,
    ACTIONS(551), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1308), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(555), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(859), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(553), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(1088), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(559), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(356), 13,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [15780] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(265), 1,
      sym_identifier,
    ACTIONS(273), 1,
      anon_sym_func,
    ACTIONS(477), 1,
      anon_sym_LPAREN,
    ACTIONS(479), 1,
      anon_sym_STAR,
    ACTIONS(481), 1,
      anon_sym_LT_DASH,
    ACTIONS(487), 1,
      anon_sym_DQUOTE,
    ACTIONS(537), 1,
      anon_sym_chan,
    STATE(428), 1,
      sym__expression,
    STATE(836), 1,
      sym_negated_type,
    STATE(1013), 1,
      sym_qualified_type,
    STATE(1250), 1,
      sym_implicit_length_array_type,
    ACTIONS(283), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1306), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(485), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(859), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(483), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(1058), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(287), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(488), 13,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [15888] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(293), 1,
      sym_identifier,
    ACTIONS(295), 1,
      anon_sym_LPAREN,
    ACTIONS(299), 1,
      anon_sym_func,
    ACTIONS(301), 1,
      anon_sym_STAR,
    ACTIONS(307), 1,
      anon_sym_LT_DASH,
    ACTIONS(315), 1,
      anon_sym_DQUOTE,
    STATE(652), 1,
      sym__expression,
    STATE(836), 1,
      sym_negated_type,
    STATE(862), 1,
      sym_qualified_type,
    STATE(1249), 1,
      sym_implicit_length_array_type,
    ACTIONS(309), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1305), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(313), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(859), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(311), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(881), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(317), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(419), 13,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [15996] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(295), 1,
      anon_sym_LPAREN,
    ACTIONS(299), 1,
      anon_sym_func,
    ACTIONS(315), 1,
      anon_sym_DQUOTE,
    ACTIONS(403), 1,
      sym_identifier,
    ACTIONS(405), 1,
      anon_sym_STAR,
    ACTIONS(409), 1,
      anon_sym_LT_DASH,
    STATE(589), 1,
      sym__expression,
    STATE(836), 1,
      sym_negated_type,
    STATE(862), 1,
      sym_qualified_type,
    STATE(1249), 1,
      sym_implicit_length_array_type,
    ACTIONS(309), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1305), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(313), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(859), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(411), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(881), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(317), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(419), 13,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [16104] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(293), 1,
      sym_identifier,
    ACTIONS(295), 1,
      anon_sym_LPAREN,
    ACTIONS(299), 1,
      anon_sym_func,
    ACTIONS(301), 1,
      anon_sym_STAR,
    ACTIONS(307), 1,
      anon_sym_LT_DASH,
    ACTIONS(315), 1,
      anon_sym_DQUOTE,
    STATE(659), 1,
      sym__expression,
    STATE(836), 1,
      sym_negated_type,
    STATE(862), 1,
      sym_qualified_type,
    STATE(1249), 1,
      sym_implicit_length_array_type,
    ACTIONS(309), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1305), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(313), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(859), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(311), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(881), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(317), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(419), 13,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [16212] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(295), 1,
      anon_sym_LPAREN,
    ACTIONS(299), 1,
      anon_sym_func,
    ACTIONS(315), 1,
      anon_sym_DQUOTE,
    ACTIONS(393), 1,
      sym_identifier,
    ACTIONS(397), 1,
      anon_sym_STAR,
    ACTIONS(399), 1,
      anon_sym_LT_DASH,
    STATE(383), 1,
      sym__expression,
    STATE(836), 1,
      sym_negated_type,
    STATE(862), 1,
      sym_qualified_type,
    STATE(1249), 1,
      sym_implicit_length_array_type,
    ACTIONS(309), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1305), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(313), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(859), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(401), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(881), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(317), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(419), 13,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [16320] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(293), 1,
      sym_identifier,
    ACTIONS(295), 1,
      anon_sym_LPAREN,
    ACTIONS(299), 1,
      anon_sym_func,
    ACTIONS(301), 1,
      anon_sym_STAR,
    ACTIONS(307), 1,
      anon_sym_LT_DASH,
    ACTIONS(315), 1,
      anon_sym_DQUOTE,
    STATE(470), 1,
      sym__expression,
    STATE(836), 1,
      sym_negated_type,
    STATE(862), 1,
      sym_qualified_type,
    STATE(1249), 1,
      sym_implicit_length_array_type,
    ACTIONS(309), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1305), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(313), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(859), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(311), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(881), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(317), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(419), 13,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [16428] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(231), 1,
      sym_identifier,
    ACTIONS(235), 1,
      anon_sym_LPAREN,
    ACTIONS(237), 1,
      anon_sym_func,
    ACTIONS(239), 1,
      anon_sym_STAR,
    ACTIONS(241), 1,
      anon_sym_LT_DASH,
    ACTIONS(251), 1,
      anon_sym_DQUOTE,
    STATE(295), 1,
      sym__expression,
    STATE(836), 1,
      sym_negated_type,
    STATE(1027), 1,
      sym_qualified_type,
    STATE(1245), 1,
      sym_implicit_length_array_type,
    ACTIONS(245), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(937), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(249), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(859), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(247), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(1076), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(253), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(306), 13,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [16536] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(295), 1,
      anon_sym_LPAREN,
    ACTIONS(299), 1,
      anon_sym_func,
    ACTIONS(315), 1,
      anon_sym_DQUOTE,
    ACTIONS(393), 1,
      sym_identifier,
    ACTIONS(397), 1,
      anon_sym_STAR,
    ACTIONS(399), 1,
      anon_sym_LT_DASH,
    STATE(384), 1,
      sym__expression,
    STATE(836), 1,
      sym_negated_type,
    STATE(862), 1,
      sym_qualified_type,
    STATE(1249), 1,
      sym_implicit_length_array_type,
    ACTIONS(309), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1305), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(313), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(859), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(401), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(881), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(317), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(419), 13,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [16644] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(231), 1,
      sym_identifier,
    ACTIONS(235), 1,
      anon_sym_LPAREN,
    ACTIONS(237), 1,
      anon_sym_func,
    ACTIONS(239), 1,
      anon_sym_STAR,
    ACTIONS(241), 1,
      anon_sym_LT_DASH,
    ACTIONS(251), 1,
      anon_sym_DQUOTE,
    ACTIONS(537), 1,
      anon_sym_chan,
    STATE(295), 1,
      sym__expression,
    STATE(836), 1,
      sym_negated_type,
    STATE(1027), 1,
      sym_qualified_type,
    STATE(1245), 1,
      sym_implicit_length_array_type,
    ACTIONS(245), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1307), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(249), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(859), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(247), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(1076), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(253), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(306), 13,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [16752] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(363), 1,
      sym_identifier,
    ACTIONS(365), 1,
      anon_sym_LPAREN,
    ACTIONS(367), 1,
      anon_sym_func,
    ACTIONS(369), 1,
      anon_sym_STAR,
    ACTIONS(371), 1,
      anon_sym_LT_DASH,
    ACTIONS(379), 1,
      anon_sym_DQUOTE,
    STATE(487), 1,
      sym__expression,
    STATE(836), 1,
      sym_negated_type,
    STATE(1012), 1,
      sym_qualified_type,
    STATE(1251), 1,
      sym_implicit_length_array_type,
    ACTIONS(373), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1276), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(377), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(859), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(375), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(1098), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(381), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(543), 13,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [16860] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(293), 1,
      sym_identifier,
    ACTIONS(295), 1,
      anon_sym_LPAREN,
    ACTIONS(299), 1,
      anon_sym_func,
    ACTIONS(301), 1,
      anon_sym_STAR,
    ACTIONS(307), 1,
      anon_sym_LT_DASH,
    ACTIONS(315), 1,
      anon_sym_DQUOTE,
    STATE(587), 1,
      sym__expression,
    STATE(836), 1,
      sym_negated_type,
    STATE(862), 1,
      sym_qualified_type,
    STATE(1249), 1,
      sym_implicit_length_array_type,
    ACTIONS(309), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1305), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(313), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(859), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(311), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(881), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(317), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(419), 13,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [16968] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(295), 1,
      anon_sym_LPAREN,
    ACTIONS(299), 1,
      anon_sym_func,
    ACTIONS(315), 1,
      anon_sym_DQUOTE,
    ACTIONS(393), 1,
      sym_identifier,
    ACTIONS(397), 1,
      anon_sym_STAR,
    ACTIONS(399), 1,
      anon_sym_LT_DASH,
    STATE(563), 1,
      sym__expression,
    STATE(836), 1,
      sym_negated_type,
    STATE(862), 1,
      sym_qualified_type,
    STATE(1249), 1,
      sym_implicit_length_array_type,
    ACTIONS(309), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1305), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(313), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(859), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(401), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(881), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(317), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(419), 13,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [17076] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(295), 1,
      anon_sym_LPAREN,
    ACTIONS(299), 1,
      anon_sym_func,
    ACTIONS(315), 1,
      anon_sym_DQUOTE,
    ACTIONS(393), 1,
      sym_identifier,
    ACTIONS(397), 1,
      anon_sym_STAR,
    ACTIONS(399), 1,
      anon_sym_LT_DASH,
    STATE(566), 1,
      sym__expression,
    STATE(836), 1,
      sym_negated_type,
    STATE(862), 1,
      sym_qualified_type,
    STATE(1249), 1,
      sym_implicit_length_array_type,
    ACTIONS(309), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1305), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(313), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(859), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(401), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(881), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(317), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(419), 13,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [17184] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(295), 1,
      anon_sym_LPAREN,
    ACTIONS(299), 1,
      anon_sym_func,
    ACTIONS(315), 1,
      anon_sym_DQUOTE,
    ACTIONS(393), 1,
      sym_identifier,
    ACTIONS(397), 1,
      anon_sym_STAR,
    ACTIONS(399), 1,
      anon_sym_LT_DASH,
    STATE(561), 1,
      sym__expression,
    STATE(836), 1,
      sym_negated_type,
    STATE(862), 1,
      sym_qualified_type,
    STATE(1249), 1,
      sym_implicit_length_array_type,
    ACTIONS(309), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1305), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(313), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(859), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(401), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(881), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(317), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(419), 13,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [17292] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(293), 1,
      sym_identifier,
    ACTIONS(295), 1,
      anon_sym_LPAREN,
    ACTIONS(299), 1,
      anon_sym_func,
    ACTIONS(301), 1,
      anon_sym_STAR,
    ACTIONS(307), 1,
      anon_sym_LT_DASH,
    ACTIONS(315), 1,
      anon_sym_DQUOTE,
    STATE(383), 1,
      sym__expression,
    STATE(836), 1,
      sym_negated_type,
    STATE(862), 1,
      sym_qualified_type,
    STATE(1249), 1,
      sym_implicit_length_array_type,
    ACTIONS(309), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1305), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(313), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(859), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(311), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(881), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(317), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(419), 13,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [17400] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(293), 1,
      sym_identifier,
    ACTIONS(295), 1,
      anon_sym_LPAREN,
    ACTIONS(299), 1,
      anon_sym_func,
    ACTIONS(301), 1,
      anon_sym_STAR,
    ACTIONS(307), 1,
      anon_sym_LT_DASH,
    ACTIONS(315), 1,
      anon_sym_DQUOTE,
    STATE(384), 1,
      sym__expression,
    STATE(836), 1,
      sym_negated_type,
    STATE(862), 1,
      sym_qualified_type,
    STATE(1249), 1,
      sym_implicit_length_array_type,
    ACTIONS(309), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1305), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(313), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(859), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(311), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(881), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(317), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(419), 13,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [17508] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(293), 1,
      sym_identifier,
    ACTIONS(295), 1,
      anon_sym_LPAREN,
    ACTIONS(299), 1,
      anon_sym_func,
    ACTIONS(301), 1,
      anon_sym_STAR,
    ACTIONS(307), 1,
      anon_sym_LT_DASH,
    ACTIONS(315), 1,
      anon_sym_DQUOTE,
    STATE(430), 1,
      sym__expression,
    STATE(836), 1,
      sym_negated_type,
    STATE(862), 1,
      sym_qualified_type,
    STATE(1249), 1,
      sym_implicit_length_array_type,
    ACTIONS(309), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1305), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(313), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(859), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(311), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(881), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(317), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(419), 13,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [17616] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(293), 1,
      sym_identifier,
    ACTIONS(295), 1,
      anon_sym_LPAREN,
    ACTIONS(299), 1,
      anon_sym_func,
    ACTIONS(301), 1,
      anon_sym_STAR,
    ACTIONS(307), 1,
      anon_sym_LT_DASH,
    ACTIONS(315), 1,
      anon_sym_DQUOTE,
    STATE(432), 1,
      sym__expression,
    STATE(836), 1,
      sym_negated_type,
    STATE(862), 1,
      sym_qualified_type,
    STATE(1249), 1,
      sym_implicit_length_array_type,
    ACTIONS(309), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1305), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(313), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(859), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(311), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(881), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(317), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(419), 13,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [17724] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(293), 1,
      sym_identifier,
    ACTIONS(295), 1,
      anon_sym_LPAREN,
    ACTIONS(299), 1,
      anon_sym_func,
    ACTIONS(301), 1,
      anon_sym_STAR,
    ACTIONS(307), 1,
      anon_sym_LT_DASH,
    ACTIONS(315), 1,
      anon_sym_DQUOTE,
    STATE(439), 1,
      sym__expression,
    STATE(836), 1,
      sym_negated_type,
    STATE(862), 1,
      sym_qualified_type,
    STATE(1249), 1,
      sym_implicit_length_array_type,
    ACTIONS(309), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1305), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(313), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(859), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(311), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(881), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(317), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(419), 13,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [17832] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(293), 1,
      sym_identifier,
    ACTIONS(295), 1,
      anon_sym_LPAREN,
    ACTIONS(299), 1,
      anon_sym_func,
    ACTIONS(301), 1,
      anon_sym_STAR,
    ACTIONS(307), 1,
      anon_sym_LT_DASH,
    ACTIONS(315), 1,
      anon_sym_DQUOTE,
    STATE(437), 1,
      sym__expression,
    STATE(836), 1,
      sym_negated_type,
    STATE(862), 1,
      sym_qualified_type,
    STATE(1249), 1,
      sym_implicit_length_array_type,
    ACTIONS(309), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1305), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(313), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(859), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(311), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(881), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(317), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(419), 13,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [17940] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(295), 1,
      anon_sym_LPAREN,
    ACTIONS(299), 1,
      anon_sym_func,
    ACTIONS(315), 1,
      anon_sym_DQUOTE,
    ACTIONS(393), 1,
      sym_identifier,
    ACTIONS(397), 1,
      anon_sym_STAR,
    ACTIONS(399), 1,
      anon_sym_LT_DASH,
    STATE(383), 1,
      sym__expression,
    STATE(836), 1,
      sym_negated_type,
    STATE(862), 1,
      sym_qualified_type,
    STATE(1249), 1,
      sym_implicit_length_array_type,
    ACTIONS(309), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(937), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(313), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(859), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(401), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(881), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(317), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(419), 13,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [18048] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(265), 1,
      sym_identifier,
    ACTIONS(273), 1,
      anon_sym_func,
    ACTIONS(477), 1,
      anon_sym_LPAREN,
    ACTIONS(479), 1,
      anon_sym_STAR,
    ACTIONS(481), 1,
      anon_sym_LT_DASH,
    ACTIONS(487), 1,
      anon_sym_DQUOTE,
    STATE(428), 1,
      sym__expression,
    STATE(836), 1,
      sym_negated_type,
    STATE(1013), 1,
      sym_qualified_type,
    STATE(1250), 1,
      sym_implicit_length_array_type,
    ACTIONS(283), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1306), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(485), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(859), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(483), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(1058), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(287), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(488), 13,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [18156] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(295), 1,
      anon_sym_LPAREN,
    ACTIONS(299), 1,
      anon_sym_func,
    ACTIONS(315), 1,
      anon_sym_DQUOTE,
    ACTIONS(403), 1,
      sym_identifier,
    ACTIONS(405), 1,
      anon_sym_STAR,
    ACTIONS(409), 1,
      anon_sym_LT_DASH,
    ACTIONS(537), 1,
      anon_sym_chan,
    STATE(383), 1,
      sym__expression,
    STATE(836), 1,
      sym_negated_type,
    STATE(862), 1,
      sym_qualified_type,
    STATE(1249), 1,
      sym_implicit_length_array_type,
    ACTIONS(309), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1305), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(313), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(859), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(411), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(881), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(317), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(419), 13,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [18264] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(265), 1,
      sym_identifier,
    ACTIONS(273), 1,
      anon_sym_func,
    ACTIONS(477), 1,
      anon_sym_LPAREN,
    ACTIONS(479), 1,
      anon_sym_STAR,
    ACTIONS(481), 1,
      anon_sym_LT_DASH,
    ACTIONS(487), 1,
      anon_sym_DQUOTE,
    STATE(429), 1,
      sym__expression,
    STATE(836), 1,
      sym_negated_type,
    STATE(1013), 1,
      sym_qualified_type,
    STATE(1250), 1,
      sym_implicit_length_array_type,
    ACTIONS(283), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1306), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(485), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(859), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(483), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(1058), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(287), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(488), 13,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [18372] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(265), 1,
      sym_identifier,
    ACTIONS(273), 1,
      anon_sym_func,
    ACTIONS(477), 1,
      anon_sym_LPAREN,
    ACTIONS(479), 1,
      anon_sym_STAR,
    ACTIONS(481), 1,
      anon_sym_LT_DASH,
    ACTIONS(487), 1,
      anon_sym_DQUOTE,
    STATE(433), 1,
      sym__expression,
    STATE(836), 1,
      sym_negated_type,
    STATE(1013), 1,
      sym_qualified_type,
    STATE(1250), 1,
      sym_implicit_length_array_type,
    ACTIONS(283), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1306), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(485), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(859), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(483), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(1058), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(287), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(488), 13,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [18480] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(265), 1,
      sym_identifier,
    ACTIONS(273), 1,
      anon_sym_func,
    ACTIONS(477), 1,
      anon_sym_LPAREN,
    ACTIONS(479), 1,
      anon_sym_STAR,
    ACTIONS(481), 1,
      anon_sym_LT_DASH,
    ACTIONS(487), 1,
      anon_sym_DQUOTE,
    STATE(436), 1,
      sym__expression,
    STATE(836), 1,
      sym_negated_type,
    STATE(1013), 1,
      sym_qualified_type,
    STATE(1250), 1,
      sym_implicit_length_array_type,
    ACTIONS(283), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1306), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(485), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(859), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(483), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(1058), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(287), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(488), 13,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [18588] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(265), 1,
      sym_identifier,
    ACTIONS(273), 1,
      anon_sym_func,
    ACTIONS(477), 1,
      anon_sym_LPAREN,
    ACTIONS(479), 1,
      anon_sym_STAR,
    ACTIONS(481), 1,
      anon_sym_LT_DASH,
    ACTIONS(487), 1,
      anon_sym_DQUOTE,
    STATE(434), 1,
      sym__expression,
    STATE(836), 1,
      sym_negated_type,
    STATE(1013), 1,
      sym_qualified_type,
    STATE(1250), 1,
      sym_implicit_length_array_type,
    ACTIONS(283), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1306), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(485), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(859), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(483), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(1058), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(287), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(488), 13,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [18696] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(265), 1,
      sym_identifier,
    ACTIONS(273), 1,
      anon_sym_func,
    ACTIONS(477), 1,
      anon_sym_LPAREN,
    ACTIONS(479), 1,
      anon_sym_STAR,
    ACTIONS(481), 1,
      anon_sym_LT_DASH,
    ACTIONS(487), 1,
      anon_sym_DQUOTE,
    STATE(438), 1,
      sym__expression,
    STATE(836), 1,
      sym_negated_type,
    STATE(1013), 1,
      sym_qualified_type,
    STATE(1250), 1,
      sym_implicit_length_array_type,
    ACTIONS(283), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1306), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(485), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(859), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(483), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(1058), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(287), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(488), 13,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [18804] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(231), 1,
      sym_identifier,
    ACTIONS(235), 1,
      anon_sym_LPAREN,
    ACTIONS(237), 1,
      anon_sym_func,
    ACTIONS(239), 1,
      anon_sym_STAR,
    ACTIONS(241), 1,
      anon_sym_LT_DASH,
    ACTIONS(251), 1,
      anon_sym_DQUOTE,
    STATE(295), 1,
      sym__expression,
    STATE(836), 1,
      sym_negated_type,
    STATE(1027), 1,
      sym_qualified_type,
    STATE(1245), 1,
      sym_implicit_length_array_type,
    ACTIONS(245), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1307), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(249), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(859), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(247), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(1076), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(253), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(306), 13,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [18912] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(231), 1,
      sym_identifier,
    ACTIONS(235), 1,
      anon_sym_LPAREN,
    ACTIONS(237), 1,
      anon_sym_func,
    ACTIONS(239), 1,
      anon_sym_STAR,
    ACTIONS(241), 1,
      anon_sym_LT_DASH,
    ACTIONS(251), 1,
      anon_sym_DQUOTE,
    STATE(294), 1,
      sym__expression,
    STATE(836), 1,
      sym_negated_type,
    STATE(1027), 1,
      sym_qualified_type,
    STATE(1245), 1,
      sym_implicit_length_array_type,
    ACTIONS(245), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1307), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(249), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(859), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(247), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(1076), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(253), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(306), 13,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [19020] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(231), 1,
      sym_identifier,
    ACTIONS(235), 1,
      anon_sym_LPAREN,
    ACTIONS(237), 1,
      anon_sym_func,
    ACTIONS(239), 1,
      anon_sym_STAR,
    ACTIONS(241), 1,
      anon_sym_LT_DASH,
    ACTIONS(251), 1,
      anon_sym_DQUOTE,
    STATE(289), 1,
      sym__expression,
    STATE(836), 1,
      sym_negated_type,
    STATE(1027), 1,
      sym_qualified_type,
    STATE(1245), 1,
      sym_implicit_length_array_type,
    ACTIONS(245), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1307), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(249), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(859), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(247), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(1076), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(253), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(306), 13,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [19128] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(231), 1,
      sym_identifier,
    ACTIONS(235), 1,
      anon_sym_LPAREN,
    ACTIONS(237), 1,
      anon_sym_func,
    ACTIONS(239), 1,
      anon_sym_STAR,
    ACTIONS(241), 1,
      anon_sym_LT_DASH,
    ACTIONS(251), 1,
      anon_sym_DQUOTE,
    STATE(290), 1,
      sym__expression,
    STATE(836), 1,
      sym_negated_type,
    STATE(1027), 1,
      sym_qualified_type,
    STATE(1245), 1,
      sym_implicit_length_array_type,
    ACTIONS(245), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1307), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(249), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(859), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(247), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(1076), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(253), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(306), 13,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [19236] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(231), 1,
      sym_identifier,
    ACTIONS(235), 1,
      anon_sym_LPAREN,
    ACTIONS(237), 1,
      anon_sym_func,
    ACTIONS(239), 1,
      anon_sym_STAR,
    ACTIONS(241), 1,
      anon_sym_LT_DASH,
    ACTIONS(251), 1,
      anon_sym_DQUOTE,
    STATE(291), 1,
      sym__expression,
    STATE(836), 1,
      sym_negated_type,
    STATE(1027), 1,
      sym_qualified_type,
    STATE(1245), 1,
      sym_implicit_length_array_type,
    ACTIONS(245), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1307), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(249), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(859), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(247), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(1076), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(253), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(306), 13,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [19344] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(231), 1,
      sym_identifier,
    ACTIONS(235), 1,
      anon_sym_LPAREN,
    ACTIONS(237), 1,
      anon_sym_func,
    ACTIONS(239), 1,
      anon_sym_STAR,
    ACTIONS(241), 1,
      anon_sym_LT_DASH,
    ACTIONS(251), 1,
      anon_sym_DQUOTE,
    STATE(292), 1,
      sym__expression,
    STATE(836), 1,
      sym_negated_type,
    STATE(1027), 1,
      sym_qualified_type,
    STATE(1245), 1,
      sym_implicit_length_array_type,
    ACTIONS(245), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1307), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(249), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(859), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(247), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(1076), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(253), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(306), 13,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [19452] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(295), 1,
      anon_sym_LPAREN,
    ACTIONS(299), 1,
      anon_sym_func,
    ACTIONS(315), 1,
      anon_sym_DQUOTE,
    ACTIONS(403), 1,
      sym_identifier,
    ACTIONS(405), 1,
      anon_sym_STAR,
    ACTIONS(409), 1,
      anon_sym_LT_DASH,
    STATE(383), 1,
      sym__expression,
    STATE(836), 1,
      sym_negated_type,
    STATE(862), 1,
      sym_qualified_type,
    STATE(1249), 1,
      sym_implicit_length_array_type,
    ACTIONS(309), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(937), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(313), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(859), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(411), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(881), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(317), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(419), 13,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [19560] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(541), 1,
      sym_identifier,
    ACTIONS(543), 1,
      anon_sym_LPAREN,
    ACTIONS(545), 1,
      anon_sym_func,
    ACTIONS(547), 1,
      anon_sym_STAR,
    ACTIONS(549), 1,
      anon_sym_LT_DASH,
    ACTIONS(557), 1,
      anon_sym_DQUOTE,
    STATE(336), 1,
      sym__expression,
    STATE(836), 1,
      sym_negated_type,
    STATE(1022), 1,
      sym_qualified_type,
    STATE(1292), 1,
      sym_implicit_length_array_type,
    ACTIONS(551), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1308), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(555), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(859), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(553), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(1088), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(559), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(356), 13,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [19668] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(537), 1,
      anon_sym_chan,
    ACTIONS(541), 1,
      sym_identifier,
    ACTIONS(543), 1,
      anon_sym_LPAREN,
    ACTIONS(545), 1,
      anon_sym_func,
    ACTIONS(547), 1,
      anon_sym_STAR,
    ACTIONS(549), 1,
      anon_sym_LT_DASH,
    ACTIONS(557), 1,
      anon_sym_DQUOTE,
    STATE(336), 1,
      sym__expression,
    STATE(836), 1,
      sym_negated_type,
    STATE(1022), 1,
      sym_qualified_type,
    STATE(1292), 1,
      sym_implicit_length_array_type,
    ACTIONS(551), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1308), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(555), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(859), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(553), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(1088), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(559), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(356), 13,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [19776] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(541), 1,
      sym_identifier,
    ACTIONS(543), 1,
      anon_sym_LPAREN,
    ACTIONS(545), 1,
      anon_sym_func,
    ACTIONS(547), 1,
      anon_sym_STAR,
    ACTIONS(549), 1,
      anon_sym_LT_DASH,
    ACTIONS(557), 1,
      anon_sym_DQUOTE,
    STATE(336), 1,
      sym__expression,
    STATE(836), 1,
      sym_negated_type,
    STATE(1022), 1,
      sym_qualified_type,
    STATE(1292), 1,
      sym_implicit_length_array_type,
    ACTIONS(551), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(937), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(555), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(859), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(553), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(1088), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(559), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(356), 13,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [19884] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(363), 1,
      sym_identifier,
    ACTIONS(365), 1,
      anon_sym_LPAREN,
    ACTIONS(367), 1,
      anon_sym_func,
    ACTIONS(369), 1,
      anon_sym_STAR,
    ACTIONS(371), 1,
      anon_sym_LT_DASH,
    ACTIONS(379), 1,
      anon_sym_DQUOTE,
    ACTIONS(537), 1,
      anon_sym_chan,
    STATE(487), 1,
      sym__expression,
    STATE(836), 1,
      sym_negated_type,
    STATE(1012), 1,
      sym_qualified_type,
    STATE(1251), 1,
      sym_implicit_length_array_type,
    ACTIONS(373), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1276), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(377), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(859), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(375), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(1098), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(381), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(543), 13,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [19992] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(295), 1,
      anon_sym_LPAREN,
    ACTIONS(299), 1,
      anon_sym_func,
    ACTIONS(307), 1,
      anon_sym_LT_DASH,
    ACTIONS(315), 1,
      anon_sym_DQUOTE,
    ACTIONS(387), 1,
      sym_identifier,
    ACTIONS(389), 1,
      anon_sym_STAR,
    STATE(383), 1,
      sym__expression,
    STATE(836), 1,
      sym_negated_type,
    STATE(862), 1,
      sym_qualified_type,
    STATE(1249), 1,
      sym_implicit_length_array_type,
    ACTIONS(309), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(937), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(313), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(859), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(311), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(881), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(317), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(419), 13,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [20100] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(363), 1,
      sym_identifier,
    ACTIONS(365), 1,
      anon_sym_LPAREN,
    ACTIONS(367), 1,
      anon_sym_func,
    ACTIONS(369), 1,
      anon_sym_STAR,
    ACTIONS(371), 1,
      anon_sym_LT_DASH,
    ACTIONS(379), 1,
      anon_sym_DQUOTE,
    STATE(487), 1,
      sym__expression,
    STATE(836), 1,
      sym_negated_type,
    STATE(1012), 1,
      sym_qualified_type,
    STATE(1251), 1,
      sym_implicit_length_array_type,
    ACTIONS(373), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(937), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(377), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(859), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(375), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(1098), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(381), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(543), 13,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [20208] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(293), 1,
      sym_identifier,
    ACTIONS(295), 1,
      anon_sym_LPAREN,
    ACTIONS(299), 1,
      anon_sym_func,
    ACTIONS(315), 1,
      anon_sym_DQUOTE,
    ACTIONS(399), 1,
      anon_sym_LT_DASH,
    ACTIONS(535), 1,
      anon_sym_STAR,
    STATE(649), 1,
      sym__expression,
    STATE(836), 1,
      sym_negated_type,
    STATE(862), 1,
      sym_qualified_type,
    STATE(1249), 1,
      sym_implicit_length_array_type,
    ACTIONS(309), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1148), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(313), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(859), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(401), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(881), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(317), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(419), 13,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [20316] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(295), 1,
      anon_sym_LPAREN,
    ACTIONS(299), 1,
      anon_sym_func,
    ACTIONS(315), 1,
      anon_sym_DQUOTE,
    ACTIONS(393), 1,
      sym_identifier,
    ACTIONS(397), 1,
      anon_sym_STAR,
    ACTIONS(399), 1,
      anon_sym_LT_DASH,
    STATE(618), 1,
      sym__expression,
    STATE(836), 1,
      sym_negated_type,
    STATE(862), 1,
      sym_qualified_type,
    STATE(1249), 1,
      sym_implicit_length_array_type,
    ACTIONS(309), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1305), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(313), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(859), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(401), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(881), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(317), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(419), 13,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [20424] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(541), 1,
      sym_identifier,
    ACTIONS(543), 1,
      anon_sym_LPAREN,
    ACTIONS(545), 1,
      anon_sym_func,
    ACTIONS(547), 1,
      anon_sym_STAR,
    ACTIONS(549), 1,
      anon_sym_LT_DASH,
    ACTIONS(557), 1,
      anon_sym_DQUOTE,
    STATE(338), 1,
      sym__expression,
    STATE(836), 1,
      sym_negated_type,
    STATE(1022), 1,
      sym_qualified_type,
    STATE(1292), 1,
      sym_implicit_length_array_type,
    ACTIONS(551), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1308), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(555), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(859), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(553), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(1088), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(559), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(356), 13,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [20532] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(293), 1,
      sym_identifier,
    ACTIONS(295), 1,
      anon_sym_LPAREN,
    ACTIONS(299), 1,
      anon_sym_func,
    ACTIONS(301), 1,
      anon_sym_STAR,
    ACTIONS(307), 1,
      anon_sym_LT_DASH,
    ACTIONS(315), 1,
      anon_sym_DQUOTE,
    STATE(677), 1,
      sym__expression,
    STATE(836), 1,
      sym_negated_type,
    STATE(862), 1,
      sym_qualified_type,
    STATE(1249), 1,
      sym_implicit_length_array_type,
    ACTIONS(309), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1305), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(313), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(859), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(311), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(881), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(317), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(419), 13,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [20640] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(293), 1,
      sym_identifier,
    ACTIONS(295), 1,
      anon_sym_LPAREN,
    ACTIONS(299), 1,
      anon_sym_func,
    ACTIONS(301), 1,
      anon_sym_STAR,
    ACTIONS(307), 1,
      anon_sym_LT_DASH,
    ACTIONS(315), 1,
      anon_sym_DQUOTE,
    STATE(637), 1,
      sym__expression,
    STATE(836), 1,
      sym_negated_type,
    STATE(862), 1,
      sym_qualified_type,
    STATE(1249), 1,
      sym_implicit_length_array_type,
    ACTIONS(309), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1305), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(313), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(859), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(311), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(881), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(317), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(419), 13,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [20748] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(293), 1,
      sym_identifier,
    ACTIONS(295), 1,
      anon_sym_LPAREN,
    ACTIONS(299), 1,
      anon_sym_func,
    ACTIONS(315), 1,
      anon_sym_DQUOTE,
    ACTIONS(399), 1,
      anon_sym_LT_DASH,
    ACTIONS(535), 1,
      anon_sym_STAR,
    STATE(660), 1,
      sym__expression,
    STATE(836), 1,
      sym_negated_type,
    STATE(862), 1,
      sym_qualified_type,
    STATE(1249), 1,
      sym_implicit_length_array_type,
    ACTIONS(309), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1148), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(313), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(859), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(401), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(881), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(317), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(419), 13,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [20856] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(295), 1,
      anon_sym_LPAREN,
    ACTIONS(299), 1,
      anon_sym_func,
    ACTIONS(315), 1,
      anon_sym_DQUOTE,
    ACTIONS(393), 1,
      sym_identifier,
    ACTIONS(397), 1,
      anon_sym_STAR,
    ACTIONS(399), 1,
      anon_sym_LT_DASH,
    STATE(594), 1,
      sym__expression,
    STATE(836), 1,
      sym_negated_type,
    STATE(862), 1,
      sym_qualified_type,
    STATE(1249), 1,
      sym_implicit_length_array_type,
    ACTIONS(309), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1305), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(313), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(859), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(401), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(881), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(317), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(419), 13,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [20964] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(541), 1,
      sym_identifier,
    ACTIONS(543), 1,
      anon_sym_LPAREN,
    ACTIONS(545), 1,
      anon_sym_func,
    ACTIONS(547), 1,
      anon_sym_STAR,
    ACTIONS(549), 1,
      anon_sym_LT_DASH,
    ACTIONS(557), 1,
      anon_sym_DQUOTE,
    STATE(339), 1,
      sym__expression,
    STATE(836), 1,
      sym_negated_type,
    STATE(1022), 1,
      sym_qualified_type,
    STATE(1292), 1,
      sym_implicit_length_array_type,
    ACTIONS(551), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1308), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(555), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(859), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(553), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(1088), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(559), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(356), 13,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [21072] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(293), 1,
      sym_identifier,
    ACTIONS(295), 1,
      anon_sym_LPAREN,
    ACTIONS(299), 1,
      anon_sym_func,
    ACTIONS(301), 1,
      anon_sym_STAR,
    ACTIONS(307), 1,
      anon_sym_LT_DASH,
    ACTIONS(315), 1,
      anon_sym_DQUOTE,
    STATE(674), 1,
      sym__expression,
    STATE(836), 1,
      sym_negated_type,
    STATE(862), 1,
      sym_qualified_type,
    STATE(1249), 1,
      sym_implicit_length_array_type,
    ACTIONS(309), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1305), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(313), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(859), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(311), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(881), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(317), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(419), 13,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [21180] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(293), 1,
      sym_identifier,
    ACTIONS(295), 1,
      anon_sym_LPAREN,
    ACTIONS(299), 1,
      anon_sym_func,
    ACTIONS(301), 1,
      anon_sym_STAR,
    ACTIONS(307), 1,
      anon_sym_LT_DASH,
    ACTIONS(315), 1,
      anon_sym_DQUOTE,
    STATE(675), 1,
      sym__expression,
    STATE(836), 1,
      sym_negated_type,
    STATE(862), 1,
      sym_qualified_type,
    STATE(1249), 1,
      sym_implicit_length_array_type,
    ACTIONS(309), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1305), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(313), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(859), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(311), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(881), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(317), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(419), 13,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [21288] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(293), 1,
      sym_identifier,
    ACTIONS(295), 1,
      anon_sym_LPAREN,
    ACTIONS(299), 1,
      anon_sym_func,
    ACTIONS(315), 1,
      anon_sym_DQUOTE,
    ACTIONS(399), 1,
      anon_sym_LT_DASH,
    ACTIONS(535), 1,
      anon_sym_STAR,
    STATE(679), 1,
      sym__expression,
    STATE(836), 1,
      sym_negated_type,
    STATE(862), 1,
      sym_qualified_type,
    STATE(1249), 1,
      sym_implicit_length_array_type,
    ACTIONS(309), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1148), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(313), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(859), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(401), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(881), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(317), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(419), 13,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [21396] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(295), 1,
      anon_sym_LPAREN,
    ACTIONS(299), 1,
      anon_sym_func,
    ACTIONS(315), 1,
      anon_sym_DQUOTE,
    ACTIONS(393), 1,
      sym_identifier,
    ACTIONS(397), 1,
      anon_sym_STAR,
    ACTIONS(399), 1,
      anon_sym_LT_DASH,
    STATE(602), 1,
      sym__expression,
    STATE(836), 1,
      sym_negated_type,
    STATE(862), 1,
      sym_qualified_type,
    STATE(1249), 1,
      sym_implicit_length_array_type,
    ACTIONS(309), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1305), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(313), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(859), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(401), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(881), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(317), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(419), 13,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [21504] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(541), 1,
      sym_identifier,
    ACTIONS(543), 1,
      anon_sym_LPAREN,
    ACTIONS(545), 1,
      anon_sym_func,
    ACTIONS(547), 1,
      anon_sym_STAR,
    ACTIONS(549), 1,
      anon_sym_LT_DASH,
    ACTIONS(557), 1,
      anon_sym_DQUOTE,
    STATE(340), 1,
      sym__expression,
    STATE(836), 1,
      sym_negated_type,
    STATE(1022), 1,
      sym_qualified_type,
    STATE(1292), 1,
      sym_implicit_length_array_type,
    ACTIONS(551), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1308), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(555), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(859), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(553), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(1088), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(559), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(356), 13,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [21612] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(293), 1,
      sym_identifier,
    ACTIONS(295), 1,
      anon_sym_LPAREN,
    ACTIONS(299), 1,
      anon_sym_func,
    ACTIONS(301), 1,
      anon_sym_STAR,
    ACTIONS(307), 1,
      anon_sym_LT_DASH,
    ACTIONS(315), 1,
      anon_sym_DQUOTE,
    STATE(664), 1,
      sym__expression,
    STATE(836), 1,
      sym_negated_type,
    STATE(862), 1,
      sym_qualified_type,
    STATE(1249), 1,
      sym_implicit_length_array_type,
    ACTIONS(309), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1305), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(313), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(859), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(311), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(881), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(317), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(419), 13,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [21720] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(293), 1,
      sym_identifier,
    ACTIONS(295), 1,
      anon_sym_LPAREN,
    ACTIONS(299), 1,
      anon_sym_func,
    ACTIONS(301), 1,
      anon_sym_STAR,
    ACTIONS(307), 1,
      anon_sym_LT_DASH,
    ACTIONS(315), 1,
      anon_sym_DQUOTE,
    STATE(665), 1,
      sym__expression,
    STATE(836), 1,
      sym_negated_type,
    STATE(862), 1,
      sym_qualified_type,
    STATE(1249), 1,
      sym_implicit_length_array_type,
    ACTIONS(309), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1305), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(313), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(859), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(311), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(881), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(317), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(419), 13,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [21828] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(293), 1,
      sym_identifier,
    ACTIONS(295), 1,
      anon_sym_LPAREN,
    ACTIONS(299), 1,
      anon_sym_func,
    ACTIONS(315), 1,
      anon_sym_DQUOTE,
    ACTIONS(399), 1,
      anon_sym_LT_DASH,
    ACTIONS(535), 1,
      anon_sym_STAR,
    STATE(670), 1,
      sym__expression,
    STATE(836), 1,
      sym_negated_type,
    STATE(862), 1,
      sym_qualified_type,
    STATE(1249), 1,
      sym_implicit_length_array_type,
    ACTIONS(309), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1148), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(313), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(859), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(401), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(881), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(317), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(419), 13,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [21936] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(295), 1,
      anon_sym_LPAREN,
    ACTIONS(299), 1,
      anon_sym_func,
    ACTIONS(315), 1,
      anon_sym_DQUOTE,
    ACTIONS(393), 1,
      sym_identifier,
    ACTIONS(397), 1,
      anon_sym_STAR,
    ACTIONS(399), 1,
      anon_sym_LT_DASH,
    STATE(609), 1,
      sym__expression,
    STATE(836), 1,
      sym_negated_type,
    STATE(862), 1,
      sym_qualified_type,
    STATE(1249), 1,
      sym_implicit_length_array_type,
    ACTIONS(309), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1305), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(313), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(859), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(401), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(881), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(317), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(419), 13,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [22044] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(541), 1,
      sym_identifier,
    ACTIONS(543), 1,
      anon_sym_LPAREN,
    ACTIONS(545), 1,
      anon_sym_func,
    ACTIONS(547), 1,
      anon_sym_STAR,
    ACTIONS(549), 1,
      anon_sym_LT_DASH,
    ACTIONS(557), 1,
      anon_sym_DQUOTE,
    STATE(341), 1,
      sym__expression,
    STATE(836), 1,
      sym_negated_type,
    STATE(1022), 1,
      sym_qualified_type,
    STATE(1292), 1,
      sym_implicit_length_array_type,
    ACTIONS(551), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1308), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(555), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(859), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(553), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(1088), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(559), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(356), 13,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [22152] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(293), 1,
      sym_identifier,
    ACTIONS(295), 1,
      anon_sym_LPAREN,
    ACTIONS(299), 1,
      anon_sym_func,
    ACTIONS(301), 1,
      anon_sym_STAR,
    ACTIONS(307), 1,
      anon_sym_LT_DASH,
    ACTIONS(315), 1,
      anon_sym_DQUOTE,
    STATE(639), 1,
      sym__expression,
    STATE(836), 1,
      sym_negated_type,
    STATE(862), 1,
      sym_qualified_type,
    STATE(1249), 1,
      sym_implicit_length_array_type,
    ACTIONS(309), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1305), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(313), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(859), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(311), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(881), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(317), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(419), 13,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [22260] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(293), 1,
      sym_identifier,
    ACTIONS(295), 1,
      anon_sym_LPAREN,
    ACTIONS(299), 1,
      anon_sym_func,
    ACTIONS(301), 1,
      anon_sym_STAR,
    ACTIONS(307), 1,
      anon_sym_LT_DASH,
    ACTIONS(315), 1,
      anon_sym_DQUOTE,
    STATE(640), 1,
      sym__expression,
    STATE(836), 1,
      sym_negated_type,
    STATE(862), 1,
      sym_qualified_type,
    STATE(1249), 1,
      sym_implicit_length_array_type,
    ACTIONS(309), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1305), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(313), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(859), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(311), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(881), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(317), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(419), 13,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [22368] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(293), 1,
      sym_identifier,
    ACTIONS(295), 1,
      anon_sym_LPAREN,
    ACTIONS(299), 1,
      anon_sym_func,
    ACTIONS(315), 1,
      anon_sym_DQUOTE,
    ACTIONS(399), 1,
      anon_sym_LT_DASH,
    ACTIONS(535), 1,
      anon_sym_STAR,
    STATE(644), 1,
      sym__expression,
    STATE(836), 1,
      sym_negated_type,
    STATE(862), 1,
      sym_qualified_type,
    STATE(1249), 1,
      sym_implicit_length_array_type,
    ACTIONS(309), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1148), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(313), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(859), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(401), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(881), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(317), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(419), 13,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [22476] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(295), 1,
      anon_sym_LPAREN,
    ACTIONS(299), 1,
      anon_sym_func,
    ACTIONS(315), 1,
      anon_sym_DQUOTE,
    ACTIONS(393), 1,
      sym_identifier,
    ACTIONS(397), 1,
      anon_sym_STAR,
    ACTIONS(399), 1,
      anon_sym_LT_DASH,
    STATE(616), 1,
      sym__expression,
    STATE(836), 1,
      sym_negated_type,
    STATE(862), 1,
      sym_qualified_type,
    STATE(1249), 1,
      sym_implicit_length_array_type,
    ACTIONS(309), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1305), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(313), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(859), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(401), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(881), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(317), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(419), 13,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [22584] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(541), 1,
      sym_identifier,
    ACTIONS(543), 1,
      anon_sym_LPAREN,
    ACTIONS(545), 1,
      anon_sym_func,
    ACTIONS(547), 1,
      anon_sym_STAR,
    ACTIONS(549), 1,
      anon_sym_LT_DASH,
    ACTIONS(557), 1,
      anon_sym_DQUOTE,
    STATE(337), 1,
      sym__expression,
    STATE(836), 1,
      sym_negated_type,
    STATE(1022), 1,
      sym_qualified_type,
    STATE(1292), 1,
      sym_implicit_length_array_type,
    ACTIONS(551), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1308), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(555), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(859), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(553), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(1088), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(559), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(356), 13,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [22692] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(293), 1,
      sym_identifier,
    ACTIONS(295), 1,
      anon_sym_LPAREN,
    ACTIONS(299), 1,
      anon_sym_func,
    ACTIONS(301), 1,
      anon_sym_STAR,
    ACTIONS(307), 1,
      anon_sym_LT_DASH,
    ACTIONS(315), 1,
      anon_sym_DQUOTE,
    STATE(661), 1,
      sym__expression,
    STATE(836), 1,
      sym_negated_type,
    STATE(862), 1,
      sym_qualified_type,
    STATE(1249), 1,
      sym_implicit_length_array_type,
    ACTIONS(309), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1305), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(313), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(859), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(311), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(881), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(317), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(419), 13,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [22800] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(293), 1,
      sym_identifier,
    ACTIONS(295), 1,
      anon_sym_LPAREN,
    ACTIONS(299), 1,
      anon_sym_func,
    ACTIONS(301), 1,
      anon_sym_STAR,
    ACTIONS(307), 1,
      anon_sym_LT_DASH,
    ACTIONS(315), 1,
      anon_sym_DQUOTE,
    STATE(662), 1,
      sym__expression,
    STATE(836), 1,
      sym_negated_type,
    STATE(862), 1,
      sym_qualified_type,
    STATE(1249), 1,
      sym_implicit_length_array_type,
    ACTIONS(309), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1305), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(313), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(859), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(311), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(881), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(317), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(419), 13,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [22908] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(295), 1,
      anon_sym_LPAREN,
    ACTIONS(299), 1,
      anon_sym_func,
    ACTIONS(315), 1,
      anon_sym_DQUOTE,
    ACTIONS(393), 1,
      sym_identifier,
    ACTIONS(397), 1,
      anon_sym_STAR,
    ACTIONS(399), 1,
      anon_sym_LT_DASH,
    STATE(560), 1,
      sym__expression,
    STATE(836), 1,
      sym_negated_type,
    STATE(862), 1,
      sym_qualified_type,
    STATE(1249), 1,
      sym_implicit_length_array_type,
    ACTIONS(309), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1305), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(313), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(859), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(401), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(881), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(317), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(419), 13,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [23016] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(303), 1,
      anon_sym_LBRACE,
    ACTIONS(561), 1,
      sym_identifier,
    ACTIONS(563), 1,
      anon_sym_DOT,
    ACTIONS(566), 1,
      anon_sym_LPAREN,
    ACTIONS(570), 1,
      anon_sym_COMMA,
    ACTIONS(572), 1,
      anon_sym_func,
    ACTIONS(574), 1,
      anon_sym_LBRACK,
    ACTIONS(580), 1,
      anon_sym_STAR,
    ACTIONS(585), 1,
      anon_sym_map,
    ACTIONS(587), 1,
      anon_sym_chan,
    ACTIONS(589), 1,
      anon_sym_LT_DASH,
    STATE(422), 1,
      sym_literal_value,
    STATE(536), 1,
      aux_sym_type_parameter_declaration_repeat1,
    STATE(856), 1,
      sym_type_arguments,
    STATE(1253), 1,
      sym_type_elem,
    STATE(870), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(1054), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(583), 5,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    STATE(859), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(578), 14,
      anon_sym_RBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [23116] = 10,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(578), 1,
      anon_sym_LF,
    ACTIONS(591), 1,
      anon_sym_DOT,
    ACTIONS(594), 1,
      anon_sym_LPAREN,
    ACTIONS(597), 1,
      anon_sym_LBRACK,
    ACTIONS(601), 1,
      anon_sym_LBRACE,
    ACTIONS(603), 1,
      anon_sym_COLON,
    STATE(252), 1,
      sym_literal_value,
    STATE(856), 1,
      sym_type_arguments,
    ACTIONS(583), 41,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_PIPE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [23187] = 10,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(578), 1,
      anon_sym_LF,
    ACTIONS(591), 1,
      anon_sym_DOT,
    ACTIONS(594), 1,
      anon_sym_LPAREN,
    ACTIONS(597), 1,
      anon_sym_LBRACK,
    ACTIONS(601), 1,
      anon_sym_LBRACE,
    ACTIONS(605), 1,
      anon_sym_COLON,
    STATE(252), 1,
      sym_literal_value,
    STATE(856), 1,
      sym_type_arguments,
    ACTIONS(583), 41,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_PIPE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [23258] = 9,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(578), 1,
      anon_sym_LF,
    ACTIONS(591), 1,
      anon_sym_DOT,
    ACTIONS(594), 1,
      anon_sym_LPAREN,
    ACTIONS(597), 1,
      anon_sym_LBRACK,
    ACTIONS(601), 1,
      anon_sym_LBRACE,
    STATE(252), 1,
      sym_literal_value,
    STATE(856), 1,
      sym_type_arguments,
    ACTIONS(583), 41,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_PIPE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [23326] = 19,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(607), 1,
      anon_sym_LF,
    ACTIONS(611), 1,
      anon_sym_DOT,
    ACTIONS(613), 1,
      anon_sym_LPAREN,
    ACTIONS(615), 1,
      anon_sym_COMMA,
    ACTIONS(619), 1,
      anon_sym_LBRACK,
    ACTIONS(625), 1,
      anon_sym_LT_DASH,
    ACTIONS(627), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(629), 1,
      anon_sym_DASH_DASH,
    ACTIONS(633), 1,
      anon_sym_AMP_AMP,
    ACTIONS(635), 1,
      anon_sym_PIPE_PIPE,
    STATE(280), 1,
      sym_argument_list,
    STATE(783), 1,
      aux_sym_expression_list_repeat1,
    STATE(1288), 1,
      sym_type_arguments,
    ACTIONS(623), 4,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(609), 5,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
    ACTIONS(631), 6,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
    ACTIONS(621), 7,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
    ACTIONS(617), 13,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
  [23414] = 8,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(611), 1,
      anon_sym_DOT,
    ACTIONS(613), 1,
      anon_sym_LPAREN,
    ACTIONS(619), 1,
      anon_sym_LBRACK,
    ACTIONS(637), 1,
      anon_sym_LF,
    STATE(280), 1,
      sym_argument_list,
    STATE(1288), 1,
      sym_type_arguments,
    ACTIONS(639), 41,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_PIPE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [23479] = 10,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(611), 1,
      anon_sym_DOT,
    ACTIONS(613), 1,
      anon_sym_LPAREN,
    ACTIONS(619), 1,
      anon_sym_LBRACK,
    ACTIONS(637), 1,
      anon_sym_LF,
    STATE(280), 1,
      sym_argument_list,
    STATE(1288), 1,
      sym_type_arguments,
    ACTIONS(623), 4,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(621), 7,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
    ACTIONS(639), 30,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_RBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_case,
      anon_sym_default,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [23548] = 11,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(611), 1,
      anon_sym_DOT,
    ACTIONS(613), 1,
      anon_sym_LPAREN,
    ACTIONS(619), 1,
      anon_sym_LBRACK,
    ACTIONS(637), 1,
      anon_sym_LF,
    STATE(280), 1,
      sym_argument_list,
    STATE(1288), 1,
      sym_type_arguments,
    ACTIONS(623), 4,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(631), 6,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
    ACTIONS(621), 7,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
    ACTIONS(639), 24,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_RBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_case,
      anon_sym_default,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [23619] = 9,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(611), 1,
      anon_sym_DOT,
    ACTIONS(613), 1,
      anon_sym_LPAREN,
    ACTIONS(619), 1,
      anon_sym_LBRACK,
    ACTIONS(637), 1,
      anon_sym_LF,
    STATE(280), 1,
      sym_argument_list,
    STATE(1288), 1,
      sym_type_arguments,
    ACTIONS(621), 7,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
    ACTIONS(639), 34,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_RBRACE,
      anon_sym_PIPE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [23686] = 12,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(611), 1,
      anon_sym_DOT,
    ACTIONS(613), 1,
      anon_sym_LPAREN,
    ACTIONS(619), 1,
      anon_sym_LBRACK,
    ACTIONS(633), 1,
      anon_sym_AMP_AMP,
    ACTIONS(637), 1,
      anon_sym_LF,
    STATE(280), 1,
      sym_argument_list,
    STATE(1288), 1,
      sym_type_arguments,
    ACTIONS(623), 4,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(631), 6,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
    ACTIONS(621), 7,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
    ACTIONS(639), 23,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_RBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PIPE_PIPE,
  [23759] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(77), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_TILDE,
      anon_sym_LBRACE,
      anon_sym_LT_DASH,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
      sym_raw_string_literal,
      anon_sym_DQUOTE,
      sym_imaginary_literal,
      sym_rune_literal,
    ACTIONS(641), 30,
      anon_sym_package,
      anon_sym_import,
      anon_sym_const,
      anon_sym_var,
      anon_sym_func,
      anon_sym_type,
      anon_sym_struct,
      anon_sym_interface,
      anon_sym_map,
      anon_sym_chan,
      anon_sym_fallthrough,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_goto,
      anon_sym_return,
      anon_sym_go,
      anon_sym_defer,
      anon_sym_if,
      anon_sym_for,
      anon_sym_switch,
      anon_sym_select,
      anon_sym_new,
      anon_sym_make,
      sym_identifier,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
  [23814] = 8,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(611), 1,
      anon_sym_DOT,
    ACTIONS(613), 1,
      anon_sym_LPAREN,
    ACTIONS(619), 1,
      anon_sym_LBRACK,
    ACTIONS(643), 1,
      anon_sym_LF,
    STATE(280), 1,
      sym_argument_list,
    STATE(1288), 1,
      sym_type_arguments,
    ACTIONS(645), 41,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_PIPE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [23879] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(647), 1,
      anon_sym_LF,
    ACTIONS(649), 45,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_PIPE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_else,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [23933] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(651), 1,
      anon_sym_LF,
    ACTIONS(653), 45,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_PIPE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_else,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [23987] = 5,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(578), 1,
      anon_sym_LF,
    ACTIONS(655), 1,
      anon_sym_LPAREN,
    STATE(280), 1,
      sym_special_argument_list,
    ACTIONS(583), 43,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_PIPE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [24045] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(657), 1,
      anon_sym_LF,
    ACTIONS(659), 45,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_PIPE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [24099] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(661), 1,
      anon_sym_LF,
    ACTIONS(663), 45,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_PIPE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [24153] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(665), 1,
      anon_sym_LF,
    ACTIONS(667), 44,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_PIPE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [24206] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(578), 1,
      anon_sym_LF,
    ACTIONS(583), 44,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_PIPE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [24259] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(669), 1,
      anon_sym_LF,
    ACTIONS(671), 44,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_PIPE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [24312] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(673), 1,
      anon_sym_LF,
    ACTIONS(675), 44,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_PIPE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [24365] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(677), 1,
      anon_sym_LF,
    ACTIONS(679), 44,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_PIPE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [24418] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(681), 1,
      anon_sym_LF,
    ACTIONS(683), 44,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_PIPE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [24471] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(685), 1,
      anon_sym_LF,
    ACTIONS(687), 44,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_PIPE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [24524] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(689), 1,
      anon_sym_LF,
    ACTIONS(691), 44,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_PIPE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [24577] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym_LBRACE,
    ACTIONS(607), 1,
      anon_sym_SEMI,
    ACTIONS(617), 1,
      anon_sym_EQ,
    ACTIONS(693), 1,
      anon_sym_DOT,
    ACTIONS(695), 1,
      anon_sym_LPAREN,
    ACTIONS(697), 1,
      anon_sym_COMMA,
    ACTIONS(699), 1,
      anon_sym_LBRACK,
    ACTIONS(705), 1,
      anon_sym_LT_DASH,
    ACTIONS(709), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(711), 1,
      anon_sym_DASH_DASH,
    ACTIONS(717), 1,
      anon_sym_AMP_AMP,
    ACTIONS(719), 1,
      anon_sym_PIPE_PIPE,
    STATE(333), 1,
      sym_argument_list,
    STATE(783), 1,
      aux_sym_expression_list_repeat1,
    STATE(903), 1,
      sym_block,
    STATE(1261), 1,
      sym_type_arguments,
    ACTIONS(715), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(703), 4,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(713), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(701), 7,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
    ACTIONS(707), 12,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
  [24668] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(721), 1,
      anon_sym_LF,
    ACTIONS(723), 44,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_PIPE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [24721] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(725), 1,
      anon_sym_LF,
    ACTIONS(727), 44,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_PIPE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [24774] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(729), 1,
      anon_sym_LF,
    ACTIONS(731), 44,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_PIPE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [24827] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(733), 1,
      anon_sym_LF,
    ACTIONS(735), 44,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_PIPE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [24880] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(737), 1,
      anon_sym_LF,
    ACTIONS(739), 44,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_PIPE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [24933] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(741), 1,
      anon_sym_LF,
    ACTIONS(743), 44,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_PIPE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [24986] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(745), 1,
      anon_sym_LF,
    ACTIONS(747), 44,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_PIPE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [25039] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(749), 1,
      anon_sym_LF,
    ACTIONS(751), 44,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_PIPE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [25092] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(753), 1,
      anon_sym_LF,
    ACTIONS(755), 44,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_PIPE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [25145] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(757), 1,
      anon_sym_LF,
    ACTIONS(759), 44,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_PIPE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [25198] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(761), 1,
      anon_sym_LF,
    ACTIONS(763), 44,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_PIPE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [25251] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(765), 1,
      anon_sym_LF,
    ACTIONS(767), 44,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_PIPE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [25304] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(769), 1,
      anon_sym_LF,
    ACTIONS(771), 44,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_PIPE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [25357] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(773), 1,
      anon_sym_LF,
    ACTIONS(775), 44,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_PIPE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [25410] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym_LBRACE,
    ACTIONS(607), 1,
      anon_sym_SEMI,
    ACTIONS(617), 1,
      anon_sym_EQ,
    ACTIONS(693), 1,
      anon_sym_DOT,
    ACTIONS(695), 1,
      anon_sym_LPAREN,
    ACTIONS(697), 1,
      anon_sym_COMMA,
    ACTIONS(699), 1,
      anon_sym_LBRACK,
    ACTIONS(705), 1,
      anon_sym_LT_DASH,
    ACTIONS(709), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(711), 1,
      anon_sym_DASH_DASH,
    ACTIONS(717), 1,
      anon_sym_AMP_AMP,
    ACTIONS(719), 1,
      anon_sym_PIPE_PIPE,
    STATE(333), 1,
      sym_argument_list,
    STATE(783), 1,
      aux_sym_expression_list_repeat1,
    STATE(933), 1,
      sym_block,
    STATE(1261), 1,
      sym_type_arguments,
    ACTIONS(715), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(703), 4,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(713), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(701), 7,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
    ACTIONS(707), 12,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
  [25501] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(777), 1,
      anon_sym_LF,
    ACTIONS(779), 44,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_PIPE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [25554] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(781), 1,
      anon_sym_LF,
    ACTIONS(783), 44,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_PIPE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [25607] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(785), 1,
      anon_sym_LF,
    ACTIONS(787), 44,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_PIPE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [25660] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(789), 1,
      anon_sym_LF,
    ACTIONS(791), 44,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_PIPE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [25713] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(793), 1,
      anon_sym_LF,
    ACTIONS(795), 44,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_PIPE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [25766] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(797), 1,
      anon_sym_LF,
    ACTIONS(799), 44,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_PIPE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [25819] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(801), 1,
      anon_sym_LF,
    ACTIONS(803), 44,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_PIPE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [25872] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(805), 1,
      anon_sym_LF,
    ACTIONS(807), 44,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_PIPE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [25925] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(809), 1,
      anon_sym_LF,
    ACTIONS(811), 44,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_PIPE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [25978] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(813), 1,
      anon_sym_LF,
    ACTIONS(815), 44,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_PIPE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [26031] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(817), 1,
      anon_sym_LF,
    ACTIONS(819), 44,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_PIPE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [26084] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(607), 1,
      anon_sym_SEMI,
    ACTIONS(617), 1,
      anon_sym_EQ,
    ACTIONS(695), 1,
      anon_sym_LPAREN,
    ACTIONS(697), 1,
      anon_sym_COMMA,
    ACTIONS(699), 1,
      anon_sym_LBRACK,
    ACTIONS(705), 1,
      anon_sym_LT_DASH,
    ACTIONS(709), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(711), 1,
      anon_sym_DASH_DASH,
    ACTIONS(717), 1,
      anon_sym_AMP_AMP,
    ACTIONS(719), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(821), 1,
      anon_sym_DOT,
    ACTIONS(823), 1,
      anon_sym_LBRACE,
    STATE(333), 1,
      sym_argument_list,
    STATE(783), 1,
      aux_sym_expression_list_repeat1,
    STATE(1261), 1,
      sym_type_arguments,
    ACTIONS(715), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(703), 4,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(713), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(701), 7,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
    ACTIONS(707), 12,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
  [26172] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(607), 1,
      anon_sym_LBRACE,
    ACTIONS(617), 1,
      anon_sym_EQ,
    ACTIONS(693), 1,
      anon_sym_DOT,
    ACTIONS(695), 1,
      anon_sym_LPAREN,
    ACTIONS(697), 1,
      anon_sym_COMMA,
    ACTIONS(699), 1,
      anon_sym_LBRACK,
    ACTIONS(709), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(711), 1,
      anon_sym_DASH_DASH,
    ACTIONS(717), 1,
      anon_sym_AMP_AMP,
    ACTIONS(719), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(825), 1,
      anon_sym_LT_DASH,
    STATE(333), 1,
      sym_argument_list,
    STATE(783), 1,
      aux_sym_expression_list_repeat1,
    STATE(1261), 1,
      sym_type_arguments,
    ACTIONS(715), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(703), 4,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(713), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(701), 7,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
    ACTIONS(707), 12,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
  [26257] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(693), 1,
      anon_sym_DOT,
    ACTIONS(695), 1,
      anon_sym_LPAREN,
    ACTIONS(699), 1,
      anon_sym_LBRACK,
    STATE(333), 1,
      sym_argument_list,
    STATE(1261), 1,
      sym_type_arguments,
    ACTIONS(639), 7,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(701), 7,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
    ACTIONS(637), 24,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [26320] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(693), 1,
      anon_sym_DOT,
    ACTIONS(695), 1,
      anon_sym_LPAREN,
    ACTIONS(699), 1,
      anon_sym_LBRACK,
    STATE(333), 1,
      sym_argument_list,
    STATE(1261), 1,
      sym_type_arguments,
    ACTIONS(639), 3,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(703), 4,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(701), 7,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
    ACTIONS(637), 24,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [26385] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(639), 1,
      anon_sym_EQ,
    ACTIONS(693), 1,
      anon_sym_DOT,
    ACTIONS(695), 1,
      anon_sym_LPAREN,
    ACTIONS(699), 1,
      anon_sym_LBRACK,
    STATE(333), 1,
      sym_argument_list,
    STATE(1261), 1,
      sym_type_arguments,
    ACTIONS(715), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(703), 4,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(713), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(701), 7,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
    ACTIONS(637), 20,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [26454] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(639), 1,
      anon_sym_EQ,
    ACTIONS(693), 1,
      anon_sym_DOT,
    ACTIONS(695), 1,
      anon_sym_LPAREN,
    ACTIONS(699), 1,
      anon_sym_LBRACK,
    ACTIONS(717), 1,
      anon_sym_AMP_AMP,
    STATE(333), 1,
      sym_argument_list,
    STATE(1261), 1,
      sym_type_arguments,
    ACTIONS(715), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(703), 4,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(713), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(701), 7,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
    ACTIONS(637), 19,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_PIPE,
  [26525] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(563), 1,
      anon_sym_DOT,
    ACTIONS(827), 1,
      anon_sym_LPAREN,
    ACTIONS(830), 1,
      anon_sym_LBRACK,
    STATE(311), 1,
      sym_literal_value,
    STATE(856), 1,
      sym_type_arguments,
    ACTIONS(583), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(578), 24,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [26586] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(693), 1,
      anon_sym_DOT,
    ACTIONS(695), 1,
      anon_sym_LPAREN,
    ACTIONS(699), 1,
      anon_sym_LBRACK,
    STATE(333), 1,
      sym_argument_list,
    STATE(1261), 1,
      sym_type_arguments,
    ACTIONS(639), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(637), 24,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [26647] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(693), 1,
      anon_sym_DOT,
    ACTIONS(695), 1,
      anon_sym_LPAREN,
    ACTIONS(699), 1,
      anon_sym_LBRACK,
    STATE(333), 1,
      sym_argument_list,
    STATE(1261), 1,
      sym_type_arguments,
    ACTIONS(645), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(643), 24,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [26708] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(834), 1,
      anon_sym_LPAREN,
    STATE(333), 1,
      sym_special_argument_list,
    ACTIONS(583), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(578), 26,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [26762] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(779), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(777), 27,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [26811] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(763), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(761), 27,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [26860] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(659), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(657), 27,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [26909] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(663), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(661), 27,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [26958] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(771), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(769), 27,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [27007] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(775), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(773), 27,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [27056] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(783), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(781), 27,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [27105] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(767), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(765), 27,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [27154] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(787), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(785), 27,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [27203] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(583), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(578), 27,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [27252] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(791), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(789), 27,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [27301] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(799), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(797), 27,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [27350] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(649), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(647), 27,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [27399] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(815), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(813), 27,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [27448] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(667), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(665), 27,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [27497] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(679), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(677), 27,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [27546] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(691), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(689), 27,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [27595] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(751), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(749), 27,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [27644] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(653), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(651), 27,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [27693] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(819), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(817), 27,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [27742] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(671), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(669), 27,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [27791] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(675), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(673), 27,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [27840] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(803), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(801), 27,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [27889] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(683), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(681), 27,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [27938] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(687), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(685), 27,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [27987] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(807), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(805), 27,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [28036] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(723), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(721), 27,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [28085] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(727), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(725), 27,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [28134] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(731), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(729), 27,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [28183] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(735), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(733), 27,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [28232] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(739), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(737), 27,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [28281] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(743), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(741), 27,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [28330] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(747), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(745), 27,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [28379] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(755), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(753), 27,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [28428] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(759), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(757), 27,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [28477] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(811), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(809), 27,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [28526] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(795), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(793), 27,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [28575] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(563), 1,
      anon_sym_DOT,
    ACTIONS(827), 1,
      anon_sym_LPAREN,
    ACTIONS(830), 1,
      anon_sym_LBRACK,
    ACTIONS(836), 1,
      anon_sym_LBRACE,
    STATE(355), 1,
      sym_literal_value,
    STATE(856), 1,
      sym_type_arguments,
    ACTIONS(583), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(578), 19,
      anon_sym_COMMA,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [28634] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(838), 1,
      anon_sym_DOT,
    ACTIONS(840), 1,
      anon_sym_LPAREN,
    ACTIONS(844), 1,
      anon_sym_EQ,
    ACTIONS(846), 1,
      anon_sym_LBRACK,
    ACTIONS(856), 1,
      anon_sym_AMP_AMP,
    ACTIONS(858), 1,
      anon_sym_PIPE_PIPE,
    STATE(354), 1,
      sym_argument_list,
    STATE(1302), 1,
      sym_type_arguments,
    ACTIONS(854), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(850), 4,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(852), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(848), 7,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
    ACTIONS(842), 13,
      anon_sym_COMMA,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
  [28702] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(838), 1,
      anon_sym_DOT,
    ACTIONS(840), 1,
      anon_sym_LPAREN,
    ACTIONS(846), 1,
      anon_sym_LBRACK,
    STATE(354), 1,
      sym_argument_list,
    STATE(1302), 1,
      sym_type_arguments,
    ACTIONS(645), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(643), 19,
      anon_sym_COMMA,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [28758] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(639), 1,
      anon_sym_EQ,
    ACTIONS(838), 1,
      anon_sym_DOT,
    ACTIONS(840), 1,
      anon_sym_LPAREN,
    ACTIONS(846), 1,
      anon_sym_LBRACK,
    ACTIONS(856), 1,
      anon_sym_AMP_AMP,
    STATE(354), 1,
      sym_argument_list,
    STATE(1302), 1,
      sym_type_arguments,
    ACTIONS(854), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(850), 4,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(852), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(848), 7,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
    ACTIONS(637), 14,
      anon_sym_COMMA,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_PIPE,
  [28824] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(838), 1,
      anon_sym_DOT,
    ACTIONS(840), 1,
      anon_sym_LPAREN,
    ACTIONS(846), 1,
      anon_sym_LBRACK,
    STATE(354), 1,
      sym_argument_list,
    STATE(1302), 1,
      sym_type_arguments,
    ACTIONS(639), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(637), 19,
      anon_sym_COMMA,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [28880] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(838), 1,
      anon_sym_DOT,
    ACTIONS(840), 1,
      anon_sym_LPAREN,
    ACTIONS(846), 1,
      anon_sym_LBRACK,
    STATE(354), 1,
      sym_argument_list,
    STATE(1302), 1,
      sym_type_arguments,
    ACTIONS(639), 7,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(848), 7,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
    ACTIONS(637), 19,
      anon_sym_COMMA,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [28938] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(838), 1,
      anon_sym_DOT,
    ACTIONS(840), 1,
      anon_sym_LPAREN,
    ACTIONS(846), 1,
      anon_sym_LBRACK,
    STATE(354), 1,
      sym_argument_list,
    STATE(1302), 1,
      sym_type_arguments,
    ACTIONS(639), 3,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(850), 4,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(848), 7,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
    ACTIONS(637), 19,
      anon_sym_COMMA,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [28998] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(639), 1,
      anon_sym_EQ,
    ACTIONS(838), 1,
      anon_sym_DOT,
    ACTIONS(840), 1,
      anon_sym_LPAREN,
    ACTIONS(846), 1,
      anon_sym_LBRACK,
    STATE(354), 1,
      sym_argument_list,
    STATE(1302), 1,
      sym_type_arguments,
    ACTIONS(854), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(850), 4,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(852), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(848), 7,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
    ACTIONS(637), 15,
      anon_sym_COMMA,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [29062] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(860), 1,
      anon_sym_LPAREN,
    STATE(354), 1,
      sym_special_argument_list,
    ACTIONS(583), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(578), 21,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [29111] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(659), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(657), 22,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [29155] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(815), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(813), 22,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [29199] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(679), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(677), 22,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [29243] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(663), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(661), 22,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [29287] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(691), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(689), 22,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [29331] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(751), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(749), 22,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [29375] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(653), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(651), 22,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [29419] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(819), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(817), 22,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [29463] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(671), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(669), 22,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [29507] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(675), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(673), 22,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [29551] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(649), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(647), 22,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [29595] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(795), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(793), 22,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [29639] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(667), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(665), 22,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [29683] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(583), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(578), 22,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [29727] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(683), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(681), 22,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [29771] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(687), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(685), 22,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [29815] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(811), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(809), 22,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [29859] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(727), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(725), 22,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [29903] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(731), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(729), 22,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [29947] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(735), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(733), 22,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [29991] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(739), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(737), 22,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [30035] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(743), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(741), 22,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [30079] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(747), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(745), 22,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [30123] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(755), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(753), 22,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [30167] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(759), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(757), 22,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [30211] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(763), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(761), 22,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [30255] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(767), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(765), 22,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [30299] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(771), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(769), 22,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [30343] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(775), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(773), 22,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [30387] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(779), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(777), 22,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [30431] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(783), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(781), 22,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [30475] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(787), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(785), 22,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [30519] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(791), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(789), 22,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [30563] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(799), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(797), 22,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [30607] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(803), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(801), 22,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [30651] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(807), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(805), 22,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [30695] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(723), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(721), 22,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [30739] = 24,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(862), 1,
      sym_identifier,
    ACTIONS(864), 1,
      anon_sym_LF,
    ACTIONS(868), 1,
      anon_sym_DOT,
    ACTIONS(870), 1,
      anon_sym_LPAREN,
    ACTIONS(872), 1,
      anon_sym_COMMA,
    ACTIONS(874), 1,
      anon_sym_func,
    ACTIONS(876), 1,
      anon_sym_LBRACK,
    ACTIONS(878), 1,
      anon_sym_STAR,
    ACTIONS(880), 1,
      anon_sym_struct,
    ACTIONS(882), 1,
      anon_sym_TILDE,
    ACTIONS(884), 1,
      anon_sym_interface,
    ACTIONS(886), 1,
      anon_sym_map,
    ACTIONS(888), 1,
      anon_sym_chan,
    ACTIONS(890), 1,
      anon_sym_LT_DASH,
    ACTIONS(892), 1,
      sym_raw_string_literal,
    ACTIONS(894), 1,
      anon_sym_DQUOTE,
    STATE(600), 1,
      aux_sym_field_declaration_repeat1,
    STATE(802), 1,
      sym_type_arguments,
    STATE(1105), 1,
      sym_interpreted_string_literal,
    STATE(795), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(895), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(866), 3,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_RBRACE,
    STATE(825), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [30824] = 17,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(880), 1,
      anon_sym_struct,
    ACTIONS(882), 1,
      anon_sym_TILDE,
    ACTIONS(884), 1,
      anon_sym_interface,
    ACTIONS(896), 1,
      sym_identifier,
    ACTIONS(898), 1,
      anon_sym_LF,
    ACTIONS(902), 1,
      anon_sym_LPAREN,
    ACTIONS(904), 1,
      anon_sym_func,
    ACTIONS(906), 1,
      anon_sym_LBRACK,
    ACTIONS(908), 1,
      anon_sym_STAR,
    ACTIONS(910), 1,
      anon_sym_map,
    ACTIONS(912), 1,
      anon_sym_chan,
    ACTIONS(914), 1,
      anon_sym_LT_DASH,
    STATE(796), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(815), 2,
      sym_parameter_list,
      sym__simple_type,
    STATE(825), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(900), 10,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PIPE,
      anon_sym_case,
      anon_sym_default,
      sym_raw_string_literal,
      anon_sym_DQUOTE,
  [30895] = 17,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(862), 1,
      sym_identifier,
    ACTIONS(874), 1,
      anon_sym_func,
    ACTIONS(878), 1,
      anon_sym_STAR,
    ACTIONS(880), 1,
      anon_sym_struct,
    ACTIONS(882), 1,
      anon_sym_TILDE,
    ACTIONS(884), 1,
      anon_sym_interface,
    ACTIONS(886), 1,
      anon_sym_map,
    ACTIONS(888), 1,
      anon_sym_chan,
    ACTIONS(890), 1,
      anon_sym_LT_DASH,
    ACTIONS(898), 1,
      anon_sym_LF,
    ACTIONS(902), 1,
      anon_sym_LPAREN,
    ACTIONS(916), 1,
      anon_sym_LBRACK,
    STATE(795), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(815), 2,
      sym_parameter_list,
      sym__simple_type,
    STATE(825), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(900), 10,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PIPE,
      anon_sym_case,
      anon_sym_default,
      sym_raw_string_literal,
      anon_sym_DQUOTE,
  [30966] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(918), 1,
      anon_sym_DOT,
    ACTIONS(920), 1,
      anon_sym_LPAREN,
    ACTIONS(922), 1,
      anon_sym_LBRACK,
    STATE(421), 1,
      sym_argument_list,
    STATE(1278), 1,
      sym_type_arguments,
    ACTIONS(645), 7,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(643), 22,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_STAR,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [31018] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(918), 1,
      anon_sym_DOT,
    ACTIONS(920), 1,
      anon_sym_LPAREN,
    ACTIONS(922), 1,
      anon_sym_LBRACK,
    STATE(421), 1,
      sym_argument_list,
    STATE(1278), 1,
      sym_type_arguments,
    ACTIONS(639), 7,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(637), 22,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_STAR,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [31070] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(303), 1,
      anon_sym_LBRACE,
    ACTIONS(563), 1,
      anon_sym_DOT,
    ACTIONS(830), 1,
      anon_sym_LBRACK,
    STATE(422), 1,
      sym_literal_value,
    STATE(856), 1,
      sym_type_arguments,
    ACTIONS(827), 2,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
    ACTIONS(583), 7,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(578), 19,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [31123] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(924), 1,
      anon_sym_LPAREN,
    STATE(421), 1,
      sym_special_argument_list,
    ACTIONS(583), 8,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(578), 23,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_STAR,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [31168] = 20,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(279), 1,
      anon_sym_TILDE,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(561), 1,
      sym_identifier,
    ACTIONS(572), 1,
      anon_sym_func,
    ACTIONS(585), 1,
      anon_sym_map,
    ACTIONS(587), 1,
      anon_sym_chan,
    ACTIONS(926), 1,
      anon_sym_LF,
    ACTIONS(930), 1,
      anon_sym_LPAREN,
    ACTIONS(932), 1,
      anon_sym_COMMA,
    ACTIONS(934), 1,
      anon_sym_EQ,
    ACTIONS(936), 1,
      anon_sym_LBRACK,
    ACTIONS(938), 1,
      anon_sym_STAR,
    ACTIONS(940), 1,
      anon_sym_LT_DASH,
    STATE(773), 1,
      aux_sym_const_spec_repeat1,
    STATE(870), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(1311), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(928), 5,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
    STATE(859), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [31243] = 20,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(279), 1,
      anon_sym_TILDE,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(561), 1,
      sym_identifier,
    ACTIONS(572), 1,
      anon_sym_func,
    ACTIONS(585), 1,
      anon_sym_map,
    ACTIONS(587), 1,
      anon_sym_chan,
    ACTIONS(930), 1,
      anon_sym_LPAREN,
    ACTIONS(932), 1,
      anon_sym_COMMA,
    ACTIONS(936), 1,
      anon_sym_LBRACK,
    ACTIONS(938), 1,
      anon_sym_STAR,
    ACTIONS(940), 1,
      anon_sym_LT_DASH,
    ACTIONS(942), 1,
      anon_sym_LF,
    ACTIONS(946), 1,
      anon_sym_EQ,
    STATE(387), 1,
      aux_sym_const_spec_repeat1,
    STATE(870), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(1344), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(944), 5,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
    STATE(859), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [31318] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(671), 8,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(669), 24,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_STAR,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [31358] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(683), 8,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(681), 24,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_STAR,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [31398] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(687), 8,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(685), 24,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_STAR,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [31438] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(723), 8,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(721), 24,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_STAR,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [31478] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(727), 8,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(725), 24,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_STAR,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [31518] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(731), 8,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(729), 24,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_STAR,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [31558] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(735), 8,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(733), 24,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_STAR,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [31598] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(739), 8,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(737), 24,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_STAR,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [31638] = 15,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(707), 1,
      anon_sym_LF,
    ACTIONS(948), 1,
      anon_sym_DOT,
    ACTIONS(950), 1,
      anon_sym_LPAREN,
    ACTIONS(952), 1,
      anon_sym_COMMA,
    ACTIONS(954), 1,
      anon_sym_LBRACK,
    ACTIONS(962), 1,
      anon_sym_AMP_AMP,
    ACTIONS(964), 1,
      anon_sym_PIPE_PIPE,
    STATE(489), 1,
      sym_argument_list,
    STATE(886), 1,
      aux_sym_expression_list_repeat1,
    STATE(1296), 1,
      sym_type_arguments,
    ACTIONS(958), 4,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(617), 5,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
    ACTIONS(960), 6,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
    ACTIONS(956), 7,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [31702] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(743), 8,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(741), 24,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_STAR,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [31742] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(747), 8,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(745), 24,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_STAR,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [31782] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(755), 8,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(753), 24,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_STAR,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [31822] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(759), 8,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(757), 24,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_STAR,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [31862] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(763), 8,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(761), 24,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_STAR,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [31902] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(767), 8,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(765), 24,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_STAR,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [31942] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(771), 8,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(769), 24,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_STAR,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [31982] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(751), 8,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(749), 24,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_STAR,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [32022] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(775), 8,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(773), 24,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_STAR,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [32062] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(779), 8,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(777), 24,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_STAR,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [32102] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(783), 8,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(781), 24,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_STAR,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [32142] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(787), 8,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(785), 24,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_STAR,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [32182] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(791), 8,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(789), 24,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_STAR,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [32222] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(799), 8,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(797), 24,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_STAR,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [32262] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(803), 8,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(801), 24,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_STAR,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [32302] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(807), 8,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(805), 24,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_STAR,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [32342] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(811), 8,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(809), 24,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_STAR,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [32382] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(815), 8,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(813), 24,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_STAR,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [32422] = 9,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(578), 1,
      anon_sym_LF,
    ACTIONS(591), 1,
      anon_sym_DOT,
    ACTIONS(594), 1,
      anon_sym_LPAREN,
    ACTIONS(597), 1,
      anon_sym_LBRACK,
    ACTIONS(966), 1,
      anon_sym_LBRACE,
    STATE(490), 1,
      sym_literal_value,
    STATE(856), 1,
      sym_type_arguments,
    ACTIONS(583), 25,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_PIPE,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [32474] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(653), 8,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(651), 24,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_STAR,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [32514] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(659), 8,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(657), 24,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_STAR,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [32554] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(583), 8,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(578), 24,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_STAR,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [32594] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(649), 8,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(647), 24,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_STAR,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [32634] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(795), 8,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(793), 24,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_STAR,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [32674] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(667), 8,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(665), 24,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_STAR,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [32714] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(679), 8,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(677), 24,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_STAR,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [32754] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(663), 8,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(661), 24,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_STAR,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [32794] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(675), 8,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(673), 24,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_STAR,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [32834] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(691), 8,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(689), 24,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_STAR,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [32874] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(819), 8,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(817), 24,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_STAR,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [32914] = 8,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(643), 1,
      anon_sym_LF,
    ACTIONS(948), 1,
      anon_sym_DOT,
    ACTIONS(950), 1,
      anon_sym_LPAREN,
    ACTIONS(954), 1,
      anon_sym_LBRACK,
    STATE(489), 1,
      sym_argument_list,
    STATE(1296), 1,
      sym_type_arguments,
    ACTIONS(645), 25,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_PIPE,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [32963] = 8,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(637), 1,
      anon_sym_LF,
    ACTIONS(948), 1,
      anon_sym_DOT,
    ACTIONS(950), 1,
      anon_sym_LPAREN,
    ACTIONS(954), 1,
      anon_sym_LBRACK,
    STATE(489), 1,
      sym_argument_list,
    STATE(1296), 1,
      sym_type_arguments,
    ACTIONS(639), 25,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_PIPE,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [33012] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(920), 1,
      anon_sym_LPAREN,
    ACTIONS(922), 1,
      anon_sym_LBRACK,
    ACTIONS(968), 1,
      anon_sym_DOT,
    STATE(421), 1,
      sym_argument_list,
    STATE(1278), 1,
      sym_type_arguments,
    ACTIONS(972), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(639), 5,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(970), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
    ACTIONS(637), 14,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [33065] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(974), 1,
      sym_identifier,
    ACTIONS(976), 1,
      anon_sym_LPAREN,
    ACTIONS(978), 1,
      anon_sym_func,
    ACTIONS(980), 1,
      anon_sym_LBRACK,
    ACTIONS(982), 1,
      anon_sym_STAR,
    ACTIONS(984), 1,
      anon_sym_LT_DASH,
    STATE(836), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(867), 2,
      sym_parameter_list,
      sym__simple_type,
    ACTIONS(898), 7,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_COLON,
    STATE(859), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [33130] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(920), 1,
      anon_sym_LPAREN,
    ACTIONS(922), 1,
      anon_sym_LBRACK,
    ACTIONS(968), 1,
      anon_sym_DOT,
    ACTIONS(986), 1,
      anon_sym_PIPE,
    STATE(421), 1,
      sym_argument_list,
    STATE(1278), 1,
      sym_type_arguments,
    ACTIONS(972), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(988), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(639), 4,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(970), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
    ACTIONS(637), 11,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
      anon_sym_COLON_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [33187] = 9,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(637), 1,
      anon_sym_LF,
    ACTIONS(948), 1,
      anon_sym_DOT,
    ACTIONS(950), 1,
      anon_sym_LPAREN,
    ACTIONS(954), 1,
      anon_sym_LBRACK,
    STATE(489), 1,
      sym_argument_list,
    STATE(1296), 1,
      sym_type_arguments,
    ACTIONS(956), 7,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
    ACTIONS(639), 18,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_PIPE,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [33238] = 11,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(637), 1,
      anon_sym_LF,
    ACTIONS(948), 1,
      anon_sym_DOT,
    ACTIONS(950), 1,
      anon_sym_LPAREN,
    ACTIONS(954), 1,
      anon_sym_LBRACK,
    STATE(489), 1,
      sym_argument_list,
    STATE(1296), 1,
      sym_type_arguments,
    ACTIONS(958), 4,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(960), 6,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
    ACTIONS(956), 7,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
    ACTIONS(639), 8,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [33293] = 13,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(842), 1,
      anon_sym_LF,
    ACTIONS(948), 1,
      anon_sym_DOT,
    ACTIONS(950), 1,
      anon_sym_LPAREN,
    ACTIONS(954), 1,
      anon_sym_LBRACK,
    ACTIONS(962), 1,
      anon_sym_AMP_AMP,
    ACTIONS(964), 1,
      anon_sym_PIPE_PIPE,
    STATE(489), 1,
      sym_argument_list,
    STATE(1296), 1,
      sym_type_arguments,
    ACTIONS(958), 4,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(844), 6,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
    ACTIONS(960), 6,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
    ACTIONS(956), 7,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [33352] = 10,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(637), 1,
      anon_sym_LF,
    ACTIONS(948), 1,
      anon_sym_DOT,
    ACTIONS(950), 1,
      anon_sym_LPAREN,
    ACTIONS(954), 1,
      anon_sym_LBRACK,
    STATE(489), 1,
      sym_argument_list,
    STATE(1296), 1,
      sym_type_arguments,
    ACTIONS(958), 4,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(956), 7,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
    ACTIONS(639), 14,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [33405] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(920), 1,
      anon_sym_LPAREN,
    ACTIONS(922), 1,
      anon_sym_LBRACK,
    ACTIONS(968), 1,
      anon_sym_DOT,
    ACTIONS(986), 1,
      anon_sym_PIPE,
    ACTIONS(994), 1,
      anon_sym_AMP_AMP,
    STATE(421), 1,
      sym_argument_list,
    STATE(1278), 1,
      sym_type_arguments,
    ACTIONS(639), 2,
      anon_sym_EQ,
      anon_sym_COLON,
    ACTIONS(972), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(992), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(988), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(990), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(970), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
    ACTIONS(637), 6,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
      anon_sym_COLON_EQ,
      anon_sym_PIPE_PIPE,
  [33468] = 12,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(637), 1,
      anon_sym_LF,
    ACTIONS(948), 1,
      anon_sym_DOT,
    ACTIONS(950), 1,
      anon_sym_LPAREN,
    ACTIONS(954), 1,
      anon_sym_LBRACK,
    ACTIONS(962), 1,
      anon_sym_AMP_AMP,
    STATE(489), 1,
      sym_argument_list,
    STATE(1296), 1,
      sym_type_arguments,
    ACTIONS(958), 4,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(960), 6,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
    ACTIONS(639), 7,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PIPE_PIPE,
    ACTIONS(956), 7,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [33525] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(920), 1,
      anon_sym_LPAREN,
    ACTIONS(922), 1,
      anon_sym_LBRACK,
    ACTIONS(968), 1,
      anon_sym_DOT,
    ACTIONS(986), 1,
      anon_sym_PIPE,
    STATE(421), 1,
      sym_argument_list,
    STATE(1278), 1,
      sym_type_arguments,
    ACTIONS(639), 2,
      anon_sym_EQ,
      anon_sym_COLON,
    ACTIONS(972), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(992), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(988), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(990), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(970), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
    ACTIONS(637), 7,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
      anon_sym_COLON_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [33586] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(561), 1,
      sym_identifier,
    ACTIONS(572), 1,
      anon_sym_func,
    ACTIONS(585), 1,
      anon_sym_map,
    ACTIONS(587), 1,
      anon_sym_chan,
    ACTIONS(589), 1,
      anon_sym_LT_DASH,
    ACTIONS(976), 1,
      anon_sym_LPAREN,
    ACTIONS(996), 1,
      anon_sym_LBRACK,
    ACTIONS(998), 1,
      anon_sym_STAR,
    STATE(867), 2,
      sym_parameter_list,
      sym__simple_type,
    STATE(870), 2,
      sym_negated_type,
      sym_qualified_type,
    ACTIONS(898), 7,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_COLON,
    STATE(859), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [33651] = 13,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(948), 1,
      anon_sym_DOT,
    ACTIONS(950), 1,
      anon_sym_LPAREN,
    ACTIONS(954), 1,
      anon_sym_LBRACK,
    ACTIONS(962), 1,
      anon_sym_AMP_AMP,
    ACTIONS(964), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1000), 1,
      anon_sym_LF,
    STATE(489), 1,
      sym_argument_list,
    STATE(1296), 1,
      sym_type_arguments,
    ACTIONS(958), 4,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(1002), 5,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
    ACTIONS(960), 6,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
    ACTIONS(956), 7,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [33709] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(563), 1,
      anon_sym_DOT,
    ACTIONS(827), 1,
      anon_sym_LPAREN,
    ACTIONS(830), 1,
      anon_sym_LBRACK,
    ACTIONS(1004), 1,
      anon_sym_LBRACE,
    STATE(522), 1,
      sym_literal_value,
    STATE(856), 1,
      sym_type_arguments,
    ACTIONS(583), 7,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(578), 17,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [33759] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(974), 1,
      sym_identifier,
    ACTIONS(976), 1,
      anon_sym_LPAREN,
    ACTIONS(978), 1,
      anon_sym_func,
    ACTIONS(980), 1,
      anon_sym_LBRACK,
    ACTIONS(982), 1,
      anon_sym_STAR,
    ACTIONS(984), 1,
      anon_sym_LT_DASH,
    ACTIONS(1006), 1,
      anon_sym_LBRACE,
    STATE(405), 1,
      sym_block,
    STATE(836), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(878), 2,
      sym_parameter_list,
      sym__simple_type,
    ACTIONS(898), 4,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_PIPE,
    STATE(859), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [33827] = 13,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(948), 1,
      anon_sym_DOT,
    ACTIONS(950), 1,
      anon_sym_LPAREN,
    ACTIONS(954), 1,
      anon_sym_LBRACK,
    ACTIONS(962), 1,
      anon_sym_AMP_AMP,
    ACTIONS(964), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1008), 1,
      anon_sym_LF,
    STATE(489), 1,
      sym_argument_list,
    STATE(1296), 1,
      sym_type_arguments,
    ACTIONS(958), 4,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(1010), 5,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
    ACTIONS(960), 6,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
    ACTIONS(956), 7,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [33885] = 5,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(578), 1,
      anon_sym_LF,
    ACTIONS(1012), 1,
      anon_sym_LPAREN,
    STATE(489), 1,
      sym_special_argument_list,
    ACTIONS(583), 27,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_PIPE,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [33927] = 13,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(948), 1,
      anon_sym_DOT,
    ACTIONS(950), 1,
      anon_sym_LPAREN,
    ACTIONS(954), 1,
      anon_sym_LBRACK,
    ACTIONS(962), 1,
      anon_sym_AMP_AMP,
    ACTIONS(964), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1014), 1,
      anon_sym_LF,
    STATE(489), 1,
      sym_argument_list,
    STATE(1296), 1,
      sym_type_arguments,
    ACTIONS(958), 4,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(1016), 5,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
    ACTIONS(960), 6,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
    ACTIONS(956), 7,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [33985] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(617), 1,
      anon_sym_EQ,
    ACTIONS(705), 1,
      anon_sym_LT_DASH,
    ACTIONS(707), 1,
      anon_sym_COLON_EQ,
    ACTIONS(1018), 1,
      anon_sym_DOT,
    ACTIONS(1020), 1,
      anon_sym_LPAREN,
    ACTIONS(1022), 1,
      anon_sym_COMMA,
    ACTIONS(1024), 1,
      anon_sym_LBRACK,
    ACTIONS(1028), 1,
      anon_sym_PIPE,
    ACTIONS(1030), 1,
      anon_sym_COLON,
    ACTIONS(1040), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1042), 1,
      anon_sym_PIPE_PIPE,
    STATE(549), 1,
      sym_argument_list,
    STATE(963), 1,
      aux_sym_expression_list_repeat1,
    STATE(1260), 1,
      sym_type_arguments,
    ACTIONS(1034), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(1038), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1032), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(1036), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1026), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [34057] = 19,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(1046), 1,
      sym_identifier,
    ACTIONS(1050), 1,
      anon_sym_LPAREN,
    ACTIONS(1052), 1,
      anon_sym_func,
    ACTIONS(1054), 1,
      anon_sym_LBRACK,
    ACTIONS(1056), 1,
      anon_sym_STAR,
    ACTIONS(1058), 1,
      anon_sym_struct,
    ACTIONS(1060), 1,
      anon_sym_TILDE,
    ACTIONS(1062), 1,
      anon_sym_LBRACE,
    ACTIONS(1064), 1,
      anon_sym_interface,
    ACTIONS(1066), 1,
      anon_sym_map,
    ACTIONS(1068), 1,
      anon_sym_chan,
    ACTIONS(1070), 1,
      anon_sym_LT_DASH,
    STATE(1118), 1,
      sym_block,
    ACTIONS(1044), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1048), 2,
      anon_sym_SEMI,
      anon_sym_NULL,
    STATE(902), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(953), 2,
      sym_parameter_list,
      sym__simple_type,
    STATE(950), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [34127] = 19,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(1046), 1,
      sym_identifier,
    ACTIONS(1050), 1,
      anon_sym_LPAREN,
    ACTIONS(1052), 1,
      anon_sym_func,
    ACTIONS(1054), 1,
      anon_sym_LBRACK,
    ACTIONS(1056), 1,
      anon_sym_STAR,
    ACTIONS(1058), 1,
      anon_sym_struct,
    ACTIONS(1060), 1,
      anon_sym_TILDE,
    ACTIONS(1062), 1,
      anon_sym_LBRACE,
    ACTIONS(1064), 1,
      anon_sym_interface,
    ACTIONS(1066), 1,
      anon_sym_map,
    ACTIONS(1068), 1,
      anon_sym_chan,
    ACTIONS(1070), 1,
      anon_sym_LT_DASH,
    STATE(1122), 1,
      sym_block,
    ACTIONS(1072), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1074), 2,
      anon_sym_SEMI,
      anon_sym_NULL,
    STATE(902), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(975), 2,
      sym_parameter_list,
      sym__simple_type,
    STATE(950), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [34197] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(561), 1,
      sym_identifier,
    ACTIONS(572), 1,
      anon_sym_func,
    ACTIONS(585), 1,
      anon_sym_map,
    ACTIONS(587), 1,
      anon_sym_chan,
    ACTIONS(589), 1,
      anon_sym_LT_DASH,
    ACTIONS(998), 1,
      anon_sym_STAR,
    ACTIONS(1076), 1,
      anon_sym_DOT,
    ACTIONS(1078), 1,
      anon_sym_LPAREN,
    ACTIONS(1080), 1,
      anon_sym_RPAREN,
    ACTIONS(1082), 1,
      anon_sym_COMMA,
    ACTIONS(1085), 1,
      anon_sym_LBRACK,
    ACTIONS(1087), 1,
      anon_sym_DOT_DOT_DOT,
    STATE(592), 1,
      aux_sym_type_parameter_declaration_repeat1,
    STATE(856), 1,
      sym_type_arguments,
    STATE(870), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(1298), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(859), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [34271] = 19,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(1046), 1,
      sym_identifier,
    ACTIONS(1050), 1,
      anon_sym_LPAREN,
    ACTIONS(1052), 1,
      anon_sym_func,
    ACTIONS(1054), 1,
      anon_sym_LBRACK,
    ACTIONS(1056), 1,
      anon_sym_STAR,
    ACTIONS(1058), 1,
      anon_sym_struct,
    ACTIONS(1060), 1,
      anon_sym_TILDE,
    ACTIONS(1062), 1,
      anon_sym_LBRACE,
    ACTIONS(1064), 1,
      anon_sym_interface,
    ACTIONS(1066), 1,
      anon_sym_map,
    ACTIONS(1068), 1,
      anon_sym_chan,
    ACTIONS(1070), 1,
      anon_sym_LT_DASH,
    STATE(1094), 1,
      sym_block,
    ACTIONS(1089), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1091), 2,
      anon_sym_SEMI,
      anon_sym_NULL,
    STATE(902), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(955), 2,
      sym_parameter_list,
      sym__simple_type,
    STATE(950), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [34341] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(669), 1,
      anon_sym_LF,
    ACTIONS(671), 28,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_PIPE,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [34378] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(757), 1,
      anon_sym_LF,
    ACTIONS(759), 28,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_PIPE,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [34415] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(661), 1,
      anon_sym_LF,
    ACTIONS(663), 28,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_PIPE,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [34452] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(761), 1,
      anon_sym_LF,
    ACTIONS(763), 28,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_PIPE,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [34489] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(647), 1,
      anon_sym_LF,
    ACTIONS(649), 28,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_PIPE,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [34526] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(765), 1,
      anon_sym_LF,
    ACTIONS(767), 28,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_PIPE,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [34563] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(769), 1,
      anon_sym_LF,
    ACTIONS(771), 28,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_PIPE,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [34600] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(773), 1,
      anon_sym_LF,
    ACTIONS(775), 28,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_PIPE,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [34637] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(777), 1,
      anon_sym_LF,
    ACTIONS(779), 28,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_PIPE,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [34674] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(651), 1,
      anon_sym_LF,
    ACTIONS(653), 28,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_PIPE,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [34711] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1018), 1,
      anon_sym_DOT,
    ACTIONS(1020), 1,
      anon_sym_LPAREN,
    ACTIONS(1024), 1,
      anon_sym_LBRACK,
    STATE(549), 1,
      sym_argument_list,
    STATE(1260), 1,
      sym_type_arguments,
    ACTIONS(1034), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(639), 5,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1026), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
    ACTIONS(637), 12,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [34762] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1018), 1,
      anon_sym_DOT,
    ACTIONS(1020), 1,
      anon_sym_LPAREN,
    ACTIONS(1024), 1,
      anon_sym_LBRACK,
    ACTIONS(1028), 1,
      anon_sym_PIPE,
    STATE(549), 1,
      sym_argument_list,
    STATE(1260), 1,
      sym_type_arguments,
    ACTIONS(1034), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(1032), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(639), 4,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1026), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
    ACTIONS(637), 9,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [34817] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1018), 1,
      anon_sym_DOT,
    ACTIONS(1020), 1,
      anon_sym_LPAREN,
    ACTIONS(1024), 1,
      anon_sym_LBRACK,
    ACTIONS(1028), 1,
      anon_sym_PIPE,
    STATE(549), 1,
      sym_argument_list,
    STATE(1260), 1,
      sym_type_arguments,
    ACTIONS(639), 2,
      anon_sym_EQ,
      anon_sym_COLON,
    ACTIONS(1034), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(1038), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1032), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(1036), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(637), 5,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(1026), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [34876] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1018), 1,
      anon_sym_DOT,
    ACTIONS(1020), 1,
      anon_sym_LPAREN,
    ACTIONS(1024), 1,
      anon_sym_LBRACK,
    ACTIONS(1028), 1,
      anon_sym_PIPE,
    ACTIONS(1040), 1,
      anon_sym_AMP_AMP,
    STATE(549), 1,
      sym_argument_list,
    STATE(1260), 1,
      sym_type_arguments,
    ACTIONS(639), 2,
      anon_sym_EQ,
      anon_sym_COLON,
    ACTIONS(1034), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(1038), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1032), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(637), 4,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PIPE_PIPE,
    ACTIONS(1036), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1026), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [34937] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(781), 1,
      anon_sym_LF,
    ACTIONS(783), 28,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_PIPE,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [34974] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(785), 1,
      anon_sym_LF,
    ACTIONS(787), 28,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_PIPE,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [35011] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(572), 1,
      anon_sym_func,
    ACTIONS(585), 1,
      anon_sym_map,
    ACTIONS(587), 1,
      anon_sym_chan,
    ACTIONS(589), 1,
      anon_sym_LT_DASH,
    ACTIONS(996), 1,
      anon_sym_LBRACK,
    ACTIONS(998), 1,
      anon_sym_STAR,
    ACTIONS(1078), 1,
      anon_sym_LPAREN,
    ACTIONS(1093), 1,
      sym_identifier,
    ACTIONS(1095), 1,
      anon_sym_RPAREN,
    ACTIONS(1097), 1,
      anon_sym_COMMA,
    ACTIONS(1099), 1,
      anon_sym_DOT_DOT_DOT,
    STATE(870), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(1205), 2,
      sym_parameter_declaration,
      sym_variadic_parameter_declaration,
    STATE(1256), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(859), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [35080] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(789), 1,
      anon_sym_LF,
    ACTIONS(791), 28,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_PIPE,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [35117] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(920), 1,
      anon_sym_LPAREN,
    ACTIONS(922), 1,
      anon_sym_LBRACK,
    ACTIONS(968), 1,
      anon_sym_DOT,
    ACTIONS(986), 1,
      anon_sym_PIPE,
    ACTIONS(994), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1101), 1,
      anon_sym_PIPE_PIPE,
    STATE(421), 1,
      sym_argument_list,
    STATE(1278), 1,
      sym_type_arguments,
    ACTIONS(844), 2,
      anon_sym_EQ,
      anon_sym_COLON,
    ACTIONS(972), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(992), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(842), 3,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_COLON_EQ,
    ACTIONS(988), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(990), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(970), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [35180] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(797), 1,
      anon_sym_LF,
    ACTIONS(799), 28,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_PIPE,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [35217] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(801), 1,
      anon_sym_LF,
    ACTIONS(803), 28,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_PIPE,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [35254] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(805), 1,
      anon_sym_LF,
    ACTIONS(807), 28,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_PIPE,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [35291] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(809), 1,
      anon_sym_LF,
    ACTIONS(811), 28,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_PIPE,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [35328] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(813), 1,
      anon_sym_LF,
    ACTIONS(815), 28,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_PIPE,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [35365] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(753), 1,
      anon_sym_LF,
    ACTIONS(755), 28,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_PIPE,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [35402] = 19,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(862), 1,
      sym_identifier,
    ACTIONS(874), 1,
      anon_sym_func,
    ACTIONS(878), 1,
      anon_sym_STAR,
    ACTIONS(880), 1,
      anon_sym_struct,
    ACTIONS(882), 1,
      anon_sym_TILDE,
    ACTIONS(884), 1,
      anon_sym_interface,
    ACTIONS(886), 1,
      anon_sym_map,
    ACTIONS(888), 1,
      anon_sym_chan,
    ACTIONS(890), 1,
      anon_sym_LT_DASH,
    ACTIONS(902), 1,
      anon_sym_LPAREN,
    ACTIONS(916), 1,
      anon_sym_LBRACK,
    ACTIONS(1072), 1,
      anon_sym_LF,
    ACTIONS(1103), 1,
      anon_sym_LBRACE,
    STATE(1229), 1,
      sym_block,
    ACTIONS(1074), 2,
      anon_sym_SEMI,
      anon_sym_NULL,
    STATE(795), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(1029), 2,
      sym_parameter_list,
      sym__simple_type,
    STATE(825), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [35471] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(572), 1,
      anon_sym_func,
    ACTIONS(585), 1,
      anon_sym_map,
    ACTIONS(587), 1,
      anon_sym_chan,
    ACTIONS(589), 1,
      anon_sym_LT_DASH,
    ACTIONS(996), 1,
      anon_sym_LBRACK,
    ACTIONS(998), 1,
      anon_sym_STAR,
    ACTIONS(1078), 1,
      anon_sym_LPAREN,
    ACTIONS(1093), 1,
      sym_identifier,
    ACTIONS(1099), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1105), 1,
      anon_sym_RPAREN,
    ACTIONS(1107), 1,
      anon_sym_COMMA,
    STATE(870), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(1234), 2,
      sym_parameter_declaration,
      sym_variadic_parameter_declaration,
    STATE(1256), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(859), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [35540] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(681), 1,
      anon_sym_LF,
    ACTIONS(683), 28,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_PIPE,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [35577] = 17,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(1046), 1,
      sym_identifier,
    ACTIONS(1050), 1,
      anon_sym_LPAREN,
    ACTIONS(1052), 1,
      anon_sym_func,
    ACTIONS(1054), 1,
      anon_sym_LBRACK,
    ACTIONS(1056), 1,
      anon_sym_STAR,
    ACTIONS(1058), 1,
      anon_sym_struct,
    ACTIONS(1060), 1,
      anon_sym_TILDE,
    ACTIONS(1064), 1,
      anon_sym_interface,
    ACTIONS(1066), 1,
      anon_sym_map,
    ACTIONS(1068), 1,
      anon_sym_chan,
    ACTIONS(1070), 1,
      anon_sym_LT_DASH,
    ACTIONS(898), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    STATE(902), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(985), 2,
      sym_parameter_list,
      sym__simple_type,
    ACTIONS(900), 3,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_LBRACE,
    STATE(950), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [35642] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(685), 1,
      anon_sym_LF,
    ACTIONS(687), 28,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_PIPE,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [35679] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(673), 1,
      anon_sym_LF,
    ACTIONS(675), 28,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_PIPE,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [35716] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(657), 1,
      anon_sym_LF,
    ACTIONS(659), 28,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_PIPE,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [35753] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(721), 1,
      anon_sym_LF,
    ACTIONS(723), 28,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_PIPE,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [35790] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(725), 1,
      anon_sym_LF,
    ACTIONS(727), 28,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_PIPE,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [35827] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(729), 1,
      anon_sym_LF,
    ACTIONS(731), 28,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_PIPE,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [35864] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1018), 1,
      anon_sym_DOT,
    ACTIONS(1020), 1,
      anon_sym_LPAREN,
    ACTIONS(1024), 1,
      anon_sym_LBRACK,
    STATE(549), 1,
      sym_argument_list,
    STATE(1260), 1,
      sym_type_arguments,
    ACTIONS(645), 7,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(643), 17,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [35911] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(578), 1,
      anon_sym_LF,
    ACTIONS(583), 28,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_PIPE,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [35948] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(793), 1,
      anon_sym_LF,
    ACTIONS(795), 28,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_PIPE,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [35985] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(665), 1,
      anon_sym_LF,
    ACTIONS(667), 28,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_PIPE,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [36022] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(733), 1,
      anon_sym_LF,
    ACTIONS(735), 28,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_PIPE,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [36059] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(677), 1,
      anon_sym_LF,
    ACTIONS(679), 28,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_PIPE,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [36096] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(689), 1,
      anon_sym_LF,
    ACTIONS(691), 28,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_PIPE,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [36133] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(749), 1,
      anon_sym_LF,
    ACTIONS(751), 28,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_PIPE,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [36170] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(737), 1,
      anon_sym_LF,
    ACTIONS(739), 28,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_PIPE,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [36207] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(817), 1,
      anon_sym_LF,
    ACTIONS(819), 28,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_PIPE,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [36244] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(572), 1,
      anon_sym_func,
    ACTIONS(585), 1,
      anon_sym_map,
    ACTIONS(587), 1,
      anon_sym_chan,
    ACTIONS(589), 1,
      anon_sym_LT_DASH,
    ACTIONS(996), 1,
      anon_sym_LBRACK,
    ACTIONS(998), 1,
      anon_sym_STAR,
    ACTIONS(1078), 1,
      anon_sym_LPAREN,
    ACTIONS(1093), 1,
      sym_identifier,
    ACTIONS(1099), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1109), 1,
      anon_sym_RPAREN,
    ACTIONS(1111), 1,
      anon_sym_COMMA,
    STATE(870), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(1169), 2,
      sym_parameter_declaration,
      sym_variadic_parameter_declaration,
    STATE(1256), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(859), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [36313] = 17,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(1050), 1,
      anon_sym_LPAREN,
    ACTIONS(1058), 1,
      anon_sym_struct,
    ACTIONS(1060), 1,
      anon_sym_TILDE,
    ACTIONS(1064), 1,
      anon_sym_interface,
    ACTIONS(1113), 1,
      sym_identifier,
    ACTIONS(1115), 1,
      anon_sym_func,
    ACTIONS(1117), 1,
      anon_sym_LBRACK,
    ACTIONS(1119), 1,
      anon_sym_STAR,
    ACTIONS(1121), 1,
      anon_sym_map,
    ACTIONS(1123), 1,
      anon_sym_chan,
    ACTIONS(1125), 1,
      anon_sym_LT_DASH,
    ACTIONS(898), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    STATE(899), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(985), 2,
      sym_parameter_list,
      sym__simple_type,
    ACTIONS(900), 3,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_LBRACE,
    STATE(950), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [36378] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(741), 1,
      anon_sym_LF,
    ACTIONS(743), 28,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_PIPE,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [36415] = 19,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(862), 1,
      sym_identifier,
    ACTIONS(874), 1,
      anon_sym_func,
    ACTIONS(878), 1,
      anon_sym_STAR,
    ACTIONS(880), 1,
      anon_sym_struct,
    ACTIONS(882), 1,
      anon_sym_TILDE,
    ACTIONS(884), 1,
      anon_sym_interface,
    ACTIONS(886), 1,
      anon_sym_map,
    ACTIONS(888), 1,
      anon_sym_chan,
    ACTIONS(890), 1,
      anon_sym_LT_DASH,
    ACTIONS(902), 1,
      anon_sym_LPAREN,
    ACTIONS(916), 1,
      anon_sym_LBRACK,
    ACTIONS(1089), 1,
      anon_sym_LF,
    ACTIONS(1103), 1,
      anon_sym_LBRACE,
    STATE(1181), 1,
      sym_block,
    ACTIONS(1091), 2,
      anon_sym_SEMI,
      anon_sym_NULL,
    STATE(795), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(1024), 2,
      sym_parameter_list,
      sym__simple_type,
    STATE(825), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [36484] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1018), 1,
      anon_sym_DOT,
    ACTIONS(1020), 1,
      anon_sym_LPAREN,
    ACTIONS(1024), 1,
      anon_sym_LBRACK,
    STATE(549), 1,
      sym_argument_list,
    STATE(1260), 1,
      sym_type_arguments,
    ACTIONS(639), 7,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(637), 17,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [36531] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(745), 1,
      anon_sym_LF,
    ACTIONS(747), 28,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_PIPE,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [36568] = 19,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(862), 1,
      sym_identifier,
    ACTIONS(874), 1,
      anon_sym_func,
    ACTIONS(878), 1,
      anon_sym_STAR,
    ACTIONS(880), 1,
      anon_sym_struct,
    ACTIONS(882), 1,
      anon_sym_TILDE,
    ACTIONS(884), 1,
      anon_sym_interface,
    ACTIONS(886), 1,
      anon_sym_map,
    ACTIONS(888), 1,
      anon_sym_chan,
    ACTIONS(890), 1,
      anon_sym_LT_DASH,
    ACTIONS(902), 1,
      anon_sym_LPAREN,
    ACTIONS(916), 1,
      anon_sym_LBRACK,
    ACTIONS(1044), 1,
      anon_sym_LF,
    ACTIONS(1103), 1,
      anon_sym_LBRACE,
    STATE(1224), 1,
      sym_block,
    ACTIONS(1048), 2,
      anon_sym_SEMI,
      anon_sym_NULL,
    STATE(795), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(1028), 2,
      sym_parameter_list,
      sym__simple_type,
    STATE(825), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [36637] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(918), 1,
      anon_sym_DOT,
    ACTIONS(920), 1,
      anon_sym_LPAREN,
    ACTIONS(922), 1,
      anon_sym_LBRACK,
    ACTIONS(1127), 1,
      anon_sym_RPAREN,
    ACTIONS(1129), 1,
      anon_sym_COMMA,
    ACTIONS(1131), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1135), 1,
      anon_sym_PIPE,
    ACTIONS(1145), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1147), 1,
      anon_sym_PIPE_PIPE,
    STATE(421), 1,
      sym_argument_list,
    STATE(1185), 1,
      aux_sym_argument_list_repeat1,
    STATE(1278), 1,
      sym_type_arguments,
    ACTIONS(1139), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(1143), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1137), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(1141), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1133), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [36703] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(918), 1,
      anon_sym_DOT,
    ACTIONS(920), 1,
      anon_sym_LPAREN,
    ACTIONS(922), 1,
      anon_sym_LBRACK,
    ACTIONS(1131), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1135), 1,
      anon_sym_PIPE,
    ACTIONS(1145), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1147), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1149), 1,
      anon_sym_RPAREN,
    ACTIONS(1151), 1,
      anon_sym_COMMA,
    STATE(421), 1,
      sym_argument_list,
    STATE(1145), 1,
      aux_sym_argument_list_repeat1,
    STATE(1278), 1,
      sym_type_arguments,
    ACTIONS(1139), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(1143), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1137), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(1141), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1133), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [36769] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(572), 1,
      anon_sym_func,
    ACTIONS(585), 1,
      anon_sym_map,
    ACTIONS(587), 1,
      anon_sym_chan,
    ACTIONS(589), 1,
      anon_sym_LT_DASH,
    ACTIONS(996), 1,
      anon_sym_LBRACK,
    ACTIONS(998), 1,
      anon_sym_STAR,
    ACTIONS(1078), 1,
      anon_sym_LPAREN,
    ACTIONS(1093), 1,
      sym_identifier,
    ACTIONS(1099), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1153), 1,
      anon_sym_RPAREN,
    STATE(870), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(1242), 2,
      sym_parameter_declaration,
      sym_variadic_parameter_declaration,
    STATE(1256), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(859), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [36835] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(707), 1,
      anon_sym_COLON_EQ,
    ACTIONS(920), 1,
      anon_sym_LPAREN,
    ACTIONS(922), 1,
      anon_sym_LBRACK,
    ACTIONS(1022), 1,
      anon_sym_COMMA,
    ACTIONS(1155), 1,
      anon_sym_DOT,
    ACTIONS(1159), 1,
      anon_sym_LBRACE,
    ACTIONS(1161), 1,
      anon_sym_PIPE,
    ACTIONS(1171), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1173), 1,
      anon_sym_PIPE_PIPE,
    STATE(421), 1,
      sym_argument_list,
    STATE(963), 1,
      aux_sym_expression_list_repeat1,
    STATE(1278), 1,
      sym_type_arguments,
    ACTIONS(1165), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(1169), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1163), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(1167), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1157), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [36901] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(572), 1,
      anon_sym_func,
    ACTIONS(585), 1,
      anon_sym_map,
    ACTIONS(587), 1,
      anon_sym_chan,
    ACTIONS(589), 1,
      anon_sym_LT_DASH,
    ACTIONS(996), 1,
      anon_sym_LBRACK,
    ACTIONS(998), 1,
      anon_sym_STAR,
    ACTIONS(1078), 1,
      anon_sym_LPAREN,
    ACTIONS(1093), 1,
      sym_identifier,
    ACTIONS(1099), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1175), 1,
      anon_sym_RPAREN,
    STATE(870), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(1242), 2,
      sym_parameter_declaration,
      sym_variadic_parameter_declaration,
    STATE(1256), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(859), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [36967] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(572), 1,
      anon_sym_func,
    ACTIONS(585), 1,
      anon_sym_map,
    ACTIONS(587), 1,
      anon_sym_chan,
    ACTIONS(589), 1,
      anon_sym_LT_DASH,
    ACTIONS(996), 1,
      anon_sym_LBRACK,
    ACTIONS(998), 1,
      anon_sym_STAR,
    ACTIONS(1078), 1,
      anon_sym_LPAREN,
    ACTIONS(1093), 1,
      sym_identifier,
    ACTIONS(1099), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1177), 1,
      anon_sym_RPAREN,
    STATE(870), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(1242), 2,
      sym_parameter_declaration,
      sym_variadic_parameter_declaration,
    STATE(1256), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(859), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [37033] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(572), 1,
      anon_sym_func,
    ACTIONS(585), 1,
      anon_sym_map,
    ACTIONS(587), 1,
      anon_sym_chan,
    ACTIONS(589), 1,
      anon_sym_LT_DASH,
    ACTIONS(996), 1,
      anon_sym_LBRACK,
    ACTIONS(998), 1,
      anon_sym_STAR,
    ACTIONS(1078), 1,
      anon_sym_LPAREN,
    ACTIONS(1093), 1,
      sym_identifier,
    ACTIONS(1099), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1179), 1,
      anon_sym_RPAREN,
    STATE(870), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(1242), 2,
      sym_parameter_declaration,
      sym_variadic_parameter_declaration,
    STATE(1256), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(859), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [37099] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(572), 1,
      anon_sym_func,
    ACTIONS(585), 1,
      anon_sym_map,
    ACTIONS(587), 1,
      anon_sym_chan,
    ACTIONS(589), 1,
      anon_sym_LT_DASH,
    ACTIONS(996), 1,
      anon_sym_LBRACK,
    ACTIONS(998), 1,
      anon_sym_STAR,
    ACTIONS(1078), 1,
      anon_sym_LPAREN,
    ACTIONS(1093), 1,
      sym_identifier,
    ACTIONS(1099), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1181), 1,
      anon_sym_RPAREN,
    STATE(870), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(1242), 2,
      sym_parameter_declaration,
      sym_variadic_parameter_declaration,
    STATE(1256), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(859), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [37165] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(572), 1,
      anon_sym_func,
    ACTIONS(585), 1,
      anon_sym_map,
    ACTIONS(587), 1,
      anon_sym_chan,
    ACTIONS(589), 1,
      anon_sym_LT_DASH,
    ACTIONS(996), 1,
      anon_sym_LBRACK,
    ACTIONS(998), 1,
      anon_sym_STAR,
    ACTIONS(1078), 1,
      anon_sym_LPAREN,
    ACTIONS(1093), 1,
      sym_identifier,
    ACTIONS(1099), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1183), 1,
      anon_sym_RPAREN,
    STATE(870), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(1242), 2,
      sym_parameter_declaration,
      sym_variadic_parameter_declaration,
    STATE(1256), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(859), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [37231] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1185), 1,
      anon_sym_LPAREN,
    STATE(549), 1,
      sym_special_argument_list,
    ACTIONS(583), 7,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(578), 19,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [37271] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(918), 1,
      anon_sym_DOT,
    ACTIONS(920), 1,
      anon_sym_LPAREN,
    ACTIONS(922), 1,
      anon_sym_LBRACK,
    ACTIONS(1131), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1135), 1,
      anon_sym_PIPE,
    ACTIONS(1145), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1147), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1187), 1,
      anon_sym_RPAREN,
    ACTIONS(1189), 1,
      anon_sym_COMMA,
    STATE(421), 1,
      sym_argument_list,
    STATE(1136), 1,
      aux_sym_argument_list_repeat1,
    STATE(1278), 1,
      sym_type_arguments,
    ACTIONS(1139), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(1143), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1137), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(1141), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1133), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [37337] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(918), 1,
      anon_sym_DOT,
    ACTIONS(920), 1,
      anon_sym_LPAREN,
    ACTIONS(922), 1,
      anon_sym_LBRACK,
    ACTIONS(1131), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1135), 1,
      anon_sym_PIPE,
    ACTIONS(1145), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1147), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1191), 1,
      anon_sym_RPAREN,
    ACTIONS(1193), 1,
      anon_sym_COMMA,
    STATE(421), 1,
      sym_argument_list,
    STATE(1164), 1,
      aux_sym_argument_list_repeat1,
    STATE(1278), 1,
      sym_type_arguments,
    ACTIONS(1139), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(1143), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1137), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(1141), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1133), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [37403] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(918), 1,
      anon_sym_DOT,
    ACTIONS(920), 1,
      anon_sym_LPAREN,
    ACTIONS(922), 1,
      anon_sym_LBRACK,
    ACTIONS(1131), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1135), 1,
      anon_sym_PIPE,
    ACTIONS(1145), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1147), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1195), 1,
      anon_sym_RPAREN,
    ACTIONS(1197), 1,
      anon_sym_COMMA,
    STATE(421), 1,
      sym_argument_list,
    STATE(1191), 1,
      aux_sym_argument_list_repeat1,
    STATE(1278), 1,
      sym_type_arguments,
    ACTIONS(1139), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(1143), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1137), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(1141), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1133), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [37469] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(918), 1,
      anon_sym_DOT,
    ACTIONS(920), 1,
      anon_sym_LPAREN,
    ACTIONS(922), 1,
      anon_sym_LBRACK,
    ACTIONS(1131), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1135), 1,
      anon_sym_PIPE,
    ACTIONS(1145), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1147), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1199), 1,
      anon_sym_RPAREN,
    ACTIONS(1201), 1,
      anon_sym_COMMA,
    STATE(421), 1,
      sym_argument_list,
    STATE(1228), 1,
      aux_sym_argument_list_repeat1,
    STATE(1278), 1,
      sym_type_arguments,
    ACTIONS(1139), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(1143), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1137), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(1141), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1133), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [37535] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(303), 1,
      anon_sym_LBRACE,
    ACTIONS(563), 1,
      anon_sym_DOT,
    ACTIONS(594), 1,
      anon_sym_PIPE,
    ACTIONS(830), 1,
      anon_sym_LBRACK,
    ACTIONS(1080), 1,
      anon_sym_COMMA,
    STATE(422), 1,
      sym_literal_value,
    STATE(856), 1,
      sym_type_arguments,
    ACTIONS(827), 2,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
    ACTIONS(583), 4,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(578), 15,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [37587] = 17,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(862), 1,
      sym_identifier,
    ACTIONS(874), 1,
      anon_sym_func,
    ACTIONS(878), 1,
      anon_sym_STAR,
    ACTIONS(880), 1,
      anon_sym_struct,
    ACTIONS(882), 1,
      anon_sym_TILDE,
    ACTIONS(884), 1,
      anon_sym_interface,
    ACTIONS(886), 1,
      anon_sym_map,
    ACTIONS(888), 1,
      anon_sym_chan,
    ACTIONS(890), 1,
      anon_sym_LT_DASH,
    ACTIONS(902), 1,
      anon_sym_LPAREN,
    ACTIONS(916), 1,
      anon_sym_LBRACK,
    ACTIONS(1203), 1,
      anon_sym_LF,
    STATE(795), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(1070), 2,
      sym_parameter_list,
      sym__simple_type,
    ACTIONS(1205), 3,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_RBRACE,
    STATE(825), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [37651] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(303), 1,
      anon_sym_LBRACE,
    ACTIONS(591), 1,
      anon_sym_DOT,
    ACTIONS(827), 1,
      anon_sym_LPAREN,
    ACTIONS(830), 1,
      anon_sym_LBRACK,
    STATE(422), 1,
      sym_literal_value,
    STATE(856), 1,
      sym_type_arguments,
    ACTIONS(583), 5,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(578), 17,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [37699] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(920), 1,
      anon_sym_LPAREN,
    ACTIONS(922), 1,
      anon_sym_LBRACK,
    ACTIONS(968), 1,
      anon_sym_DOT,
    ACTIONS(986), 1,
      anon_sym_PIPE,
    ACTIONS(994), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1022), 1,
      anon_sym_COMMA,
    ACTIONS(1101), 1,
      anon_sym_PIPE_PIPE,
    STATE(421), 1,
      sym_argument_list,
    STATE(963), 1,
      aux_sym_expression_list_repeat1,
    STATE(1278), 1,
      sym_type_arguments,
    ACTIONS(707), 2,
      anon_sym_SEMI,
      anon_sym_COLON,
    ACTIONS(972), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(992), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(988), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(990), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(970), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [37763] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(667), 7,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(665), 20,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [37798] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(807), 7,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(805), 20,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [37833] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(811), 7,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(809), 20,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [37868] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(815), 7,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(813), 20,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [37903] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(707), 1,
      anon_sym_SEMI,
    ACTIONS(920), 1,
      anon_sym_LPAREN,
    ACTIONS(922), 1,
      anon_sym_LBRACK,
    ACTIONS(986), 1,
      anon_sym_PIPE,
    ACTIONS(994), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1022), 1,
      anon_sym_COMMA,
    ACTIONS(1101), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1207), 1,
      anon_sym_DOT,
    STATE(421), 1,
      sym_argument_list,
    STATE(963), 1,
      aux_sym_expression_list_repeat1,
    STATE(1278), 1,
      sym_type_arguments,
    ACTIONS(972), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(992), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(988), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(990), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(970), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [37966] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(874), 1,
      anon_sym_func,
    ACTIONS(880), 1,
      anon_sym_struct,
    ACTIONS(884), 1,
      anon_sym_interface,
    ACTIONS(886), 1,
      anon_sym_map,
    ACTIONS(888), 1,
      anon_sym_chan,
    ACTIONS(1209), 1,
      sym_identifier,
    ACTIONS(1211), 1,
      anon_sym_LPAREN,
    ACTIONS(1213), 1,
      anon_sym_LBRACK,
    ACTIONS(1215), 1,
      anon_sym_STAR,
    ACTIONS(1217), 1,
      anon_sym_TILDE,
    ACTIONS(1219), 1,
      anon_sym_RBRACE,
    ACTIONS(1221), 1,
      anon_sym_LT_DASH,
    STATE(795), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(919), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(1023), 2,
      sym_method_elem,
      sym_type_elem,
    STATE(825), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [38029] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(683), 7,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(681), 20,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [38064] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(687), 7,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(685), 20,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [38099] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(659), 7,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(657), 20,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [38134] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(561), 1,
      sym_identifier,
    ACTIONS(570), 1,
      anon_sym_COMMA,
    ACTIONS(572), 1,
      anon_sym_func,
    ACTIONS(585), 1,
      anon_sym_map,
    ACTIONS(587), 1,
      anon_sym_chan,
    ACTIONS(589), 1,
      anon_sym_LT_DASH,
    ACTIONS(996), 1,
      anon_sym_LBRACK,
    ACTIONS(998), 1,
      anon_sym_STAR,
    ACTIONS(1078), 1,
      anon_sym_LPAREN,
    STATE(536), 1,
      aux_sym_type_parameter_declaration_repeat1,
    STATE(1253), 1,
      sym_type_elem,
    STATE(870), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(1054), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(859), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [38199] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(787), 7,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(785), 20,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [38234] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(874), 1,
      anon_sym_func,
    ACTIONS(880), 1,
      anon_sym_struct,
    ACTIONS(884), 1,
      anon_sym_interface,
    ACTIONS(886), 1,
      anon_sym_map,
    ACTIONS(888), 1,
      anon_sym_chan,
    ACTIONS(1209), 1,
      sym_identifier,
    ACTIONS(1211), 1,
      anon_sym_LPAREN,
    ACTIONS(1213), 1,
      anon_sym_LBRACK,
    ACTIONS(1215), 1,
      anon_sym_STAR,
    ACTIONS(1217), 1,
      anon_sym_TILDE,
    ACTIONS(1221), 1,
      anon_sym_LT_DASH,
    ACTIONS(1223), 1,
      anon_sym_RBRACE,
    STATE(795), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(919), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(1071), 2,
      sym_method_elem,
      sym_type_elem,
    STATE(825), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [38297] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(723), 7,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(721), 20,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [38332] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(791), 7,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(789), 20,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [38367] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(561), 1,
      sym_identifier,
    ACTIONS(570), 1,
      anon_sym_COMMA,
    ACTIONS(572), 1,
      anon_sym_func,
    ACTIONS(585), 1,
      anon_sym_map,
    ACTIONS(587), 1,
      anon_sym_chan,
    ACTIONS(589), 1,
      anon_sym_LT_DASH,
    ACTIONS(996), 1,
      anon_sym_LBRACK,
    ACTIONS(998), 1,
      anon_sym_STAR,
    ACTIONS(1078), 1,
      anon_sym_LPAREN,
    STATE(794), 1,
      aux_sym_type_parameter_declaration_repeat1,
    STATE(1252), 1,
      sym_type_elem,
    STATE(870), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(1054), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(859), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [38432] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(874), 1,
      anon_sym_func,
    ACTIONS(880), 1,
      anon_sym_struct,
    ACTIONS(884), 1,
      anon_sym_interface,
    ACTIONS(886), 1,
      anon_sym_map,
    ACTIONS(888), 1,
      anon_sym_chan,
    ACTIONS(1209), 1,
      sym_identifier,
    ACTIONS(1211), 1,
      anon_sym_LPAREN,
    ACTIONS(1213), 1,
      anon_sym_LBRACK,
    ACTIONS(1215), 1,
      anon_sym_STAR,
    ACTIONS(1217), 1,
      anon_sym_TILDE,
    ACTIONS(1221), 1,
      anon_sym_LT_DASH,
    ACTIONS(1225), 1,
      anon_sym_RBRACE,
    STATE(795), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(919), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(1071), 2,
      sym_method_elem,
      sym_type_elem,
    STATE(825), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [38495] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(874), 1,
      anon_sym_func,
    ACTIONS(880), 1,
      anon_sym_struct,
    ACTIONS(884), 1,
      anon_sym_interface,
    ACTIONS(886), 1,
      anon_sym_map,
    ACTIONS(888), 1,
      anon_sym_chan,
    ACTIONS(1209), 1,
      sym_identifier,
    ACTIONS(1211), 1,
      anon_sym_LPAREN,
    ACTIONS(1213), 1,
      anon_sym_LBRACK,
    ACTIONS(1215), 1,
      anon_sym_STAR,
    ACTIONS(1217), 1,
      anon_sym_TILDE,
    ACTIONS(1221), 1,
      anon_sym_LT_DASH,
    ACTIONS(1227), 1,
      anon_sym_RBRACE,
    STATE(795), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(919), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(1071), 2,
      sym_method_elem,
      sym_type_elem,
    STATE(825), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [38558] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(874), 1,
      anon_sym_func,
    ACTIONS(880), 1,
      anon_sym_struct,
    ACTIONS(884), 1,
      anon_sym_interface,
    ACTIONS(886), 1,
      anon_sym_map,
    ACTIONS(888), 1,
      anon_sym_chan,
    ACTIONS(1209), 1,
      sym_identifier,
    ACTIONS(1211), 1,
      anon_sym_LPAREN,
    ACTIONS(1213), 1,
      anon_sym_LBRACK,
    ACTIONS(1215), 1,
      anon_sym_STAR,
    ACTIONS(1217), 1,
      anon_sym_TILDE,
    ACTIONS(1221), 1,
      anon_sym_LT_DASH,
    ACTIONS(1229), 1,
      anon_sym_RBRACE,
    STATE(795), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(919), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(1071), 2,
      sym_method_elem,
      sym_type_elem,
    STATE(825), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [38621] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(727), 7,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(725), 20,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [38656] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(731), 7,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(729), 20,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [38691] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(874), 1,
      anon_sym_func,
    ACTIONS(880), 1,
      anon_sym_struct,
    ACTIONS(884), 1,
      anon_sym_interface,
    ACTIONS(886), 1,
      anon_sym_map,
    ACTIONS(888), 1,
      anon_sym_chan,
    ACTIONS(1209), 1,
      sym_identifier,
    ACTIONS(1211), 1,
      anon_sym_LPAREN,
    ACTIONS(1213), 1,
      anon_sym_LBRACK,
    ACTIONS(1215), 1,
      anon_sym_STAR,
    ACTIONS(1217), 1,
      anon_sym_TILDE,
    ACTIONS(1221), 1,
      anon_sym_LT_DASH,
    ACTIONS(1231), 1,
      anon_sym_RBRACE,
    STATE(795), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(919), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(1071), 2,
      sym_method_elem,
      sym_type_elem,
    STATE(825), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [38754] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(583), 7,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(578), 20,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [38789] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(799), 7,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(797), 20,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [38824] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(563), 1,
      anon_sym_DOT,
    ACTIONS(827), 1,
      anon_sym_LPAREN,
    ACTIONS(830), 1,
      anon_sym_LBRACK,
    STATE(422), 1,
      sym_literal_value,
    STATE(856), 1,
      sym_type_arguments,
    ACTIONS(583), 5,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(578), 17,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LBRACE,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [38869] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(735), 7,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(733), 20,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [38904] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(649), 7,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(647), 20,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [38939] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(739), 7,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(737), 20,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [38974] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(795), 7,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(793), 20,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [39009] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(920), 1,
      anon_sym_LPAREN,
    ACTIONS(922), 1,
      anon_sym_LBRACK,
    ACTIONS(968), 1,
      anon_sym_DOT,
    ACTIONS(1161), 1,
      anon_sym_PIPE,
    ACTIONS(1171), 1,
      anon_sym_AMP_AMP,
    STATE(421), 1,
      sym_argument_list,
    STATE(1278), 1,
      sym_type_arguments,
    ACTIONS(1165), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(1169), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1163), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(637), 4,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_COLON_EQ,
      anon_sym_PIPE_PIPE,
    ACTIONS(1167), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1157), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [39066] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(783), 7,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(781), 20,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [39101] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(707), 1,
      anon_sym_LBRACE,
    ACTIONS(920), 1,
      anon_sym_LPAREN,
    ACTIONS(922), 1,
      anon_sym_LBRACK,
    ACTIONS(968), 1,
      anon_sym_DOT,
    ACTIONS(1161), 1,
      anon_sym_PIPE,
    ACTIONS(1171), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1173), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1233), 1,
      anon_sym_COMMA,
    STATE(421), 1,
      sym_argument_list,
    STATE(1204), 1,
      aux_sym_expression_list_repeat1,
    STATE(1278), 1,
      sym_type_arguments,
    ACTIONS(1165), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(1169), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1163), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(1167), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1157), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [39164] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(663), 7,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(661), 20,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [39199] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(743), 7,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(741), 20,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [39234] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(803), 7,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(801), 20,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [39269] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(572), 1,
      anon_sym_func,
    ACTIONS(585), 1,
      anon_sym_map,
    ACTIONS(587), 1,
      anon_sym_chan,
    ACTIONS(589), 1,
      anon_sym_LT_DASH,
    ACTIONS(996), 1,
      anon_sym_LBRACK,
    ACTIONS(998), 1,
      anon_sym_STAR,
    ACTIONS(1078), 1,
      anon_sym_LPAREN,
    ACTIONS(1093), 1,
      sym_identifier,
    ACTIONS(1099), 1,
      anon_sym_DOT_DOT_DOT,
    STATE(870), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(1242), 2,
      sym_parameter_declaration,
      sym_variadic_parameter_declaration,
    STATE(1256), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(859), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [39332] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(747), 7,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(745), 20,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [39367] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(755), 7,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(753), 20,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [39402] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(679), 7,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(677), 20,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [39437] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(918), 1,
      anon_sym_DOT,
    ACTIONS(920), 1,
      anon_sym_LPAREN,
    ACTIONS(922), 1,
      anon_sym_LBRACK,
    STATE(421), 1,
      sym_argument_list,
    STATE(1278), 1,
      sym_type_arguments,
    ACTIONS(1139), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(639), 3,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1133), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
    ACTIONS(637), 12,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [39486] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(918), 1,
      anon_sym_DOT,
    ACTIONS(920), 1,
      anon_sym_LPAREN,
    ACTIONS(922), 1,
      anon_sym_LBRACK,
    ACTIONS(1135), 1,
      anon_sym_PIPE,
    ACTIONS(1145), 1,
      anon_sym_AMP_AMP,
    STATE(421), 1,
      sym_argument_list,
    STATE(1278), 1,
      sym_type_arguments,
    ACTIONS(1139), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(1143), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1137), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(637), 4,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PIPE_PIPE,
    ACTIONS(1141), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1133), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [39543] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(862), 1,
      sym_identifier,
    ACTIONS(874), 1,
      anon_sym_func,
    ACTIONS(880), 1,
      anon_sym_struct,
    ACTIONS(884), 1,
      anon_sym_interface,
    ACTIONS(886), 1,
      anon_sym_map,
    ACTIONS(888), 1,
      anon_sym_chan,
    ACTIONS(1211), 1,
      anon_sym_LPAREN,
    ACTIONS(1213), 1,
      anon_sym_LBRACK,
    ACTIONS(1215), 1,
      anon_sym_STAR,
    ACTIONS(1217), 1,
      anon_sym_TILDE,
    ACTIONS(1221), 1,
      anon_sym_LT_DASH,
    ACTIONS(1235), 1,
      anon_sym_COMMA,
    ACTIONS(1237), 1,
      anon_sym_EQ,
    STATE(787), 1,
      aux_sym_const_spec_repeat1,
    STATE(795), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(891), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(825), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [39608] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(918), 1,
      anon_sym_DOT,
    ACTIONS(920), 1,
      anon_sym_LPAREN,
    ACTIONS(922), 1,
      anon_sym_LBRACK,
    ACTIONS(1135), 1,
      anon_sym_PIPE,
    STATE(421), 1,
      sym_argument_list,
    STATE(1278), 1,
      sym_type_arguments,
    ACTIONS(639), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1139), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(1137), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(1133), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
    ACTIONS(637), 9,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [39661] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(759), 7,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(757), 20,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [39696] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(874), 1,
      anon_sym_func,
    ACTIONS(880), 1,
      anon_sym_struct,
    ACTIONS(884), 1,
      anon_sym_interface,
    ACTIONS(886), 1,
      anon_sym_map,
    ACTIONS(888), 1,
      anon_sym_chan,
    ACTIONS(1209), 1,
      sym_identifier,
    ACTIONS(1211), 1,
      anon_sym_LPAREN,
    ACTIONS(1213), 1,
      anon_sym_LBRACK,
    ACTIONS(1215), 1,
      anon_sym_STAR,
    ACTIONS(1217), 1,
      anon_sym_TILDE,
    ACTIONS(1221), 1,
      anon_sym_LT_DASH,
    ACTIONS(1239), 1,
      anon_sym_RBRACE,
    STATE(795), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(919), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(1030), 2,
      sym_method_elem,
      sym_type_elem,
    STATE(825), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [39759] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(918), 1,
      anon_sym_DOT,
    ACTIONS(920), 1,
      anon_sym_LPAREN,
    ACTIONS(922), 1,
      anon_sym_LBRACK,
    ACTIONS(1135), 1,
      anon_sym_PIPE,
    STATE(421), 1,
      sym_argument_list,
    STATE(1278), 1,
      sym_type_arguments,
    ACTIONS(1139), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(1143), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1137), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(1141), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(637), 5,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(1133), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [39814] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(862), 1,
      sym_identifier,
    ACTIONS(874), 1,
      anon_sym_func,
    ACTIONS(880), 1,
      anon_sym_struct,
    ACTIONS(884), 1,
      anon_sym_interface,
    ACTIONS(886), 1,
      anon_sym_map,
    ACTIONS(888), 1,
      anon_sym_chan,
    ACTIONS(1211), 1,
      anon_sym_LPAREN,
    ACTIONS(1213), 1,
      anon_sym_LBRACK,
    ACTIONS(1215), 1,
      anon_sym_STAR,
    ACTIONS(1217), 1,
      anon_sym_TILDE,
    ACTIONS(1221), 1,
      anon_sym_LT_DASH,
    ACTIONS(1235), 1,
      anon_sym_COMMA,
    ACTIONS(1241), 1,
      anon_sym_EQ,
    STATE(562), 1,
      aux_sym_const_spec_repeat1,
    STATE(795), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(900), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(825), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [39879] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(763), 7,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(761), 20,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [39914] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(767), 7,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(765), 20,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [39949] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(920), 1,
      anon_sym_LPAREN,
    ACTIONS(922), 1,
      anon_sym_LBRACK,
    ACTIONS(968), 1,
      anon_sym_DOT,
    STATE(421), 1,
      sym_argument_list,
    STATE(1278), 1,
      sym_type_arguments,
    ACTIONS(1165), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(639), 3,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1157), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
    ACTIONS(637), 12,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [39998] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(920), 1,
      anon_sym_LPAREN,
    ACTIONS(922), 1,
      anon_sym_LBRACK,
    ACTIONS(968), 1,
      anon_sym_DOT,
    ACTIONS(1161), 1,
      anon_sym_PIPE,
    STATE(421), 1,
      sym_argument_list,
    STATE(1278), 1,
      sym_type_arguments,
    ACTIONS(639), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1165), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(1163), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(1157), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
    ACTIONS(637), 9,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_COLON_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [40051] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(691), 7,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(689), 20,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [40086] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(920), 1,
      anon_sym_LPAREN,
    ACTIONS(922), 1,
      anon_sym_LBRACK,
    ACTIONS(968), 1,
      anon_sym_DOT,
    ACTIONS(1161), 1,
      anon_sym_PIPE,
    STATE(421), 1,
      sym_argument_list,
    STATE(1278), 1,
      sym_type_arguments,
    ACTIONS(1165), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(1169), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1163), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(1167), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(637), 5,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_COLON_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(1157), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [40141] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(751), 7,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(749), 20,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [40176] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(771), 7,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(769), 20,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [40211] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(653), 7,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(651), 20,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [40246] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(819), 7,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(817), 20,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [40281] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(874), 1,
      anon_sym_func,
    ACTIONS(880), 1,
      anon_sym_struct,
    ACTIONS(884), 1,
      anon_sym_interface,
    ACTIONS(886), 1,
      anon_sym_map,
    ACTIONS(888), 1,
      anon_sym_chan,
    ACTIONS(1209), 1,
      sym_identifier,
    ACTIONS(1211), 1,
      anon_sym_LPAREN,
    ACTIONS(1213), 1,
      anon_sym_LBRACK,
    ACTIONS(1215), 1,
      anon_sym_STAR,
    ACTIONS(1217), 1,
      anon_sym_TILDE,
    ACTIONS(1221), 1,
      anon_sym_LT_DASH,
    ACTIONS(1243), 1,
      anon_sym_RBRACE,
    STATE(795), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(919), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(1017), 2,
      sym_method_elem,
      sym_type_elem,
    STATE(825), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [40344] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(920), 1,
      anon_sym_LPAREN,
    ACTIONS(922), 1,
      anon_sym_LBRACK,
    ACTIONS(968), 1,
      anon_sym_DOT,
    ACTIONS(986), 1,
      anon_sym_PIPE,
    ACTIONS(994), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1101), 1,
      anon_sym_PIPE_PIPE,
    STATE(421), 1,
      sym_argument_list,
    STATE(1278), 1,
      sym_type_arguments,
    ACTIONS(972), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(992), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(988), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(1245), 3,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_COLON,
    ACTIONS(990), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(970), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [40403] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(671), 7,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(669), 20,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [40438] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(874), 1,
      anon_sym_func,
    ACTIONS(880), 1,
      anon_sym_struct,
    ACTIONS(884), 1,
      anon_sym_interface,
    ACTIONS(886), 1,
      anon_sym_map,
    ACTIONS(888), 1,
      anon_sym_chan,
    ACTIONS(1209), 1,
      sym_identifier,
    ACTIONS(1211), 1,
      anon_sym_LPAREN,
    ACTIONS(1213), 1,
      anon_sym_LBRACK,
    ACTIONS(1215), 1,
      anon_sym_STAR,
    ACTIONS(1217), 1,
      anon_sym_TILDE,
    ACTIONS(1221), 1,
      anon_sym_LT_DASH,
    ACTIONS(1247), 1,
      anon_sym_RBRACE,
    STATE(795), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(919), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(1071), 2,
      sym_method_elem,
      sym_type_elem,
    STATE(825), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [40501] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(675), 7,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(673), 20,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [40536] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(775), 7,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(773), 20,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [40571] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(779), 7,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(777), 20,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [40606] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(918), 1,
      anon_sym_DOT,
    ACTIONS(920), 1,
      anon_sym_LPAREN,
    ACTIONS(922), 1,
      anon_sym_LBRACK,
    ACTIONS(1131), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1135), 1,
      anon_sym_PIPE,
    ACTIONS(1145), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1147), 1,
      anon_sym_PIPE_PIPE,
    STATE(421), 1,
      sym_argument_list,
    STATE(1278), 1,
      sym_type_arguments,
    ACTIONS(1139), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(1143), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1249), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
    ACTIONS(1137), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(1141), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1133), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [40667] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(920), 1,
      anon_sym_LPAREN,
    ACTIONS(922), 1,
      anon_sym_LBRACK,
    ACTIONS(968), 1,
      anon_sym_DOT,
    ACTIONS(986), 1,
      anon_sym_PIPE,
    ACTIONS(994), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1101), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1251), 1,
      anon_sym_RBRACK,
    ACTIONS(1253), 1,
      anon_sym_COLON,
    STATE(421), 1,
      sym_argument_list,
    STATE(1278), 1,
      sym_type_arguments,
    ACTIONS(972), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(992), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(988), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(990), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(970), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [40727] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(920), 1,
      anon_sym_LPAREN,
    ACTIONS(922), 1,
      anon_sym_LBRACK,
    ACTIONS(968), 1,
      anon_sym_DOT,
    ACTIONS(986), 1,
      anon_sym_PIPE,
    ACTIONS(994), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1101), 1,
      anon_sym_PIPE_PIPE,
    STATE(421), 1,
      sym_argument_list,
    STATE(1278), 1,
      sym_type_arguments,
    ACTIONS(972), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(992), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1014), 2,
      anon_sym_SEMI,
      anon_sym_COLON,
    ACTIONS(988), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(990), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(970), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [40785] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(920), 1,
      anon_sym_LPAREN,
    ACTIONS(922), 1,
      anon_sym_LBRACK,
    ACTIONS(968), 1,
      anon_sym_DOT,
    ACTIONS(1135), 1,
      anon_sym_PIPE,
    ACTIONS(1145), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1147), 1,
      anon_sym_PIPE_PIPE,
    STATE(421), 1,
      sym_argument_list,
    STATE(1278), 1,
      sym_type_arguments,
    ACTIONS(842), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
    ACTIONS(1139), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(1143), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1137), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(1141), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1133), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [40843] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(920), 1,
      anon_sym_LPAREN,
    ACTIONS(922), 1,
      anon_sym_LBRACK,
    ACTIONS(968), 1,
      anon_sym_DOT,
    ACTIONS(1161), 1,
      anon_sym_PIPE,
    ACTIONS(1171), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1173), 1,
      anon_sym_PIPE_PIPE,
    STATE(421), 1,
      sym_argument_list,
    STATE(1278), 1,
      sym_type_arguments,
    ACTIONS(842), 2,
      anon_sym_COMMA,
      anon_sym_LBRACE,
    ACTIONS(1165), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(1169), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1163), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(1167), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1157), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [40901] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(920), 1,
      anon_sym_LPAREN,
    ACTIONS(922), 1,
      anon_sym_LBRACK,
    ACTIONS(968), 1,
      anon_sym_DOT,
    ACTIONS(986), 1,
      anon_sym_PIPE,
    ACTIONS(994), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1101), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1255), 1,
      anon_sym_RBRACK,
    ACTIONS(1257), 1,
      anon_sym_COLON,
    STATE(421), 1,
      sym_argument_list,
    STATE(1278), 1,
      sym_type_arguments,
    ACTIONS(972), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(992), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(988), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(990), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(970), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [40961] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(920), 1,
      anon_sym_LPAREN,
    ACTIONS(922), 1,
      anon_sym_LBRACK,
    ACTIONS(968), 1,
      anon_sym_DOT,
    ACTIONS(986), 1,
      anon_sym_PIPE,
    ACTIONS(994), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1101), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1259), 1,
      anon_sym_RBRACK,
    ACTIONS(1261), 1,
      anon_sym_COLON,
    STATE(421), 1,
      sym_argument_list,
    STATE(1278), 1,
      sym_type_arguments,
    ACTIONS(972), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(992), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(988), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(990), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(970), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [41021] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(561), 1,
      sym_identifier,
    ACTIONS(570), 1,
      anon_sym_COMMA,
    ACTIONS(572), 1,
      anon_sym_func,
    ACTIONS(585), 1,
      anon_sym_map,
    ACTIONS(587), 1,
      anon_sym_chan,
    ACTIONS(589), 1,
      anon_sym_LT_DASH,
    ACTIONS(996), 1,
      anon_sym_LBRACK,
    ACTIONS(998), 1,
      anon_sym_STAR,
    ACTIONS(1078), 1,
      anon_sym_LPAREN,
    STATE(794), 1,
      aux_sym_type_parameter_declaration_repeat1,
    STATE(1241), 1,
      sym_parenthesized_type,
    STATE(1271), 1,
      sym__simple_type,
    STATE(870), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(859), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [41085] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(974), 1,
      sym_identifier,
    ACTIONS(976), 1,
      anon_sym_LPAREN,
    ACTIONS(978), 1,
      anon_sym_func,
    ACTIONS(980), 1,
      anon_sym_LBRACK,
    ACTIONS(982), 1,
      anon_sym_STAR,
    ACTIONS(984), 1,
      anon_sym_LT_DASH,
    ACTIONS(1263), 1,
      anon_sym_LBRACE,
    STATE(494), 1,
      sym_block,
    STATE(836), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(1067), 2,
      sym_parameter_list,
      sym__simple_type,
    STATE(859), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [41147] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(920), 1,
      anon_sym_LPAREN,
    ACTIONS(922), 1,
      anon_sym_LBRACK,
    ACTIONS(968), 1,
      anon_sym_DOT,
    ACTIONS(1135), 1,
      anon_sym_PIPE,
    ACTIONS(1145), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1147), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1265), 1,
      anon_sym_RPAREN,
    ACTIONS(1267), 1,
      anon_sym_COMMA,
    STATE(421), 1,
      sym_argument_list,
    STATE(1278), 1,
      sym_type_arguments,
    ACTIONS(1139), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(1143), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1137), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(1141), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1133), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [41207] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(920), 1,
      anon_sym_LPAREN,
    ACTIONS(922), 1,
      anon_sym_LBRACK,
    ACTIONS(968), 1,
      anon_sym_DOT,
    ACTIONS(986), 1,
      anon_sym_PIPE,
    ACTIONS(994), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1101), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1269), 1,
      anon_sym_RBRACK,
    ACTIONS(1271), 1,
      anon_sym_COLON,
    STATE(421), 1,
      sym_argument_list,
    STATE(1278), 1,
      sym_type_arguments,
    ACTIONS(972), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(992), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(988), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(990), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(970), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [41267] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(561), 1,
      sym_identifier,
    ACTIONS(572), 1,
      anon_sym_func,
    ACTIONS(585), 1,
      anon_sym_map,
    ACTIONS(587), 1,
      anon_sym_chan,
    ACTIONS(589), 1,
      anon_sym_LT_DASH,
    ACTIONS(996), 1,
      anon_sym_LBRACK,
    ACTIONS(998), 1,
      anon_sym_STAR,
    ACTIONS(1078), 1,
      anon_sym_LPAREN,
    ACTIONS(1273), 1,
      anon_sym_RBRACK,
    STATE(1273), 1,
      sym_type_elem,
    STATE(870), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(1054), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(859), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [41329] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(920), 1,
      anon_sym_LPAREN,
    ACTIONS(922), 1,
      anon_sym_LBRACK,
    ACTIONS(968), 1,
      anon_sym_DOT,
    ACTIONS(986), 1,
      anon_sym_PIPE,
    ACTIONS(994), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1101), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1275), 1,
      anon_sym_RBRACK,
    ACTIONS(1277), 1,
      anon_sym_COLON,
    STATE(421), 1,
      sym_argument_list,
    STATE(1278), 1,
      sym_type_arguments,
    ACTIONS(972), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(992), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(988), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(990), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(970), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [41389] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(561), 1,
      sym_identifier,
    ACTIONS(572), 1,
      anon_sym_func,
    ACTIONS(585), 1,
      anon_sym_map,
    ACTIONS(587), 1,
      anon_sym_chan,
    ACTIONS(589), 1,
      anon_sym_LT_DASH,
    ACTIONS(996), 1,
      anon_sym_LBRACK,
    ACTIONS(998), 1,
      anon_sym_STAR,
    ACTIONS(1078), 1,
      anon_sym_LPAREN,
    ACTIONS(1279), 1,
      anon_sym_RBRACK,
    STATE(1273), 1,
      sym_type_elem,
    STATE(870), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(1054), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(859), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [41451] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(920), 1,
      anon_sym_LPAREN,
    ACTIONS(922), 1,
      anon_sym_LBRACK,
    ACTIONS(968), 1,
      anon_sym_DOT,
    ACTIONS(986), 1,
      anon_sym_PIPE,
    ACTIONS(994), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1101), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1281), 1,
      anon_sym_RBRACK,
    ACTIONS(1283), 1,
      anon_sym_COLON,
    STATE(421), 1,
      sym_argument_list,
    STATE(1278), 1,
      sym_type_arguments,
    ACTIONS(972), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(992), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(988), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(990), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(970), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [41511] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(862), 1,
      sym_identifier,
    ACTIONS(874), 1,
      anon_sym_func,
    ACTIONS(880), 1,
      anon_sym_struct,
    ACTIONS(884), 1,
      anon_sym_interface,
    ACTIONS(886), 1,
      anon_sym_map,
    ACTIONS(888), 1,
      anon_sym_chan,
    ACTIONS(1211), 1,
      anon_sym_LPAREN,
    ACTIONS(1213), 1,
      anon_sym_LBRACK,
    ACTIONS(1215), 1,
      anon_sym_STAR,
    ACTIONS(1217), 1,
      anon_sym_TILDE,
    ACTIONS(1221), 1,
      anon_sym_LT_DASH,
    ACTIONS(1285), 1,
      anon_sym_COMMA,
    STATE(793), 1,
      aux_sym_field_declaration_repeat1,
    STATE(894), 1,
      sym__simple_type,
    STATE(905), 1,
      sym_parenthesized_type,
    STATE(795), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(825), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [41575] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(974), 1,
      sym_identifier,
    ACTIONS(976), 1,
      anon_sym_LPAREN,
    ACTIONS(978), 1,
      anon_sym_func,
    ACTIONS(980), 1,
      anon_sym_LBRACK,
    ACTIONS(982), 1,
      anon_sym_STAR,
    ACTIONS(984), 1,
      anon_sym_LT_DASH,
    ACTIONS(1287), 1,
      anon_sym_LBRACE,
    STATE(314), 1,
      sym_block,
    STATE(836), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(1080), 2,
      sym_parameter_list,
      sym__simple_type,
    STATE(859), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [41637] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(920), 1,
      anon_sym_LPAREN,
    ACTIONS(922), 1,
      anon_sym_LBRACK,
    ACTIONS(968), 1,
      anon_sym_DOT,
    ACTIONS(1135), 1,
      anon_sym_PIPE,
    ACTIONS(1145), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1147), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1289), 1,
      anon_sym_RPAREN,
    ACTIONS(1291), 1,
      anon_sym_COMMA,
    STATE(421), 1,
      sym_argument_list,
    STATE(1278), 1,
      sym_type_arguments,
    ACTIONS(1139), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(1143), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1137), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(1141), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1133), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [41697] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(561), 1,
      sym_identifier,
    ACTIONS(572), 1,
      anon_sym_func,
    ACTIONS(585), 1,
      anon_sym_map,
    ACTIONS(587), 1,
      anon_sym_chan,
    ACTIONS(589), 1,
      anon_sym_LT_DASH,
    ACTIONS(996), 1,
      anon_sym_LBRACK,
    ACTIONS(998), 1,
      anon_sym_STAR,
    ACTIONS(1078), 1,
      anon_sym_LPAREN,
    ACTIONS(1293), 1,
      anon_sym_RBRACK,
    STATE(1273), 1,
      sym_type_elem,
    STATE(870), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(1054), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(859), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [41759] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(920), 1,
      anon_sym_LPAREN,
    ACTIONS(922), 1,
      anon_sym_LBRACK,
    ACTIONS(968), 1,
      anon_sym_DOT,
    ACTIONS(986), 1,
      anon_sym_PIPE,
    ACTIONS(994), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1101), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1295), 1,
      anon_sym_RBRACK,
    ACTIONS(1297), 1,
      anon_sym_COLON,
    STATE(421), 1,
      sym_argument_list,
    STATE(1278), 1,
      sym_type_arguments,
    ACTIONS(972), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(992), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(988), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(990), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(970), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [41819] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(920), 1,
      anon_sym_LPAREN,
    ACTIONS(922), 1,
      anon_sym_LBRACK,
    ACTIONS(968), 1,
      anon_sym_DOT,
    ACTIONS(986), 1,
      anon_sym_PIPE,
    ACTIONS(994), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1101), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1299), 1,
      anon_sym_RBRACK,
    ACTIONS(1301), 1,
      anon_sym_COLON,
    STATE(421), 1,
      sym_argument_list,
    STATE(1278), 1,
      sym_type_arguments,
    ACTIONS(972), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(992), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(988), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(990), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(970), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [41879] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(561), 1,
      sym_identifier,
    ACTIONS(572), 1,
      anon_sym_func,
    ACTIONS(585), 1,
      anon_sym_map,
    ACTIONS(587), 1,
      anon_sym_chan,
    ACTIONS(589), 1,
      anon_sym_LT_DASH,
    ACTIONS(996), 1,
      anon_sym_LBRACK,
    ACTIONS(998), 1,
      anon_sym_STAR,
    ACTIONS(1078), 1,
      anon_sym_LPAREN,
    ACTIONS(1303), 1,
      anon_sym_RBRACK,
    STATE(1273), 1,
      sym_type_elem,
    STATE(870), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(1054), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(859), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [41941] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(920), 1,
      anon_sym_LPAREN,
    ACTIONS(922), 1,
      anon_sym_LBRACK,
    ACTIONS(968), 1,
      anon_sym_DOT,
    ACTIONS(986), 1,
      anon_sym_PIPE,
    ACTIONS(994), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1101), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1305), 1,
      anon_sym_RBRACK,
    ACTIONS(1307), 1,
      anon_sym_COLON,
    STATE(421), 1,
      sym_argument_list,
    STATE(1278), 1,
      sym_type_arguments,
    ACTIONS(972), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(992), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(988), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(990), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(970), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [42001] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(974), 1,
      sym_identifier,
    ACTIONS(976), 1,
      anon_sym_LPAREN,
    ACTIONS(978), 1,
      anon_sym_func,
    ACTIONS(980), 1,
      anon_sym_LBRACK,
    ACTIONS(982), 1,
      anon_sym_STAR,
    ACTIONS(984), 1,
      anon_sym_LT_DASH,
    ACTIONS(1309), 1,
      anon_sym_LBRACE,
    STATE(348), 1,
      sym_block,
    STATE(836), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(1091), 2,
      sym_parameter_list,
      sym__simple_type,
    STATE(859), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [42063] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(920), 1,
      anon_sym_LPAREN,
    ACTIONS(922), 1,
      anon_sym_LBRACK,
    ACTIONS(968), 1,
      anon_sym_DOT,
    ACTIONS(1135), 1,
      anon_sym_PIPE,
    ACTIONS(1145), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1147), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1311), 1,
      anon_sym_RPAREN,
    ACTIONS(1313), 1,
      anon_sym_COMMA,
    STATE(421), 1,
      sym_argument_list,
    STATE(1278), 1,
      sym_type_arguments,
    ACTIONS(1139), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(1143), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1137), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(1141), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1133), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [42123] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(920), 1,
      anon_sym_LPAREN,
    ACTIONS(922), 1,
      anon_sym_LBRACK,
    ACTIONS(968), 1,
      anon_sym_DOT,
    ACTIONS(986), 1,
      anon_sym_PIPE,
    ACTIONS(994), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1101), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1315), 1,
      anon_sym_RBRACK,
    ACTIONS(1317), 1,
      anon_sym_COLON,
    STATE(421), 1,
      sym_argument_list,
    STATE(1278), 1,
      sym_type_arguments,
    ACTIONS(972), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(992), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(988), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(990), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(970), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [42183] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(874), 1,
      anon_sym_func,
    ACTIONS(880), 1,
      anon_sym_struct,
    ACTIONS(884), 1,
      anon_sym_interface,
    ACTIONS(886), 1,
      anon_sym_map,
    ACTIONS(888), 1,
      anon_sym_chan,
    ACTIONS(1209), 1,
      sym_identifier,
    ACTIONS(1211), 1,
      anon_sym_LPAREN,
    ACTIONS(1213), 1,
      anon_sym_LBRACK,
    ACTIONS(1215), 1,
      anon_sym_STAR,
    ACTIONS(1217), 1,
      anon_sym_TILDE,
    ACTIONS(1221), 1,
      anon_sym_LT_DASH,
    STATE(795), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(919), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(1071), 2,
      sym_method_elem,
      sym_type_elem,
    STATE(825), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [42243] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(920), 1,
      anon_sym_LPAREN,
    ACTIONS(922), 1,
      anon_sym_LBRACK,
    ACTIONS(968), 1,
      anon_sym_DOT,
    ACTIONS(986), 1,
      anon_sym_PIPE,
    ACTIONS(994), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1101), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1319), 1,
      anon_sym_RBRACK,
    ACTIONS(1321), 1,
      anon_sym_COLON,
    STATE(421), 1,
      sym_argument_list,
    STATE(1278), 1,
      sym_type_arguments,
    ACTIONS(972), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(992), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(988), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(990), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(970), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [42303] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(920), 1,
      anon_sym_LPAREN,
    ACTIONS(922), 1,
      anon_sym_LBRACK,
    ACTIONS(968), 1,
      anon_sym_DOT,
    ACTIONS(986), 1,
      anon_sym_PIPE,
    ACTIONS(994), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1101), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1323), 1,
      anon_sym_RBRACK,
    ACTIONS(1325), 1,
      anon_sym_COLON,
    STATE(421), 1,
      sym_argument_list,
    STATE(1278), 1,
      sym_type_arguments,
    ACTIONS(972), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(992), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(988), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(990), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(970), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [42363] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym_LBRACE,
    ACTIONS(920), 1,
      anon_sym_LPAREN,
    ACTIONS(922), 1,
      anon_sym_LBRACK,
    ACTIONS(968), 1,
      anon_sym_DOT,
    ACTIONS(1161), 1,
      anon_sym_PIPE,
    ACTIONS(1171), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1173), 1,
      anon_sym_PIPE_PIPE,
    STATE(421), 1,
      sym_argument_list,
    STATE(904), 1,
      sym_block,
    STATE(1278), 1,
      sym_type_arguments,
    ACTIONS(1165), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(1169), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1163), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(1167), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1157), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [42423] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(974), 1,
      sym_identifier,
    ACTIONS(976), 1,
      anon_sym_LPAREN,
    ACTIONS(978), 1,
      anon_sym_func,
    ACTIONS(980), 1,
      anon_sym_LBRACK,
    ACTIONS(982), 1,
      anon_sym_STAR,
    ACTIONS(984), 1,
      anon_sym_LT_DASH,
    ACTIONS(1327), 1,
      anon_sym_LBRACE,
    STATE(574), 1,
      sym_block,
    STATE(836), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(1102), 2,
      sym_parameter_list,
      sym__simple_type,
    STATE(859), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [42485] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(920), 1,
      anon_sym_LPAREN,
    ACTIONS(922), 1,
      anon_sym_LBRACK,
    ACTIONS(968), 1,
      anon_sym_DOT,
    ACTIONS(1135), 1,
      anon_sym_PIPE,
    ACTIONS(1145), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1147), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1329), 1,
      anon_sym_RPAREN,
    ACTIONS(1331), 1,
      anon_sym_COMMA,
    STATE(421), 1,
      sym_argument_list,
    STATE(1278), 1,
      sym_type_arguments,
    ACTIONS(1139), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(1143), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1137), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(1141), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1133), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [42545] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(33), 1,
      anon_sym_LBRACE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(974), 1,
      sym_identifier,
    ACTIONS(976), 1,
      anon_sym_LPAREN,
    ACTIONS(978), 1,
      anon_sym_func,
    ACTIONS(980), 1,
      anon_sym_LBRACK,
    ACTIONS(982), 1,
      anon_sym_STAR,
    ACTIONS(984), 1,
      anon_sym_LT_DASH,
    STATE(268), 1,
      sym_block,
    STATE(836), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(1077), 2,
      sym_parameter_list,
      sym__simple_type,
    STATE(859), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [42607] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(920), 1,
      anon_sym_LPAREN,
    ACTIONS(922), 1,
      anon_sym_LBRACK,
    ACTIONS(968), 1,
      anon_sym_DOT,
    ACTIONS(1135), 1,
      anon_sym_PIPE,
    ACTIONS(1145), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1147), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1333), 1,
      anon_sym_RPAREN,
    ACTIONS(1335), 1,
      anon_sym_COMMA,
    STATE(421), 1,
      sym_argument_list,
    STATE(1278), 1,
      sym_type_arguments,
    ACTIONS(1139), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(1143), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1137), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(1141), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1133), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [42667] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(920), 1,
      anon_sym_LPAREN,
    ACTIONS(922), 1,
      anon_sym_LBRACK,
    ACTIONS(968), 1,
      anon_sym_DOT,
    ACTIONS(986), 1,
      anon_sym_PIPE,
    ACTIONS(994), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1101), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1337), 1,
      anon_sym_RBRACK,
    ACTIONS(1339), 1,
      anon_sym_COLON,
    STATE(421), 1,
      sym_argument_list,
    STATE(1278), 1,
      sym_type_arguments,
    ACTIONS(972), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(992), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(988), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(990), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(970), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [42727] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(920), 1,
      anon_sym_LPAREN,
    ACTIONS(922), 1,
      anon_sym_LBRACK,
    ACTIONS(968), 1,
      anon_sym_DOT,
    ACTIONS(986), 1,
      anon_sym_PIPE,
    ACTIONS(994), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1101), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1341), 1,
      anon_sym_RBRACK,
    ACTIONS(1343), 1,
      anon_sym_COLON,
    STATE(421), 1,
      sym_argument_list,
    STATE(1278), 1,
      sym_type_arguments,
    ACTIONS(972), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(992), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(988), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(990), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(970), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [42787] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(920), 1,
      anon_sym_LPAREN,
    ACTIONS(922), 1,
      anon_sym_LBRACK,
    ACTIONS(968), 1,
      anon_sym_DOT,
    ACTIONS(986), 1,
      anon_sym_PIPE,
    ACTIONS(994), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1101), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1345), 1,
      anon_sym_RBRACK,
    ACTIONS(1347), 1,
      anon_sym_COLON,
    STATE(421), 1,
      sym_argument_list,
    STATE(1278), 1,
      sym_type_arguments,
    ACTIONS(972), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(992), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(988), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(990), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(970), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [42847] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(920), 1,
      anon_sym_LPAREN,
    ACTIONS(922), 1,
      anon_sym_LBRACK,
    ACTIONS(968), 1,
      anon_sym_DOT,
    ACTIONS(986), 1,
      anon_sym_PIPE,
    ACTIONS(994), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1101), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1349), 1,
      anon_sym_RBRACK,
    ACTIONS(1351), 1,
      anon_sym_COLON,
    STATE(421), 1,
      sym_argument_list,
    STATE(1278), 1,
      sym_type_arguments,
    ACTIONS(972), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(992), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(988), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(990), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(970), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [42907] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(561), 1,
      sym_identifier,
    ACTIONS(572), 1,
      anon_sym_func,
    ACTIONS(585), 1,
      anon_sym_map,
    ACTIONS(587), 1,
      anon_sym_chan,
    ACTIONS(589), 1,
      anon_sym_LT_DASH,
    ACTIONS(996), 1,
      anon_sym_LBRACK,
    ACTIONS(998), 1,
      anon_sym_STAR,
    ACTIONS(1078), 1,
      anon_sym_LPAREN,
    ACTIONS(1353), 1,
      anon_sym_RBRACK,
    STATE(1273), 1,
      sym_type_elem,
    STATE(870), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(1054), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(859), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [42969] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(33), 1,
      anon_sym_LBRACE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(976), 1,
      anon_sym_LPAREN,
    ACTIONS(978), 1,
      anon_sym_func,
    ACTIONS(980), 1,
      anon_sym_LBRACK,
    ACTIONS(982), 1,
      anon_sym_STAR,
    ACTIONS(984), 1,
      anon_sym_LT_DASH,
    ACTIONS(1355), 1,
      sym_identifier,
    STATE(268), 1,
      sym_block,
    STATE(836), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(1077), 2,
      sym_parameter_list,
      sym__simple_type,
    STATE(859), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [43031] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(33), 1,
      anon_sym_LBRACE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(976), 1,
      anon_sym_LPAREN,
    ACTIONS(978), 1,
      anon_sym_func,
    ACTIONS(980), 1,
      anon_sym_LBRACK,
    ACTIONS(982), 1,
      anon_sym_STAR,
    ACTIONS(984), 1,
      anon_sym_LT_DASH,
    ACTIONS(1357), 1,
      sym_identifier,
    STATE(268), 1,
      sym_block,
    STATE(836), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(1077), 2,
      sym_parameter_list,
      sym__simple_type,
    STATE(859), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [43093] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(862), 1,
      sym_identifier,
    ACTIONS(874), 1,
      anon_sym_func,
    ACTIONS(880), 1,
      anon_sym_struct,
    ACTIONS(884), 1,
      anon_sym_interface,
    ACTIONS(886), 1,
      anon_sym_map,
    ACTIONS(888), 1,
      anon_sym_chan,
    ACTIONS(1211), 1,
      anon_sym_LPAREN,
    ACTIONS(1215), 1,
      anon_sym_STAR,
    ACTIONS(1217), 1,
      anon_sym_TILDE,
    ACTIONS(1221), 1,
      anon_sym_LT_DASH,
    ACTIONS(1359), 1,
      anon_sym_EQ,
    ACTIONS(1361), 1,
      anon_sym_LBRACK,
    STATE(701), 1,
      sym_type_parameter_list,
    STATE(795), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(936), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(825), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [43155] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(920), 1,
      anon_sym_LPAREN,
    ACTIONS(922), 1,
      anon_sym_LBRACK,
    ACTIONS(968), 1,
      anon_sym_DOT,
    ACTIONS(1135), 1,
      anon_sym_PIPE,
    ACTIONS(1145), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1147), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1363), 1,
      anon_sym_RPAREN,
    ACTIONS(1365), 1,
      anon_sym_COMMA,
    STATE(421), 1,
      sym_argument_list,
    STATE(1278), 1,
      sym_type_arguments,
    ACTIONS(1139), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(1143), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1137), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(1141), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1133), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [43215] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(561), 1,
      sym_identifier,
    ACTIONS(572), 1,
      anon_sym_func,
    ACTIONS(585), 1,
      anon_sym_map,
    ACTIONS(587), 1,
      anon_sym_chan,
    ACTIONS(589), 1,
      anon_sym_LT_DASH,
    ACTIONS(996), 1,
      anon_sym_LBRACK,
    ACTIONS(998), 1,
      anon_sym_STAR,
    ACTIONS(1078), 1,
      anon_sym_LPAREN,
    ACTIONS(1367), 1,
      anon_sym_RBRACK,
    STATE(1273), 1,
      sym_type_elem,
    STATE(870), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(1054), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(859), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [43277] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(920), 1,
      anon_sym_LPAREN,
    ACTIONS(922), 1,
      anon_sym_LBRACK,
    ACTIONS(968), 1,
      anon_sym_DOT,
    ACTIONS(986), 1,
      anon_sym_PIPE,
    ACTIONS(994), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1101), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1369), 1,
      anon_sym_RBRACK,
    ACTIONS(1371), 1,
      anon_sym_COLON,
    STATE(421), 1,
      sym_argument_list,
    STATE(1278), 1,
      sym_type_arguments,
    ACTIONS(972), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(992), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(988), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(990), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(970), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [43337] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(920), 1,
      anon_sym_LPAREN,
    ACTIONS(922), 1,
      anon_sym_LBRACK,
    ACTIONS(968), 1,
      anon_sym_DOT,
    ACTIONS(986), 1,
      anon_sym_PIPE,
    ACTIONS(994), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1101), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1373), 1,
      anon_sym_RBRACK,
    ACTIONS(1375), 1,
      anon_sym_COLON,
    STATE(421), 1,
      sym_argument_list,
    STATE(1278), 1,
      sym_type_arguments,
    ACTIONS(972), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(992), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(988), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(990), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(970), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [43397] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(561), 1,
      sym_identifier,
    ACTIONS(572), 1,
      anon_sym_func,
    ACTIONS(585), 1,
      anon_sym_map,
    ACTIONS(587), 1,
      anon_sym_chan,
    ACTIONS(589), 1,
      anon_sym_LT_DASH,
    ACTIONS(996), 1,
      anon_sym_LBRACK,
    ACTIONS(998), 1,
      anon_sym_STAR,
    ACTIONS(1078), 1,
      anon_sym_LPAREN,
    ACTIONS(1377), 1,
      anon_sym_RBRACK,
    STATE(870), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(1218), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(859), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [43456] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(920), 1,
      anon_sym_LPAREN,
    ACTIONS(922), 1,
      anon_sym_LBRACK,
    ACTIONS(968), 1,
      anon_sym_DOT,
    ACTIONS(986), 1,
      anon_sym_PIPE,
    ACTIONS(994), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1101), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1379), 1,
      anon_sym_RBRACK,
    STATE(421), 1,
      sym_argument_list,
    STATE(1278), 1,
      sym_type_arguments,
    ACTIONS(972), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(992), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(988), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(990), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(970), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [43513] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(561), 1,
      sym_identifier,
    ACTIONS(572), 1,
      anon_sym_func,
    ACTIONS(585), 1,
      anon_sym_map,
    ACTIONS(587), 1,
      anon_sym_chan,
    ACTIONS(589), 1,
      anon_sym_LT_DASH,
    ACTIONS(996), 1,
      anon_sym_LBRACK,
    ACTIONS(998), 1,
      anon_sym_STAR,
    ACTIONS(1078), 1,
      anon_sym_LPAREN,
    ACTIONS(1381), 1,
      anon_sym_RBRACK,
    STATE(870), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(1218), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(859), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [43572] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(561), 1,
      sym_identifier,
    ACTIONS(572), 1,
      anon_sym_func,
    ACTIONS(585), 1,
      anon_sym_map,
    ACTIONS(587), 1,
      anon_sym_chan,
    ACTIONS(589), 1,
      anon_sym_LT_DASH,
    ACTIONS(996), 1,
      anon_sym_LBRACK,
    ACTIONS(998), 1,
      anon_sym_STAR,
    ACTIONS(1078), 1,
      anon_sym_LPAREN,
    ACTIONS(1383), 1,
      anon_sym_type,
    STATE(870), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(1363), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(859), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [43631] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(561), 1,
      sym_identifier,
    ACTIONS(572), 1,
      anon_sym_func,
    ACTIONS(585), 1,
      anon_sym_map,
    ACTIONS(587), 1,
      anon_sym_chan,
    ACTIONS(589), 1,
      anon_sym_LT_DASH,
    ACTIONS(996), 1,
      anon_sym_LBRACK,
    ACTIONS(998), 1,
      anon_sym_STAR,
    ACTIONS(1078), 1,
      anon_sym_LPAREN,
    ACTIONS(1385), 1,
      anon_sym_RBRACK,
    STATE(870), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(1218), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(859), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [43690] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(561), 1,
      sym_identifier,
    ACTIONS(572), 1,
      anon_sym_func,
    ACTIONS(585), 1,
      anon_sym_map,
    ACTIONS(587), 1,
      anon_sym_chan,
    ACTIONS(589), 1,
      anon_sym_LT_DASH,
    ACTIONS(996), 1,
      anon_sym_LBRACK,
    ACTIONS(998), 1,
      anon_sym_STAR,
    ACTIONS(1078), 1,
      anon_sym_LPAREN,
    ACTIONS(1387), 1,
      anon_sym_type,
    STATE(870), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(1363), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(859), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [43749] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(920), 1,
      anon_sym_LPAREN,
    ACTIONS(922), 1,
      anon_sym_LBRACK,
    ACTIONS(968), 1,
      anon_sym_DOT,
    ACTIONS(986), 1,
      anon_sym_PIPE,
    ACTIONS(994), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1101), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1389), 1,
      anon_sym_RBRACK,
    STATE(421), 1,
      sym_argument_list,
    STATE(1278), 1,
      sym_type_arguments,
    ACTIONS(972), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(992), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(988), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(990), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(970), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [43806] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(561), 1,
      sym_identifier,
    ACTIONS(572), 1,
      anon_sym_func,
    ACTIONS(585), 1,
      anon_sym_map,
    ACTIONS(587), 1,
      anon_sym_chan,
    ACTIONS(589), 1,
      anon_sym_LT_DASH,
    ACTIONS(996), 1,
      anon_sym_LBRACK,
    ACTIONS(998), 1,
      anon_sym_STAR,
    ACTIONS(1078), 1,
      anon_sym_LPAREN,
    ACTIONS(1391), 1,
      anon_sym_RBRACK,
    STATE(870), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(1218), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(859), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [43865] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(920), 1,
      anon_sym_LPAREN,
    ACTIONS(922), 1,
      anon_sym_LBRACK,
    ACTIONS(968), 1,
      anon_sym_DOT,
    ACTIONS(986), 1,
      anon_sym_PIPE,
    ACTIONS(994), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1101), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1393), 1,
      anon_sym_RBRACK,
    STATE(421), 1,
      sym_argument_list,
    STATE(1278), 1,
      sym_type_arguments,
    ACTIONS(972), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(992), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(988), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(990), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(970), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [43922] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(920), 1,
      anon_sym_LPAREN,
    ACTIONS(922), 1,
      anon_sym_LBRACK,
    ACTIONS(968), 1,
      anon_sym_DOT,
    ACTIONS(986), 1,
      anon_sym_PIPE,
    ACTIONS(994), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1101), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1395), 1,
      anon_sym_RBRACK,
    STATE(421), 1,
      sym_argument_list,
    STATE(1278), 1,
      sym_type_arguments,
    ACTIONS(972), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(992), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(988), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(990), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(970), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [43979] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(920), 1,
      anon_sym_LPAREN,
    ACTIONS(922), 1,
      anon_sym_LBRACK,
    ACTIONS(968), 1,
      anon_sym_DOT,
    ACTIONS(986), 1,
      anon_sym_PIPE,
    ACTIONS(994), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1101), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1397), 1,
      anon_sym_COLON,
    STATE(421), 1,
      sym_argument_list,
    STATE(1278), 1,
      sym_type_arguments,
    ACTIONS(972), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(992), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(988), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(990), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(970), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [44036] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(920), 1,
      anon_sym_LPAREN,
    ACTIONS(922), 1,
      anon_sym_LBRACK,
    ACTIONS(968), 1,
      anon_sym_DOT,
    ACTIONS(1014), 1,
      anon_sym_LBRACE,
    ACTIONS(1161), 1,
      anon_sym_PIPE,
    ACTIONS(1171), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1173), 1,
      anon_sym_PIPE_PIPE,
    STATE(421), 1,
      sym_argument_list,
    STATE(1278), 1,
      sym_type_arguments,
    ACTIONS(1165), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(1169), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1163), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(1167), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1157), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [44093] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(561), 1,
      sym_identifier,
    ACTIONS(572), 1,
      anon_sym_func,
    ACTIONS(585), 1,
      anon_sym_map,
    ACTIONS(587), 1,
      anon_sym_chan,
    ACTIONS(589), 1,
      anon_sym_LT_DASH,
    ACTIONS(996), 1,
      anon_sym_LBRACK,
    ACTIONS(998), 1,
      anon_sym_STAR,
    ACTIONS(1078), 1,
      anon_sym_LPAREN,
    STATE(1273), 1,
      sym_type_elem,
    STATE(870), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(1054), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(859), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [44152] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(920), 1,
      anon_sym_LPAREN,
    ACTIONS(922), 1,
      anon_sym_LBRACK,
    ACTIONS(968), 1,
      anon_sym_DOT,
    ACTIONS(1135), 1,
      anon_sym_PIPE,
    ACTIONS(1145), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1147), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1399), 1,
      anon_sym_RPAREN,
    STATE(421), 1,
      sym_argument_list,
    STATE(1278), 1,
      sym_type_arguments,
    ACTIONS(1139), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(1143), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1137), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(1141), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1133), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [44209] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(920), 1,
      anon_sym_LPAREN,
    ACTIONS(922), 1,
      anon_sym_LBRACK,
    ACTIONS(968), 1,
      anon_sym_DOT,
    ACTIONS(986), 1,
      anon_sym_PIPE,
    ACTIONS(994), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1101), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1401), 1,
      anon_sym_RBRACK,
    STATE(421), 1,
      sym_argument_list,
    STATE(1278), 1,
      sym_type_arguments,
    ACTIONS(972), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(992), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(988), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(990), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(970), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [44266] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(561), 1,
      sym_identifier,
    ACTIONS(572), 1,
      anon_sym_func,
    ACTIONS(585), 1,
      anon_sym_map,
    ACTIONS(587), 1,
      anon_sym_chan,
    ACTIONS(589), 1,
      anon_sym_LT_DASH,
    ACTIONS(996), 1,
      anon_sym_LBRACK,
    ACTIONS(998), 1,
      anon_sym_STAR,
    ACTIONS(1078), 1,
      anon_sym_LPAREN,
    ACTIONS(1403), 1,
      anon_sym_RBRACK,
    STATE(870), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(1218), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(859), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [44325] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(561), 1,
      sym_identifier,
    ACTIONS(572), 1,
      anon_sym_func,
    ACTIONS(585), 1,
      anon_sym_map,
    ACTIONS(587), 1,
      anon_sym_chan,
    ACTIONS(589), 1,
      anon_sym_LT_DASH,
    ACTIONS(996), 1,
      anon_sym_LBRACK,
    ACTIONS(998), 1,
      anon_sym_STAR,
    ACTIONS(1078), 1,
      anon_sym_LPAREN,
    ACTIONS(1405), 1,
      anon_sym_RBRACK,
    STATE(870), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(1218), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(859), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [44384] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(920), 1,
      anon_sym_LPAREN,
    ACTIONS(922), 1,
      anon_sym_LBRACK,
    ACTIONS(968), 1,
      anon_sym_DOT,
    ACTIONS(1161), 1,
      anon_sym_PIPE,
    ACTIONS(1171), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1173), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1407), 1,
      anon_sym_LBRACE,
    STATE(421), 1,
      sym_argument_list,
    STATE(1278), 1,
      sym_type_arguments,
    ACTIONS(1165), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(1169), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1163), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(1167), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1157), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [44441] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(920), 1,
      anon_sym_LPAREN,
    ACTIONS(922), 1,
      anon_sym_LBRACK,
    ACTIONS(968), 1,
      anon_sym_DOT,
    ACTIONS(1135), 1,
      anon_sym_PIPE,
    ACTIONS(1145), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1147), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1409), 1,
      anon_sym_RPAREN,
    STATE(421), 1,
      sym_argument_list,
    STATE(1278), 1,
      sym_type_arguments,
    ACTIONS(1139), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(1143), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1137), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(1141), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1133), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [44498] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(561), 1,
      sym_identifier,
    ACTIONS(572), 1,
      anon_sym_func,
    ACTIONS(585), 1,
      anon_sym_map,
    ACTIONS(587), 1,
      anon_sym_chan,
    ACTIONS(589), 1,
      anon_sym_LT_DASH,
    ACTIONS(996), 1,
      anon_sym_LBRACK,
    ACTIONS(998), 1,
      anon_sym_STAR,
    ACTIONS(1078), 1,
      anon_sym_LPAREN,
    ACTIONS(1411), 1,
      anon_sym_RBRACK,
    STATE(870), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(1218), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(859), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [44557] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(561), 1,
      sym_identifier,
    ACTIONS(572), 1,
      anon_sym_func,
    ACTIONS(585), 1,
      anon_sym_map,
    ACTIONS(587), 1,
      anon_sym_chan,
    ACTIONS(589), 1,
      anon_sym_LT_DASH,
    ACTIONS(996), 1,
      anon_sym_LBRACK,
    ACTIONS(998), 1,
      anon_sym_STAR,
    ACTIONS(1078), 1,
      anon_sym_LPAREN,
    STATE(1160), 1,
      sym_type_elem,
    STATE(870), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(1054), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(859), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [44616] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(920), 1,
      anon_sym_LPAREN,
    ACTIONS(922), 1,
      anon_sym_LBRACK,
    ACTIONS(968), 1,
      anon_sym_DOT,
    ACTIONS(986), 1,
      anon_sym_PIPE,
    ACTIONS(994), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1101), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1413), 1,
      anon_sym_RBRACK,
    STATE(421), 1,
      sym_argument_list,
    STATE(1278), 1,
      sym_type_arguments,
    ACTIONS(972), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(992), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(988), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(990), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(970), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [44673] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(561), 1,
      sym_identifier,
    ACTIONS(572), 1,
      anon_sym_func,
    ACTIONS(585), 1,
      anon_sym_map,
    ACTIONS(587), 1,
      anon_sym_chan,
    ACTIONS(589), 1,
      anon_sym_LT_DASH,
    ACTIONS(996), 1,
      anon_sym_LBRACK,
    ACTIONS(998), 1,
      anon_sym_STAR,
    ACTIONS(1078), 1,
      anon_sym_LPAREN,
    ACTIONS(1415), 1,
      anon_sym_RBRACK,
    STATE(870), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(1218), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(859), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [44732] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(561), 1,
      sym_identifier,
    ACTIONS(572), 1,
      anon_sym_func,
    ACTIONS(585), 1,
      anon_sym_map,
    ACTIONS(587), 1,
      anon_sym_chan,
    ACTIONS(589), 1,
      anon_sym_LT_DASH,
    ACTIONS(996), 1,
      anon_sym_LBRACK,
    ACTIONS(998), 1,
      anon_sym_STAR,
    ACTIONS(1078), 1,
      anon_sym_LPAREN,
    ACTIONS(1417), 1,
      anon_sym_RBRACK,
    STATE(870), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(1218), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(859), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [44791] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(920), 1,
      anon_sym_LPAREN,
    ACTIONS(922), 1,
      anon_sym_LBRACK,
    ACTIONS(968), 1,
      anon_sym_DOT,
    ACTIONS(986), 1,
      anon_sym_PIPE,
    ACTIONS(994), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1101), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1419), 1,
      anon_sym_RBRACK,
    STATE(421), 1,
      sym_argument_list,
    STATE(1278), 1,
      sym_type_arguments,
    ACTIONS(972), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(992), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(988), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(990), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(970), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [44848] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(920), 1,
      anon_sym_LPAREN,
    ACTIONS(922), 1,
      anon_sym_LBRACK,
    ACTIONS(968), 1,
      anon_sym_DOT,
    ACTIONS(1161), 1,
      anon_sym_PIPE,
    ACTIONS(1171), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1173), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1421), 1,
      anon_sym_LBRACE,
    STATE(421), 1,
      sym_argument_list,
    STATE(1278), 1,
      sym_type_arguments,
    ACTIONS(1165), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(1169), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1163), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(1167), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1157), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [44905] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(920), 1,
      anon_sym_LPAREN,
    ACTIONS(922), 1,
      anon_sym_LBRACK,
    ACTIONS(968), 1,
      anon_sym_DOT,
    ACTIONS(986), 1,
      anon_sym_PIPE,
    ACTIONS(994), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1101), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1423), 1,
      anon_sym_SEMI,
    STATE(421), 1,
      sym_argument_list,
    STATE(1278), 1,
      sym_type_arguments,
    ACTIONS(972), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(992), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(988), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(990), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(970), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [44962] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(561), 1,
      sym_identifier,
    ACTIONS(572), 1,
      anon_sym_func,
    ACTIONS(585), 1,
      anon_sym_map,
    ACTIONS(587), 1,
      anon_sym_chan,
    ACTIONS(589), 1,
      anon_sym_LT_DASH,
    ACTIONS(996), 1,
      anon_sym_LBRACK,
    ACTIONS(998), 1,
      anon_sym_STAR,
    ACTIONS(1078), 1,
      anon_sym_LPAREN,
    ACTIONS(1425), 1,
      anon_sym_RBRACK,
    STATE(870), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(1218), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(859), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [45021] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(920), 1,
      anon_sym_LPAREN,
    ACTIONS(922), 1,
      anon_sym_LBRACK,
    ACTIONS(968), 1,
      anon_sym_DOT,
    ACTIONS(986), 1,
      anon_sym_PIPE,
    ACTIONS(994), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1101), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1427), 1,
      anon_sym_RBRACK,
    STATE(421), 1,
      sym_argument_list,
    STATE(1278), 1,
      sym_type_arguments,
    ACTIONS(972), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(992), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(988), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(990), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(970), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [45078] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(920), 1,
      anon_sym_LPAREN,
    ACTIONS(922), 1,
      anon_sym_LBRACK,
    ACTIONS(968), 1,
      anon_sym_DOT,
    ACTIONS(1135), 1,
      anon_sym_PIPE,
    ACTIONS(1145), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1147), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1429), 1,
      anon_sym_RPAREN,
    STATE(421), 1,
      sym_argument_list,
    STATE(1278), 1,
      sym_type_arguments,
    ACTIONS(1139), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(1143), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1137), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(1141), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1133), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [45135] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(920), 1,
      anon_sym_LPAREN,
    ACTIONS(922), 1,
      anon_sym_LBRACK,
    ACTIONS(968), 1,
      anon_sym_DOT,
    ACTIONS(986), 1,
      anon_sym_PIPE,
    ACTIONS(994), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1101), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1431), 1,
      anon_sym_RBRACK,
    STATE(421), 1,
      sym_argument_list,
    STATE(1278), 1,
      sym_type_arguments,
    ACTIONS(972), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(992), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(988), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(990), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(970), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [45192] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(920), 1,
      anon_sym_LPAREN,
    ACTIONS(922), 1,
      anon_sym_LBRACK,
    ACTIONS(968), 1,
      anon_sym_DOT,
    ACTIONS(986), 1,
      anon_sym_PIPE,
    ACTIONS(994), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1101), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1433), 1,
      anon_sym_RBRACK,
    STATE(421), 1,
      sym_argument_list,
    STATE(1278), 1,
      sym_type_arguments,
    ACTIONS(972), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(992), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(988), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(990), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(970), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [45249] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(561), 1,
      sym_identifier,
    ACTIONS(572), 1,
      anon_sym_func,
    ACTIONS(585), 1,
      anon_sym_map,
    ACTIONS(587), 1,
      anon_sym_chan,
    ACTIONS(589), 1,
      anon_sym_LT_DASH,
    ACTIONS(996), 1,
      anon_sym_LBRACK,
    ACTIONS(998), 1,
      anon_sym_STAR,
    ACTIONS(1078), 1,
      anon_sym_LPAREN,
    ACTIONS(1435), 1,
      anon_sym_type,
    STATE(870), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(1363), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(859), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [45308] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(920), 1,
      anon_sym_LPAREN,
    ACTIONS(922), 1,
      anon_sym_LBRACK,
    ACTIONS(968), 1,
      anon_sym_DOT,
    ACTIONS(986), 1,
      anon_sym_PIPE,
    ACTIONS(994), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1101), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1437), 1,
      anon_sym_RBRACK,
    STATE(421), 1,
      sym_argument_list,
    STATE(1278), 1,
      sym_type_arguments,
    ACTIONS(972), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(992), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(988), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(990), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(970), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [45365] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(920), 1,
      anon_sym_LPAREN,
    ACTIONS(922), 1,
      anon_sym_LBRACK,
    ACTIONS(968), 1,
      anon_sym_DOT,
    ACTIONS(986), 1,
      anon_sym_PIPE,
    ACTIONS(994), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1101), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1439), 1,
      anon_sym_RBRACK,
    STATE(421), 1,
      sym_argument_list,
    STATE(1278), 1,
      sym_type_arguments,
    ACTIONS(972), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(992), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(988), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(990), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(970), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [45422] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(920), 1,
      anon_sym_LPAREN,
    ACTIONS(922), 1,
      anon_sym_LBRACK,
    ACTIONS(968), 1,
      anon_sym_DOT,
    ACTIONS(986), 1,
      anon_sym_PIPE,
    ACTIONS(994), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1101), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1441), 1,
      anon_sym_RBRACK,
    STATE(421), 1,
      sym_argument_list,
    STATE(1278), 1,
      sym_type_arguments,
    ACTIONS(972), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(992), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(988), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(990), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(970), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [45479] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(561), 1,
      sym_identifier,
    ACTIONS(572), 1,
      anon_sym_func,
    ACTIONS(585), 1,
      anon_sym_map,
    ACTIONS(587), 1,
      anon_sym_chan,
    ACTIONS(589), 1,
      anon_sym_LT_DASH,
    ACTIONS(996), 1,
      anon_sym_LBRACK,
    ACTIONS(998), 1,
      anon_sym_STAR,
    ACTIONS(1078), 1,
      anon_sym_LPAREN,
    STATE(1212), 1,
      sym_type_elem,
    STATE(870), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(1054), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(859), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [45538] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(561), 1,
      sym_identifier,
    ACTIONS(572), 1,
      anon_sym_func,
    ACTIONS(585), 1,
      anon_sym_map,
    ACTIONS(587), 1,
      anon_sym_chan,
    ACTIONS(589), 1,
      anon_sym_LT_DASH,
    ACTIONS(996), 1,
      anon_sym_LBRACK,
    ACTIONS(998), 1,
      anon_sym_STAR,
    ACTIONS(1078), 1,
      anon_sym_LPAREN,
    ACTIONS(1443), 1,
      anon_sym_RBRACK,
    STATE(870), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(1218), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(859), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [45597] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(561), 1,
      sym_identifier,
    ACTIONS(572), 1,
      anon_sym_func,
    ACTIONS(585), 1,
      anon_sym_map,
    ACTIONS(587), 1,
      anon_sym_chan,
    ACTIONS(589), 1,
      anon_sym_LT_DASH,
    ACTIONS(996), 1,
      anon_sym_LBRACK,
    ACTIONS(998), 1,
      anon_sym_STAR,
    ACTIONS(1078), 1,
      anon_sym_LPAREN,
    STATE(1139), 1,
      sym_type_elem,
    STATE(870), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(1054), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(859), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [45656] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(920), 1,
      anon_sym_LPAREN,
    ACTIONS(922), 1,
      anon_sym_LBRACK,
    ACTIONS(968), 1,
      anon_sym_DOT,
    ACTIONS(1135), 1,
      anon_sym_PIPE,
    ACTIONS(1145), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1147), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1445), 1,
      anon_sym_RPAREN,
    STATE(421), 1,
      sym_argument_list,
    STATE(1278), 1,
      sym_type_arguments,
    ACTIONS(1139), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(1143), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1137), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(1141), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1133), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [45713] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(561), 1,
      sym_identifier,
    ACTIONS(572), 1,
      anon_sym_func,
    ACTIONS(585), 1,
      anon_sym_map,
    ACTIONS(587), 1,
      anon_sym_chan,
    ACTIONS(589), 1,
      anon_sym_LT_DASH,
    ACTIONS(996), 1,
      anon_sym_LBRACK,
    ACTIONS(998), 1,
      anon_sym_STAR,
    ACTIONS(1078), 1,
      anon_sym_LPAREN,
    ACTIONS(1447), 1,
      anon_sym_type,
    STATE(870), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(1325), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(859), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [45772] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(920), 1,
      anon_sym_LPAREN,
    ACTIONS(922), 1,
      anon_sym_LBRACK,
    ACTIONS(968), 1,
      anon_sym_DOT,
    ACTIONS(986), 1,
      anon_sym_PIPE,
    ACTIONS(994), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1101), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1449), 1,
      anon_sym_RBRACK,
    STATE(421), 1,
      sym_argument_list,
    STATE(1278), 1,
      sym_type_arguments,
    ACTIONS(972), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(992), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(988), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(990), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(970), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [45829] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(920), 1,
      anon_sym_LPAREN,
    ACTIONS(922), 1,
      anon_sym_LBRACK,
    ACTIONS(968), 1,
      anon_sym_DOT,
    ACTIONS(986), 1,
      anon_sym_PIPE,
    ACTIONS(994), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1101), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1451), 1,
      anon_sym_RBRACK,
    STATE(421), 1,
      sym_argument_list,
    STATE(1278), 1,
      sym_type_arguments,
    ACTIONS(972), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(992), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(988), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(990), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(970), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [45886] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(920), 1,
      anon_sym_LPAREN,
    ACTIONS(922), 1,
      anon_sym_LBRACK,
    ACTIONS(968), 1,
      anon_sym_DOT,
    ACTIONS(986), 1,
      anon_sym_PIPE,
    ACTIONS(994), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1101), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1453), 1,
      anon_sym_RBRACK,
    STATE(421), 1,
      sym_argument_list,
    STATE(1278), 1,
      sym_type_arguments,
    ACTIONS(972), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(992), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(988), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(990), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(970), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [45943] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(920), 1,
      anon_sym_LPAREN,
    ACTIONS(922), 1,
      anon_sym_LBRACK,
    ACTIONS(968), 1,
      anon_sym_DOT,
    ACTIONS(986), 1,
      anon_sym_PIPE,
    ACTIONS(994), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1101), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1455), 1,
      anon_sym_RBRACK,
    STATE(421), 1,
      sym_argument_list,
    STATE(1278), 1,
      sym_type_arguments,
    ACTIONS(972), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(992), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(988), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(990), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(970), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [46000] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(561), 1,
      sym_identifier,
    ACTIONS(572), 1,
      anon_sym_func,
    ACTIONS(585), 1,
      anon_sym_map,
    ACTIONS(587), 1,
      anon_sym_chan,
    ACTIONS(589), 1,
      anon_sym_LT_DASH,
    ACTIONS(996), 1,
      anon_sym_LBRACK,
    ACTIONS(998), 1,
      anon_sym_STAR,
    ACTIONS(1078), 1,
      anon_sym_LPAREN,
    ACTIONS(1457), 1,
      anon_sym_RBRACK,
    STATE(870), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(1218), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(859), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [46059] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(920), 1,
      anon_sym_LPAREN,
    ACTIONS(922), 1,
      anon_sym_LBRACK,
    ACTIONS(968), 1,
      anon_sym_DOT,
    ACTIONS(986), 1,
      anon_sym_PIPE,
    ACTIONS(994), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1101), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1459), 1,
      anon_sym_RBRACK,
    STATE(421), 1,
      sym_argument_list,
    STATE(1278), 1,
      sym_type_arguments,
    ACTIONS(972), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(992), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(988), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(990), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(970), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [46116] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(920), 1,
      anon_sym_LPAREN,
    ACTIONS(922), 1,
      anon_sym_LBRACK,
    ACTIONS(968), 1,
      anon_sym_DOT,
    ACTIONS(1135), 1,
      anon_sym_PIPE,
    ACTIONS(1145), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1147), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1461), 1,
      anon_sym_RPAREN,
    STATE(421), 1,
      sym_argument_list,
    STATE(1278), 1,
      sym_type_arguments,
    ACTIONS(1139), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(1143), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1137), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(1141), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1133), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [46173] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(920), 1,
      anon_sym_LPAREN,
    ACTIONS(922), 1,
      anon_sym_LBRACK,
    ACTIONS(968), 1,
      anon_sym_DOT,
    ACTIONS(1135), 1,
      anon_sym_PIPE,
    ACTIONS(1145), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1147), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1463), 1,
      anon_sym_RPAREN,
    STATE(421), 1,
      sym_argument_list,
    STATE(1278), 1,
      sym_type_arguments,
    ACTIONS(1139), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(1143), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1137), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(1141), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1133), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [46230] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(920), 1,
      anon_sym_LPAREN,
    ACTIONS(922), 1,
      anon_sym_LBRACK,
    ACTIONS(968), 1,
      anon_sym_DOT,
    ACTIONS(986), 1,
      anon_sym_PIPE,
    ACTIONS(994), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1101), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1465), 1,
      anon_sym_SEMI,
    STATE(421), 1,
      sym_argument_list,
    STATE(1278), 1,
      sym_type_arguments,
    ACTIONS(972), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(992), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(988), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(990), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(970), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [46287] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(561), 1,
      sym_identifier,
    ACTIONS(572), 1,
      anon_sym_func,
    ACTIONS(585), 1,
      anon_sym_map,
    ACTIONS(587), 1,
      anon_sym_chan,
    ACTIONS(589), 1,
      anon_sym_LT_DASH,
    ACTIONS(996), 1,
      anon_sym_LBRACK,
    ACTIONS(998), 1,
      anon_sym_STAR,
    ACTIONS(1078), 1,
      anon_sym_LPAREN,
    STATE(870), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(1180), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(859), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [46343] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(974), 1,
      sym_identifier,
    ACTIONS(978), 1,
      anon_sym_func,
    ACTIONS(980), 1,
      anon_sym_LBRACK,
    ACTIONS(982), 1,
      anon_sym_STAR,
    ACTIONS(984), 1,
      anon_sym_LT_DASH,
    ACTIONS(1078), 1,
      anon_sym_LPAREN,
    STATE(836), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(845), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(859), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [46399] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(974), 1,
      sym_identifier,
    ACTIONS(978), 1,
      anon_sym_func,
    ACTIONS(980), 1,
      anon_sym_LBRACK,
    ACTIONS(982), 1,
      anon_sym_STAR,
    ACTIONS(1078), 1,
      anon_sym_LPAREN,
    ACTIONS(1467), 1,
      anon_sym_LT_DASH,
    STATE(836), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(858), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(859), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [46455] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(974), 1,
      sym_identifier,
    ACTIONS(978), 1,
      anon_sym_func,
    ACTIONS(980), 1,
      anon_sym_LBRACK,
    ACTIONS(982), 1,
      anon_sym_STAR,
    ACTIONS(984), 1,
      anon_sym_LT_DASH,
    ACTIONS(1078), 1,
      anon_sym_LPAREN,
    STATE(836), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(839), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(859), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [46511] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(880), 1,
      anon_sym_struct,
    ACTIONS(884), 1,
      anon_sym_interface,
    ACTIONS(896), 1,
      sym_identifier,
    ACTIONS(904), 1,
      anon_sym_func,
    ACTIONS(910), 1,
      anon_sym_map,
    ACTIONS(912), 1,
      anon_sym_chan,
    ACTIONS(1211), 1,
      anon_sym_LPAREN,
    ACTIONS(1217), 1,
      anon_sym_TILDE,
    ACTIONS(1469), 1,
      anon_sym_LBRACK,
    ACTIONS(1471), 1,
      anon_sym_STAR,
    ACTIONS(1473), 1,
      anon_sym_LT_DASH,
    STATE(796), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(798), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(825), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [46567] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(862), 1,
      sym_identifier,
    ACTIONS(874), 1,
      anon_sym_func,
    ACTIONS(880), 1,
      anon_sym_struct,
    ACTIONS(884), 1,
      anon_sym_interface,
    ACTIONS(886), 1,
      anon_sym_map,
    ACTIONS(888), 1,
      anon_sym_chan,
    ACTIONS(1211), 1,
      anon_sym_LPAREN,
    ACTIONS(1213), 1,
      anon_sym_LBRACK,
    ACTIONS(1215), 1,
      anon_sym_STAR,
    ACTIONS(1217), 1,
      anon_sym_TILDE,
    ACTIONS(1221), 1,
      anon_sym_LT_DASH,
    STATE(795), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(805), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(825), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [46623] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1058), 1,
      anon_sym_struct,
    ACTIONS(1064), 1,
      anon_sym_interface,
    ACTIONS(1113), 1,
      sym_identifier,
    ACTIONS(1115), 1,
      anon_sym_func,
    ACTIONS(1121), 1,
      anon_sym_map,
    ACTIONS(1123), 1,
      anon_sym_chan,
    ACTIONS(1475), 1,
      anon_sym_LPAREN,
    ACTIONS(1477), 1,
      anon_sym_LBRACK,
    ACTIONS(1479), 1,
      anon_sym_STAR,
    ACTIONS(1481), 1,
      anon_sym_TILDE,
    ACTIONS(1483), 1,
      anon_sym_LT_DASH,
    STATE(899), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(972), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(950), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [46679] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(561), 1,
      sym_identifier,
    ACTIONS(572), 1,
      anon_sym_func,
    ACTIONS(585), 1,
      anon_sym_map,
    ACTIONS(587), 1,
      anon_sym_chan,
    ACTIONS(589), 1,
      anon_sym_LT_DASH,
    ACTIONS(996), 1,
      anon_sym_LBRACK,
    ACTIONS(998), 1,
      anon_sym_STAR,
    ACTIONS(1078), 1,
      anon_sym_LPAREN,
    STATE(870), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(1373), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(859), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [46735] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(920), 1,
      anon_sym_LPAREN,
    ACTIONS(922), 1,
      anon_sym_LBRACK,
    ACTIONS(986), 1,
      anon_sym_PIPE,
    ACTIONS(994), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1101), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1485), 1,
      anon_sym_DOT,
    STATE(421), 1,
      sym_argument_list,
    STATE(1278), 1,
      sym_type_arguments,
    ACTIONS(972), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(992), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(988), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(990), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(970), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [46789] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(561), 1,
      sym_identifier,
    ACTIONS(572), 1,
      anon_sym_func,
    ACTIONS(585), 1,
      anon_sym_map,
    ACTIONS(587), 1,
      anon_sym_chan,
    ACTIONS(589), 1,
      anon_sym_LT_DASH,
    ACTIONS(996), 1,
      anon_sym_LBRACK,
    ACTIONS(998), 1,
      anon_sym_STAR,
    ACTIONS(1078), 1,
      anon_sym_LPAREN,
    STATE(870), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(1218), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(859), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [46845] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(862), 1,
      sym_identifier,
    ACTIONS(874), 1,
      anon_sym_func,
    ACTIONS(880), 1,
      anon_sym_struct,
    ACTIONS(884), 1,
      anon_sym_interface,
    ACTIONS(886), 1,
      anon_sym_map,
    ACTIONS(888), 1,
      anon_sym_chan,
    ACTIONS(1211), 1,
      anon_sym_LPAREN,
    ACTIONS(1213), 1,
      anon_sym_LBRACK,
    ACTIONS(1215), 1,
      anon_sym_STAR,
    ACTIONS(1217), 1,
      anon_sym_TILDE,
    ACTIONS(1221), 1,
      anon_sym_LT_DASH,
    STATE(795), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(807), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(825), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [46901] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(561), 1,
      sym_identifier,
    ACTIONS(572), 1,
      anon_sym_func,
    ACTIONS(585), 1,
      anon_sym_map,
    ACTIONS(587), 1,
      anon_sym_chan,
    ACTIONS(589), 1,
      anon_sym_LT_DASH,
    ACTIONS(996), 1,
      anon_sym_LBRACK,
    ACTIONS(998), 1,
      anon_sym_STAR,
    ACTIONS(1078), 1,
      anon_sym_LPAREN,
    STATE(870), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(1230), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(859), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [46957] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(974), 1,
      sym_identifier,
    ACTIONS(978), 1,
      anon_sym_func,
    ACTIONS(980), 1,
      anon_sym_LBRACK,
    ACTIONS(982), 1,
      anon_sym_STAR,
    ACTIONS(984), 1,
      anon_sym_LT_DASH,
    ACTIONS(1078), 1,
      anon_sym_LPAREN,
    STATE(836), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(863), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(859), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [47013] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(862), 1,
      sym_identifier,
    ACTIONS(874), 1,
      anon_sym_func,
    ACTIONS(880), 1,
      anon_sym_struct,
    ACTIONS(884), 1,
      anon_sym_interface,
    ACTIONS(886), 1,
      anon_sym_map,
    ACTIONS(888), 1,
      anon_sym_chan,
    ACTIONS(1211), 1,
      anon_sym_LPAREN,
    ACTIONS(1213), 1,
      anon_sym_LBRACK,
    ACTIONS(1215), 1,
      anon_sym_STAR,
    ACTIONS(1217), 1,
      anon_sym_TILDE,
    ACTIONS(1221), 1,
      anon_sym_LT_DASH,
    STATE(795), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(961), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(825), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [47069] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(880), 1,
      anon_sym_struct,
    ACTIONS(884), 1,
      anon_sym_interface,
    ACTIONS(896), 1,
      sym_identifier,
    ACTIONS(904), 1,
      anon_sym_func,
    ACTIONS(910), 1,
      anon_sym_map,
    ACTIONS(912), 1,
      anon_sym_chan,
    ACTIONS(1211), 1,
      anon_sym_LPAREN,
    ACTIONS(1217), 1,
      anon_sym_TILDE,
    ACTIONS(1469), 1,
      anon_sym_LBRACK,
    ACTIONS(1471), 1,
      anon_sym_STAR,
    ACTIONS(1487), 1,
      anon_sym_LT_DASH,
    STATE(796), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(801), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(825), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [47125] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(561), 1,
      sym_identifier,
    ACTIONS(572), 1,
      anon_sym_func,
    ACTIONS(585), 1,
      anon_sym_map,
    ACTIONS(587), 1,
      anon_sym_chan,
    ACTIONS(589), 1,
      anon_sym_LT_DASH,
    ACTIONS(996), 1,
      anon_sym_LBRACK,
    ACTIONS(998), 1,
      anon_sym_STAR,
    ACTIONS(1078), 1,
      anon_sym_LPAREN,
    STATE(870), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(1377), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(859), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [47181] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1058), 1,
      anon_sym_struct,
    ACTIONS(1064), 1,
      anon_sym_interface,
    ACTIONS(1113), 1,
      sym_identifier,
    ACTIONS(1115), 1,
      anon_sym_func,
    ACTIONS(1121), 1,
      anon_sym_map,
    ACTIONS(1123), 1,
      anon_sym_chan,
    ACTIONS(1475), 1,
      anon_sym_LPAREN,
    ACTIONS(1477), 1,
      anon_sym_LBRACK,
    ACTIONS(1479), 1,
      anon_sym_STAR,
    ACTIONS(1481), 1,
      anon_sym_TILDE,
    ACTIONS(1483), 1,
      anon_sym_LT_DASH,
    STATE(899), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(956), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(950), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [47237] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(880), 1,
      anon_sym_struct,
    ACTIONS(884), 1,
      anon_sym_interface,
    ACTIONS(896), 1,
      sym_identifier,
    ACTIONS(904), 1,
      anon_sym_func,
    ACTIONS(910), 1,
      anon_sym_map,
    ACTIONS(912), 1,
      anon_sym_chan,
    ACTIONS(1211), 1,
      anon_sym_LPAREN,
    ACTIONS(1217), 1,
      anon_sym_TILDE,
    ACTIONS(1469), 1,
      anon_sym_LBRACK,
    ACTIONS(1471), 1,
      anon_sym_STAR,
    ACTIONS(1473), 1,
      anon_sym_LT_DASH,
    STATE(796), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(805), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(825), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [47293] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(862), 1,
      sym_identifier,
    ACTIONS(874), 1,
      anon_sym_func,
    ACTIONS(880), 1,
      anon_sym_struct,
    ACTIONS(884), 1,
      anon_sym_interface,
    ACTIONS(886), 1,
      anon_sym_map,
    ACTIONS(888), 1,
      anon_sym_chan,
    ACTIONS(1211), 1,
      anon_sym_LPAREN,
    ACTIONS(1213), 1,
      anon_sym_LBRACK,
    ACTIONS(1215), 1,
      anon_sym_STAR,
    ACTIONS(1217), 1,
      anon_sym_TILDE,
    ACTIONS(1489), 1,
      anon_sym_LT_DASH,
    STATE(795), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(810), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(825), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [47349] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1058), 1,
      anon_sym_struct,
    ACTIONS(1064), 1,
      anon_sym_interface,
    ACTIONS(1113), 1,
      sym_identifier,
    ACTIONS(1115), 1,
      anon_sym_func,
    ACTIONS(1121), 1,
      anon_sym_map,
    ACTIONS(1123), 1,
      anon_sym_chan,
    ACTIONS(1475), 1,
      anon_sym_LPAREN,
    ACTIONS(1477), 1,
      anon_sym_LBRACK,
    ACTIONS(1479), 1,
      anon_sym_STAR,
    ACTIONS(1481), 1,
      anon_sym_TILDE,
    ACTIONS(1491), 1,
      anon_sym_LT_DASH,
    STATE(899), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(966), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(950), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [47405] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(862), 1,
      sym_identifier,
    ACTIONS(874), 1,
      anon_sym_func,
    ACTIONS(880), 1,
      anon_sym_struct,
    ACTIONS(884), 1,
      anon_sym_interface,
    ACTIONS(886), 1,
      anon_sym_map,
    ACTIONS(888), 1,
      anon_sym_chan,
    ACTIONS(1211), 1,
      anon_sym_LPAREN,
    ACTIONS(1213), 1,
      anon_sym_LBRACK,
    ACTIONS(1215), 1,
      anon_sym_STAR,
    ACTIONS(1217), 1,
      anon_sym_TILDE,
    ACTIONS(1221), 1,
      anon_sym_LT_DASH,
    STATE(795), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(962), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(825), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [47461] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1058), 1,
      anon_sym_struct,
    ACTIONS(1064), 1,
      anon_sym_interface,
    ACTIONS(1113), 1,
      sym_identifier,
    ACTIONS(1115), 1,
      anon_sym_func,
    ACTIONS(1121), 1,
      anon_sym_map,
    ACTIONS(1123), 1,
      anon_sym_chan,
    ACTIONS(1475), 1,
      anon_sym_LPAREN,
    ACTIONS(1477), 1,
      anon_sym_LBRACK,
    ACTIONS(1479), 1,
      anon_sym_STAR,
    ACTIONS(1481), 1,
      anon_sym_TILDE,
    ACTIONS(1491), 1,
      anon_sym_LT_DASH,
    STATE(899), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(993), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(950), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [47517] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1058), 1,
      anon_sym_struct,
    ACTIONS(1064), 1,
      anon_sym_interface,
    ACTIONS(1113), 1,
      sym_identifier,
    ACTIONS(1115), 1,
      anon_sym_func,
    ACTIONS(1121), 1,
      anon_sym_map,
    ACTIONS(1123), 1,
      anon_sym_chan,
    ACTIONS(1475), 1,
      anon_sym_LPAREN,
    ACTIONS(1477), 1,
      anon_sym_LBRACK,
    ACTIONS(1479), 1,
      anon_sym_STAR,
    ACTIONS(1481), 1,
      anon_sym_TILDE,
    ACTIONS(1491), 1,
      anon_sym_LT_DASH,
    STATE(899), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(968), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(950), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [47573] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(880), 1,
      anon_sym_struct,
    ACTIONS(884), 1,
      anon_sym_interface,
    ACTIONS(896), 1,
      sym_identifier,
    ACTIONS(904), 1,
      anon_sym_func,
    ACTIONS(910), 1,
      anon_sym_map,
    ACTIONS(912), 1,
      anon_sym_chan,
    ACTIONS(1211), 1,
      anon_sym_LPAREN,
    ACTIONS(1217), 1,
      anon_sym_TILDE,
    ACTIONS(1469), 1,
      anon_sym_LBRACK,
    ACTIONS(1471), 1,
      anon_sym_STAR,
    ACTIONS(1473), 1,
      anon_sym_LT_DASH,
    STATE(796), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(807), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(825), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [47629] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1046), 1,
      sym_identifier,
    ACTIONS(1052), 1,
      anon_sym_func,
    ACTIONS(1058), 1,
      anon_sym_struct,
    ACTIONS(1064), 1,
      anon_sym_interface,
    ACTIONS(1066), 1,
      anon_sym_map,
    ACTIONS(1475), 1,
      anon_sym_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_TILDE,
    ACTIONS(1493), 1,
      anon_sym_LBRACK,
    ACTIONS(1495), 1,
      anon_sym_STAR,
    ACTIONS(1497), 1,
      anon_sym_chan,
    ACTIONS(1499), 1,
      anon_sym_LT_DASH,
    STATE(902), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(971), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(950), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [47685] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(561), 1,
      sym_identifier,
    ACTIONS(572), 1,
      anon_sym_func,
    ACTIONS(585), 1,
      anon_sym_map,
    ACTIONS(587), 1,
      anon_sym_chan,
    ACTIONS(589), 1,
      anon_sym_LT_DASH,
    ACTIONS(996), 1,
      anon_sym_LBRACK,
    ACTIONS(998), 1,
      anon_sym_STAR,
    ACTIONS(1078), 1,
      anon_sym_LPAREN,
    STATE(870), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(1303), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(859), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [47741] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(880), 1,
      anon_sym_struct,
    ACTIONS(884), 1,
      anon_sym_interface,
    ACTIONS(896), 1,
      sym_identifier,
    ACTIONS(904), 1,
      anon_sym_func,
    ACTIONS(910), 1,
      anon_sym_map,
    ACTIONS(912), 1,
      anon_sym_chan,
    ACTIONS(1211), 1,
      anon_sym_LPAREN,
    ACTIONS(1217), 1,
      anon_sym_TILDE,
    ACTIONS(1469), 1,
      anon_sym_LBRACK,
    ACTIONS(1471), 1,
      anon_sym_STAR,
    ACTIONS(1473), 1,
      anon_sym_LT_DASH,
    STATE(796), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(800), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(825), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [47797] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(862), 1,
      sym_identifier,
    ACTIONS(874), 1,
      anon_sym_func,
    ACTIONS(880), 1,
      anon_sym_struct,
    ACTIONS(884), 1,
      anon_sym_interface,
    ACTIONS(886), 1,
      anon_sym_map,
    ACTIONS(1211), 1,
      anon_sym_LPAREN,
    ACTIONS(1213), 1,
      anon_sym_LBRACK,
    ACTIONS(1215), 1,
      anon_sym_STAR,
    ACTIONS(1217), 1,
      anon_sym_TILDE,
    ACTIONS(1221), 1,
      anon_sym_LT_DASH,
    ACTIONS(1501), 1,
      anon_sym_chan,
    STATE(795), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(809), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(825), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [47853] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1046), 1,
      sym_identifier,
    ACTIONS(1052), 1,
      anon_sym_func,
    ACTIONS(1058), 1,
      anon_sym_struct,
    ACTIONS(1064), 1,
      anon_sym_interface,
    ACTIONS(1066), 1,
      anon_sym_map,
    ACTIONS(1068), 1,
      anon_sym_chan,
    ACTIONS(1475), 1,
      anon_sym_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_TILDE,
    ACTIONS(1493), 1,
      anon_sym_LBRACK,
    ACTIONS(1495), 1,
      anon_sym_STAR,
    ACTIONS(1503), 1,
      anon_sym_LT_DASH,
    STATE(902), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(972), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(950), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [47909] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(561), 1,
      sym_identifier,
    ACTIONS(572), 1,
      anon_sym_func,
    ACTIONS(585), 1,
      anon_sym_map,
    ACTIONS(587), 1,
      anon_sym_chan,
    ACTIONS(589), 1,
      anon_sym_LT_DASH,
    ACTIONS(996), 1,
      anon_sym_LBRACK,
    ACTIONS(998), 1,
      anon_sym_STAR,
    ACTIONS(1078), 1,
      anon_sym_LPAREN,
    STATE(839), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(870), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(859), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [47965] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(974), 1,
      sym_identifier,
    ACTIONS(978), 1,
      anon_sym_func,
    ACTIONS(980), 1,
      anon_sym_LBRACK,
    ACTIONS(982), 1,
      anon_sym_STAR,
    ACTIONS(984), 1,
      anon_sym_LT_DASH,
    ACTIONS(1078), 1,
      anon_sym_LPAREN,
    STATE(836), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(849), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(859), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [48021] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(561), 1,
      sym_identifier,
    ACTIONS(572), 1,
      anon_sym_func,
    ACTIONS(585), 1,
      anon_sym_map,
    ACTIONS(587), 1,
      anon_sym_chan,
    ACTIONS(589), 1,
      anon_sym_LT_DASH,
    ACTIONS(996), 1,
      anon_sym_LBRACK,
    ACTIONS(998), 1,
      anon_sym_STAR,
    ACTIONS(1078), 1,
      anon_sym_LPAREN,
    STATE(870), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(1208), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(859), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [48077] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(561), 1,
      sym_identifier,
    ACTIONS(572), 1,
      anon_sym_func,
    ACTIONS(585), 1,
      anon_sym_map,
    ACTIONS(587), 1,
      anon_sym_chan,
    ACTIONS(996), 1,
      anon_sym_LBRACK,
    ACTIONS(998), 1,
      anon_sym_STAR,
    ACTIONS(1078), 1,
      anon_sym_LPAREN,
    ACTIONS(1505), 1,
      anon_sym_LT_DASH,
    STATE(853), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(870), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(859), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [48133] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(974), 1,
      sym_identifier,
    ACTIONS(978), 1,
      anon_sym_func,
    ACTIONS(980), 1,
      anon_sym_LBRACK,
    ACTIONS(982), 1,
      anon_sym_STAR,
    ACTIONS(984), 1,
      anon_sym_LT_DASH,
    ACTIONS(1078), 1,
      anon_sym_LPAREN,
    STATE(836), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(868), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(859), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [48189] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1058), 1,
      anon_sym_struct,
    ACTIONS(1064), 1,
      anon_sym_interface,
    ACTIONS(1113), 1,
      sym_identifier,
    ACTIONS(1115), 1,
      anon_sym_func,
    ACTIONS(1121), 1,
      anon_sym_map,
    ACTIONS(1123), 1,
      anon_sym_chan,
    ACTIONS(1475), 1,
      anon_sym_LPAREN,
    ACTIONS(1477), 1,
      anon_sym_LBRACK,
    ACTIONS(1479), 1,
      anon_sym_STAR,
    ACTIONS(1481), 1,
      anon_sym_TILDE,
    ACTIONS(1491), 1,
      anon_sym_LT_DASH,
    STATE(899), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(954), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(950), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [48245] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(862), 1,
      sym_identifier,
    ACTIONS(874), 1,
      anon_sym_func,
    ACTIONS(880), 1,
      anon_sym_struct,
    ACTIONS(884), 1,
      anon_sym_interface,
    ACTIONS(886), 1,
      anon_sym_map,
    ACTIONS(888), 1,
      anon_sym_chan,
    ACTIONS(1211), 1,
      anon_sym_LPAREN,
    ACTIONS(1213), 1,
      anon_sym_LBRACK,
    ACTIONS(1215), 1,
      anon_sym_STAR,
    ACTIONS(1217), 1,
      anon_sym_TILDE,
    ACTIONS(1221), 1,
      anon_sym_LT_DASH,
    STATE(795), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(813), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(825), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [48301] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(880), 1,
      anon_sym_struct,
    ACTIONS(884), 1,
      anon_sym_interface,
    ACTIONS(896), 1,
      sym_identifier,
    ACTIONS(904), 1,
      anon_sym_func,
    ACTIONS(910), 1,
      anon_sym_map,
    ACTIONS(912), 1,
      anon_sym_chan,
    ACTIONS(1211), 1,
      anon_sym_LPAREN,
    ACTIONS(1217), 1,
      anon_sym_TILDE,
    ACTIONS(1469), 1,
      anon_sym_LBRACK,
    ACTIONS(1471), 1,
      anon_sym_STAR,
    ACTIONS(1473), 1,
      anon_sym_LT_DASH,
    STATE(796), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(816), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(825), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [48357] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1058), 1,
      anon_sym_struct,
    ACTIONS(1064), 1,
      anon_sym_interface,
    ACTIONS(1113), 1,
      sym_identifier,
    ACTIONS(1115), 1,
      anon_sym_func,
    ACTIONS(1121), 1,
      anon_sym_map,
    ACTIONS(1123), 1,
      anon_sym_chan,
    ACTIONS(1475), 1,
      anon_sym_LPAREN,
    ACTIONS(1477), 1,
      anon_sym_LBRACK,
    ACTIONS(1479), 1,
      anon_sym_STAR,
    ACTIONS(1481), 1,
      anon_sym_TILDE,
    ACTIONS(1491), 1,
      anon_sym_LT_DASH,
    STATE(899), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(983), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(950), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [48413] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1046), 1,
      sym_identifier,
    ACTIONS(1052), 1,
      anon_sym_func,
    ACTIONS(1058), 1,
      anon_sym_struct,
    ACTIONS(1064), 1,
      anon_sym_interface,
    ACTIONS(1066), 1,
      anon_sym_map,
    ACTIONS(1068), 1,
      anon_sym_chan,
    ACTIONS(1475), 1,
      anon_sym_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_TILDE,
    ACTIONS(1493), 1,
      anon_sym_LBRACK,
    ACTIONS(1495), 1,
      anon_sym_STAR,
    ACTIONS(1499), 1,
      anon_sym_LT_DASH,
    STATE(902), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(993), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(950), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [48469] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1058), 1,
      anon_sym_struct,
    ACTIONS(1064), 1,
      anon_sym_interface,
    ACTIONS(1113), 1,
      sym_identifier,
    ACTIONS(1115), 1,
      anon_sym_func,
    ACTIONS(1121), 1,
      anon_sym_map,
    ACTIONS(1123), 1,
      anon_sym_chan,
    ACTIONS(1475), 1,
      anon_sym_LPAREN,
    ACTIONS(1477), 1,
      anon_sym_LBRACK,
    ACTIONS(1479), 1,
      anon_sym_STAR,
    ACTIONS(1481), 1,
      anon_sym_TILDE,
    ACTIONS(1491), 1,
      anon_sym_LT_DASH,
    STATE(899), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(986), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(950), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [48525] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(561), 1,
      sym_identifier,
    ACTIONS(572), 1,
      anon_sym_func,
    ACTIONS(585), 1,
      anon_sym_map,
    ACTIONS(587), 1,
      anon_sym_chan,
    ACTIONS(589), 1,
      anon_sym_LT_DASH,
    ACTIONS(996), 1,
      anon_sym_LBRACK,
    ACTIONS(998), 1,
      anon_sym_STAR,
    ACTIONS(1078), 1,
      anon_sym_LPAREN,
    STATE(840), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(870), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(859), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [48581] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(561), 1,
      sym_identifier,
    ACTIONS(572), 1,
      anon_sym_func,
    ACTIONS(585), 1,
      anon_sym_map,
    ACTIONS(587), 1,
      anon_sym_chan,
    ACTIONS(589), 1,
      anon_sym_LT_DASH,
    ACTIONS(996), 1,
      anon_sym_LBRACK,
    ACTIONS(998), 1,
      anon_sym_STAR,
    ACTIONS(1078), 1,
      anon_sym_LPAREN,
    STATE(870), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(1354), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(859), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [48637] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(561), 1,
      sym_identifier,
    ACTIONS(572), 1,
      anon_sym_func,
    ACTIONS(585), 1,
      anon_sym_map,
    ACTIONS(587), 1,
      anon_sym_chan,
    ACTIONS(589), 1,
      anon_sym_LT_DASH,
    ACTIONS(996), 1,
      anon_sym_LBRACK,
    ACTIONS(998), 1,
      anon_sym_STAR,
    ACTIONS(1078), 1,
      anon_sym_LPAREN,
    STATE(870), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(1128), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(859), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [48693] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(974), 1,
      sym_identifier,
    ACTIONS(978), 1,
      anon_sym_func,
    ACTIONS(980), 1,
      anon_sym_LBRACK,
    ACTIONS(982), 1,
      anon_sym_STAR,
    ACTIONS(1078), 1,
      anon_sym_LPAREN,
    ACTIONS(1467), 1,
      anon_sym_LT_DASH,
    STATE(836), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(853), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(859), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [48749] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(561), 1,
      sym_identifier,
    ACTIONS(572), 1,
      anon_sym_func,
    ACTIONS(585), 1,
      anon_sym_map,
    ACTIONS(587), 1,
      anon_sym_chan,
    ACTIONS(589), 1,
      anon_sym_LT_DASH,
    ACTIONS(996), 1,
      anon_sym_LBRACK,
    ACTIONS(998), 1,
      anon_sym_STAR,
    ACTIONS(1078), 1,
      anon_sym_LPAREN,
    STATE(870), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(1365), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(859), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [48805] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(862), 1,
      sym_identifier,
    ACTIONS(874), 1,
      anon_sym_func,
    ACTIONS(880), 1,
      anon_sym_struct,
    ACTIONS(884), 1,
      anon_sym_interface,
    ACTIONS(886), 1,
      anon_sym_map,
    ACTIONS(888), 1,
      anon_sym_chan,
    ACTIONS(1211), 1,
      anon_sym_LPAREN,
    ACTIONS(1213), 1,
      anon_sym_LBRACK,
    ACTIONS(1215), 1,
      anon_sym_STAR,
    ACTIONS(1217), 1,
      anon_sym_TILDE,
    ACTIONS(1489), 1,
      anon_sym_LT_DASH,
    STATE(795), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(801), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(825), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [48861] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(561), 1,
      sym_identifier,
    ACTIONS(572), 1,
      anon_sym_func,
    ACTIONS(585), 1,
      anon_sym_map,
    ACTIONS(587), 1,
      anon_sym_chan,
    ACTIONS(589), 1,
      anon_sym_LT_DASH,
    ACTIONS(996), 1,
      anon_sym_LBRACK,
    ACTIONS(998), 1,
      anon_sym_STAR,
    ACTIONS(1078), 1,
      anon_sym_LPAREN,
    STATE(870), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(1349), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(859), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [48917] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(561), 1,
      sym_identifier,
    ACTIONS(572), 1,
      anon_sym_func,
    ACTIONS(585), 1,
      anon_sym_map,
    ACTIONS(587), 1,
      anon_sym_chan,
    ACTIONS(589), 1,
      anon_sym_LT_DASH,
    ACTIONS(996), 1,
      anon_sym_LBRACK,
    ACTIONS(998), 1,
      anon_sym_STAR,
    ACTIONS(1078), 1,
      anon_sym_LPAREN,
    STATE(870), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(1211), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(859), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [48973] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(561), 1,
      sym_identifier,
    ACTIONS(572), 1,
      anon_sym_func,
    ACTIONS(585), 1,
      anon_sym_map,
    ACTIONS(587), 1,
      anon_sym_chan,
    ACTIONS(589), 1,
      anon_sym_LT_DASH,
    ACTIONS(996), 1,
      anon_sym_LBRACK,
    ACTIONS(998), 1,
      anon_sym_STAR,
    ACTIONS(1078), 1,
      anon_sym_LPAREN,
    STATE(870), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(1294), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(859), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [49029] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1046), 1,
      sym_identifier,
    ACTIONS(1052), 1,
      anon_sym_func,
    ACTIONS(1058), 1,
      anon_sym_struct,
    ACTIONS(1064), 1,
      anon_sym_interface,
    ACTIONS(1066), 1,
      anon_sym_map,
    ACTIONS(1068), 1,
      anon_sym_chan,
    ACTIONS(1475), 1,
      anon_sym_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_TILDE,
    ACTIONS(1493), 1,
      anon_sym_LBRACK,
    ACTIONS(1495), 1,
      anon_sym_STAR,
    ACTIONS(1499), 1,
      anon_sym_LT_DASH,
    STATE(902), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(983), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(950), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [49085] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(561), 1,
      sym_identifier,
    ACTIONS(572), 1,
      anon_sym_func,
    ACTIONS(585), 1,
      anon_sym_map,
    ACTIONS(587), 1,
      anon_sym_chan,
    ACTIONS(589), 1,
      anon_sym_LT_DASH,
    ACTIONS(996), 1,
      anon_sym_LBRACK,
    ACTIONS(998), 1,
      anon_sym_STAR,
    ACTIONS(1078), 1,
      anon_sym_LPAREN,
    STATE(870), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(1220), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(859), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [49141] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(561), 1,
      sym_identifier,
    ACTIONS(572), 1,
      anon_sym_func,
    ACTIONS(585), 1,
      anon_sym_map,
    ACTIONS(589), 1,
      anon_sym_LT_DASH,
    ACTIONS(996), 1,
      anon_sym_LBRACK,
    ACTIONS(998), 1,
      anon_sym_STAR,
    ACTIONS(1078), 1,
      anon_sym_LPAREN,
    ACTIONS(1507), 1,
      anon_sym_chan,
    STATE(857), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(870), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(859), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [49197] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(561), 1,
      sym_identifier,
    ACTIONS(572), 1,
      anon_sym_func,
    ACTIONS(585), 1,
      anon_sym_map,
    ACTIONS(587), 1,
      anon_sym_chan,
    ACTIONS(589), 1,
      anon_sym_LT_DASH,
    ACTIONS(996), 1,
      anon_sym_LBRACK,
    ACTIONS(998), 1,
      anon_sym_STAR,
    ACTIONS(1078), 1,
      anon_sym_LPAREN,
    STATE(870), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(1363), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(859), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [49253] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(561), 1,
      sym_identifier,
    ACTIONS(572), 1,
      anon_sym_func,
    ACTIONS(585), 1,
      anon_sym_map,
    ACTIONS(587), 1,
      anon_sym_chan,
    ACTIONS(996), 1,
      anon_sym_LBRACK,
    ACTIONS(998), 1,
      anon_sym_STAR,
    ACTIONS(1078), 1,
      anon_sym_LPAREN,
    ACTIONS(1505), 1,
      anon_sym_LT_DASH,
    STATE(858), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(870), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(859), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [49309] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(561), 1,
      sym_identifier,
    ACTIONS(572), 1,
      anon_sym_func,
    ACTIONS(585), 1,
      anon_sym_map,
    ACTIONS(587), 1,
      anon_sym_chan,
    ACTIONS(589), 1,
      anon_sym_LT_DASH,
    ACTIONS(996), 1,
      anon_sym_LBRACK,
    ACTIONS(998), 1,
      anon_sym_STAR,
    ACTIONS(1078), 1,
      anon_sym_LPAREN,
    STATE(870), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(1161), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(859), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [49365] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(561), 1,
      sym_identifier,
    ACTIONS(572), 1,
      anon_sym_func,
    ACTIONS(585), 1,
      anon_sym_map,
    ACTIONS(587), 1,
      anon_sym_chan,
    ACTIONS(589), 1,
      anon_sym_LT_DASH,
    ACTIONS(996), 1,
      anon_sym_LBRACK,
    ACTIONS(998), 1,
      anon_sym_STAR,
    ACTIONS(1078), 1,
      anon_sym_LPAREN,
    STATE(870), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(1335), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(859), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [49421] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(561), 1,
      sym_identifier,
    ACTIONS(572), 1,
      anon_sym_func,
    ACTIONS(585), 1,
      anon_sym_map,
    ACTIONS(587), 1,
      anon_sym_chan,
    ACTIONS(589), 1,
      anon_sym_LT_DASH,
    ACTIONS(996), 1,
      anon_sym_LBRACK,
    ACTIONS(998), 1,
      anon_sym_STAR,
    ACTIONS(1078), 1,
      anon_sym_LPAREN,
    STATE(870), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(1137), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(859), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [49477] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(561), 1,
      sym_identifier,
    ACTIONS(572), 1,
      anon_sym_func,
    ACTIONS(585), 1,
      anon_sym_map,
    ACTIONS(587), 1,
      anon_sym_chan,
    ACTIONS(589), 1,
      anon_sym_LT_DASH,
    ACTIONS(996), 1,
      anon_sym_LBRACK,
    ACTIONS(998), 1,
      anon_sym_STAR,
    ACTIONS(1078), 1,
      anon_sym_LPAREN,
    STATE(870), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(1371), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(859), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [49533] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(862), 1,
      sym_identifier,
    ACTIONS(874), 1,
      anon_sym_func,
    ACTIONS(880), 1,
      anon_sym_struct,
    ACTIONS(884), 1,
      anon_sym_interface,
    ACTIONS(886), 1,
      anon_sym_map,
    ACTIONS(888), 1,
      anon_sym_chan,
    ACTIONS(1211), 1,
      anon_sym_LPAREN,
    ACTIONS(1213), 1,
      anon_sym_LBRACK,
    ACTIONS(1215), 1,
      anon_sym_STAR,
    ACTIONS(1217), 1,
      anon_sym_TILDE,
    ACTIONS(1221), 1,
      anon_sym_LT_DASH,
    STATE(795), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(816), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(825), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [49589] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(561), 1,
      sym_identifier,
    ACTIONS(572), 1,
      anon_sym_func,
    ACTIONS(585), 1,
      anon_sym_map,
    ACTIONS(587), 1,
      anon_sym_chan,
    ACTIONS(589), 1,
      anon_sym_LT_DASH,
    ACTIONS(996), 1,
      anon_sym_LBRACK,
    ACTIONS(998), 1,
      anon_sym_STAR,
    ACTIONS(1078), 1,
      anon_sym_LPAREN,
    STATE(870), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(1149), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(859), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [49645] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1046), 1,
      sym_identifier,
    ACTIONS(1052), 1,
      anon_sym_func,
    ACTIONS(1058), 1,
      anon_sym_struct,
    ACTIONS(1064), 1,
      anon_sym_interface,
    ACTIONS(1066), 1,
      anon_sym_map,
    ACTIONS(1068), 1,
      anon_sym_chan,
    ACTIONS(1475), 1,
      anon_sym_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_TILDE,
    ACTIONS(1493), 1,
      anon_sym_LBRACK,
    ACTIONS(1495), 1,
      anon_sym_STAR,
    ACTIONS(1503), 1,
      anon_sym_LT_DASH,
    STATE(902), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(956), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(950), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [49701] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(561), 1,
      sym_identifier,
    ACTIONS(572), 1,
      anon_sym_func,
    ACTIONS(585), 1,
      anon_sym_map,
    ACTIONS(587), 1,
      anon_sym_chan,
    ACTIONS(589), 1,
      anon_sym_LT_DASH,
    ACTIONS(996), 1,
      anon_sym_LBRACK,
    ACTIONS(998), 1,
      anon_sym_STAR,
    ACTIONS(1078), 1,
      anon_sym_LPAREN,
    STATE(870), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(1350), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(859), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [49757] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(974), 1,
      sym_identifier,
    ACTIONS(978), 1,
      anon_sym_func,
    ACTIONS(980), 1,
      anon_sym_LBRACK,
    ACTIONS(982), 1,
      anon_sym_STAR,
    ACTIONS(984), 1,
      anon_sym_LT_DASH,
    ACTIONS(1078), 1,
      anon_sym_LPAREN,
    STATE(836), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(840), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(859), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [49813] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(862), 1,
      sym_identifier,
    ACTIONS(874), 1,
      anon_sym_func,
    ACTIONS(880), 1,
      anon_sym_struct,
    ACTIONS(884), 1,
      anon_sym_interface,
    ACTIONS(886), 1,
      anon_sym_map,
    ACTIONS(888), 1,
      anon_sym_chan,
    ACTIONS(1211), 1,
      anon_sym_LPAREN,
    ACTIONS(1213), 1,
      anon_sym_LBRACK,
    ACTIONS(1215), 1,
      anon_sym_STAR,
    ACTIONS(1217), 1,
      anon_sym_TILDE,
    ACTIONS(1221), 1,
      anon_sym_LT_DASH,
    STATE(795), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(1040), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(825), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [49869] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1058), 1,
      anon_sym_struct,
    ACTIONS(1064), 1,
      anon_sym_interface,
    ACTIONS(1113), 1,
      sym_identifier,
    ACTIONS(1115), 1,
      anon_sym_func,
    ACTIONS(1121), 1,
      anon_sym_map,
    ACTIONS(1475), 1,
      anon_sym_LPAREN,
    ACTIONS(1477), 1,
      anon_sym_LBRACK,
    ACTIONS(1479), 1,
      anon_sym_STAR,
    ACTIONS(1481), 1,
      anon_sym_TILDE,
    ACTIONS(1491), 1,
      anon_sym_LT_DASH,
    ACTIONS(1509), 1,
      anon_sym_chan,
    STATE(899), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(971), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(950), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [49925] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(561), 1,
      sym_identifier,
    ACTIONS(572), 1,
      anon_sym_func,
    ACTIONS(585), 1,
      anon_sym_map,
    ACTIONS(587), 1,
      anon_sym_chan,
    ACTIONS(589), 1,
      anon_sym_LT_DASH,
    ACTIONS(996), 1,
      anon_sym_LBRACK,
    ACTIONS(998), 1,
      anon_sym_STAR,
    ACTIONS(1078), 1,
      anon_sym_LPAREN,
    STATE(870), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(1364), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(859), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [49981] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(561), 1,
      sym_identifier,
    ACTIONS(572), 1,
      anon_sym_func,
    ACTIONS(585), 1,
      anon_sym_map,
    ACTIONS(587), 1,
      anon_sym_chan,
    ACTIONS(589), 1,
      anon_sym_LT_DASH,
    ACTIONS(996), 1,
      anon_sym_LBRACK,
    ACTIONS(998), 1,
      anon_sym_STAR,
    ACTIONS(1078), 1,
      anon_sym_LPAREN,
    STATE(870), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(1233), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(859), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [50037] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1046), 1,
      sym_identifier,
    ACTIONS(1052), 1,
      anon_sym_func,
    ACTIONS(1058), 1,
      anon_sym_struct,
    ACTIONS(1064), 1,
      anon_sym_interface,
    ACTIONS(1066), 1,
      anon_sym_map,
    ACTIONS(1068), 1,
      anon_sym_chan,
    ACTIONS(1475), 1,
      anon_sym_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_TILDE,
    ACTIONS(1493), 1,
      anon_sym_LBRACK,
    ACTIONS(1495), 1,
      anon_sym_STAR,
    ACTIONS(1499), 1,
      anon_sym_LT_DASH,
    STATE(902), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(966), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(950), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [50093] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(561), 1,
      sym_identifier,
    ACTIONS(572), 1,
      anon_sym_func,
    ACTIONS(585), 1,
      anon_sym_map,
    ACTIONS(587), 1,
      anon_sym_chan,
    ACTIONS(589), 1,
      anon_sym_LT_DASH,
    ACTIONS(996), 1,
      anon_sym_LBRACK,
    ACTIONS(998), 1,
      anon_sym_STAR,
    ACTIONS(1078), 1,
      anon_sym_LPAREN,
    STATE(870), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(1129), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(859), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [50149] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1046), 1,
      sym_identifier,
    ACTIONS(1052), 1,
      anon_sym_func,
    ACTIONS(1058), 1,
      anon_sym_struct,
    ACTIONS(1064), 1,
      anon_sym_interface,
    ACTIONS(1066), 1,
      anon_sym_map,
    ACTIONS(1068), 1,
      anon_sym_chan,
    ACTIONS(1475), 1,
      anon_sym_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_TILDE,
    ACTIONS(1493), 1,
      anon_sym_LBRACK,
    ACTIONS(1495), 1,
      anon_sym_STAR,
    ACTIONS(1499), 1,
      anon_sym_LT_DASH,
    STATE(902), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(986), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(950), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [50205] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(561), 1,
      sym_identifier,
    ACTIONS(572), 1,
      anon_sym_func,
    ACTIONS(585), 1,
      anon_sym_map,
    ACTIONS(587), 1,
      anon_sym_chan,
    ACTIONS(589), 1,
      anon_sym_LT_DASH,
    ACTIONS(996), 1,
      anon_sym_LBRACK,
    ACTIONS(998), 1,
      anon_sym_STAR,
    ACTIONS(1078), 1,
      anon_sym_LPAREN,
    STATE(870), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(1325), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(859), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [50261] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(880), 1,
      anon_sym_struct,
    ACTIONS(884), 1,
      anon_sym_interface,
    ACTIONS(896), 1,
      sym_identifier,
    ACTIONS(904), 1,
      anon_sym_func,
    ACTIONS(910), 1,
      anon_sym_map,
    ACTIONS(912), 1,
      anon_sym_chan,
    ACTIONS(1211), 1,
      anon_sym_LPAREN,
    ACTIONS(1217), 1,
      anon_sym_TILDE,
    ACTIONS(1469), 1,
      anon_sym_LBRACK,
    ACTIONS(1471), 1,
      anon_sym_STAR,
    ACTIONS(1473), 1,
      anon_sym_LT_DASH,
    STATE(796), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(813), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(825), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [50317] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(537), 1,
      anon_sym_chan,
    ACTIONS(974), 1,
      sym_identifier,
    ACTIONS(978), 1,
      anon_sym_func,
    ACTIONS(980), 1,
      anon_sym_LBRACK,
    ACTIONS(982), 1,
      anon_sym_STAR,
    ACTIONS(984), 1,
      anon_sym_LT_DASH,
    ACTIONS(1078), 1,
      anon_sym_LPAREN,
    STATE(836), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(857), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(859), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [50373] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(561), 1,
      sym_identifier,
    ACTIONS(572), 1,
      anon_sym_func,
    ACTIONS(585), 1,
      anon_sym_map,
    ACTIONS(587), 1,
      anon_sym_chan,
    ACTIONS(589), 1,
      anon_sym_LT_DASH,
    ACTIONS(996), 1,
      anon_sym_LBRACK,
    ACTIONS(998), 1,
      anon_sym_STAR,
    ACTIONS(1078), 1,
      anon_sym_LPAREN,
    STATE(870), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(1328), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(859), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [50429] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(561), 1,
      sym_identifier,
    ACTIONS(572), 1,
      anon_sym_func,
    ACTIONS(585), 1,
      anon_sym_map,
    ACTIONS(587), 1,
      anon_sym_chan,
    ACTIONS(589), 1,
      anon_sym_LT_DASH,
    ACTIONS(996), 1,
      anon_sym_LBRACK,
    ACTIONS(998), 1,
      anon_sym_STAR,
    ACTIONS(1078), 1,
      anon_sym_LPAREN,
    STATE(870), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(1324), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(859), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [50485] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(561), 1,
      sym_identifier,
    ACTIONS(572), 1,
      anon_sym_func,
    ACTIONS(585), 1,
      anon_sym_map,
    ACTIONS(587), 1,
      anon_sym_chan,
    ACTIONS(589), 1,
      anon_sym_LT_DASH,
    ACTIONS(996), 1,
      anon_sym_LBRACK,
    ACTIONS(998), 1,
      anon_sym_STAR,
    ACTIONS(1078), 1,
      anon_sym_LPAREN,
    STATE(870), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(1153), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(859), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [50541] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(880), 1,
      anon_sym_struct,
    ACTIONS(884), 1,
      anon_sym_interface,
    ACTIONS(896), 1,
      sym_identifier,
    ACTIONS(904), 1,
      anon_sym_func,
    ACTIONS(910), 1,
      anon_sym_map,
    ACTIONS(1211), 1,
      anon_sym_LPAREN,
    ACTIONS(1217), 1,
      anon_sym_TILDE,
    ACTIONS(1469), 1,
      anon_sym_LBRACK,
    ACTIONS(1471), 1,
      anon_sym_STAR,
    ACTIONS(1473), 1,
      anon_sym_LT_DASH,
    ACTIONS(1511), 1,
      anon_sym_chan,
    STATE(796), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(809), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(825), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [50597] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(561), 1,
      sym_identifier,
    ACTIONS(572), 1,
      anon_sym_func,
    ACTIONS(585), 1,
      anon_sym_map,
    ACTIONS(587), 1,
      anon_sym_chan,
    ACTIONS(589), 1,
      anon_sym_LT_DASH,
    ACTIONS(996), 1,
      anon_sym_LBRACK,
    ACTIONS(998), 1,
      anon_sym_STAR,
    ACTIONS(1078), 1,
      anon_sym_LPAREN,
    STATE(870), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(1156), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(859), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [50653] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(561), 1,
      sym_identifier,
    ACTIONS(572), 1,
      anon_sym_func,
    ACTIONS(585), 1,
      anon_sym_map,
    ACTIONS(587), 1,
      anon_sym_chan,
    ACTIONS(589), 1,
      anon_sym_LT_DASH,
    ACTIONS(996), 1,
      anon_sym_LBRACK,
    ACTIONS(998), 1,
      anon_sym_STAR,
    ACTIONS(1078), 1,
      anon_sym_LPAREN,
    STATE(849), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(870), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(859), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [50709] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(561), 1,
      sym_identifier,
    ACTIONS(572), 1,
      anon_sym_func,
    ACTIONS(585), 1,
      anon_sym_map,
    ACTIONS(587), 1,
      anon_sym_chan,
    ACTIONS(589), 1,
      anon_sym_LT_DASH,
    ACTIONS(996), 1,
      anon_sym_LBRACK,
    ACTIONS(998), 1,
      anon_sym_STAR,
    ACTIONS(1078), 1,
      anon_sym_LPAREN,
    STATE(870), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(1321), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(859), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [50765] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1046), 1,
      sym_identifier,
    ACTIONS(1052), 1,
      anon_sym_func,
    ACTIONS(1058), 1,
      anon_sym_struct,
    ACTIONS(1064), 1,
      anon_sym_interface,
    ACTIONS(1066), 1,
      anon_sym_map,
    ACTIONS(1068), 1,
      anon_sym_chan,
    ACTIONS(1475), 1,
      anon_sym_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_TILDE,
    ACTIONS(1493), 1,
      anon_sym_LBRACK,
    ACTIONS(1495), 1,
      anon_sym_STAR,
    ACTIONS(1499), 1,
      anon_sym_LT_DASH,
    STATE(902), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(968), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(950), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [50821] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(561), 1,
      sym_identifier,
    ACTIONS(572), 1,
      anon_sym_func,
    ACTIONS(585), 1,
      anon_sym_map,
    ACTIONS(587), 1,
      anon_sym_chan,
    ACTIONS(589), 1,
      anon_sym_LT_DASH,
    ACTIONS(996), 1,
      anon_sym_LBRACK,
    ACTIONS(998), 1,
      anon_sym_STAR,
    ACTIONS(1078), 1,
      anon_sym_LPAREN,
    STATE(870), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(1352), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(859), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [50877] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(561), 1,
      sym_identifier,
    ACTIONS(572), 1,
      anon_sym_func,
    ACTIONS(585), 1,
      anon_sym_map,
    ACTIONS(587), 1,
      anon_sym_chan,
    ACTIONS(589), 1,
      anon_sym_LT_DASH,
    ACTIONS(996), 1,
      anon_sym_LBRACK,
    ACTIONS(998), 1,
      anon_sym_STAR,
    ACTIONS(1078), 1,
      anon_sym_LPAREN,
    STATE(863), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(870), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(859), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [50933] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(561), 1,
      sym_identifier,
    ACTIONS(572), 1,
      anon_sym_func,
    ACTIONS(585), 1,
      anon_sym_map,
    ACTIONS(587), 1,
      anon_sym_chan,
    ACTIONS(589), 1,
      anon_sym_LT_DASH,
    ACTIONS(996), 1,
      anon_sym_LBRACK,
    ACTIONS(998), 1,
      anon_sym_STAR,
    ACTIONS(1078), 1,
      anon_sym_LPAREN,
    STATE(870), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(1183), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(859), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [50989] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(880), 1,
      anon_sym_struct,
    ACTIONS(884), 1,
      anon_sym_interface,
    ACTIONS(896), 1,
      sym_identifier,
    ACTIONS(904), 1,
      anon_sym_func,
    ACTIONS(910), 1,
      anon_sym_map,
    ACTIONS(912), 1,
      anon_sym_chan,
    ACTIONS(1211), 1,
      anon_sym_LPAREN,
    ACTIONS(1217), 1,
      anon_sym_TILDE,
    ACTIONS(1469), 1,
      anon_sym_LBRACK,
    ACTIONS(1471), 1,
      anon_sym_STAR,
    ACTIONS(1487), 1,
      anon_sym_LT_DASH,
    STATE(796), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(810), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(825), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [51045] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(561), 1,
      sym_identifier,
    ACTIONS(572), 1,
      anon_sym_func,
    ACTIONS(585), 1,
      anon_sym_map,
    ACTIONS(587), 1,
      anon_sym_chan,
    ACTIONS(589), 1,
      anon_sym_LT_DASH,
    ACTIONS(996), 1,
      anon_sym_LBRACK,
    ACTIONS(998), 1,
      anon_sym_STAR,
    ACTIONS(1078), 1,
      anon_sym_LPAREN,
    STATE(870), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(1390), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(859), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [51101] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(561), 1,
      sym_identifier,
    ACTIONS(572), 1,
      anon_sym_func,
    ACTIONS(585), 1,
      anon_sym_map,
    ACTIONS(587), 1,
      anon_sym_chan,
    ACTIONS(589), 1,
      anon_sym_LT_DASH,
    ACTIONS(996), 1,
      anon_sym_LBRACK,
    ACTIONS(998), 1,
      anon_sym_STAR,
    ACTIONS(1078), 1,
      anon_sym_LPAREN,
    STATE(868), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(870), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(859), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [51157] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(862), 1,
      sym_identifier,
    ACTIONS(874), 1,
      anon_sym_func,
    ACTIONS(880), 1,
      anon_sym_struct,
    ACTIONS(884), 1,
      anon_sym_interface,
    ACTIONS(886), 1,
      anon_sym_map,
    ACTIONS(888), 1,
      anon_sym_chan,
    ACTIONS(1211), 1,
      anon_sym_LPAREN,
    ACTIONS(1213), 1,
      anon_sym_LBRACK,
    ACTIONS(1215), 1,
      anon_sym_STAR,
    ACTIONS(1217), 1,
      anon_sym_TILDE,
    ACTIONS(1221), 1,
      anon_sym_LT_DASH,
    STATE(795), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(798), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(825), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [51213] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(1515), 1,
      anon_sym_LF,
    ACTIONS(1513), 21,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_LPAREN,
      anon_sym_EQ,
      anon_sym_func,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_struct,
      anon_sym_TILDE,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_interface,
      anon_sym_PIPE,
      anon_sym_map,
      anon_sym_chan,
      anon_sym_LT_DASH,
      anon_sym_case,
      anon_sym_default,
      sym_identifier,
      sym_raw_string_literal,
      anon_sym_DQUOTE,
  [51243] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(1519), 1,
      anon_sym_LF,
    ACTIONS(1517), 21,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_LPAREN,
      anon_sym_EQ,
      anon_sym_func,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_struct,
      anon_sym_TILDE,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_interface,
      anon_sym_PIPE,
      anon_sym_map,
      anon_sym_chan,
      anon_sym_LT_DASH,
      anon_sym_case,
      anon_sym_default,
      sym_identifier,
      sym_raw_string_literal,
      anon_sym_DQUOTE,
  [51273] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(1523), 1,
      anon_sym_LF,
    ACTIONS(1521), 21,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_LPAREN,
      anon_sym_EQ,
      anon_sym_func,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_struct,
      anon_sym_TILDE,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_interface,
      anon_sym_PIPE,
      anon_sym_map,
      anon_sym_chan,
      anon_sym_LT_DASH,
      anon_sym_case,
      anon_sym_default,
      sym_identifier,
      sym_raw_string_literal,
      anon_sym_DQUOTE,
  [51303] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(1527), 1,
      anon_sym_LF,
    ACTIONS(1525), 21,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_LPAREN,
      anon_sym_EQ,
      anon_sym_func,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_struct,
      anon_sym_TILDE,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_interface,
      anon_sym_PIPE,
      anon_sym_map,
      anon_sym_chan,
      anon_sym_LT_DASH,
      anon_sym_case,
      anon_sym_default,
      sym_identifier,
      sym_raw_string_literal,
      anon_sym_DQUOTE,
  [51333] = 5,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(1531), 1,
      anon_sym_LF,
    ACTIONS(1533), 1,
      anon_sym_COMMA,
    STATE(773), 1,
      aux_sym_const_spec_repeat1,
    ACTIONS(1529), 17,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_LPAREN,
      anon_sym_EQ,
      anon_sym_func,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_struct,
      anon_sym_TILDE,
      anon_sym_RBRACE,
      anon_sym_interface,
      anon_sym_map,
      anon_sym_chan,
      anon_sym_LT_DASH,
      anon_sym_case,
      anon_sym_default,
      sym_identifier,
  [51365] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(1531), 1,
      anon_sym_LF,
    ACTIONS(1529), 18,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_func,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_struct,
      anon_sym_TILDE,
      anon_sym_RBRACE,
      anon_sym_interface,
      anon_sym_map,
      anon_sym_chan,
      anon_sym_LT_DASH,
      anon_sym_case,
      anon_sym_default,
      sym_identifier,
  [51392] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1517), 6,
      anon_sym_func,
      anon_sym_struct,
      anon_sym_interface,
      anon_sym_map,
      anon_sym_chan,
      sym_identifier,
    ACTIONS(1519), 12,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_STAR,
      anon_sym_TILDE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_LT_DASH,
      anon_sym_COLON,
  [51418] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1513), 6,
      anon_sym_func,
      anon_sym_struct,
      anon_sym_interface,
      anon_sym_map,
      anon_sym_chan,
      sym_identifier,
    ACTIONS(1515), 12,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_STAR,
      anon_sym_TILDE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_LT_DASH,
      anon_sym_COLON,
  [51444] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1525), 6,
      anon_sym_func,
      anon_sym_struct,
      anon_sym_interface,
      anon_sym_map,
      anon_sym_chan,
      sym_identifier,
    ACTIONS(1527), 12,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_STAR,
      anon_sym_TILDE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_LT_DASH,
      anon_sym_COLON,
  [51470] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1521), 6,
      anon_sym_func,
      anon_sym_struct,
      anon_sym_interface,
      anon_sym_map,
      anon_sym_chan,
      sym_identifier,
    ACTIONS(1523), 12,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_STAR,
      anon_sym_TILDE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_LT_DASH,
      anon_sym_COLON,
  [51496] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(1527), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1525), 14,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_LPAREN,
      anon_sym_func,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_struct,
      anon_sym_TILDE,
      anon_sym_LBRACE,
      anon_sym_interface,
      anon_sym_map,
      anon_sym_chan,
      anon_sym_LT_DASH,
      sym_identifier,
  [51520] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(1519), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1517), 14,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_LPAREN,
      anon_sym_func,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_struct,
      anon_sym_TILDE,
      anon_sym_LBRACE,
      anon_sym_interface,
      anon_sym_map,
      anon_sym_chan,
      anon_sym_LT_DASH,
      sym_identifier,
  [51544] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(1515), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1513), 14,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_LPAREN,
      anon_sym_func,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_struct,
      anon_sym_TILDE,
      anon_sym_LBRACE,
      anon_sym_interface,
      anon_sym_map,
      anon_sym_chan,
      anon_sym_LT_DASH,
      sym_identifier,
  [51568] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(1523), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1521), 14,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_LPAREN,
      anon_sym_func,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_struct,
      anon_sym_TILDE,
      anon_sym_LBRACE,
      anon_sym_interface,
      anon_sym_map,
      anon_sym_chan,
      anon_sym_LT_DASH,
      sym_identifier,
  [51592] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(697), 1,
      anon_sym_COMMA,
    STATE(784), 1,
      aux_sym_expression_list_repeat1,
    ACTIONS(1536), 13,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
  [51617] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1538), 1,
      anon_sym_COMMA,
    STATE(784), 1,
      aux_sym_expression_list_repeat1,
    ACTIONS(842), 13,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
  [51642] = 6,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(868), 1,
      anon_sym_DOT,
    ACTIONS(1080), 1,
      anon_sym_LF,
    ACTIONS(1543), 1,
      anon_sym_LBRACK,
    STATE(802), 1,
      sym_type_arguments,
    ACTIONS(1541), 10,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PIPE,
      anon_sym_case,
      anon_sym_default,
      sym_raw_string_literal,
      anon_sym_DQUOTE,
  [51670] = 6,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(868), 1,
      anon_sym_DOT,
    ACTIONS(1080), 1,
      anon_sym_LF,
    ACTIONS(1545), 1,
      anon_sym_LBRACK,
    STATE(802), 1,
      sym_type_arguments,
    ACTIONS(1541), 10,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PIPE,
      anon_sym_case,
      anon_sym_default,
      sym_raw_string_literal,
      anon_sym_DQUOTE,
  [51698] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1548), 1,
      anon_sym_COMMA,
    STATE(787), 1,
      aux_sym_const_spec_repeat1,
    ACTIONS(1529), 6,
      anon_sym_func,
      anon_sym_struct,
      anon_sym_interface,
      anon_sym_map,
      anon_sym_chan,
      sym_identifier,
    ACTIONS(1531), 6,
      anon_sym_LPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_TILDE,
      anon_sym_LT_DASH,
  [51724] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1553), 1,
      anon_sym_COLON_EQ,
    ACTIONS(1551), 12,
      anon_sym_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
  [51745] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1555), 1,
      anon_sym_EQ,
    ACTIONS(1557), 1,
      anon_sym_COLON_EQ,
    ACTIONS(1551), 11,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
  [51768] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1561), 1,
      anon_sym_COLON_EQ,
    ACTIONS(1559), 12,
      anon_sym_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
  [51789] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1529), 6,
      anon_sym_func,
      anon_sym_struct,
      anon_sym_interface,
      anon_sym_map,
      anon_sym_chan,
      sym_identifier,
    ACTIONS(1531), 7,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_TILDE,
      anon_sym_LT_DASH,
  [51810] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1563), 1,
      anon_sym_COLON_EQ,
    ACTIONS(1551), 12,
      anon_sym_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
  [51831] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1569), 1,
      anon_sym_COMMA,
    STATE(793), 1,
      aux_sym_field_declaration_repeat1,
    ACTIONS(1567), 5,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_TILDE,
      anon_sym_LT_DASH,
    ACTIONS(1565), 6,
      anon_sym_func,
      anon_sym_struct,
      anon_sym_interface,
      anon_sym_map,
      anon_sym_chan,
      sym_identifier,
  [51856] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1576), 1,
      anon_sym_COMMA,
    STATE(794), 1,
      aux_sym_type_parameter_declaration_repeat1,
    ACTIONS(1574), 5,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_TILDE,
      anon_sym_LT_DASH,
    ACTIONS(1572), 6,
      anon_sym_func,
      anon_sym_struct,
      anon_sym_interface,
      anon_sym_map,
      anon_sym_chan,
      sym_identifier,
  [51881] = 5,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(1543), 1,
      anon_sym_LBRACK,
    ACTIONS(1579), 1,
      anon_sym_LF,
    STATE(803), 1,
      sym_type_arguments,
    ACTIONS(1581), 10,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PIPE,
      anon_sym_case,
      anon_sym_default,
      sym_raw_string_literal,
      anon_sym_DQUOTE,
  [51906] = 5,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(1579), 1,
      anon_sym_LF,
    ACTIONS(1583), 1,
      anon_sym_LBRACK,
    STATE(803), 1,
      sym_type_arguments,
    ACTIONS(1581), 10,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PIPE,
      anon_sym_case,
      anon_sym_default,
      sym_raw_string_literal,
      anon_sym_DQUOTE,
  [51931] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1588), 1,
      anon_sym_COLON_EQ,
    ACTIONS(1586), 12,
      anon_sym_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
  [51952] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(1590), 1,
      anon_sym_LF,
    ACTIONS(1592), 11,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PIPE,
      anon_sym_case,
      anon_sym_default,
      sym_raw_string_literal,
      anon_sym_DQUOTE,
  [51972] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(1594), 1,
      anon_sym_LF,
    ACTIONS(1596), 11,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PIPE,
      anon_sym_case,
      anon_sym_default,
      sym_raw_string_literal,
      anon_sym_DQUOTE,
  [51992] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(1598), 1,
      anon_sym_LF,
    ACTIONS(1600), 11,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PIPE,
      anon_sym_case,
      anon_sym_default,
      sym_raw_string_literal,
      anon_sym_DQUOTE,
  [52012] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(1602), 1,
      anon_sym_LF,
    ACTIONS(1604), 11,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PIPE,
      anon_sym_case,
      anon_sym_default,
      sym_raw_string_literal,
      anon_sym_DQUOTE,
  [52032] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(1606), 1,
      anon_sym_LF,
    ACTIONS(1608), 11,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PIPE,
      anon_sym_case,
      anon_sym_default,
      sym_raw_string_literal,
      anon_sym_DQUOTE,
  [52052] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(1610), 1,
      anon_sym_LF,
    ACTIONS(1612), 11,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PIPE,
      anon_sym_case,
      anon_sym_default,
      sym_raw_string_literal,
      anon_sym_DQUOTE,
  [52072] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(1614), 1,
      anon_sym_LF,
    ACTIONS(1616), 11,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PIPE,
      anon_sym_case,
      anon_sym_default,
      sym_raw_string_literal,
      anon_sym_DQUOTE,
  [52092] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(1618), 1,
      anon_sym_LF,
    ACTIONS(1620), 11,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PIPE,
      anon_sym_case,
      anon_sym_default,
      sym_raw_string_literal,
      anon_sym_DQUOTE,
  [52112] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(1622), 1,
      anon_sym_LF,
    ACTIONS(1624), 11,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PIPE,
      anon_sym_case,
      anon_sym_default,
      sym_raw_string_literal,
      anon_sym_DQUOTE,
  [52132] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(1626), 1,
      anon_sym_LF,
    ACTIONS(1628), 11,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PIPE,
      anon_sym_case,
      anon_sym_default,
      sym_raw_string_literal,
      anon_sym_DQUOTE,
  [52152] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(1630), 1,
      anon_sym_LF,
    ACTIONS(1632), 11,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PIPE,
      anon_sym_case,
      anon_sym_default,
      sym_raw_string_literal,
      anon_sym_DQUOTE,
  [52172] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(1634), 1,
      anon_sym_LF,
    ACTIONS(1636), 11,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PIPE,
      anon_sym_case,
      anon_sym_default,
      sym_raw_string_literal,
      anon_sym_DQUOTE,
  [52192] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(1634), 1,
      anon_sym_LF,
    ACTIONS(1636), 11,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PIPE,
      anon_sym_case,
      anon_sym_default,
      sym_raw_string_literal,
      anon_sym_DQUOTE,
  [52212] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(1638), 1,
      anon_sym_LF,
    ACTIONS(1640), 11,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PIPE,
      anon_sym_case,
      anon_sym_default,
      sym_raw_string_literal,
      anon_sym_DQUOTE,
  [52232] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1642), 6,
      anon_sym_func,
      anon_sym_struct,
      anon_sym_interface,
      anon_sym_map,
      anon_sym_chan,
      sym_identifier,
    ACTIONS(1644), 6,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_TILDE,
      anon_sym_LT_DASH,
  [52252] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(1646), 1,
      anon_sym_LF,
    ACTIONS(1648), 11,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PIPE,
      anon_sym_case,
      anon_sym_default,
      sym_raw_string_literal,
      anon_sym_DQUOTE,
  [52272] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(1650), 1,
      anon_sym_LF,
    ACTIONS(1652), 11,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PIPE,
      anon_sym_case,
      anon_sym_default,
      sym_raw_string_literal,
      anon_sym_DQUOTE,
  [52292] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(1654), 1,
      anon_sym_LF,
    ACTIONS(1656), 11,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PIPE,
      anon_sym_case,
      anon_sym_default,
      sym_raw_string_literal,
      anon_sym_DQUOTE,
  [52312] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(1634), 1,
      anon_sym_LF,
    ACTIONS(1636), 11,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PIPE,
      anon_sym_case,
      anon_sym_default,
      sym_raw_string_literal,
      anon_sym_DQUOTE,
  [52332] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(1658), 1,
      anon_sym_LF,
    ACTIONS(1660), 11,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PIPE,
      anon_sym_case,
      anon_sym_default,
      sym_raw_string_literal,
      anon_sym_DQUOTE,
  [52352] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(1662), 1,
      anon_sym_LF,
    ACTIONS(1664), 11,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PIPE,
      anon_sym_case,
      anon_sym_default,
      sym_raw_string_literal,
      anon_sym_DQUOTE,
  [52372] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(1666), 1,
      anon_sym_LF,
    ACTIONS(1668), 11,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PIPE,
      anon_sym_case,
      anon_sym_default,
      sym_raw_string_literal,
      anon_sym_DQUOTE,
  [52392] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(1670), 1,
      anon_sym_LF,
    ACTIONS(1672), 11,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PIPE,
      anon_sym_case,
      anon_sym_default,
      sym_raw_string_literal,
      anon_sym_DQUOTE,
  [52412] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(1674), 1,
      anon_sym_LF,
    ACTIONS(1676), 11,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PIPE,
      anon_sym_case,
      anon_sym_default,
      sym_raw_string_literal,
      anon_sym_DQUOTE,
  [52432] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(1678), 1,
      anon_sym_LF,
    ACTIONS(1680), 11,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PIPE,
      anon_sym_case,
      anon_sym_default,
      sym_raw_string_literal,
      anon_sym_DQUOTE,
  [52452] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(1682), 1,
      anon_sym_LF,
    ACTIONS(1684), 11,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PIPE,
      anon_sym_case,
      anon_sym_default,
      sym_raw_string_literal,
      anon_sym_DQUOTE,
  [52472] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(1686), 1,
      anon_sym_LF,
    ACTIONS(1688), 11,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PIPE,
      anon_sym_case,
      anon_sym_default,
      sym_raw_string_literal,
      anon_sym_DQUOTE,
  [52492] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(1579), 1,
      anon_sym_LF,
    ACTIONS(1581), 11,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PIPE,
      anon_sym_case,
      anon_sym_default,
      sym_raw_string_literal,
      anon_sym_DQUOTE,
  [52512] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1690), 6,
      anon_sym_func,
      anon_sym_struct,
      anon_sym_interface,
      anon_sym_map,
      anon_sym_chan,
      sym_identifier,
    ACTIONS(1692), 6,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_TILDE,
      anon_sym_LT_DASH,
  [52532] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1696), 5,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_TILDE,
      anon_sym_LT_DASH,
    ACTIONS(1694), 6,
      anon_sym_func,
      anon_sym_struct,
      anon_sym_interface,
      anon_sym_map,
      anon_sym_chan,
      sym_identifier,
  [52551] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1698), 1,
      anon_sym_DOT,
    ACTIONS(1700), 1,
      anon_sym_LBRACK,
    STATE(856), 1,
      sym_type_arguments,
    ACTIONS(1080), 8,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_COLON,
  [52574] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1705), 5,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_TILDE,
      anon_sym_LT_DASH,
    ACTIONS(1703), 6,
      anon_sym_func,
      anon_sym_struct,
      anon_sym_interface,
      anon_sym_map,
      anon_sym_chan,
      sym_identifier,
  [52593] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1709), 5,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_TILDE,
      anon_sym_LT_DASH,
    ACTIONS(1707), 6,
      anon_sym_func,
      anon_sym_struct,
      anon_sym_interface,
      anon_sym_map,
      anon_sym_chan,
      sym_identifier,
  [52612] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1698), 1,
      anon_sym_DOT,
    ACTIONS(1711), 1,
      anon_sym_LBRACK,
    STATE(856), 1,
      sym_type_arguments,
    ACTIONS(1080), 7,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_COLON,
  [52634] = 8,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(868), 1,
      anon_sym_DOT,
    ACTIONS(902), 1,
      anon_sym_LPAREN,
    ACTIONS(1080), 1,
      anon_sym_LF,
    ACTIONS(1543), 1,
      anon_sym_LBRACK,
    STATE(519), 1,
      sym_parameter_list,
    STATE(802), 1,
      sym_type_arguments,
    ACTIONS(1541), 4,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_RBRACE,
      anon_sym_PIPE,
  [52662] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(71), 1,
      anon_sym_DQUOTE,
    ACTIONS(1713), 1,
      sym_identifier,
    ACTIONS(1715), 1,
      anon_sym_DOT,
    ACTIONS(1717), 1,
      sym_blank_identifier,
    ACTIONS(1719), 1,
      anon_sym_LPAREN,
    ACTIONS(1721), 1,
      sym_raw_string_literal,
    STATE(1107), 1,
      sym_interpreted_string_literal,
    STATE(1173), 1,
      sym_dot,
    STATE(1194), 2,
      sym_import_spec,
      sym_import_spec_list,
  [52694] = 9,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(868), 1,
      anon_sym_DOT,
    ACTIONS(894), 1,
      anon_sym_DQUOTE,
    ACTIONS(1543), 1,
      anon_sym_LBRACK,
    ACTIONS(1723), 1,
      anon_sym_LF,
    ACTIONS(1727), 1,
      sym_raw_string_literal,
    STATE(802), 1,
      sym_type_arguments,
    STATE(1123), 1,
      sym_interpreted_string_literal,
    ACTIONS(1725), 3,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_RBRACE,
  [52724] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1715), 1,
      anon_sym_DOT,
    ACTIONS(1729), 1,
      sym_identifier,
    ACTIONS(1731), 1,
      sym_blank_identifier,
    ACTIONS(1733), 1,
      anon_sym_LPAREN,
    ACTIONS(1735), 1,
      sym_raw_string_literal,
    ACTIONS(1737), 1,
      anon_sym_DQUOTE,
    STATE(1078), 1,
      sym_interpreted_string_literal,
    STATE(1171), 1,
      sym_dot,
    STATE(1085), 2,
      sym_import_spec,
      sym_import_spec_list,
  [52756] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1739), 1,
      anon_sym_LBRACK,
    STATE(861), 1,
      sym_type_arguments,
    ACTIONS(1579), 8,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_COLON,
  [52776] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(71), 1,
      anon_sym_DQUOTE,
    ACTIONS(1713), 1,
      sym_identifier,
    ACTIONS(1715), 1,
      anon_sym_DOT,
    ACTIONS(1717), 1,
      sym_blank_identifier,
    ACTIONS(1721), 1,
      sym_raw_string_literal,
    ACTIONS(1742), 1,
      anon_sym_RPAREN,
    STATE(1052), 1,
      sym_import_spec,
    STATE(1107), 1,
      sym_interpreted_string_literal,
    STATE(1173), 1,
      sym_dot,
  [52807] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1670), 9,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_COLON,
  [52822] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1590), 9,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_COLON,
  [52837] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1618), 9,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_COLON,
  [52852] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(71), 1,
      anon_sym_DQUOTE,
    ACTIONS(1713), 1,
      sym_identifier,
    ACTIONS(1715), 1,
      anon_sym_DOT,
    ACTIONS(1717), 1,
      sym_blank_identifier,
    ACTIONS(1721), 1,
      sym_raw_string_literal,
    ACTIONS(1744), 1,
      anon_sym_RPAREN,
    STATE(1052), 1,
      sym_import_spec,
    STATE(1107), 1,
      sym_interpreted_string_literal,
    STATE(1173), 1,
      sym_dot,
  [52883] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1662), 9,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_COLON,
  [52898] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1638), 9,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_COLON,
  [52913] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1674), 9,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_COLON,
  [52928] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1598), 9,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_COLON,
  [52943] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(71), 1,
      anon_sym_DQUOTE,
    ACTIONS(1713), 1,
      sym_identifier,
    ACTIONS(1715), 1,
      anon_sym_DOT,
    ACTIONS(1717), 1,
      sym_blank_identifier,
    ACTIONS(1721), 1,
      sym_raw_string_literal,
    ACTIONS(1746), 1,
      anon_sym_RPAREN,
    STATE(1052), 1,
      sym_import_spec,
    STATE(1107), 1,
      sym_interpreted_string_literal,
    STATE(1173), 1,
      sym_dot,
  [52974] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1622), 9,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_COLON,
  [52989] = 8,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(894), 1,
      anon_sym_DQUOTE,
    ACTIONS(1543), 1,
      anon_sym_LBRACK,
    ACTIONS(1748), 1,
      anon_sym_LF,
    ACTIONS(1752), 1,
      sym_raw_string_literal,
    STATE(803), 1,
      sym_type_arguments,
    STATE(1108), 1,
      sym_interpreted_string_literal,
    ACTIONS(1750), 3,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_RBRACE,
  [53016] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1626), 9,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_COLON,
  [53031] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1678), 9,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_COLON,
  [53046] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(71), 1,
      anon_sym_DQUOTE,
    ACTIONS(1713), 1,
      sym_identifier,
    ACTIONS(1715), 1,
      anon_sym_DOT,
    ACTIONS(1717), 1,
      sym_blank_identifier,
    ACTIONS(1721), 1,
      sym_raw_string_literal,
    ACTIONS(1754), 1,
      anon_sym_RPAREN,
    STATE(1031), 1,
      sym_import_spec,
    STATE(1107), 1,
      sym_interpreted_string_literal,
    STATE(1173), 1,
      sym_dot,
  [53077] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1682), 9,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_COLON,
  [53092] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1602), 9,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_COLON,
  [53107] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1630), 9,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_COLON,
  [53122] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1686), 9,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_COLON,
  [53137] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1606), 9,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_COLON,
  [53152] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1634), 9,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_COLON,
  [53167] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1634), 9,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_COLON,
  [53182] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1579), 9,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_COLON,
  [53197] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1594), 9,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_COLON,
  [53212] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1610), 9,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_COLON,
  [53227] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(303), 1,
      anon_sym_LBRACE,
    ACTIONS(1739), 1,
      anon_sym_LBRACK,
    STATE(423), 1,
      sym_literal_value,
    STATE(861), 1,
      sym_type_arguments,
    ACTIONS(1579), 5,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_PIPE,
  [53250] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1646), 9,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_COLON,
  [53265] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(71), 1,
      anon_sym_DQUOTE,
    ACTIONS(1713), 1,
      sym_identifier,
    ACTIONS(1715), 1,
      anon_sym_DOT,
    ACTIONS(1717), 1,
      sym_blank_identifier,
    ACTIONS(1721), 1,
      sym_raw_string_literal,
    ACTIONS(1756), 1,
      anon_sym_RPAREN,
    STATE(1021), 1,
      sym_import_spec,
    STATE(1107), 1,
      sym_interpreted_string_literal,
    STATE(1173), 1,
      sym_dot,
  [53296] = 8,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(894), 1,
      anon_sym_DQUOTE,
    ACTIONS(1543), 1,
      anon_sym_LBRACK,
    ACTIONS(1758), 1,
      anon_sym_LF,
    ACTIONS(1762), 1,
      sym_raw_string_literal,
    STATE(803), 1,
      sym_type_arguments,
    STATE(1087), 1,
      sym_interpreted_string_literal,
    ACTIONS(1760), 3,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_RBRACE,
  [53323] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1650), 9,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_COLON,
  [53338] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1654), 9,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_COLON,
  [53353] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1634), 9,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_COLON,
  [53368] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1666), 9,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_COLON,
  [53383] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1711), 1,
      anon_sym_LBRACK,
    STATE(861), 1,
      sym_type_arguments,
    ACTIONS(1579), 7,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_COLON,
  [53402] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1658), 9,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_COLON,
  [53417] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1614), 9,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_COLON,
  [53432] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(71), 1,
      anon_sym_DQUOTE,
    ACTIONS(1713), 1,
      sym_identifier,
    ACTIONS(1715), 1,
      anon_sym_DOT,
    ACTIONS(1717), 1,
      sym_blank_identifier,
    ACTIONS(1721), 1,
      sym_raw_string_literal,
    ACTIONS(1764), 1,
      anon_sym_RPAREN,
    STATE(1052), 1,
      sym_import_spec,
    STATE(1107), 1,
      sym_interpreted_string_literal,
    STATE(1173), 1,
      sym_dot,
  [53463] = 6,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(1766), 1,
      anon_sym_DOT,
    ACTIONS(1768), 1,
      anon_sym_LBRACK,
    STATE(958), 1,
      sym_type_arguments,
    ACTIONS(1080), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1541), 3,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_LBRACE,
  [53485] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(1771), 1,
      sym_identifier,
    ACTIONS(1773), 1,
      anon_sym_STAR,
    ACTIONS(1775), 1,
      anon_sym_RBRACE,
    STATE(848), 1,
      sym_qualified_type,
    STATE(892), 1,
      sym_generic_type,
    STATE(1063), 1,
      sym_field_declaration,
    STATE(1255), 1,
      sym_negated_type,
  [53513] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(71), 1,
      anon_sym_DQUOTE,
    ACTIONS(1713), 1,
      sym_identifier,
    ACTIONS(1715), 1,
      anon_sym_DOT,
    ACTIONS(1717), 1,
      sym_blank_identifier,
    ACTIONS(1721), 1,
      sym_raw_string_literal,
    STATE(1052), 1,
      sym_import_spec,
    STATE(1107), 1,
      sym_interpreted_string_literal,
    STATE(1173), 1,
      sym_dot,
  [53541] = 6,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(1766), 1,
      anon_sym_DOT,
    ACTIONS(1777), 1,
      anon_sym_LBRACK,
    STATE(958), 1,
      sym_type_arguments,
    ACTIONS(1080), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1541), 3,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_LBRACE,
  [53563] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1006), 1,
      anon_sym_LBRACE,
    STATE(391), 1,
      sym_block,
    ACTIONS(1654), 6,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_PIPE,
  [53581] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(1771), 1,
      sym_identifier,
    ACTIONS(1773), 1,
      anon_sym_STAR,
    ACTIONS(1779), 1,
      anon_sym_RBRACE,
    STATE(848), 1,
      sym_qualified_type,
    STATE(892), 1,
      sym_generic_type,
    STATE(1037), 1,
      sym_field_declaration,
    STATE(1255), 1,
      sym_negated_type,
  [53609] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(1771), 1,
      sym_identifier,
    ACTIONS(1773), 1,
      anon_sym_STAR,
    ACTIONS(1781), 1,
      anon_sym_RBRACE,
    STATE(848), 1,
      sym_qualified_type,
    STATE(892), 1,
      sym_generic_type,
    STATE(1016), 1,
      sym_field_declaration,
    STATE(1255), 1,
      sym_negated_type,
  [53637] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(303), 1,
      anon_sym_LBRACE,
    STATE(423), 1,
      sym_literal_value,
    ACTIONS(1579), 6,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_PIPE,
  [53655] = 5,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(842), 1,
      anon_sym_LF,
    ACTIONS(1783), 1,
      anon_sym_COMMA,
    STATE(882), 1,
      aux_sym_expression_list_repeat1,
    ACTIONS(844), 5,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
  [53675] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(1771), 1,
      sym_identifier,
    ACTIONS(1773), 1,
      anon_sym_STAR,
    ACTIONS(1786), 1,
      anon_sym_RBRACE,
    STATE(848), 1,
      sym_qualified_type,
    STATE(892), 1,
      sym_generic_type,
    STATE(1063), 1,
      sym_field_declaration,
    STATE(1255), 1,
      sym_negated_type,
  [53703] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(1771), 1,
      sym_identifier,
    ACTIONS(1773), 1,
      anon_sym_STAR,
    ACTIONS(1788), 1,
      anon_sym_RBRACE,
    STATE(848), 1,
      sym_qualified_type,
    STATE(892), 1,
      sym_generic_type,
    STATE(1063), 1,
      sym_field_declaration,
    STATE(1255), 1,
      sym_negated_type,
  [53731] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(1771), 1,
      sym_identifier,
    ACTIONS(1773), 1,
      anon_sym_STAR,
    ACTIONS(1790), 1,
      anon_sym_RBRACE,
    STATE(848), 1,
      sym_qualified_type,
    STATE(892), 1,
      sym_generic_type,
    STATE(1063), 1,
      sym_field_declaration,
    STATE(1255), 1,
      sym_negated_type,
  [53759] = 5,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(952), 1,
      anon_sym_COMMA,
    ACTIONS(1536), 1,
      anon_sym_LF,
    STATE(882), 1,
      aux_sym_expression_list_repeat1,
    ACTIONS(1792), 5,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
  [53779] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(1771), 1,
      sym_identifier,
    ACTIONS(1773), 1,
      anon_sym_STAR,
    ACTIONS(1794), 1,
      anon_sym_RBRACE,
    STATE(848), 1,
      sym_qualified_type,
    STATE(892), 1,
      sym_generic_type,
    STATE(1063), 1,
      sym_field_declaration,
    STATE(1255), 1,
      sym_negated_type,
  [53807] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(1771), 1,
      sym_identifier,
    ACTIONS(1773), 1,
      anon_sym_STAR,
    ACTIONS(1796), 1,
      anon_sym_RBRACE,
    STATE(848), 1,
      sym_qualified_type,
    STATE(892), 1,
      sym_generic_type,
    STATE(1039), 1,
      sym_field_declaration,
    STATE(1255), 1,
      sym_negated_type,
  [53835] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(1771), 1,
      sym_identifier,
    ACTIONS(1773), 1,
      anon_sym_STAR,
    ACTIONS(1798), 1,
      anon_sym_RBRACE,
    STATE(848), 1,
      sym_qualified_type,
    STATE(892), 1,
      sym_generic_type,
    STATE(1063), 1,
      sym_field_declaration,
    STATE(1255), 1,
      sym_negated_type,
  [53863] = 4,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(1800), 1,
      sym_identifier,
    ACTIONS(1802), 1,
      anon_sym_LF,
    ACTIONS(1804), 5,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
  [53880] = 4,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(1806), 1,
      anon_sym_LF,
    ACTIONS(1810), 1,
      anon_sym_EQ,
    ACTIONS(1808), 5,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
  [53897] = 6,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(894), 1,
      anon_sym_DQUOTE,
    ACTIONS(1748), 1,
      anon_sym_LF,
    ACTIONS(1752), 1,
      sym_raw_string_literal,
    STATE(1108), 1,
      sym_interpreted_string_literal,
    ACTIONS(1750), 3,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_RBRACE,
  [53918] = 6,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(894), 1,
      anon_sym_DQUOTE,
    ACTIONS(1758), 1,
      anon_sym_LF,
    ACTIONS(1762), 1,
      sym_raw_string_literal,
    STATE(1087), 1,
      sym_interpreted_string_literal,
    ACTIONS(1760), 3,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_RBRACE,
  [53939] = 6,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(894), 1,
      anon_sym_DQUOTE,
    ACTIONS(1812), 1,
      anon_sym_LF,
    ACTIONS(1816), 1,
      sym_raw_string_literal,
    STATE(1061), 1,
      sym_interpreted_string_literal,
    ACTIONS(1814), 3,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_RBRACE,
  [53960] = 6,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(894), 1,
      anon_sym_DQUOTE,
    ACTIONS(1818), 1,
      anon_sym_LF,
    ACTIONS(1822), 1,
      sym_raw_string_literal,
    STATE(1047), 1,
      sym_interpreted_string_literal,
    ACTIONS(1820), 3,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_RBRACE,
  [53981] = 4,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(1824), 1,
      sym_identifier,
    ACTIONS(1826), 1,
      anon_sym_LF,
    ACTIONS(1828), 5,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
  [53998] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(1771), 1,
      sym_identifier,
    ACTIONS(1773), 1,
      anon_sym_STAR,
    STATE(848), 1,
      sym_qualified_type,
    STATE(892), 1,
      sym_generic_type,
    STATE(1063), 1,
      sym_field_declaration,
    STATE(1255), 1,
      sym_negated_type,
  [54023] = 5,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(1830), 1,
      anon_sym_LF,
    STATE(906), 1,
      aux_sym__statement_list_repeat1,
    ACTIONS(1832), 2,
      anon_sym_SEMI,
      anon_sym_NULL,
    ACTIONS(1834), 3,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
  [54042] = 5,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(1836), 1,
      anon_sym_LBRACK,
    STATE(1010), 1,
      sym_type_arguments,
    ACTIONS(1579), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1581), 3,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_LBRACE,
  [54061] = 4,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(1839), 1,
      anon_sym_LF,
    ACTIONS(1843), 1,
      anon_sym_EQ,
    ACTIONS(1841), 5,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
  [54078] = 5,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(1845), 1,
      anon_sym_LF,
    STATE(901), 1,
      aux_sym__statement_list_repeat1,
    ACTIONS(1848), 2,
      anon_sym_SEMI,
      anon_sym_NULL,
    ACTIONS(1851), 3,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
  [54097] = 5,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(1777), 1,
      anon_sym_LBRACK,
    STATE(1010), 1,
      sym_type_arguments,
    ACTIONS(1579), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1581), 3,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_LBRACE,
  [54116] = 4,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(1853), 1,
      anon_sym_LF,
    ACTIONS(1857), 1,
      anon_sym_else,
    ACTIONS(1855), 5,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
  [54133] = 4,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(1859), 1,
      anon_sym_LF,
    ACTIONS(1863), 1,
      anon_sym_else,
    ACTIONS(1861), 5,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
  [54150] = 6,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(894), 1,
      anon_sym_DQUOTE,
    ACTIONS(1812), 1,
      anon_sym_LF,
    ACTIONS(1865), 1,
      sym_raw_string_literal,
    STATE(1059), 1,
      sym_interpreted_string_literal,
    ACTIONS(1814), 3,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_RBRACE,
  [54171] = 5,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(1867), 1,
      anon_sym_LF,
    STATE(901), 1,
      aux_sym__statement_list_repeat1,
    ACTIONS(1869), 2,
      anon_sym_SEMI,
      anon_sym_NULL,
    ACTIONS(207), 3,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
  [54190] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(1871), 1,
      anon_sym_LF,
    ACTIONS(1873), 5,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
  [54204] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(1875), 1,
      anon_sym_LF,
    ACTIONS(1877), 5,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
  [54218] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(1879), 1,
      anon_sym_LF,
    ACTIONS(1881), 5,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
  [54232] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(1883), 1,
      anon_sym_LF,
    ACTIONS(1885), 5,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
  [54246] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1887), 1,
      anon_sym_RBRACE,
    ACTIONS(1889), 1,
      anon_sym_case,
    ACTIONS(1891), 1,
      anon_sym_default,
    STATE(996), 3,
      sym_expression_case,
      sym_default_case,
      aux_sym_expression_switch_statement_repeat1,
  [54264] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(1893), 1,
      anon_sym_LF,
    ACTIONS(1895), 5,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
  [54278] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(1897), 1,
      anon_sym_LF,
    ACTIONS(1899), 5,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
  [54292] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1889), 1,
      anon_sym_case,
    ACTIONS(1891), 1,
      anon_sym_default,
    ACTIONS(1901), 1,
      anon_sym_RBRACE,
    STATE(911), 3,
      sym_expression_case,
      sym_default_case,
      aux_sym_expression_switch_statement_repeat1,
  [54310] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(1903), 1,
      anon_sym_LF,
    ACTIONS(1905), 5,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
  [54324] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1907), 1,
      anon_sym_RBRACE,
    ACTIONS(1909), 1,
      anon_sym_case,
    ACTIONS(1912), 1,
      anon_sym_default,
    STATE(916), 3,
      sym_default_case,
      sym_type_case,
      aux_sym_type_switch_statement_repeat1,
  [54342] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(1915), 1,
      anon_sym_LF,
    ACTIONS(1917), 5,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
  [54356] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1889), 1,
      anon_sym_case,
    ACTIONS(1891), 1,
      anon_sym_default,
    ACTIONS(1919), 1,
      anon_sym_RBRACE,
    STATE(940), 3,
      sym_expression_case,
      sym_default_case,
      aux_sym_expression_switch_statement_repeat1,
  [54374] = 5,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(1921), 1,
      anon_sym_LF,
    ACTIONS(1925), 1,
      anon_sym_PIPE,
    STATE(982), 1,
      aux_sym_type_elem_repeat1,
    ACTIONS(1923), 3,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_RBRACE,
  [54392] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(1927), 1,
      anon_sym_LF,
    ACTIONS(1929), 5,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
  [54406] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(1931), 1,
      anon_sym_LF,
    ACTIONS(1933), 5,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
  [54420] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(1935), 1,
      anon_sym_LF,
    ACTIONS(1937), 5,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
  [54434] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(1939), 1,
      anon_sym_LF,
    ACTIONS(1941), 5,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
  [54448] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1943), 1,
      anon_sym_LPAREN,
    ACTIONS(1945), 1,
      anon_sym_LBRACK,
    ACTIONS(1947), 1,
      anon_sym_PIPE,
    STATE(1072), 1,
      aux_sym_type_elem_repeat1,
    ACTIONS(1921), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [54468] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1891), 1,
      anon_sym_default,
    ACTIONS(1949), 1,
      anon_sym_RBRACE,
    ACTIONS(1951), 1,
      anon_sym_case,
    STATE(969), 3,
      sym_default_case,
      sym_communication_case,
      aux_sym_select_statement_repeat1,
  [54486] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(1953), 1,
      anon_sym_LF,
    ACTIONS(1955), 5,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
  [54500] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(1957), 1,
      anon_sym_LF,
    ACTIONS(1959), 5,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
  [54514] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(1961), 1,
      anon_sym_LF,
    ACTIONS(1963), 5,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
  [54528] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(1965), 1,
      anon_sym_LF,
    ACTIONS(1967), 5,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
  [54542] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(1969), 1,
      anon_sym_LF,
    ACTIONS(1971), 5,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
  [54556] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(1973), 1,
      anon_sym_LF,
    ACTIONS(1975), 5,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
  [54570] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(1977), 1,
      anon_sym_LF,
    ACTIONS(1979), 5,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
  [54584] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(1981), 1,
      anon_sym_LF,
    ACTIONS(1983), 5,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
  [54598] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(1985), 1,
      anon_sym_LF,
    ACTIONS(1987), 5,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
  [54612] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(1989), 1,
      anon_sym_LF,
    ACTIONS(1991), 5,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
  [54626] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(1993), 1,
      anon_sym_LF,
    ACTIONS(1995), 5,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
  [54640] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1626), 6,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_PIPE,
  [54652] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(1997), 1,
      anon_sym_LF,
    ACTIONS(1999), 5,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
  [54666] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(2001), 1,
      anon_sym_LF,
    ACTIONS(2003), 5,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
  [54680] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1889), 1,
      anon_sym_case,
    ACTIONS(1891), 1,
      anon_sym_default,
    ACTIONS(2005), 1,
      anon_sym_RBRACE,
    STATE(996), 3,
      sym_expression_case,
      sym_default_case,
      aux_sym_expression_switch_statement_repeat1,
  [54698] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(2007), 1,
      anon_sym_LF,
    ACTIONS(2009), 5,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
  [54712] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(2011), 1,
      anon_sym_LF,
    ACTIONS(2013), 5,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
  [54726] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(2015), 1,
      anon_sym_LF,
    ACTIONS(2017), 5,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
  [54740] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(2019), 1,
      anon_sym_LF,
    ACTIONS(2021), 5,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
  [54754] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1891), 1,
      anon_sym_default,
    ACTIONS(2023), 1,
      anon_sym_RBRACE,
    ACTIONS(2025), 1,
      anon_sym_case,
    STATE(1002), 3,
      sym_default_case,
      sym_type_case,
      aux_sym_type_switch_statement_repeat1,
  [54772] = 5,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(2027), 1,
      anon_sym_LF,
    ACTIONS(2031), 1,
      anon_sym_PIPE,
    STATE(946), 1,
      aux_sym_type_elem_repeat1,
    ACTIONS(2029), 3,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_RBRACE,
  [54790] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(2034), 1,
      anon_sym_LF,
    ACTIONS(2036), 5,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
  [54804] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(2038), 1,
      anon_sym_LF,
    ACTIONS(2040), 5,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
  [54818] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1889), 1,
      anon_sym_case,
    ACTIONS(1891), 1,
      anon_sym_default,
    ACTIONS(2042), 1,
      anon_sym_RBRACE,
    STATE(1004), 3,
      sym_expression_case,
      sym_default_case,
      aux_sym_expression_switch_statement_repeat1,
  [54836] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(1579), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1581), 4,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
  [54850] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1080), 1,
      anon_sym_LBRACE,
    ACTIONS(1698), 1,
      anon_sym_DOT,
    ACTIONS(1700), 1,
      anon_sym_LBRACK,
    ACTIONS(2044), 1,
      anon_sym_LPAREN,
    STATE(477), 1,
      sym_parameter_list,
    STATE(856), 1,
      sym_type_arguments,
  [54872] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(1594), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1596), 4,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
  [54886] = 5,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(1062), 1,
      anon_sym_LBRACE,
    STATE(1053), 1,
      sym_block,
    ACTIONS(2046), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(2048), 2,
      anon_sym_SEMI,
      anon_sym_NULL,
  [54904] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(1598), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1600), 4,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
  [54918] = 5,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(1062), 1,
      anon_sym_LBRACE,
    STATE(1121), 1,
      sym_block,
    ACTIONS(2050), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(2052), 2,
      anon_sym_SEMI,
      anon_sym_NULL,
  [54936] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(1602), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1604), 4,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
  [54950] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(2054), 1,
      anon_sym_LF,
    ACTIONS(2056), 5,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
  [54964] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(1606), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1608), 4,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
  [54978] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1889), 1,
      anon_sym_case,
    ACTIONS(1891), 1,
      anon_sym_default,
    ACTIONS(2058), 1,
      anon_sym_RBRACE,
    STATE(996), 3,
      sym_expression_case,
      sym_default_case,
      aux_sym_expression_switch_statement_repeat1,
  [54996] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(2060), 1,
      anon_sym_LF,
    ACTIONS(2062), 5,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
  [55010] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(2064), 1,
      anon_sym_LF,
    ACTIONS(2066), 5,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
  [55024] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(2068), 1,
      anon_sym_LF,
    ACTIONS(2070), 5,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
  [55038] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1022), 1,
      anon_sym_COMMA,
    ACTIONS(1792), 1,
      anon_sym_COLON,
    STATE(980), 1,
      aux_sym_expression_list_repeat1,
    ACTIONS(1536), 3,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
  [55056] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(1614), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1616), 4,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
  [55070] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(2072), 1,
      anon_sym_LF,
    ACTIONS(2074), 5,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
  [55084] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(1618), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1620), 4,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
  [55098] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(1622), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1624), 4,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
  [55112] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(1626), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1628), 4,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
  [55126] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1891), 1,
      anon_sym_default,
    ACTIONS(1951), 1,
      anon_sym_case,
    ACTIONS(2076), 1,
      anon_sym_RBRACE,
    STATE(1008), 3,
      sym_default_case,
      sym_communication_case,
      aux_sym_select_statement_repeat1,
  [55144] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(1630), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1632), 4,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
  [55158] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(1634), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1636), 4,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
  [55172] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(1634), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1636), 4,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
  [55186] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(1638), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1640), 4,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
  [55200] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(2078), 1,
      anon_sym_LF,
    ACTIONS(2080), 5,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
  [55214] = 5,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(1062), 1,
      anon_sym_LBRACE,
    STATE(1055), 1,
      sym_block,
    ACTIONS(2082), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(2084), 2,
      anon_sym_SEMI,
      anon_sym_NULL,
  [55232] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(2086), 1,
      anon_sym_LF,
    ACTIONS(2088), 5,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
  [55246] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(2090), 1,
      anon_sym_LF,
    ACTIONS(1851), 5,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
  [55260] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1080), 1,
      anon_sym_LBRACE,
    ACTIONS(1698), 1,
      anon_sym_DOT,
    ACTIONS(1700), 1,
      anon_sym_LBRACK,
    ACTIONS(2092), 1,
      anon_sym_LPAREN,
    STATE(449), 1,
      sym_parameter_list,
    STATE(856), 1,
      sym_type_arguments,
  [55282] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(2094), 1,
      anon_sym_LF,
    ACTIONS(2096), 5,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
  [55296] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(844), 1,
      anon_sym_COLON,
    ACTIONS(2098), 1,
      anon_sym_COMMA,
    STATE(980), 1,
      aux_sym_expression_list_repeat1,
    ACTIONS(842), 3,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
  [55314] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(2101), 1,
      anon_sym_LF,
    ACTIONS(2103), 5,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
  [55328] = 5,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(1925), 1,
      anon_sym_PIPE,
    ACTIONS(2105), 1,
      anon_sym_LF,
    STATE(946), 1,
      aux_sym_type_elem_repeat1,
    ACTIONS(2107), 3,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_RBRACE,
  [55346] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(1646), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1648), 4,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
  [55360] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(1650), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1652), 4,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
  [55374] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(1654), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1656), 4,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
  [55388] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(1634), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1636), 4,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
  [55402] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(1658), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1660), 4,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
  [55416] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(2109), 1,
      anon_sym_LF,
    ACTIONS(2111), 5,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
  [55430] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(1662), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1664), 4,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
  [55444] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(2113), 1,
      anon_sym_LF,
    ACTIONS(2115), 5,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
  [55458] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(1666), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1668), 4,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
  [55472] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(1670), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1672), 4,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
  [55486] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(1590), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1592), 4,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
  [55500] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(1674), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1676), 4,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
  [55514] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(2117), 1,
      anon_sym_LF,
    ACTIONS(2119), 5,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
  [55528] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2121), 1,
      anon_sym_RBRACE,
    ACTIONS(2123), 1,
      anon_sym_case,
    ACTIONS(2126), 1,
      anon_sym_default,
    STATE(996), 3,
      sym_expression_case,
      sym_default_case,
      aux_sym_expression_switch_statement_repeat1,
  [55546] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1889), 1,
      anon_sym_case,
    ACTIONS(1891), 1,
      anon_sym_default,
    ACTIONS(2129), 1,
      anon_sym_RBRACE,
    STATE(959), 3,
      sym_expression_case,
      sym_default_case,
      aux_sym_expression_switch_statement_repeat1,
  [55564] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(1678), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1680), 4,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
  [55578] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(1682), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1684), 4,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
  [55592] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(1686), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1688), 4,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
  [55606] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(2131), 1,
      anon_sym_LF,
    ACTIONS(2133), 5,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
  [55620] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1891), 1,
      anon_sym_default,
    ACTIONS(2025), 1,
      anon_sym_case,
    ACTIONS(2135), 1,
      anon_sym_RBRACE,
    STATE(916), 3,
      sym_default_case,
      sym_type_case,
      aux_sym_type_switch_statement_repeat1,
  [55638] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(2137), 1,
      anon_sym_LF,
    ACTIONS(2139), 5,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
  [55652] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1889), 1,
      anon_sym_case,
    ACTIONS(1891), 1,
      anon_sym_default,
    ACTIONS(2141), 1,
      anon_sym_RBRACE,
    STATE(996), 3,
      sym_expression_case,
      sym_default_case,
      aux_sym_expression_switch_statement_repeat1,
  [55670] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(2143), 1,
      anon_sym_LF,
    ACTIONS(2145), 5,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
  [55684] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(2147), 1,
      anon_sym_LF,
    ACTIONS(2149), 5,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
  [55698] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(2151), 1,
      anon_sym_LF,
    ACTIONS(2153), 5,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
  [55712] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2155), 1,
      anon_sym_RBRACE,
    ACTIONS(2157), 1,
      anon_sym_case,
    ACTIONS(2160), 1,
      anon_sym_default,
    STATE(1008), 3,
      sym_default_case,
      sym_communication_case,
      aux_sym_select_statement_repeat1,
  [55730] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(2163), 1,
      anon_sym_LF,
    ACTIONS(2165), 5,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
  [55744] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(1610), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1612), 4,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
  [55758] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2167), 1,
      sym_identifier,
    ACTIONS(2170), 1,
      anon_sym_RPAREN,
    STATE(1011), 1,
      aux_sym_type_declaration_repeat1,
    STATE(1197), 2,
      sym_type_alias,
      sym_type_spec,
  [55775] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1004), 1,
      anon_sym_LBRACE,
    ACTIONS(1579), 1,
      anon_sym_LPAREN,
    ACTIONS(1739), 1,
      anon_sym_LBRACK,
    STATE(559), 1,
      sym_literal_value,
    STATE(861), 1,
      sym_type_arguments,
  [55794] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1579), 1,
      anon_sym_LPAREN,
    ACTIONS(1739), 1,
      anon_sym_LBRACK,
    ACTIONS(2172), 1,
      anon_sym_LBRACE,
    STATE(492), 1,
      sym_literal_value,
    STATE(861), 1,
      sym_type_arguments,
  [55813] = 5,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(2174), 1,
      anon_sym_LF,
    ACTIONS(2178), 1,
      anon_sym_RBRACE,
    STATE(1018), 1,
      aux_sym_interface_type_repeat1,
    ACTIONS(2176), 2,
      anon_sym_SEMI,
      anon_sym_NULL,
  [55830] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(2180), 1,
      sym_identifier,
    STATE(865), 1,
      sym_qualified_type,
    STATE(893), 1,
      sym_generic_type,
    STATE(1255), 1,
      sym_negated_type,
  [55849] = 5,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(2182), 1,
      anon_sym_LF,
    ACTIONS(2186), 1,
      anon_sym_RBRACE,
    STATE(1041), 1,
      aux_sym_field_declaration_list_repeat1,
    ACTIONS(2184), 2,
      anon_sym_SEMI,
      anon_sym_NULL,
  [55866] = 5,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(2188), 1,
      anon_sym_LF,
    ACTIONS(2192), 1,
      anon_sym_RBRACE,
    STATE(1042), 1,
      aux_sym_interface_type_repeat1,
    ACTIONS(2190), 2,
      anon_sym_SEMI,
      anon_sym_NULL,
  [55883] = 5,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(2194), 1,
      anon_sym_LF,
    ACTIONS(2200), 1,
      anon_sym_RBRACE,
    STATE(1018), 1,
      aux_sym_interface_type_repeat1,
    ACTIONS(2197), 2,
      anon_sym_SEMI,
      anon_sym_NULL,
  [55900] = 5,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(2202), 1,
      anon_sym_LF,
    ACTIONS(2206), 1,
      anon_sym_RPAREN,
    STATE(1034), 1,
      aux_sym_import_spec_list_repeat1,
    ACTIONS(2204), 2,
      anon_sym_SEMI,
      anon_sym_NULL,
  [55917] = 5,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(2208), 1,
      anon_sym_LF,
    ACTIONS(2212), 1,
      anon_sym_RBRACE,
    STATE(1018), 1,
      aux_sym_interface_type_repeat1,
    ACTIONS(2210), 2,
      anon_sym_SEMI,
      anon_sym_NULL,
  [55934] = 5,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(2214), 1,
      anon_sym_LF,
    ACTIONS(2218), 1,
      anon_sym_RPAREN,
    STATE(1032), 1,
      aux_sym_import_spec_list_repeat1,
    ACTIONS(2216), 2,
      anon_sym_SEMI,
      anon_sym_NULL,
  [55951] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(836), 1,
      anon_sym_LBRACE,
    ACTIONS(1579), 1,
      anon_sym_LPAREN,
    ACTIONS(1739), 1,
      anon_sym_LBRACK,
    STATE(345), 1,
      sym_literal_value,
    STATE(861), 1,
      sym_type_arguments,
  [55970] = 5,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(2220), 1,
      anon_sym_LF,
    ACTIONS(2224), 1,
      anon_sym_RBRACE,
    STATE(1014), 1,
      aux_sym_interface_type_repeat1,
    ACTIONS(2222), 2,
      anon_sym_SEMI,
      anon_sym_NULL,
  [55987] = 5,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(1103), 1,
      anon_sym_LBRACE,
    ACTIONS(2050), 1,
      anon_sym_LF,
    STATE(1226), 1,
      sym_block,
    ACTIONS(2052), 2,
      anon_sym_SEMI,
      anon_sym_NULL,
  [56004] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1579), 1,
      anon_sym_LPAREN,
    ACTIONS(1739), 1,
      anon_sym_LBRACK,
    ACTIONS(2226), 1,
      anon_sym_LBRACE,
    STATE(256), 1,
      sym_literal_value,
    STATE(861), 1,
      sym_type_arguments,
  [56023] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2228), 1,
      sym_identifier,
    ACTIONS(2230), 1,
      anon_sym_RPAREN,
    STATE(1011), 1,
      aux_sym_type_declaration_repeat1,
    STATE(1197), 2,
      sym_type_alias,
      sym_type_spec,
  [56040] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1579), 1,
      anon_sym_LPAREN,
    ACTIONS(1739), 1,
      anon_sym_LBRACK,
    ACTIONS(2232), 1,
      anon_sym_LBRACE,
    STATE(312), 1,
      sym_literal_value,
    STATE(861), 1,
      sym_type_arguments,
  [56059] = 5,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(1103), 1,
      anon_sym_LBRACE,
    ACTIONS(2046), 1,
      anon_sym_LF,
    STATE(1142), 1,
      sym_block,
    ACTIONS(2048), 2,
      anon_sym_SEMI,
      anon_sym_NULL,
  [56076] = 5,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(1103), 1,
      anon_sym_LBRACE,
    ACTIONS(2082), 1,
      anon_sym_LF,
    STATE(1143), 1,
      sym_block,
    ACTIONS(2084), 2,
      anon_sym_SEMI,
      anon_sym_NULL,
  [56093] = 5,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(2234), 1,
      anon_sym_LF,
    ACTIONS(2238), 1,
      anon_sym_RBRACE,
    STATE(1020), 1,
      aux_sym_interface_type_repeat1,
    ACTIONS(2236), 2,
      anon_sym_SEMI,
      anon_sym_NULL,
  [56110] = 5,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(2240), 1,
      anon_sym_LF,
    ACTIONS(2244), 1,
      anon_sym_RPAREN,
    STATE(1019), 1,
      aux_sym_import_spec_list_repeat1,
    ACTIONS(2242), 2,
      anon_sym_SEMI,
      anon_sym_NULL,
  [56127] = 5,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(2246), 1,
      anon_sym_LF,
    ACTIONS(2250), 1,
      anon_sym_RPAREN,
    STATE(1034), 1,
      aux_sym_import_spec_list_repeat1,
    ACTIONS(2248), 2,
      anon_sym_SEMI,
      anon_sym_NULL,
  [56144] = 5,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(2252), 1,
      anon_sym_LF,
    ACTIONS(2256), 1,
      anon_sym_RBRACE,
    STATE(1036), 1,
      aux_sym_field_declaration_list_repeat1,
    ACTIONS(2254), 2,
      anon_sym_SEMI,
      anon_sym_NULL,
  [56161] = 5,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(2258), 1,
      anon_sym_LF,
    ACTIONS(2264), 1,
      anon_sym_RPAREN,
    STATE(1034), 1,
      aux_sym_import_spec_list_repeat1,
    ACTIONS(2261), 2,
      anon_sym_SEMI,
      anon_sym_NULL,
  [56178] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2228), 1,
      sym_identifier,
    ACTIONS(2266), 1,
      anon_sym_RPAREN,
    STATE(1026), 1,
      aux_sym_type_declaration_repeat1,
    STATE(1197), 2,
      sym_type_alias,
      sym_type_spec,
  [56195] = 5,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(2268), 1,
      anon_sym_LF,
    ACTIONS(2274), 1,
      anon_sym_RBRACE,
    STATE(1036), 1,
      aux_sym_field_declaration_list_repeat1,
    ACTIONS(2271), 2,
      anon_sym_SEMI,
      anon_sym_NULL,
  [56212] = 5,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(2276), 1,
      anon_sym_LF,
    ACTIONS(2280), 1,
      anon_sym_RBRACE,
    STATE(1033), 1,
      aux_sym_field_declaration_list_repeat1,
    ACTIONS(2278), 2,
      anon_sym_SEMI,
      anon_sym_NULL,
  [56229] = 5,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(2282), 1,
      anon_sym_LF,
    ACTIONS(2286), 1,
      anon_sym_RBRACE,
    STATE(1036), 1,
      aux_sym_field_declaration_list_repeat1,
    ACTIONS(2284), 2,
      anon_sym_SEMI,
      anon_sym_NULL,
  [56246] = 5,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(2288), 1,
      anon_sym_LF,
    ACTIONS(2292), 1,
      anon_sym_RBRACE,
    STATE(1038), 1,
      aux_sym_field_declaration_list_repeat1,
    ACTIONS(2290), 2,
      anon_sym_SEMI,
      anon_sym_NULL,
  [56263] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(2027), 1,
      anon_sym_LF,
    ACTIONS(2029), 4,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_RBRACE,
      anon_sym_PIPE,
  [56276] = 5,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(2294), 1,
      anon_sym_LF,
    ACTIONS(2298), 1,
      anon_sym_RBRACE,
    STATE(1036), 1,
      aux_sym_field_declaration_list_repeat1,
    ACTIONS(2296), 2,
      anon_sym_SEMI,
      anon_sym_NULL,
  [56293] = 5,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(2300), 1,
      anon_sym_LF,
    ACTIONS(2304), 1,
      anon_sym_RBRACE,
    STATE(1018), 1,
      aux_sym_interface_type_repeat1,
    ACTIONS(2302), 2,
      anon_sym_SEMI,
      anon_sym_NULL,
  [56310] = 4,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(2306), 1,
      anon_sym_DQUOTE2,
    STATE(1110), 1,
      aux_sym_interpreted_string_literal_repeat1,
    ACTIONS(2308), 2,
      sym__interpreted_string_literal_basic_content,
      sym_escape_sequence,
  [56324] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2310), 1,
      anon_sym_COMMA,
    ACTIONS(2312), 1,
      anon_sym_RBRACE,
    ACTIONS(2314), 1,
      anon_sym_COLON,
    STATE(1210), 1,
      aux_sym_literal_value_repeat1,
  [56340] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2316), 1,
      sym_identifier,
    ACTIONS(2318), 1,
      anon_sym_RPAREN,
    STATE(1074), 1,
      aux_sym_const_declaration_repeat1,
    STATE(1176), 1,
      sym_const_spec,
  [56356] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(2320), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(2322), 2,
      anon_sym_SEMI,
      anon_sym_NULL,
  [56368] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(2324), 1,
      anon_sym_LF,
    ACTIONS(2326), 3,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_RBRACE,
  [56380] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(2328), 1,
      anon_sym_LF,
    ACTIONS(2330), 3,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_RPAREN,
  [56392] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(2332), 1,
      anon_sym_LF,
    ACTIONS(2334), 3,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_RPAREN,
  [56404] = 4,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(2336), 1,
      anon_sym_DQUOTE2,
    STATE(1050), 1,
      aux_sym_interpreted_string_literal_repeat1,
    ACTIONS(2338), 2,
      sym__interpreted_string_literal_basic_content,
      sym_escape_sequence,
  [56418] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(2341), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(2343), 2,
      anon_sym_SEMI,
      anon_sym_NULL,
  [56430] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(2345), 1,
      anon_sym_LF,
    ACTIONS(2264), 3,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_RPAREN,
  [56442] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(2347), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(2349), 2,
      anon_sym_SEMI,
      anon_sym_NULL,
  [56454] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1947), 1,
      anon_sym_PIPE,
    STATE(1072), 1,
      aux_sym_type_elem_repeat1,
    ACTIONS(1921), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [56468] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(2351), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(2353), 2,
      anon_sym_SEMI,
      anon_sym_NULL,
  [56480] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(2355), 1,
      anon_sym_LF,
    ACTIONS(2357), 3,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_RBRACE,
  [56492] = 4,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(2359), 1,
      anon_sym_DQUOTE2,
    STATE(1064), 1,
      aux_sym_interpreted_string_literal_repeat1,
    ACTIONS(2361), 2,
      sym__interpreted_string_literal_basic_content,
      sym_escape_sequence,
  [56506] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2172), 1,
      anon_sym_LBRACE,
    STATE(492), 1,
      sym_literal_value,
    ACTIONS(1579), 2,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
  [56520] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(2355), 1,
      anon_sym_LF,
    ACTIONS(2357), 3,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_RBRACE,
  [56532] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(2355), 1,
      anon_sym_LF,
    ACTIONS(2357), 3,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_RBRACE,
  [56544] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(2355), 1,
      anon_sym_LF,
    ACTIONS(2357), 3,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_RBRACE,
  [56556] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(661), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(663), 2,
      anon_sym_SEMI,
      anon_sym_NULL,
  [56568] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(2363), 1,
      anon_sym_LF,
    ACTIONS(2274), 3,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_RBRACE,
  [56580] = 4,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(2365), 1,
      anon_sym_DQUOTE2,
    STATE(1050), 1,
      aux_sym_interpreted_string_literal_repeat1,
    ACTIONS(2367), 2,
      sym__interpreted_string_literal_basic_content,
      sym_escape_sequence,
  [56594] = 4,
    ACTIONS(75), 1,
      ts_builtin_sym_end,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(2369), 1,
      anon_sym_LF,
    ACTIONS(2371), 2,
      anon_sym_SEMI,
      anon_sym_NULL,
  [56608] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym_LBRACE,
    ACTIONS(2373), 1,
      anon_sym_if,
    STATE(930), 2,
      sym_block,
      sym_if_statement,
  [56622] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1263), 1,
      anon_sym_LBRACE,
    STATE(481), 1,
      sym_block,
    ACTIONS(1654), 2,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
  [56636] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2314), 1,
      anon_sym_COLON,
    ACTIONS(2375), 1,
      anon_sym_COMMA,
    ACTIONS(2377), 1,
      anon_sym_RBRACE,
    STATE(1177), 1,
      aux_sym_literal_value_repeat1,
  [56652] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(2379), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(2381), 2,
      anon_sym_SEMI,
      anon_sym_NULL,
  [56664] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(2383), 1,
      anon_sym_LF,
    ACTIONS(2385), 3,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_RBRACE,
  [56676] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(2387), 1,
      anon_sym_LF,
    ACTIONS(2200), 3,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_RBRACE,
  [56688] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1947), 1,
      anon_sym_PIPE,
    STATE(1082), 1,
      aux_sym_type_elem_repeat1,
    ACTIONS(2105), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [56702] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(2389), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(2391), 2,
      anon_sym_SEMI,
      anon_sym_NULL,
  [56714] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2393), 1,
      sym_identifier,
    ACTIONS(2396), 1,
      anon_sym_RPAREN,
    STATE(1074), 1,
      aux_sym_const_declaration_repeat1,
    STATE(1176), 1,
      sym_const_spec,
  [56730] = 4,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(2398), 1,
      anon_sym_DQUOTE2,
    STATE(1079), 1,
      aux_sym_interpreted_string_literal_repeat1,
    ACTIONS(2400), 2,
      sym__interpreted_string_literal_basic_content,
      sym_escape_sequence,
  [56744] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2232), 1,
      anon_sym_LBRACE,
    STATE(312), 1,
      sym_literal_value,
    ACTIONS(1579), 2,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
  [56758] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym_LBRACE,
    STATE(258), 1,
      sym_block,
    ACTIONS(1654), 2,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
  [56772] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(2402), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(2404), 2,
      anon_sym_SEMI,
      anon_sym_NULL,
  [56784] = 4,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(2406), 1,
      anon_sym_DQUOTE2,
    STATE(1050), 1,
      aux_sym_interpreted_string_literal_repeat1,
    ACTIONS(2367), 2,
      sym__interpreted_string_literal_basic_content,
      sym_escape_sequence,
  [56798] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1287), 1,
      anon_sym_LBRACE,
    STATE(321), 1,
      sym_block,
    ACTIONS(1654), 2,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
  [56812] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2314), 1,
      anon_sym_COLON,
    ACTIONS(2408), 1,
      anon_sym_COMMA,
    ACTIONS(2410), 1,
      anon_sym_RBRACE,
    STATE(1133), 1,
      aux_sym_literal_value_repeat1,
  [56828] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2412), 1,
      anon_sym_PIPE,
    STATE(1082), 1,
      aux_sym_type_elem_repeat1,
    ACTIONS(2027), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [56842] = 4,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(2415), 1,
      anon_sym_DQUOTE2,
    STATE(1050), 1,
      aux_sym_interpreted_string_literal_repeat1,
    ACTIONS(2367), 2,
      sym__interpreted_string_literal_basic_content,
      sym_escape_sequence,
  [56856] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2417), 1,
      sym_identifier,
    ACTIONS(2420), 1,
      anon_sym_RPAREN,
    STATE(1084), 1,
      aux_sym_var_declaration_repeat1,
    STATE(1138), 1,
      sym_var_spec,
  [56872] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(2422), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(2424), 2,
      anon_sym_SEMI,
      anon_sym_NULL,
  [56884] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2226), 1,
      anon_sym_LBRACE,
    STATE(256), 1,
      sym_literal_value,
    ACTIONS(1579), 2,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
  [56898] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(2426), 1,
      anon_sym_LF,
    ACTIONS(2428), 3,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_RBRACE,
  [56910] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(836), 1,
      anon_sym_LBRACE,
    STATE(345), 1,
      sym_literal_value,
    ACTIONS(1579), 2,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
  [56924] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2316), 1,
      sym_identifier,
    ACTIONS(2430), 1,
      anon_sym_RPAREN,
    STATE(1045), 1,
      aux_sym_const_declaration_repeat1,
    STATE(1176), 1,
      sym_const_spec,
  [56940] = 4,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(2432), 1,
      anon_sym_DQUOTE2,
    STATE(1050), 1,
      aux_sym_interpreted_string_literal_repeat1,
    ACTIONS(2367), 2,
      sym__interpreted_string_literal_basic_content,
      sym_escape_sequence,
  [56954] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1309), 1,
      anon_sym_LBRACE,
    STATE(358), 1,
      sym_block,
    ACTIONS(1654), 2,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
  [56968] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2314), 1,
      anon_sym_COLON,
    ACTIONS(2434), 1,
      anon_sym_COMMA,
    ACTIONS(2436), 1,
      anon_sym_RBRACE,
    STATE(1162), 1,
      aux_sym_literal_value_repeat1,
  [56984] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(647), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(649), 2,
      anon_sym_SEMI,
      anon_sym_NULL,
  [56996] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(2438), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(2440), 2,
      anon_sym_SEMI,
      anon_sym_NULL,
  [57008] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2442), 1,
      sym_identifier,
    ACTIONS(2444), 1,
      anon_sym_RPAREN,
    STATE(1104), 1,
      aux_sym_var_declaration_repeat1,
    STATE(1138), 1,
      sym_var_spec,
  [57024] = 4,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(2446), 1,
      anon_sym_DQUOTE2,
    STATE(1109), 1,
      aux_sym_interpreted_string_literal_repeat1,
    ACTIONS(2448), 2,
      sym__interpreted_string_literal_basic_content,
      sym_escape_sequence,
  [57038] = 4,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(2450), 1,
      anon_sym_DQUOTE2,
    STATE(1100), 1,
      aux_sym_interpreted_string_literal_repeat1,
    ACTIONS(2452), 2,
      sym__interpreted_string_literal_basic_content,
      sym_escape_sequence,
  [57052] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1004), 1,
      anon_sym_LBRACE,
    STATE(559), 1,
      sym_literal_value,
    ACTIONS(1579), 2,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
  [57066] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2228), 1,
      sym_identifier,
    ACTIONS(2454), 1,
      anon_sym_LPAREN,
    STATE(942), 2,
      sym_type_alias,
      sym_type_spec,
  [57080] = 4,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(2456), 1,
      anon_sym_DQUOTE2,
    STATE(1050), 1,
      aux_sym_interpreted_string_literal_repeat1,
    ACTIONS(2367), 2,
      sym__interpreted_string_literal_basic_content,
      sym_escape_sequence,
  [57094] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2044), 1,
      anon_sym_LPAREN,
    ACTIONS(2458), 1,
      anon_sym_LBRACK,
    STATE(500), 1,
      sym_parameter_list,
    STATE(1282), 1,
      sym_type_parameter_list,
  [57110] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1327), 1,
      anon_sym_LBRACE,
    STATE(529), 1,
      sym_block,
    ACTIONS(1654), 2,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
  [57124] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2314), 1,
      anon_sym_COLON,
    ACTIONS(2460), 1,
      anon_sym_COMMA,
    ACTIONS(2462), 1,
      anon_sym_RBRACE,
    STATE(1188), 1,
      aux_sym_literal_value_repeat1,
  [57140] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2442), 1,
      sym_identifier,
    ACTIONS(2464), 1,
      anon_sym_RPAREN,
    STATE(1084), 1,
      aux_sym_var_declaration_repeat1,
    STATE(1138), 1,
      sym_var_spec,
  [57156] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(2466), 1,
      anon_sym_LF,
    ACTIONS(2468), 3,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_RBRACE,
  [57168] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(651), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(653), 2,
      anon_sym_SEMI,
      anon_sym_NULL,
  [57180] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(2402), 1,
      anon_sym_LF,
    ACTIONS(2404), 3,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_RPAREN,
  [57192] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(2470), 1,
      anon_sym_LF,
    ACTIONS(2472), 3,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_RBRACE,
  [57204] = 4,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(2474), 1,
      anon_sym_DQUOTE2,
    STATE(1050), 1,
      aux_sym_interpreted_string_literal_repeat1,
    ACTIONS(2367), 2,
      sym__interpreted_string_literal_basic_content,
      sym_escape_sequence,
  [57218] = 4,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(2476), 1,
      anon_sym_DQUOTE2,
    STATE(1050), 1,
      aux_sym_interpreted_string_literal_repeat1,
    ACTIONS(2367), 2,
      sym__interpreted_string_literal_basic_content,
      sym_escape_sequence,
  [57232] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2092), 1,
      anon_sym_LPAREN,
    ACTIONS(2458), 1,
      anon_sym_LBRACK,
    STATE(451), 1,
      sym_parameter_list,
    STATE(1285), 1,
      sym_type_parameter_list,
  [57248] = 4,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(2478), 1,
      anon_sym_DQUOTE2,
    STATE(1083), 1,
      aux_sym_interpreted_string_literal_repeat1,
    ACTIONS(2480), 2,
      sym__interpreted_string_literal_basic_content,
      sym_escape_sequence,
  [57262] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym_LBRACE,
    ACTIONS(2373), 1,
      anon_sym_if,
    STATE(976), 2,
      sym_block,
      sym_if_statement,
  [57276] = 4,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(2369), 1,
      anon_sym_LF,
    ACTIONS(2482), 1,
      ts_builtin_sym_end,
    ACTIONS(2371), 2,
      anon_sym_SEMI,
      anon_sym_NULL,
  [57290] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2314), 1,
      anon_sym_COLON,
    ACTIONS(2484), 1,
      anon_sym_COMMA,
    ACTIONS(2486), 1,
      anon_sym_RBRACE,
    STATE(1232), 1,
      aux_sym_literal_value_repeat1,
  [57306] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(2328), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(2330), 2,
      anon_sym_SEMI,
      anon_sym_NULL,
  [57318] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(2488), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(2490), 2,
      anon_sym_SEMI,
      anon_sym_NULL,
  [57330] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(2492), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(2494), 2,
      anon_sym_SEMI,
      anon_sym_NULL,
  [57342] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2496), 1,
      anon_sym_COMMA,
    STATE(1119), 1,
      aux_sym_type_case_repeat1,
    ACTIONS(2499), 2,
      anon_sym_RBRACK,
      anon_sym_COLON,
  [57356] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(2332), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(2334), 2,
      anon_sym_SEMI,
      anon_sym_NULL,
  [57368] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(2501), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(2503), 2,
      anon_sym_SEMI,
      anon_sym_NULL,
  [57380] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(2505), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(2507), 2,
      anon_sym_SEMI,
      anon_sym_NULL,
  [57392] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(2509), 1,
      anon_sym_LF,
    ACTIONS(2511), 3,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_RBRACE,
  [57404] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(657), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(659), 2,
      anon_sym_SEMI,
      anon_sym_NULL,
  [57416] = 4,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(2513), 1,
      anon_sym_DQUOTE2,
    STATE(1090), 1,
      aux_sym_interpreted_string_literal_repeat1,
    ACTIONS(2515), 2,
      sym__interpreted_string_literal_basic_content,
      sym_escape_sequence,
  [57430] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(465), 1,
      anon_sym_RPAREN,
    ACTIONS(2517), 1,
      anon_sym_COMMA,
    STATE(1225), 1,
      aux_sym_expression_list_repeat1,
  [57443] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2408), 1,
      anon_sym_COMMA,
    ACTIONS(2410), 1,
      anon_sym_RBRACE,
    STATE(1133), 1,
      aux_sym_literal_value_repeat1,
  [57456] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2027), 3,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_PIPE,
  [57465] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2519), 1,
      anon_sym_COMMA,
    ACTIONS(2521), 1,
      anon_sym_RBRACK,
    STATE(1135), 1,
      aux_sym_type_case_repeat1,
  [57478] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1443), 1,
      anon_sym_RBRACK,
    ACTIONS(2523), 1,
      anon_sym_COMMA,
    STATE(1119), 1,
      aux_sym_type_case_repeat1,
  [57491] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1187), 1,
      anon_sym_RPAREN,
    ACTIONS(1189), 1,
      anon_sym_COMMA,
    STATE(1136), 1,
      aux_sym_argument_list_repeat1,
  [57504] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(491), 1,
      anon_sym_RPAREN,
    ACTIONS(2525), 1,
      anon_sym_COMMA,
    STATE(1225), 1,
      aux_sym_expression_list_repeat1,
  [57517] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(351), 1,
      anon_sym_RBRACE,
    ACTIONS(2527), 1,
      anon_sym_COMMA,
    STATE(1207), 1,
      aux_sym_literal_value_repeat1,
  [57530] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2529), 3,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
  [57539] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1405), 1,
      anon_sym_RBRACK,
    ACTIONS(2531), 1,
      anon_sym_COMMA,
    STATE(1119), 1,
      aux_sym_type_case_repeat1,
  [57552] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(433), 1,
      anon_sym_RPAREN,
    ACTIONS(2533), 1,
      anon_sym_COMMA,
    STATE(1196), 1,
      aux_sym_argument_list_repeat1,
  [57565] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2535), 1,
      anon_sym_RPAREN,
    ACTIONS(2537), 1,
      anon_sym_COMMA,
    STATE(1170), 1,
      aux_sym_expression_list_repeat1,
  [57578] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(2539), 1,
      anon_sym_LF,
    ACTIONS(2541), 2,
      anon_sym_SEMI,
      anon_sym_NULL,
  [57589] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2543), 1,
      anon_sym_COMMA,
    ACTIONS(2545), 1,
      anon_sym_RBRACK,
    STATE(1174), 1,
      aux_sym_type_arguments_repeat1,
  [57602] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(2320), 1,
      anon_sym_LF,
    ACTIONS(2322), 2,
      anon_sym_SEMI,
      anon_sym_NULL,
  [57613] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2547), 3,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
  [57622] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(2347), 1,
      anon_sym_LF,
    ACTIONS(2349), 2,
      anon_sym_SEMI,
      anon_sym_NULL,
  [57633] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(2351), 1,
      anon_sym_LF,
    ACTIONS(2353), 2,
      anon_sym_SEMI,
      anon_sym_NULL,
  [57644] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(976), 1,
      anon_sym_LPAREN,
    ACTIONS(2549), 1,
      sym_identifier,
    STATE(625), 1,
      sym_parameter_list,
  [57657] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(419), 1,
      anon_sym_RPAREN,
    ACTIONS(2551), 1,
      anon_sym_COMMA,
    STATE(1196), 1,
      aux_sym_argument_list_repeat1,
  [57670] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2375), 1,
      anon_sym_COMMA,
    ACTIONS(2377), 1,
      anon_sym_RBRACE,
    STATE(1177), 1,
      aux_sym_literal_value_repeat1,
  [57683] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(2488), 1,
      anon_sym_LF,
    ACTIONS(2490), 2,
      anon_sym_SEMI,
      anon_sym_NULL,
  [57694] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1943), 1,
      anon_sym_LPAREN,
    ACTIONS(1945), 1,
      anon_sym_LBRACK,
    ACTIONS(2553), 1,
      anon_sym_RPAREN,
  [57707] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2555), 1,
      anon_sym_COMMA,
    ACTIONS(2557), 1,
      anon_sym_RBRACK,
    STATE(1179), 1,
      aux_sym_type_case_repeat1,
  [57720] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1127), 1,
      anon_sym_RPAREN,
    ACTIONS(1129), 1,
      anon_sym_COMMA,
    STATE(1185), 1,
      aux_sym_argument_list_repeat1,
  [57733] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1177), 1,
      anon_sym_RPAREN,
    ACTIONS(2559), 1,
      anon_sym_COMMA,
    STATE(1172), 1,
      aux_sym_parameter_list_repeat1,
  [57746] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2561), 3,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
  [57755] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2563), 1,
      anon_sym_RPAREN,
    ACTIONS(2565), 1,
      anon_sym_COMMA,
    STATE(1126), 1,
      aux_sym_expression_list_repeat1,
  [57768] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(2389), 1,
      anon_sym_LF,
    ACTIONS(2391), 2,
      anon_sym_SEMI,
      anon_sym_NULL,
  [57779] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2434), 1,
      anon_sym_COMMA,
    ACTIONS(2436), 1,
      anon_sym_RBRACE,
    STATE(1162), 1,
      aux_sym_literal_value_repeat1,
  [57792] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2567), 1,
      anon_sym_COMMA,
    ACTIONS(2569), 1,
      anon_sym_RBRACK,
    STATE(1163), 1,
      aux_sym_type_case_repeat1,
  [57805] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2571), 3,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
  [57814] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1191), 1,
      anon_sym_RPAREN,
    ACTIONS(1193), 1,
      anon_sym_COMMA,
    STATE(1164), 1,
      aux_sym_argument_list_repeat1,
  [57827] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2573), 1,
      anon_sym_COMMA,
    ACTIONS(2575), 1,
      anon_sym_RBRACK,
    STATE(1201), 1,
      aux_sym_type_parameter_list_repeat1,
  [57840] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2577), 1,
      anon_sym_COMMA,
    ACTIONS(2579), 1,
      anon_sym_RBRACK,
    STATE(1168), 1,
      aux_sym_type_arguments_repeat1,
  [57853] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2581), 1,
      anon_sym_COMMA,
    ACTIONS(2583), 1,
      anon_sym_COLON,
    STATE(1186), 1,
      aux_sym_type_case_repeat1,
  [57866] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(355), 1,
      anon_sym_RBRACE,
    ACTIONS(2585), 1,
      anon_sym_COMMA,
    STATE(1207), 1,
      aux_sym_literal_value_repeat1,
  [57879] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1381), 1,
      anon_sym_RBRACK,
    ACTIONS(2587), 1,
      anon_sym_COMMA,
    STATE(1119), 1,
      aux_sym_type_case_repeat1,
  [57892] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(443), 1,
      anon_sym_RPAREN,
    ACTIONS(2589), 1,
      anon_sym_COMMA,
    STATE(1196), 1,
      aux_sym_argument_list_repeat1,
  [57905] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1179), 1,
      anon_sym_RPAREN,
    ACTIONS(2591), 1,
      anon_sym_COMMA,
    STATE(1172), 1,
      aux_sym_parameter_list_repeat1,
  [57918] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1245), 3,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_COLON,
  [57927] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(497), 1,
      anon_sym_RPAREN,
    ACTIONS(2593), 1,
      anon_sym_COMMA,
    STATE(1225), 1,
      aux_sym_expression_list_repeat1,
  [57940] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1303), 1,
      anon_sym_RBRACK,
    ACTIONS(2595), 1,
      anon_sym_COMMA,
    STATE(1198), 1,
      aux_sym_type_arguments_repeat1,
  [57953] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2597), 1,
      anon_sym_RPAREN,
    ACTIONS(2599), 1,
      anon_sym_COMMA,
    STATE(1151), 1,
      aux_sym_parameter_list_repeat1,
  [57966] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(531), 1,
      anon_sym_RPAREN,
    ACTIONS(2601), 1,
      anon_sym_COMMA,
    STATE(1225), 1,
      aux_sym_expression_list_repeat1,
  [57979] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1737), 1,
      anon_sym_DQUOTE,
    ACTIONS(2603), 1,
      sym_raw_string_literal,
    STATE(1116), 1,
      sym_interpreted_string_literal,
  [57992] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2605), 1,
      anon_sym_RPAREN,
    ACTIONS(2607), 1,
      anon_sym_COMMA,
    STATE(1172), 1,
      aux_sym_parameter_list_repeat1,
  [58005] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(71), 1,
      anon_sym_DQUOTE,
    ACTIONS(2610), 1,
      sym_raw_string_literal,
    STATE(1048), 1,
      sym_interpreted_string_literal,
  [58018] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1273), 1,
      anon_sym_RBRACK,
    ACTIONS(2612), 1,
      anon_sym_COMMA,
    STATE(1198), 1,
      aux_sym_type_arguments_repeat1,
  [58031] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(71), 1,
      anon_sym_DQUOTE,
    ACTIONS(2614), 1,
      sym_raw_string_literal,
    STATE(1049), 1,
      sym_interpreted_string_literal,
  [58044] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(2616), 1,
      anon_sym_LF,
    ACTIONS(2618), 2,
      anon_sym_SEMI,
      anon_sym_NULL,
  [58055] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(343), 1,
      anon_sym_RBRACE,
    ACTIONS(2620), 1,
      anon_sym_COMMA,
    STATE(1207), 1,
      aux_sym_literal_value_repeat1,
  [58068] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2622), 1,
      sym_identifier,
    ACTIONS(2624), 1,
      anon_sym_RBRACK,
    STATE(1274), 1,
      sym_type_parameter_declaration,
  [58081] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1385), 1,
      anon_sym_RBRACK,
    ACTIONS(2626), 1,
      anon_sym_COMMA,
    STATE(1119), 1,
      aux_sym_type_case_repeat1,
  [58094] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2628), 1,
      anon_sym_RPAREN,
    ACTIONS(2630), 1,
      anon_sym_COMMA,
    STATE(1187), 1,
      aux_sym_expression_list_repeat1,
  [58107] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(2438), 1,
      anon_sym_LF,
    ACTIONS(2440), 2,
      anon_sym_SEMI,
      anon_sym_NULL,
  [58118] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(533), 1,
      anon_sym_RPAREN,
    ACTIONS(2632), 1,
      anon_sym_COMMA,
    STATE(1225), 1,
      aux_sym_expression_list_repeat1,
  [58131] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2634), 1,
      anon_sym_COMMA,
    ACTIONS(2636), 1,
      anon_sym_RBRACK,
    STATE(1189), 1,
      aux_sym_type_case_repeat1,
  [58144] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1195), 1,
      anon_sym_RPAREN,
    ACTIONS(1197), 1,
      anon_sym_COMMA,
    STATE(1191), 1,
      aux_sym_argument_list_repeat1,
  [58157] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(427), 1,
      anon_sym_RPAREN,
    ACTIONS(2638), 1,
      anon_sym_COMMA,
    STATE(1196), 1,
      aux_sym_argument_list_repeat1,
  [58170] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2581), 1,
      anon_sym_COMMA,
    ACTIONS(2640), 1,
      anon_sym_COLON,
    STATE(1119), 1,
      aux_sym_type_case_repeat1,
  [58183] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(521), 1,
      anon_sym_RPAREN,
    ACTIONS(2642), 1,
      anon_sym_COMMA,
    STATE(1225), 1,
      aux_sym_expression_list_repeat1,
  [58196] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(357), 1,
      anon_sym_RBRACE,
    ACTIONS(2644), 1,
      anon_sym_COMMA,
    STATE(1207), 1,
      aux_sym_literal_value_repeat1,
  [58209] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1415), 1,
      anon_sym_RBRACK,
    ACTIONS(2646), 1,
      anon_sym_COMMA,
    STATE(1119), 1,
      aux_sym_type_case_repeat1,
  [58222] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1391), 1,
      anon_sym_RBRACK,
    ACTIONS(2648), 1,
      anon_sym_COMMA,
    STATE(1119), 1,
      aux_sym_type_case_repeat1,
  [58235] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(449), 1,
      anon_sym_RPAREN,
    ACTIONS(2650), 1,
      anon_sym_COMMA,
    STATE(1196), 1,
      aux_sym_argument_list_repeat1,
  [58248] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(2379), 1,
      anon_sym_LF,
    ACTIONS(2381), 2,
      anon_sym_SEMI,
      anon_sym_NULL,
  [58259] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2652), 3,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
  [58268] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(2422), 1,
      anon_sym_LF,
    ACTIONS(2424), 2,
      anon_sym_SEMI,
      anon_sym_NULL,
  [58279] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1353), 1,
      anon_sym_RBRACK,
    ACTIONS(2654), 1,
      anon_sym_COMMA,
    STATE(1198), 1,
      aux_sym_type_arguments_repeat1,
  [58292] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1249), 1,
      anon_sym_RPAREN,
    ACTIONS(2656), 1,
      anon_sym_COMMA,
    STATE(1196), 1,
      aux_sym_argument_list_repeat1,
  [58305] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(2659), 1,
      anon_sym_LF,
    ACTIONS(2661), 2,
      anon_sym_SEMI,
      anon_sym_NULL,
  [58316] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2663), 1,
      anon_sym_COMMA,
    ACTIONS(2666), 1,
      anon_sym_RBRACK,
    STATE(1198), 1,
      aux_sym_type_arguments_repeat1,
  [58329] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2442), 1,
      sym_identifier,
    ACTIONS(2668), 1,
      anon_sym_LPAREN,
    STATE(974), 1,
      sym_var_spec,
  [58342] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(209), 3,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
  [58351] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2624), 1,
      anon_sym_RBRACK,
    ACTIONS(2670), 1,
      anon_sym_COMMA,
    STATE(1227), 1,
      aux_sym_type_parameter_list_repeat1,
  [58364] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2314), 1,
      anon_sym_COLON,
    ACTIONS(2672), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [58375] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(976), 1,
      anon_sym_LPAREN,
    ACTIONS(2674), 1,
      sym_identifier,
    STATE(624), 1,
      sym_parameter_list,
  [58388] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1233), 1,
      anon_sym_COMMA,
    ACTIONS(1536), 1,
      anon_sym_LBRACE,
    STATE(1209), 1,
      aux_sym_expression_list_repeat1,
  [58401] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2676), 1,
      anon_sym_RPAREN,
    ACTIONS(2678), 1,
      anon_sym_COMMA,
    STATE(1231), 1,
      aux_sym_parameter_list_repeat1,
  [58414] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2310), 1,
      anon_sym_COMMA,
    ACTIONS(2312), 1,
      anon_sym_RBRACE,
    STATE(1210), 1,
      aux_sym_literal_value_repeat1,
  [58427] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2672), 1,
      anon_sym_RBRACE,
    ACTIONS(2680), 1,
      anon_sym_COMMA,
    STATE(1207), 1,
      aux_sym_literal_value_repeat1,
  [58440] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2683), 1,
      anon_sym_COMMA,
    ACTIONS(2685), 1,
      anon_sym_RBRACK,
    STATE(1190), 1,
      aux_sym_type_case_repeat1,
  [58453] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(842), 1,
      anon_sym_LBRACE,
    ACTIONS(2687), 1,
      anon_sym_COMMA,
    STATE(1209), 1,
      aux_sym_expression_list_repeat1,
  [58466] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(347), 1,
      anon_sym_RBRACE,
    ACTIONS(2690), 1,
      anon_sym_COMMA,
    STATE(1207), 1,
      aux_sym_literal_value_repeat1,
  [58479] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2692), 1,
      anon_sym_RPAREN,
    ACTIONS(2694), 1,
      anon_sym_COMMA,
    STATE(1182), 1,
      aux_sym_expression_list_repeat1,
  [58492] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2696), 1,
      anon_sym_COMMA,
    ACTIONS(2698), 1,
      anon_sym_RBRACK,
    STATE(1195), 1,
      aux_sym_type_arguments_repeat1,
  [58505] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1199), 1,
      anon_sym_RPAREN,
    ACTIONS(1201), 1,
      anon_sym_COMMA,
    STATE(1228), 1,
      aux_sym_argument_list_repeat1,
  [58518] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1737), 1,
      anon_sym_DQUOTE,
    ACTIONS(2700), 1,
      sym_raw_string_literal,
    STATE(1120), 1,
      sym_interpreted_string_literal,
  [58531] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2316), 1,
      sym_identifier,
    ACTIONS(2702), 1,
      anon_sym_LPAREN,
    STATE(957), 1,
      sym_const_spec,
  [58544] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(2341), 1,
      anon_sym_LF,
    ACTIONS(2343), 2,
      anon_sym_SEMI,
      anon_sym_NULL,
  [58555] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2484), 1,
      anon_sym_COMMA,
    ACTIONS(2486), 1,
      anon_sym_RBRACE,
    STATE(1232), 1,
      aux_sym_literal_value_repeat1,
  [58568] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2499), 3,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
  [58577] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2622), 1,
      sym_identifier,
    ACTIONS(2704), 1,
      anon_sym_RBRACK,
    STATE(1274), 1,
      sym_type_parameter_declaration,
  [58590] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2706), 1,
      anon_sym_COMMA,
    ACTIONS(2708), 1,
      anon_sym_RBRACK,
    STATE(1130), 1,
      aux_sym_type_case_repeat1,
  [58603] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2710), 3,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
  [58612] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1149), 1,
      anon_sym_RPAREN,
    ACTIONS(1151), 1,
      anon_sym_COMMA,
    STATE(1145), 1,
      aux_sym_argument_list_repeat1,
  [58625] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(2369), 1,
      anon_sym_LF,
    ACTIONS(2371), 2,
      anon_sym_SEMI,
      anon_sym_NULL,
  [58636] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(2492), 1,
      anon_sym_LF,
    ACTIONS(2494), 2,
      anon_sym_SEMI,
      anon_sym_NULL,
  [58647] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(842), 1,
      anon_sym_RPAREN,
    ACTIONS(2712), 1,
      anon_sym_COMMA,
    STATE(1225), 1,
      aux_sym_expression_list_repeat1,
  [58660] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(2501), 1,
      anon_sym_LF,
    ACTIONS(2503), 2,
      anon_sym_SEMI,
      anon_sym_NULL,
  [58671] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2715), 1,
      anon_sym_COMMA,
    ACTIONS(2718), 1,
      anon_sym_RBRACK,
    STATE(1227), 1,
      aux_sym_type_parameter_list_repeat1,
  [58684] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(441), 1,
      anon_sym_RPAREN,
    ACTIONS(2720), 1,
      anon_sym_COMMA,
    STATE(1196), 1,
      aux_sym_argument_list_repeat1,
  [58697] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(2505), 1,
      anon_sym_LF,
    ACTIONS(2507), 2,
      anon_sym_SEMI,
      anon_sym_NULL,
  [58708] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2722), 1,
      anon_sym_RPAREN,
    ACTIONS(2724), 1,
      anon_sym_COMMA,
    STATE(1167), 1,
      aux_sym_expression_list_repeat1,
  [58721] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1153), 1,
      anon_sym_RPAREN,
    ACTIONS(2726), 1,
      anon_sym_COMMA,
    STATE(1172), 1,
      aux_sym_parameter_list_repeat1,
  [58734] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(339), 1,
      anon_sym_RBRACE,
    ACTIONS(2728), 1,
      anon_sym_COMMA,
    STATE(1207), 1,
      aux_sym_literal_value_repeat1,
  [58747] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2730), 1,
      anon_sym_RPAREN,
    ACTIONS(2732), 1,
      anon_sym_COMMA,
    STATE(1132), 1,
      aux_sym_expression_list_repeat1,
  [58760] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2734), 1,
      anon_sym_RPAREN,
    ACTIONS(2736), 1,
      anon_sym_COMMA,
    STATE(1165), 1,
      aux_sym_parameter_list_repeat1,
  [58773] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2460), 1,
      anon_sym_COMMA,
    ACTIONS(2462), 1,
      anon_sym_RBRACE,
    STATE(1188), 1,
      aux_sym_literal_value_repeat1,
  [58786] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1249), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [58794] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2738), 1,
      sym_identifier,
    ACTIONS(2740), 1,
      anon_sym_LPAREN,
  [58804] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2094), 2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [58812] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2396), 2,
      anon_sym_RPAREN,
      sym_identifier,
  [58820] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2742), 1,
      anon_sym_LPAREN,
    ACTIONS(2744), 1,
      anon_sym_LBRACK,
  [58830] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2746), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [58838] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2605), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [58846] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2101), 2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [58854] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2748), 1,
      anon_sym_LBRACE,
    STATE(799), 1,
      sym_field_declaration_list,
  [58864] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2232), 1,
      anon_sym_LBRACE,
    STATE(312), 1,
      sym_literal_value,
  [58874] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2226), 1,
      anon_sym_LBRACE,
    STATE(256), 1,
      sym_literal_value,
  [58884] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2170), 2,
      anon_sym_RPAREN,
      sym_identifier,
  [58892] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2044), 1,
      anon_sym_LPAREN,
    STATE(381), 1,
      sym_parameter_list,
  [58902] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(303), 1,
      anon_sym_LBRACE,
    STATE(423), 1,
      sym_literal_value,
  [58912] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2172), 1,
      anon_sym_LBRACE,
    STATE(492), 1,
      sym_literal_value,
  [58922] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1004), 1,
      anon_sym_LBRACE,
    STATE(559), 1,
      sym_literal_value,
  [58932] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2750), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [58940] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2752), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [58948] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2092), 1,
      anon_sym_LPAREN,
    STATE(498), 1,
      sym_parameter_list,
  [58958] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2754), 1,
      anon_sym_LBRACK,
    STATE(803), 1,
      sym_type_arguments,
  [58968] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2756), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [58976] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2758), 1,
      sym_identifier,
    ACTIONS(2760), 1,
      anon_sym_LPAREN,
  [58986] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2762), 1,
      sym_identifier,
    ACTIONS(2764), 1,
      anon_sym_LPAREN,
  [58996] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2766), 1,
      sym_identifier,
    ACTIONS(2768), 1,
      anon_sym_LPAREN,
  [59006] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1020), 1,
      anon_sym_LPAREN,
    STATE(528), 1,
      sym_argument_list,
  [59016] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(695), 1,
      anon_sym_LPAREN,
    STATE(320), 1,
      sym_argument_list,
  [59026] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2622), 1,
      sym_identifier,
    STATE(1274), 1,
      sym_type_parameter_declaration,
  [59036] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2143), 2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [59044] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2770), 2,
      sym_raw_string_literal,
      anon_sym_DQUOTE,
  [59052] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1893), 2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [59060] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym_LBRACE,
    STATE(933), 1,
      sym_block,
  [59070] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2622), 1,
      sym_identifier,
    STATE(1159), 1,
      sym_type_parameter_declaration,
  [59080] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(976), 1,
      anon_sym_LPAREN,
    STATE(440), 1,
      sym_parameter_list,
  [59090] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1897), 2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [59098] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2044), 1,
      anon_sym_LPAREN,
    STATE(382), 1,
      sym_parameter_list,
  [59108] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2746), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [59116] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2766), 1,
      sym_identifier,
    ACTIONS(2772), 1,
      anon_sym_LPAREN,
  [59126] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2666), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [59134] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2718), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [59142] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2766), 1,
      sym_identifier,
    ACTIONS(2774), 1,
      anon_sym_LPAREN,
  [59152] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2776), 1,
      anon_sym_LPAREN,
    ACTIONS(2778), 1,
      anon_sym_LBRACK,
  [59162] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2758), 1,
      sym_identifier,
    ACTIONS(2780), 1,
      anon_sym_LPAREN,
  [59172] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(920), 1,
      anon_sym_LPAREN,
    STATE(390), 1,
      sym_argument_list,
  [59182] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(976), 1,
      anon_sym_LPAREN,
    STATE(617), 1,
      sym_parameter_list,
  [59192] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2672), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [59200] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2782), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [59208] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2044), 1,
      anon_sym_LPAREN,
    STATE(503), 1,
      sym_parameter_list,
  [59218] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2784), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [59226] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(976), 1,
      anon_sym_LPAREN,
    STATE(443), 1,
      sym_parameter_list,
  [59236] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2092), 1,
      anon_sym_LPAREN,
    STATE(448), 1,
      sym_parameter_list,
  [59246] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(976), 1,
      anon_sym_LPAREN,
    STATE(593), 1,
      sym_parameter_list,
  [59256] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2786), 1,
      anon_sym_LBRACE,
    STATE(860), 1,
      sym_field_declaration_list,
  [59266] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2788), 1,
      anon_sym_LPAREN,
    STATE(257), 1,
      sym_argument_list,
  [59276] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2790), 1,
      sym_identifier,
    ACTIONS(2792), 1,
      anon_sym_LPAREN,
  [59286] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(976), 1,
      anon_sym_LPAREN,
    STATE(601), 1,
      sym_parameter_list,
  [59296] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2766), 1,
      sym_identifier,
    ACTIONS(2794), 1,
      anon_sym_LPAREN,
  [59306] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(836), 1,
      anon_sym_LBRACE,
    STATE(345), 1,
      sym_literal_value,
  [59316] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(976), 1,
      anon_sym_LPAREN,
    STATE(431), 1,
      sym_parameter_list,
  [59326] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2796), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [59334] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(976), 1,
      anon_sym_LPAREN,
    STATE(608), 1,
      sym_parameter_list,
  [59344] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2798), 1,
      anon_sym_LPAREN,
    STATE(479), 1,
      sym_argument_list,
  [59354] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2092), 1,
      anon_sym_LPAREN,
    STATE(480), 1,
      sym_parameter_list,
  [59364] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2800), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [59372] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(976), 1,
      anon_sym_LPAREN,
    STATE(615), 1,
      sym_parameter_list,
  [59382] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2802), 1,
      sym_identifier,
    ACTIONS(2804), 1,
      anon_sym_LPAREN,
  [59392] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2806), 2,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
  [59400] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(840), 1,
      anon_sym_LPAREN,
    STATE(357), 1,
      sym_argument_list,
  [59410] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2808), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [59418] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2810), 1,
      anon_sym_LBRACE,
    STATE(952), 1,
      sym_field_declaration_list,
  [59428] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1943), 1,
      anon_sym_LPAREN,
    ACTIONS(1945), 1,
      anon_sym_LBRACK,
  [59438] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2812), 1,
      anon_sym_LPAREN,
    ACTIONS(2814), 1,
      anon_sym_LBRACK,
  [59448] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2816), 1,
      anon_sym_LPAREN,
    ACTIONS(2818), 1,
      anon_sym_LBRACK,
  [59458] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2820), 1,
      anon_sym_LPAREN,
    ACTIONS(2822), 1,
      anon_sym_LBRACK,
  [59468] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2420), 2,
      anon_sym_RPAREN,
      sym_identifier,
  [59476] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2824), 1,
      anon_sym_chan,
  [59483] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2826), 1,
      anon_sym_EQ,
  [59490] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2828), 1,
      anon_sym_chan,
  [59497] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2830), 1,
      anon_sym_RBRACE,
  [59504] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2597), 1,
      anon_sym_RPAREN,
  [59511] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2832), 1,
      anon_sym_chan,
  [59518] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2834), 1,
      sym_identifier,
  [59525] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2836), 1,
      anon_sym_RBRACE,
  [59532] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2436), 1,
      anon_sym_RBRACE,
  [59539] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2838), 1,
      anon_sym_RPAREN,
  [59546] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2840), 1,
      anon_sym_SEMI,
  [59553] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2842), 1,
      anon_sym_RPAREN,
  [59560] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2844), 1,
      anon_sym_LBRACE,
  [59567] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2846), 1,
      anon_sym_RBRACE,
  [59574] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2848), 1,
      anon_sym_RBRACK,
  [59581] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2850), 1,
      anon_sym_RPAREN,
  [59588] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2852), 1,
      sym_identifier,
  [59595] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2854), 1,
      anon_sym_RBRACE,
  [59602] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2553), 1,
      anon_sym_RPAREN,
  [59609] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2856), 1,
      anon_sym_chan,
  [59616] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2858), 1,
      anon_sym_RPAREN,
  [59623] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2860), 1,
      anon_sym_LBRACE,
  [59630] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2862), 1,
      anon_sym_LBRACE,
  [59637] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2864), 1,
      anon_sym_chan,
  [59644] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2866), 1,
      anon_sym_RBRACE,
  [59651] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2868), 1,
      anon_sym_RBRACK,
  [59658] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2870), 1,
      sym_identifier,
  [59665] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2676), 1,
      anon_sym_RPAREN,
  [59672] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2872), 1,
      sym_identifier,
  [59679] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2874), 1,
      anon_sym_RPAREN,
  [59686] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2876), 1,
      anon_sym_LBRACE,
  [59693] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2878), 1,
      anon_sym_RPAREN,
  [59700] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2880), 1,
      anon_sym_LBRACE,
  [59707] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2882), 1,
      sym_identifier,
  [59714] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2884), 1,
      anon_sym_EQ,
  [59721] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2886), 1,
      ts_builtin_sym_end,
  [59728] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2888), 1,
      anon_sym_LBRACE,
  [59735] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2890), 1,
      sym_identifier,
  [59742] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2892), 1,
      anon_sym_RPAREN,
  [59749] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2894), 1,
      anon_sym_RBRACK,
  [59756] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2896), 1,
      anon_sym_RPAREN,
  [59763] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2898), 1,
      anon_sym_LBRACE,
  [59770] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2900), 1,
      anon_sym_RBRACK,
  [59777] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2902), 1,
      anon_sym_RBRACK,
  [59784] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2904), 1,
      anon_sym_RBRACK,
  [59791] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2906), 1,
      anon_sym_COLON,
  [59798] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2486), 1,
      anon_sym_RBRACE,
  [59805] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2908), 1,
      anon_sym_RPAREN,
  [59812] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2462), 1,
      anon_sym_RBRACE,
  [59819] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2910), 1,
      sym_identifier,
  [59826] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2912), 1,
      anon_sym_LBRACE,
  [59833] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2914), 1,
      anon_sym_COLON,
  [59840] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2916), 1,
      anon_sym_LBRACE,
  [59847] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2918), 1,
      anon_sym_RPAREN,
  [59854] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2920), 1,
      anon_sym_RBRACK,
  [59861] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2922), 1,
      anon_sym_LBRACE,
  [59868] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2377), 1,
      anon_sym_RBRACE,
  [59875] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2924), 1,
      anon_sym_COLON_EQ,
  [59882] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2926), 1,
      sym_identifier,
  [59889] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2928), 1,
      sym_identifier,
  [59896] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2410), 1,
      anon_sym_RBRACE,
  [59903] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2930), 1,
      anon_sym_RPAREN,
  [59910] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2932), 1,
      sym_identifier,
  [59917] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2934), 1,
      anon_sym_RPAREN,
  [59924] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2936), 1,
      anon_sym_chan,
  [59931] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2938), 1,
      anon_sym_RBRACE,
  [59938] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2940), 1,
      anon_sym_LBRACK,
  [59945] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2942), 1,
      anon_sym_RPAREN,
  [59952] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2944), 1,
      anon_sym_LBRACE,
  [59959] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2734), 1,
      anon_sym_RPAREN,
  [59966] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2946), 1,
      anon_sym_SEMI,
  [59973] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2948), 1,
      anon_sym_COLON,
  [59980] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2950), 1,
      anon_sym_LBRACE,
  [59987] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2952), 1,
      anon_sym_RBRACE,
  [59994] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2954), 1,
      anon_sym_RPAREN,
  [60001] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2956), 1,
      anon_sym_RPAREN,
  [60008] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2958), 1,
      anon_sym_LBRACE,
  [60015] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2960), 1,
      anon_sym_LBRACK,
  [60022] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2962), 1,
      anon_sym_SEMI,
  [60029] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2964), 1,
      anon_sym_LBRACK,
  [60036] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2966), 1,
      anon_sym_RPAREN,
  [60043] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2968), 1,
      anon_sym_LBRACK,
  [60050] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2970), 1,
      anon_sym_RPAREN,
  [60057] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2972), 1,
      anon_sym_LBRACK,
  [60064] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2974), 1,
      anon_sym_LBRACE,
  [60071] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2976), 1,
      anon_sym_LBRACK,
  [60078] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2978), 1,
      anon_sym_RPAREN,
  [60085] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2312), 1,
      anon_sym_RBRACE,
};

static const uint32_t ts_small_parse_table_map[] = {
  [SMALL_STATE(28)] = 0,
  [SMALL_STATE(29)] = 119,
  [SMALL_STATE(30)] = 245,
  [SMALL_STATE(31)] = 371,
  [SMALL_STATE(32)] = 497,
  [SMALL_STATE(33)] = 623,
  [SMALL_STATE(34)] = 749,
  [SMALL_STATE(35)] = 875,
  [SMALL_STATE(36)] = 998,
  [SMALL_STATE(37)] = 1121,
  [SMALL_STATE(38)] = 1244,
  [SMALL_STATE(39)] = 1367,
  [SMALL_STATE(40)] = 1490,
  [SMALL_STATE(41)] = 1613,
  [SMALL_STATE(42)] = 1736,
  [SMALL_STATE(43)] = 1859,
  [SMALL_STATE(44)] = 1982,
  [SMALL_STATE(45)] = 2105,
  [SMALL_STATE(46)] = 2228,
  [SMALL_STATE(47)] = 2351,
  [SMALL_STATE(48)] = 2471,
  [SMALL_STATE(49)] = 2588,
  [SMALL_STATE(50)] = 2703,
  [SMALL_STATE(51)] = 2817,
  [SMALL_STATE(52)] = 2931,
  [SMALL_STATE(53)] = 3045,
  [SMALL_STATE(54)] = 3159,
  [SMALL_STATE(55)] = 3273,
  [SMALL_STATE(56)] = 3387,
  [SMALL_STATE(57)] = 3501,
  [SMALL_STATE(58)] = 3615,
  [SMALL_STATE(59)] = 3729,
  [SMALL_STATE(60)] = 3843,
  [SMALL_STATE(61)] = 3957,
  [SMALL_STATE(62)] = 4071,
  [SMALL_STATE(63)] = 4185,
  [SMALL_STATE(64)] = 4299,
  [SMALL_STATE(65)] = 4413,
  [SMALL_STATE(66)] = 4527,
  [SMALL_STATE(67)] = 4641,
  [SMALL_STATE(68)] = 4755,
  [SMALL_STATE(69)] = 4869,
  [SMALL_STATE(70)] = 4983,
  [SMALL_STATE(71)] = 5097,
  [SMALL_STATE(72)] = 5211,
  [SMALL_STATE(73)] = 5325,
  [SMALL_STATE(74)] = 5439,
  [SMALL_STATE(75)] = 5553,
  [SMALL_STATE(76)] = 5667,
  [SMALL_STATE(77)] = 5781,
  [SMALL_STATE(78)] = 5895,
  [SMALL_STATE(79)] = 6009,
  [SMALL_STATE(80)] = 6123,
  [SMALL_STATE(81)] = 6237,
  [SMALL_STATE(82)] = 6348,
  [SMALL_STATE(83)] = 6459,
  [SMALL_STATE(84)] = 6570,
  [SMALL_STATE(85)] = 6681,
  [SMALL_STATE(86)] = 6792,
  [SMALL_STATE(87)] = 6903,
  [SMALL_STATE(88)] = 7014,
  [SMALL_STATE(89)] = 7125,
  [SMALL_STATE(90)] = 7236,
  [SMALL_STATE(91)] = 7347,
  [SMALL_STATE(92)] = 7458,
  [SMALL_STATE(93)] = 7569,
  [SMALL_STATE(94)] = 7680,
  [SMALL_STATE(95)] = 7791,
  [SMALL_STATE(96)] = 7902,
  [SMALL_STATE(97)] = 8013,
  [SMALL_STATE(98)] = 8124,
  [SMALL_STATE(99)] = 8235,
  [SMALL_STATE(100)] = 8346,
  [SMALL_STATE(101)] = 8457,
  [SMALL_STATE(102)] = 8568,
  [SMALL_STATE(103)] = 8679,
  [SMALL_STATE(104)] = 8790,
  [SMALL_STATE(105)] = 8901,
  [SMALL_STATE(106)] = 9012,
  [SMALL_STATE(107)] = 9123,
  [SMALL_STATE(108)] = 9234,
  [SMALL_STATE(109)] = 9345,
  [SMALL_STATE(110)] = 9456,
  [SMALL_STATE(111)] = 9567,
  [SMALL_STATE(112)] = 9678,
  [SMALL_STATE(113)] = 9789,
  [SMALL_STATE(114)] = 9900,
  [SMALL_STATE(115)] = 10011,
  [SMALL_STATE(116)] = 10122,
  [SMALL_STATE(117)] = 10233,
  [SMALL_STATE(118)] = 10344,
  [SMALL_STATE(119)] = 10455,
  [SMALL_STATE(120)] = 10566,
  [SMALL_STATE(121)] = 10677,
  [SMALL_STATE(122)] = 10788,
  [SMALL_STATE(123)] = 10899,
  [SMALL_STATE(124)] = 11010,
  [SMALL_STATE(125)] = 11121,
  [SMALL_STATE(126)] = 11232,
  [SMALL_STATE(127)] = 11343,
  [SMALL_STATE(128)] = 11454,
  [SMALL_STATE(129)] = 11565,
  [SMALL_STATE(130)] = 11676,
  [SMALL_STATE(131)] = 11784,
  [SMALL_STATE(132)] = 11892,
  [SMALL_STATE(133)] = 12000,
  [SMALL_STATE(134)] = 12108,
  [SMALL_STATE(135)] = 12216,
  [SMALL_STATE(136)] = 12324,
  [SMALL_STATE(137)] = 12432,
  [SMALL_STATE(138)] = 12540,
  [SMALL_STATE(139)] = 12648,
  [SMALL_STATE(140)] = 12756,
  [SMALL_STATE(141)] = 12864,
  [SMALL_STATE(142)] = 12972,
  [SMALL_STATE(143)] = 13080,
  [SMALL_STATE(144)] = 13188,
  [SMALL_STATE(145)] = 13296,
  [SMALL_STATE(146)] = 13404,
  [SMALL_STATE(147)] = 13512,
  [SMALL_STATE(148)] = 13620,
  [SMALL_STATE(149)] = 13728,
  [SMALL_STATE(150)] = 13836,
  [SMALL_STATE(151)] = 13944,
  [SMALL_STATE(152)] = 14052,
  [SMALL_STATE(153)] = 14160,
  [SMALL_STATE(154)] = 14268,
  [SMALL_STATE(155)] = 14376,
  [SMALL_STATE(156)] = 14484,
  [SMALL_STATE(157)] = 14592,
  [SMALL_STATE(158)] = 14700,
  [SMALL_STATE(159)] = 14808,
  [SMALL_STATE(160)] = 14916,
  [SMALL_STATE(161)] = 15024,
  [SMALL_STATE(162)] = 15132,
  [SMALL_STATE(163)] = 15240,
  [SMALL_STATE(164)] = 15348,
  [SMALL_STATE(165)] = 15456,
  [SMALL_STATE(166)] = 15564,
  [SMALL_STATE(167)] = 15672,
  [SMALL_STATE(168)] = 15780,
  [SMALL_STATE(169)] = 15888,
  [SMALL_STATE(170)] = 15996,
  [SMALL_STATE(171)] = 16104,
  [SMALL_STATE(172)] = 16212,
  [SMALL_STATE(173)] = 16320,
  [SMALL_STATE(174)] = 16428,
  [SMALL_STATE(175)] = 16536,
  [SMALL_STATE(176)] = 16644,
  [SMALL_STATE(177)] = 16752,
  [SMALL_STATE(178)] = 16860,
  [SMALL_STATE(179)] = 16968,
  [SMALL_STATE(180)] = 17076,
  [SMALL_STATE(181)] = 17184,
  [SMALL_STATE(182)] = 17292,
  [SMALL_STATE(183)] = 17400,
  [SMALL_STATE(184)] = 17508,
  [SMALL_STATE(185)] = 17616,
  [SMALL_STATE(186)] = 17724,
  [SMALL_STATE(187)] = 17832,
  [SMALL_STATE(188)] = 17940,
  [SMALL_STATE(189)] = 18048,
  [SMALL_STATE(190)] = 18156,
  [SMALL_STATE(191)] = 18264,
  [SMALL_STATE(192)] = 18372,
  [SMALL_STATE(193)] = 18480,
  [SMALL_STATE(194)] = 18588,
  [SMALL_STATE(195)] = 18696,
  [SMALL_STATE(196)] = 18804,
  [SMALL_STATE(197)] = 18912,
  [SMALL_STATE(198)] = 19020,
  [SMALL_STATE(199)] = 19128,
  [SMALL_STATE(200)] = 19236,
  [SMALL_STATE(201)] = 19344,
  [SMALL_STATE(202)] = 19452,
  [SMALL_STATE(203)] = 19560,
  [SMALL_STATE(204)] = 19668,
  [SMALL_STATE(205)] = 19776,
  [SMALL_STATE(206)] = 19884,
  [SMALL_STATE(207)] = 19992,
  [SMALL_STATE(208)] = 20100,
  [SMALL_STATE(209)] = 20208,
  [SMALL_STATE(210)] = 20316,
  [SMALL_STATE(211)] = 20424,
  [SMALL_STATE(212)] = 20532,
  [SMALL_STATE(213)] = 20640,
  [SMALL_STATE(214)] = 20748,
  [SMALL_STATE(215)] = 20856,
  [SMALL_STATE(216)] = 20964,
  [SMALL_STATE(217)] = 21072,
  [SMALL_STATE(218)] = 21180,
  [SMALL_STATE(219)] = 21288,
  [SMALL_STATE(220)] = 21396,
  [SMALL_STATE(221)] = 21504,
  [SMALL_STATE(222)] = 21612,
  [SMALL_STATE(223)] = 21720,
  [SMALL_STATE(224)] = 21828,
  [SMALL_STATE(225)] = 21936,
  [SMALL_STATE(226)] = 22044,
  [SMALL_STATE(227)] = 22152,
  [SMALL_STATE(228)] = 22260,
  [SMALL_STATE(229)] = 22368,
  [SMALL_STATE(230)] = 22476,
  [SMALL_STATE(231)] = 22584,
  [SMALL_STATE(232)] = 22692,
  [SMALL_STATE(233)] = 22800,
  [SMALL_STATE(234)] = 22908,
  [SMALL_STATE(235)] = 23016,
  [SMALL_STATE(236)] = 23116,
  [SMALL_STATE(237)] = 23187,
  [SMALL_STATE(238)] = 23258,
  [SMALL_STATE(239)] = 23326,
  [SMALL_STATE(240)] = 23414,
  [SMALL_STATE(241)] = 23479,
  [SMALL_STATE(242)] = 23548,
  [SMALL_STATE(243)] = 23619,
  [SMALL_STATE(244)] = 23686,
  [SMALL_STATE(245)] = 23759,
  [SMALL_STATE(246)] = 23814,
  [SMALL_STATE(247)] = 23879,
  [SMALL_STATE(248)] = 23933,
  [SMALL_STATE(249)] = 23987,
  [SMALL_STATE(250)] = 24045,
  [SMALL_STATE(251)] = 24099,
  [SMALL_STATE(252)] = 24153,
  [SMALL_STATE(253)] = 24206,
  [SMALL_STATE(254)] = 24259,
  [SMALL_STATE(255)] = 24312,
  [SMALL_STATE(256)] = 24365,
  [SMALL_STATE(257)] = 24418,
  [SMALL_STATE(258)] = 24471,
  [SMALL_STATE(259)] = 24524,
  [SMALL_STATE(260)] = 24577,
  [SMALL_STATE(261)] = 24668,
  [SMALL_STATE(262)] = 24721,
  [SMALL_STATE(263)] = 24774,
  [SMALL_STATE(264)] = 24827,
  [SMALL_STATE(265)] = 24880,
  [SMALL_STATE(266)] = 24933,
  [SMALL_STATE(267)] = 24986,
  [SMALL_STATE(268)] = 25039,
  [SMALL_STATE(269)] = 25092,
  [SMALL_STATE(270)] = 25145,
  [SMALL_STATE(271)] = 25198,
  [SMALL_STATE(272)] = 25251,
  [SMALL_STATE(273)] = 25304,
  [SMALL_STATE(274)] = 25357,
  [SMALL_STATE(275)] = 25410,
  [SMALL_STATE(276)] = 25501,
  [SMALL_STATE(277)] = 25554,
  [SMALL_STATE(278)] = 25607,
  [SMALL_STATE(279)] = 25660,
  [SMALL_STATE(280)] = 25713,
  [SMALL_STATE(281)] = 25766,
  [SMALL_STATE(282)] = 25819,
  [SMALL_STATE(283)] = 25872,
  [SMALL_STATE(284)] = 25925,
  [SMALL_STATE(285)] = 25978,
  [SMALL_STATE(286)] = 26031,
  [SMALL_STATE(287)] = 26084,
  [SMALL_STATE(288)] = 26172,
  [SMALL_STATE(289)] = 26257,
  [SMALL_STATE(290)] = 26320,
  [SMALL_STATE(291)] = 26385,
  [SMALL_STATE(292)] = 26454,
  [SMALL_STATE(293)] = 26525,
  [SMALL_STATE(294)] = 26586,
  [SMALL_STATE(295)] = 26647,
  [SMALL_STATE(296)] = 26708,
  [SMALL_STATE(297)] = 26762,
  [SMALL_STATE(298)] = 26811,
  [SMALL_STATE(299)] = 26860,
  [SMALL_STATE(300)] = 26909,
  [SMALL_STATE(301)] = 26958,
  [SMALL_STATE(302)] = 27007,
  [SMALL_STATE(303)] = 27056,
  [SMALL_STATE(304)] = 27105,
  [SMALL_STATE(305)] = 27154,
  [SMALL_STATE(306)] = 27203,
  [SMALL_STATE(307)] = 27252,
  [SMALL_STATE(308)] = 27301,
  [SMALL_STATE(309)] = 27350,
  [SMALL_STATE(310)] = 27399,
  [SMALL_STATE(311)] = 27448,
  [SMALL_STATE(312)] = 27497,
  [SMALL_STATE(313)] = 27546,
  [SMALL_STATE(314)] = 27595,
  [SMALL_STATE(315)] = 27644,
  [SMALL_STATE(316)] = 27693,
  [SMALL_STATE(317)] = 27742,
  [SMALL_STATE(318)] = 27791,
  [SMALL_STATE(319)] = 27840,
  [SMALL_STATE(320)] = 27889,
  [SMALL_STATE(321)] = 27938,
  [SMALL_STATE(322)] = 27987,
  [SMALL_STATE(323)] = 28036,
  [SMALL_STATE(324)] = 28085,
  [SMALL_STATE(325)] = 28134,
  [SMALL_STATE(326)] = 28183,
  [SMALL_STATE(327)] = 28232,
  [SMALL_STATE(328)] = 28281,
  [SMALL_STATE(329)] = 28330,
  [SMALL_STATE(330)] = 28379,
  [SMALL_STATE(331)] = 28428,
  [SMALL_STATE(332)] = 28477,
  [SMALL_STATE(333)] = 28526,
  [SMALL_STATE(334)] = 28575,
  [SMALL_STATE(335)] = 28634,
  [SMALL_STATE(336)] = 28702,
  [SMALL_STATE(337)] = 28758,
  [SMALL_STATE(338)] = 28824,
  [SMALL_STATE(339)] = 28880,
  [SMALL_STATE(340)] = 28938,
  [SMALL_STATE(341)] = 28998,
  [SMALL_STATE(342)] = 29062,
  [SMALL_STATE(343)] = 29111,
  [SMALL_STATE(344)] = 29155,
  [SMALL_STATE(345)] = 29199,
  [SMALL_STATE(346)] = 29243,
  [SMALL_STATE(347)] = 29287,
  [SMALL_STATE(348)] = 29331,
  [SMALL_STATE(349)] = 29375,
  [SMALL_STATE(350)] = 29419,
  [SMALL_STATE(351)] = 29463,
  [SMALL_STATE(352)] = 29507,
  [SMALL_STATE(353)] = 29551,
  [SMALL_STATE(354)] = 29595,
  [SMALL_STATE(355)] = 29639,
  [SMALL_STATE(356)] = 29683,
  [SMALL_STATE(357)] = 29727,
  [SMALL_STATE(358)] = 29771,
  [SMALL_STATE(359)] = 29815,
  [SMALL_STATE(360)] = 29859,
  [SMALL_STATE(361)] = 29903,
  [SMALL_STATE(362)] = 29947,
  [SMALL_STATE(363)] = 29991,
  [SMALL_STATE(364)] = 30035,
  [SMALL_STATE(365)] = 30079,
  [SMALL_STATE(366)] = 30123,
  [SMALL_STATE(367)] = 30167,
  [SMALL_STATE(368)] = 30211,
  [SMALL_STATE(369)] = 30255,
  [SMALL_STATE(370)] = 30299,
  [SMALL_STATE(371)] = 30343,
  [SMALL_STATE(372)] = 30387,
  [SMALL_STATE(373)] = 30431,
  [SMALL_STATE(374)] = 30475,
  [SMALL_STATE(375)] = 30519,
  [SMALL_STATE(376)] = 30563,
  [SMALL_STATE(377)] = 30607,
  [SMALL_STATE(378)] = 30651,
  [SMALL_STATE(379)] = 30695,
  [SMALL_STATE(380)] = 30739,
  [SMALL_STATE(381)] = 30824,
  [SMALL_STATE(382)] = 30895,
  [SMALL_STATE(383)] = 30966,
  [SMALL_STATE(384)] = 31018,
  [SMALL_STATE(385)] = 31070,
  [SMALL_STATE(386)] = 31123,
  [SMALL_STATE(387)] = 31168,
  [SMALL_STATE(388)] = 31243,
  [SMALL_STATE(389)] = 31318,
  [SMALL_STATE(390)] = 31358,
  [SMALL_STATE(391)] = 31398,
  [SMALL_STATE(392)] = 31438,
  [SMALL_STATE(393)] = 31478,
  [SMALL_STATE(394)] = 31518,
  [SMALL_STATE(395)] = 31558,
  [SMALL_STATE(396)] = 31598,
  [SMALL_STATE(397)] = 31638,
  [SMALL_STATE(398)] = 31702,
  [SMALL_STATE(399)] = 31742,
  [SMALL_STATE(400)] = 31782,
  [SMALL_STATE(401)] = 31822,
  [SMALL_STATE(402)] = 31862,
  [SMALL_STATE(403)] = 31902,
  [SMALL_STATE(404)] = 31942,
  [SMALL_STATE(405)] = 31982,
  [SMALL_STATE(406)] = 32022,
  [SMALL_STATE(407)] = 32062,
  [SMALL_STATE(408)] = 32102,
  [SMALL_STATE(409)] = 32142,
  [SMALL_STATE(410)] = 32182,
  [SMALL_STATE(411)] = 32222,
  [SMALL_STATE(412)] = 32262,
  [SMALL_STATE(413)] = 32302,
  [SMALL_STATE(414)] = 32342,
  [SMALL_STATE(415)] = 32382,
  [SMALL_STATE(416)] = 32422,
  [SMALL_STATE(417)] = 32474,
  [SMALL_STATE(418)] = 32514,
  [SMALL_STATE(419)] = 32554,
  [SMALL_STATE(420)] = 32594,
  [SMALL_STATE(421)] = 32634,
  [SMALL_STATE(422)] = 32674,
  [SMALL_STATE(423)] = 32714,
  [SMALL_STATE(424)] = 32754,
  [SMALL_STATE(425)] = 32794,
  [SMALL_STATE(426)] = 32834,
  [SMALL_STATE(427)] = 32874,
  [SMALL_STATE(428)] = 32914,
  [SMALL_STATE(429)] = 32963,
  [SMALL_STATE(430)] = 33012,
  [SMALL_STATE(431)] = 33065,
  [SMALL_STATE(432)] = 33130,
  [SMALL_STATE(433)] = 33187,
  [SMALL_STATE(434)] = 33238,
  [SMALL_STATE(435)] = 33293,
  [SMALL_STATE(436)] = 33352,
  [SMALL_STATE(437)] = 33405,
  [SMALL_STATE(438)] = 33468,
  [SMALL_STATE(439)] = 33525,
  [SMALL_STATE(440)] = 33586,
  [SMALL_STATE(441)] = 33651,
  [SMALL_STATE(442)] = 33709,
  [SMALL_STATE(443)] = 33759,
  [SMALL_STATE(444)] = 33827,
  [SMALL_STATE(445)] = 33885,
  [SMALL_STATE(446)] = 33927,
  [SMALL_STATE(447)] = 33985,
  [SMALL_STATE(448)] = 34057,
  [SMALL_STATE(449)] = 34127,
  [SMALL_STATE(450)] = 34197,
  [SMALL_STATE(451)] = 34271,
  [SMALL_STATE(452)] = 34341,
  [SMALL_STATE(453)] = 34378,
  [SMALL_STATE(454)] = 34415,
  [SMALL_STATE(455)] = 34452,
  [SMALL_STATE(456)] = 34489,
  [SMALL_STATE(457)] = 34526,
  [SMALL_STATE(458)] = 34563,
  [SMALL_STATE(459)] = 34600,
  [SMALL_STATE(460)] = 34637,
  [SMALL_STATE(461)] = 34674,
  [SMALL_STATE(462)] = 34711,
  [SMALL_STATE(463)] = 34762,
  [SMALL_STATE(464)] = 34817,
  [SMALL_STATE(465)] = 34876,
  [SMALL_STATE(466)] = 34937,
  [SMALL_STATE(467)] = 34974,
  [SMALL_STATE(468)] = 35011,
  [SMALL_STATE(469)] = 35080,
  [SMALL_STATE(470)] = 35117,
  [SMALL_STATE(471)] = 35180,
  [SMALL_STATE(472)] = 35217,
  [SMALL_STATE(473)] = 35254,
  [SMALL_STATE(474)] = 35291,
  [SMALL_STATE(475)] = 35328,
  [SMALL_STATE(476)] = 35365,
  [SMALL_STATE(477)] = 35402,
  [SMALL_STATE(478)] = 35471,
  [SMALL_STATE(479)] = 35540,
  [SMALL_STATE(480)] = 35577,
  [SMALL_STATE(481)] = 35642,
  [SMALL_STATE(482)] = 35679,
  [SMALL_STATE(483)] = 35716,
  [SMALL_STATE(484)] = 35753,
  [SMALL_STATE(485)] = 35790,
  [SMALL_STATE(486)] = 35827,
  [SMALL_STATE(487)] = 35864,
  [SMALL_STATE(488)] = 35911,
  [SMALL_STATE(489)] = 35948,
  [SMALL_STATE(490)] = 35985,
  [SMALL_STATE(491)] = 36022,
  [SMALL_STATE(492)] = 36059,
  [SMALL_STATE(493)] = 36096,
  [SMALL_STATE(494)] = 36133,
  [SMALL_STATE(495)] = 36170,
  [SMALL_STATE(496)] = 36207,
  [SMALL_STATE(497)] = 36244,
  [SMALL_STATE(498)] = 36313,
  [SMALL_STATE(499)] = 36378,
  [SMALL_STATE(500)] = 36415,
  [SMALL_STATE(501)] = 36484,
  [SMALL_STATE(502)] = 36531,
  [SMALL_STATE(503)] = 36568,
  [SMALL_STATE(504)] = 36637,
  [SMALL_STATE(505)] = 36703,
  [SMALL_STATE(506)] = 36769,
  [SMALL_STATE(507)] = 36835,
  [SMALL_STATE(508)] = 36901,
  [SMALL_STATE(509)] = 36967,
  [SMALL_STATE(510)] = 37033,
  [SMALL_STATE(511)] = 37099,
  [SMALL_STATE(512)] = 37165,
  [SMALL_STATE(513)] = 37231,
  [SMALL_STATE(514)] = 37271,
  [SMALL_STATE(515)] = 37337,
  [SMALL_STATE(516)] = 37403,
  [SMALL_STATE(517)] = 37469,
  [SMALL_STATE(518)] = 37535,
  [SMALL_STATE(519)] = 37587,
  [SMALL_STATE(520)] = 37651,
  [SMALL_STATE(521)] = 37699,
  [SMALL_STATE(522)] = 37763,
  [SMALL_STATE(523)] = 37798,
  [SMALL_STATE(524)] = 37833,
  [SMALL_STATE(525)] = 37868,
  [SMALL_STATE(526)] = 37903,
  [SMALL_STATE(527)] = 37966,
  [SMALL_STATE(528)] = 38029,
  [SMALL_STATE(529)] = 38064,
  [SMALL_STATE(530)] = 38099,
  [SMALL_STATE(531)] = 38134,
  [SMALL_STATE(532)] = 38199,
  [SMALL_STATE(533)] = 38234,
  [SMALL_STATE(534)] = 38297,
  [SMALL_STATE(535)] = 38332,
  [SMALL_STATE(536)] = 38367,
  [SMALL_STATE(537)] = 38432,
  [SMALL_STATE(538)] = 38495,
  [SMALL_STATE(539)] = 38558,
  [SMALL_STATE(540)] = 38621,
  [SMALL_STATE(541)] = 38656,
  [SMALL_STATE(542)] = 38691,
  [SMALL_STATE(543)] = 38754,
  [SMALL_STATE(544)] = 38789,
  [SMALL_STATE(545)] = 38824,
  [SMALL_STATE(546)] = 38869,
  [SMALL_STATE(547)] = 38904,
  [SMALL_STATE(548)] = 38939,
  [SMALL_STATE(549)] = 38974,
  [SMALL_STATE(550)] = 39009,
  [SMALL_STATE(551)] = 39066,
  [SMALL_STATE(552)] = 39101,
  [SMALL_STATE(553)] = 39164,
  [SMALL_STATE(554)] = 39199,
  [SMALL_STATE(555)] = 39234,
  [SMALL_STATE(556)] = 39269,
  [SMALL_STATE(557)] = 39332,
  [SMALL_STATE(558)] = 39367,
  [SMALL_STATE(559)] = 39402,
  [SMALL_STATE(560)] = 39437,
  [SMALL_STATE(561)] = 39486,
  [SMALL_STATE(562)] = 39543,
  [SMALL_STATE(563)] = 39608,
  [SMALL_STATE(564)] = 39661,
  [SMALL_STATE(565)] = 39696,
  [SMALL_STATE(566)] = 39759,
  [SMALL_STATE(567)] = 39814,
  [SMALL_STATE(568)] = 39879,
  [SMALL_STATE(569)] = 39914,
  [SMALL_STATE(570)] = 39949,
  [SMALL_STATE(571)] = 39998,
  [SMALL_STATE(572)] = 40051,
  [SMALL_STATE(573)] = 40086,
  [SMALL_STATE(574)] = 40141,
  [SMALL_STATE(575)] = 40176,
  [SMALL_STATE(576)] = 40211,
  [SMALL_STATE(577)] = 40246,
  [SMALL_STATE(578)] = 40281,
  [SMALL_STATE(579)] = 40344,
  [SMALL_STATE(580)] = 40403,
  [SMALL_STATE(581)] = 40438,
  [SMALL_STATE(582)] = 40501,
  [SMALL_STATE(583)] = 40536,
  [SMALL_STATE(584)] = 40571,
  [SMALL_STATE(585)] = 40606,
  [SMALL_STATE(586)] = 40667,
  [SMALL_STATE(587)] = 40727,
  [SMALL_STATE(588)] = 40785,
  [SMALL_STATE(589)] = 40843,
  [SMALL_STATE(590)] = 40901,
  [SMALL_STATE(591)] = 40961,
  [SMALL_STATE(592)] = 41021,
  [SMALL_STATE(593)] = 41085,
  [SMALL_STATE(594)] = 41147,
  [SMALL_STATE(595)] = 41207,
  [SMALL_STATE(596)] = 41267,
  [SMALL_STATE(597)] = 41329,
  [SMALL_STATE(598)] = 41389,
  [SMALL_STATE(599)] = 41451,
  [SMALL_STATE(600)] = 41511,
  [SMALL_STATE(601)] = 41575,
  [SMALL_STATE(602)] = 41637,
  [SMALL_STATE(603)] = 41697,
  [SMALL_STATE(604)] = 41759,
  [SMALL_STATE(605)] = 41819,
  [SMALL_STATE(606)] = 41879,
  [SMALL_STATE(607)] = 41941,
  [SMALL_STATE(608)] = 42001,
  [SMALL_STATE(609)] = 42063,
  [SMALL_STATE(610)] = 42123,
  [SMALL_STATE(611)] = 42183,
  [SMALL_STATE(612)] = 42243,
  [SMALL_STATE(613)] = 42303,
  [SMALL_STATE(614)] = 42363,
  [SMALL_STATE(615)] = 42423,
  [SMALL_STATE(616)] = 42485,
  [SMALL_STATE(617)] = 42545,
  [SMALL_STATE(618)] = 42607,
  [SMALL_STATE(619)] = 42667,
  [SMALL_STATE(620)] = 42727,
  [SMALL_STATE(621)] = 42787,
  [SMALL_STATE(622)] = 42847,
  [SMALL_STATE(623)] = 42907,
  [SMALL_STATE(624)] = 42969,
  [SMALL_STATE(625)] = 43031,
  [SMALL_STATE(626)] = 43093,
  [SMALL_STATE(627)] = 43155,
  [SMALL_STATE(628)] = 43215,
  [SMALL_STATE(629)] = 43277,
  [SMALL_STATE(630)] = 43337,
  [SMALL_STATE(631)] = 43397,
  [SMALL_STATE(632)] = 43456,
  [SMALL_STATE(633)] = 43513,
  [SMALL_STATE(634)] = 43572,
  [SMALL_STATE(635)] = 43631,
  [SMALL_STATE(636)] = 43690,
  [SMALL_STATE(637)] = 43749,
  [SMALL_STATE(638)] = 43806,
  [SMALL_STATE(639)] = 43865,
  [SMALL_STATE(640)] = 43922,
  [SMALL_STATE(641)] = 43979,
  [SMALL_STATE(642)] = 44036,
  [SMALL_STATE(643)] = 44093,
  [SMALL_STATE(644)] = 44152,
  [SMALL_STATE(645)] = 44209,
  [SMALL_STATE(646)] = 44266,
  [SMALL_STATE(647)] = 44325,
  [SMALL_STATE(648)] = 44384,
  [SMALL_STATE(649)] = 44441,
  [SMALL_STATE(650)] = 44498,
  [SMALL_STATE(651)] = 44557,
  [SMALL_STATE(652)] = 44616,
  [SMALL_STATE(653)] = 44673,
  [SMALL_STATE(654)] = 44732,
  [SMALL_STATE(655)] = 44791,
  [SMALL_STATE(656)] = 44848,
  [SMALL_STATE(657)] = 44905,
  [SMALL_STATE(658)] = 44962,
  [SMALL_STATE(659)] = 45021,
  [SMALL_STATE(660)] = 45078,
  [SMALL_STATE(661)] = 45135,
  [SMALL_STATE(662)] = 45192,
  [SMALL_STATE(663)] = 45249,
  [SMALL_STATE(664)] = 45308,
  [SMALL_STATE(665)] = 45365,
  [SMALL_STATE(666)] = 45422,
  [SMALL_STATE(667)] = 45479,
  [SMALL_STATE(668)] = 45538,
  [SMALL_STATE(669)] = 45597,
  [SMALL_STATE(670)] = 45656,
  [SMALL_STATE(671)] = 45713,
  [SMALL_STATE(672)] = 45772,
  [SMALL_STATE(673)] = 45829,
  [SMALL_STATE(674)] = 45886,
  [SMALL_STATE(675)] = 45943,
  [SMALL_STATE(676)] = 46000,
  [SMALL_STATE(677)] = 46059,
  [SMALL_STATE(678)] = 46116,
  [SMALL_STATE(679)] = 46173,
  [SMALL_STATE(680)] = 46230,
  [SMALL_STATE(681)] = 46287,
  [SMALL_STATE(682)] = 46343,
  [SMALL_STATE(683)] = 46399,
  [SMALL_STATE(684)] = 46455,
  [SMALL_STATE(685)] = 46511,
  [SMALL_STATE(686)] = 46567,
  [SMALL_STATE(687)] = 46623,
  [SMALL_STATE(688)] = 46679,
  [SMALL_STATE(689)] = 46735,
  [SMALL_STATE(690)] = 46789,
  [SMALL_STATE(691)] = 46845,
  [SMALL_STATE(692)] = 46901,
  [SMALL_STATE(693)] = 46957,
  [SMALL_STATE(694)] = 47013,
  [SMALL_STATE(695)] = 47069,
  [SMALL_STATE(696)] = 47125,
  [SMALL_STATE(697)] = 47181,
  [SMALL_STATE(698)] = 47237,
  [SMALL_STATE(699)] = 47293,
  [SMALL_STATE(700)] = 47349,
  [SMALL_STATE(701)] = 47405,
  [SMALL_STATE(702)] = 47461,
  [SMALL_STATE(703)] = 47517,
  [SMALL_STATE(704)] = 47573,
  [SMALL_STATE(705)] = 47629,
  [SMALL_STATE(706)] = 47685,
  [SMALL_STATE(707)] = 47741,
  [SMALL_STATE(708)] = 47797,
  [SMALL_STATE(709)] = 47853,
  [SMALL_STATE(710)] = 47909,
  [SMALL_STATE(711)] = 47965,
  [SMALL_STATE(712)] = 48021,
  [SMALL_STATE(713)] = 48077,
  [SMALL_STATE(714)] = 48133,
  [SMALL_STATE(715)] = 48189,
  [SMALL_STATE(716)] = 48245,
  [SMALL_STATE(717)] = 48301,
  [SMALL_STATE(718)] = 48357,
  [SMALL_STATE(719)] = 48413,
  [SMALL_STATE(720)] = 48469,
  [SMALL_STATE(721)] = 48525,
  [SMALL_STATE(722)] = 48581,
  [SMALL_STATE(723)] = 48637,
  [SMALL_STATE(724)] = 48693,
  [SMALL_STATE(725)] = 48749,
  [SMALL_STATE(726)] = 48805,
  [SMALL_STATE(727)] = 48861,
  [SMALL_STATE(728)] = 48917,
  [SMALL_STATE(729)] = 48973,
  [SMALL_STATE(730)] = 49029,
  [SMALL_STATE(731)] = 49085,
  [SMALL_STATE(732)] = 49141,
  [SMALL_STATE(733)] = 49197,
  [SMALL_STATE(734)] = 49253,
  [SMALL_STATE(735)] = 49309,
  [SMALL_STATE(736)] = 49365,
  [SMALL_STATE(737)] = 49421,
  [SMALL_STATE(738)] = 49477,
  [SMALL_STATE(739)] = 49533,
  [SMALL_STATE(740)] = 49589,
  [SMALL_STATE(741)] = 49645,
  [SMALL_STATE(742)] = 49701,
  [SMALL_STATE(743)] = 49757,
  [SMALL_STATE(744)] = 49813,
  [SMALL_STATE(745)] = 49869,
  [SMALL_STATE(746)] = 49925,
  [SMALL_STATE(747)] = 49981,
  [SMALL_STATE(748)] = 50037,
  [SMALL_STATE(749)] = 50093,
  [SMALL_STATE(750)] = 50149,
  [SMALL_STATE(751)] = 50205,
  [SMALL_STATE(752)] = 50261,
  [SMALL_STATE(753)] = 50317,
  [SMALL_STATE(754)] = 50373,
  [SMALL_STATE(755)] = 50429,
  [SMALL_STATE(756)] = 50485,
  [SMALL_STATE(757)] = 50541,
  [SMALL_STATE(758)] = 50597,
  [SMALL_STATE(759)] = 50653,
  [SMALL_STATE(760)] = 50709,
  [SMALL_STATE(761)] = 50765,
  [SMALL_STATE(762)] = 50821,
  [SMALL_STATE(763)] = 50877,
  [SMALL_STATE(764)] = 50933,
  [SMALL_STATE(765)] = 50989,
  [SMALL_STATE(766)] = 51045,
  [SMALL_STATE(767)] = 51101,
  [SMALL_STATE(768)] = 51157,
  [SMALL_STATE(769)] = 51213,
  [SMALL_STATE(770)] = 51243,
  [SMALL_STATE(771)] = 51273,
  [SMALL_STATE(772)] = 51303,
  [SMALL_STATE(773)] = 51333,
  [SMALL_STATE(774)] = 51365,
  [SMALL_STATE(775)] = 51392,
  [SMALL_STATE(776)] = 51418,
  [SMALL_STATE(777)] = 51444,
  [SMALL_STATE(778)] = 51470,
  [SMALL_STATE(779)] = 51496,
  [SMALL_STATE(780)] = 51520,
  [SMALL_STATE(781)] = 51544,
  [SMALL_STATE(782)] = 51568,
  [SMALL_STATE(783)] = 51592,
  [SMALL_STATE(784)] = 51617,
  [SMALL_STATE(785)] = 51642,
  [SMALL_STATE(786)] = 51670,
  [SMALL_STATE(787)] = 51698,
  [SMALL_STATE(788)] = 51724,
  [SMALL_STATE(789)] = 51745,
  [SMALL_STATE(790)] = 51768,
  [SMALL_STATE(791)] = 51789,
  [SMALL_STATE(792)] = 51810,
  [SMALL_STATE(793)] = 51831,
  [SMALL_STATE(794)] = 51856,
  [SMALL_STATE(795)] = 51881,
  [SMALL_STATE(796)] = 51906,
  [SMALL_STATE(797)] = 51931,
  [SMALL_STATE(798)] = 51952,
  [SMALL_STATE(799)] = 51972,
  [SMALL_STATE(800)] = 51992,
  [SMALL_STATE(801)] = 52012,
  [SMALL_STATE(802)] = 52032,
  [SMALL_STATE(803)] = 52052,
  [SMALL_STATE(804)] = 52072,
  [SMALL_STATE(805)] = 52092,
  [SMALL_STATE(806)] = 52112,
  [SMALL_STATE(807)] = 52132,
  [SMALL_STATE(808)] = 52152,
  [SMALL_STATE(809)] = 52172,
  [SMALL_STATE(810)] = 52192,
  [SMALL_STATE(811)] = 52212,
  [SMALL_STATE(812)] = 52232,
  [SMALL_STATE(813)] = 52252,
  [SMALL_STATE(814)] = 52272,
  [SMALL_STATE(815)] = 52292,
  [SMALL_STATE(816)] = 52312,
  [SMALL_STATE(817)] = 52332,
  [SMALL_STATE(818)] = 52352,
  [SMALL_STATE(819)] = 52372,
  [SMALL_STATE(820)] = 52392,
  [SMALL_STATE(821)] = 52412,
  [SMALL_STATE(822)] = 52432,
  [SMALL_STATE(823)] = 52452,
  [SMALL_STATE(824)] = 52472,
  [SMALL_STATE(825)] = 52492,
  [SMALL_STATE(826)] = 52512,
  [SMALL_STATE(827)] = 52532,
  [SMALL_STATE(828)] = 52551,
  [SMALL_STATE(829)] = 52574,
  [SMALL_STATE(830)] = 52593,
  [SMALL_STATE(831)] = 52612,
  [SMALL_STATE(832)] = 52634,
  [SMALL_STATE(833)] = 52662,
  [SMALL_STATE(834)] = 52694,
  [SMALL_STATE(835)] = 52724,
  [SMALL_STATE(836)] = 52756,
  [SMALL_STATE(837)] = 52776,
  [SMALL_STATE(838)] = 52807,
  [SMALL_STATE(839)] = 52822,
  [SMALL_STATE(840)] = 52837,
  [SMALL_STATE(841)] = 52852,
  [SMALL_STATE(842)] = 52883,
  [SMALL_STATE(843)] = 52898,
  [SMALL_STATE(844)] = 52913,
  [SMALL_STATE(845)] = 52928,
  [SMALL_STATE(846)] = 52943,
  [SMALL_STATE(847)] = 52974,
  [SMALL_STATE(848)] = 52989,
  [SMALL_STATE(849)] = 53016,
  [SMALL_STATE(850)] = 53031,
  [SMALL_STATE(851)] = 53046,
  [SMALL_STATE(852)] = 53077,
  [SMALL_STATE(853)] = 53092,
  [SMALL_STATE(854)] = 53107,
  [SMALL_STATE(855)] = 53122,
  [SMALL_STATE(856)] = 53137,
  [SMALL_STATE(857)] = 53152,
  [SMALL_STATE(858)] = 53167,
  [SMALL_STATE(859)] = 53182,
  [SMALL_STATE(860)] = 53197,
  [SMALL_STATE(861)] = 53212,
  [SMALL_STATE(862)] = 53227,
  [SMALL_STATE(863)] = 53250,
  [SMALL_STATE(864)] = 53265,
  [SMALL_STATE(865)] = 53296,
  [SMALL_STATE(866)] = 53323,
  [SMALL_STATE(867)] = 53338,
  [SMALL_STATE(868)] = 53353,
  [SMALL_STATE(869)] = 53368,
  [SMALL_STATE(870)] = 53383,
  [SMALL_STATE(871)] = 53402,
  [SMALL_STATE(872)] = 53417,
  [SMALL_STATE(873)] = 53432,
  [SMALL_STATE(874)] = 53463,
  [SMALL_STATE(875)] = 53485,
  [SMALL_STATE(876)] = 53513,
  [SMALL_STATE(877)] = 53541,
  [SMALL_STATE(878)] = 53563,
  [SMALL_STATE(879)] = 53581,
  [SMALL_STATE(880)] = 53609,
  [SMALL_STATE(881)] = 53637,
  [SMALL_STATE(882)] = 53655,
  [SMALL_STATE(883)] = 53675,
  [SMALL_STATE(884)] = 53703,
  [SMALL_STATE(885)] = 53731,
  [SMALL_STATE(886)] = 53759,
  [SMALL_STATE(887)] = 53779,
  [SMALL_STATE(888)] = 53807,
  [SMALL_STATE(889)] = 53835,
  [SMALL_STATE(890)] = 53863,
  [SMALL_STATE(891)] = 53880,
  [SMALL_STATE(892)] = 53897,
  [SMALL_STATE(893)] = 53918,
  [SMALL_STATE(894)] = 53939,
  [SMALL_STATE(895)] = 53960,
  [SMALL_STATE(896)] = 53981,
  [SMALL_STATE(897)] = 53998,
  [SMALL_STATE(898)] = 54023,
  [SMALL_STATE(899)] = 54042,
  [SMALL_STATE(900)] = 54061,
  [SMALL_STATE(901)] = 54078,
  [SMALL_STATE(902)] = 54097,
  [SMALL_STATE(903)] = 54116,
  [SMALL_STATE(904)] = 54133,
  [SMALL_STATE(905)] = 54150,
  [SMALL_STATE(906)] = 54171,
  [SMALL_STATE(907)] = 54190,
  [SMALL_STATE(908)] = 54204,
  [SMALL_STATE(909)] = 54218,
  [SMALL_STATE(910)] = 54232,
  [SMALL_STATE(911)] = 54246,
  [SMALL_STATE(912)] = 54264,
  [SMALL_STATE(913)] = 54278,
  [SMALL_STATE(914)] = 54292,
  [SMALL_STATE(915)] = 54310,
  [SMALL_STATE(916)] = 54324,
  [SMALL_STATE(917)] = 54342,
  [SMALL_STATE(918)] = 54356,
  [SMALL_STATE(919)] = 54374,
  [SMALL_STATE(920)] = 54392,
  [SMALL_STATE(921)] = 54406,
  [SMALL_STATE(922)] = 54420,
  [SMALL_STATE(923)] = 54434,
  [SMALL_STATE(924)] = 54448,
  [SMALL_STATE(925)] = 54468,
  [SMALL_STATE(926)] = 54486,
  [SMALL_STATE(927)] = 54500,
  [SMALL_STATE(928)] = 54514,
  [SMALL_STATE(929)] = 54528,
  [SMALL_STATE(930)] = 54542,
  [SMALL_STATE(931)] = 54556,
  [SMALL_STATE(932)] = 54570,
  [SMALL_STATE(933)] = 54584,
  [SMALL_STATE(934)] = 54598,
  [SMALL_STATE(935)] = 54612,
  [SMALL_STATE(936)] = 54626,
  [SMALL_STATE(937)] = 54640,
  [SMALL_STATE(938)] = 54652,
  [SMALL_STATE(939)] = 54666,
  [SMALL_STATE(940)] = 54680,
  [SMALL_STATE(941)] = 54698,
  [SMALL_STATE(942)] = 54712,
  [SMALL_STATE(943)] = 54726,
  [SMALL_STATE(944)] = 54740,
  [SMALL_STATE(945)] = 54754,
  [SMALL_STATE(946)] = 54772,
  [SMALL_STATE(947)] = 54790,
  [SMALL_STATE(948)] = 54804,
  [SMALL_STATE(949)] = 54818,
  [SMALL_STATE(950)] = 54836,
  [SMALL_STATE(951)] = 54850,
  [SMALL_STATE(952)] = 54872,
  [SMALL_STATE(953)] = 54886,
  [SMALL_STATE(954)] = 54904,
  [SMALL_STATE(955)] = 54918,
  [SMALL_STATE(956)] = 54936,
  [SMALL_STATE(957)] = 54950,
  [SMALL_STATE(958)] = 54964,
  [SMALL_STATE(959)] = 54978,
  [SMALL_STATE(960)] = 54996,
  [SMALL_STATE(961)] = 55010,
  [SMALL_STATE(962)] = 55024,
  [SMALL_STATE(963)] = 55038,
  [SMALL_STATE(964)] = 55056,
  [SMALL_STATE(965)] = 55070,
  [SMALL_STATE(966)] = 55084,
  [SMALL_STATE(967)] = 55098,
  [SMALL_STATE(968)] = 55112,
  [SMALL_STATE(969)] = 55126,
  [SMALL_STATE(970)] = 55144,
  [SMALL_STATE(971)] = 55158,
  [SMALL_STATE(972)] = 55172,
  [SMALL_STATE(973)] = 55186,
  [SMALL_STATE(974)] = 55200,
  [SMALL_STATE(975)] = 55214,
  [SMALL_STATE(976)] = 55232,
  [SMALL_STATE(977)] = 55246,
  [SMALL_STATE(978)] = 55260,
  [SMALL_STATE(979)] = 55282,
  [SMALL_STATE(980)] = 55296,
  [SMALL_STATE(981)] = 55314,
  [SMALL_STATE(982)] = 55328,
  [SMALL_STATE(983)] = 55346,
  [SMALL_STATE(984)] = 55360,
  [SMALL_STATE(985)] = 55374,
  [SMALL_STATE(986)] = 55388,
  [SMALL_STATE(987)] = 55402,
  [SMALL_STATE(988)] = 55416,
  [SMALL_STATE(989)] = 55430,
  [SMALL_STATE(990)] = 55444,
  [SMALL_STATE(991)] = 55458,
  [SMALL_STATE(992)] = 55472,
  [SMALL_STATE(993)] = 55486,
  [SMALL_STATE(994)] = 55500,
  [SMALL_STATE(995)] = 55514,
  [SMALL_STATE(996)] = 55528,
  [SMALL_STATE(997)] = 55546,
  [SMALL_STATE(998)] = 55564,
  [SMALL_STATE(999)] = 55578,
  [SMALL_STATE(1000)] = 55592,
  [SMALL_STATE(1001)] = 55606,
  [SMALL_STATE(1002)] = 55620,
  [SMALL_STATE(1003)] = 55638,
  [SMALL_STATE(1004)] = 55652,
  [SMALL_STATE(1005)] = 55670,
  [SMALL_STATE(1006)] = 55684,
  [SMALL_STATE(1007)] = 55698,
  [SMALL_STATE(1008)] = 55712,
  [SMALL_STATE(1009)] = 55730,
  [SMALL_STATE(1010)] = 55744,
  [SMALL_STATE(1011)] = 55758,
  [SMALL_STATE(1012)] = 55775,
  [SMALL_STATE(1013)] = 55794,
  [SMALL_STATE(1014)] = 55813,
  [SMALL_STATE(1015)] = 55830,
  [SMALL_STATE(1016)] = 55849,
  [SMALL_STATE(1017)] = 55866,
  [SMALL_STATE(1018)] = 55883,
  [SMALL_STATE(1019)] = 55900,
  [SMALL_STATE(1020)] = 55917,
  [SMALL_STATE(1021)] = 55934,
  [SMALL_STATE(1022)] = 55951,
  [SMALL_STATE(1023)] = 55970,
  [SMALL_STATE(1024)] = 55987,
  [SMALL_STATE(1025)] = 56004,
  [SMALL_STATE(1026)] = 56023,
  [SMALL_STATE(1027)] = 56040,
  [SMALL_STATE(1028)] = 56059,
  [SMALL_STATE(1029)] = 56076,
  [SMALL_STATE(1030)] = 56093,
  [SMALL_STATE(1031)] = 56110,
  [SMALL_STATE(1032)] = 56127,
  [SMALL_STATE(1033)] = 56144,
  [SMALL_STATE(1034)] = 56161,
  [SMALL_STATE(1035)] = 56178,
  [SMALL_STATE(1036)] = 56195,
  [SMALL_STATE(1037)] = 56212,
  [SMALL_STATE(1038)] = 56229,
  [SMALL_STATE(1039)] = 56246,
  [SMALL_STATE(1040)] = 56263,
  [SMALL_STATE(1041)] = 56276,
  [SMALL_STATE(1042)] = 56293,
  [SMALL_STATE(1043)] = 56310,
  [SMALL_STATE(1044)] = 56324,
  [SMALL_STATE(1045)] = 56340,
  [SMALL_STATE(1046)] = 56356,
  [SMALL_STATE(1047)] = 56368,
  [SMALL_STATE(1048)] = 56380,
  [SMALL_STATE(1049)] = 56392,
  [SMALL_STATE(1050)] = 56404,
  [SMALL_STATE(1051)] = 56418,
  [SMALL_STATE(1052)] = 56430,
  [SMALL_STATE(1053)] = 56442,
  [SMALL_STATE(1054)] = 56454,
  [SMALL_STATE(1055)] = 56468,
  [SMALL_STATE(1056)] = 56480,
  [SMALL_STATE(1057)] = 56492,
  [SMALL_STATE(1058)] = 56506,
  [SMALL_STATE(1059)] = 56520,
  [SMALL_STATE(1060)] = 56532,
  [SMALL_STATE(1061)] = 56544,
  [SMALL_STATE(1062)] = 56556,
  [SMALL_STATE(1063)] = 56568,
  [SMALL_STATE(1064)] = 56580,
  [SMALL_STATE(1065)] = 56594,
  [SMALL_STATE(1066)] = 56608,
  [SMALL_STATE(1067)] = 56622,
  [SMALL_STATE(1068)] = 56636,
  [SMALL_STATE(1069)] = 56652,
  [SMALL_STATE(1070)] = 56664,
  [SMALL_STATE(1071)] = 56676,
  [SMALL_STATE(1072)] = 56688,
  [SMALL_STATE(1073)] = 56702,
  [SMALL_STATE(1074)] = 56714,
  [SMALL_STATE(1075)] = 56730,
  [SMALL_STATE(1076)] = 56744,
  [SMALL_STATE(1077)] = 56758,
  [SMALL_STATE(1078)] = 56772,
  [SMALL_STATE(1079)] = 56784,
  [SMALL_STATE(1080)] = 56798,
  [SMALL_STATE(1081)] = 56812,
  [SMALL_STATE(1082)] = 56828,
  [SMALL_STATE(1083)] = 56842,
  [SMALL_STATE(1084)] = 56856,
  [SMALL_STATE(1085)] = 56872,
  [SMALL_STATE(1086)] = 56884,
  [SMALL_STATE(1087)] = 56898,
  [SMALL_STATE(1088)] = 56910,
  [SMALL_STATE(1089)] = 56924,
  [SMALL_STATE(1090)] = 56940,
  [SMALL_STATE(1091)] = 56954,
  [SMALL_STATE(1092)] = 56968,
  [SMALL_STATE(1093)] = 56984,
  [SMALL_STATE(1094)] = 56996,
  [SMALL_STATE(1095)] = 57008,
  [SMALL_STATE(1096)] = 57024,
  [SMALL_STATE(1097)] = 57038,
  [SMALL_STATE(1098)] = 57052,
  [SMALL_STATE(1099)] = 57066,
  [SMALL_STATE(1100)] = 57080,
  [SMALL_STATE(1101)] = 57094,
  [SMALL_STATE(1102)] = 57110,
  [SMALL_STATE(1103)] = 57124,
  [SMALL_STATE(1104)] = 57140,
  [SMALL_STATE(1105)] = 57156,
  [SMALL_STATE(1106)] = 57168,
  [SMALL_STATE(1107)] = 57180,
  [SMALL_STATE(1108)] = 57192,
  [SMALL_STATE(1109)] = 57204,
  [SMALL_STATE(1110)] = 57218,
  [SMALL_STATE(1111)] = 57232,
  [SMALL_STATE(1112)] = 57248,
  [SMALL_STATE(1113)] = 57262,
  [SMALL_STATE(1114)] = 57276,
  [SMALL_STATE(1115)] = 57290,
  [SMALL_STATE(1116)] = 57306,
  [SMALL_STATE(1117)] = 57318,
  [SMALL_STATE(1118)] = 57330,
  [SMALL_STATE(1119)] = 57342,
  [SMALL_STATE(1120)] = 57356,
  [SMALL_STATE(1121)] = 57368,
  [SMALL_STATE(1122)] = 57380,
  [SMALL_STATE(1123)] = 57392,
  [SMALL_STATE(1124)] = 57404,
  [SMALL_STATE(1125)] = 57416,
  [SMALL_STATE(1126)] = 57430,
  [SMALL_STATE(1127)] = 57443,
  [SMALL_STATE(1128)] = 57456,
  [SMALL_STATE(1129)] = 57465,
  [SMALL_STATE(1130)] = 57478,
  [SMALL_STATE(1131)] = 57491,
  [SMALL_STATE(1132)] = 57504,
  [SMALL_STATE(1133)] = 57517,
  [SMALL_STATE(1134)] = 57530,
  [SMALL_STATE(1135)] = 57539,
  [SMALL_STATE(1136)] = 57552,
  [SMALL_STATE(1137)] = 57565,
  [SMALL_STATE(1138)] = 57578,
  [SMALL_STATE(1139)] = 57589,
  [SMALL_STATE(1140)] = 57602,
  [SMALL_STATE(1141)] = 57613,
  [SMALL_STATE(1142)] = 57622,
  [SMALL_STATE(1143)] = 57633,
  [SMALL_STATE(1144)] = 57644,
  [SMALL_STATE(1145)] = 57657,
  [SMALL_STATE(1146)] = 57670,
  [SMALL_STATE(1147)] = 57683,
  [SMALL_STATE(1148)] = 57694,
  [SMALL_STATE(1149)] = 57707,
  [SMALL_STATE(1150)] = 57720,
  [SMALL_STATE(1151)] = 57733,
  [SMALL_STATE(1152)] = 57746,
  [SMALL_STATE(1153)] = 57755,
  [SMALL_STATE(1154)] = 57768,
  [SMALL_STATE(1155)] = 57779,
  [SMALL_STATE(1156)] = 57792,
  [SMALL_STATE(1157)] = 57805,
  [SMALL_STATE(1158)] = 57814,
  [SMALL_STATE(1159)] = 57827,
  [SMALL_STATE(1160)] = 57840,
  [SMALL_STATE(1161)] = 57853,
  [SMALL_STATE(1162)] = 57866,
  [SMALL_STATE(1163)] = 57879,
  [SMALL_STATE(1164)] = 57892,
  [SMALL_STATE(1165)] = 57905,
  [SMALL_STATE(1166)] = 57918,
  [SMALL_STATE(1167)] = 57927,
  [SMALL_STATE(1168)] = 57940,
  [SMALL_STATE(1169)] = 57953,
  [SMALL_STATE(1170)] = 57966,
  [SMALL_STATE(1171)] = 57979,
  [SMALL_STATE(1172)] = 57992,
  [SMALL_STATE(1173)] = 58005,
  [SMALL_STATE(1174)] = 58018,
  [SMALL_STATE(1175)] = 58031,
  [SMALL_STATE(1176)] = 58044,
  [SMALL_STATE(1177)] = 58055,
  [SMALL_STATE(1178)] = 58068,
  [SMALL_STATE(1179)] = 58081,
  [SMALL_STATE(1180)] = 58094,
  [SMALL_STATE(1181)] = 58107,
  [SMALL_STATE(1182)] = 58118,
  [SMALL_STATE(1183)] = 58131,
  [SMALL_STATE(1184)] = 58144,
  [SMALL_STATE(1185)] = 58157,
  [SMALL_STATE(1186)] = 58170,
  [SMALL_STATE(1187)] = 58183,
  [SMALL_STATE(1188)] = 58196,
  [SMALL_STATE(1189)] = 58209,
  [SMALL_STATE(1190)] = 58222,
  [SMALL_STATE(1191)] = 58235,
  [SMALL_STATE(1192)] = 58248,
  [SMALL_STATE(1193)] = 58259,
  [SMALL_STATE(1194)] = 58268,
  [SMALL_STATE(1195)] = 58279,
  [SMALL_STATE(1196)] = 58292,
  [SMALL_STATE(1197)] = 58305,
  [SMALL_STATE(1198)] = 58316,
  [SMALL_STATE(1199)] = 58329,
  [SMALL_STATE(1200)] = 58342,
  [SMALL_STATE(1201)] = 58351,
  [SMALL_STATE(1202)] = 58364,
  [SMALL_STATE(1203)] = 58375,
  [SMALL_STATE(1204)] = 58388,
  [SMALL_STATE(1205)] = 58401,
  [SMALL_STATE(1206)] = 58414,
  [SMALL_STATE(1207)] = 58427,
  [SMALL_STATE(1208)] = 58440,
  [SMALL_STATE(1209)] = 58453,
  [SMALL_STATE(1210)] = 58466,
  [SMALL_STATE(1211)] = 58479,
  [SMALL_STATE(1212)] = 58492,
  [SMALL_STATE(1213)] = 58505,
  [SMALL_STATE(1214)] = 58518,
  [SMALL_STATE(1215)] = 58531,
  [SMALL_STATE(1216)] = 58544,
  [SMALL_STATE(1217)] = 58555,
  [SMALL_STATE(1218)] = 58568,
  [SMALL_STATE(1219)] = 58577,
  [SMALL_STATE(1220)] = 58590,
  [SMALL_STATE(1221)] = 58603,
  [SMALL_STATE(1222)] = 58612,
  [SMALL_STATE(1223)] = 58625,
  [SMALL_STATE(1224)] = 58636,
  [SMALL_STATE(1225)] = 58647,
  [SMALL_STATE(1226)] = 58660,
  [SMALL_STATE(1227)] = 58671,
  [SMALL_STATE(1228)] = 58684,
  [SMALL_STATE(1229)] = 58697,
  [SMALL_STATE(1230)] = 58708,
  [SMALL_STATE(1231)] = 58721,
  [SMALL_STATE(1232)] = 58734,
  [SMALL_STATE(1233)] = 58747,
  [SMALL_STATE(1234)] = 58760,
  [SMALL_STATE(1235)] = 58773,
  [SMALL_STATE(1236)] = 58786,
  [SMALL_STATE(1237)] = 58794,
  [SMALL_STATE(1238)] = 58804,
  [SMALL_STATE(1239)] = 58812,
  [SMALL_STATE(1240)] = 58820,
  [SMALL_STATE(1241)] = 58830,
  [SMALL_STATE(1242)] = 58838,
  [SMALL_STATE(1243)] = 58846,
  [SMALL_STATE(1244)] = 58854,
  [SMALL_STATE(1245)] = 58864,
  [SMALL_STATE(1246)] = 58874,
  [SMALL_STATE(1247)] = 58884,
  [SMALL_STATE(1248)] = 58892,
  [SMALL_STATE(1249)] = 58902,
  [SMALL_STATE(1250)] = 58912,
  [SMALL_STATE(1251)] = 58922,
  [SMALL_STATE(1252)] = 58932,
  [SMALL_STATE(1253)] = 58940,
  [SMALL_STATE(1254)] = 58948,
  [SMALL_STATE(1255)] = 58958,
  [SMALL_STATE(1256)] = 58968,
  [SMALL_STATE(1257)] = 58976,
  [SMALL_STATE(1258)] = 58986,
  [SMALL_STATE(1259)] = 58996,
  [SMALL_STATE(1260)] = 59006,
  [SMALL_STATE(1261)] = 59016,
  [SMALL_STATE(1262)] = 59026,
  [SMALL_STATE(1263)] = 59036,
  [SMALL_STATE(1264)] = 59044,
  [SMALL_STATE(1265)] = 59052,
  [SMALL_STATE(1266)] = 59060,
  [SMALL_STATE(1267)] = 59070,
  [SMALL_STATE(1268)] = 59080,
  [SMALL_STATE(1269)] = 59090,
  [SMALL_STATE(1270)] = 59098,
  [SMALL_STATE(1271)] = 59108,
  [SMALL_STATE(1272)] = 59116,
  [SMALL_STATE(1273)] = 59126,
  [SMALL_STATE(1274)] = 59134,
  [SMALL_STATE(1275)] = 59142,
  [SMALL_STATE(1276)] = 59152,
  [SMALL_STATE(1277)] = 59162,
  [SMALL_STATE(1278)] = 59172,
  [SMALL_STATE(1279)] = 59182,
  [SMALL_STATE(1280)] = 59192,
  [SMALL_STATE(1281)] = 59200,
  [SMALL_STATE(1282)] = 59208,
  [SMALL_STATE(1283)] = 59218,
  [SMALL_STATE(1284)] = 59226,
  [SMALL_STATE(1285)] = 59236,
  [SMALL_STATE(1286)] = 59246,
  [SMALL_STATE(1287)] = 59256,
  [SMALL_STATE(1288)] = 59266,
  [SMALL_STATE(1289)] = 59276,
  [SMALL_STATE(1290)] = 59286,
  [SMALL_STATE(1291)] = 59296,
  [SMALL_STATE(1292)] = 59306,
  [SMALL_STATE(1293)] = 59316,
  [SMALL_STATE(1294)] = 59326,
  [SMALL_STATE(1295)] = 59334,
  [SMALL_STATE(1296)] = 59344,
  [SMALL_STATE(1297)] = 59354,
  [SMALL_STATE(1298)] = 59364,
  [SMALL_STATE(1299)] = 59372,
  [SMALL_STATE(1300)] = 59382,
  [SMALL_STATE(1301)] = 59392,
  [SMALL_STATE(1302)] = 59400,
  [SMALL_STATE(1303)] = 59410,
  [SMALL_STATE(1304)] = 59418,
  [SMALL_STATE(1305)] = 59428,
  [SMALL_STATE(1306)] = 59438,
  [SMALL_STATE(1307)] = 59448,
  [SMALL_STATE(1308)] = 59458,
  [SMALL_STATE(1309)] = 59468,
  [SMALL_STATE(1310)] = 59476,
  [SMALL_STATE(1311)] = 59483,
  [SMALL_STATE(1312)] = 59490,
  [SMALL_STATE(1313)] = 59497,
  [SMALL_STATE(1314)] = 59504,
  [SMALL_STATE(1315)] = 59511,
  [SMALL_STATE(1316)] = 59518,
  [SMALL_STATE(1317)] = 59525,
  [SMALL_STATE(1318)] = 59532,
  [SMALL_STATE(1319)] = 59539,
  [SMALL_STATE(1320)] = 59546,
  [SMALL_STATE(1321)] = 59553,
  [SMALL_STATE(1322)] = 59560,
  [SMALL_STATE(1323)] = 59567,
  [SMALL_STATE(1324)] = 59574,
  [SMALL_STATE(1325)] = 59581,
  [SMALL_STATE(1326)] = 59588,
  [SMALL_STATE(1327)] = 59595,
  [SMALL_STATE(1328)] = 59602,
  [SMALL_STATE(1329)] = 59609,
  [SMALL_STATE(1330)] = 59616,
  [SMALL_STATE(1331)] = 59623,
  [SMALL_STATE(1332)] = 59630,
  [SMALL_STATE(1333)] = 59637,
  [SMALL_STATE(1334)] = 59644,
  [SMALL_STATE(1335)] = 59651,
  [SMALL_STATE(1336)] = 59658,
  [SMALL_STATE(1337)] = 59665,
  [SMALL_STATE(1338)] = 59672,
  [SMALL_STATE(1339)] = 59679,
  [SMALL_STATE(1340)] = 59686,
  [SMALL_STATE(1341)] = 59693,
  [SMALL_STATE(1342)] = 59700,
  [SMALL_STATE(1343)] = 59707,
  [SMALL_STATE(1344)] = 59714,
  [SMALL_STATE(1345)] = 59721,
  [SMALL_STATE(1346)] = 59728,
  [SMALL_STATE(1347)] = 59735,
  [SMALL_STATE(1348)] = 59742,
  [SMALL_STATE(1349)] = 59749,
  [SMALL_STATE(1350)] = 59756,
  [SMALL_STATE(1351)] = 59763,
  [SMALL_STATE(1352)] = 59770,
  [SMALL_STATE(1353)] = 59777,
  [SMALL_STATE(1354)] = 59784,
  [SMALL_STATE(1355)] = 59791,
  [SMALL_STATE(1356)] = 59798,
  [SMALL_STATE(1357)] = 59805,
  [SMALL_STATE(1358)] = 59812,
  [SMALL_STATE(1359)] = 59819,
  [SMALL_STATE(1360)] = 59826,
  [SMALL_STATE(1361)] = 59833,
  [SMALL_STATE(1362)] = 59840,
  [SMALL_STATE(1363)] = 59847,
  [SMALL_STATE(1364)] = 59854,
  [SMALL_STATE(1365)] = 59861,
  [SMALL_STATE(1366)] = 59868,
  [SMALL_STATE(1367)] = 59875,
  [SMALL_STATE(1368)] = 59882,
  [SMALL_STATE(1369)] = 59889,
  [SMALL_STATE(1370)] = 59896,
  [SMALL_STATE(1371)] = 59903,
  [SMALL_STATE(1372)] = 59910,
  [SMALL_STATE(1373)] = 59917,
  [SMALL_STATE(1374)] = 59924,
  [SMALL_STATE(1375)] = 59931,
  [SMALL_STATE(1376)] = 59938,
  [SMALL_STATE(1377)] = 59945,
  [SMALL_STATE(1378)] = 59952,
  [SMALL_STATE(1379)] = 59959,
  [SMALL_STATE(1380)] = 59966,
  [SMALL_STATE(1381)] = 59973,
  [SMALL_STATE(1382)] = 59980,
  [SMALL_STATE(1383)] = 59987,
  [SMALL_STATE(1384)] = 59994,
  [SMALL_STATE(1385)] = 60001,
  [SMALL_STATE(1386)] = 60008,
  [SMALL_STATE(1387)] = 60015,
  [SMALL_STATE(1388)] = 60022,
  [SMALL_STATE(1389)] = 60029,
  [SMALL_STATE(1390)] = 60036,
  [SMALL_STATE(1391)] = 60043,
  [SMALL_STATE(1392)] = 60050,
  [SMALL_STATE(1393)] = 60057,
  [SMALL_STATE(1394)] = 60064,
  [SMALL_STATE(1395)] = 60071,
  [SMALL_STATE(1396)] = 60078,
  [SMALL_STATE(1397)] = 60085,
};

static const TSParseActionEntry ts_parse_actions[] = {
  [0] = {.entry = {.count = 0, .reusable = false}},
  [1] = {.entry = {.count = 1, .reusable = false}}, RECOVER(),
  [3] = {.entry = {.count = 1, .reusable = true}}, SHIFT_EXTRA(),
  [5] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_source_file, 0, 0, 0),
  [7] = {.entry = {.count = 1, .reusable = false}}, SHIFT(237),
  [9] = {.entry = {.count = 1, .reusable = true}}, SHIFT(990),
  [11] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1343),
  [13] = {.entry = {.count = 1, .reusable = false}}, SHIFT(835),
  [15] = {.entry = {.count = 1, .reusable = true}}, SHIFT(135),
  [17] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1215),
  [19] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1199),
  [21] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1144),
  [23] = {.entry = {.count = 1, .reusable = true}}, SHIFT(50),
  [25] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1099),
  [27] = {.entry = {.count = 1, .reusable = true}}, SHIFT(148),
  [29] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1287),
  [31] = {.entry = {.count = 1, .reusable = true}}, SHIFT(682),
  [33] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11),
  [35] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1342),
  [37] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1376),
  [39] = {.entry = {.count = 1, .reusable = false}}, SHIFT(724),
  [41] = {.entry = {.count = 1, .reusable = true}}, SHIFT(146),
  [43] = {.entry = {.count = 1, .reusable = false}}, SHIFT(917),
  [45] = {.entry = {.count = 1, .reusable = false}}, SHIFT(890),
  [47] = {.entry = {.count = 1, .reusable = false}}, SHIFT(896),
  [49] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1372),
  [51] = {.entry = {.count = 1, .reusable = false}}, SHIFT(28),
  [53] = {.entry = {.count = 1, .reusable = false}}, SHIFT(150),
  [55] = {.entry = {.count = 1, .reusable = false}}, SHIFT(165),
  [57] = {.entry = {.count = 1, .reusable = false}}, SHIFT(27),
  [59] = {.entry = {.count = 1, .reusable = false}}, SHIFT(21),
  [61] = {.entry = {.count = 1, .reusable = false}}, SHIFT(22),
  [63] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1322),
  [65] = {.entry = {.count = 1, .reusable = false}}, SHIFT(249),
  [67] = {.entry = {.count = 1, .reusable = true}}, SHIFT(160),
  [69] = {.entry = {.count = 1, .reusable = true}}, SHIFT(253),
  [71] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1112),
  [73] = {.entry = {.count = 1, .reusable = false}}, SHIFT(253),
  [75] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_source_file, 1, 0, 0),
  [77] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0),
  [79] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(237),
  [82] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(990),
  [85] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(1326),
  [88] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(833),
  [91] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(135),
  [94] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(1215),
  [97] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(1199),
  [100] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(1203),
  [103] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(50),
  [106] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(1099),
  [109] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(148),
  [112] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(1287),
  [115] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(682),
  [118] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(11),
  [121] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(1342),
  [124] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(1376),
  [127] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(724),
  [130] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(146),
  [133] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(917),
  [136] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(890),
  [139] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(896),
  [142] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(1372),
  [145] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(28),
  [148] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(150),
  [151] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(165),
  [154] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(27),
  [157] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(21),
  [160] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(22),
  [163] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(1322),
  [166] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(249),
  [169] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(160),
  [172] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(253),
  [175] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(1112),
  [178] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(253),
  [181] = {.entry = {.count = 1, .reusable = false}}, SHIFT(236),
  [183] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1279),
  [185] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_case, 4, 0, 102),
  [187] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_case, 4, 0, 102),
  [189] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_default_case, 2, 0, 0),
  [191] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_default_case, 2, 0, 0),
  [193] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expression_case, 3, 0, 7),
  [195] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_expression_case, 3, 0, 7),
  [197] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_communication_case, 3, 0, 88),
  [199] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_communication_case, 3, 0, 88),
  [201] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_case, 3, 0, 39),
  [203] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_case, 3, 0, 39),
  [205] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__statement_list, 2, 0, 0),
  [207] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__statement_list, 2, 0, 0),
  [209] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__statement_list, 3, 0, 0),
  [211] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__statement_list, 3, 0, 0),
  [213] = {.entry = {.count = 1, .reusable = true}}, SHIFT(247),
  [215] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1093),
  [217] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_empty_labeled_statement, 2, 0, 26),
  [219] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_empty_labeled_statement, 2, 0, 26),
  [221] = {.entry = {.count = 1, .reusable = true}}, SHIFT(420),
  [223] = {.entry = {.count = 1, .reusable = true}}, SHIFT(456),
  [225] = {.entry = {.count = 1, .reusable = true}}, SHIFT(309),
  [227] = {.entry = {.count = 1, .reusable = true}}, SHIFT(353),
  [229] = {.entry = {.count = 1, .reusable = true}}, SHIFT(547),
  [231] = {.entry = {.count = 1, .reusable = false}}, SHIFT(293),
  [233] = {.entry = {.count = 1, .reusable = true}}, SHIFT(85),
  [235] = {.entry = {.count = 1, .reusable = true}}, SHIFT(219),
  [237] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1290),
  [239] = {.entry = {.count = 1, .reusable = true}}, SHIFT(174),
  [241] = {.entry = {.count = 1, .reusable = true}}, SHIFT(176),
  [243] = {.entry = {.count = 1, .reusable = false}}, SHIFT(149),
  [245] = {.entry = {.count = 1, .reusable = false}}, SHIFT(296),
  [247] = {.entry = {.count = 1, .reusable = true}}, SHIFT(196),
  [249] = {.entry = {.count = 1, .reusable = true}}, SHIFT(306),
  [251] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1125),
  [253] = {.entry = {.count = 1, .reusable = false}}, SHIFT(306),
  [255] = {.entry = {.count = 1, .reusable = true}}, SHIFT(918),
  [257] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_clause, 4, 0, 86),
  [259] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_clause, 3, 0, 56),
  [261] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_clause, 3, 0, 55),
  [263] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_clause, 2, 0, 0),
  [265] = {.entry = {.count = 1, .reusable = false}}, SHIFT(416),
  [267] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_return_statement, 1, 0, 0),
  [269] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_return_statement, 1, 0, 0),
  [271] = {.entry = {.count = 1, .reusable = false}}, SHIFT(214),
  [273] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1286),
  [275] = {.entry = {.count = 1, .reusable = false}}, SHIFT(50),
  [277] = {.entry = {.count = 1, .reusable = false}}, SHIFT(166),
  [279] = {.entry = {.count = 1, .reusable = false}}, SHIFT(682),
  [281] = {.entry = {.count = 1, .reusable = false}}, SHIFT(168),
  [283] = {.entry = {.count = 1, .reusable = false}}, SHIFT(445),
  [285] = {.entry = {.count = 1, .reusable = false}}, SHIFT(189),
  [287] = {.entry = {.count = 1, .reusable = false}}, SHIFT(488),
  [289] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1075),
  [291] = {.entry = {.count = 1, .reusable = false}}, SHIFT_EXTRA(),
  [293] = {.entry = {.count = 1, .reusable = false}}, SHIFT(385),
  [295] = {.entry = {.count = 1, .reusable = true}}, SHIFT(209),
  [297] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1397),
  [299] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1284),
  [301] = {.entry = {.count = 1, .reusable = true}}, SHIFT(157),
  [303] = {.entry = {.count = 1, .reusable = true}}, SHIFT(30),
  [305] = {.entry = {.count = 1, .reusable = true}}, SHIFT(286),
  [307] = {.entry = {.count = 1, .reusable = true}}, SHIFT(158),
  [309] = {.entry = {.count = 1, .reusable = false}}, SHIFT(386),
  [311] = {.entry = {.count = 1, .reusable = true}}, SHIFT(182),
  [313] = {.entry = {.count = 1, .reusable = true}}, SHIFT(419),
  [315] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1057),
  [317] = {.entry = {.count = 1, .reusable = false}}, SHIFT(419),
  [319] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1356),
  [321] = {.entry = {.count = 1, .reusable = true}}, SHIFT(427),
  [323] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1370),
  [325] = {.entry = {.count = 1, .reusable = true}}, SHIFT(316),
  [327] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1366),
  [329] = {.entry = {.count = 1, .reusable = true}}, SHIFT(496),
  [331] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1318),
  [333] = {.entry = {.count = 1, .reusable = true}}, SHIFT(350),
  [335] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1358),
  [337] = {.entry = {.count = 1, .reusable = true}}, SHIFT(577),
  [339] = {.entry = {.count = 1, .reusable = true}}, SHIFT(401),
  [341] = {.entry = {.count = 1, .reusable = true}}, SHIFT(410),
  [343] = {.entry = {.count = 1, .reusable = true}}, SHIFT(453),
  [345] = {.entry = {.count = 1, .reusable = true}}, SHIFT(469),
  [347] = {.entry = {.count = 1, .reusable = true}}, SHIFT(270),
  [349] = {.entry = {.count = 1, .reusable = true}}, SHIFT(279),
  [351] = {.entry = {.count = 1, .reusable = true}}, SHIFT(331),
  [353] = {.entry = {.count = 1, .reusable = true}}, SHIFT(307),
  [355] = {.entry = {.count = 1, .reusable = true}}, SHIFT(367),
  [357] = {.entry = {.count = 1, .reusable = true}}, SHIFT(564),
  [359] = {.entry = {.count = 1, .reusable = true}}, SHIFT(375),
  [361] = {.entry = {.count = 1, .reusable = true}}, SHIFT(535),
  [363] = {.entry = {.count = 1, .reusable = false}}, SHIFT(442),
  [365] = {.entry = {.count = 1, .reusable = true}}, SHIFT(229),
  [367] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1299),
  [369] = {.entry = {.count = 1, .reusable = true}}, SHIFT(208),
  [371] = {.entry = {.count = 1, .reusable = true}}, SHIFT(206),
  [373] = {.entry = {.count = 1, .reusable = false}}, SHIFT(513),
  [375] = {.entry = {.count = 1, .reusable = true}}, SHIFT(177),
  [377] = {.entry = {.count = 1, .reusable = true}}, SHIFT(543),
  [379] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1043),
  [381] = {.entry = {.count = 1, .reusable = false}}, SHIFT(543),
  [383] = {.entry = {.count = 1, .reusable = true}}, SHIFT(743),
  [385] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1353),
  [387] = {.entry = {.count = 1, .reusable = false}}, SHIFT(518),
  [389] = {.entry = {.count = 1, .reusable = true}}, SHIFT(207),
  [391] = {.entry = {.count = 1, .reusable = true}}, SHIFT(115),
  [393] = {.entry = {.count = 1, .reusable = false}}, SHIFT(520),
  [395] = {.entry = {.count = 1, .reusable = true}}, SHIFT(282),
  [397] = {.entry = {.count = 1, .reusable = true}}, SHIFT(188),
  [399] = {.entry = {.count = 1, .reusable = true}}, SHIFT(137),
  [401] = {.entry = {.count = 1, .reusable = true}}, SHIFT(172),
  [403] = {.entry = {.count = 1, .reusable = false}}, SHIFT(545),
  [405] = {.entry = {.count = 1, .reusable = true}}, SHIFT(202),
  [407] = {.entry = {.count = 1, .reusable = true}}, SHIFT(997),
  [409] = {.entry = {.count = 1, .reusable = true}}, SHIFT(190),
  [411] = {.entry = {.count = 1, .reusable = true}}, SHIFT(151),
  [413] = {.entry = {.count = 1, .reusable = true}}, SHIFT(86),
  [415] = {.entry = {.count = 1, .reusable = true}}, SHIFT(425),
  [417] = {.entry = {.count = 1, .reusable = true}}, SHIFT(686),
  [419] = {.entry = {.count = 1, .reusable = true}}, SHIFT(406),
  [421] = {.entry = {.count = 1, .reusable = true}}, SHIFT(412),
  [423] = {.entry = {.count = 1, .reusable = true}}, SHIFT(482),
  [425] = {.entry = {.count = 1, .reusable = true}}, SHIFT(721),
  [427] = {.entry = {.count = 1, .reusable = true}}, SHIFT(459),
  [429] = {.entry = {.count = 1, .reusable = true}}, SHIFT(472),
  [431] = {.entry = {.count = 1, .reusable = true}}, SHIFT(318),
  [433] = {.entry = {.count = 1, .reusable = true}}, SHIFT(302),
  [435] = {.entry = {.count = 1, .reusable = true}}, SHIFT(319),
  [437] = {.entry = {.count = 1, .reusable = false}}, SHIFT(235),
  [439] = {.entry = {.count = 1, .reusable = true}}, SHIFT(352),
  [441] = {.entry = {.count = 1, .reusable = true}}, SHIFT(274),
  [443] = {.entry = {.count = 1, .reusable = true}}, SHIFT(371),
  [445] = {.entry = {.count = 1, .reusable = true}}, SHIFT(377),
  [447] = {.entry = {.count = 1, .reusable = true}}, SHIFT(582),
  [449] = {.entry = {.count = 1, .reusable = true}}, SHIFT(583),
  [451] = {.entry = {.count = 1, .reusable = true}}, SHIFT(255),
  [453] = {.entry = {.count = 1, .reusable = true}}, SHIFT(555),
  [455] = {.entry = {.count = 1, .reusable = false}}, SHIFT(147),
  [457] = {.entry = {.count = 1, .reusable = true}}, SHIFT(99),
  [459] = {.entry = {.count = 1, .reusable = true}}, SHIFT(127),
  [461] = {.entry = {.count = 1, .reusable = true}}, SHIFT(91),
  [463] = {.entry = {.count = 1, .reusable = true}}, SHIFT(103),
  [465] = {.entry = {.count = 1, .reusable = true}}, SHIFT(366),
  [467] = {.entry = {.count = 1, .reusable = true}}, SHIFT(466),
  [469] = {.entry = {.count = 1, .reusable = true}}, SHIFT(467),
  [471] = {.entry = {.count = 1, .reusable = true}}, SHIFT(26),
  [473] = {.entry = {.count = 1, .reusable = true}}, SHIFT(266),
  [475] = {.entry = {.count = 1, .reusable = true}}, SHIFT(698),
  [477] = {.entry = {.count = 1, .reusable = true}}, SHIFT(214),
  [479] = {.entry = {.count = 1, .reusable = true}}, SHIFT(166),
  [481] = {.entry = {.count = 1, .reusable = true}}, SHIFT(168),
  [483] = {.entry = {.count = 1, .reusable = true}}, SHIFT(189),
  [485] = {.entry = {.count = 1, .reusable = true}}, SHIFT(488),
  [487] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1075),
  [489] = {.entry = {.count = 1, .reusable = true}}, SHIFT(328),
  [491] = {.entry = {.count = 1, .reusable = true}}, SHIFT(330),
  [493] = {.entry = {.count = 1, .reusable = true}}, SHIFT(303),
  [495] = {.entry = {.count = 1, .reusable = true}}, SHIFT(305),
  [497] = {.entry = {.count = 1, .reusable = true}}, SHIFT(269),
  [499] = {.entry = {.count = 1, .reusable = true}}, SHIFT(398),
  [501] = {.entry = {.count = 1, .reusable = true}}, SHIFT(748),
  [503] = {.entry = {.count = 1, .reusable = true}}, SHIFT(364),
  [505] = {.entry = {.count = 1, .reusable = true}}, SHIFT(278),
  [507] = {.entry = {.count = 1, .reusable = true}}, SHIFT(373),
  [509] = {.entry = {.count = 1, .reusable = true}}, SHIFT(374),
  [511] = {.entry = {.count = 1, .reusable = true}}, SHIFT(277),
  [513] = {.entry = {.count = 1, .reusable = true}}, SHIFT(24),
  [515] = {.entry = {.count = 1, .reusable = true}}, SHIFT(700),
  [517] = {.entry = {.count = 1, .reusable = true}}, SHIFT(408),
  [519] = {.entry = {.count = 1, .reusable = true}}, SHIFT(554),
  [521] = {.entry = {.count = 1, .reusable = true}}, SHIFT(558),
  [523] = {.entry = {.count = 1, .reusable = true}}, SHIFT(409),
  [525] = {.entry = {.count = 1, .reusable = true}}, SHIFT(551),
  [527] = {.entry = {.count = 1, .reusable = true}}, SHIFT(532),
  [529] = {.entry = {.count = 1, .reusable = true}}, SHIFT(499),
  [531] = {.entry = {.count = 1, .reusable = true}}, SHIFT(476),
  [533] = {.entry = {.count = 1, .reusable = true}}, SHIFT(400),
  [535] = {.entry = {.count = 1, .reusable = true}}, SHIFT(136),
  [537] = {.entry = {.count = 1, .reusable = false}}, SHIFT(683),
  [539] = {.entry = {.count = 1, .reusable = false}}, SHIFT(238),
  [541] = {.entry = {.count = 1, .reusable = false}}, SHIFT(334),
  [543] = {.entry = {.count = 1, .reusable = true}}, SHIFT(224),
  [545] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1295),
  [547] = {.entry = {.count = 1, .reusable = true}}, SHIFT(205),
  [549] = {.entry = {.count = 1, .reusable = true}}, SHIFT(204),
  [551] = {.entry = {.count = 1, .reusable = false}}, SHIFT(342),
  [553] = {.entry = {.count = 1, .reusable = true}}, SHIFT(203),
  [555] = {.entry = {.count = 1, .reusable = true}}, SHIFT(356),
  [557] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1097),
  [559] = {.entry = {.count = 1, .reusable = false}}, SHIFT(356),
  [561] = {.entry = {.count = 1, .reusable = false}}, SHIFT(831),
  [563] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__expression, 1, 0, 0), SHIFT(1347),
  [566] = {.entry = {.count = 3, .reusable = true}}, REDUCE(sym__simple_type, 1, -1, 1), REDUCE(sym__expression, 1, 0, 0), SHIFT(754),
  [570] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1369),
  [572] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1268),
  [574] = {.entry = {.count = 3, .reusable = true}}, REDUCE(sym__simple_type, 1, -1, 1), REDUCE(sym__expression, 1, 0, 0), SHIFT(60),
  [578] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__expression, 1, 0, 0),
  [580] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__expression, 1, 0, 0), SHIFT(759),
  [583] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__expression, 1, 0, 0),
  [585] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1387),
  [587] = {.entry = {.count = 1, .reusable = false}}, SHIFT(713),
  [589] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1312),
  [591] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__expression, 1, 0, 0), SHIFT(1347),
  [594] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_type, 1, -1, 1), REDUCE(sym__expression, 1, 0, 0),
  [597] = {.entry = {.count = 3, .reusable = false}}, REDUCE(sym__simple_type, 1, -1, 1), REDUCE(sym__expression, 1, 0, 0), SHIFT(651),
  [601] = {.entry = {.count = 1, .reusable = false}}, SHIFT(29),
  [603] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13),
  [605] = {.entry = {.count = 1, .reusable = false}}, SHIFT(20),
  [607] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expression_statement, 1, 0, 0),
  [609] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_expression_statement, 1, 0, 0),
  [611] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1237),
  [613] = {.entry = {.count = 1, .reusable = false}}, SHIFT(73),
  [615] = {.entry = {.count = 1, .reusable = false}}, SHIFT(167),
  [617] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_expression_list, 1, 0, 0),
  [619] = {.entry = {.count = 1, .reusable = false}}, SHIFT(54),
  [621] = {.entry = {.count = 1, .reusable = false}}, SHIFT(138),
  [623] = {.entry = {.count = 1, .reusable = false}}, SHIFT(139),
  [625] = {.entry = {.count = 1, .reusable = false}}, SHIFT(140),
  [627] = {.entry = {.count = 1, .reusable = false}}, SHIFT(979),
  [629] = {.entry = {.count = 1, .reusable = false}}, SHIFT(981),
  [631] = {.entry = {.count = 1, .reusable = false}}, SHIFT(141),
  [633] = {.entry = {.count = 1, .reusable = false}}, SHIFT(142),
  [635] = {.entry = {.count = 1, .reusable = false}}, SHIFT(145),
  [637] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_binary_expression, 3, 0, 32),
  [639] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_binary_expression, 3, 0, 32),
  [641] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0),
  [643] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_unary_expression, 2, 0, 6),
  [645] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_unary_expression, 2, 0, 6),
  [647] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_block, 2, 0, 0),
  [649] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_block, 2, 0, 0),
  [651] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_block, 3, 0, 0),
  [653] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_block, 3, 0, 0),
  [655] = {.entry = {.count = 1, .reusable = false}}, SHIFT(692),
  [657] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_interpreted_string_literal, 2, 0, 0),
  [659] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_interpreted_string_literal, 2, 0, 0),
  [661] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_interpreted_string_literal, 3, 0, 0),
  [663] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_interpreted_string_literal, 3, 0, 0),
  [665] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_composite_literal, 2, 0, 12),
  [667] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_composite_literal, 2, 0, 12),
  [669] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_selector_expression, 3, 0, 34),
  [671] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_selector_expression, 3, 0, 34),
  [673] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_argument_list, 2, 0, 0),
  [675] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_argument_list, 2, 0, 0),
  [677] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_composite_literal, 2, 0, 13),
  [679] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_composite_literal, 2, 0, 13),
  [681] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_call_expression, 3, 0, 36),
  [683] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_call_expression, 3, 0, 36),
  [685] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_func_literal, 4, 0, 44),
  [687] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_func_literal, 4, 0, 44),
  [689] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parenthesized_expression, 3, 0, 0),
  [691] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parenthesized_expression, 3, 0, 0),
  [693] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1257),
  [695] = {.entry = {.count = 1, .reusable = true}}, SHIFT(63),
  [697] = {.entry = {.count = 1, .reusable = true}}, SHIFT(167),
  [699] = {.entry = {.count = 1, .reusable = true}}, SHIFT(78),
  [701] = {.entry = {.count = 1, .reusable = false}}, SHIFT(197),
  [703] = {.entry = {.count = 1, .reusable = false}}, SHIFT(198),
  [705] = {.entry = {.count = 1, .reusable = true}}, SHIFT(178),
  [707] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expression_list, 1, 0, 0),
  [709] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1238),
  [711] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1243),
  [713] = {.entry = {.count = 1, .reusable = true}}, SHIFT(199),
  [715] = {.entry = {.count = 1, .reusable = false}}, SHIFT(199),
  [717] = {.entry = {.count = 1, .reusable = true}}, SHIFT(200),
  [719] = {.entry = {.count = 1, .reusable = true}}, SHIFT(201),
  [721] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_special_argument_list, 3, 0, 0),
  [723] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_special_argument_list, 3, 0, 0),
  [725] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_literal_value, 3, 0, 0),
  [727] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_literal_value, 3, 0, 0),
  [729] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_conversion_expression, 4, -1, 59),
  [731] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_conversion_expression, 4, -1, 59),
  [733] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_instantiation_expression, 4, -1, 19),
  [735] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_instantiation_expression, 4, -1, 19),
  [737] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_argument_list, 3, 0, 0),
  [739] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_argument_list, 3, 0, 0),
  [741] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_slice_expression, 4, 0, 60),
  [743] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_slice_expression, 4, 0, 60),
  [745] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_index_expression, 4, 0, 61),
  [747] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_index_expression, 4, 0, 61),
  [749] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_func_literal, 3, 0, 22),
  [751] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_func_literal, 3, 0, 22),
  [753] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_special_argument_list, 4, 0, 0),
  [755] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_special_argument_list, 4, 0, 0),
  [757] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_literal_value, 4, 0, 0),
  [759] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_literal_value, 4, 0, 0),
  [761] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_conversion_expression, 5, -1, 59),
  [763] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_conversion_expression, 5, -1, 59),
  [765] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_instantiation_expression, 5, -1, 19),
  [767] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_instantiation_expression, 5, -1, 19),
  [769] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_assertion_expression, 5, 0, 89),
  [771] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_assertion_expression, 5, 0, 89),
  [773] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_argument_list, 4, 0, 0),
  [775] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_argument_list, 4, 0, 0),
  [777] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_slice_expression, 5, 0, 90),
  [779] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_slice_expression, 5, 0, 90),
  [781] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_slice_expression, 5, 0, 91),
  [783] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_slice_expression, 5, 0, 91),
  [785] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_special_argument_list, 5, 0, 0),
  [787] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_special_argument_list, 5, 0, 0),
  [789] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_literal_value, 5, 0, 0),
  [791] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_literal_value, 5, 0, 0),
  [793] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_call_expression, 2, 0, 10),
  [795] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_call_expression, 2, 0, 10),
  [797] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_instantiation_expression, 6, -1, 19),
  [799] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_instantiation_expression, 6, -1, 19),
  [801] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_argument_list, 5, 0, 0),
  [803] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_argument_list, 5, 0, 0),
  [805] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_slice_expression, 6, 0, 100),
  [807] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_slice_expression, 6, 0, 100),
  [809] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_slice_expression, 7, 0, 103),
  [811] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_slice_expression, 7, 0, 103),
  [813] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_slice_expression, 8, 0, 106),
  [815] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_slice_expression, 8, 0, 106),
  [817] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_literal_value, 2, 0, 0),
  [819] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_literal_value, 2, 0, 0),
  [821] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1277),
  [823] = {.entry = {.count = 1, .reusable = true}}, SHIFT(949),
  [825] = {.entry = {.count = 1, .reusable = true}}, SHIFT(144),
  [827] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__simple_type, 1, -1, 1), REDUCE(sym__expression, 1, 0, 0),
  [830] = {.entry = {.count = 3, .reusable = true}}, REDUCE(sym__simple_type, 1, -1, 1), REDUCE(sym__expression, 1, 0, 0), SHIFT(651),
  [834] = {.entry = {.count = 1, .reusable = true}}, SHIFT(747),
  [836] = {.entry = {.count = 1, .reusable = true}}, SHIFT(33),
  [838] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1300),
  [840] = {.entry = {.count = 1, .reusable = true}}, SHIFT(67),
  [842] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_expression_list_repeat1, 2, 0, 0),
  [844] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_expression_list_repeat1, 2, 0, 0),
  [846] = {.entry = {.count = 1, .reusable = true}}, SHIFT(79),
  [848] = {.entry = {.count = 1, .reusable = false}}, SHIFT(211),
  [850] = {.entry = {.count = 1, .reusable = false}}, SHIFT(216),
  [852] = {.entry = {.count = 1, .reusable = true}}, SHIFT(221),
  [854] = {.entry = {.count = 1, .reusable = false}}, SHIFT(221),
  [856] = {.entry = {.count = 1, .reusable = true}}, SHIFT(226),
  [858] = {.entry = {.count = 1, .reusable = true}}, SHIFT(231),
  [860] = {.entry = {.count = 1, .reusable = true}}, SHIFT(756),
  [862] = {.entry = {.count = 1, .reusable = false}}, SHIFT(785),
  [864] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_declaration, 1, 0, 25),
  [866] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_declaration, 1, 0, 25),
  [868] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1316),
  [870] = {.entry = {.count = 1, .reusable = false}}, SHIFT(738),
  [872] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1368),
  [874] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1270),
  [876] = {.entry = {.count = 1, .reusable = false}}, SHIFT(56),
  [878] = {.entry = {.count = 1, .reusable = false}}, SHIFT(691),
  [880] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1244),
  [882] = {.entry = {.count = 1, .reusable = false}}, SHIFT(707),
  [884] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1331),
  [886] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1389),
  [888] = {.entry = {.count = 1, .reusable = false}}, SHIFT(726),
  [890] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1310),
  [892] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1105),
  [894] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1112),
  [896] = {.entry = {.count = 1, .reusable = false}}, SHIFT(786),
  [898] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_type, 2, 0, 5),
  [900] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_type, 2, 0, 5),
  [902] = {.entry = {.count = 1, .reusable = false}}, SHIFT(478),
  [904] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1248),
  [906] = {.entry = {.count = 1, .reusable = false}}, SHIFT(88),
  [908] = {.entry = {.count = 1, .reusable = false}}, SHIFT(704),
  [910] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1391),
  [912] = {.entry = {.count = 1, .reusable = false}}, SHIFT(695),
  [914] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1315),
  [916] = {.entry = {.count = 1, .reusable = false}}, SHIFT(124),
  [918] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1275),
  [920] = {.entry = {.count = 1, .reusable = true}}, SHIFT(55),
  [922] = {.entry = {.count = 1, .reusable = true}}, SHIFT(76),
  [924] = {.entry = {.count = 1, .reusable = true}}, SHIFT(728),
  [926] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_const_spec, 2, 0, 17),
  [928] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_const_spec, 2, 0, 17),
  [930] = {.entry = {.count = 1, .reusable = false}}, SHIFT(754),
  [932] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1359),
  [934] = {.entry = {.count = 1, .reusable = false}}, SHIFT(121),
  [936] = {.entry = {.count = 1, .reusable = false}}, SHIFT(82),
  [938] = {.entry = {.count = 1, .reusable = false}}, SHIFT(759),
  [940] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1312),
  [942] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_const_spec, 1, 0, 4),
  [944] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_const_spec, 1, 0, 4),
  [946] = {.entry = {.count = 1, .reusable = false}}, SHIFT(89),
  [948] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1289),
  [950] = {.entry = {.count = 1, .reusable = false}}, SHIFT(59),
  [952] = {.entry = {.count = 1, .reusable = false}}, SHIFT(143),
  [954] = {.entry = {.count = 1, .reusable = false}}, SHIFT(77),
  [956] = {.entry = {.count = 1, .reusable = false}}, SHIFT(191),
  [958] = {.entry = {.count = 1, .reusable = false}}, SHIFT(192),
  [960] = {.entry = {.count = 1, .reusable = false}}, SHIFT(193),
  [962] = {.entry = {.count = 1, .reusable = false}}, SHIFT(194),
  [964] = {.entry = {.count = 1, .reusable = false}}, SHIFT(195),
  [966] = {.entry = {.count = 1, .reusable = false}}, SHIFT(32),
  [968] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1275),
  [970] = {.entry = {.count = 1, .reusable = true}}, SHIFT(183),
  [972] = {.entry = {.count = 1, .reusable = false}}, SHIFT(183),
  [974] = {.entry = {.count = 1, .reusable = false}}, SHIFT(828),
  [976] = {.entry = {.count = 1, .reusable = true}}, SHIFT(497),
  [978] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1293),
  [980] = {.entry = {.count = 1, .reusable = true}}, SHIFT(87),
  [982] = {.entry = {.count = 1, .reusable = true}}, SHIFT(711),
  [984] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1329),
  [986] = {.entry = {.count = 1, .reusable = false}}, SHIFT(184),
  [988] = {.entry = {.count = 1, .reusable = true}}, SHIFT(184),
  [990] = {.entry = {.count = 1, .reusable = true}}, SHIFT(185),
  [992] = {.entry = {.count = 1, .reusable = false}}, SHIFT(185),
  [994] = {.entry = {.count = 1, .reusable = true}}, SHIFT(186),
  [996] = {.entry = {.count = 1, .reusable = true}}, SHIFT(82),
  [998] = {.entry = {.count = 1, .reusable = true}}, SHIFT(759),
  [1000] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_defer_statement, 2, 0, 0),
  [1002] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_defer_statement, 2, 0, 0),
  [1004] = {.entry = {.count = 1, .reusable = true}}, SHIFT(34),
  [1006] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14),
  [1008] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_go_statement, 2, 0, 0),
  [1010] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_go_statement, 2, 0, 0),
  [1012] = {.entry = {.count = 1, .reusable = false}}, SHIFT(737),
  [1014] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_send_statement, 3, 0, 35),
  [1016] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_send_statement, 3, 0, 35),
  [1018] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1258),
  [1020] = {.entry = {.count = 1, .reusable = true}}, SHIFT(71),
  [1022] = {.entry = {.count = 1, .reusable = true}}, SHIFT(173),
  [1024] = {.entry = {.count = 1, .reusable = true}}, SHIFT(51),
  [1026] = {.entry = {.count = 1, .reusable = true}}, SHIFT(131),
  [1028] = {.entry = {.count = 1, .reusable = false}}, SHIFT(132),
  [1030] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_receive_statement, 1, 0, 58),
  [1032] = {.entry = {.count = 1, .reusable = true}}, SHIFT(132),
  [1034] = {.entry = {.count = 1, .reusable = false}}, SHIFT(131),
  [1036] = {.entry = {.count = 1, .reusable = true}}, SHIFT(133),
  [1038] = {.entry = {.count = 1, .reusable = false}}, SHIFT(133),
  [1040] = {.entry = {.count = 1, .reusable = true}}, SHIFT(134),
  [1042] = {.entry = {.count = 1, .reusable = true}}, SHIFT(130),
  [1044] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_declaration, 4, 0, 40),
  [1046] = {.entry = {.count = 1, .reusable = false}}, SHIFT(877),
  [1048] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_declaration, 4, 0, 40),
  [1050] = {.entry = {.count = 1, .reusable = false}}, SHIFT(468),
  [1052] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1297),
  [1054] = {.entry = {.count = 1, .reusable = false}}, SHIFT(100),
  [1056] = {.entry = {.count = 1, .reusable = false}}, SHIFT(761),
  [1058] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1304),
  [1060] = {.entry = {.count = 1, .reusable = false}}, SHIFT(715),
  [1062] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12),
  [1064] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1346),
  [1066] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1393),
  [1068] = {.entry = {.count = 1, .reusable = false}}, SHIFT(741),
  [1070] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1374),
  [1072] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_declaration, 4, 0, 43),
  [1074] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_declaration, 4, 0, 43),
  [1076] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1347),
  [1078] = {.entry = {.count = 1, .reusable = true}}, SHIFT(754),
  [1080] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__simple_type, 1, -1, 1),
  [1082] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__simple_type, 1, -1, 1), SHIFT(1369),
  [1085] = {.entry = {.count = 1, .reusable = true}}, SHIFT(60),
  [1087] = {.entry = {.count = 1, .reusable = true}}, SHIFT(706),
  [1089] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_declaration, 3, 0, 20),
  [1091] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_declaration, 3, 0, 20),
  [1093] = {.entry = {.count = 1, .reusable = false}}, SHIFT(450),
  [1095] = {.entry = {.count = 1, .reusable = true}}, SHIFT(779),
  [1097] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1337),
  [1099] = {.entry = {.count = 1, .reusable = true}}, SHIFT(729),
  [1101] = {.entry = {.count = 1, .reusable = true}}, SHIFT(187),
  [1103] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11),
  [1105] = {.entry = {.count = 1, .reusable = true}}, SHIFT(772),
  [1107] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1379),
  [1109] = {.entry = {.count = 1, .reusable = true}}, SHIFT(777),
  [1111] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1314),
  [1113] = {.entry = {.count = 1, .reusable = false}}, SHIFT(874),
  [1115] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1254),
  [1117] = {.entry = {.count = 1, .reusable = false}}, SHIFT(112),
  [1119] = {.entry = {.count = 1, .reusable = false}}, SHIFT(703),
  [1121] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1395),
  [1123] = {.entry = {.count = 1, .reusable = false}}, SHIFT(697),
  [1125] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1333),
  [1127] = {.entry = {.count = 1, .reusable = true}}, SHIFT(495),
  [1129] = {.entry = {.count = 1, .reusable = true}}, SHIFT(61),
  [1131] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1283),
  [1133] = {.entry = {.count = 1, .reusable = true}}, SHIFT(175),
  [1135] = {.entry = {.count = 1, .reusable = false}}, SHIFT(234),
  [1137] = {.entry = {.count = 1, .reusable = true}}, SHIFT(234),
  [1139] = {.entry = {.count = 1, .reusable = false}}, SHIFT(175),
  [1141] = {.entry = {.count = 1, .reusable = true}}, SHIFT(179),
  [1143] = {.entry = {.count = 1, .reusable = false}}, SHIFT(179),
  [1145] = {.entry = {.count = 1, .reusable = true}}, SHIFT(180),
  [1147] = {.entry = {.count = 1, .reusable = true}}, SHIFT(181),
  [1149] = {.entry = {.count = 1, .reusable = true}}, SHIFT(396),
  [1151] = {.entry = {.count = 1, .reusable = true}}, SHIFT(57),
  [1153] = {.entry = {.count = 1, .reusable = true}}, SHIFT(781),
  [1155] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1291),
  [1157] = {.entry = {.count = 1, .reusable = true}}, SHIFT(152),
  [1159] = {.entry = {.count = 1, .reusable = true}}, SHIFT(914),
  [1161] = {.entry = {.count = 1, .reusable = false}}, SHIFT(153),
  [1163] = {.entry = {.count = 1, .reusable = true}}, SHIFT(153),
  [1165] = {.entry = {.count = 1, .reusable = false}}, SHIFT(152),
  [1167] = {.entry = {.count = 1, .reusable = true}}, SHIFT(154),
  [1169] = {.entry = {.count = 1, .reusable = false}}, SHIFT(154),
  [1171] = {.entry = {.count = 1, .reusable = true}}, SHIFT(155),
  [1173] = {.entry = {.count = 1, .reusable = true}}, SHIFT(156),
  [1175] = {.entry = {.count = 1, .reusable = true}}, SHIFT(782),
  [1177] = {.entry = {.count = 1, .reusable = true}}, SHIFT(776),
  [1179] = {.entry = {.count = 1, .reusable = true}}, SHIFT(769),
  [1181] = {.entry = {.count = 1, .reusable = true}}, SHIFT(778),
  [1183] = {.entry = {.count = 1, .reusable = true}}, SHIFT(771),
  [1185] = {.entry = {.count = 1, .reusable = true}}, SHIFT(681),
  [1187] = {.entry = {.count = 1, .reusable = true}}, SHIFT(327),
  [1189] = {.entry = {.count = 1, .reusable = true}}, SHIFT(64),
  [1191] = {.entry = {.count = 1, .reusable = true}}, SHIFT(363),
  [1193] = {.entry = {.count = 1, .reusable = true}}, SHIFT(69),
  [1195] = {.entry = {.count = 1, .reusable = true}}, SHIFT(548),
  [1197] = {.entry = {.count = 1, .reusable = true}}, SHIFT(72),
  [1199] = {.entry = {.count = 1, .reusable = true}}, SHIFT(265),
  [1201] = {.entry = {.count = 1, .reusable = true}}, SHIFT(68),
  [1203] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_elem, 2, 0, 53),
  [1205] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_elem, 2, 0, 53),
  [1207] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1259),
  [1209] = {.entry = {.count = 1, .reusable = false}}, SHIFT(832),
  [1211] = {.entry = {.count = 1, .reusable = true}}, SHIFT(738),
  [1213] = {.entry = {.count = 1, .reusable = true}}, SHIFT(124),
  [1215] = {.entry = {.count = 1, .reusable = true}}, SHIFT(691),
  [1217] = {.entry = {.count = 1, .reusable = true}}, SHIFT(707),
  [1219] = {.entry = {.count = 1, .reusable = true}}, SHIFT(970),
  [1221] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1310),
  [1223] = {.entry = {.count = 1, .reusable = true}}, SHIFT(992),
  [1225] = {.entry = {.count = 1, .reusable = true}}, SHIFT(820),
  [1227] = {.entry = {.count = 1, .reusable = true}}, SHIFT(999),
  [1229] = {.entry = {.count = 1, .reusable = true}}, SHIFT(852),
  [1231] = {.entry = {.count = 1, .reusable = true}}, SHIFT(823),
  [1233] = {.entry = {.count = 1, .reusable = true}}, SHIFT(170),
  [1235] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1336),
  [1237] = {.entry = {.count = 1, .reusable = true}}, SHIFT(125),
  [1239] = {.entry = {.count = 1, .reusable = true}}, SHIFT(854),
  [1241] = {.entry = {.count = 1, .reusable = true}}, SHIFT(93),
  [1243] = {.entry = {.count = 1, .reusable = true}}, SHIFT(808),
  [1245] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_literal_element, 1, 0, 0),
  [1247] = {.entry = {.count = 1, .reusable = true}}, SHIFT(838),
  [1249] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_argument_list_repeat1, 2, 0, 0),
  [1251] = {.entry = {.count = 1, .reusable = true}}, SHIFT(407),
  [1253] = {.entry = {.count = 1, .reusable = true}}, SHIFT(212),
  [1255] = {.entry = {.count = 1, .reusable = true}}, SHIFT(267),
  [1257] = {.entry = {.count = 1, .reusable = true}}, SHIFT(109),
  [1259] = {.entry = {.count = 1, .reusable = true}}, SHIFT(276),
  [1261] = {.entry = {.count = 1, .reusable = true}}, SHIFT(169),
  [1263] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15),
  [1265] = {.entry = {.count = 1, .reusable = true}}, SHIFT(486),
  [1267] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1341),
  [1269] = {.entry = {.count = 1, .reusable = true}}, SHIFT(502),
  [1271] = {.entry = {.count = 1, .reusable = true}}, SHIFT(83),
  [1273] = {.entry = {.count = 1, .reusable = true}}, SHIFT(994),
  [1275] = {.entry = {.count = 1, .reusable = true}}, SHIFT(460),
  [1277] = {.entry = {.count = 1, .reusable = true}}, SHIFT(217),
  [1279] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1000),
  [1281] = {.entry = {.count = 1, .reusable = true}}, SHIFT(473),
  [1283] = {.entry = {.count = 1, .reusable = true}}, SHIFT(218),
  [1285] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1368),
  [1287] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16),
  [1289] = {.entry = {.count = 1, .reusable = true}}, SHIFT(325),
  [1291] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1319),
  [1293] = {.entry = {.count = 1, .reusable = true}}, SHIFT(855),
  [1295] = {.entry = {.count = 1, .reusable = true}}, SHIFT(329),
  [1297] = {.entry = {.count = 1, .reusable = true}}, SHIFT(95),
  [1299] = {.entry = {.count = 1, .reusable = true}}, SHIFT(297),
  [1301] = {.entry = {.count = 1, .reusable = true}}, SHIFT(222),
  [1303] = {.entry = {.count = 1, .reusable = true}}, SHIFT(844),
  [1305] = {.entry = {.count = 1, .reusable = true}}, SHIFT(283),
  [1307] = {.entry = {.count = 1, .reusable = true}}, SHIFT(171),
  [1309] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17),
  [1311] = {.entry = {.count = 1, .reusable = true}}, SHIFT(361),
  [1313] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1392),
  [1315] = {.entry = {.count = 1, .reusable = true}}, SHIFT(365),
  [1317] = {.entry = {.count = 1, .reusable = true}}, SHIFT(107),
  [1319] = {.entry = {.count = 1, .reusable = true}}, SHIFT(372),
  [1321] = {.entry = {.count = 1, .reusable = true}}, SHIFT(227),
  [1323] = {.entry = {.count = 1, .reusable = true}}, SHIFT(378),
  [1325] = {.entry = {.count = 1, .reusable = true}}, SHIFT(228),
  [1327] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18),
  [1329] = {.entry = {.count = 1, .reusable = true}}, SHIFT(541),
  [1331] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1385),
  [1333] = {.entry = {.count = 1, .reusable = true}}, SHIFT(394),
  [1335] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1348),
  [1337] = {.entry = {.count = 1, .reusable = true}}, SHIFT(557),
  [1339] = {.entry = {.count = 1, .reusable = true}}, SHIFT(119),
  [1341] = {.entry = {.count = 1, .reusable = true}}, SHIFT(584),
  [1343] = {.entry = {.count = 1, .reusable = true}}, SHIFT(232),
  [1345] = {.entry = {.count = 1, .reusable = true}}, SHIFT(523),
  [1347] = {.entry = {.count = 1, .reusable = true}}, SHIFT(233),
  [1349] = {.entry = {.count = 1, .reusable = true}}, SHIFT(399),
  [1351] = {.entry = {.count = 1, .reusable = true}}, SHIFT(114),
  [1353] = {.entry = {.count = 1, .reusable = true}}, SHIFT(821),
  [1355] = {.entry = {.count = 1, .reusable = false}}, SHIFT(951),
  [1357] = {.entry = {.count = 1, .reusable = false}}, SHIFT(978),
  [1359] = {.entry = {.count = 1, .reusable = true}}, SHIFT(694),
  [1361] = {.entry = {.count = 1, .reusable = true}}, SHIFT(66),
  [1363] = {.entry = {.count = 1, .reusable = true}}, SHIFT(263),
  [1365] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1357),
  [1367] = {.entry = {.count = 1, .reusable = true}}, SHIFT(824),
  [1369] = {.entry = {.count = 1, .reusable = true}}, SHIFT(413),
  [1371] = {.entry = {.count = 1, .reusable = true}}, SHIFT(213),
  [1373] = {.entry = {.count = 1, .reusable = true}}, SHIFT(322),
  [1375] = {.entry = {.count = 1, .reusable = true}}, SHIFT(223),
  [1377] = {.entry = {.count = 1, .reusable = true}}, SHIFT(376),
  [1379] = {.entry = {.count = 1, .reusable = true}}, SHIFT(716),
  [1381] = {.entry = {.count = 1, .reusable = true}}, SHIFT(369),
  [1383] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1396),
  [1385] = {.entry = {.count = 1, .reusable = true}}, SHIFT(457),
  [1387] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1330),
  [1389] = {.entry = {.count = 1, .reusable = true}}, SHIFT(415),
  [1391] = {.entry = {.count = 1, .reusable = true}}, SHIFT(272),
  [1393] = {.entry = {.count = 1, .reusable = true}}, SHIFT(359),
  [1395] = {.entry = {.count = 1, .reusable = true}}, SHIFT(344),
  [1397] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_receive_statement, 3, 0, 33),
  [1399] = {.entry = {.count = 1, .reusable = true}}, SHIFT(572),
  [1401] = {.entry = {.count = 1, .reusable = true}}, SHIFT(718),
  [1403] = {.entry = {.count = 1, .reusable = true}}, SHIFT(471),
  [1405] = {.entry = {.count = 1, .reusable = true}}, SHIFT(304),
  [1407] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_range_clause, 4, 0, 84),
  [1409] = {.entry = {.count = 1, .reusable = true}}, SHIFT(426),
  [1411] = {.entry = {.count = 1, .reusable = true}}, SHIFT(281),
  [1413] = {.entry = {.count = 1, .reusable = true}}, SHIFT(284),
  [1415] = {.entry = {.count = 1, .reusable = true}}, SHIFT(569),
  [1417] = {.entry = {.count = 1, .reusable = true}}, SHIFT(308),
  [1419] = {.entry = {.count = 1, .reusable = true}}, SHIFT(752),
  [1421] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_range_clause, 2, 0, 29),
  [1423] = {.entry = {.count = 1, .reusable = true}}, SHIFT(23),
  [1425] = {.entry = {.count = 1, .reusable = true}}, SHIFT(544),
  [1427] = {.entry = {.count = 1, .reusable = true}}, SHIFT(285),
  [1429] = {.entry = {.count = 1, .reusable = true}}, SHIFT(493),
  [1431] = {.entry = {.count = 1, .reusable = true}}, SHIFT(524),
  [1433] = {.entry = {.count = 1, .reusable = true}}, SHIFT(525),
  [1435] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1339),
  [1437] = {.entry = {.count = 1, .reusable = true}}, SHIFT(332),
  [1439] = {.entry = {.count = 1, .reusable = true}}, SHIFT(310),
  [1441] = {.entry = {.count = 1, .reusable = true}}, SHIFT(763),
  [1443] = {.entry = {.count = 1, .reusable = true}}, SHIFT(403),
  [1445] = {.entry = {.count = 1, .reusable = true}}, SHIFT(347),
  [1447] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1384),
  [1449] = {.entry = {.count = 1, .reusable = true}}, SHIFT(693),
  [1451] = {.entry = {.count = 1, .reusable = true}}, SHIFT(730),
  [1453] = {.entry = {.count = 1, .reusable = true}}, SHIFT(474),
  [1455] = {.entry = {.count = 1, .reusable = true}}, SHIFT(475),
  [1457] = {.entry = {.count = 1, .reusable = true}}, SHIFT(411),
  [1459] = {.entry = {.count = 1, .reusable = true}}, SHIFT(414),
  [1461] = {.entry = {.count = 1, .reusable = true}}, SHIFT(259),
  [1463] = {.entry = {.count = 1, .reusable = true}}, SHIFT(313),
  [1465] = {.entry = {.count = 1, .reusable = true}}, SHIFT(25),
  [1467] = {.entry = {.count = 1, .reusable = true}}, SHIFT(753),
  [1469] = {.entry = {.count = 1, .reusable = true}}, SHIFT(88),
  [1471] = {.entry = {.count = 1, .reusable = true}}, SHIFT(704),
  [1473] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1315),
  [1475] = {.entry = {.count = 1, .reusable = true}}, SHIFT(688),
  [1477] = {.entry = {.count = 1, .reusable = true}}, SHIFT(112),
  [1479] = {.entry = {.count = 1, .reusable = true}}, SHIFT(703),
  [1481] = {.entry = {.count = 1, .reusable = true}}, SHIFT(715),
  [1483] = {.entry = {.count = 1, .reusable = true}}, SHIFT(745),
  [1485] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1272),
  [1487] = {.entry = {.count = 1, .reusable = true}}, SHIFT(757),
  [1489] = {.entry = {.count = 1, .reusable = true}}, SHIFT(708),
  [1491] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1333),
  [1493] = {.entry = {.count = 1, .reusable = true}}, SHIFT(100),
  [1495] = {.entry = {.count = 1, .reusable = true}}, SHIFT(761),
  [1497] = {.entry = {.count = 1, .reusable = false}}, SHIFT(709),
  [1499] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1374),
  [1501] = {.entry = {.count = 1, .reusable = false}}, SHIFT(699),
  [1503] = {.entry = {.count = 1, .reusable = true}}, SHIFT(705),
  [1505] = {.entry = {.count = 1, .reusable = true}}, SHIFT(732),
  [1507] = {.entry = {.count = 1, .reusable = false}}, SHIFT(734),
  [1509] = {.entry = {.count = 1, .reusable = false}}, SHIFT(687),
  [1511] = {.entry = {.count = 1, .reusable = false}}, SHIFT(765),
  [1513] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parameter_list, 4, 0, 0),
  [1515] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameter_list, 4, 0, 0),
  [1517] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parameter_list, 3, 0, 0),
  [1519] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameter_list, 3, 0, 0),
  [1521] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parameter_list, 5, 0, 0),
  [1523] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameter_list, 5, 0, 0),
  [1525] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parameter_list, 2, 0, 0),
  [1527] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameter_list, 2, 0, 0),
  [1529] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_const_spec_repeat1, 2, 0, 0),
  [1531] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_const_spec_repeat1, 2, 0, 0),
  [1533] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_const_spec_repeat1, 2, 0, 0), SHIFT_REPEAT(1359),
  [1536] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expression_list, 2, 0, 0),
  [1538] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_expression_list_repeat1, 2, 0, 0), SHIFT_REPEAT(167),
  [1541] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__simple_type, 1, -1, 1),
  [1543] = {.entry = {.count = 1, .reusable = false}}, SHIFT(667),
  [1545] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_type, 1, -1, 1), SHIFT(667),
  [1548] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_const_spec_repeat1, 2, 0, 0), SHIFT_REPEAT(1336),
  [1551] = {.entry = {.count = 1, .reusable = true}}, SHIFT(122),
  [1553] = {.entry = {.count = 1, .reusable = true}}, SHIFT(126),
  [1555] = {.entry = {.count = 1, .reusable = true}}, SHIFT(75),
  [1557] = {.entry = {.count = 1, .reusable = true}}, SHIFT(80),
  [1559] = {.entry = {.count = 1, .reusable = true}}, SHIFT(101),
  [1561] = {.entry = {.count = 1, .reusable = true}}, SHIFT(117),
  [1563] = {.entry = {.count = 1, .reusable = true}}, SHIFT(98),
  [1565] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_field_declaration_repeat1, 2, 0, 67),
  [1567] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_field_declaration_repeat1, 2, 0, 67),
  [1569] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_field_declaration_repeat1, 2, 0, 67), SHIFT_REPEAT(1368),
  [1572] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_type_parameter_declaration_repeat1, 2, 0, 67),
  [1574] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_type_parameter_declaration_repeat1, 2, 0, 67),
  [1576] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_type_parameter_declaration_repeat1, 2, 0, 67), SHIFT_REPEAT(1369),
  [1579] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__simple_type, 1, 0, 0),
  [1581] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__simple_type, 1, 0, 0),
  [1583] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_type, 1, 0, 0), SHIFT(667),
  [1586] = {.entry = {.count = 1, .reusable = true}}, SHIFT(90),
  [1588] = {.entry = {.count = 1, .reusable = true}}, SHIFT(94),
  [1590] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_map_type, 5, 0, 80),
  [1592] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_map_type, 5, 0, 80),
  [1594] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_struct_type, 2, 0, 0),
  [1596] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_struct_type, 2, 0, 0),
  [1598] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_negated_type, 2, 0, 0),
  [1600] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_negated_type, 2, 0, 0),
  [1602] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_channel_type, 2, 0, 7),
  [1604] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_channel_type, 2, 0, 7),
  [1606] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_generic_type, 2, 1, 11),
  [1608] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_generic_type, 2, 1, 11),
  [1610] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_generic_type, 2, 1, 14),
  [1612] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_generic_type, 2, 1, 14),
  [1614] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parenthesized_type, 3, 0, 0),
  [1616] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parenthesized_type, 3, 0, 0),
  [1618] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_slice_type, 3, 0, 23),
  [1620] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_slice_type, 3, 0, 23),
  [1622] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_declaration_list, 2, 0, 0),
  [1624] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_declaration_list, 2, 0, 0),
  [1626] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pointer_type, 2, 0, 0),
  [1628] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_pointer_type, 2, 0, 0),
  [1630] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_interface_type, 3, 0, 0),
  [1632] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_interface_type, 3, 0, 0),
  [1634] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_channel_type, 3, 0, 27),
  [1636] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_channel_type, 3, 0, 27),
  [1638] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_qualified_type, 3, 0, 31),
  [1640] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_qualified_type, 3, 0, 31),
  [1642] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_type_parameter_declaration_repeat1, 2, 0, 64),
  [1644] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_type_parameter_declaration_repeat1, 2, 0, 64),
  [1646] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_type, 4, 0, 46),
  [1648] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_type, 4, 0, 46),
  [1650] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_declaration_list, 3, 0, 0),
  [1652] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_declaration_list, 3, 0, 0),
  [1654] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_type, 3, 0, 21),
  [1656] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_type, 3, 0, 21),
  [1658] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_interface_type, 4, 0, 0),
  [1660] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_interface_type, 4, 0, 0),
  [1662] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_arguments, 3, 2, 0),
  [1664] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_arguments, 3, 2, 0),
  [1666] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_declaration_list, 4, 0, 0),
  [1668] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_declaration_list, 4, 0, 0),
  [1670] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_interface_type, 5, 0, 0),
  [1672] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_interface_type, 5, 0, 0),
  [1674] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_arguments, 4, 2, 0),
  [1676] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_arguments, 4, 2, 0),
  [1678] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_declaration_list, 5, 0, 0),
  [1680] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_declaration_list, 5, 0, 0),
  [1682] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_interface_type, 6, 0, 0),
  [1684] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_interface_type, 6, 0, 0),
  [1686] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_arguments, 5, 2, 0),
  [1688] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_arguments, 5, 2, 0),
  [1690] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_field_declaration_repeat1, 2, 0, 76),
  [1692] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_field_declaration_repeat1, 2, 0, 76),
  [1694] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_parameter_list, 5, 0, 0),
  [1696] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_parameter_list, 5, 0, 0),
  [1698] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1347),
  [1700] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__simple_type, 1, -1, 1), SHIFT(651),
  [1703] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_parameter_list, 3, 0, 0),
  [1705] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_parameter_list, 3, 0, 0),
  [1707] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_parameter_list, 4, 0, 0),
  [1709] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_parameter_list, 4, 0, 0),
  [1711] = {.entry = {.count = 1, .reusable = true}}, SHIFT(651),
  [1713] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1175),
  [1715] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1264),
  [1717] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1173),
  [1719] = {.entry = {.count = 1, .reusable = true}}, SHIFT(864),
  [1721] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1107),
  [1723] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_declaration, 2, 0, 49),
  [1725] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_declaration, 2, 0, 49),
  [1727] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1123),
  [1729] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1214),
  [1731] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1171),
  [1733] = {.entry = {.count = 1, .reusable = true}}, SHIFT(851),
  [1735] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1078),
  [1737] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1096),
  [1739] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__simple_type, 1, 0, 0), SHIFT(651),
  [1742] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1046),
  [1744] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1216),
  [1746] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1140),
  [1748] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_declaration, 1, 0, 19),
  [1750] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_declaration, 1, 0, 19),
  [1752] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1108),
  [1754] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1117),
  [1756] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1147),
  [1758] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_declaration, 2, 0, 39),
  [1760] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_declaration, 2, 0, 39),
  [1762] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1087),
  [1764] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1051),
  [1766] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1338),
  [1768] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_type, 1, -1, 1), SHIFT(669),
  [1771] = {.entry = {.count = 1, .reusable = true}}, SHIFT(380),
  [1773] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1015),
  [1775] = {.entry = {.count = 1, .reusable = true}}, SHIFT(819),
  [1777] = {.entry = {.count = 1, .reusable = false}}, SHIFT(669),
  [1779] = {.entry = {.count = 1, .reusable = true}}, SHIFT(847),
  [1781] = {.entry = {.count = 1, .reusable = true}}, SHIFT(967),
  [1783] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_expression_list_repeat1, 2, 0, 0), SHIFT_REPEAT(143),
  [1786] = {.entry = {.count = 1, .reusable = true}}, SHIFT(991),
  [1788] = {.entry = {.count = 1, .reusable = true}}, SHIFT(822),
  [1790] = {.entry = {.count = 1, .reusable = true}}, SHIFT(869),
  [1792] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_expression_list, 2, 0, 0),
  [1794] = {.entry = {.count = 1, .reusable = true}}, SHIFT(998),
  [1796] = {.entry = {.count = 1, .reusable = true}}, SHIFT(806),
  [1798] = {.entry = {.count = 1, .reusable = true}}, SHIFT(850),
  [1800] = {.entry = {.count = 1, .reusable = false}}, SHIFT(926),
  [1802] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_break_statement, 1, 0, 0),
  [1804] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_break_statement, 1, 0, 0),
  [1806] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_var_spec, 3, 0, 38),
  [1808] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_var_spec, 3, 0, 38),
  [1810] = {.entry = {.count = 1, .reusable = false}}, SHIFT(113),
  [1812] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_declaration, 3, 0, 78),
  [1814] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_declaration, 3, 0, 78),
  [1816] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1060),
  [1818] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_declaration, 2, 0, 51),
  [1820] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_declaration, 2, 0, 51),
  [1822] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1047),
  [1824] = {.entry = {.count = 1, .reusable = false}}, SHIFT(927),
  [1826] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_continue_statement, 1, 0, 0),
  [1828] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_continue_statement, 1, 0, 0),
  [1830] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9),
  [1832] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9),
  [1834] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__statement_list, 1, 0, 0),
  [1836] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_type, 1, 0, 0), SHIFT(669),
  [1839] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_var_spec, 2, 0, 18),
  [1841] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_var_spec, 2, 0, 18),
  [1843] = {.entry = {.count = 1, .reusable = false}}, SHIFT(123),
  [1845] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__statement_list_repeat1, 2, 0, 0), SHIFT_REPEAT(19),
  [1848] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__statement_list_repeat1, 2, 0, 0), SHIFT_REPEAT(19),
  [1851] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__statement_list_repeat1, 2, 0, 0),
  [1853] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 3, 0, 28),
  [1855] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 3, 0, 28),
  [1857] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1113),
  [1859] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 5, 0, 81),
  [1861] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 5, 0, 81),
  [1863] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1066),
  [1865] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1056),
  [1867] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10),
  [1869] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10),
  [1871] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_const_declaration, 3, 0, 0),
  [1873] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_const_declaration, 3, 0, 0),
  [1875] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_labeled_statement, 3, 0, 26),
  [1877] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_labeled_statement, 3, 0, 26),
  [1879] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 2, 0, 9),
  [1881] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 2, 0, 9),
  [1883] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expression_switch_statement, 6, 0, 98),
  [1885] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_expression_switch_statement, 6, 0, 98),
  [1887] = {.entry = {.count = 1, .reusable = true}}, SHIFT(931),
  [1889] = {.entry = {.count = 1, .reusable = true}}, SHIFT(105),
  [1891] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1355),
  [1893] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_assignment_statement, 3, 0, 32),
  [1895] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_assignment_statement, 3, 0, 32),
  [1897] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_short_var_declaration, 3, 0, 33),
  [1899] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_short_var_declaration, 3, 0, 33),
  [1901] = {.entry = {.count = 1, .reusable = true}}, SHIFT(910),
  [1903] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_switch_statement, 5, 0, 57),
  [1905] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_switch_statement, 5, 0, 57),
  [1907] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_type_switch_statement_repeat1, 2, 0, 0),
  [1909] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_type_switch_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(735),
  [1912] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_type_switch_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(1355),
  [1915] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_fallthrough_statement, 1, 0, 0),
  [1917] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_fallthrough_statement, 1, 0, 0),
  [1919] = {.entry = {.count = 1, .reusable = true}}, SHIFT(935),
  [1921] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_elem, 1, 0, 0),
  [1923] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_elem, 1, 0, 0),
  [1925] = {.entry = {.count = 1, .reusable = false}}, SHIFT(744),
  [1927] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expression_switch_statement, 5, 0, 7),
  [1929] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_expression_switch_statement, 5, 0, 7),
  [1931] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_const_spec, 4, 0, 62),
  [1933] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_const_spec, 4, 0, 62),
  [1935] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_const_spec, 4, 0, 63),
  [1937] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_const_spec, 4, 0, 63),
  [1939] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_declaration, 3, 0, 0),
  [1941] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_declaration, 3, 0, 0),
  [1943] = {.entry = {.count = 1, .reusable = true}}, SHIFT(210),
  [1945] = {.entry = {.count = 1, .reusable = true}}, SHIFT(731),
  [1947] = {.entry = {.count = 1, .reusable = true}}, SHIFT(723),
  [1949] = {.entry = {.count = 1, .reusable = true}}, SHIFT(965),
  [1951] = {.entry = {.count = 1, .reusable = true}}, SHIFT(49),
  [1953] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_break_statement, 2, 0, 8),
  [1955] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_break_statement, 2, 0, 8),
  [1957] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_continue_statement, 2, 0, 8),
  [1959] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_continue_statement, 2, 0, 8),
  [1961] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_goto_statement, 2, 0, 8),
  [1963] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_goto_statement, 2, 0, 8),
  [1965] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_var_spec, 4, 0, 62),
  [1967] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_var_spec, 4, 0, 62),
  [1969] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 7, 0, 101),
  [1971] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 7, 0, 101),
  [1973] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expression_switch_statement, 7, 0, 98),
  [1975] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_expression_switch_statement, 7, 0, 98),
  [1977] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_return_statement, 2, 0, 0),
  [1979] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_return_statement, 2, 0, 0),
  [1981] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 3, 0, 30),
  [1983] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 3, 0, 30),
  [1985] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_var_spec, 4, 0, 63),
  [1987] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_var_spec, 4, 0, 63),
  [1989] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expression_switch_statement, 3, 0, 0),
  [1991] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_expression_switch_statement, 3, 0, 0),
  [1993] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_spec, 2, 0, 24),
  [1995] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_spec, 2, 0, 24),
  [1997] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_var_declaration, 3, 0, 0),
  [1999] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_var_declaration, 3, 0, 0),
  [2001] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_const_declaration, 4, 0, 0),
  [2003] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_const_declaration, 4, 0, 0),
  [2005] = {.entry = {.count = 1, .reusable = true}}, SHIFT(995),
  [2007] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_const_spec, 3, 0, 37),
  [2009] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_const_spec, 3, 0, 37),
  [2011] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_declaration, 2, 0, 0),
  [2013] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_declaration, 2, 0, 0),
  [2015] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_var_declaration, 4, 0, 0),
  [2017] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_var_declaration, 4, 0, 0),
  [2019] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_var_spec, 3, 0, 37),
  [2021] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_var_spec, 3, 0, 37),
  [2023] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1001),
  [2025] = {.entry = {.count = 1, .reusable = true}}, SHIFT(735),
  [2027] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_type_elem_repeat1, 2, 0, 0),
  [2029] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_type_elem_repeat1, 2, 0, 0),
  [2031] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_type_elem_repeat1, 2, 0, 0), SHIFT_REPEAT(744),
  [2034] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_const_spec, 5, 0, 92),
  [2036] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_const_spec, 5, 0, 92),
  [2038] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_var_spec, 5, 0, 92),
  [2040] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_var_spec, 5, 0, 92),
  [2042] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1003),
  [2044] = {.entry = {.count = 1, .reusable = true}}, SHIFT(478),
  [2046] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_declaration, 5, 0, 69),
  [2048] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_declaration, 5, 0, 69),
  [2050] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_declaration, 4, 0, 41),
  [2052] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_declaration, 4, 0, 41),
  [2054] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_const_declaration, 2, 0, 0),
  [2056] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_const_declaration, 2, 0, 0),
  [2058] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1006),
  [2060] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_declaration, 4, 0, 0),
  [2062] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_declaration, 4, 0, 0),
  [2064] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_alias, 3, 0, 47),
  [2066] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_alias, 3, 0, 47),
  [2068] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_spec, 3, 0, 48),
  [2070] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_spec, 3, 0, 48),
  [2072] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_select_statement, 3, 0, 0),
  [2074] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_select_statement, 3, 0, 0),
  [2076] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1007),
  [2078] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_var_declaration, 2, 0, 0),
  [2080] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_var_declaration, 2, 0, 0),
  [2082] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_declaration, 5, 0, 72),
  [2084] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_declaration, 5, 0, 72),
  [2086] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 5, 0, 82),
  [2088] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 5, 0, 82),
  [2090] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__statement_list_repeat1, 2, 0, 0),
  [2092] = {.entry = {.count = 1, .reusable = true}}, SHIFT(468),
  [2094] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_inc_statement, 2, 0, 0),
  [2096] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_inc_statement, 2, 0, 0),
  [2098] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_expression_list_repeat1, 2, 0, 0), SHIFT_REPEAT(173),
  [2101] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_dec_statement, 2, 0, 0),
  [2103] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_dec_statement, 2, 0, 0),
  [2105] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_elem, 2, 0, 0),
  [2107] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_elem, 2, 0, 0),
  [2109] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__statement, 1, 0, 0),
  [2111] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__statement, 1, 0, 0),
  [2113] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_empty_statement, 1, 0, 0),
  [2115] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_empty_statement, 1, 0, 0),
  [2117] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expression_switch_statement, 4, 0, 0),
  [2119] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_expression_switch_statement, 4, 0, 0),
  [2121] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_expression_switch_statement_repeat1, 2, 0, 0),
  [2123] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_expression_switch_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(105),
  [2126] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_expression_switch_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(1355),
  [2129] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1009),
  [2131] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_switch_statement, 4, 0, 57),
  [2133] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_switch_statement, 4, 0, 57),
  [2135] = {.entry = {.count = 1, .reusable = true}}, SHIFT(915),
  [2137] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expression_switch_statement, 4, 0, 7),
  [2139] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_expression_switch_statement, 4, 0, 7),
  [2141] = {.entry = {.count = 1, .reusable = true}}, SHIFT(920),
  [2143] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__simple_statement, 1, 0, 0),
  [2145] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__simple_statement, 1, 0, 0),
  [2147] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expression_switch_statement, 6, 0, 87),
  [2149] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_expression_switch_statement, 6, 0, 87),
  [2151] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_select_statement, 4, 0, 0),
  [2153] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_select_statement, 4, 0, 0),
  [2155] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_select_statement_repeat1, 2, 0, 0),
  [2157] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_select_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(49),
  [2160] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_select_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(1355),
  [2163] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expression_switch_statement, 5, 0, 87),
  [2165] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_expression_switch_statement, 5, 0, 87),
  [2167] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_type_declaration_repeat1, 2, 0, 0), SHIFT_REPEAT(626),
  [2170] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_type_declaration_repeat1, 2, 0, 0),
  [2172] = {.entry = {.count = 1, .reusable = true}}, SHIFT(32),
  [2174] = {.entry = {.count = 1, .reusable = true}}, SHIFT(538),
  [2176] = {.entry = {.count = 1, .reusable = false}}, SHIFT(538),
  [2178] = {.entry = {.count = 1, .reusable = false}}, SHIFT(992),
  [2180] = {.entry = {.count = 1, .reusable = true}}, SHIFT(834),
  [2182] = {.entry = {.count = 1, .reusable = true}}, SHIFT(883),
  [2184] = {.entry = {.count = 1, .reusable = false}}, SHIFT(883),
  [2186] = {.entry = {.count = 1, .reusable = false}}, SHIFT(984),
  [2188] = {.entry = {.count = 1, .reusable = true}}, SHIFT(537),
  [2190] = {.entry = {.count = 1, .reusable = false}}, SHIFT(537),
  [2192] = {.entry = {.count = 1, .reusable = false}}, SHIFT(817),
  [2194] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_interface_type_repeat1, 2, 0, 0), SHIFT_REPEAT(611),
  [2197] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_interface_type_repeat1, 2, 0, 0), SHIFT_REPEAT(611),
  [2200] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_interface_type_repeat1, 2, 0, 0),
  [2202] = {.entry = {.count = 1, .reusable = true}}, SHIFT(837),
  [2204] = {.entry = {.count = 1, .reusable = false}}, SHIFT(837),
  [2206] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1051),
  [2208] = {.entry = {.count = 1, .reusable = true}}, SHIFT(539),
  [2210] = {.entry = {.count = 1, .reusable = false}}, SHIFT(539),
  [2212] = {.entry = {.count = 1, .reusable = false}}, SHIFT(838),
  [2214] = {.entry = {.count = 1, .reusable = true}}, SHIFT(841),
  [2216] = {.entry = {.count = 1, .reusable = false}}, SHIFT(841),
  [2218] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1154),
  [2220] = {.entry = {.count = 1, .reusable = true}}, SHIFT(533),
  [2222] = {.entry = {.count = 1, .reusable = false}}, SHIFT(533),
  [2224] = {.entry = {.count = 1, .reusable = false}}, SHIFT(987),
  [2226] = {.entry = {.count = 1, .reusable = true}}, SHIFT(29),
  [2228] = {.entry = {.count = 1, .reusable = true}}, SHIFT(626),
  [2230] = {.entry = {.count = 1, .reusable = true}}, SHIFT(960),
  [2232] = {.entry = {.count = 1, .reusable = true}}, SHIFT(31),
  [2234] = {.entry = {.count = 1, .reusable = true}}, SHIFT(581),
  [2236] = {.entry = {.count = 1, .reusable = false}}, SHIFT(581),
  [2238] = {.entry = {.count = 1, .reusable = false}}, SHIFT(871),
  [2240] = {.entry = {.count = 1, .reusable = true}}, SHIFT(873),
  [2242] = {.entry = {.count = 1, .reusable = false}}, SHIFT(873),
  [2244] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1073),
  [2246] = {.entry = {.count = 1, .reusable = true}}, SHIFT(846),
  [2248] = {.entry = {.count = 1, .reusable = false}}, SHIFT(846),
  [2250] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1216),
  [2252] = {.entry = {.count = 1, .reusable = true}}, SHIFT(889),
  [2254] = {.entry = {.count = 1, .reusable = false}}, SHIFT(889),
  [2256] = {.entry = {.count = 1, .reusable = false}}, SHIFT(869),
  [2258] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_import_spec_list_repeat1, 2, 0, 0), SHIFT_REPEAT(876),
  [2261] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_import_spec_list_repeat1, 2, 0, 0), SHIFT_REPEAT(876),
  [2264] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_import_spec_list_repeat1, 2, 0, 0),
  [2266] = {.entry = {.count = 1, .reusable = true}}, SHIFT(923),
  [2268] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(897),
  [2271] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(897),
  [2274] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_field_declaration_list_repeat1, 2, 0, 0),
  [2276] = {.entry = {.count = 1, .reusable = true}}, SHIFT(885),
  [2278] = {.entry = {.count = 1, .reusable = false}}, SHIFT(885),
  [2280] = {.entry = {.count = 1, .reusable = false}}, SHIFT(866),
  [2282] = {.entry = {.count = 1, .reusable = true}}, SHIFT(884),
  [2284] = {.entry = {.count = 1, .reusable = false}}, SHIFT(884),
  [2286] = {.entry = {.count = 1, .reusable = false}}, SHIFT(819),
  [2288] = {.entry = {.count = 1, .reusable = true}}, SHIFT(875),
  [2290] = {.entry = {.count = 1, .reusable = false}}, SHIFT(875),
  [2292] = {.entry = {.count = 1, .reusable = false}}, SHIFT(814),
  [2294] = {.entry = {.count = 1, .reusable = true}}, SHIFT(887),
  [2296] = {.entry = {.count = 1, .reusable = false}}, SHIFT(887),
  [2298] = {.entry = {.count = 1, .reusable = false}}, SHIFT(991),
  [2300] = {.entry = {.count = 1, .reusable = true}}, SHIFT(542),
  [2302] = {.entry = {.count = 1, .reusable = false}}, SHIFT(542),
  [2304] = {.entry = {.count = 1, .reusable = false}}, SHIFT(820),
  [2306] = {.entry = {.count = 1, .reusable = true}}, SHIFT(530),
  [2308] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1110),
  [2310] = {.entry = {.count = 1, .reusable = true}}, SHIFT(39),
  [2312] = {.entry = {.count = 1, .reusable = true}}, SHIFT(262),
  [2314] = {.entry = {.count = 1, .reusable = true}}, SHIFT(48),
  [2316] = {.entry = {.count = 1, .reusable = true}}, SHIFT(388),
  [2318] = {.entry = {.count = 1, .reusable = true}}, SHIFT(939),
  [2320] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_spec_list, 5, 0, 0),
  [2322] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_import_spec_list, 5, 0, 0),
  [2324] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_declaration, 3, 0, 77),
  [2326] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_declaration, 3, 0, 77),
  [2328] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_spec, 2, 0, 15),
  [2330] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_import_spec, 2, 0, 15),
  [2332] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_spec, 2, 0, 16),
  [2334] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_import_spec, 2, 0, 16),
  [2336] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_interpreted_string_literal_repeat1, 2, 0, 0),
  [2338] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_interpreted_string_literal_repeat1, 2, 0, 0), SHIFT_REPEAT(1050),
  [2341] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_spec_list, 4, 0, 0),
  [2343] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_import_spec_list, 4, 0, 0),
  [2345] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_import_spec_list_repeat1, 2, 0, 0),
  [2347] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_declaration, 6, 0, 94),
  [2349] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_declaration, 6, 0, 94),
  [2351] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_declaration, 6, 0, 95),
  [2353] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_declaration, 6, 0, 95),
  [2355] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_declaration, 4, 0, 96),
  [2357] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_declaration, 4, 0, 96),
  [2359] = {.entry = {.count = 1, .reusable = true}}, SHIFT(418),
  [2361] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1064),
  [2363] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_field_declaration_list_repeat1, 2, 0, 0),
  [2365] = {.entry = {.count = 1, .reusable = true}}, SHIFT(424),
  [2367] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1050),
  [2369] = {.entry = {.count = 1, .reusable = true}}, SHIFT(245),
  [2371] = {.entry = {.count = 1, .reusable = false}}, SHIFT(245),
  [2373] = {.entry = {.count = 1, .reusable = true}}, SHIFT(27),
  [2375] = {.entry = {.count = 1, .reusable = true}}, SHIFT(37),
  [2377] = {.entry = {.count = 1, .reusable = true}}, SHIFT(485),
  [2379] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_package_clause, 2, 0, 2),
  [2381] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_package_clause, 2, 0, 2),
  [2383] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_elem, 3, 0, 79),
  [2385] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_elem, 3, 0, 79),
  [2387] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_interface_type_repeat1, 2, 0, 0),
  [2389] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_spec_list, 3, 0, 0),
  [2391] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_import_spec_list, 3, 0, 0),
  [2393] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_const_declaration_repeat1, 2, 0, 0), SHIFT_REPEAT(388),
  [2396] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_const_declaration_repeat1, 2, 0, 0),
  [2398] = {.entry = {.count = 1, .reusable = true}}, SHIFT(483),
  [2400] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1079),
  [2402] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_spec, 1, 0, 3),
  [2404] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_import_spec, 1, 0, 3),
  [2406] = {.entry = {.count = 1, .reusable = true}}, SHIFT(454),
  [2408] = {.entry = {.count = 1, .reusable = true}}, SHIFT(41),
  [2410] = {.entry = {.count = 1, .reusable = true}}, SHIFT(324),
  [2412] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_type_elem_repeat1, 2, 0, 0), SHIFT_REPEAT(723),
  [2415] = {.entry = {.count = 1, .reusable = true}}, SHIFT(251),
  [2417] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_var_declaration_repeat1, 2, 0, 0), SHIFT_REPEAT(567),
  [2420] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_var_declaration_repeat1, 2, 0, 0),
  [2422] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_declaration, 2, 0, 0),
  [2424] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_import_declaration, 2, 0, 0),
  [2426] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_declaration, 3, 0, 75),
  [2428] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_declaration, 3, 0, 75),
  [2430] = {.entry = {.count = 1, .reusable = true}}, SHIFT(907),
  [2432] = {.entry = {.count = 1, .reusable = true}}, SHIFT(300),
  [2434] = {.entry = {.count = 1, .reusable = true}}, SHIFT(43),
  [2436] = {.entry = {.count = 1, .reusable = true}}, SHIFT(360),
  [2438] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_declaration, 4, 0, 42),
  [2440] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_declaration, 4, 0, 42),
  [2442] = {.entry = {.count = 1, .reusable = true}}, SHIFT(567),
  [2444] = {.entry = {.count = 1, .reusable = true}}, SHIFT(938),
  [2446] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1124),
  [2448] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1109),
  [2450] = {.entry = {.count = 1, .reusable = true}}, SHIFT(343),
  [2452] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1100),
  [2454] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1035),
  [2456] = {.entry = {.count = 1, .reusable = true}}, SHIFT(346),
  [2458] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1267),
  [2460] = {.entry = {.count = 1, .reusable = true}}, SHIFT(44),
  [2462] = {.entry = {.count = 1, .reusable = true}}, SHIFT(540),
  [2464] = {.entry = {.count = 1, .reusable = true}}, SHIFT(943),
  [2466] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_declaration, 2, 0, 50),
  [2468] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_declaration, 2, 0, 50),
  [2470] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_declaration, 2, 0, 52),
  [2472] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_declaration, 2, 0, 52),
  [2474] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1062),
  [2476] = {.entry = {.count = 1, .reusable = true}}, SHIFT(553),
  [2478] = {.entry = {.count = 1, .reusable = true}}, SHIFT(250),
  [2480] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1083),
  [2482] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_source_file, 2, 0, 0),
  [2484] = {.entry = {.count = 1, .reusable = true}}, SHIFT(35),
  [2486] = {.entry = {.count = 1, .reusable = true}}, SHIFT(393),
  [2488] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_spec_list, 2, 0, 0),
  [2490] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_import_spec_list, 2, 0, 0),
  [2492] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_declaration, 5, 0, 70),
  [2494] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_declaration, 5, 0, 70),
  [2496] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_type_case_repeat1, 2, 0, 0), SHIFT_REPEAT(690),
  [2499] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_type_case_repeat1, 2, 0, 0),
  [2501] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_declaration, 5, 0, 71),
  [2503] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_declaration, 5, 0, 71),
  [2505] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_declaration, 5, 0, 73),
  [2507] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_declaration, 5, 0, 73),
  [2509] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_declaration, 3, 0, 74),
  [2511] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_declaration, 3, 0, 74),
  [2513] = {.entry = {.count = 1, .reusable = true}}, SHIFT(299),
  [2515] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1090),
  [2517] = {.entry = {.count = 1, .reusable = true}}, SHIFT(108),
  [2519] = {.entry = {.count = 1, .reusable = true}}, SHIFT(647),
  [2521] = {.entry = {.count = 1, .reusable = true}}, SHIFT(326),
  [2523] = {.entry = {.count = 1, .reusable = true}}, SHIFT(676),
  [2525] = {.entry = {.count = 1, .reusable = true}}, SHIFT(96),
  [2527] = {.entry = {.count = 1, .reusable = true}}, SHIFT(42),
  [2529] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expression_case, 4, 0, 7),
  [2531] = {.entry = {.count = 1, .reusable = true}}, SHIFT(654),
  [2533] = {.entry = {.count = 1, .reusable = true}}, SHIFT(65),
  [2535] = {.entry = {.count = 1, .reusable = true}}, SHIFT(484),
  [2537] = {.entry = {.count = 1, .reusable = true}}, SHIFT(128),
  [2539] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1309),
  [2541] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1309),
  [2543] = {.entry = {.count = 1, .reusable = true}}, SHIFT(596),
  [2545] = {.entry = {.count = 1, .reusable = true}}, SHIFT(989),
  [2547] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_case, 4, 0, 39),
  [2549] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1111),
  [2551] = {.entry = {.count = 1, .reusable = true}}, SHIFT(58),
  [2553] = {.entry = {.count = 1, .reusable = true}}, SHIFT(872),
  [2555] = {.entry = {.count = 1, .reusable = true}}, SHIFT(635),
  [2557] = {.entry = {.count = 1, .reusable = true}}, SHIFT(491),
  [2559] = {.entry = {.count = 1, .reusable = true}}, SHIFT(511),
  [2561] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__statement_list, 4, 0, 0),
  [2563] = {.entry = {.count = 1, .reusable = true}}, SHIFT(379),
  [2565] = {.entry = {.count = 1, .reusable = true}}, SHIFT(81),
  [2567] = {.entry = {.count = 1, .reusable = true}}, SHIFT(633),
  [2569] = {.entry = {.count = 1, .reusable = true}}, SHIFT(362),
  [2571] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_case, 5, 0, 102),
  [2573] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1178),
  [2575] = {.entry = {.count = 1, .reusable = true}}, SHIFT(829),
  [2577] = {.entry = {.count = 1, .reusable = true}}, SHIFT(606),
  [2579] = {.entry = {.count = 1, .reusable = true}}, SHIFT(842),
  [2581] = {.entry = {.count = 1, .reusable = true}}, SHIFT(690),
  [2583] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8),
  [2585] = {.entry = {.count = 1, .reusable = true}}, SHIFT(45),
  [2587] = {.entry = {.count = 1, .reusable = true}}, SHIFT(631),
  [2589] = {.entry = {.count = 1, .reusable = true}}, SHIFT(70),
  [2591] = {.entry = {.count = 1, .reusable = true}}, SHIFT(512),
  [2593] = {.entry = {.count = 1, .reusable = true}}, SHIFT(104),
  [2595] = {.entry = {.count = 1, .reusable = true}}, SHIFT(603),
  [2597] = {.entry = {.count = 1, .reusable = true}}, SHIFT(775),
  [2599] = {.entry = {.count = 1, .reusable = true}}, SHIFT(509),
  [2601] = {.entry = {.count = 1, .reusable = true}}, SHIFT(84),
  [2603] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1116),
  [2605] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_parameter_list_repeat1, 2, 0, 0),
  [2607] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_parameter_list_repeat1, 2, 0, 0), SHIFT_REPEAT(556),
  [2610] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1048),
  [2612] = {.entry = {.count = 1, .reusable = true}}, SHIFT(598),
  [2614] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1049),
  [2616] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1239),
  [2618] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1239),
  [2620] = {.entry = {.count = 1, .reusable = true}}, SHIFT(38),
  [2622] = {.entry = {.count = 1, .reusable = true}}, SHIFT(531),
  [2624] = {.entry = {.count = 1, .reusable = true}}, SHIFT(830),
  [2626] = {.entry = {.count = 1, .reusable = true}}, SHIFT(646),
  [2628] = {.entry = {.count = 1, .reusable = true}}, SHIFT(534),
  [2630] = {.entry = {.count = 1, .reusable = true}}, SHIFT(116),
  [2632] = {.entry = {.count = 1, .reusable = true}}, SHIFT(118),
  [2634] = {.entry = {.count = 1, .reusable = true}}, SHIFT(653),
  [2636] = {.entry = {.count = 1, .reusable = true}}, SHIFT(546),
  [2638] = {.entry = {.count = 1, .reusable = true}}, SHIFT(62),
  [2640] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4),
  [2642] = {.entry = {.count = 1, .reusable = true}}, SHIFT(120),
  [2644] = {.entry = {.count = 1, .reusable = true}}, SHIFT(46),
  [2646] = {.entry = {.count = 1, .reusable = true}}, SHIFT(658),
  [2648] = {.entry = {.count = 1, .reusable = true}}, SHIFT(650),
  [2650] = {.entry = {.count = 1, .reusable = true}}, SHIFT(74),
  [2652] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_communication_case, 4, 0, 88),
  [2654] = {.entry = {.count = 1, .reusable = true}}, SHIFT(628),
  [2656] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(102),
  [2659] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1247),
  [2661] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1247),
  [2663] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_type_arguments_repeat1, 2, 0, 0), SHIFT_REPEAT(643),
  [2666] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_type_arguments_repeat1, 2, 0, 0),
  [2668] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1095),
  [2670] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1219),
  [2672] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_literal_value_repeat1, 2, 0, 0),
  [2674] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1101),
  [2676] = {.entry = {.count = 1, .reusable = true}}, SHIFT(780),
  [2678] = {.entry = {.count = 1, .reusable = true}}, SHIFT(506),
  [2680] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_literal_value_repeat1, 2, 0, 0), SHIFT_REPEAT(47),
  [2683] = {.entry = {.count = 1, .reusable = true}}, SHIFT(638),
  [2685] = {.entry = {.count = 1, .reusable = true}}, SHIFT(264),
  [2687] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_expression_list_repeat1, 2, 0, 0), SHIFT_REPEAT(170),
  [2690] = {.entry = {.count = 1, .reusable = true}}, SHIFT(40),
  [2692] = {.entry = {.count = 1, .reusable = true}}, SHIFT(392),
  [2694] = {.entry = {.count = 1, .reusable = true}}, SHIFT(129),
  [2696] = {.entry = {.count = 1, .reusable = true}}, SHIFT(623),
  [2698] = {.entry = {.count = 1, .reusable = true}}, SHIFT(818),
  [2700] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1120),
  [2702] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1089),
  [2704] = {.entry = {.count = 1, .reusable = true}}, SHIFT(827),
  [2706] = {.entry = {.count = 1, .reusable = true}}, SHIFT(668),
  [2708] = {.entry = {.count = 1, .reusable = true}}, SHIFT(395),
  [2710] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_default_case, 3, 0, 0),
  [2712] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_expression_list_repeat1, 2, 0, 0), SHIFT_REPEAT(161),
  [2715] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_type_parameter_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1262),
  [2718] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_type_parameter_list_repeat1, 2, 0, 0),
  [2720] = {.entry = {.count = 1, .reusable = true}}, SHIFT(52),
  [2722] = {.entry = {.count = 1, .reusable = true}}, SHIFT(261),
  [2724] = {.entry = {.count = 1, .reusable = true}}, SHIFT(97),
  [2726] = {.entry = {.count = 1, .reusable = true}}, SHIFT(508),
  [2728] = {.entry = {.count = 1, .reusable = true}}, SHIFT(36),
  [2730] = {.entry = {.count = 1, .reusable = true}}, SHIFT(323),
  [2732] = {.entry = {.count = 1, .reusable = true}}, SHIFT(92),
  [2734] = {.entry = {.count = 1, .reusable = true}}, SHIFT(770),
  [2736] = {.entry = {.count = 1, .reusable = true}}, SHIFT(510),
  [2738] = {.entry = {.count = 1, .reusable = true}}, SHIFT(254),
  [2740] = {.entry = {.count = 1, .reusable = true}}, SHIFT(696),
  [2742] = {.entry = {.count = 1, .reusable = true}}, SHIFT(164),
  [2744] = {.entry = {.count = 1, .reusable = true}}, SHIFT(712),
  [2746] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameter_declaration, 3, 0, 66),
  [2748] = {.entry = {.count = 1, .reusable = true}}, SHIFT(888),
  [2750] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_parameter_declaration, 3, 0, 93),
  [2752] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_parameter_declaration, 2, 0, 68),
  [2754] = {.entry = {.count = 1, .reusable = true}}, SHIFT(667),
  [2756] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameter_declaration, 1, 0, 19),
  [2758] = {.entry = {.count = 1, .reusable = true}}, SHIFT(317),
  [2760] = {.entry = {.count = 1, .reusable = true}}, SHIFT(751),
  [2762] = {.entry = {.count = 1, .reusable = true}}, SHIFT(580),
  [2764] = {.entry = {.count = 1, .reusable = true}}, SHIFT(766),
  [2766] = {.entry = {.count = 1, .reusable = true}}, SHIFT(389),
  [2768] = {.entry = {.count = 1, .reusable = true}}, SHIFT(634),
  [2770] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_dot, 1, 0, 0),
  [2772] = {.entry = {.count = 1, .reusable = true}}, SHIFT(663),
  [2774] = {.entry = {.count = 1, .reusable = true}}, SHIFT(733),
  [2776] = {.entry = {.count = 1, .reusable = true}}, SHIFT(230),
  [2778] = {.entry = {.count = 1, .reusable = true}}, SHIFT(764),
  [2780] = {.entry = {.count = 1, .reusable = true}}, SHIFT(671),
  [2782] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_keyed_element, 3, 0, 0),
  [2784] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variadic_argument, 2, 0, 0),
  [2786] = {.entry = {.count = 1, .reusable = true}}, SHIFT(879),
  [2788] = {.entry = {.count = 1, .reusable = true}}, SHIFT(73),
  [2790] = {.entry = {.count = 1, .reusable = true}}, SHIFT(452),
  [2792] = {.entry = {.count = 1, .reusable = true}}, SHIFT(742),
  [2794] = {.entry = {.count = 1, .reusable = true}}, SHIFT(636),
  [2796] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variadic_parameter_declaration, 2, 0, 39),
  [2798] = {.entry = {.count = 1, .reusable = true}}, SHIFT(59),
  [2800] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameter_declaration, 2, 0, 18),
  [2802] = {.entry = {.count = 1, .reusable = true}}, SHIFT(351),
  [2804] = {.entry = {.count = 1, .reusable = true}}, SHIFT(760),
  [2806] = {.entry = {.count = 1, .reusable = true}}, SHIFT(163),
  [2808] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variadic_parameter_declaration, 3, 0, 65),
  [2810] = {.entry = {.count = 1, .reusable = true}}, SHIFT(880),
  [2812] = {.entry = {.count = 1, .reusable = true}}, SHIFT(215),
  [2814] = {.entry = {.count = 1, .reusable = true}}, SHIFT(740),
  [2816] = {.entry = {.count = 1, .reusable = true}}, SHIFT(220),
  [2818] = {.entry = {.count = 1, .reusable = true}}, SHIFT(749),
  [2820] = {.entry = {.count = 1, .reusable = true}}, SHIFT(225),
  [2822] = {.entry = {.count = 1, .reusable = true}}, SHIFT(758),
  [2824] = {.entry = {.count = 1, .reusable = true}}, SHIFT(739),
  [2826] = {.entry = {.count = 1, .reusable = true}}, SHIFT(111),
  [2828] = {.entry = {.count = 1, .reusable = true}}, SHIFT(767),
  [2830] = {.entry = {.count = 1, .reusable = true}}, SHIFT(417),
  [2832] = {.entry = {.count = 1, .reusable = true}}, SHIFT(717),
  [2834] = {.entry = {.count = 1, .reusable = true}}, SHIFT(811),
  [2836] = {.entry = {.count = 1, .reusable = true}}, SHIFT(461),
  [2838] = {.entry = {.count = 1, .reusable = true}}, SHIFT(298),
  [2840] = {.entry = {.count = 1, .reusable = true}}, SHIFT(53),
  [2842] = {.entry = {.count = 1, .reusable = true}}, SHIFT(370),
  [2844] = {.entry = {.count = 1, .reusable = true}}, SHIFT(925),
  [2846] = {.entry = {.count = 1, .reusable = true}}, SHIFT(576),
  [2848] = {.entry = {.count = 1, .reusable = true}}, SHIFT(719),
  [2850] = {.entry = {.count = 1, .reusable = true}}, SHIFT(301),
  [2852] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1192),
  [2854] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1106),
  [2856] = {.entry = {.count = 1, .reusable = true}}, SHIFT(714),
  [2858] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1382),
  [2860] = {.entry = {.count = 1, .reusable = true}}, SHIFT(578),
  [2862] = {.entry = {.count = 1, .reusable = true}}, SHIFT(945),
  [2864] = {.entry = {.count = 1, .reusable = true}}, SHIFT(720),
  [2866] = {.entry = {.count = 1, .reusable = true}}, SHIFT(349),
  [2868] = {.entry = {.count = 1, .reusable = true}}, SHIFT(768),
  [2870] = {.entry = {.count = 1, .reusable = true}}, SHIFT(791),
  [2872] = {.entry = {.count = 1, .reusable = true}}, SHIFT(973),
  [2874] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1340),
  [2876] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_switch_header, 9, 0, 107),
  [2878] = {.entry = {.count = 1, .reusable = true}}, SHIFT(455),
  [2880] = {.entry = {.count = 1, .reusable = true}}, SHIFT(565),
  [2882] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1069),
  [2884] = {.entry = {.count = 1, .reusable = true}}, SHIFT(106),
  [2886] = {.entry = {.count = 1, .reusable = true}},  ACCEPT_INPUT(),
  [2888] = {.entry = {.count = 1, .reusable = true}}, SHIFT(527),
  [2890] = {.entry = {.count = 1, .reusable = true}}, SHIFT(843),
  [2892] = {.entry = {.count = 1, .reusable = true}}, SHIFT(402),
  [2894] = {.entry = {.count = 1, .reusable = true}}, SHIFT(710),
  [2896] = {.entry = {.count = 1, .reusable = true}}, SHIFT(458),
  [2898] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_clause, 3, 0, 54),
  [2900] = {.entry = {.count = 1, .reusable = true}}, SHIFT(702),
  [2902] = {.entry = {.count = 1, .reusable = true}}, SHIFT(725),
  [2904] = {.entry = {.count = 1, .reusable = true}}, SHIFT(684),
  [2906] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5),
  [2908] = {.entry = {.count = 1, .reusable = true}}, SHIFT(271),
  [2910] = {.entry = {.count = 1, .reusable = true}}, SHIFT(774),
  [2912] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_switch_header, 7, 0, 104),
  [2914] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6),
  [2916] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_switch_header, 5, 0, 99),
  [2918] = {.entry = {.count = 1, .reusable = true}}, SHIFT(404),
  [2920] = {.entry = {.count = 1, .reusable = true}}, SHIFT(685),
  [2922] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_implicit_length_array_type, 4, 0, 45),
  [2924] = {.entry = {.count = 1, .reusable = true}}, SHIFT(162),
  [2926] = {.entry = {.count = 1, .reusable = true}}, SHIFT(826),
  [2928] = {.entry = {.count = 1, .reusable = true}}, SHIFT(812),
  [2930] = {.entry = {.count = 1, .reusable = true}}, SHIFT(804),
  [2932] = {.entry = {.count = 1, .reusable = true}}, SHIFT(928),
  [2934] = {.entry = {.count = 1, .reusable = true}}, SHIFT(964),
  [2936] = {.entry = {.count = 1, .reusable = true}}, SHIFT(750),
  [2938] = {.entry = {.count = 1, .reusable = true}}, SHIFT(315),
  [2940] = {.entry = {.count = 1, .reusable = true}}, SHIFT(722),
  [2942] = {.entry = {.count = 1, .reusable = true}}, SHIFT(273),
  [2944] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_clause, 4, 0, 85),
  [2946] = {.entry = {.count = 1, .reusable = true}}, SHIFT(159),
  [2948] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7),
  [2950] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_switch_header, 7, 0, 105),
  [2952] = {.entry = {.count = 1, .reusable = true}}, SHIFT(248),
  [2954] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1362),
  [2956] = {.entry = {.count = 1, .reusable = true}}, SHIFT(568),
  [2958] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_clause, 5, 0, 97),
  [2960] = {.entry = {.count = 1, .reusable = true}}, SHIFT(727),
  [2962] = {.entry = {.count = 1, .reusable = true}}, SHIFT(110),
  [2964] = {.entry = {.count = 1, .reusable = true}}, SHIFT(736),
  [2966] = {.entry = {.count = 1, .reusable = true}}, SHIFT(575),
  [2968] = {.entry = {.count = 1, .reusable = true}}, SHIFT(746),
  [2970] = {.entry = {.count = 1, .reusable = true}}, SHIFT(368),
  [2972] = {.entry = {.count = 1, .reusable = true}}, SHIFT(755),
  [2974] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_clause, 4, 0, 83),
  [2976] = {.entry = {.count = 1, .reusable = true}}, SHIFT(762),
  [2978] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1360),
};

#ifdef __cplusplus
extern "C" {
#endif
#ifdef TREE_SITTER_HIDE_SYMBOLS
#define TS_PUBLIC
#elif defined(_WIN32)
#define TS_PUBLIC __declspec(dllexport)
#else
#define TS_PUBLIC __attribute__((visibility("default")))
#endif

TS_PUBLIC const TSLanguage *tree_sitter_go(void) {
  static const TSLanguage language = {
    .version = LANGUAGE_VERSION,
    .symbol_count = SYMBOL_COUNT,
    .alias_count = ALIAS_COUNT,
    .token_count = TOKEN_COUNT,
    .external_token_count = EXTERNAL_TOKEN_COUNT,
    .state_count = STATE_COUNT,
    .large_state_count = LARGE_STATE_COUNT,
    .production_id_count = PRODUCTION_ID_COUNT,
    .field_count = FIELD_COUNT,
    .max_alias_sequence_length = MAX_ALIAS_SEQUENCE_LENGTH,
    .parse_table = &ts_parse_table[0][0],
    .small_parse_table = ts_small_parse_table,
    .small_parse_table_map = ts_small_parse_table_map,
    .parse_actions = ts_parse_actions,
    .symbol_names = ts_symbol_names,
    .field_names = ts_field_names,
    .field_map_slices = ts_field_map_slices,
    .field_map_entries = ts_field_map_entries,
    .symbol_metadata = ts_symbol_metadata,
    .public_symbol_map = ts_symbol_map,
    .alias_map = ts_non_terminal_alias_map,
    .alias_sequences = &ts_alias_sequences[0][0],
    .lex_modes = ts_lex_modes,
    .lex_fn = ts_lex,
    .keyword_lex_fn = ts_lex_keywords,
    .keyword_capture_token = sym_identifier,
    .primary_state_ids = ts_primary_state_ids,
  };
  return &language;
}
#ifdef __cplusplus
}
#endif
